SystemOrganization addCategory: #'Tamaris-Browser-History'!
SystemOrganization addCategory: #'Tamaris-Event-Rules'!
SystemOrganization addCategory: #'Tamaris-Taxonomies'!
SystemOrganization addCategory: #'Tamaris-Tools'!
SystemOrganization addCategory: #'Tamaris-UI'!

ListItemWrapper subclass: #TamGenericHierarchicalListItemWrapper
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Tamaris-UI'!

!TamGenericHierarchicalListItemWrapper methodsFor: 'accessing' stamp: 'tam 10/13/2003 15:09'!
children
	^ item children! !

!TamGenericHierarchicalListItemWrapper methodsFor: 'accessing' stamp: 'apl 6/3/2005 18:35'!
contents
	^self children collect: [:each | item wrapperClass with: each model: nil]! !

!TamGenericHierarchicalListItemWrapper methodsFor: 'initialize/release' stamp: 'apl 6/3/2005 16:41'!
destroy
	item := nil.
	model := nil.
	super destroy! !

!TamGenericHierarchicalListItemWrapper methodsFor: 'accessing' stamp: 'apl 10/27/2006 11:42'!
icon
	^ (item respondsTo: #icon) ifTrue: [item icon] ! !

!TamGenericHierarchicalListItemWrapper methodsFor: 'accessing' stamp: 'apl 6/23/2005 13:13'!
isReleased
	^ item = nil! !

ListItemWrapper subclass: #TamListItemWrapper
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Tamaris-Taxonomies'!

!TamListItemWrapper class methodsFor: 'accessing' stamp: 'tam 6/25/2003 14:23'!
interPathString	^ '->'! !

!TamListItemWrapper methodsFor: 'drag and drop' stamp: 'tam 4/8/2003 20:26'!
acceptDroppingMorph: transferMorph copy: shouldCopy	^ item acceptDroppingMorph: transferMorph copy: shouldCopy! !

!TamListItemWrapper methodsFor: 'accessing' stamp: 'tam 6/6/2003 13:30'!
balloonText	^ item balloonText! !

!TamListItemWrapper methodsFor: 'accessing' stamp: 'tam 6/1/2003 23:21'!
children	^ item notNil ifTrue: [item children] ifFalse: [#()]! !

!TamListItemWrapper methodsFor: 'accessing' stamp: 'apl 6/3/2005 18:36'!
contents
	^item isReleased 
		ifTrue: 
			[#()]
		ifFalse: 
			[self children collect: [:each | each wrapperClass with: each model: nil]]! !

!TamListItemWrapper methodsFor: 'initialize/release' stamp: 'apl 6/3/2005 16:41'!
destroy
	item := nil.
	model := nil.
	super destroy! !

!TamListItemWrapper methodsFor: 'testing' stamp: 'apl 7/8/2005 09:10'!
forceOkToChange
	^ item isNil or: [item forceOkToChange]! !

!TamListItemWrapper methodsFor: 'accessing' stamp: 'tam 6/25/2003 13:22'!
fullPathAsString	^ item fullPathAsString! !

!TamListItemWrapper methodsFor: 'accessing' stamp: 'tam 6/25/2003 13:20'!
fullPathStrings	^ item fullPathStrings.! !

!TamListItemWrapper methodsFor: 'menu' stamp: 'tam 10/21/2003 11:57'!
genericMenu: aMenu selector: aSelector conditionBlock: aBlock fromTaxonomyBrowser: aBrowser recursive: aBoolean 
	^ self genericMenu: aMenu target: aBrowser selector: aSelector conditionBlock: aBlock fromTaxonomyBrowser: aBrowser recursive: aBoolean 
! !

!TamListItemWrapper methodsFor: 'menu' stamp: 'apl 5/31/2005 19:17'!
genericMenu: aMenu target: aTarget selector: aSelector conditionBlock: aBlock fromTaxonomyBrowser: aBrowser recursive: aBoolean 
	| subM |
	aBoolean 
		ifTrue: 
			[subM := MenuMorph new.
			self contents do: 
					[:i | 
					i 
						genericMenu: subM
						target: aTarget
						selector: aSelector
						conditionBlock: aBlock
						fromTaxonomyBrowser: aBrowser
						recursive: false].
			subM submorphCount > 0 
				ifTrue: 
					[(aBlock value: item) 
						ifTrue: 
							[aMenu 
								add: self item shortName
								subMenu: subM
								target: aTarget
								selector: aSelector
								argumentList: { self }]
						ifFalse: [aMenu add: self item shortName subMenu: subM]]
				ifFalse: 
					[(aBlock value: item) 
						ifTrue: 
							[aMenu 
								add: self item shortName
								target: aTarget
								selector: aSelector
								argumentList: { self }]]].
	^aMenu! !

!TamListItemWrapper methodsFor: 'testing' stamp: 'apl 6/3/2004 14:08'!
hasContents
	^ item hasContents! !

!TamListItemWrapper methodsFor: 'accessing' stamp: 'tam 4/4/2003 11:14'!
icon	^ item icon! !

!TamListItemWrapper methodsFor: 'accessing' stamp: 'tam 6/25/2003 14:23'!
interPathString	^ self class interPathString! !

!TamListItemWrapper methodsFor: 'testing' stamp: 'tam 10/21/2003 11:17'!
isReleased
	^ item isNil! !

!TamListItemWrapper methodsFor: 'testing' stamp: 'tam 7/8/2003 13:20'!
isTaxon	^ item isTaxon! !

!TamListItemWrapper methodsFor: 'accessing' stamp: 'tam 10/10/2003 15:08'!
item
	^ item! !

!TamListItemWrapper methodsFor: 'accessing' stamp: 'AlainPlantec 10/15/2010 09:00'!
maxSubLevelDescent
	^ 6! !

!TamListItemWrapper methodsFor: 'menu' stamp: 'tam 7/2/2003 15:22'!
menu: aMenu shifted: b 	^ item		menu: aMenu		shifted: b! !

!TamListItemWrapper methodsFor: 'accessing' stamp: 'tam 10/21/2003 17:02'!
parentsChain
	^ item parentsChain! !

!TamListItemWrapper methodsFor: 'searching' stamp: 'tam 7/8/2003 13:27'!
selectDeeplySuchThat: aBlock 	^ self selectDeeplySuchThat: aBlock level: 0! !

!TamListItemWrapper methodsFor: 'searching' stamp: 'AlainPlantec 11/18/2010 10:31'!
selectDeeplySuchThat: aBlock level: anInteger 	| res |	res  :=  OrderedCollection new.	anInteger < self maxSubLevelDescent		ifTrue: [			(aBlock value: self)				ifTrue: [res add: self].			self contents				do: [:sr | res  :=  res								, (sr selectDeeplySuchThat: aBlock level: anInteger + 1)]].	^ res! !

!TamListItemWrapper methodsFor: 'searching' stamp: 'AlainPlantec 11/18/2010 10:31'!
selectItemsDeeplySuchThat: aBlock level: anInteger 
	| res |
	res  :=  OrderedCollection new.
	anInteger < self maxSubLevelDescent
		ifTrue: [(aBlock value: item)
				ifTrue: [res add: item].
			self contents
				do: [:sr | res  :=  res
								, (sr selectDeeplySuchThat: aBlock level: anInteger + 1)]].
	^ res! !

!TamListItemWrapper methodsFor: 'updating' stamp: 'tam 2/18/2004 16:04'!
selectingFrom: aHierarchicalList 
	^ item selectingFrom: aHierarchicalList! !

!TamListItemWrapper methodsFor: 'updating' stamp: 'tam 2/18/2004 16:03'!
unSelectingFrom: aHierarchicalList
	^ item unSelectingFrom: aHierarchicalList! !

ListItemWrapper subclass: #TamManagerItem
	instanceVariableNames: 'listId currentSelection currentlyExpanded listLabel'
	classVariableNames: 'Default'
	poolDictionaries: ''
	category: 'Tamaris-UI'!

!TamManagerItem class methodsFor: 'instance creation' stamp: 'apl 6/10/2004 21:33'!
bookmarksTaxon
	^ self defaultTaxonNamed: self bookmarksTaxonName taxonClass: TamLinksTaxonReference! !

!TamManagerItem class methodsFor: 'instance creation' stamp: 'tam 3/23/2004 00:04'!
bookmarksTaxonName
	^ '<bookmarks>'! !

!TamManagerItem class methodsFor: 'instance creation' stamp: 'tam 3/5/2004 17:39'!
default
	^ Default
		ifNil: [Default := self rootNamed: self defaultItemName]
! !

!TamManagerItem class methodsFor: 'instance creation' stamp: 'apl 10/20/2004 10:39'!
defaultItemName
	^ '<tamaris-internal>'! !

!TamManagerItem class methodsFor: 'instance creation' stamp: 'apl 6/10/2004 21:33'!
defaultTaxonNamed: aName taxonClass: aTaxonSubClass
	| taxon |
	taxon := self default taxonomy children
				detect: [:it | it listLabel = aName]
				ifNone: [].
	taxon
		ifNil: [taxon := aTaxonSubClass taxonLabel: aName.
			self default taxonomy insertReference: taxon].
	^ taxon! !

!TamManagerItem class methodsFor: 'instance creation' stamp: 'apl 3/2/2007 11:31'!
fromFileListTaxonName
	^ ' *** from file fist *** '! !

!TamManagerItem class methodsFor: 'instance creation' stamp: 'apl 4/19/2005 17:11'!
linkTo: anotherItem 
	| newTaxonomy rootLink |
	newTaxonomy := self new .
	rootLink := TamRootTaxonLinkReference from: anotherItem taxonomy linked.
	rootLink managerItem: newTaxonomy.
	newTaxonomy taxonomy: rootLink.
	newTaxonomy listId: ''.
	^newTaxonomy! !

!TamManagerItem class methodsFor: 'instance creation' stamp: 'apl 6/10/2004 21:33'!
recentsTaxon
	^ self defaultTaxonNamed: self recentsTaxonName taxonClass: TamLinksTaxonReference! !

!TamManagerItem class methodsFor: 'instance creation' stamp: 'tam 3/23/2004 08:25'!
recentsTaxonName
	^ '<recents>'! !

!TamManagerItem class methodsFor: 'instance creation' stamp: 'tam 3/5/2004 17:31'!
resetDefault
	 Default := nil
		
! !

!TamManagerItem class methodsFor: 'instance creation' stamp: 'apl 4/19/2005 17:11'!
rootNamed: anIdent 
	| newTaxonomy rootTaxon |
	newTaxonomy := self new.
	rootTaxon := TamRootTaxonReference taxonLabel: anIdent.
	rootTaxon managerItem: newTaxonomy.
	newTaxonomy taxonomy: rootTaxon.
	newTaxonomy listId: ''.
	^newTaxonomy! !

!TamManagerItem class methodsFor: 'instance creation' stamp: 'apl 4/14/2005 15:53'!
smartTaxonSourcesName
	^'<smart-taxon-sources>'! !

!TamManagerItem class methodsFor: 'instance creation' stamp: 'apl 4/14/2005 15:54'!
smartTaxonSourcesTaxon
	^self defaultTaxonNamed: self smartTaxonSourcesName
		taxonClass: TamTaxonReference! !

!TamManagerItem methodsFor: 'drag and drop' stamp: 'AlainPlantec 10/7/2010 21:53'!
acceptDroppingMorph: transferMorph event: evt inMorph: dstListMorph 
	"Here we are fetching informations from the dropped transferMorph	and 
	performing the correct action for this drop."
	| shouldCopy |
	shouldCopy := (transferMorph respondsTo: #shouldCopy)
				ifTrue: [transferMorph shouldCopy]
				ifFalse: [true].
	^ self taxonomy acceptDroppingMorph: transferMorph copy: shouldCopy! !

!TamManagerItem methodsFor: 'system changes handling' stamp: 'apl 6/23/2005 13:24'!
addClass: class 
	"Include indication that a new class was created."
	(item addClass: class)
		ifTrue: [self
				updateBrowsers: #checksAndCleanBrowserReferences.
					]! !

!TamManagerItem methodsFor: 'converting' stamp: 'tam 7/28/2003 10:26'!
asStringOrText
	^ self taxonomy listLabel
		, (self listId notEmpty
				ifTrue: [' - ' , self listId]
				ifFalse: [''])! !

!TamManagerItem methodsFor: 'system changes handling' stamp: 'apl 2/9/2006 12:31'!
changeClass: class from: oldClass 
	"Remember that a class definition has been changed. Record
	the original structure, so that a conversion method can be
	built."
	(item changeClass: class from: oldClass)
		ifTrue: [
			self updateBrowsers: #checksAndCleanBrowserReferences]! !

!TamManagerItem methodsFor: 'system changes handling' stamp: 'apl 12/8/2006 21:16'!
commentClass: class 
	item commentClass: class! !

!TamManagerItem methodsFor: 'accessing' stamp: 'tam 6/3/2003 11:26'!
currentSelection	^currentSelection! !

!TamManagerItem methodsFor: 'accessing' stamp: 'apl 6/14/2004 11:45'!
currentSelection: anObject 
	currentSelection := anObject! !

!TamManagerItem methodsFor: 'accessing' stamp: 'tam 6/3/2003 12:06'!
currentlyExpanded	^currentlyExpanded! !

!TamManagerItem methodsFor: 'accessing' stamp: 'tam 6/3/2003 12:06'!
currentlyExpanded: anObject	currentlyExpanded := anObject! !

!TamManagerItem methodsFor: 'initialize/release' stamp: 'apl 6/26/2005 10:17'!
destroy
	currentSelection := nil.
	currentlyExpanded := nil.
	item
		ifNotNil: [item destroy.
			item := nil].
	super destroy! !

!TamManagerItem methodsFor: 'menu' stamp: 'tam 7/8/2003 10:47'!
genericMenu: aMenu selector: aSelector fromTaxonomyManager: aManager		aMenu				add: self asString				target: aManager				selector: aSelector				argumentList: {self}.		^ aMenu! !

!TamManagerItem methodsFor: 'initialize/release' stamp: 'apl 6/26/2005 10:17'!
initialize
	super initialize.
	currentlyExpanded := #().
! !

!TamManagerItem methodsFor: 'testing' stamp: 'tam 3/5/2004 17:41'!
isDefault
	^ self == self class default
! !

!TamManagerItem methodsFor: 'testing' stamp: 'apl 3/2/2005 13:53'!
isMoveable
	^ false! !

!TamManagerItem methodsFor: 'testing' stamp: 'tam 10/3/2003 09:37'!
isReleased
	^ item isNil! !

!TamManagerItem methodsFor: 'testing' stamp: 'apl 6/24/2005 18:57'!
isRootTaxonLink
	^item isRootTaxonLink! !

!TamManagerItem methodsFor: 'menu' stamp: 'tam 5/29/2003 13:38'!
keyStroke: aCharacter from: tamuggableListMorph 		^ self taxonomy keyStroke: aCharacter from: tamuggableListMorph ! !

!TamManagerItem methodsFor: 'accessing' stamp: 'tam 7/28/2003 10:25'!
listId
	^listId! !

!TamManagerItem methodsFor: 'accessing' stamp: 'tam 7/28/2003 10:26'!
listId: aString 
	listId := aString! !

!TamManagerItem methodsFor: 'accessing' stamp: 'tam 5/28/2003 18:21'!
listLabel	^ listLabel! !

!TamManagerItem methodsFor: 'accessing' stamp: 'tam 5/28/2003 18:22'!
listLabel: aString	listLabel := aString! !

!TamManagerItem methodsFor: 'menu' stamp: 'apl 4/18/2005 23:30'!
menu: menu shifted: aBoolean 
		^self taxonomy menu: menu shifted: aBoolean! !

!TamManagerItem methodsFor: 'system changes handling' stamp: 'apl 5/24/2005 18:29'!
noteNewMethod: newMethod forClass: class selector: selector priorMethod: methodOrNil 
! !

!TamManagerItem methodsFor: 'system changes handling' stamp: 'apl 6/23/2005 13:28'!
noteRemovalOf: class 
	"The class is about to be removed from the system.
	Adjust the receiver to reflect that fact."
	(item noteRemovalOf: class)
		ifTrue: [self
				updateBrowsers: #checkAndCleanAfterClassRemoval]! !

!TamManagerItem methodsFor: 'system changes handling' stamp: 'apl 5/24/2005 18:30'!
removeSelector: selector class: class priorMethod: priorMethod lastMethodInfo: info 
	"Include indication that a method has been forgotten.
	info is a pair of the source code pointer and message category
	for the method that was removed."

! !

!TamManagerItem methodsFor: 'system changes handling' stamp: 'apl 2/9/2006 12:28'!
renameClass: class as: newName 
	"Include indication that a class has been renamed."
	(item renameClass: class as: newName)
		ifTrue: [self updateBrowsers: #checksAndCleanBrowserReferences].
! !

!TamManagerItem methodsFor: 'system changes handling' stamp: 'apl 6/26/2005 12:13'!
reorganizeClass: class 
	"Include indication that a class was reorganized."
! !

!TamManagerItem methodsFor: 'ui building' stamp: 'apl 6/16/2005 09:41'!
selectingFrom: aTaxonomiesManager 
	| brw |
	Cursor wait
		showWhile: [(brw := aTaxonomiesManager taxonomyBrowser)
				rootWrapper: (self taxonomy wrapperClass with: self taxonomy model: nil)].
	(self currentSelection notNil
			and: [self currentSelection isReleased])
		ifTrue: [self currentSelection: nil].
	brw noteNewSelection: self currentSelection currentlyExpanded: self currentlyExpanded.
! !

!TamManagerItem methodsFor: 'accessing' stamp: 'tam 5/28/2003 14:41'!
taxonomy	^ item! !

!TamManagerItem methodsFor: 'accessing' stamp: 'AlainPlantec 10/7/2010 21:53'!
taxonomy: anObject 
	item := anObject! !

!TamManagerItem methodsFor: 'accessing' stamp: 'tam 6/27/2003 22:54'!
taxonomyWrapper	^ item		ifNotNil: [item wrapperClass with: item model: nil]! !

!TamManagerItem methodsFor: 'ui building' stamp: 'apl 6/3/2005 17:05'!
unSelectingFrom: aTaxonomiesManager 
	| brw |
	(brw := aTaxonomiesManager taxonomyBrowser) rootWrapper ifNotNil: 
			["brw restoreLayoutFramesFrom: self layoutFramesIndex."

			brw noteNewSelection: nil.
			brw rootWrapper destroy.
			brw rootWrapper: nil]! !

!TamManagerItem methodsFor: 'system changes handling' stamp: 'apl 6/23/2005 13:23'!
updateBrowsers: aBlockOrASelector 
	TamBrowser allSubInstances copy
		do: [:brw | brw isReleased
				ifFalse: [brw rootTaxon = item
						ifTrue: [aBlockOrASelector isSymbol ifTrue: [brw perform: aBlockOrASelector] ifFalse: [aBlockOrASelector value: brw]]]]! !

PluggableButtonMorph subclass: #TamButtonMorph
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Tamaris-UI'!

!TamButtonMorph class methodsFor: 'accessing' stamp: 'apl 4/4/2006 09:27'!
activationBorderColor
	^ Color black! !

!TamButtonMorph class methodsFor: 'accessing' stamp: 'apl 4/15/2005 18:29'!
defaultBorderColor
	^ Color transparent! !

!TamButtonMorph class methodsFor: 'accessing' stamp: 'AlainPlantec 10/15/2010 09:02'!
defaultBorderWidth
	^ 0! !

!TamButtonMorph class methodsFor: 'instance creation' stamp: 'apl 4/18/2005 12:06'!
target: target selector: sel 
	| button |
	button := self 
				on: target
				getState: nil
				action: sel
				label: nil
				menu: nil.
	button borderWidth: self defaultBorderWidth.
	button borderColor: self defaultBorderColor.
	button onColor: Color transparent offColor: Color transparent.
	button feedbackColor: Color gray.
	^button! !

!TamButtonMorph class methodsFor: 'instance creation' stamp: 'AlainPlantec 10/7/2010 21:36'!
target: target selector: sel arguments: argsCollection 
	| button |
	button := self target: target selector: sel. 
	button arguments: argsCollection.
	^ button! !

!TamButtonMorph class methodsFor: 'instance creation' stamp: 'AlainPlantec 10/7/2010 21:36'!
target: target selector: sel arguments: argsCollection balloonText: aText 
	| button |
	button := self
		target: target
		selector: sel
		balloonText: aText.
	button arguments: argsCollection.
	^ button! !

!TamButtonMorph class methodsFor: 'instance creation' stamp: 'AlainPlantec 10/7/2010 21:36'!
target: target selector: sel argumentsProvider: anObject argumentsSelector: aSelector 
	| button |
	button := self target: target selector: sel.
	button argumentsProvider: anObject argumentsSelector: aSelector.
	^ button! !

!TamButtonMorph class methodsFor: 'instance creation' stamp: 'AlainPlantec 10/7/2010 21:36'!
target: target selector: sel argumentsProvider: anObject argumentsSelector: aSelector balloonText: aText 
	| button |
	button := self
		target: target
		selector: sel
		balloonText: aText.
	button argumentsProvider: anObject argumentsSelector: aSelector.
	^ button! !

!TamButtonMorph class methodsFor: 'instance creation' stamp: 'AlainPlantec 10/7/2010 21:36'!
target: target selector: sel balloonText: aText 
	| button |
	button := self target: target selector: sel.
	button setBalloonText: aText.
	^ button! !

!TamButtonMorph methodsFor: 'initialize-release' stamp: 'apl 7/25/2005 12:02'!
destroy
	self model: nil.
arguments := nil! !

!TamButtonMorph methodsFor: 'initialize-release' stamp: 'apl 7/25/2005 11:54'!
destroyedModel: anObject 
	model = anObject
		ifTrue: [self destroy]! !

!TamButtonMorph methodsFor: 'accessing' stamp: 'AlainPlantec 10/15/2010 11:37'!
extent: aPoint	
	super extent: aPoint.	! !

!TamButtonMorph methodsFor: 'private' stamp: 'apl 6/6/2005 17:21'!
getModelState
	"Answer the result of sending the receiver's model the getStateSelector message."

	^(getStateSelector isNil or: [model isNil])
		ifTrue: [false]
		ifFalse: [model perform: getStateSelector]! !

!TamButtonMorph methodsFor: 'accessing' stamp: 'tam 10/8/2003 10:53'!
minimumExtent
	^ 2 @ 2! !

!TamButtonMorph methodsFor: 'updating' stamp: 'apl 6/16/2005 09:40'!
update: aParameter 
	super update: aParameter! !

!TamButtonMorph methodsFor: 'accessing' stamp: 'tam 7/4/2003 16:52'!
updateIfNeeded	! !

TamButtonMorph subclass: #TamMaskableButtonMorph
	instanceVariableNames: 'borderColorBuf showSelector isActive mode offForm sketchMorph onForm'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Tamaris-UI'!

!TamMaskableButtonMorph class methodsFor: 'instance creation' stamp: 'apl 4/16/2005 08:20'!
form: form target: target selector: sel arguments: argsCollection  extent: aPoint 
	| button |
	button := self 
				form: form
				target: target
				selector: sel  extent: aPoint .
	button arguments: argsCollection.
	^button! !

!TamMaskableButtonMorph class methodsFor: 'instance creation' stamp: 'apl 4/16/2005 08:18'!
form: form target: target selector: sel arguments: argsCollection  extent: aPoint  balloonText: aText 
	| button |
	button := self 
				form: form
				target: target
				selector: sel  extent: aPoint 
				balloonText: aText.
	button arguments: argsCollection.
	^button! !

!TamMaskableButtonMorph class methodsFor: 'instance creation' stamp: 'apl 4/16/2005 08:21'!
form: form target: target selector: sel argumentsProvider: anObject argumentsSelector: aSelector  extent: aPoint 
	| button |
	button := self 
				form: form
				target: target
				selector: sel  extent: aPoint .
	button argumentsProvider: anObject argumentsSelector: aSelector.
	^button! !

!TamMaskableButtonMorph class methodsFor: 'instance creation' stamp: 'apl 4/16/2005 08:22'!
form: form target: target selector: sel argumentsProvider: anObject argumentsSelector: aSelector  extent: aPoint  balloonText: aText 
	| button |
	button := self 
				form: form
				target: target
				selector: sel  extent: aPoint 
				balloonText: aText.
	button argumentsProvider: anObject argumentsSelector: aSelector.
	^button! !

!TamMaskableButtonMorph class methodsFor: 'instance creation' stamp: 'apl 4/16/2005 08:17'!
form: form target: target selector: sel extent: aPoint 
	| button |
	button := super target: target selector: sel.
	button setForm: form.
	button extent: aPoint.
	^button! !

!TamMaskableButtonMorph class methodsFor: 'instance creation' stamp: 'apl 4/16/2005 08:21'!
form: form target: target selector: sel  extent: aPoint  balloonText: aText 
	| button |
	button := self 
				form: form
				target: target
				selector: sel  extent: aPoint .
	button setBalloonText: aText.
	^button! !

!TamMaskableButtonMorph class methodsFor: 'instance creation' stamp: 'apl 4/16/2005 08:22'!
formName: aName target: target selector: sel arguments: argsCollection  extent: aPoint  balloonText: aText 
	| button |
	button := self 
				form: (TamIcons icon: aName)
				target: target
				selector: sel  extent: aPoint 
				balloonText: aText.
	argsCollection ifNotNil: [button arguments: argsCollection].
	^button! !

!TamMaskableButtonMorph class methodsFor: 'instance creation' stamp: 'apl 4/16/2005 08:21'!
formName: aName target: target selector: sel  extent: aPoint 
	^self 
		form: (TamIcons icon: aName)
		target: target
		selector: sel  extent: aPoint ! !

!TamMaskableButtonMorph class methodsFor: 'instance creation' stamp: 'apl 4/16/2005 08:22'!
formName: aName target: target selector: sel  extent: aPoint  balloonText: aText 
	^self 
		form: (TamIcons icon: aName)
		target: target
		selector: sel  extent: aPoint 
		balloonText: aText! !

!TamMaskableButtonMorph class methodsFor: 'instance creation' stamp: 'apl 1/31/2007 14:58'!
label: aName target: aTarget selector: aSelector arguments: args balloonText: aText 
	| btn |
	btn := self new.
	btn model: aTarget.
	btn label: aName.
	btn action: aSelector.
	btn arguments: args.
	btn setBalloonText: aText.
^ btn	
! !

!TamMaskableButtonMorph class methodsFor: 'instance creation' stamp: 'apl 6/11/2005 13:18'!
onForm: form offForm: anotherForm target: target selector: sel extent: aPoint 
	| button |
	button := super target: target selector: sel.
	button onForm: form offForm: anotherForm.
	button extent: aPoint.
	^button! !

!TamMaskableButtonMorph class methodsFor: 'instance creation' stamp: 'apl 6/11/2005 14:19'!
onForm: form offForm: anotherForm target: target selector: sel extent: aPoint balloonText: aText 
	| button |
	button := super target: target selector: sel.
	button onForm: form offForm: anotherForm.
	button setBalloonText: aText.
	button extent: aPoint.
	^button! !

!TamMaskableButtonMorph class methodsFor: 'instance creation' stamp: 'apl 6/11/2005 13:19'!
onFormName: aName offFormName: aName2 target: target selector: sel extent: aPoint 
	^self 
		onForm: (TamIcons icon: aName)
		offForm: (TamIcons icon: aName2)
		target: target
		selector: sel
		extent: aPoint! !

!TamMaskableButtonMorph class methodsFor: 'instance creation' stamp: 'apl 6/11/2005 14:10'!
onFormName: aName offFormName: aName2 target: target selector: sel extent: aPoint balloonText: aText 
	^self 
		onForm: (TamIcons icon: aName)
		offForm: (TamIcons icon: aName2)
		target: target
		selector: sel
		extent: aPoint balloonText: aText ! !

!TamMaskableButtonMorph class methodsFor: 'accessing' stamp: 'apl 4/22/2005 13:22'!
regularBorderColor
	^ Color transparent! !

!TamMaskableButtonMorph methodsFor: 'accessing' stamp: 'apl 4/4/2006 08:42'!
borderColor: aColor 
	super borderColor: aColor! !

!TamMaskableButtonMorph methodsFor: 'accessing' stamp: 'AlainPlantec 10/15/2010 10:27'!
buildOffForm
	offForm := self getOnForm deepCopy.
	offForm replaceColor: Color transparent withColor: Color white.
	offForm colorsUsed 
		do: [:c | offForm replaceColor: c withColor: (c alphaMixed: 0.3 with: Color white)]! !

!TamMaskableButtonMorph methodsFor: 'initialize-release' stamp: 'apl 6/16/2005 09:31'!
delete
	owner := nil.
	model := nil.
	sketchMorph
		ifNotNil: [sketchMorph delete.
			sketchMorph := nil].
	offForm := nil.
	onForm := nil.
	super destroy! !

!TamMaskableButtonMorph methodsFor: 'initialize-release' stamp: 'apl 6/11/2005 16:29'!
destroy
	self delete.
	owner := nil.
	model := nil.
	sketchMorph ifNotNil: 
			[sketchMorph delete.
			sketchMorph := nil].
	offForm := nil.
	onForm := nil.
	super destroy! !

!TamMaskableButtonMorph methodsFor: 'accessing' stamp: 'apl 6/11/2005 16:29'!
getOffForm
	^offForm isSymbol ifTrue: [model perform: offForm] ifFalse: [offForm]! !

!TamMaskableButtonMorph methodsFor: 'accessing' stamp: 'apl 6/11/2005 16:29'!
getOnForm
	^onForm isSymbol ifTrue: [model perform: onForm]
		ifFalse: [onForm]! !

!TamMaskableButtonMorph methodsFor: 'initialize-release' stamp: 'AlainPlantec 10/15/2010 11:43'!
initialize
	super initialize.
	isActive := true.
	mode := #on.
	self useSquareCorners.
	self vResizing: #rigid.
	self hResizing: #rigid.
	self extent: Tamaris buttonExtent.
! !

!TamMaskableButtonMorph methodsFor: 'private' stamp: 'apl 4/19/2005 23:19'!
invokeMenu: evt 
	| result |
	result := super invokeMenu: evt.
	self mouseLeave: nil.
	^result! !

!TamMaskableButtonMorph methodsFor: 'accessing' stamp: 'AlainPlantec 10/7/2010 21:53'!
menu: aMenuSelector 
	getMenuSelector := aMenuSelector! !

!TamMaskableButtonMorph methodsFor: 'accessing' stamp: 'AlainPlantec 10/15/2010 11:30'!
onForm: aForm offForm: anotherForm 
	onForm := aForm.
	offForm := anotherForm.
	mode := #alwaysOn.! !

!TamMaskableButtonMorph methodsFor: 'updating' stamp: 'AlainPlantec 10/15/2010 11:47'!
onOff: aBoolean 
	| formToSet ext |
	aBoolean
		ifTrue: [
			self setMode: #on. 
			formToSet := self getOnForm]
		ifFalse: [
			self setMode: #off.
			formToSet := self getOffForm].
	sketchMorph := AlphaImageMorph withForm:  formToSet.
	sketchMorph layout: #center.
	self label: sketchMorph.
	self enable: aBoolean
				

! !

!TamMaskableButtonMorph methodsFor: 'accessing' stamp: 'AlainPlantec 10/15/2010 11:45'!
resetOnForm
	sketchMorph := AlphaImageMorph withForm:  self getOnForm.
	sketchMorph layout: #center.
	self label: sketchMorph.
! !

!TamMaskableButtonMorph methodsFor: 'accessing' stamp: 'apl 6/15/2005 22:34'!
setForm: aForm 
	onForm := aForm.
	self buildOffForm.
	self resetOnForm.
	mode := #on! !

!TamMaskableButtonMorph methodsFor: 'updating' stamp: 'apl 6/15/2005 22:32'!
setMode: onOrOff 
	mode ~= #alwaysOn
		ifTrue: [mode := onOrOff]! !

!TamMaskableButtonMorph methodsFor: 'accessing' stamp: 'apl 6/8/2004 23:01'!
showSelector
	^ showSelector! !

!TamMaskableButtonMorph methodsFor: 'accessing' stamp: 'apl 6/8/2004 23:07'!
showSelector: aSelector
	showSelector := aSelector! !

!TamMaskableButtonMorph methodsFor: 'updating' stamp: 'apl 4/4/2006 08:45'!
update: aParameter 

	aParameter = #updateIfNeeded
		ifTrue: [self updateIfNeeded].
	super update: aParameter! !

!TamMaskableButtonMorph methodsFor: 'updating' stamp: 'AlainPlantec 10/15/2010 11:45'!
updateIfNeeded
	onForm isSymbol
		ifTrue: [self resetOnForm].
	self showSelector
		ifNotNil: [[self
				onOff: (model perform: self showSelector)]
				on: Error
				do: [:ex | self class name , '>>updateIfNeeded: (' , ex asString , ')']]! !

!SystemWindow methodsFor: '*tamaris' stamp: 'apl 7/8/2005 19:54'!
emptyLabelArea
	labelArea
		ifNotNil: [labelArea delete. labelArea := nil]! !

!Browser class methodsFor: '*tamaris-instance creation' stamp: 'apl 9/26/2007 13:54'!
buildTamarisWindow
	^ self new openAsMorphEditing: nil! !

!Browser methodsFor: '*tamaris-browser-history-handling' stamp: 'apl 1/29/2007 11:41'!
decorateButtons
	self getHistory.
	self decorateHistoryButtons.
	super decorateButtons! !

!Browser methodsFor: '*tamaris-browser-history-handling' stamp: 'apl 4/9/2005 03:35'!
decorateHistoryButton: aButton isColorizedTest: aBlock 
	aButton ifNotNil: [
	aBlock value
		ifTrue: [aButton offColor: Color green muchLighter]
		ifFalse: [aButton offColor: Color transparent]]! !

!Browser methodsFor: '*tamaris-browser-history-handling' stamp: 'apl 4/10/2005 21:57'!
decorateHistoryButtons
	self
		decorateHistoryButton: self historyPrevButton
		isColorizedTest: [self getHistory canSelectPrev].

	self
		decorateHistoryButton: self historyNextButton
		isColorizedTest: [self getHistory canSelectNext].
	self
		decorateHistoryButton: self historyRecentsButton
		isColorizedTest: [self getHistory canShowRecents]! !

!Browser methodsFor: '*tamaris-browser-history-handling' stamp: 'apl 1/29/2007 10:56'!
getHistory
	^ DependentBrowserHistoryList historyListFor: self 
! !

!Browser methodsFor: '*tamaris-browser-history-handling' stamp: 'AlainPlantec 4/26/2012 08:49'!
historyItem
	| class |
	self haltOnce.
	^ (self selectedClass notNil and: [self selectedMessageName notNil])
		ifTrue: [class := self metaClassIndicated
			ifTrue: [self selectedClass class]
			ifFalse: [self selectedClass].
		BrowserHistoryItem methodReference: (RGMethodDefinition realClass: class selector: self selectedMessageName)]! !

!Browser methodsFor: '*tamaris-browser-history-handling' stamp: 'apl 4/11/2005 16:22'!
historyItemWhenUpdatedWith: aSymbol 
	^ (#(#editSelection ) includes: aSymbol)
		ifTrue: [(#(#editClass #editMessage) includes: self editSelection)
				ifTrue: [self historyItem]]! !

!Browser methodsFor: '*tamaris-browser-history-handling' stamp: 'apl 4/9/2005 03:30'!
historyNext
	self okToChange
		ifTrue: [self getHistory selectNext.self decorateHistoryButtons]! !

!Browser methodsFor: '*tamaris-browser-history-handling' stamp: 'apl 4/9/2005 03:19'!
historyNextButton
	"If receiver has an historyNext button, answer it, else answer nil. morphic 
	only at this point"
	^ self buttonWithSelector: #historyNext
! !

!Browser methodsFor: '*tamaris-browser-history-handling' stamp: 'apl 4/9/2005 03:30'!
historyPrev
	self okToChange
		ifTrue: [self getHistory selectPrev.self decorateHistoryButtons.]! !

!Browser methodsFor: '*tamaris-browser-history-handling' stamp: 'apl 4/9/2005 03:19'!
historyPrevButton
	"If receiver has an historyNext button, answer it, else answer nil. morphic  
	only at this point"
	^ self buttonWithSelector: #historyPrev! !

!Browser methodsFor: '*tamaris-browser-history-handling' stamp: 'apl 4/9/2005 03:30'!
historyRecents
	self getHistory selectFromRecentsList.self decorateHistoryButtons! !

!Browser methodsFor: '*tamaris-browser-history-handling' stamp: 'apl 4/9/2005 03:20'!
historyRecentsButton
	"If receiver has an historyNext button, answer it, else answer nil. morphic  
	only at this point"
	^ self buttonWithSelector: #historyRecents! !

!Browser methodsFor: '*tamaris-browser-history-handling' stamp: 'AlainPlantec 4/26/2012 08:40'!
isBrowserHistoryItemValid: anHistoryItem 
	^ anHistoryItem methodReference selector asSymbol = #Definition
		or: [anHistoryItem methodReference isDefined]! !

!Browser methodsFor: '*tamaris-navigating' stamp: 'apl 9/26/2007 14:46'!
jumpToClass: aClass 
	self setClass: aClass selector: nil! !

!Browser methodsFor: '*tamaris-navigating' stamp: 'apl 9/26/2007 14:46'!
jumpToClass: aClass selector: aSelector
	self setClass: aClass selector: aSelector! !

!Browser methodsFor: '*tamaris-navigating' stamp: 'apl 9/26/2007 14:51'!
jumpToClassCategory: aString 
	| idx |
	idx :=  ( self systemCategoryList
				indexOf: aString asSymbol
				ifAbsent: [self inform: 'Can''t find ''' ,aString , ''' category!!'.
					^ self]).
	self systemCategoryListIndex: idx! !

!Browser methodsFor: '*tamaris-browser-history-handling' stamp: 'apl 4/9/2005 09:11'!
optionalButtonPairs
	"Answer a tuple (formerly pairs) defining buttons, in the format:  
	button label  
	selector to send  
	help message"
	| aList |
	aList := super optionalButtonPairs asOrderedCollection.
	aList addAll: #(#('<' #historyPrev 'previous') #('>' #historyNext 'next') #('<>' #historyRecents 'recents list menu') ).
	^ aList asArray! !

!Browser methodsFor: '*tamaris-browser-history-handling' stamp: 'AlainPlantec 4/26/2012 08:44'!
setFromBrowserHistoryItem: anHistoryItem 
	"Transcript show: anHistoryItem asString , ' '."
	| methRef class classIsMeta methodSymbol messageCategory |
	methRef := anHistoryItem methodReference.
	class :=  methRef realClass ifNil: [^ false].
	classIsMeta := methRef classIsMeta.
	methodSymbol := methRef selector asSymbol.
	messageCategory := class whichCategoryIncludesSelector: methodSymbol.
	self selectedSystemCategoryName ~= class category
		ifTrue: [self selectCategoryForClass: class].
	self selectedClass ~= class
		ifTrue: [self selectClass: class].
	classIsMeta ~= self metaClassIndicated
		ifTrue: [self metaClassIndicated: classIsMeta].
	self selectedMessageCategoryName ~= messageCategory
		ifTrue: [self selectMessageCategoryNamed: messageCategory].
	self selectedMessageName ~= methodSymbol
		ifTrue: [self selectedMessageName: methodSymbol].
	^ true! !

!Browser methodsFor: '*tamaris-browser-history-handling' stamp: 'AlainPlantec 4/26/2012 08:45'!
updateHistory: aSymbol 
	"called from a DependentBrowserHistoryList>>update:"
	| newHItem |
	(newHItem := self historyItemWhenUpdatedWith: aSymbol)
		ifNotNil: [self getHistory addItem: newHItem.
			self decorateHistoryButtons]! !

StringMorphEditor subclass: #TamStringMorphEditor
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Tamaris-UI'!

!TamStringMorphEditor methodsFor: 'initialization' stamp: 'apl 4/22/2005 20:14'!
initialize
	"Initialize the receiver.  Give it a white background"

	super initialize.
	self color: Color black.! !

!TamStringMorphEditor methodsFor: 'event handling' stamp: 'apl 4/22/2005 20:01'!
keyboardFocusChange: aBoolean 
	owner ifNotNil: [super keyboardFocusChange: aBoolean].
! !

StringHolder subclass: #TamStringHolder
	instanceVariableNames: 'doItContext doItReceiver textMorph'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Tamaris-UI'!

!TamStringHolder commentStamp: 'apl 12/8/2006 21:15' prior: 0!
A TamStringHolder is a StringHolder for Tamaris.

Instance Variables
	doItContext:		<Object>
	doItReceiver:		<Object>
	textMorph:		<Object>

doItContext
	- xxxxx

doItReceiver
	- xxxxx

textMorph
	- xxxxx

!

!TamStringHolder methodsFor: 'accessing' stamp: 'tam 2/24/2004 17:35'!
contents: textOrString 
	super contents: textOrString .
	self changed: #contents
! !

!TamStringHolder methodsFor: 'initialize-release' stamp: 'apl 6/3/2005 16:39'!
destroy
	self doItReceiver: nil.
	super destroy! !

!TamStringHolder methodsFor: 'evaluation' stamp: 'tam 4/23/2003 12:03'!
doItContext	"Answer the context in which a text selection can be evaluated."	^ doItContext! !

!TamStringHolder methodsFor: 'accessing' stamp: 'tam 4/23/2003 12:03'!
doItContext: anObject	doItContext := anObject! !

!TamStringHolder methodsFor: 'evaluation' stamp: 'tam 4/23/2003 12:03'!
doItReceiver	"Answer the object that should be informed of the result of  	evaluating a  	text selection."	^ doItReceiver! !

!TamStringHolder methodsFor: 'accessing' stamp: 'tam 4/23/2003 12:03'!
doItReceiver: anObject	doItReceiver := anObject! !

!TamStringHolder methodsFor: 'initialize-release' stamp: 'AlainPlantec 4/26/2012 09:56'!
embeddedInMorphicWindowLabeled: labelString 
	| window |	
	window  :=  super embeddedInMorphicWindowLabeled: labelString.	
	textMorph := window findA: PluggableTextMorph.	 
	^ window! !

!TamStringHolder methodsFor: 'accessing' stamp: 'AlainPlantec 4/26/2012 09:56'!
textMorph	
	^ textMorph! !

AlignmentMorph subclass: #TamButtonsAlignmentMorph
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Tamaris-UI'!

!TamButtonsAlignmentMorph class methodsFor: 'instance creation' stamp: 'apl 4/22/2005 13:45'!
newColumn
	| bl |
	bl := super newColumn.
	bl
		color: Color transparent;
		borderWidth: 0;
		layoutInset: 0;
		hResizing: #shrinkWrap;
		vResizing: #shrinkWrap.
	^bl! !

!TamButtonsAlignmentMorph class methodsFor: 'instance creation' stamp: 'AlainPlantec 10/14/2010 22:15'!
newRow
	| bl |
	bl := super newRow.
	bl color: Color transparent;
		 borderWidth: 0;
		 layoutInset: 2;
		 hResizing: #shrinkWrap;
		 vResizing: #shrinkWrap.
	^ bl! !

!TamButtonsAlignmentMorph class methodsFor: 'accessing' stamp: 'AlainPlantec 10/14/2010 21:51'!
typicalColumnOwner
	^(AlignmentMorph newColumn)
		layoutInset: 0;
		borderWidth: 0;
		color: Color transparent;
		yourself
! !

!TamButtonsAlignmentMorph class methodsFor: 'accessing' stamp: 'AlainPlantec 10/14/2010 21:51'!
typicalRowOwner
	^(AlignmentMorph newRow)
		layoutInset: 0;
		borderWidth: 0;
		color: Color transparent;
		vResizing: #shrinkWrap;
		borderColor: Color black;
		yourself! !

!TamButtonsAlignmentMorph methodsFor: 'accessing' stamp: 'apl 1/31/2007 13:19'!
addExtensibleSpacer
	self
		addMorphFront: (AlignmentMorph newSpacer: Color transparent)! !

!TamButtonsAlignmentMorph methodsFor: 'accessing' stamp: 'AlainPlantec 5/2/2012 19:57'!
addSpacer
	| spacer |
	spacer := self addSpacerOfColor: self color darker.
	^ spacer! !

!TamButtonsAlignmentMorph methodsFor: 'accessing' stamp: 'apl 4/16/2005 11:27'!
addSpacerOfColor: aColor 
	| spacer container |
	container := AlignmentMorph new.
	container layoutInset: 4.
	container color: Color transparent.
	container borderColor: Color transparent.
	container borderWidth: 0.
	spacer := self class newSpacer: aColor.
	container addMorph: spacer.
	self addMorph: container.
^ spacer! !

!TamButtonsAlignmentMorph methodsFor: 'accessing' stamp: 'apl 9/28/2007 07:40'!
addTransparentFixSpacer
	| spacer |
	spacer := Morph new.
	spacer color: Color transparent.
	spacer	hResizing: #rigid;
		vResizing: #spaceFill;
		borderWidth: 0;
		extent: 5@1.
	self addMorph: spacer.
	^ spacer! !

!TamButtonsAlignmentMorph methodsFor: 'accessing' stamp: 'apl 4/16/2005 09:40'!
addTransparentSpacer
	self addSpacerOfColor: Color transparent! !

!TamButtonsAlignmentMorph methodsFor: 'initialize/release' stamp: 'apl 6/15/2005 21:37'!
destroy
	owner := nil.
	super destroy! !

!TamButtonsAlignmentMorph methodsFor: 'initialize/release' stamp: 'apl 6/15/2005 21:37'!
initialize
	super initialize.
	self borderColor: Color transparent.
	self useSquareCorners.
	self layoutPolicy: TableLayout new.
! !

!TamButtonsAlignmentMorph methodsFor: 'accessing' stamp: 'apl 4/16/2005 09:07'!
isColumn
	^self rowOrColumn = #column! !

!TamButtonsAlignmentMorph methodsFor: 'accessing' stamp: 'apl 4/16/2005 09:07'!
isRow
	^ self rowOrColumn = #row
! !

!TamButtonsAlignmentMorph methodsFor: 'accessing' stamp: 'apl 4/16/2005 09:03'!
rowOrColumn
	(#(#leftToRight #rightToLeft) includes: self listDirection) ifTrue: [^#row].
	^ #column
! !

!TamButtonsAlignmentMorph methodsFor: 'updating' stamp: 'apl 6/16/2005 09:49'!
step
	self updateIfNeeded! !

!TamButtonsAlignmentMorph methodsFor: 'updating' stamp: 'apl 4/4/2006 08:48'!
stepTime
	^ 400! !

!TamButtonsAlignmentMorph methodsFor: 'updating' stamp: 'apl 6/16/2005 09:33'!
updateIfNeeded
	self submorphsDo: [:sm | sm update: #updateIfNeeded]! !

!TamButtonsAlignmentMorph methodsFor: 'updating' stamp: 'apl 6/16/2005 09:49'!
wantsSteps
	^ true! !

ScrollPane subclass: #TamBrowserScrollPane
	instanceVariableNames: 'pastUp'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Tamaris-UI'!

!TamBrowserScrollPane methodsFor: 'geometry' stamp: 'apl 4/2/2004 16:13'!
extent: newExtent 
	super
		extent: (newExtent max: 36 @ 16).
	pastUp
		ifNotNil: [
			pastUp extent: self innerBounds width - 6 @ self extent y.
			pastUp layoutChanged.self changed].
	self setScrollDeltas! !

!TamBrowserScrollPane methodsFor: 'initialize/release' stamp: 'apl 4/2/2004 16:15'!
initialize
	super initialize.
	pastUp := AlignmentMorph newRow.
	scroller addMorph: pastUp.
	pastUp layoutPolicy: TableLayout new.
	pastUp listDirection: #leftToRight.
	pastUp wrapDirection: #TopToBottom.
	pastUp vResizing: #shrinkWrapp.
	pastUp hResizing: #shrinkWrapp.
	pastUp borderWidth: 0.
	pastUp color: Color transparent! !

!TamBrowserScrollPane methodsFor: 'accessing' stamp: 'apl 4/2/2004 10:46'!
pastUp
	^pastUp! !

!TamBrowserScrollPane methodsFor: 'accessing' stamp: 'apl 4/2/2004 10:46'!
pastUp: anObject
	pastUp := anObject! !

!TamBrowserScrollPane methodsFor: 'geometry' stamp: 'apl 4/2/2004 10:49'!
resetExtent
	self extent: self extent.! !

!TamBrowserScrollPane methodsFor: 'geometry' stamp: 'apl 4/23/2005 01:11'!
vUnadjustedScrollRange
	"Return the width of the widest item in the list"

	pastUp submorphs notEmpty ifFalse: [^0].
	^pastUp submorphs last fullBounds bottom! !

Model subclass: #TamHierarchicalList
	instanceVariableNames: 'currentSelection'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Tamaris-UI'!

TamHierarchicalList subclass: #TamBrowser
	instanceVariableNames: 'mainWindow rootWrapper listBtnRow listBtnRowHeight listButtons listMorph editorRow manager editorsIndex localWorkspaceHolder localWorkspaceHeight localWorkspacePaneMorph localWorkspacePaneContents specificButtonsAlignment worldButtons globalRecentsInput recentsRow'
	classVariableNames: 'InitialExtent TaxonomyListWidth'
	poolDictionaries: ''
	category: 'Tamaris-UI'!

!TamBrowser class methodsFor: 'accessing' stamp: 'apl 6/29/2007 11:08'!
buttonExtent 
	^ Tamaris buttonExtent! !

!TamBrowser class methodsFor: 'private reference removing' stamp: 'apl 6/23/2005 12:28'!
destroyEditorFor: aReference 
	self allInstances copy
		do: [:brw | brw destroyEditorFor: aReference]! !

!TamBrowser class methodsFor: 'private reference removing' stamp: 'apl 4/3/2006 16:55'!
destroyNotSelectedEditorFor: aReference 
	self allInstances copy
		do: [:brw | brw destroyNotSelectedEditorFor: aReference]! !

!TamBrowser class methodsFor: 'dialog building' stamp: 'apl 10/26/2006 18:24'!
genericTree: aTitle flatCollection: aCollectionOfCollection selectingBlock: selBlock client: aClientModel 
	| aghl |
	aghl := TamGenericHierarchicalList 
				fromFlatCollection: aCollectionOfCollection
				title: aTitle
				client: aClientModel.
	aghl doDeeply: [:el | el selectingBlock: selBlock].
	aghl doDeeply: [:el | el unSelectingBlock: [:e | ]].
	aghl open.
	aghl expandAll.
	^ aghl! !

!TamBrowser class methodsFor: 'dialog building' stamp: 'apl 4/6/2006 22:34'!
genericTree: aTitle listBlock: listBlock selectingBlock: selBlock client: aClientModel 
	| aghl parentsChain |
	(TamGenericHierarchicalList openedHierarchicalListsOfClient: aClientModel key: aTitle)
		ifNotEmpty: [:founds | founds
				do: [:w | w delete; destroy]].
	aghl := TamGenericHierarchicalList
				fromUpdateBlock: [:hl | 
					hl
						fromFlatCollection: (listBlock value
								inject: OrderedCollection new
								into: [:col :r | 
									parentsChain := r parentsChain.
									parentsChain add: r.
									col add: parentsChain;
										 yourself]).
					hl
						doDeeply: [:el | el selectingBlock: selBlock].
					hl
						doDeeply: [:el | el unSelectingBlock: [:e ]]]
				title: aTitle
				client: aClientModel.
	aghl open.
	aghl expandAll.
	^ aghl! !

!TamBrowser class methodsFor: 'accessing' stamp: 'AlainPlantec 10/1/2010 13:46'!
initialExtent	^InitialExtent ifNil: [InitialExtent := 750@550]! !

!TamBrowser class methodsFor: 'accessing' stamp: 'tam 5/27/2003 10:35'!
initialExtent: aPoint 	InitialExtent := aPoint! !

!TamBrowser class methodsFor: 'class initialization' stamp: 'AlainPlantec 1/11/2010 16:59'!
initialize	"self initialize"	! !

!TamBrowser class methodsFor: 'accessing' stamp: 'apl 4/22/2005 01:54'!
localWorkspaceNumberOfLines
	^4! !

!TamBrowser class methodsFor: 'instance creation' stamp: 'apl 6/3/2005 18:35'!
onReference: aReference 
	| aNewOne |
	aNewOne := self new.
	aReference ifNotNil: 
			[aNewOne 
				rootWrapper: (aReference wrapperClass with: aReference model: nil)].
	^aNewOne buildMainWindow! !

!TamBrowser class methodsFor: 'instance creation' stamp: 'tam 6/5/2003 12:36'!
onReference: aReference window: aWindow ^ self onReference: aReference window: aWindow direction: #toRight! !

!TamBrowser class methodsFor: 'instance creation' stamp: 'tam 6/30/2003 18:47'!
onReference: aReference window: aWindow direction: ToRightOrToLeft 	^ self		onReference: aReference		window: aWindow		insideManager: nil		direction: ToRightOrToLeft! !

!TamBrowser class methodsFor: 'instance creation' stamp: 'apl 6/3/2005 18:35'!
onReference: aReference window: aWindow insideManager: aTamManager direction: ToRightOrToLeft 
	| aNewOne |
	aNewOne := self new.
	aReference ifNotNil: 
			[aNewOne 
				rootWrapper: (aReference wrapperClass with: aReference model: nil)].
	aWindow model: aNewOne.
	aNewOne 
		buildWindow: aWindow
		insideManager: aTamManager
		direction: ToRightOrToLeft.
	^aWindow! !

!TamBrowser class methodsFor: 'instance creation' stamp: 'tam 3/5/2004 17:34'!
open
	self openOnReference: TamManagerItem default taxonomy
! !

!TamBrowser class methodsFor: 'instance creation' stamp: 'AlainPlantec 10/7/2010 21:34'!
openOnReference: aReference 
	| awindow |
	(awindow := self onReference: aReference) openInWorld.
	^ awindow! !

!TamBrowser class methodsFor: 'installing/desinstalling' stamp: 'apl 7/9/2005 16:17'!
preferedWindowColor
	^ Color veryLightGray muchLighter! !

!TamBrowser class methodsFor: 'private reference removing' stamp: 'apl 2/16/2006 11:45'!
reloadEditorFor: aReference 

	self allInstances copy
		do: [:brw | brw reloadEditorFor: aReference ]! !

!TamBrowser class methodsFor: 'accessing' stamp: 'apl 4/18/2005 22:31'!
taxonomyListWidth
	^TaxonomyListWidth ifNil: [TaxonomyListWidth := 250]! !

!TamBrowser class methodsFor: 'accessing' stamp: 'apl 4/18/2005 22:32'!
taxonomyListWidth: anInteger
	TaxonomyListWidth := anInteger! !

!TamBrowser methodsFor: 'drag and drop' stamp: 'apl 11/2/2006 11:29'!
acceptDroppingMorph: transferMorph event: evt inMorph: dstListMorph 
	| destItem shouldCopy |
	(transferMorph respondsTo: #passenger) 
		ifTrue: 
			[(transferMorph passenger isKindOf: SelectionMorph) 
				ifTrue: [^ transferMorph passenger justDroppedInto: dstListMorph event: evt].
			(transferMorph passenger isKindOf: TamManagerItem) 
				ifTrue: [transferMorph passenger: transferMorph passenger taxonomy]].
	destItem := dstListMorph itemFromPoint: evt position.
	shouldCopy := (transferMorph respondsTo: #shouldCopy) 
				ifTrue: 
					[transferMorph shouldCopy 
						or: [(transferMorph source isKindOf: listMorph class) not]]
				ifFalse: [true].
	destItem ifNotNil: 
			[^ destItem complexContents acceptDroppingMorph: transferMorph
				copy: shouldCopy].
	^ rootWrapper notNil 
		and: [rootWrapper acceptDroppingMorph: transferMorph copy: shouldCopy]! !

!TamBrowser methodsFor: 'button actions' stamp: 'apl 4/22/2005 15:47'!
acceptRecentsInputContent: aFragment 
	self rootWrapperIsSet 
		ifFalse: 
			[manager 
				ifNotNil: [manager globalSearchListItemFromFragment: aFragment asString. ^ true]].
	self localSearchListItemFromFragment: aFragment asString.
	^true! !

!TamBrowser methodsFor: 'ui building' stamp: 'AlainPlantec 11/18/2010 09:55'!
addButtons: toRightOrToLeft 
	| btn recentsInput recentsButton |
	{{'32x32/actions/reload'. self. #reinitializeCurrentSelectionEditor. 'rebuild current selection editor'. #haveCurrentSelection}. {'16x16/actions/remove'. self. #removeCurrentSelection. 'remove selected item'. #canRemoveItem. #buildMenuRemoveSelection:}. #spacer. {'16x16/actions/up_level_green'. self. #selectUpLevel. 'move up current selection to owner level'. #canSelectUpLevel. #menuSelectUpLevel:}. {'16x16/actions/collapse_all'. self. #collapseAll. 'collapse all'. #canCollapseAll}. {'16x16/actions/local_recents'. self. #recentsTree. 'local recents list'. #canShowRecents}. {'16x16/actions/unaccepted'. self. #unacceptedList. 'list of unaccepted editors'. #haveUnaccepted}. {'16x16/actions/next_green'. self. #historyNext. 'go forward in history'. #canSelectHistoryNext. #menuHistoryNextList:}. {'16x16/actions/previous_green'. self. #historyPrev. 'go back in history'. #canSelectHistoryPrev. #menuHistoryPrevList:}. #spacer. {'16x16/actions/tam_browser_open'. self. #browseCurrentSelection. 'open selected item specific editor as detached window'. #haveCurrentSelection. #buildMenuBrowseSelection:}. {'16x16/apps/browser'. self. #insertBrowser. 'browse'. #rootWrapperIsSet}. {'16x16/actions/new_right'. self. #newReference. 'add new item into selected taxon or current taxonomy'. #canInsertNewReference}. {'22x22/actions/tool_dock'. self. #freeze. 'freeze current taxonomy'. #rootWrapperIsSet}. manager
		ifNotNil: [{'22x22/actions/view_top_bottom'. manager. #splitHorizontally. 'split manager horizontally'. nil. #splitMenu:}]. manager
		ifNotNil: [{'22x22/actions/bookmark_add'. manager. #bookmarksList. 'bookmarks list'. #showBookmarks}]}
		do: [:arr | arr
				ifNotNil: [arr == #spacer
						ifTrue: [self listButtons addSpacer]
						ifFalse: [btn := TamMaskableButtonMorph
										formName: arr first
										target: arr second
										selector: arr third
										extent: self buttonExtent
										balloonText: arr fourth.
							btn name: arr third.
							self listButtons addMorph: btn.
							arr size >= 5
								ifTrue: [btn showSelector: arr fifth.
									arr size >= 6
										ifTrue: [btn menu: arr sixth]]]]].
	toRightOrToLeft = #toRight
		ifTrue: [listBtnRow addMorph: listButtons]
		ifFalse: [listBtnRow addMorphBack: listButtons].
	worldButtons := TamButtonsAlignmentMorph newRow.
	{{'16x16/actions/several_windows'. self. #findWindow. 'Open find window wordl menu'}}
		do: [:arr | arr == #spacer
				ifTrue: [worldButtons addSpacer]
				ifFalse: [btn := TamMaskableButtonMorph
								formName: arr first
								target: arr second
								selector: arr third
								extent: self buttonExtent
								balloonText: arr fourth.
					btn name: arr third.
					worldButtons addMorph: btn]].
	recentsRow := TamButtonsAlignmentMorph newRow.
	recentsRow borderWidth: 1.
	recentsRow layoutInset: 0.
	recentsRow borderColor: Color lightGray.
	recentsRow color: Color white.
	recentsInput := UpdatingStringMorph on: self selector: #getRecentsInputContent.
	recentsInput putSelector: #acceptRecentsInputContent:.
	recentsInput hResizing: #spaceFill.
	recentsInput useStringFormat.
	recentsInput autoAcceptOnFocusLoss: false.
	self addDependent: recentsInput.
	recentsButton := TamMaskableButtonMorph
				formName: '16x16/actions/recents'
				target: self
				selector: #globalOrLocalRecentsListPopup
				extent: self buttonExtent
				balloonText: 'recents list'.
	recentsButton borderColor: #raised.
	recentsButton layoutInset: 0.
	recentsRow addMorph: recentsInput.
	recentsRow addTransparentFixSpacer.
	recentsRow addMorph: recentsButton.
	recentsRow hResizing: #spaceFill.
	listBtnRow addMorphBack: recentsRow.
	listBtnRow addTransparentSpacerOfSize: 2@1.
	listBtnRow addMorphBack: worldButtons! !

!TamBrowser methodsFor: 'accessing' stamp: 'apl 6/15/2005 21:36'!
addSpecificButtonsFor: aListItemReference 
	self specificButtonsAlignment addTransparentSpacer.
	aListItemReference specificButtonsColumn: self
		inAlignment: self specificButtonsAlignment.
! !

!TamBrowser methodsFor: 'initialize/release' stamp: 'apl 7/26/2005 11:22'!
allEditorsSuchThat: aBlock do: anotherBlock
	editorsIndex
		ifNotNil: [ editorsIndex copy
				keysAndValuesDo: [:k :v | (aBlock value: v)
						ifTrue: [anotherBlock value: v]]]! !

!TamBrowser methodsFor: 'accessing' stamp: 'apl 3/25/2005 13:05'!
anySelectedAndRemoveable
	^ self removeableSelection notEmpty! !

!TamBrowser methodsFor: 'accessing' stamp: 'apl 4/14/2005 10:49'!
boldBlueSelection
		^(listMorph respondsTo: #boldBlueEmphasisSet) 
		ifTrue: [listMorph boldBlueEmphasisSet asOrderedCollection]
		ifFalse: [#() asOrderedCollection]! !

!TamBrowser methodsFor: 'accessing' stamp: 'apl 4/14/2005 10:48'!
boldRedSelection
	^(listMorph respondsTo: #boldRedEmphasisSet) 
		ifTrue: [listMorph boldRedEmphasisSet asOrderedCollection]
		ifFalse: 
			[#() asOrderedCollection]! !

!TamBrowser methodsFor: 'updating' stamp: 'AlainPlantec 5/2/2012 16:04'!
boundsOf: oneOfMyMorphs updatedWith: newBounds 
	oneOfMyMorphs == listMorph 
		ifTrue: [self class taxonomyListWidth: newBounds width]! !

!TamBrowser methodsFor: 'button actions' stamp: 'tam 3/30/2004 10:51'!
browseCurrentSelection
	self getCurrentSelection notNil
		ifTrue: [^ self browseSelection: self getCurrentSelection].
! !

!TamBrowser methodsFor: 'button actions' stamp: 'tam 7/8/2003 13:15'!
browseSelection: aWrapper	^ aWrapper withoutListWrapper menuBrowse! !

!TamBrowser methodsFor: 'ui building' stamp: 'AlainPlantec 10/7/2010 16:35'!
buildMainWindow	| |	mainWindow := (SystemWindow labelled: self mainWindowLabel)				model: self.	self buildWindow: mainWindow.	^ mainWindow! !

!TamBrowser methodsFor: 'menus' stamp: 'tam 7/8/2003 14:21'!
buildMenuBrowseSelection: aMenu 	^ self genericMenu: aMenu selector: #browseSelection: recursive: true! !

!TamBrowser methodsFor: 'menus' stamp: 'apl 5/31/2005 19:16'!
buildMenuRemoveSelection: aMenu 
	self 
		genericMenu: aMenu
		selector: #removeSelection:
		conditionBlock: [:r | r isRemoveable]
		recursive: true.
	self anySelectedAndRemoveable 
		ifTrue: 
			[aMenu addLine.
			aMenu 
				add: 'remove all selected'
				target: self
				selector: #removeAllSelected].
	^aMenu! !

!TamBrowser methodsFor: 'menus' stamp: 'tam 10/11/2003 09:23'!
buildMenuSelection: aMenu 
	^ self
		genericMenu: aMenu
		selector: #noteNewSelection:
		recursive: true! !

!TamBrowser methodsFor: 'ui building' stamp: 'tam 6/5/2003 12:26'!
buildWindow: aWindow 	^ self buildWindow: aWindow direction: #toRight! !

!TamBrowser methodsFor: 'ui building' stamp: 'AlainPlantec 10/14/2010 22:04'!
buildWindow: aWindow direction: toRightOrToLeft 
	^ self
		buildWindow: aWindow
		insideManager: nil
		direction: toRightOrToLeft ! !

!TamBrowser methodsFor: 'ui building' stamp: 'AlainPlantec 5/2/2012 17:12'!
buildWindow: aWindow insideManager: aManager direction: toRightOrToLeft 
	| listBtnRowFrame listMorphFrame evalPaneMorphFrame editorRowFrame listAndEvalPaneMorphFrame listAndEvalPaneMorph leftDelta topFrame topRowHeight |
	topRowHeight := listBtnRowHeight + 2.
	manager := aManager.
	leftDelta := toRightOrToLeft = #ToRight
				ifTrue: [TamListItemReferenceUtil subFrameBorderDelta]
				ifFalse: [0].
	topFrame := TamListItemReferenceUtil subWindowClass model: self.
	aWindow
		addMorph: topFrame
		fullFrame: (LayoutFrame
				fractions: (0 @ 0 corner: 1 @ 1)
				offsets: (leftDelta
						@ (aManager
								ifNil: [topRowHeight]
								ifNotNil: [0]) corner: 0 @ 0)).
	aWindow model: self.
	evalPaneMorphFrame := self localWorkspacePaneMorphFrameInsideManager: aManager direction: toRightOrToLeft.
	listBtnRowFrame := self listBtnRowFrameInsideManager: aManager direction: toRightOrToLeft.
	listMorphFrame := self listMorphFrameInsideManager: aManager direction: toRightOrToLeft.
	editorRowFrame := self editorRowFrameInsideManager: aManager direction: toRightOrToLeft.
	listAndEvalPaneMorphFrame := self listAndWorkspacePaneMorphsFrameInsideManager: aManager direction: toRightOrToLeft.
	listButtons := TamButtonsAlignmentMorph newRow.
	aManager
		ifNil: [listBtnRow := TamButtonsAlignmentMorph typicalRowOwner]
		ifNotNil: [listBtnRow := aManager listBtnRow.
			listBtnRow addMorphBack: listButtons].
	listBtnRow borderColor: #raised.
	specificButtonsAlignment := TamButtonsAlignmentMorph newRow.
	listBtnRow addMorphBack: specificButtonsAlignment.
	editorRow := TamListItemReferenceUtil subWindowClass model: self.
	listAndEvalPaneMorph := TamListItemReferenceUtil subWindowClass model: self.
	listMorph := self hierarchicalListMorphClass
				on: self
				list: #getList
				selected: #getCurrentSelection
				changeSelected: #noteNewSelection:
				menu: #menu:shifted:
				keystroke: #keyStroke:from:.
	localWorkspaceHolder := TamStringHolder new.
	aManager
		ifNil: [mainWindow addMorph: listBtnRow fullFrame: listBtnRowFrame].
	listAndEvalPaneMorph addMorph: listMorph fullFrame: listMorphFrame.
	localWorkspacePaneMorph := PluggableTextMorph
				on: localWorkspaceHolder
				text: #contents
				accept: #acceptContents:
				readSelection: nil
				menu: #codePaneMenu:shifted:.
	self getLocalWorkspaceHeight > 0
		ifTrue: [listAndEvalPaneMorph addMorph: localWorkspacePaneMorph fullFrame: evalPaneMorphFrame.
			[localWorkspacePaneMorph color: Workspace patchworkUIThemeColor]
				on: Error
				do: [localWorkspacePaneMorph color: Color lightYellow twiceLighter twiceLighter twiceLighter]].
	localWorkspacePaneMorph borderWidth: 1.
	topFrame addMorph: listAndEvalPaneMorph fullFrame: listAndEvalPaneMorphFrame.
	topFrame addMorph: editorRow fullFrame: editorRowFrame.
	listBtnRow minimumExtent: 1 @ 1.
	self getLocalWorkspaceHeight > 0
		ifTrue: [listAndEvalPaneMorph addPaneHSplitterBetween: listMorph and: {localWorkspacePaneMorph}].
	toRightOrToLeft = #toRight
		ifTrue: [topFrame addPaneVSplitterBetween: listAndEvalPaneMorph and: {editorRow}]
		ifFalse: [topFrame addPaneVSplitterBetween: editorRow and: {listAndEvalPaneMorph}].
	self addButtons: toRightOrToLeft.
	listMorph autoDeselect: true.
	listMorph color: Color white.
	listMorph enableDragNDrop: true.
	listMorph selection: nil.
	listMorph changed: #getList.
	listMorph changed: #getSelection.
	topFrame startStepping.
	^ mainWindow! !

!TamBrowser methodsFor: 'accessing' stamp: 'apl 4/16/2005 08:29'!
buttonExtent
	^manager ifNil: [self class buttonExtent] ifNotNil: [manager buttonExtent]! !

!TamBrowser methodsFor: 'testing' stamp: 'apl 6/8/2004 23:32'!
canCollapseAll
	| topSubmorphs |
	^ (topSubmorphs := self listMorph scroller submorphs) size > 2
				and: [topSubmorphs
						anySatisfy: [:sm | sm isExpanded]]! !

!TamBrowser methodsFor: 'testing' stamp: 'apl 4/21/2005 23:39'!
canInsertNewReference
	^true! !

!TamBrowser methodsFor: 'testing' stamp: 'apl 6/8/2004 23:39'!
canMoveDownCurrentSelection
	^ self haveCurrentSelection
		and: [self unwrappedSelection canBeMovedDown]! !

!TamBrowser methodsFor: 'testing' stamp: 'apl 6/8/2004 23:38'!
canMoveUpCurrentSelection
	^ self haveCurrentSelection
		and: [self unwrappedSelection canBeMovedUp]! !

!TamBrowser methodsFor: 'testing' stamp: 'apl 4/18/2005 22:26'!
canRemoveItem
	^self rootWrapperIsSet ! !

!TamBrowser methodsFor: 'testing' stamp: 'apl 4/18/2005 19:44'!
canSearchItemByName
	^self rootWrapperIsSet or: [manager notNil ]
	! !

!TamBrowser methodsFor: 'history-handling' stamp: 'apl 1/29/2007 11:13'!
canSelectHistoryNext
	^ self rootWrapperIsSet and: [self getHistory canSelectNext]! !

!TamBrowser methodsFor: 'history-handling' stamp: 'apl 1/29/2007 11:13'!
canSelectHistoryPrev
	^ self rootWrapperIsSet and: [self getHistory canSelectPrev]! !

!TamBrowser methodsFor: 'testing' stamp: 'apl 6/8/2004 23:32'!
canSelectUpLevel
	| |
	^ self getCurrentSelection notNil
				and: [self getCurrentSelection withoutListWrapper hierarchyLevel > 1]! !

!TamBrowser methodsFor: 'history-handling' stamp: 'apl 1/29/2007 11:13'!
canShowRecents
	^ self rootWrapperIsSet and: [self getHistory canShowRecents]! !

!TamBrowser methodsFor: 'updating' stamp: 'apl 1/29/2007 11:13'!
checkAndClean
	self checkAndCleanEditorsIndex.
	self getHistory checkAndClean.
	TamListItemWrapper allSubInstances 
		do: [:w | (w item notNil and: [w item isReleased]) ifTrue: [w destroy]].
	TamIndentingListItemMorph allSubInstances do: 
			[:w | 
			(w complexContents notNil and: [w complexContents isReleased]) 
				ifTrue: [w delete]]! !

!TamBrowser methodsFor: 'updating' stamp: 'apl 2/9/2006 13:49'!
checkAndCleanAfterClassRemoval
	self getCurrentSelection
		ifNotNil: [(self getCurrentSelection isReleased or: [self getCurrentSelection withoutListWrapper isReleased])
				ifTrue: [self noteNewSelection: nil]].
	self destroyAllEditors.
	self getHistory checkAndClean! !

!TamBrowser methodsFor: 'updating' stamp: 'apl 9/28/2007 07:24'!
checkAndCleanEditorsIndex
	^ editorsIndex
		ifNotNil: [editorsIndex
				keysAndValuesRemove: [:k :v | k notNil
						and: [k isReleased]]]! !

!TamBrowser methodsFor: 'updating' stamp: 'apl 4/11/2006 09:37'!
checksAndCleanBrowserReferences
	editorsIndex copy
		keysAndValuesDo: [:ref :ed | ((ed model isKindOf: Browser)
					and: [ref isKindOf: TamBrowserReference])
				ifTrue: [self destroyEditorFor: ref.
					self unwrappedSelection = ref
						ifTrue: [(ref itemClass notNil and: [ref itemClass isObsolete])
								ifTrue: [self noteNewSelection: nil]
								ifFalse: [self noteNewSelection: ref]]]]! !

!TamBrowser methodsFor: 'updating' stamp: 'apl 6/16/2005 09:39'!
collapseAll
	self okToChange
		ifTrue: [self listMorph collapseAll.
			]! !

!TamBrowser methodsFor: 'updating' stamp: 'apl 6/16/2005 09:39'!
collapseItem: aMorph 
	^ super collapseItem: aMorph! !

!TamBrowser methodsFor: 'accessing' stamp: 'tam 1/16/2004 09:46'!
copyPasteBuffer
	^ TamManager copyPasteBuffer! !

!TamBrowser methodsFor: 'accessing' stamp: 'tam 1/16/2004 09:45'!
copyPasteBuffer: aSet 
	TamManager copyPasteBuffer: aSet! !

!TamBrowser methodsFor: 'accessing' stamp: 'apl 3/3/2006 15:38'!
copyPasteBufferList
	^ TamManager copyPasteBufferList! !

!TamBrowser methodsFor: 'copy/paste' stamp: 'apl 3/7/2006 09:42'!
copySelection
	self rootWrapper
		ifNotNil: [
				self copySelection: self selection]
				! !

!TamBrowser methodsFor: 'copy/paste' stamp: 'tam 1/16/2004 09:48'!
copySelection: aCollection 
	TamManager copySelection: aCollection ! !

!TamBrowser methodsFor: 'updating' stamp: 'tam 10/9/2003 12:50'!
createAndInsertImplementorsOf: aSelector 
	^ self createAndInsertImplementorsOf: aSelector local: false! !

!TamBrowser methodsFor: 'updating' stamp: 'apl 4/15/2005 12:01'!
createAndInsertImplementorsOf: aSelector local: aBoolean 
	| taxon localTo result |
	taxon := self unwrappedSelection 
				ifNil: [self rootWrapper withoutListWrapper]
				ifNotNil: [self unwrappedSelection parentTaxon].
	taxon ifNotNil: [
	aBoolean 
		ifTrue: 
			[(self unwrappedSelection notNil and: 
					[(localTo := self unwrappedSelection 
								localClassForSendersImplementorsQuery: self) notNil]) 
				ifTrue: 
					[result := TamMethodCrossedRefReference implementorsOf: aSelector
								localTo: localTo]]
		ifFalse: [result := TamMethodCrossedRefReference implementorsOf: aSelector].
	result ifNotNil: 
			[taxon insertReference: result.
			self noteNewSelection: result]]! !

!TamBrowser methodsFor: 'updating' stamp: 'tam 10/9/2003 12:51'!
createAndInsertLocalImplementorsOf: aSelector 
	^ self createAndInsertImplementorsOf: aSelector local: true! !

!TamBrowser methodsFor: 'updating' stamp: 'tam 10/9/2003 12:51'!
createAndInsertLocalSendersOf: aSelector 
	^ self createAndInsertSendersOf: aSelector local: true! !

!TamBrowser methodsFor: 'updating' stamp: 'tam 10/9/2003 12:51'!
createAndInsertSendersOf: aSelector 
	^ self createAndInsertSendersOf: aSelector local: false! !

!TamBrowser methodsFor: 'updating' stamp: 'AlainPlantec 10/7/2010 16:35'!
createAndInsertSendersOf: aSelector local: aBoolean 
	| taxon localTo result |
	taxon := self unwrappedSelection
				ifNil: [self rootWrapper withoutListWrapper]
				ifNotNil: [self unwrappedSelection parentTaxon].
	aBoolean
		ifTrue: [(self unwrappedSelection notNil
					and: [(localTo := self unwrappedSelection localClassForSendersImplementorsQuery: self) notNil])
				ifTrue: [result := TamMethodCrossedRefReference sendersOf: aSelector localTo: localTo]]
		ifFalse: [result := TamMethodCrossedRefReference sendersOf: aSelector].
	result
		ifNotNil: [taxon insertReference: result.
			self noteNewSelection: result]! !

!TamBrowser methodsFor: 'accessing' stamp: 'tam 6/27/2003 01:22'!
currentlyExpanded	^ listMorph currentlyExpanded! !

!TamBrowser methodsFor: 'accessing' stamp: 'apl 4/13/2005 16:19'!
currentlyExpanded: aCollection 
	| morphList |
	listMorph scroller removeAllMorphs.
	morphList := OrderedCollection new.
	listMorph
		addMorphsTo: morphList
		from: self getList
		allowSorting: false
		withExpandedItems: self expandedItems
		atLevel: 0.
		
	listMorph insertNewMorphs: morphList! !

!TamBrowser methodsFor: 'accessing' stamp: 'apl 9/27/2007 11:28'!
defaultBackgroundColor
	^Tamaris preferedWindowColor! !

!TamBrowser methodsFor: 'initialize/release' stamp: 'apl 1/29/2007 11:11'!
destroy
	self noteNewSelection: nil.
	self destroyAllEditors.
	self checkAndClean.
	self breakDependents.
	TamManager removeDependent: self.
	mainWindow ifNotNil: 
			[mainWindow stopStepping.
			mainWindow submorphs do: [:sm | sm delete].
			mainWindow := nil].
	rootWrapper ifNotNil: 
			[rootWrapper destroy.
			rootWrapper := nil].
	listBtnRow := nil.
	listButtons ifNotNil: [listButtons destroy].
	listButtons := nil.
	listMorph ifNotNil: 
			[listMorph model: nil.
			listMorph := nil].
	localWorkspaceHolder destroy.
	localWorkspaceHolder := nil.
	editorRow ifNotNil: 
			[editorRow destroy.
			editorRow := nil].
	localWorkspacePaneMorph := nil.
	localWorkspacePaneContents := nil.
	manager := nil.
	editorsIndex := nil.
	specificButtonsAlignment destroy.
	specificButtonsAlignment := nil.
	worldButtons destroy.
	worldButtons := nil.
	globalRecentsInput destroy.
	globalRecentsInput := nil.
	recentsRow destroy.
	recentsRow := nil.
	TamButtonMorph allSubInstances do: [:m | m destroyedModel: self].
	super destroy! !

!TamBrowser methodsFor: 'initialize/release' stamp: 'apl 7/26/2005 11:22'!
destroyAllEditors
	 editorsIndex ifNotNil: 
			[ editorsIndex copy keysAndValuesDo: [:k :v | self destroyEditorFor: k]]! !

!TamBrowser methodsFor: 'initialize/release' stamp: 'apl 7/26/2005 11:23'!
destroyAllEditors: editorsList
	 editorsIndex
		ifNotNil: [ editorsIndex copy
				keysAndValuesDo: [:k :v | (editorsList includes: v)
						ifTrue: [self destroyEditorFor: k]]]! !

!TamBrowser methodsFor: 'initialize/release' stamp: 'apl 7/26/2005 11:22'!
destroyAllEditorsExceptFor: aReferenceList 
	 editorsIndex ifNotNil: 
			[ editorsIndex copy keysAndValuesDo: 
					[:k :v | 
					(aReferenceList includes: k) ifFalse: [self destroyEditorFor: k]]]! !

!TamBrowser methodsFor: 'initialize/release' stamp: 'apl 7/26/2005 11:22'!
destroyAllEditorsSuchThat: aBlock 
	 editorsIndex
		ifNotNil: [ editorsIndex copy
				keysAndValuesDo: [:k :v | (aBlock value: v)
						ifTrue: [
							self destroyEditorFor: k]]]! !

!TamBrowser methodsFor: 'updating' stamp: 'apl 7/26/2005 11:23'!
destroyEditorFor: aReference 
	| editor |
	 editorsIndex
		ifNotNil: [(editor :=  editorsIndex
						at: aReference
						ifAbsent: [])
				ifNotNil: [editor removeDependent: aReference.
					editor model removeDependent: aReference.
					editor model changed: #clearUserEdits.
					editor model windowIsClosing; destroy.
					(editor isKindOf: SystemWindow)
						ifTrue: [editor delete].
					 editorsIndex removeKey: aReference]]! !

!TamBrowser methodsFor: 'updating' stamp: 'apl 4/3/2006 16:58'!
destroyNotSelectedEditorFor: aReference 
	self unwrappedSelection ~= aReference
		ifTrue: [self destroyEditorFor: aReference. ^ true].
	^ false! !

!TamBrowser methodsFor: 'drag and drop' stamp: 'apl 3/20/2005 22:47'!
dragPassengerFor: item inMorph: dragSource 
	^ item complexContents withoutListWrapper! !

!TamBrowser methodsFor: 'drag and drop' stamp: 'apl 4/29/2004 16:47'!
dragTransferTypeForMorph: aMorph 
	^ #tamaris! !

!TamBrowser methodsFor: 'accessing' stamp: 'tam 3/4/2004 11:19'!
editor
	^self editorRow ifNotNil: [self editorRow findA: TamListItemReferenceUtil subWindowClass ]! !

!TamBrowser methodsFor: 'ui building' stamp: 'apl 7/26/2005 11:23'!
editor: anEditor for: aReference 
	anEditor
		ifNotNil: [ editorsIndex at: aReference put: anEditor.
			]! !

!TamBrowser methodsFor: 'ui building' stamp: 'apl 7/26/2005 11:23'!
editorFor: aReference 
	^  editorsIndex ifNotNil: [ editorsIndex
		at: aReference
		ifAbsent: []]! !

!TamBrowser methodsFor: 'accessing' stamp: 'tam 7/2/2003 12:49'!
editorModel	^ self editor		ifNotNil: [self editor model]! !

!TamBrowser methodsFor: 'accessing' stamp: 'tam 5/27/2003 10:35'!
editorRow	^ editorRow! !

!TamBrowser methodsFor: 'subframes building' stamp: 'AlainPlantec 5/2/2012 17:04'!
editorRowFrameInsideManager: aManager direction: toRightOrToLeft 
	^ toRightOrToLeft == #toRight
		ifTrue: [aManager
				ifNil: [LayoutFrame
						fractions: (0 @ 0 corner: 1 @ 1)
						offsets: ((self taxonomyListWidth + TamListItemReferenceUtil subFrameBorderDelta) @ 0 corner: 0 @ 0)]
				ifNotNil: [LayoutFrame
						fractions: (0 @ 0 corner: 1 @ 1)
						offsets: ((self taxonomyListWidth + TamListItemReferenceUtil subFrameBorderDelta) @ 0 corner: 0 @ 0)]]
		ifFalse: [LayoutFrame
				fractions: (0 @ 0 corner: 1 @ 1)
				offsets: (0 @ 0 corner: (self taxonomyListWidth negated - TamListItemReferenceUtil subFrameBorderDelta) @ 0)]! !

!TamBrowser methodsFor: 'updating' stamp: 'apl 6/16/2005 09:40'!
expandItem: aMorph 
	^ super expandItem: aMorph! !

!TamBrowser methodsFor: 'accessing' stamp: 'AlainPlantec 10/7/2010 16:35'!
expandedItems
	| l |
	l := self rootTaxon managerItem ifNotNil: [self rootTaxon managerItem currentlyExpanded].
	^ l
		ifNil: [OrderedCollection new]! !

!TamBrowser methodsFor: 'accessing' stamp: 'apl 4/15/2005 11:58'!
expandedItems: aCollection 
	| item |
	self rootTaxon ifNotNil: [
	(item := self rootTaxon managerItem) ifNotNil: 
			[item currentlyExpanded: aCollection.
			item currentSelection: self unwrappedSelection]]! !

!TamBrowser methodsFor: 'button actions' stamp: 'tam 1/24/2004 10:17'!
findWindow
	^ World findWindow: ActiveEvent! !

!TamBrowser methodsFor: 'updating' stamp: 'tam 1/10/2004 11:55'!
freeze
	self takeExpandedItems.
! !

!TamBrowser methodsFor: 'accessing' stamp: 'tam 6/27/2003 21:08'!
fullPathAsStringFor: aWrapperOrReference 	^ aWrapperOrReference fullPathAsString.! !

!TamBrowser methodsFor: 'menus' stamp: 'apl 5/31/2005 19:18'!
genericMenu: aMenu selector: aSelector conditionBlock: aBlock recursive: aBoolean 
	self rootWrapper contents do: 
			[:c | 
			c 
				genericMenu: aMenu
				selector: aSelector
				conditionBlock: aBlock
				fromTaxonomyBrowser: self
				recursive: aBoolean].
	^aMenu! !

!TamBrowser methodsFor: 'menus' stamp: 'tam 10/12/2003 10:33'!
genericMenu: aMenu selector: aSelector recursive: aBoolean 
	^ self genericMenu: aMenu selector: aSelector conditionBlock: [:r| true] recursive: aBoolean 
! !

!TamBrowser methodsFor: 'history-handling' stamp: 'apl 1/29/2007 11:12'!
getHistory
	^ TamBrowserHistoryList historyListFor: self
! !

!TamBrowser methodsFor: 'accessing' stamp: 'apl 2/9/2006 13:59'!
getList
	rootWrapper withoutListWrapper
		ifNotNil: [rootWrapper withoutListWrapper isReleased
				ifTrue: [self mainWindow
						ifNotNil: [self mainWindow delete].
					^ #()]].
	^ (rootWrapper isNil or: [rootWrapper isReleased])
		ifTrue: [#()]
		ifFalse: [rootWrapper contents]! !

!TamBrowser methodsFor: 'accessing' stamp: 'AlainPlantec 10/7/2010 13:51'!
getLocalWorkspaceHeight
	^ Tamaris showLocalWorkspace
		ifTrue: [localWorkspaceHeight
				ifNil: [localWorkspaceHeight := self class localWorkspaceNumberOfLines * StandardFonts defaultFont height]]
		ifFalse: [0]! !

!TamBrowser methodsFor: 'accessing' stamp: 'apl 4/22/2005 15:13'!
getRecentsInputContent
	^self unwrappedSelection ifNil: ['']
		ifNotNil: [self unwrappedSelection shortName]! !

!TamBrowser methodsFor: 'button actions' stamp: 'apl 7/26/2005 13:10'!
globalOrLocalRecentsListPopup
	self manager
		ifNil: [^ self recentsListPopup]
		ifNotNil: [^ self manager recentsListPopup]! !

!TamBrowser methodsFor: 'menus' stamp: 'alain.plantec 2/3/2009 12:03'!
globalSearchSelector
	| pattern result taxon |
	(pattern := UIManager default request: 'selector name or fragment' translated)
		ifEmpty: [^ nil].
	result := TamMethodCrossedRefReference allMethodsWhichSelectorContains: pattern.
	taxon := self unwrappedSelection
				ifNil: [self rootWrapper withoutListWrapper]
				ifNotNil: [self unwrappedSelection parentTaxon].
	result
		ifNotNil: [taxon insertReference: result.
			self noteNewSelection: result]! !

!TamBrowser methodsFor: 'testing' stamp: 'apl 4/6/2006 12:06'!
hasUnacceptedEdits
	^ self editorModel hasUnacceptedEdits! !

!TamBrowser methodsFor: 'testing' stamp: 'apl 6/8/2004 23:36'!
haveCurrentSelection
	^ self getCurrentSelection notNil
	! !

!TamBrowser methodsFor: 'ui building' stamp: 'apl 7/26/2005 11:23'!
haveEditorFor: aReference 
	^( editorsIndex at: aReference ifAbsent: []) notNil! !

!TamBrowser methodsFor: 'accessing' stamp: 'apl 4/6/2006 12:06'!
haveUnaccepted
	editorsIndex
		keysAndValuesDo: [:k :v | v model
				ifNotNil: [
						v model hasUnacceptedEdits
								ifTrue: [^ true]]].
	^ false! !

!TamBrowser methodsFor: 'accessing' stamp: 'tam 10/11/2003 11:03'!
hierarchicalListMorphClass
	^ Smalltalk
		at: #TamHierarchicalListMorph
		ifAbsent: [SimpleHierarchicalListMorph]! !

!TamBrowser methodsFor: 'history-handling' stamp: 'apl 1/29/2007 11:14'!
historyAddItem: aListItemReference 
	self getHistory 
		addItem: (TamBrowserHistoryItem listItemReference: aListItemReference)! !

!TamBrowser methodsFor: 'history-handling' stamp: 'apl 4/9/2005 11:26'!
historyItem
	^ self getCurrentSelection notNil
		ifTrue: [TamBrowserHistoryItem listItemReference: self getCurrentSelection]! !

!TamBrowser methodsFor: 'history-handling' stamp: 'apl 6/16/2005 09:40'!
historyNext
	self okToChange
		ifTrue: [self getHistory selectNext.
			]! !

!TamBrowser methodsFor: 'history-handling' stamp: 'apl 6/16/2005 09:40'!
historyPrev
	self okToChange
		ifTrue: [self getHistory selectPrev.
			]! !

!TamBrowser methodsFor: 'history-handling' stamp: 'apl 6/16/2005 09:40'!
historyRecents
	self getHistory selectFromRecentsList.
	! !

!TamBrowser methodsFor: 'ui building' stamp: 'tam 5/27/2003 10:35'!
initialExtent	^ self class initialExtent! !

!TamBrowser methodsFor: 'initialize/release' stamp: 'AlainPlantec 10/15/2010 11:05'!
initialize
	super initialize.
	listBtnRowHeight := self buttonExtent y + 4 + TamButtonMorph defaultBorderWidth.
	self getHistory.
	localWorkspacePaneContents := ''.
	editorsIndex := WeakIdentityKeyDictionary new! !

!TamBrowser methodsFor: 'menus' stamp: 'apl 4/22/2005 14:56'!
insertBrowser
	| menu |
	(menu := self menuBrowse: MenuMorph new)
	 ifNotNil: 
			[menu addTitle: 'add ...'.
			menu invokeModal]! !

!TamBrowser methodsFor: 'history-handling' stamp: 'apl 4/9/2005 10:31'!
isBrowserHistoryItemValid: anHistoryItem 
	^ anHistoryItem listItemReference  isReleasedOrHaveReleasedOwner not! !

!TamBrowser methodsFor: 'testing' stamp: 'tam 2/20/2004 00:48'!
isReleased
	^ editorsIndex isNil.

! !

!TamBrowser methodsFor: 'menus' stamp: 'apl 3/3/2006 08:36'!
keyStroke: aCharacter from: tamuggableListMorph 
	aCharacter = $f
		ifTrue: [^ self menuSearch].
	aCharacter = $c
		ifTrue: [^ self copySelection].
	aCharacter = $v
		ifTrue: [^ self pasteSelection].
	aCharacter = $x
		ifTrue: [self rootWrapper
				ifNotNil: [self anySelectedAndRemoveable
						ifTrue: [^ self removeAllSelected]]].
	self unwrappedSelection notNil
		ifTrue: [^ self unwrappedSelection keyStroke: aCharacter from: tamuggableListMorph]! !

!TamBrowser methodsFor: 'subframes building' stamp: 'apl 7/9/2005 00:14'!
listAndWorkspacePaneMorphsFrameInsideManager: aManager direction: toRightOrToLeft 
	^ toRightOrToLeft == #toRight
		ifTrue: [aManager
				ifNil: [LayoutFrame
						fractions: (0 @ 0 corner: 0 @ 1)
						offsets: (0 @ 0 corner: self taxonomyListWidth @ 0)]
				ifNotNil: [LayoutFrame
						fractions: (0 @ 0 corner: 0 @ 1)
						offsets: (0 @ 0 corner: self taxonomyListWidth @ 0)]]
		ifFalse: [LayoutFrame
				fractions: (1 @ 0 corner: 1 @ 1)
				offsets: (self taxonomyListWidth negated @ 0 corner: 0 negated @ 0)]! !

!TamBrowser methodsFor: 'accessing' stamp: 'tam 5/27/2003 10:35'!
listBtnRow	^listBtnRow! !

!TamBrowser methodsFor: 'subframes building' stamp: 'apl 4/8/2005 09:34'!
listBtnRowFrameInsideManager: aManager direction: toRightOrToLeft 
	^ toRightOrToLeft == #toRight
		ifTrue: [LayoutFrame
						fractions: (0 @ 0 corner: 1 @ 0)
						offsets: (0 @ 0 corner: 0 @ listBtnRowHeight).]
		ifFalse: [LayoutFrame
						fractions: (0 @ 0 corner: 1 @ 0)
						offsets: (0 @ 0 corner: 0 @ listBtnRowHeight)]! !

!TamBrowser methodsFor: 'accessing' stamp: 'tam 5/27/2003 10:35'!
listButtons	^ listButtons! !

!TamBrowser methodsFor: 'accessing' stamp: 'tam 6/3/2003 12:08'!
listMorph 	^ listMorph! !

!TamBrowser methodsFor: 'subframes building' stamp: 'apl 7/8/2005 22:50'!
listMorphFrameInsideManager: aManager direction: toRightOrToLeft 
	^ toRightOrToLeft == #toRight
		ifTrue: [aManager
				ifNil: [LayoutFrame
						fractions: (0 @ 0 corner: 1 @ 1)
						offsets: (0 @ 0 corner: 0 @ self getLocalWorkspaceHeight negated)]
				ifNotNil: [LayoutFrame
						fractions: (0 @ 0 corner: 1 @ 1)
						offsets: (0 @ 0 corner: 0 @ self getLocalWorkspaceHeight negated)]]
		ifFalse: [LayoutFrame
				fractions: (0@ 0 corner: 1 @ 1)
				offsets: (0 @ 0 corner: 0 @ self getLocalWorkspaceHeight negated)]! !

!TamBrowser methodsFor: 'button actions' stamp: 'alain.plantec 2/3/2009 12:03'!
localSearchListItemByName
	| pattern |
	pattern := UIManager default request: 'item name or fragment?' translated.
	pattern isEmpty ifTrue: [^nil].
	^ self localSearchListItemFromFragment: pattern! !

!TamBrowser methodsFor: 'button actions' stamp: 'apl 6/3/2005 18:35'!
localSearchListItemFromFragment: aFragment 
	| toMatch founds target parents |
	toMatch := aFragment asLowercase.
	founds := self rootWrapper selectDeeplySuchThat: 
					[:e | 
					e item shortName includesSubstring: toMatch caseSensitive: false].
	founds remove: self rootWrapper ifAbsent: [].
	founds isEmpty ifTrue: [^self noSearchMatchFound].
	self class 
		genericTree: 'Tamaris: found items from ''' , aFragment , ''''
		flatCollection: (founds collect: 
					[:e | 
					parents := e item parentsChain.
					parents add: e item.
					parents])
		selectingBlock: 
			[:e | 
			target := self manager ifNil: [self].
			target 
				noteNewSelectionDeeply: (e linked wrapperClass with: e linked model: nil)]
		client: self! !

!TamBrowser methodsFor: 'accessing' stamp: 'apl 4/8/2005 13:51'!
localWorkspaceHeight
	^ localWorkspaceHeight! !

!TamBrowser methodsFor: 'accessing' stamp: 'apl 4/8/2005 12:08'!
localWorkspaceMorph
	^localWorkspacePaneMorph! !

!TamBrowser methodsFor: 'accessing' stamp: 'apl 4/18/2005 16:44'!
localWorkspacePane
	^self localWorkspaceMorph ifNotNil: [self localWorkspaceMorph model]! !

!TamBrowser methodsFor: 'accessing' stamp: 'apl 4/8/2005 12:10'!
localWorkspacePaneContents
	^localWorkspacePaneContents! !

!TamBrowser methodsFor: 'accessing' stamp: 'apl 4/8/2005 12:10'!
localWorkspacePaneContents: aStringOrText 
	localWorkspacePaneContents := aStringOrText asString! !

!TamBrowser methodsFor: 'subframes building' stamp: 'apl 7/23/2005 15:53'!
localWorkspacePaneMorphFrameInsideManager: aManager direction: toRightOrToLeft 
	^ toRightOrToLeft == #toRight
		ifTrue: [LayoutFrame
				fractions: (0 @ 1 corner: 1 @ 1)
				offsets: (0 @ (self getLocalWorkspaceHeight negated + TamListItemReferenceUtil subFrameBorderDelta) corner: 0 @ 0)]
		ifFalse: [LayoutFrame
				fractions: (0 @ 1 corner: 1 @ 1)
				offsets: (0 @ (self getLocalWorkspaceHeight negated + TamListItemReferenceUtil subFrameBorderDelta) corner: 0 @ 0)]! !

!TamBrowser methodsFor: 'accessing' stamp: 'tam 5/27/2003 10:35'!
mainWindow	^mainWindow! !

!TamBrowser methodsFor: 'accessing' stamp: 'tam 6/5/2003 00:35'!
mainWindow: aWindow	mainWindow := aWindow! !

!TamBrowser methodsFor: 'accessing' stamp: 'tam 5/27/2003 10:35'!
mainWindowLabel	^ self class name , ' on: ' , self rootWrapper asString! !

!TamBrowser methodsFor: 'accessing' stamp: 'tam 7/7/2003 21:17'!
manager	^ manager! !

!TamBrowser methodsFor: 'menus' stamp: 'AlainPlantec 10/7/2010 21:32'!
menu: menu shifted: b 
	"Set up the menu to apply to the receiver's, honoring the #shifted  
	boolean"
	| listWrapper |
	(listWrapper := self getCurrentSelection
				ifNil: [rootWrapper])
		ifNotNil: [^ listWrapper menu: menu shifted: b].
	^ menu! !

!TamBrowser methodsFor: 'menus' stamp: 'apl 4/22/2005 14:31'!
menuBrowse: aMenu 
	| owner sel classes |
	owner := (sel := self unwrappedSelection) ifNotNil: [sel parentTaxon]
				ifNil: [self rootTaxon].
	classes := OrderedCollection with: TamClassReference with: TamSystemCategoryReference with: TamSystemBrowserReference.
	^TamListItemReference 
		menuAddReferenceInto: aMenu
		owner: owner
		fromClasses: classes
! !

!TamBrowser methodsFor: 'menus' stamp: 'apl 1/29/2007 11:14'!
menuClearHistory
	self getHistory clearHistory.
	self changed! !

!TamBrowser methodsFor: 'history-handling' stamp: 'apl 4/9/2005 10:18'!
menuHistoryNextList: aMenu 
	^ aMenu! !

!TamBrowser methodsFor: 'history-handling' stamp: 'apl 4/9/2005 10:18'!
menuHistoryPrevList: aMenu 
	^ aMenu! !

!TamBrowser methodsFor: 'menus' stamp: 'AlainPlantec 10/7/2010 21:32'!
menuImplementors
	| currRef basicBrowser |
	(currRef := self unwrappedSelection)
		ifNotNil: [basicBrowser := currRef basicSmalltalkBrowser: self].
	basicBrowser
		ifNil: [basicBrowser := Browser new].
	basicBrowser
		getSelectorAndSendQuery: #createAndInsertImplementorsOf:
		to: self
		with: #()! !

!TamBrowser methodsFor: 'menus' stamp: 'AlainPlantec 10/7/2010 21:32'!
menuLocalImplementors
	| currRef basicBrowser |
	currRef := self unwrappedSelection.
	currRef
		ifNotNil: [basicBrowser := currRef basicSmalltalkBrowser: self].
	basicBrowser
		ifNil: [basicBrowser := Browser new].
	basicBrowser
		getSelectorAndSendQuery: #createAndInsertLocalImplementorsOf:
		to: self
		with: #()! !

!TamBrowser methodsFor: 'menus' stamp: 'AlainPlantec 10/7/2010 21:33'!
menuLocalSenders
	| currRef basicBrowser |
	currRef := self unwrappedSelection.
	currRef
		ifNotNil: [basicBrowser := currRef basicSmalltalkBrowser: self].
	basicBrowser
		ifNil: [basicBrowser := Browser new].
	basicBrowser
		getSelectorAndSendQuery: #createAndInsertLocalSendersOf:
		to: self
		with: #()! !

!TamBrowser methodsFor: 'menus' stamp: 'tam 7/8/2003 11:56'!
menuNewReferenceFrom: aReference Into: aMenu 	aReference menuAddReferenceInto: aMenu.	aMenu addTitle: 'add reference on ...'.	^ aMenu! !

!TamBrowser methodsFor: 'history-handling' stamp: 'apl 1/29/2007 11:14'!
menuRecentsList
	self getHistory selectFromRecentsList! !

!TamBrowser methodsFor: 'menus' stamp: 'tam 6/28/2003 00:14'!
menuSearch	self searchListItemByName! !

!TamBrowser methodsFor: 'menus' stamp: 'apl 6/3/2005 18:35'!
menuSelectUpLevel: aMenu 
	| owner |
	owner := self unwrappedSelection owner.
	[owner owner notNil] whileTrue: 
			[aMenu 
				add: owner fullPathAsString
				target: self
				selector: #noteNewSelectionDeeply:
				argumentList: { (owner wrapperClass with: owner model: nil) }.
			owner := owner owner].
	^aMenu! !

!TamBrowser methodsFor: 'menus' stamp: 'AlainPlantec 10/7/2010 21:33'!
menuSenders
	| currRef basicBrowser |
	currRef := self unwrappedSelection.
	currRef
		ifNotNil: [basicBrowser := currRef basicSmalltalkBrowser: self].
	basicBrowser
		ifNil: [basicBrowser := Browser new].
	basicBrowser
		getSelectorAndSendQuery: #createAndInsertSendersOf:
		to: self
		with: #()! !

!TamBrowser methodsFor: 'menus' stamp: 'apl 6/3/2005 18:35'!
menuUpLevelCurrentSelection: aMenu 
	| owner |
	owner := self unwrappedSelection owner.
	[owner owner notNil] whileTrue: 
			[aMenu 
				add: owner fullPathAsString
				target: self
				selector: #noteNewSelectionDeeplyAndCollapse:
				argumentList: { (owner wrapperClass with: owner model: nil) }.
			owner := owner owner].
	^aMenu! !

!TamBrowser methodsFor: 'ui building' stamp: 'apl 7/26/2005 11:23'!
modelEditor: anEditor for: aReference 
	anEditor
		ifNotNil: [ editorsIndex at: aReference put: anEditor]! !

!TamBrowser methodsFor: 'ui opening/closing' stamp: 'apl 5/24/2005 15:54'!
modelWakeUpIn: aMorph 
	TamManager addDependent: self.
	super modelWakeUpIn: aMorph.
	self changed! !

!TamBrowser methodsFor: 'button actions' stamp: 'apl 3/3/2006 08:11'!
moveDownCurrentSelection
	| curr |
	curr := self unwrappedSelection.
	(curr notNil and: [curr isMoveable])
		ifTrue: [curr owner moveDownReference: curr]! !

!TamBrowser methodsFor: 'button actions' stamp: 'apl 3/3/2006 08:11'!
moveUpCurrentSelection
	| curr |
	curr := self unwrappedSelection.
	(curr notNil and: [curr isMoveable])
		ifTrue: [curr owner moveUpReference: curr]! !

!TamBrowser methodsFor: 'button actions' stamp: 'apl 4/16/2005 11:46'!
newReference
	| menu |
	(self unwrappedSelection respondsTo: #menuAddReference) 
		ifTrue: 
			[menu := self unwrappedSelection menuAddReference.
			]
	ifFalse: [self rootWrapper withoutListWrapper ifNotNil: 
			[menu := self rootWrapper withoutListWrapper linked menuAddReference.
			]].
	menu ifNotNil: [
	menu addTitle: 'add ...'.
	menu invokeModal]! !

!TamBrowser methodsFor: 'button actions' stamp: 'alain.plantec 2/3/2009 12:11'!
noSearchMatchFound
	self inform: 'no item found'.
	^ nil! !

!TamBrowser methodsFor: 'updating' stamp: 'apl 6/16/2005 14:51'!
noteNewSelection: aWrapper 
	(self okToChange
			and: [self rootWrapper notNil])
		ifTrue: [self
				noteNewSelectionFromWrapper: (self wrapperOf: aWrapper).
			]! !

!TamBrowser methodsFor: 'updating' stamp: 'apl 6/14/2004 12:04'!
noteNewSelection: aWrapper currentlyExpanded: aCollection 
	self okToChange
		ifTrue: [
			self currentlyExpanded: aCollection.
			aWrapper
				ifNotNil: [self
						noteNewSelectionFromWrapper: (self wrapperOf: aWrapper)]]! !

!TamBrowser methodsFor: 'updating' stamp: 'apl 4/13/2005 23:03'!
noteNewSelectionDeeply: aWrapper 
	| path pathMorph relatedWrapper adjustIt |
	adjustIt := false.
	self okToChange
		ifTrue: [self noteNewSelection: nil.
			(relatedWrapper := self wrapperOf: aWrapper)
				ifNil: [^ self inform: 'unable to select ''' , aWrapper asString , ''''].
			(path := relatedWrapper parentsChain allButFirst) isEmpty
				ifFalse: [pathMorph := self listMorph scroller submorphs
								detect: [:sm | sm complexContents withoutListWrapper linked = path first withoutListWrapper]
								ifNone: [^ false].
					path allButFirst
						do: [:p | 
							pathMorph isExpanded
								ifFalse: [pathMorph toggleExpandedState.
									adjustIt := true].
							self noteNewSelectionSilently: pathMorph complexContents.
							pathMorph := pathMorph children
										detect: [:sm | sm complexContents withoutListWrapper = p withoutListWrapper]
										ifNone: []].
					pathMorph
						ifNotNil: [pathMorph isExpanded
								ifFalse: [pathMorph toggleExpandedState.
									adjustIt := true]]].
			self noteNewSelectionFromWrapper: relatedWrapper.
			adjustIt
				ifTrue: [
					listMorph adjustSubmorphPositions]].
	^ true! !

!TamBrowser methodsFor: 'updating' stamp: 'tam 7/8/2003 01:16'!
noteNewSelectionDeeplyAndCollapse: aWrapper 	self okToChange		ifTrue: [self noteNewSelectionDeeply: aWrapper.			listMorph expandOrCollapseCurrentMorph]! !

!TamBrowser methodsFor: 'updating' stamp: 'apl 6/16/2005 14:51'!
noteNewSelectionFromWrapper: aWrapper 
	(self okToChange
			and: [self rootWrapper notNil])
		ifTrue: [self updateCodeRowFor: aWrapper.
			self updateLocalWorkspacePaneMorphFor: aWrapper. super noteNewSelection: aWrapper]! !

!TamBrowser methodsFor: 'updating' stamp: 'apl 6/14/2004 11:56'!
noteNewSelectionSilently: aWrapper 
	self okToChange
		ifTrue: [super
				noteNewSelection: (self wrapperOf: aWrapper)]! !

!TamBrowser methodsFor: 'testing' stamp: 'apl 6/23/2005 10:00'!
okToChange
	| okForEditor result |
	okForEditor := self editorModel
				ifNil: [true]
				ifNotNil: [(currentSelection notNil
							and: [currentSelection forceOkToChange])
						or: [self editorModel canDiscardEdits
								ifFalse: [editorRow flash].
							self editorModel okToChange]].
	result := self isReleased
				or: [okForEditor
						and: [self localWorkspacePane
								ifNil: [true]
								ifNotNil: [self localWorkspacePane canDiscardEdits
										ifFalse: [self localWorkspaceMorph flash.
											self localWorkspaceMorph flash].
									self localWorkspacePane okToChange]]].
	^ result! !

!TamBrowser methodsFor: 'ui building' stamp: 'tam 5/27/2003 23:41'!
openAsMorph	^ self buildMainWindow openInWorld	! !

!TamBrowser methodsFor: 'copy/paste' stamp: 'apl 3/3/2006 15:38'!
pasteSelection
	| trs whereToPaste |
	whereToPaste := self unwrappedSelection
				ifNil: [self rootWrapper withoutListWrapper].
	self copyPasteBufferList
		do: [:item | 
			trs := TransferMorph withPassenger: item from: self.
			whereToPaste acceptDroppingMorph: trs copy: true]! !

!TamBrowser methodsFor: 'history-handling' stamp: 'apl 1/29/2007 11:14'!
recents
	^ self getHistory recents collect: [:wrapper | wrapper listItemReference]! !

!TamBrowser methodsFor: 'accessing' stamp: 'apl 6/18/2005 10:00'!
recentsButtonLabel
	"^self unwrappedSelection ifNil: ['']
	ifNotNil: [self unwrappedSelection shortName]"
	^ '<>'! !

!TamBrowser methodsFor: 'button actions' stamp: 'alain.plantec 2/3/2009 12:16'!
recentsListPopup
	| index choice recentsItems usedRecents |
	self recents isEmpty
		ifFalse: [usedRecents := self recents reversed.
			recentsItems := usedRecents
						collect: [:rec | rec longName contractTo: 100].
			recentsItems
				do: [:ri | ri replaceAll: Character cr with: Character space].
			(index := (UIManager default chooseFrom: recentsItems lines: #())) = 0
				ifFalse: [choice := usedRecents at: index.
					self
						noteNewSelectionDeeply: (choice linked wrapperClass with: choice linked model: nil)]]! !

!TamBrowser methodsFor: 'history-handling' stamp: 'apl 7/26/2005 13:12'!
recentsTree
	| aghl |
	aghl := self class
				genericTree: 'Tamaris: recents list'
				listBlock: [self  recents
						]
				selectingBlock: [:e | (self manager
						ifNil: [self])
						noteNewSelectionDeeply: (e linked wrapperClass with: e linked model: nil)]
				client: self.
	aghl addButtonSpacer.
	aghl
		addButton: '16x16/actions/erase'
		target: self
		selector: #menuClearHistory
		balloonText: 'clear recents list'.
	^ aghl! !

!TamBrowser methodsFor: 'accessing' stamp: 'apl 4/6/2006 12:06'!
referencesWithUnacceptedEdits
	| unaccepted |
	unaccepted := OrderedCollection new.
	editorsIndex
		keysAndValuesDo: [:k :v | v model
				ifNotNil: [v model hasUnacceptedEdits
								ifTrue: [unaccepted add: k]]].
	^ unaccepted! !

!TamBrowser methodsFor: 'button actions' stamp: 'apl 4/5/2004 11:49'!
reinitializeCurrentSelectionEditor
	self getCurrentSelection notNil
		ifTrue: [^ self unwrappedSelection reinitializeEditor]! !

!TamBrowser methodsFor: 'updating' stamp: 'apl 2/22/2006 10:31'!
reloadEditorFor: aReference 
	self unwrappedSelection = aReference
		ifTrue: [self noteNewSelection: nil.
			self destroyEditorFor: aReference.
			self noteNewSelection: aReference]! !

!TamBrowser methodsFor: 'menus' stamp: 'apl 4/26/2006 16:40'!
rememberWindowSize
	self class initialExtent: mainWindow bounds extent! !

!TamBrowser methodsFor: 'button actions' stamp: 'alain.plantec 2/3/2009 12:17'!
removeAllSelected
	self rootWrapper
		ifNotNil: [(self confirm: 'remove all selected items ?' translated)
				ifTrue: [self removeableSelection
						do: [:item | 
							item remove.
							listMorph removeEmphasisOf: item].
					TamManager changed: #contents.
					self noteNewSelection: nil]]! !

!TamBrowser methodsFor: 'button actions' stamp: 'apl 4/5/2006 19:26'!
removeCurrentSelection
	| menu |
	self rootWrapper
		ifNotNil: [(self unwrappedSelection notNil
					and: [self unwrappedSelection isRemoveable])
				ifTrue: [menu := MenuMorph new.
					menu defaultTarget: self.
					menu
						add: 'remove current'
						target: self
						selector: #removeSelection:
						argumentList: {self getCurrentSelection}].
			menu
				ifNil: [menu := MenuMorph new]
				ifNotNil: [menu addLine].
			self buildMenuRemoveSelection: menu].
	^ menu
		ifNotNil: [menu popUpInWorld]! !

!TamBrowser methodsFor: 'button actions' stamp: 'apl 1/29/2007 11:14'!
removeSelection: aWrapper 
	| currItem |
	aWrapper withoutListWrapper menuDelete 
		ifTrue: 
			[(listMorph respondsTo: #removeEmphasisOf) 
				ifTrue: [listMorph removeEmphasisOf: aWrapper withoutListWrapper].
			(currItem := self getHistory currentItem) 
				ifNotNil: [self noteNewSelection: currItem listItemReference]]! !

!TamBrowser methodsFor: 'accessing' stamp: 'apl 6/15/2005 19:25'!
removeSpecificButtons
	| buttons |
	buttons := self specificButtonsAlignment submorphs.
	self specificButtonsAlignment removeAllMorphs.
	buttons do: [:btn | btn destroy]! !

!TamBrowser methodsFor: 'accessing' stamp: 'apl 4/14/2005 10:48'!
removeableSelection
	^(self boldRedSelection, self boldBlueSelection) select: [:item | item isRemoveable]! !

!TamBrowser methodsFor: 'accessing' stamp: 'tam 1/10/2004 15:05'!
rootTaxon
	^ self rootWrapper withoutListWrapper! !

!TamBrowser methodsFor: 'accessing' stamp: 'tam 5/27/2003 10:35'!
rootWrapper	^ rootWrapper! !

!TamBrowser methodsFor: 'accessing' stamp: 'apl 6/3/2005 17:01'!
rootWrapper: aWrapper 
	rootWrapper ifNotNil: [rootWrapper destroy].
	(rootWrapper := aWrapper) ifNil: 
			[self noteNewSelection: nil.
			self changed: #getList]! !

!TamBrowser methodsFor: 'testing' stamp: 'apl 6/8/2004 23:28'!
rootWrapperIsSet
	^ self rootWrapper notNil! !

!TamBrowser methodsFor: 'button actions' stamp: 'apl 4/18/2005 19:48'!
searchListItemByName
	self rootWrapperIsSet 
		ifFalse: [^manager ifNotNil: [manager  globalSearchListItemByName]].
	^self localSearchListItemByName! !

!TamBrowser methodsFor: 'button actions' stamp: 'tam 10/10/2003 11:22'!
selectUpLevel
	listMorph selectedMorph
		ifNotNil: [self noteNewSelection: self unwrappedSelection owner]! !

!TamBrowser methodsFor: 'accessing' stamp: 'apl 3/7/2006 09:41'!
selection
	(self boldBlueSelection)
				ifNotEmpty: [:selSet | ^ selSet asArray].
	self unwrappedSelection
		ifNotNil: [^ Array with: self unwrappedSelection].
	^ #()! !

!TamBrowser methodsFor: 'menus' stamp: 'AlainPlantec 10/7/2010 21:33'!
sendersImplementors
	| menu |
	menu := MenuMorph new.
	menu defaultTarget: self.
	self sendersImplementorsMenu: menu.
	^ menu popUpInWorld! !

!TamBrowser methodsFor: 'menus' stamp: 'tam 10/9/2003 16:53'!
sendersImplementorsMenu: menu 
	| ref |
	menu addLine.
	menu
		add: 'senders'
		target: self
		selector: #menuSenders.
	menu
		add: 'implementors'
		target: self
		selector: #menuImplementors.
	((ref := self unwrappedSelection) notNil
					and: [(ref localClassForSendersImplementorsQuery: self) notNil])
	ifTrue: [
		menu addLine.
		menu
			add: 'local senders'
			target: self
			selector: #menuLocalSenders.
		menu
			add: 'local implementors'
			target: self
			selector: #menuLocalImplementors.
		menu addLine].! !

!TamBrowser methodsFor: 'history-handling' stamp: 'apl 6/3/2005 21:34'!
setFromBrowserHistoryItem: anHistoryItem 
	| target |
	target := 
	manager ifNil: [self] ifNotNil: [manager].
	^target noteNewSelectionDeeply: anHistoryItem listItemReference! !

!TamBrowser methodsFor: 'accessing' stamp: 'apl 4/18/2005 20:25'!
specificButtonsAlignment
	^specificButtonsAlignment! !

!TamBrowser methodsFor: 'accessing' stamp: 'apl 4/18/2005 20:26'!
specificButtonsAlignment: aButtonsAlignment 
	(specificButtonsAlignment := aButtonsAlignment) 
! !

!TamBrowser methodsFor: 'testing' stamp: 'apl 3/16/2005 15:20'!
takeEvent: anEvent
	^ true! !

!TamBrowser methodsFor: 'updating' stamp: 'tam 1/10/2004 14:29'!
takeExpandedItems
	self expandedItems: self currentlyExpanded! !

!TamBrowser methodsFor: 'accessing' stamp: 'apl 11/21/2005 11:06'!
taxonomyBrowser
	^ self! !

!TamBrowser methodsFor: 'accessing' stamp: 'apl 4/18/2005 22:31'!
taxonomyListWidth
	^self class taxonomyListWidth! !

!TamBrowser methodsFor: 'button actions' stamp: 'AlainPlantec 1/28/2011 09:10'!
unacceptedList
	| index choice recentsItems list target |
	(list := self referencesWithUnacceptedEdits) isEmpty
		ifFalse: [recentsItems := list
						collect: [:rec | rec longName contractTo: 100].
			recentsItems
				do: [:ri | ri replaceAll: Character cr with: Character space].
			(index := UIManager default chooseFrom: recentsItems) = 0
				ifFalse: [choice := list at: index.
					target := self manager
								ifNil: [self].
					target
						noteNewSelectionDeeply: (choice linked wrapperClass with: choice linked model: nil)]]! !

!TamBrowser methodsFor: 'accessing' stamp: 'tam 6/26/2003 11:07'!
unwrappedSelection	^ self getCurrentSelection ifNotNil: [self getCurrentSelection withoutListWrapper]! !

!TamBrowser methodsFor: 'button actions' stamp: 'apl 4/13/2005 23:18'!
upLevelCurrentSelection
	self selectUpLevel.
	
	listMorph toggleExpandedState: listMorph selectedMorph! !

!TamBrowser methodsFor: 'updating' stamp: 'apl 9/28/2007 07:20'!
update: aSymbol 
	aSymbol isTamListItemReference
		ifTrue: [aSymbol isReleasedOrHaveReleasedOwner
				ifTrue: [aSymbol = self getCurrentSelection withoutListWrapper
						ifTrue: [self noteNewSelection: nil].
						
					^ self changed: #getList]].
	(aSymbol isTamListItemReference
			or: [#(#taxonomies #contents )
					anySatisfy: [:c | c = aSymbol]])
		ifTrue: [(aSymbol = self rootWrapper withoutListWrapper
					and: [self mainWindow notNil])
				ifTrue: [self mainWindow setLabel: self mainWindowLabel].
			^ self changed: #getList].
	super update: aSymbol! !

!TamBrowser methodsFor: 'updating' stamp: 'apl 6/24/2005 09:44'!
updateCodeRowFor: aWrapper 
	(currentSelection notNil and: [	currentSelection isReleased not])
		ifTrue: [currentSelection unSelectingFrom: self].
	aWrapper notNil
		ifTrue: [aWrapper selectingFrom: self]! !

!TamBrowser methodsFor: 'updating' stamp: 'apl 6/25/2005 09:56'!
updateLocalWorkspacePaneMorphFor: aWrapper 
	aWrapper isNil
		ifTrue: [(currentSelection notNil
					and: [currentSelection withoutListWrapper notNil])
				ifTrue: [currentSelection withoutListWrapper localWorkspacePaneContents: self localWorkspacePane contents].
			self localWorkspacePane doItReceiver: self.
			self localWorkspacePane acceptContents: self localWorkspacePaneContents]
		ifFalse: [self localWorkspacePane doItReceiver: aWrapper withoutListWrapper.
			currentSelection isNil
				ifTrue: [self localWorkspacePaneContents: self localWorkspacePane contents]
				ifFalse: [currentSelection withoutListWrapper
						ifNotNil: [currentSelection withoutListWrapper localWorkspacePaneContents: self localWorkspacePane contents]].
			aWrapper withoutListWrapper ifNotNil: [self localWorkspacePane acceptContents: aWrapper withoutListWrapper localWorkspacePaneContents]].
	self localWorkspacePane changed: #contents! !

!TamBrowser methodsFor: 'drag and drop' stamp: 'apl 11/2/2006 11:34'!
wantsDroppedMorph: transferMorph event: anEvent inMorph: destinationLM 
	^ TamManager
		wantsDroppedMorph: transferMorph
		event: anEvent
		inMorph: destinationLM! !

!TamBrowser methodsFor: 'ui opening/closing' stamp: 'apl 2/20/2007 15:36'!
windowIsClosing
	self destroy.
	super windowIsClosing! !

!TamBrowser methodsFor: 'accessing' stamp: 'apl 4/8/2006 07:49'!
wrapperOf: aReferenceOrAWrapper 
	(aReferenceOrAWrapper isTamListItemReference)
		ifTrue: [^ aReferenceOrAWrapper linked wrapperClass with: aReferenceOrAWrapper linked model: nil]
		ifFalse: [^ aReferenceOrAWrapper]! !

TamHierarchicalList subclass: #TamGenericHierarchicalList
	instanceVariableNames: 'mainWindow listMorph bottomButtons bottomButtonsRow rootListItems clientModel updateBlock sortBlock key'
	classVariableNames: 'InitialExtent'
	poolDictionaries: ''
	category: 'Tamaris-UI'!

!TamGenericHierarchicalList class methodsFor: 'accessing' stamp: 'apl 6/29/2007 11:08'!
buttonExtent 
	^ Tamaris buttonExtent! !

!TamGenericHierarchicalList class methodsFor: 'examples' stamp: 'apl 4/5/2005 13:31'!
classAndSelectorsByCategoryExample
	"self classAndSelectorsByCategoryExample"
	| aghl editorClass categories classesOfCategoryBlock sysCatBrowserBlock browser classBrowserBlock |
	categories := SystemOrganization categories asOrderedCollection.
	editorClass := (Smalltalk
				at: #RefactoringBrowser
				ifAbsent: [])
				ifNil: [Browser].
	browser := editorClass new.
	(browser openAsMorphEditing: nil) openAsMorph.
	sysCatBrowserBlock := [:sysCat | browser
				systemCategoryListIndex: (browser systemCategoryList indexOf: sysCat)].
	classBrowserBlock := [:cls :sel | browser setClass: cls selector: sel].
	classesOfCategoryBlock := [:cat :flatCol | (Smalltalk organization listAtCategoryNamed: cat)
				inject: flatCol
				into: [:col :cls | col
						addAll: ((Smalltalk at: cls) selectors asOrderedCollection
								collect: [:s | OrderedCollection
										with: #sysCat -> cat
										with: #class
												-> (Smalltalk at: cls)
										with: #selector -> s]);
						 yourself]].
	aghl := self
				fromFlatCollection: (categories
						inject: OrderedCollection new
						into: [:col :cat | classesOfCategoryBlock value: cat value: col])
				title: 'All selectors by class and system categories'.
	aghl
		doDeeply: [:e | 
			e
				asStringBlock: [:item | item linked value asString].
			e
				selectingBlock: [:item | item linked key = #sysCat
						ifTrue: [sysCatBrowserBlock value: item linked value]
						ifFalse: [item linked key = #class
								ifTrue: [classBrowserBlock value:item linked value value: nil]
								ifFalse: [classBrowserBlock value: item owner linked value value: item linked value]]]].
	aghl open! !

!TamGenericHierarchicalList class methodsFor: 'examples' stamp: 'apl 4/5/2005 13:32'!
classAndSelectorsExample
	"self classAndSelectorsExample"
	| aghl editorClass browser |
	editorClass := (Smalltalk
				at: #RefactoringBrowser
				ifAbsent: [])
				ifNil: [Browser].
	aghl := self
				fromFlatCollection: (SystemNavigation default allClasses
						inject: OrderedCollection new
						into: [:col :cls | col
								addAll: (cls selectors asOrderedCollection
										collect: [:s | OrderedCollection with: cls with: s]);
								 yourself])
				title: 'All selectors by class'.
	aghl
		doDeeply: [:e | 
			e
				selectingBlock: [:item | 
					Transcript show: '[+  '
							, (item owner
									ifNil: [item asString]
									ifNotNil: [item owner asString , '>>' , e asString]) , ']'.
					browser := item owner
								ifNil: [editorClass new setClass: item linked selector: nil]
								ifNotNil: [editorClass new setClass: item owner linked selector: item linked].
					(browser openAsMorphEditing: nil) openInWorld].
			e
				unSelectingBlock: [:item | Transcript show: '[-  '
							, (item owner
									ifNil: [item asString]
									ifNotNil: [item owner asString , '>>' ,item asString]) , ']']].
	aghl open! !

!TamGenericHierarchicalList class methodsFor: 'instance creation' stamp: 'apl 4/5/2005 09:31'!
fromFlatCollection: aCollectionOfCollections 
	^ self new fromFlatCollection: aCollectionOfCollections! !

!TamGenericHierarchicalList class methodsFor: 'instance creation' stamp: 'apl 4/4/2005 15:20'!
fromFlatCollection: aCollectionOfCollections title: aTitle 
	| aghl |
	aghl := self new fromFlatCollection: aCollectionOfCollections.
	aghl key: aTitle.
	^ aghl! !

!TamGenericHierarchicalList class methodsFor: 'instance creation' stamp: 'apl 4/4/2005 15:20'!
fromFlatCollection: aCollectionOfCollections title: aTitle client: aClientModel 
	| aghl |
	aghl := self fromFlatCollection: aCollectionOfCollections title: aTitle.
	aghl clientModel: aClientModel.
	^ aghl! !

!TamGenericHierarchicalList class methodsFor: 'examples' stamp: 'apl 4/5/2005 09:55'!
fromFlatCollectionExample
	| aghl |
	aghl := self fromFlatCollection: #(#(#String 'titi' 'toto') #(#String 'titi' 'tata') #(#String 'titi' 'momo') #(#String 'kiki' 'tata') #(#String 'mimi' 'tata') #(#Integer 'titi' 'tata') #(#Class 'momo' 'tata') #(#Class 'mimi' 'tata') #(#Class 'mimi' 'riri') #(#String 'titi' 'tata') ).
	aghl open! !

!TamGenericHierarchicalList class methodsFor: 'instance creation' stamp: 'apl 1/31/2007 12:49'!
fromRootListItems: aCollectionOfListItems 
	^ self new rootListItems: aCollectionOfListItems! !

!TamGenericHierarchicalList class methodsFor: 'instance creation' stamp: 'apl 4/4/2005 16:19'!
fromRootListItems: aCollectionOfListItems title: aTitle 
	| aghl |
	aghl := self fromRootListItems: aCollectionOfListItems.
	aghl key: aTitle.
	^ aghl! !

!TamGenericHierarchicalList class methodsFor: 'instance creation' stamp: 'apl 4/4/2005 16:16'!
fromRootListItems: aCollectionOfListItems title: aTitle client: aClientModel 
	| aghl |
	aghl := self fromRootListItems: aCollectionOfListItems title: aTitle.
	aghl clientModel: aClientModel.
	^ aghl! !

!TamGenericHierarchicalList class methodsFor: 'instance creation' stamp: 'apl 4/5/2005 09:33'!
fromUpdateBlock: aOneArgBlock 
	^ self new updateBlock: aOneArgBlock! !

!TamGenericHierarchicalList class methodsFor: 'instance creation' stamp: 'apl 4/4/2005 15:16'!
fromUpdateBlock: aOneArgBlock title: aTitle
	| aghl |
	aghl := self fromUpdateBlock: aOneArgBlock.
	aghl key: aTitle.
	^ aghl! !

!TamGenericHierarchicalList class methodsFor: 'instance creation' stamp: 'apl 4/4/2005 15:21'!
fromUpdateBlock: aOneArgBlock title: aTitle client: aClientModel
	| aghl |
	aghl := self fromUpdateBlock: aOneArgBlock title: aTitle.
	aghl clientModel: aClientModel.
	^ aghl! !

!TamGenericHierarchicalList class methodsFor: 'accessing' stamp: 'AlainPlantec 10/7/2010 21:40'!
initialExtent
	^ InitialExtent
				ifNil: [InitialExtent := 300 @ 400]! !

!TamGenericHierarchicalList class methodsFor: 'accessing' stamp: 'tam 10/13/2003 14:25'!
initialExtent: aPoint 	InitialExtent := aPoint! !

!TamGenericHierarchicalList class methodsFor: 'accessing' stamp: 'apl 4/4/2005 14:30'!
openedHierarchicalLists
	^ ActiveWorld submorphs
		select: [:sm | sm isSystemWindow
				and: [sm model isKindOf: self]]! !

!TamGenericHierarchicalList class methodsFor: 'accessing' stamp: 'apl 4/4/2005 14:31'!
openedHierarchicalListsOfClient: aClientModel 
	^ self openedHierarchicalLists
		select: [:h | h model clientModel = aClientModel]! !

!TamGenericHierarchicalList class methodsFor: 'accessing' stamp: 'apl 4/4/2005 14:32'!
openedHierarchicalListsOfClient: aClientModel key: anObject 
	^ (self openedHierarchicalListsOfClient: aClientModel)
		select: [:h | h model key = anObject]! !

!TamGenericHierarchicalList methodsFor: 'ui building' stamp: 'apl 1/31/2007 14:36'!
addButton: formName block: aBlock balloonText: aText 
	self
		addButton: formName
		target: self
		selector: #buttonBlock:valueWithArguments:
		arguments: (Array with: aBlock with: (Array with: self))
		balloonText: aText! !

!TamGenericHierarchicalList methodsFor: 'ui building' stamp: 'apl 1/31/2007 13:55'!
addButton: formName target: aTarget selector: aSelector arguments: args balloonText: aText 
	| btn |
	btn := TamMaskableButtonMorph
				formName: formName
				target: aTarget
				selector: aSelector
arguments: args				extent: self buttonExtent
				balloonText: aText.
	bottomButtons addMorph: btn! !

!TamGenericHierarchicalList methodsFor: 'ui building' stamp: 'apl 6/16/2005 12:35'!
addButton: formName target: aTarget selector: aSelector balloonText: aText 
	| btn |
	btn := TamMaskableButtonMorph
				formName: formName
				target: aTarget
				selector: aSelector
				extent: self buttonExtent
				balloonText: aText.
	bottomButtons addMorph: btn! !

!TamGenericHierarchicalList methodsFor: 'ui building' stamp: 'apl 1/31/2007 14:42'!
addButtonLabelled: aName block: aBlock balloonText: aText 
	self
		addButtonLabelled: aName
		target: self
		selector: #buttonBlock:valueWithArguments:
		arguments: (Array
				with: aBlock
				with: (Array with: self))
		balloonText: aText! !

!TamGenericHierarchicalList methodsFor: 'ui building' stamp: 'AlainPlantec 11/18/2010 10:29'!
addButtonLabelled: aName target: aTarget selector: aSelector arguments: args balloonText: aText 
	| btn |
	btn := PluggableButtonMorph  new.
	btn model: aTarget.
	btn label: aName.
	btn action: aSelector.
	btn arguments: args.
	btn setBalloonText: aText.
	btn extent: self buttonExtent.
	btn offColor: Color veryLightGray.
	btn borderColor: #raised.
	btn borderWidth: 1.
	bottomButtons addMorph: btn! !

!TamGenericHierarchicalList methodsFor: 'ui building' stamp: 'apl 4/16/2005 09:11'!
addButtonSpacer
	bottomButtons addSpacer! !

!TamGenericHierarchicalList methodsFor: 'ui building' stamp: 'apl 1/31/2007 13:13'!
addButtons
	bottomButtons := TamButtonsAlignmentMorph newRow.
	bottomButtons hResizing: #spaceFill.
	{{'16x16/actions/remove_pane'. self. #close. 'close this widow'}}
		do: [:arr | arr == #spacer
				ifTrue: [bottomButtons addSpacer]
				ifFalse: [self
						addButton: arr first
						target: arr second
						selector: arr third
						balloonText: arr fourth]].
	bottomButtonsRow addMorph: bottomButtons! !

!TamGenericHierarchicalList methodsFor: 'ui building' stamp: 'apl 1/31/2007 13:06'!
addExtensibleButtonSpacer
	bottomButtons addExtensibleSpacer! !

!TamGenericHierarchicalList methodsFor: 'menus' stamp: 'tam 10/13/2003 14:25'!
addModelItemsToWindowMenu: aMenu 	aMenu addLine.	aMenu		add: 'remember window size'		target: self		action: #rememberWindowSize! !

!TamGenericHierarchicalList methodsFor: 'ui building' stamp: 'tam 10/13/2003 18:20'!
buildMainWindow
	^ self buildMainWindow: self mainWindowLabel
! !

!TamGenericHierarchicalList methodsFor: 'ui building' stamp: 'apl 4/18/2005 14:27'!
buildMainWindow: title 
	mainWindow := (SystemWindow labelled: title) model: self.
	self buildWindowWithButtons: mainWindow.
	mainWindow paneColor: Color gray muchLighter.
	listMorph color: Color gray muchLighter.
	bottomButtonsRow color: Color gray muchLighter.
	mainWindow extent: self initialExtent.
	^mainWindow! !

!TamGenericHierarchicalList methodsFor: 'ui building' stamp: 'apl 4/4/2005 15:17'!
buildWindow: aWindow 
	listMorph
		ifNil: [listMorph := self hierarchicalListMorphClass
						on: self
						list: #getList
						selected: #getCurrentSelection
						changeSelected: #noteNewSelection:
						menu: #menu:shifted:
						keystroke: #keyStroke:from:.
			listMorph autoDeselect: true.
			listMorph enableDragNDrop: false].
	aWindow
		addMorph: listMorph
		fullFrame: (LayoutFrame
				fractions: (0 @ 0 corner: 1 @ 1)
				offsets: (0 @ 0 corner: 0 @ 0)).
	listMorph selection: nil.
	listMorph changed: #getList.
	listMorph changed: #getSelection.
	^ aWindow! !

!TamGenericHierarchicalList methodsFor: 'ui building' stamp: 'apl 1/31/2007 13:09'!
buildWindowWithButtons: aWindow 
	| bottomButtonsRowHeight |
	bottomButtonsRowHeight := self buttonExtent y + 16 + TamButtonMorph defaultBorderWidth + 1.
	self buildWindow: aWindow.
	listMorph
		layoutFrame: (LayoutFrame
				fractions: (0 @ 0 corner: 1 @ 1)
				offsets: (0 @ 0 corner: 0 @ bottomButtonsRowHeight negated)).
	bottomButtonsRow := TamButtonsAlignmentMorph typicalRowOwner.
	self addButtons.
	aWindow
		addMorph: bottomButtonsRow
		fullFrame: (LayoutFrame
				fractions: (0 @ 1 corner: 1 @ 1)
				offsets: (0 @ bottomButtonsRowHeight negated corner: 0 @ 0)).
	^ aWindow! !

!TamGenericHierarchicalList methodsFor: 'ui building' stamp: 'apl 1/31/2007 14:28'!
buttonBlock: aBlock valueWithArguments: args 
	aBlock valueWithArguments: args! !

!TamGenericHierarchicalList methodsFor: 'accessing' stamp: 'apl 4/16/2005 08:31'!
buttonExtent
	^self class buttonExtent! !

!TamGenericHierarchicalList methodsFor: 'accessing' stamp: 'tam 10/15/2003 11:08'!
clientModel
	^clientModel! !

!TamGenericHierarchicalList methodsFor: 'accessing' stamp: 'AlainPlantec 10/7/2010 21:40'!
clientModel: anObject 
	clientModel
		ifNotNil: [clientModel removeDependent: self].
	clientModel := anObject. 
	clientModel
		ifNotNil: [clientModel addDependent: self]! !

!TamGenericHierarchicalList methodsFor: 'ui opening/closing' stamp: 'tam 10/13/2003 23:16'!
close
	mainWindow delete! !

!TamGenericHierarchicalList methodsFor: 'updating' stamp: 'apl 4/13/2005 23:10'!
collapseAll
	self listMorph toggleExpandedState: self listMorph scroller submorphs first.
	self listMorph adjustSubmorphPositions ! !

!TamGenericHierarchicalList methodsFor: 'initialize/release' stamp: 'apl 4/10/2006 14:05'!
destroy
	mainWindow
		ifNotNil: [mainWindow submorphs
				do: [:sm | sm delete].
			mainWindow := nil].
	bottomButtons
		ifNotNil: [bottomButtons destroy.
			bottomButtons := nil].
	bottomButtonsRow := nil.
	listMorph
		ifNotNil: [listMorph model: nil.
			listMorph := nil].
	clientModel := nil.
	updateBlock := nil.
	sortBlock := nil.
	super destroy! !

!TamGenericHierarchicalList methodsFor: 'updating' stamp: 'apl 2/17/2006 15:26'!
doDeeply: aBlock 
	^ self rootListItems
		do: [:e | e
				doDeeply: aBlock
				from: self
				]! !

!TamGenericHierarchicalList methodsFor: 'updating' stamp: 'apl 10/27/2006 11:16'!
expandAll
	self listMorph expandAll
! !

!TamGenericHierarchicalList methodsFor: 'updating' stamp: 'apl 4/5/2005 09:30'!
fromFlatCollection: aCollection 
	self

		rootListItems: (TamGenericHierarchicalListItem fromFlatCollection: aCollection).
	self sort.
	self changed: #getList! !

!TamGenericHierarchicalList methodsFor: 'accessing' stamp: 'apl 6/3/2005 18:35'!
getList
	^self rootListItems isNil 
		ifTrue: 
			[#()]
		ifFalse: 
			[self rootListItems 
				collect: [:each | each wrapperClass with: each model: nil]]! !

!TamGenericHierarchicalList methodsFor: 'accessing' stamp: 'tam 2/18/2004 15:32'!
hierarchicalListMorphClass
	^ TamHierarchicalListMorph! !

!TamGenericHierarchicalList methodsFor: 'ui building' stamp: 'tam 10/13/2003 14:25'!
initialExtent
	^ self class initialExtent! !

!TamGenericHierarchicalList methodsFor: 'accessing' stamp: 'apl 4/4/2005 14:29'!
key 
	^ key! !

!TamGenericHierarchicalList methodsFor: 'accessing' stamp: 'apl 4/4/2005 14:29'!
key: anObject
	key := anObject! !

!TamGenericHierarchicalList methodsFor: 'menus' stamp: 'apl 4/4/2005 12:42'!
keyStroke: aCharacter from: tamuggableListMorph 
	self unwrappedSelection notNil
		ifTrue: [(self unwrappedSelection respondsTo: #keyStroke:from:)
			ifTrue: [self unwrappedSelection  keyStroke: aCharacter from: tamuggableListMorph]]! !

!TamGenericHierarchicalList methodsFor: 'accessing' stamp: 'tam 10/13/2003 14:25'!
listMorph 	^ listMorph! !

!TamGenericHierarchicalList methodsFor: 'accessing' stamp: 'tam 10/13/2003 14:25'!
mainWindow	^mainWindow! !

!TamGenericHierarchicalList methodsFor: 'accessing' stamp: 'apl 4/4/2005 15:18'!
mainWindowLabel
	^ key ifNil: [self class name] ifNotNil: [key asString]! !

!TamGenericHierarchicalList methodsFor: 'menus' stamp: 'apl 4/4/2005 11:45'!
menu: menu shifted: b 
	"Set up the menu to apply to the receiver's, honoring the  
	#shifted boolean"
	| listWrapper |
	(listWrapper := self getCurrentSelection)
		ifNotNil: [menu defaultTarget: self.
			^ listWrapper withoutListWrapper menu: menu shifted: b].
	^ menu! !

!TamGenericHierarchicalList methodsFor: 'updating' stamp: 'apl 10/26/2006 18:24'!
noteNewSelection: aWrapper 
	| oldSelection |
	self okToChange 
		ifTrue: 
			[oldSelection := currentSelection.
			super noteNewSelection: aWrapper.
			oldSelection notNil 
				ifTrue: [oldSelection withoutListWrapper unSelectingFrom: self].
			aWrapper notNil ifTrue: [aWrapper withoutListWrapper selectingFrom: self]]! !

!TamGenericHierarchicalList methodsFor: 'ui opening/closing' stamp: 'apl 4/4/2005 15:20'!
open
	self buildMainWindow openInWorld.
! !

!TamGenericHierarchicalList methodsFor: 'ui building' stamp: 'tam 10/13/2003 14:25'!
openAsMorph	^ self buildMainWindow openInWorld	! !

!TamGenericHierarchicalList methodsFor: 'ui opening/closing' stamp: 'apl 2/23/2007 13:42'!
openModal
	self buildMainWindow openInWorld.
	[mainWindow  notNil]
		whileTrue: [mainWindow outermostWorldMorph doOneCycle]! !

!TamGenericHierarchicalList methodsFor: 'ui opening/closing' stamp: 'apl 3/16/2007 15:02'!
openModalAndExpand
	self buildMainWindow openInWorld.
	self expandAll.
	[mainWindow  notNil and: [mainWindow world notNil]]
		whileTrue: [mainWindow outermostWorldMorph doOneCycle]! !

!TamGenericHierarchicalList methodsFor: 'menus' stamp: 'tam 10/13/2003 14:25'!
rememberWindowSize	self class initialExtent: mainWindow bounds extent! !

!TamGenericHierarchicalList methodsFor: 'accessing' stamp: 'apl 4/4/2005 16:12'!
rootListItems
	^ rootListItems! !

!TamGenericHierarchicalList methodsFor: 'accessing' stamp: 'apl 4/4/2005 16:12'!
rootListItems: aCollection 
	rootListItems := aCollection.
	self changed: #getList! !

!TamGenericHierarchicalList methodsFor: 'updating' stamp: 'ap 10/17/2003 23:29'!
setFirstLevelSortBlock: aBlock
	sortBlock := aBlock! !

!TamGenericHierarchicalList methodsFor: 'updating' stamp: 'apl 4/4/2005 16:13'!
sort
	| sb |
	sb := self sortBlock
				ifNil: [[:a :b | a asString < b asString]].
	self rootListItems: (self rootListItems asArray sort: sb) asOrderedCollection.
	self rootListItems
		do: [:c | c sort].
	self changed: #getList! !

!TamGenericHierarchicalList methodsFor: 'accessing' stamp: 'ap 10/17/2003 23:32'!
sortBlock
	^ sortBlock! !

!TamGenericHierarchicalList methodsFor: 'updating' stamp: 'tam 10/15/2003 18:04'!
stepIn: aSystemWindow 
	self updateList.
	super stepIn: aSystemWindow! !

!TamGenericHierarchicalList methodsFor: 'accessing' stamp: 'tam 10/13/2003 14:25'!
unwrappedSelection	^ self getCurrentSelection ifNotNil: [self getCurrentSelection withoutListWrapper]! !

!TamGenericHierarchicalList methodsFor: 'updating' stamp: 'tam 10/15/2003 23:44'!
update: aSymbol 
	(aSymbol = self clientModel
			or: [aSymbol = #getCurrentSelection])
		ifTrue: [^ self updateList].
	super update: aSymbol! !

!TamGenericHierarchicalList methodsFor: 'accessing' stamp: 'tam 10/15/2003 17:34'!
updateBlock
	^updateBlock! !

!TamGenericHierarchicalList methodsFor: 'accessing' stamp: 'AlainPlantec 10/7/2010 21:40'!
updateBlock: aBlock 
	updateBlock := aBlock.
	self updateList! !

!TamGenericHierarchicalList methodsFor: 'updating' stamp: 'tam 10/16/2003 00:04'!
updateList
	self updateBlock
		ifNotNil: [self updateBlock value: self.
			self changed: #getList]! !

!TamGenericHierarchicalList methodsFor: 'ui opening/closing' stamp: 'apl 2/20/2007 15:36'!
windowIsClosing
	self destroy.
	super windowIsClosing! !

!TamHierarchicalList methodsFor: 'as yet unclassified' stamp: 'AlainPlantec 10/27/2011 13:30'!
genericMenu: aMenu

	aMenu add: 'no menu yet' target: self selector: #yourself.
	^aMenu! !

!TamHierarchicalList methodsFor: 'as yet unclassified' stamp: 'AlainPlantec 10/27/2011 13:30'!
getCurrentSelection

	^currentSelection! !

!TamHierarchicalList methodsFor: 'as yet unclassified' stamp: 'AlainPlantec 10/27/2011 13:30'!
noteNewSelection: x

	currentSelection := x.
	self changed: #getCurrentSelection.
	currentSelection ifNil: [^self].
	currentSelection sendSettingMessageTo: self.
! !

!TamHierarchicalList methodsFor: 'as yet unclassified' stamp: 'AlainPlantec 10/27/2011 13:30'!
perform: selector orSendTo: otherTarget
	"Selector was just chosen from a menu by a user.  If can respond, then
perform it on myself. If not, send it to otherTarget, presumably the
editPane from which the menu was invoked."

	(self respondsTo: selector)
		ifTrue: [^ self perform: selector]
		ifFalse: [^ otherTarget perform: selector]! !

!TamHierarchicalList methodsFor: 'as yet unclassified' stamp: 'AlainPlantec 10/27/2011 13:30'!
update: aSymbol

	aSymbol == #hierarchicalList ifTrue: [
		^self changed: #getList
	].
	super update: aSymbol! !

!MessageSet methodsFor: '*tamaris-browser-history-handling' stamp: 'apl 4/9/2005 09:17'!
isBrowserHistoryItemValid: anHistoryItem 
	^ anHistoryItem methodReference isValid and: [(messageList indexOf: anHistoryItem methodReference) > 0]
	! !

!MessageSet methodsFor: '*tamaris-browser-history-handling' stamp: 'apl 4/9/2005 09:25'!
setFromBrowserHistoryItem: anHistoryItem 
	| pos |
	(pos := messageList indexOf: anHistoryItem methodReference)
		> 0 ifTrue: [self messageListIndex: pos]! !

SimpleHierarchicalListMorph subclass: #TamHierarchicalListMorph
	instanceVariableNames: 'eventRulesHandler emphasisIndex'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Tamaris-UI'!

!TamHierarchicalListMorph class methodsFor: 'accessing' stamp: 'apl 4/22/2005 01:40'!
expandedForm
	self indentingItemClass useStandardToggleIcons 
		ifTrue: [^super expandedForm].
	^TamIcons originalIcon: 'expandedForm'! !

!TamHierarchicalListMorph class methodsFor: 'accessing' stamp: 'tam 3/10/2004 15:24'!
indentingItemClass
	^ TamIndentingListItemMorph! !

!TamHierarchicalListMorph class methodsFor: 'accessing' stamp: 'apl 4/22/2005 01:40'!
notExpandedForm
	self indentingItemClass useStandardToggleIcons 
		ifTrue: [^super notExpandedForm].
	^TamIcons originalIcon: 'notExpandedForm'! !

!TamHierarchicalListMorph methodsFor: 'emphasis-handling' stamp: 'apl 1/30/2007 11:00'!
boldBlueEmphasisModel
	^ TamListItemMorphEmphasisModel boldBlueOnLightBlueStandard! !

!TamHierarchicalListMorph methodsFor: 'emphasis-handling' stamp: 'apl 3/25/2005 12:48'!
boldBlueEmphasisSet
	^ self emphasisSet: self boldBlueEmphasisModel! !

!TamHierarchicalListMorph methodsFor: 'emphasis-handling' stamp: 'apl 3/25/2005 12:48'!
boldBlueEmphasisSetRemoveAll
	self emphasisIndex emptyEmphasisSet: self boldBlueEmphasisModel! !

!TamHierarchicalListMorph methodsFor: 'emphasis-handling' stamp: 'apl 1/30/2007 11:00'!
boldRedEmphasisModel
	^ TamListItemMorphEmphasisModel boldRedStandard! !

!TamHierarchicalListMorph methodsFor: 'emphasis-handling' stamp: 'apl 3/25/2005 12:50'!
boldRedEmphasisSet
	^ self emphasisSet: self boldRedEmphasisModel! !

!TamHierarchicalListMorph methodsFor: 'emphasis-handling' stamp: 'apl 3/25/2005 12:53'!
boldRedEmphasisSetRemoveAll
	self emphasisIndex emptyEmphasisSet: self boldRedEmphasisModel! !

!TamHierarchicalListMorph methodsFor: 'updating' stamp: 'apl 4/18/2005 22:50'!
bounds: newBounds 
	super bounds: newBounds.
	(model respondsTo: # boundsOf:updatedWith:) ifTrue: [model boundsOf: self updatedWith: newBounds]! !

!TamHierarchicalListMorph methodsFor: 'emphasis-handling' stamp: 'apl 3/29/2005 22:38'!
clearAllEmphasis
	self emphasisIndex clear.
	self changed! !

!TamHierarchicalListMorph methodsFor: 'updating' stamp: 'apl 4/13/2005 23:15'!
collapseAll
	self scroller submorphsDo: [:sm | sm isExpanded ifTrue: [self toggleExpandedState: sm]].
	self adjustSubmorphPositions! !

!TamHierarchicalListMorph methodsFor: 'initialize-release' stamp: 'apl 4/10/2006 14:01'!
destroy	
	super destroy.
	owner := nil.! !

!TamHierarchicalListMorph methodsFor: 'emphasis-handling' stamp: 'apl 1/30/2007 10:59'!
emphasisIndex
	^ emphasisIndex ifNil: [emphasisIndex := TamListItemMorphEmphasisIndex new]! !

!TamHierarchicalListMorph methodsFor: 'accessing' stamp: 'apl 1/30/2007 11:00'!
emphasisOf: anObject 
	^ (self emphasisIndex emphasisOf: anObject) 
		ifNil: [anObject emphasisModel ifNil: [TamListItemMorphEmphasisModel standard]]! !

!TamHierarchicalListMorph methodsFor: 'emphasis-handling' stamp: 'apl 1/29/2007 13:58'!
emphasisSet: anListEmphasisModel 
	^ self emphasisIndex emphasisSet: anListEmphasisModel! !

!TamHierarchicalListMorph methodsFor: 'emphasis-handling' stamp: 'apl 1/29/2007 13:58'!
emphasisSet: anListEmphasisModel collect: aBlock 
	^ self emphasisIndex emphasisSet: anListEmphasisModel collect: aBlock! !

!TamHierarchicalListMorph methodsFor: 'emphasis-handling' stamp: 'apl 1/29/2007 13:58'!
emphasisSet: anListEmphasisModel detect: aBlock 
	^ self emphasisIndex emphasisSet: anListEmphasisModel detect: aBlock! !

!TamHierarchicalListMorph methodsFor: 'emphasis-handling' stamp: 'apl 1/29/2007 13:58'!
emphasisSet: anListEmphasisModel do: aBlock 
	^ self emphasisIndex emphasisSet: anListEmphasisModel do: aBlock! !

!TamHierarchicalListMorph methodsFor: 'emphasis-handling' stamp: 'apl 1/29/2007 13:58'!
emphasisSet: anListEmphasisModel select: aBlock 
	^ self emphasisIndex emphasisSet: anListEmphasisModel select: aBlock! !

!TamHierarchicalListMorph methodsFor: 'events' stamp: 'apl 1/30/2007 10:34'!
eventRulesHandleEvent: anEvent 
	^ self eventRulesHandler notNil 
		and: [self eventRulesHandler handleEvent: anEvent]! !

!TamHierarchicalListMorph methodsFor: 'accessing' stamp: 'apl 1/30/2007 09:44'!
eventRulesHandler
	^ eventRulesHandler! !

!TamHierarchicalListMorph methodsFor: 'updating' stamp: 'apl 4/13/2005 23:31'!
expandAll
	self scroller
		submorphsDo: [:sm | self expandAll: sm].
	self adjustSubmorphPositions! !

!TamHierarchicalListMorph methodsFor: 'accessing' stamp: 'tam 3/10/2004 15:25'!
indentingItemClass
	^ self class indentingItemClass! !

!TamHierarchicalListMorph methodsFor: 'initialize-release' stamp: 'apl 1/30/2007 10:49'!
initialize
	super initialize.
	 self initializeEventRulesHandler! !

!TamHierarchicalListMorph methodsFor: 'initialize-release' stamp: 'apl 1/30/2007 11:01'!
initializeEventRulesHandler
	eventRulesHandler := TamSimpleHierarchicalListMorphEventRulesHandler 
				list: self.
	eventRulesHandler add: TamListItemBoldBlueEmphasisRule new.
	eventRulesHandler add: TamListItemBoldRedEmphasisRule new.
	eventRulesHandler add: TamHierarchicalListItemMenuRule new! !

!TamHierarchicalListMorph methodsFor: 'events' stamp: 'apl 1/30/2007 09:41'!
mouseUp: event 
	(self eventRulesHandleEvent: event) ifTrue: [^ self changed].
	self clearAllEmphasis.	super mouseUp: event! !

!TamHierarchicalListMorph methodsFor: 'emphasis-handling' stamp: 'apl 3/25/2005 13:09'!
removeEmphasisOf: anObject 
	^ self emphasisIndex remove: anObject! !

!TamHierarchicalListMorph methodsFor: 'emphasis-handling' stamp: 'apl 3/25/2005 13:59'!
show: anUnwrappedItem asEmphasedWith: anEmphasisModel
	self emphasisIndex switch: anUnwrappedItem emphasis:anEmphasisModel! !

!TamHierarchicalListMorph methodsFor: 'dropping/grabbing' stamp: 'AlainPlantec 4/26/2012 09:48'!
startDrag: evt 
	| ddm itemMorph passenger trans tm subPassenger |
	self dragEnabled 
		ifTrue: 
			[itemMorph := scroller submorphs 
						detect: [:any | any highlightedForMouseDown]
						ifNone: []].
	(itemMorph isNil or: [evt hand hasSubmorphs]) ifTrue: [^ self].
	itemMorph highlightForMouseDown: false.
	itemMorph ~= self selectedMorph ifTrue: [self setSelectedMorph: itemMorph].
	(self boldBlueEmphasisSet notEmpty and: 
			[self boldBlueEmphasisSet 
				includes: itemMorph complexContents withoutListWrapper]) 
		ifTrue: 
			[trans := OrderedCollection new.
			self boldBlueEmphasisSet asOrderedCollection do: 
					[:s | 
					(subPassenger := self model dragPassengerFor: s inMorph: self) ifNotNil: 
							[tm := TransferMorph withPassenger: subPassenger.
							tm dragTransferType: (self model dragTransferTypeForMorph: self).
							trans add: tm]].
			trans isEmpty 
				ifFalse: 
					[passenger := SelectionMorph new.
					passenger setSelectedItems: trans.
					ddm := TransferMorph withPassenger: passenger from: self.
					ddm dragTransferType: (self model dragTransferTypeForMorph: self)]]
		ifFalse: 
			[(passenger := self model dragPassengerFor: itemMorph inMorph: self) 
				ifNotNil: 
					[ddm := TransferMorph withPassenger: passenger from: self.
					ddm dragTransferType: (self model dragTransferTypeForMorph: self)]].
	ddm ifNotNil: 
			[evt hand grabMorph: ddm].
	evt hand releaseMouseFocus: self! !

IndentingListItemMorph subclass: #TamIndentingListItemMorph
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Tamaris-UI'!

!TamIndentingListItemMorph class methodsFor: 'preferences' stamp: 'apl 4/13/2005 22:06'!
showItemsIcon
	^ true! !

!TamIndentingListItemMorph class methodsFor: 'preferences' stamp: 'apl 4/13/2005 23:35'!
useStandardToggleIcons
	^ false! !

!TamIndentingListItemMorph methodsFor: 'deleting' stamp: 'apl 6/23/2005 13:03'!
delete
	super delete.
	self destroy! !

!TamIndentingListItemMorph methodsFor: 'deleting' stamp: 'apl 6/23/2005 13:02'!
destroy
	super destroy.
	complexContents := nil! !

!TamIndentingListItemMorph methodsFor: 'deleting' stamp: 'apl 7/8/2005 09:06'!
hasToggle
	^ complexContents notNil and: [super hasToggle]! !

!TamIndentingListItemMorph methodsFor: 'accessing' stamp: 'apl 10/27/2006 11:35'!
icon
	^ self class showItemsIcon 
		ifTrue: 
			[complexContents ifNotNil: 
					[complexContents withoutListWrapper 
						ifNotNil: [complexContents withoutListWrapper icon]]]! !

!TamIndentingListItemMorph methodsFor: 'initialization' stamp: 'AlainPlantec 10/7/2010 13:54'!
initWithContents: anObject prior: priorMorph forList: hostList indentLevel: newLevel 
	| emph |
	container := hostList.
	complexContents := anObject.
	emph := hostList emphasisOf: anObject withoutListWrapper.
	emphasis := emph emphasis.
	color := emph textColor.
	self 
		initWithContents: anObject asString
		font: StandardFonts listFont
		emphasis: emph emphasis emphasisCode.
	indentLevel := 0.
	isExpanded := false.
	nextSibling := firstChild := nil.
	priorMorph ifNotNil: [priorMorph nextSibling: self].
	indentLevel := newLevel.
	icon := anObject icon.
	self extent: self minWidth @ self minHeight! !

!TamIndentingListItemMorph methodsFor: 'accessing' stamp: 'apl 2/9/2006 14:21'!
isFirstItem
	^ owner  notNil
		and: [super isFirstItem]! !

!TamIndentingListItemMorph methodsFor: 'drawing' stamp: 'apl 6/26/2005 11:58'!
unhighlight
	complexContents ifNotNil: [
		super unhighlight]! !

StringMorph subclass: #TamStringMorph
	instanceVariableNames: 'model getTextSelector setTextSelector editor cpt'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Tamaris-UI'!

!TamStringMorph class methodsFor: 'scripting' stamp: 'apl 4/22/2005 16:20'!
authoringPrototype
	^ super authoringPrototype contents: 'String'! !

!TamStringMorph class methodsFor: 'instance creation' stamp: 'apl 4/22/2005 16:52'!
on: anObject text: getTextSel accept: setTextSel 
	^ self new on: anObject text: getTextSel accept: setTextSel ! !

!TamStringMorph methodsFor: 'event handling' stamp: 'apl 4/22/2005 17:25'!
acceptContents
	self acceptValue: contents! !

!TamStringMorph methodsFor: 'event handling' stamp: 'apl 4/22/2005 18:24'!
acceptValue: aValue 
"	self currentHand releaseKeyboardFocus: self."
	setTextSelector isNil or: 
			[setTextSelector numArgs = 2 
				ifTrue: 
					[self model 
						perform: setTextSelector
						with: aValue
						with: self]
				ifFalse: [self model perform: setTextSelector with: aValue]]! !

!TamStringMorph methodsFor: 'accessing' stamp: 'apl 5/12/2006 11:21'!
cpt
	^ cpt ifNil: [cpt := 0]! !

!TamStringMorph methodsFor: 'initialize-release' stamp: 'apl 6/3/2005 17:59'!
destroy
	model := nil.
editor ifNotNil: 
			[self removeMorph: editor.
			editor delete.
			editor := nil].! !

!TamStringMorph methodsFor: 'editing' stamp: 'apl 5/12/2006 11:22'!
doneWithEdits
	editor
		ifNotNil: [self removeMorph: editor.
			editor delete.
			editor := nil].
	cpt := self cpt - 1.
	 cpt < 0
		ifTrue: [self halt]! !

!TamStringMorph methodsFor: 'editing' stamp: 'apl 4/22/2005 16:56'!
getText
	"Retrieve the current model text"

	| newText |
	getTextSelector isNil ifTrue: [^Text new].
	newText := model perform: getTextSelector.
	newText ifNil: [^Text new].
	^newText shallowCopy! !

!TamStringMorph methodsFor: 'accessing' stamp: 'apl 4/22/2005 16:41'!
getTextSelector
	^getTextSelector! !

!TamStringMorph methodsFor: 'event handling' stamp: 'apl 4/22/2005 17:52'!
handlesMouseDown: evt 
	^true	! !

!TamStringMorph methodsFor: 'event handling' stamp: 'apl 4/22/2005 20:07'!
handlesMouseOver: evt 
	^true! !

!TamStringMorph methodsFor: 'editing' stamp: 'apl 5/12/2006 11:28'!
launchMiniEditor: evt 
	hasFocus := true.
	"Really only means edit in progress for this morph"
	editor := TamStringMorph new contentsAsIs: contents.
	editor
		bounds: (self bounds expandBy: 0 @ 2).
	editor backgroundColor: Color transparent.
	self addMorphFront: editor.
	evt hand newMouseFocus: editor.
	evt hand newKeyboardFocus: editor.
	cpt := self cpt + 1.
	cpt < 0
		ifTrue: [self halt]! !

!TamStringMorph methodsFor: 'editing' stamp: 'apl 4/23/2005 10:34'!
lostFocusWithoutAccepting
	"self doneWithEdits"! !

!TamStringMorph methodsFor: 'accessing' stamp: 'apl 4/22/2005 16:54'!
model
	^ model! !

!TamStringMorph methodsFor: 'accessing' stamp: 'apl 4/22/2005 16:55'!
model: aModel
	model := aModel! !

!TamStringMorph methodsFor: 'event handling' stamp: 'apl 4/22/2005 20:05'!
mouseDown: evt 
	self launchMiniEditor: evt! !

!TamStringMorph methodsFor: 'event handling' stamp: 'apl 7/9/2005 00:47'!
mouseLeave: evt 
	super mouseLeave: evt.
	evt hand releaseKeyboardFocus: self.
	hasFocus := false! !

!TamStringMorph methodsFor: 'initialize-release' stamp: 'apl 4/23/2005 10:30'!
on: anObject text: getTextSel accept: setTextSel 
	self model: anObject.
	getTextSelector := getTextSel.
	setTextSelector := setTextSel.
	self borderWidth: 1.
	self contents: self getText.
cpt := 0.! !

!TamStringMorph methodsFor: 'accessing' stamp: 'apl 4/22/2005 16:41'!
setTextSelector
	^setTextSelector! !

!TamStringMorph methodsFor: 'updating' stamp: 'apl 7/9/2005 00:46'!
update: aSymbol 
	hasFocus ifFalse: [
	super update: aSymbol.
	self contents: self getText]! !

PluggableTextMorph subclass: #TamTextMorph
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Tamaris-Tools'!

!TamTextMorph methodsFor: 'model access' stamp: 'apl 2/16/2006 11:51'!
getText
	"Retrieve the current model text"
	model ifNotNil: [^ super getText].
	^ '' asText! !

!TamTextMorph methodsFor: 'updating' stamp: 'AlainPlantec 10/7/2010 22:00'!
hasUnacceptedEdits: aBoolean 
	| oldHasUnacceptedEdits |
	oldHasUnacceptedEdits := hasUnacceptedEdits.
	super hasUnacceptedEdits: aBoolean.
	aBoolean == oldHasUnacceptedEdits
		ifFalse: [self changed: #hasUnacceptedEdits:]! !

!TamTextMorph methodsFor: 'initialization' stamp: 'AlainPlantec 5/2/2012 17:37'!
initialize
	super initialize.
	self color: Color white! !

!TamTextMorph methodsFor: 'error handling' stamp: 'AlainPlantec 5/2/2012 17:33'!
notify: errorMessage at: location 
	| repl |
	self selectFrom: location to: location - 1.
	self scrollSelectionIntoView.
	repl := Text string: errorMessage , '->' attribute: TextEmphasis bold.
	self replaceSelectionWith: repl.
	self 
		setSelection: (location to: location + errorMessage size + 1).
! !

PanelMorph subclass: #TamPaneMorph
	instanceVariableNames: 'model updatablePanes getChildrenSelector'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Tamaris-UI'!

!TamPaneMorph class methodsFor: 'instance creation' stamp: 'apl 2/15/2006 21:42'!
model: aModel 
	^ self new model: aModel
! !

!TamPaneMorph methodsFor: 'LookEnhancements- compatibilty' stamp: 'AlainPlantec 5/2/2012 17:00'!
addPaneHSplitterBetween: topMorph and: bottomBorphs 
	| splitter |
	super addPaneHSplitterBetween: topMorph and: bottomBorphs.
	splitter := self submorphs last.
	splitter addLeftOrTop: topMorph.
	bottomBorphs
		do: [:m | splitter addRightOrBottom: m].
	splitter comeToFront! !

!TamPaneMorph methodsFor: 'LookEnhancements- compatibilty' stamp: 'apl 6/29/2007 09:37'!
addPaneVSplitterBetween: leftMorph and: rightMorphs 
	| splitter |
	super addPaneVSplitterBetween: leftMorph and: rightMorphs.
	splitter := self submorphs last.
	splitter addLeftOrTop: leftMorph.
	rightMorphs
		do: [:m | splitter addRightOrBottom: m].
	splitter comeToFront! !

!TamPaneMorph methodsFor: 'panes- compatibility' stamp: 'AlainPlantec 3/11/2010 16:24'!
announce: x! !

!TamPaneMorph methodsFor: 'initialize/release' stamp: 'AlainPlantec 5/2/2012 16:53'!
eat: aPane 
	| grips |
	aPane isSystemWindow
		ifTrue: [aPane emptyLabelArea].
	self layoutInset: -4@0.
	aPane removeCornerGrips.
	grips := aPane submorphsSatisfying: [:each | each isKindOf: WindowEdgeGripMorph].
	grips do: [:each | each delete].
	self model: aPane model.
	self addAllMorphs: aPane submorphs.
	self updatablePanes: aPane updatablePanes.
	aPane model
		ifNotNil: [aPane model removeDependent: aPane]! !

!TamPaneMorph methodsFor: 'accessing' stamp: 'apl 7/3/2007 00:16'!
getChildrenSelector
	^ getChildrenSelector! !

!TamPaneMorph methodsFor: 'accessing' stamp: 'apl 7/3/2007 00:16'!
getChildrenSelector: anObject
	getChildrenSelector := anObject! !

!TamPaneMorph methodsFor: 'initialize/release' stamp: 'AlainPlantec 5/2/2012 17:11'!
initialize
	super initialize.
	self useSquareCorners.
	self color: Color transparent.
	self borderWidth: 0.
	self layoutPolicy: ProportionalLayout new.
	self clipSubmorphs: true.
	self layoutInset: 0! !

!TamPaneMorph methodsFor: 'accessing' stamp: 'AlainPlantec 5/4/2012 09:16'!
minExtent
	^ 2 @ 60! !

!TamPaneMorph methodsFor: 'accessing' stamp: 'apl 6/29/2007 10:53'!
model
	^ model! !

!TamPaneMorph methodsFor: 'accessing' stamp: 'apl 7/7/2005 15:52'!
model: anObject
	model := anObject! !

!TamPaneMorph methodsFor: 'panes- compatibility' stamp: 'apl 6/29/2007 10:07'!
setUpdatablePanesFrom: getSelectors 
	"Set my updatablePanes inst var to the list of
	panes which are list panes with the given get-list
	selectors. Order is important here!! Note that the
	method is robust in the face of panes not found,
	but a warning is printed in the transcript in each
	such case"
	| aList aPane possibles |
	aList := OrderedCollection new.
	possibles := OrderedCollection new.
	self
		allMorphsDo: [:pane | (pane isKindOf: PluggableListMorph)
				ifTrue: [possibles add: pane]].
	getSelectors
		do: [:sel | 
			aPane := possibles
						detect: [:pane | pane getListSelector == sel]
						ifNone: [].
			aPane
				ifNil: [Transcript cr; show: 'Warning: pane ' , sel , ' not found.']
				ifNotNil: [aList add: aPane]].
	updatablePanes := aList asArray! !

!TamPaneMorph methodsFor: 'initialize/release' stamp: 'apl 6/29/2007 22:21'!
splitHorizontally
	| myFrame leftFrame rightFrame newRight newLeft |
	myFrame := self layoutFrame.
	leftFrame := myFrame copy.
	rightFrame := myFrame copy.
	leftFrame rightFraction: myFrame rightFraction / 2.
	rightFrame leftFraction: myFrame leftFraction / 2.
	newRight := self class new.
	newRight eat: self.
	newLeft := self class new.
	self addMorph: newLeft fullFrame: leftFrame.
	self addMorph: newRight fullFrame: rightFrame.
	^ newLeft! !

!TamPaneMorph methodsFor: 'initialize/release' stamp: 'apl 6/29/2007 22:46'!
splitVertically
	| myFrame topFrame bottomFrame newTop newBottom |
	myFrame := self layoutFrame.
	topFrame := myFrame copy.
	bottomFrame := myFrame copy.
	topFrame bottomFraction: myFrame bottomFraction / 2.
	bottomFrame topFraction: myFrame topFraction / 2.
	newTop := self class new.
	newTop eat: self.
	newBottom := self class new.
	self removeAllMorphs.
	self addMorph: newTop fullFrame: topFrame.
	self addMorph: newBottom fullFrame: bottomFrame.
	^ newBottom! !

!TamPaneMorph methodsFor: 'stepping and presenter' stamp: 'apl 9/27/2007 07:26'!
step
	model
		ifNotNil: [model stepIn: self]! !

!TamPaneMorph methodsFor: 'stepping and presenter' stamp: 'apl 9/27/2007 07:23'!
stepAt: millisecondClockValue 
	model
		ifNotNil: [model stepAt: millisecondClockValue in: self]! !

!TamPaneMorph methodsFor: 'panes- compatibility' stamp: 'apl 6/29/2007 10:08'!
updatablePanes
	"Answer the list of panes, in order, which should
	be sent the
	#verifyContents message"
	^ updatablePanes
		ifNil: [updatablePanes := #()]! !

!TamPaneMorph methodsFor: 'panes- compatibility' stamp: 'apl 6/29/2007 10:19'!
updatablePanes: aCollection 
	updatablePanes := aCollection! !

!TamPaneMorph methodsFor: 'panes- compatibility' stamp: 'apl 6/29/2007 10:23'!
updatePanesFromSubmorphs
	! !

!TamPaneMorph methodsFor: 'stepping and presenter' stamp: 'apl 9/27/2007 07:24'!
wantsSteps
	^ false! !

TamPaneMorph subclass: #TamPaneMorphWrapper
	instanceVariableNames: 'wrapped'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Tamaris-UI'!

!TamPaneMorphWrapper methodsFor: 'error handling' stamp: 'apl 7/7/2005 16:00'!
doesNotUnderstand: aMessage 
	^ wrapped  perform: aMessage selector withArguments: aMessage arguments
! !

!TamPaneMorphWrapper methodsFor: 'accessing' stamp: 'apl 7/7/2005 16:00'!
wrapped
	^wrapped! !

!TamPaneMorphWrapper methodsFor: 'accessing' stamp: 'apl 7/8/2005 08:57'!
wrapped: anObject 
	| frameImagedMorph |
	wrapped := anObject.
	wrapped
		allMorphsDo: [:sm | sm unlock].
	frameImagedMorph := wrapped submorphs
				detect: [:sm | sm class name asSymbol = #WindowFrameImagedMorph]
				ifNone: [].
	frameImagedMorph
		ifNotNil: [wrapped removeMorph: frameImagedMorph].
	wrapped clipSubmorphs: true.
! !

PluggableListMorph subclass: #TamPluggableListMorph
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Tamaris-UI'!

!TamPluggableListMorph methodsFor: 'updating' stamp: 'apl 4/18/2005 23:03'!
bounds: newBounds 
	super bounds: newBounds.
	(model respondsTo: #boundsOf:updatedWith:) 
		ifTrue: [model boundsOf: self updatedWith: newBounds]! !

!TamPluggableListMorph methodsFor: 'Polymorph-Widgets' stamp: 'AlainPlantec 5/2/2012 16:26'!
fillStyleToUse
	^ self enabled
		ifTrue: [(self theme listNormalFillStyleFor: self) darker]
		ifFalse: [self theme listDisabledFillStyleFor: self]! !

Object subclass: #AbstractHistoryItem
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Tamaris-Browser-History'!

!AbstractHistoryItem commentStamp: '<historical>' prior: 0!
I am abstract item class for AbstractHistoryList.
See BrowserHistoryItem as a good example of concrete item implementation!

!AbstractHistoryItem methodsFor: 'testing' stamp: 'apl 4/10/2005 22:14'!
isValidFromModel: aModel 
	"only model can say if i'm a valid item"
	^ true! !

!AbstractHistoryItem methodsFor: 'model updating' stamp: 'apl 4/10/2005 22:14'!
updateModel: aModel 
	"model knows what to do with me"
	self subclassResponsibility! !

AbstractHistoryItem subclass: #BrowserHistoryItem
	instanceVariableNames: 'methodReference'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Tamaris-Browser-History'!

!BrowserHistoryItem class methodsFor: 'instance creation' stamp: 'apl 4/9/2005 01:55'!
methodReference: aMethodReference 
	^ (self new)
		methodReference: aMethodReference! !

!BrowserHistoryItem methodsFor: 'comparing' stamp: 'apl 4/10/2005 22:13'!
<= other 
	"needed for sorting"
	^ methodReference <= other methodReference! !

!BrowserHistoryItem methodsFor: 'comparing' stamp: 'apl 4/9/2005 02:39'!
= another 
	another class == self class
		ifFalse: [^ false].
	^ methodReference = another methodReference! !

!BrowserHistoryItem methodsFor: 'converting' stamp: 'apl 4/10/2005 22:13'!
asString
	"for menus"
	^ methodReference asStringOrText! !

!BrowserHistoryItem methodsFor: 'comparing' stamp: 'apl 4/9/2005 02:19'!
hash
	
	^ methodReference hash! !

!BrowserHistoryItem methodsFor: 'testing' stamp: 'apl 4/10/2005 22:13'!
isValidFromModel: aModel 
	"only model can say if i'm a valid item"
	^ aModel isBrowserHistoryItemValid: self! !

!BrowserHistoryItem methodsFor: 'accessing' stamp: 'apl 4/8/2005 19:29'!
methodReference
	^methodReference! !

!BrowserHistoryItem methodsFor: 'accessing' stamp: 'apl 4/8/2005 19:29'!
methodReference: anObject
	methodReference := anObject! !

!BrowserHistoryItem methodsFor: 'model updating' stamp: 'apl 4/10/2005 22:14'!
updateModel: aModel 
	"model knows what to do with me"
	aModel setFromBrowserHistoryItem: self! !

AbstractHistoryItem subclass: #TamBrowserHistoryItem
	instanceVariableNames: 'listItemReference'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Tamaris-Browser-History'!

!TamBrowserHistoryItem class methodsFor: 'instance creation' stamp: 'apl 4/9/2005 10:05'!
listItemReference: aListItemReference 
	^ self new listItemReference: aListItemReference! !

!TamBrowserHistoryItem methodsFor: 'comparing' stamp: 'apl 4/9/2005 10:04'!
<= other 
	^ listItemReference <= other listItemReference! !

!TamBrowserHistoryItem methodsFor: 'comparing' stamp: 'apl 4/9/2005 10:04'!
= another 
	another class == self class
		ifFalse: [^ false].
	^ listItemReference = another listItemReference! !

!TamBrowserHistoryItem methodsFor: 'converting' stamp: 'apl 4/9/2005 10:03'!
asString
	^listItemReference asStringOrText! !

!TamBrowserHistoryItem methodsFor: 'comparing' stamp: 'apl 4/9/2005 10:03'!
hash
	^listItemReference hash! !

!TamBrowserHistoryItem methodsFor: 'testing' stamp: 'apl 4/9/2005 10:01'!
isValidFromModel: aModel 
	^ aModel isBrowserHistoryItemValid: self ! !

!TamBrowserHistoryItem methodsFor: 'accessing' stamp: 'apl 4/9/2005 10:02'!
listItemReference
	^listItemReference! !

!TamBrowserHistoryItem methodsFor: 'accessing' stamp: 'apl 4/9/2005 10:02'!
listItemReference: anObject
	listItemReference := anObject! !

!TamBrowserHistoryItem methodsFor: 'model updating' stamp: 'apl 4/9/2005 10:01'!
updateModel: aModel 
	aModel setFromBrowserHistoryItem: self! !

Object subclass: #AbstractHistoryList
	instanceVariableNames: 'items currentIndex canAppendItem historyMaxSize'
	classVariableNames: 'HistoryListsByOwnerIndex'
	poolDictionaries: ''
	category: 'Tamaris-Browser-History'!

!AbstractHistoryList commentStamp: 'apl 2/28/2007 16:20' prior: 0!
I am an handler for history list inside browser: prev, next and recents. 
owner is typically an  instance of Browser ore one of its subclasses.
items is the collection of history items (instances of subclasses of AbstractHistoryList)
currentIndex is the current position in history
canAppendItem is private, it is used to forbid item appending while appending.
historyMaxSize is the maximum number of items (passed at history list creation)

Typically use :
Instance creation with: BrowserHistoryList class >> owner:historyMaxSize:
append items with addItem:.
next and prev selecting with: selectNext and selectPrev that send updateModel: to selected item (see AbstractHistoryItem). 

<EXPRESS>
entity BrowserHistoryList;
	items : list [1:historyMaxSize] of AbstractHistoryItem;
	currentIndex : integer;
	canAppendItem : Boolean;
	historyMaxSize : integer;
end_entity;
</EXPRESS>


!

!AbstractHistoryList class methodsFor: 'accessing' stamp: 'apl 2/22/2007 16:49'!
getOwnerOf: aHistoryList 
	self historyListsByOwnerIndex
		keysAndValuesDo: [:k :v | v = aHistoryList
				ifTrue: [^ k]].
	^ nil! !

!AbstractHistoryList class methodsFor: 'accessing' stamp: 'apl 2/20/2007 17:40'!
historyListFor: aBrowser 
	^ self historyListsByOwnerIndex
		at: aBrowser
		ifAbsentPut: [
			self owner: aBrowser historyMaxSize: 20]! !

!AbstractHistoryList class methodsFor: 'accessing' stamp: 'apl 2/20/2007 17:59'!
historyListsByOwnerIndex
	^ HistoryListsByOwnerIndex
		ifNil: [HistoryListsByOwnerIndex := WeakIdentityKeyDictionary new]! !

!AbstractHistoryList class methodsFor: 'class initialization' stamp: 'apl 2/20/2007 17:22'!
initialize
	HistoryListsByOwnerIndex  := nil! !

!AbstractHistoryList class methodsFor: 'instance creation' stamp: 'apl 2/20/2007 17:55'!
owner: anObject historyMaxSize: anInteger 
	| newHistory |
	newHistory := self new historyMaxSize: anInteger.
	newHistory setOwner: anObject.
	^ newHistory! !

!AbstractHistoryList methodsFor: 'updating' stamp: 'apl 9/27/2007 07:27'!
addItem: anItem 
	canAppendItem
		ifTrue: [items notEmpty
				ifTrue: [anItem
							= (self items at: currentIndex)
						ifTrue: [^ false].
					items size < (historyMaxSize + 1)
						ifFalse: [items removeFirst.
							currentIndex := currentIndex - 1]].
			items add: anItem afterIndex: currentIndex.
			currentIndex := currentIndex + 1].
	^ true! !

!AbstractHistoryList methodsFor: 'testing' stamp: 'apl 4/10/2005 11:03'!
canSelectNext
	"is there an item after currentIndex pos"
	^ self items size - currentIndex > 0! !

!AbstractHistoryList methodsFor: 'testing' stamp: 'apl 4/10/2005 11:03'!
canSelectPrev
	"is there an item before currentIndex pos"
	^ currentIndex > 1! !

!AbstractHistoryList methodsFor: 'testing' stamp: 'apl 4/10/2005 22:00'!
canShowRecents

	^ self recents size > 1! !

!AbstractHistoryList methodsFor: 'updating' stamp: 'apl 2/20/2007 17:04'!
checkAndClean
	"remove all 'invalid items"
	| founds |
	founds := items
				select: [:it | [(it isValidFromModel: self owner) not]
						on: Error
						do: [true]].
	items removeAll: founds.
	"remove all items that are equal to their next"
	founds := OrderedCollection new.
	1
		to: items size - 1
		do: [:pos | (items at: pos)
					= (items at: pos + 1)
				ifTrue: [founds
						add: (items at: pos)]].
	items removeAll: founds.
	currentIndex <= items size
		ifFalse: [currentIndex := items size]! !

!AbstractHistoryList methodsFor: 'updating' stamp: 'apl 4/10/2005 22:09'!
clearHistory
	items removeAllSuchThat: [:e | true].
	currentIndex := 0! !

!AbstractHistoryList methodsFor: 'accessing' stamp: 'apl 4/10/2005 10:57'!
currentItem
"return current item if available"
	^ (currentIndex <= items size
			and: [currentIndex > 0])
		ifTrue: [items at: currentIndex]! !

!AbstractHistoryList methodsFor: 'private accessing' stamp: 'apl 4/10/2005 10:57'!
historyMaxSize: anInteger 
"maximum number of items in list"
	historyMaxSize := anInteger! !

!AbstractHistoryList methodsFor: 'initialize/release' stamp: 'apl 4/8/2005 17:22'!
initialize
	super initialize.
	items := OrderedCollection new.
	currentIndex := 0.
	canAppendItem := true.
! !

!AbstractHistoryList methodsFor: 'testing' stamp: 'apl 4/8/2005 17:12'!
isEmpty
	^ self items isEmpty! !

!AbstractHistoryList methodsFor: 'testing' stamp: 'apl 2/20/2007 17:04'!
isFor: aBrowser 
	^ self owner == aBrowser! !

!AbstractHistoryList methodsFor: 'private accessing' stamp: 'apl 4/10/2005 10:58'!
items
	"return the collection of items"
	^ items! !

!AbstractHistoryList methodsFor: 'accessing' stamp: 'apl 4/8/2005 17:12'!
last	^ items notEmpty ifTrue: [items last]! !

!AbstractHistoryList methodsFor: 'history selecting' stamp: 'apl 4/10/2005 21:59'!
menuNextList: aMenu 
	"build a menu for all next items selection or clear history"
	| item nextList hidx |
	nextList := self nextList.
	hidx := currentIndex.
	1
		to: nextList size
		do: [:p | 
			item := nextList at: p.
			aMenu
				add: item asString
				target: self
				selector: #updateOwnerWithItem:
				argument: p + hidx].
	aMenu addLine.
	aMenu
		add: 'clear '
		target: self
		selector: #clearHistory.
	^ aMenu! !

!AbstractHistoryList methodsFor: 'history selecting' stamp: 'apl 4/10/2005 21:59'!
menuPrevList: aMenu
" build a menu for all previous items selection or clear history" 
	| item prevList |
	prevList := self prevList.
	prevList size
		to: 1
		by: -1
		do: [:p | 
			item := prevList at: p.
			aMenu
				add: item asString
				target: self
				selector: #updateOwnerWithItem:
				argument: p].
	aMenu addLine.
	aMenu
		add: 'clear '
		target: self
		selector: #clearHistory.
	^ aMenu! !

!AbstractHistoryList methodsFor: 'accessing' stamp: 'apl 4/10/2005 10:59'!
nextList
	"return 'next' items sublist "
	^ items copyFrom: currentIndex + 1 to: items size! !

!AbstractHistoryList methodsFor: 'testing' stamp: 'apl 4/8/2005 17:28'!
notEmpty
	^ self isEmpty not! !

!AbstractHistoryList methodsFor: 'accessing' stamp: 'apl 2/20/2007 17:55'!
owner
	^ self class getOwnerOf: self! !

!AbstractHistoryList methodsFor: 'accessing' stamp: 'apl 4/10/2005 10:59'!
prevList
	"return 'prev' items sublist"
	^ items copyFrom: 1 to: currentIndex - 1! !

!AbstractHistoryList methodsFor: 'accessing' stamp: 'apl 4/10/2005 22:00'!
recents
self checkAndClean.

	^ items asSet asArray sort! !

!AbstractHistoryList methodsFor: 'initialize/release' stamp: 'apl 2/20/2007 17:04'!
release
	items := nil.
	super release! !

!AbstractHistoryList methodsFor: 'history selecting' stamp: 'AlainPlantec 12/12/2010 15:50'!
selectFromRecentsList
	| sortedHistory historyItems index choice |
	"open a menu with all items in it"
	self checkAndClean.
	self isEmpty
		ifTrue: [^ UIManager default inform: 'empty'].
	sortedHistory := self recents asArray sort.
	historyItems := (sortedHistory
				collect: [:h | h asString]) asOrderedCollection.
	historyItems add: 'clear recents'.
	(index := (UIManager default  chooseFrom: historyItems lines: {historyItems size - 1})) = 0
		ifFalse: [index = historyItems size
				ifTrue: [self clearHistory]
				ifFalse: [choice := sortedHistory at: index.
					self updateOwnerWithItem: choice]]! !

!AbstractHistoryList methodsFor: 'history selecting' stamp: 'apl 4/10/2005 21:54'!
selectNext
	"next item in history"
	self canSelectNext
		ifTrue: [self updateOwnerWithItemIndex: currentIndex + 1]! !

!AbstractHistoryList methodsFor: 'history selecting' stamp: 'apl 4/10/2005 21:54'!
selectPrev
	"previous item in history"
	self canSelectPrev
		ifTrue: [self updateOwnerWithItemIndex: currentIndex - 1]! !

!AbstractHistoryList methodsFor: 'private accessing' stamp: 'apl 2/28/2007 16:17'!
setOwner: aBrowserOrSomethingLikeThat 
	! !

!AbstractHistoryList methodsFor: 'accessing' stamp: 'apl 2/22/2007 16:33'!
size
^ items size! !

!AbstractHistoryList methodsFor: 'updating' stamp: 'apl 4/9/2005 11:18'!
update: aSymbol 
	super update: aSymbol.
	self checkAndClean! !

!AbstractHistoryList methodsFor: 'history selecting' stamp: 'apl 2/20/2007 17:04'!
updateOwnerWithItem: anHistoryItem 
	"ask owner to update itself with an item"
	[canAppendItem := false.
	anHistoryItem updateModel: self owner]
		ensure: [canAppendItem := true]! !

!AbstractHistoryList methodsFor: 'history selecting' stamp: 'apl 4/10/2005 22:04'!
updateOwnerWithItemIndex: anHistoryItemIndex 
	"take item at an index and ask owner to update itself with fetched item"
	currentIndex := anHistoryItemIndex.
	self
		updateOwnerWithItem: (self items at: currentIndex)! !

AbstractHistoryList subclass: #DependentBrowserHistoryList
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Tamaris-Browser-History'!

!DependentBrowserHistoryList commentStamp: 'apl 4/10/2005 10:44' prior: 0!
DependentBrowserHistoryList implements automatic item adding whith #changed:/#update:.
(see update:).
This BrowserHistoryList is used in Browser class!

!DependentBrowserHistoryList methodsFor: 'hacking' stamp: 'AlainPlantec 5/2/2012 10:54'!
openModal:  aMorph
	^ World openModal:  aMorph! !

!DependentBrowserHistoryList methodsFor: 'private accessing' stamp: 'apl 2/28/2007 16:18'!
setOwner: aBrowserOrSomethingLikeThat 
	super setOwner: aBrowserOrSomethingLikeThat.
	aBrowserOrSomethingLikeThat addDependent: self! !

!DependentBrowserHistoryList methodsFor: 'updating' stamp: 'apl 2/20/2007 18:11'!
update: aSymbol 
	"automatic item adding: ask owner for history updating"
	| o |
	super update: aSymbol.
	(o := self owner) isNil ifFalse: [o updateHistory: aSymbol]! !

AbstractHistoryList subclass: #TamBrowserHistoryList
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Tamaris-Browser-History'!

!Object methodsFor: '*tamaris-object-freeing' stamp: 'apl 6/3/2005 17:22'!
destroy
! !

!Object methodsFor: '*tamaris-classification' stamp: 'apl 4/8/2006 07:47'!
isTamListItemReference
	^ false! !

!Object methodsFor: '*tamaris-stepping' stamp: 'apl 7/10/2005 21:43'!
step! !

Object subclass: #TamGenericHierarchicalListItem
	instanceVariableNames: 'owner children icon linked sortBlock selectingBlock unSelectingBlock asStringBlock'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Tamaris-UI'!

!TamGenericHierarchicalListItem class methodsFor: 'instance creation' stamp: 'apl 4/5/2005 09:30'!
fromFlatCollection: aCollection 
	| index first result element |
	index := Dictionary new.
	aCollection
		do: [:line | line notEmpty
				ifTrue: [first := line first.
					index at: first ifAbsentPut: OrderedCollection new.
					(index at: first)
						add: line allButFirst]].
	result := OrderedCollection new.
	index
		keysAndValuesDo: [:k :subs | 
			element := self linked: k.
			result add: element.
			element fromFlatCollection: subs].
	^ result asOrderedCollection! !

!TamGenericHierarchicalListItem class methodsFor: 'instance creation' stamp: 'tam 10/15/2003 11:51'!
linked: anObject 
	^ self new
		linked: anObject
		icon: nil! !

!TamGenericHierarchicalListItem class methodsFor: 'instance creation' stamp: 'tam 10/13/2003 15:15'!
linked: anObject icon: aForm 
	^ self new linked: anObject icon: aForm! !

!TamGenericHierarchicalListItem methodsFor: 'testing' stamp: 'tam 2/6/2004 22:48'!
= another 
	another class = self class
		ifFalse: [^ false].
	^ self linked  = another  linked
! !

!TamGenericHierarchicalListItem methodsFor: 'updating' stamp: 'tam 10/13/2003 16:43'!
addChild: anItem
	children add: anItem.
	anItem owner: self.! !

!TamGenericHierarchicalListItem methodsFor: 'accessing' stamp: 'apl 4/5/2005 13:28'!
asString
	^ self asStringBlock
		ifNil: [self linked asString]
		ifNotNil: [self asStringBlock valueWithPossibleArgs: { self }]! !

!TamGenericHierarchicalListItem methodsFor: 'accessing' stamp: 'tam 10/28/2003 12:46'!
asStringBlock
	^ asStringBlock! !

!TamGenericHierarchicalListItem methodsFor: 'accessing' stamp: 'tam 10/28/2003 12:46'!
asStringBlock: aBlock
	 asStringBlock := aBlock! !

!TamGenericHierarchicalListItem methodsFor: 'accessing' stamp: 'tam 10/13/2003 14:54'!
children
	^ children! !

!TamGenericHierarchicalListItem methodsFor: 'accessing' stamp: 'tam 10/21/2003 10:56'!
children: aCollection 
	children := children copyEmpty.
	aCollection
		do: [:e | self addChild: e]! !

!TamGenericHierarchicalListItem methodsFor: 'initialize/release' stamp: 'apl 6/3/2005 16:42'!
destroy
	linked := nil.
	super destroy! !

!TamGenericHierarchicalListItem methodsFor: 'actions' stamp: 'apl 2/17/2006 15:23'!
doDeeply: aBlock from: aHierarchicalList 
	aBlock valueWithPossibleArgs: {self. aHierarchicalList}.
	self children
		do: [:child | child
				doDeeply: aBlock
				from: aHierarchicalList
				]! !

!TamGenericHierarchicalListItem methodsFor: 'accessing' stamp: 'apl 4/3/2006 10:26'!
emphasisModel
	^ (linked respondsTo: #emphasisModel)
				ifTrue: [linked emphasisModel]! !

!TamGenericHierarchicalListItem methodsFor: 'updating' stamp: 'apl 4/5/2005 09:31'!
fromFlatCollection: aCollection 
	self
		children: (self class fromFlatCollection: aCollection)! !

!TamGenericHierarchicalListItem methodsFor: 'testing' stamp: 'apl 4/4/2005 11:40'!
hash
	^ self linked hash! !

!TamGenericHierarchicalListItem methodsFor: 'accessing' stamp: 'apl 4/5/2005 09:35'!
haveIcon
	^ self icon notNil! !

!TamGenericHierarchicalListItem methodsFor: 'accessing' stamp: 'apl 4/4/2005 11:52'!
icon
	^ icon
		ifNil: [(linked respondsTo: #icon)
				ifTrue: [linked icon]
				]! !

!TamGenericHierarchicalListItem methodsFor: 'accessing' stamp: 'AlainPlantec 10/7/2010 21:41'!
icon: aForm 
	icon := aForm! !

!TamGenericHierarchicalListItem methodsFor: 'initialize/release' stamp: 'tam 2/18/2004 15:43'!
initialize
	super initialize.
	children := OrderedCollection new! !

!TamGenericHierarchicalListItem methodsFor: 'menu' stamp: 'apl 4/5/2005 09:52'!
keyStroke: aCharacter from: tamuggableListMorph 
	aCharacter = $i
		ifTrue: [^ self inspect].
	aCharacter = $I
		ifTrue: [^ self explore]! !

!TamGenericHierarchicalListItem methodsFor: 'accessing' stamp: 'tam 10/13/2003 23:01'!
linked
	^ linked ! !

!TamGenericHierarchicalListItem methodsFor: 'accessing' stamp: 'AlainPlantec 10/7/2010 21:41'!
linked: anObject 
	linked := anObject! !

!TamGenericHierarchicalListItem methodsFor: 'accessing' stamp: 'tam 10/13/2003 15:13'!
linked: anObject icon: aForm 
	self linked: anObject.
	self icon: aForm! !

!TamGenericHierarchicalListItem methodsFor: 'menu' stamp: 'apl 4/4/2005 11:46'!
menu: aMenu shifted: b 
	"Set up the menu to apply to the receiver's, honoring the  
	#shifted boolean"
	^ aMenu! !

!TamGenericHierarchicalListItem methodsFor: 'accessing' stamp: 'apl 4/4/2005 11:49'!
owner
	^ owner! !

!TamGenericHierarchicalListItem methodsFor: 'accessing' stamp: 'apl 4/4/2005 11:49'!
owner: anotherListElement
	owner := anotherListElement! !

!TamGenericHierarchicalListItem methodsFor: 'accessing' stamp: 'apl 3/23/2006 14:39'!
selectingBlock
	^ selectingBlock
		! !

!TamGenericHierarchicalListItem methodsFor: 'accessing' stamp: 'apl 4/5/2005 13:24'!
selectingBlock: aBlockWithZeroOneOrTwoArgs
	selectingBlock := aBlockWithZeroOneOrTwoArgs! !

!TamGenericHierarchicalListItem methodsFor: 'updating' stamp: 'apl 3/23/2006 14:38'!
selectingFrom: aHierarchicalList 
	^ self selectingBlock
		ifNil: [(linked respondsTo: #selectingFrom:)
				ifTrue: [linked selectingFrom: aHierarchicalList]]
		ifNotNil: [self selectingBlock valueWithPossibleArgs: {self. aHierarchicalList}]! !

!TamGenericHierarchicalListItem methodsFor: 'updating' stamp: 'apl 2/17/2006 17:10'!
sort
	| sb |
	sb := [:a :b | a asString < b asString].
	self children: (self children asArray sort: sb) asOrderedCollection.
	self children
		do: [:c | c sort]! !

!TamGenericHierarchicalListItem methodsFor: 'accessing' stamp: 'apl 3/23/2006 15:36'!
unSelectingBlock
	^ unSelectingBlock
	! !

!TamGenericHierarchicalListItem methodsFor: 'accessing' stamp: 'apl 4/5/2005 13:24'!
unSelectingBlock: aBlockWithZeroOneOrTwoArgs 
	unSelectingBlock := aBlockWithZeroOneOrTwoArgs! !

!TamGenericHierarchicalListItem methodsFor: 'updating' stamp: 'apl 3/23/2006 14:39'!
unSelectingFrom: aHierarchicalList 
	^ self unSelectingBlock
		ifNil: [(linked respondsTo: #unSelectingFrom:)
				ifTrue: [linked unSelectingFrom: aHierarchicalList]]
		ifNotNil: [self unSelectingBlock valueWithPossibleArgs: {self. aHierarchicalList}]! !

!TamGenericHierarchicalListItem methodsFor: 'accessing' stamp: 'apl 4/5/2005 09:29'!
wrapperClass
	^ TamGenericHierarchicalListItemWrapper! !

Object subclass: #TamIcons
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Tamaris-UI'!

!TamIcons class methodsFor: 'utilities' stamp: 'apl 1/26/2007 11:24'!
capitalize: aString first: firstCapitalized 
	| instr outstr resString curr |
	instr := ReadStream on: aString.
	outstr := WriteStream on: String new.
	[instr atEnd]
		whileFalse: [(curr := instr next) == $_
				ifTrue: [(curr := instr next)
						ifNotNil: [outstr nextPut: curr asUppercase]]
				ifFalse: [outstr nextPut: curr asLowercase]].
	resString := outstr contents.
	firstCapitalized
		ifTrue: [resString at: 1 put: resString first asUppercase]
		ifFalse: [resString at: 1 put: resString first asLowercase].
	^ resString! !

!TamIcons class methodsFor: 'accessing' stamp: 'AlainPlantec 11/18/2010 09:54'!
defaultExtent
	| prefSet |
	prefSet := StandardFonts defaultFont height.
	^ (prefSet - 12 max: 16)
		@ (prefSet - 12 max: 16)! !

!TamIcons class methodsFor: 'accessing' stamp: 'AlainPlantec 12/6/2010 21:52'!
defaultListExtent
	| prefSet |
	prefSet := (StandardFonts listFont height - 10) max: 12.
	^ prefSet @ prefSet
! !

!TamIcons class methodsFor: 'accessing forms from /10x10/apps' stamp: 'apl 9/20/2007 13:31'!
form10x10AppsArchiveViewer
	^ (Form
	extent: 10@10
	depth: 32
	fromArray: #( 4286611584 4286611584 4286611584 4286611584 4286611584 4286611584 4286611584 4286611584 4286611584 4286611584 4286611584 4294967295 4286611584 4294967295 4286611584 4294967295 4286611584 4294967295 4286611584 4286611584 4286611584 4294967295 4286611584 4294967295 4286611584 4294967295 4286611584 4294967295 4286611584 4286611584 4286611584 4286611584 4286611584 4286611584 4286611584 4286611584 4286611584 4286611584 4286611584 4286611584 4286611584 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4286611584 4286611584 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4286611584 4286611584 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4286611584 4286611584 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4286611584 4286611584 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4286611584 4286611584 4286611584 4286611584 4286611584 4286611584 4286611584 4286611584 4286611584 4286611584 4286611584)
	offset: 0@0)! !

!TamIcons class methodsFor: 'accessing forms from /10x10/apps' stamp: 'apl 9/20/2007 13:31'!
form10x10AppsBrowser
	^ (Form
	extent: 10@10
	depth: 32
	fromArray: #( 4278223872 4278223872 4278223872 4278223872 4278223872 4278223872 4278223872 4278223872 4278223872 4278683399 4281771574 4288272025 4283808341 4286501246 4287351179 4288076182 4287420300 4284071001 4289257640 4282231357 4282954312 4289458603 4285319532 4289783984 4288601246 4290838464 4289524396 4285582192 4290838464 4283414095 4281771318 4284267868 4283939415 4284070745 4283742292 4284267868 4284202331 4284463967 4284858981 4281114412 4279997723 4284727651 4284662370 4284202331 4284202075 4284202075 4284202331 4285448814 4285252971 4280457506 4282954312 4287889358 4290838464 4289658821 4289986519 4292345815 4292345815 4292345815 4290969538 4283414095 4282954312 4288607941 4293918703 4293132275 4293394431 4294967295 4294967295 4294967295 4291297223 4283414095 4282954312 4290442426 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4290902465 4283414095 4282954312 4290772415 4291297223 4291034307 4290442426 4290442426 4290442426 4290442426 4289523628 4283414095 4279997723 4282954312 4282954312 4282954312 4282954312 4282954312 4282954312 4282954312 4282954312 4280457506)
	offset: 0@0)! !

!TamIcons class methodsFor: 'accessing forms from /10x10/apps' stamp: 'apl 9/20/2007 13:31'!
form10x10AppsChangeSorter
	^ (Form
	extent: 10@10
	depth: 32
	fromArray: #( 4278224004 4278224004 4278224004 4278224004 4278224004 4278224004 4278224004 4278224004 4278224004 4278224004 4281245856 4286632915 4286830037 4285515976 4279472272 4283939257 4286830037 4286830037 4286632915 4281245856 4282756782 4290968828 4291231743 4289260780 4280194710 4286830037 4291231743 4291231743 4290968828 4282756782 4280391832 4284399294 4284530623 4283873464 4280851612 4283085233 4284530623 4284530623 4284399294 4280391832 4282034344 4289063658 4289260780 4289260780 4289260780 4289260780 4289260780 4289260780 4289063658 4282034344 4282034344 4289063658 4289260780 4289260780 4289260780 4289260780 4289260780 4289260780 4289063658 4282034344 4280391832 4284399294 4284530623 4284530623 4284530623 4284530623 4284530623 4284530623 4284399294 4280391832 4282756782 4290968828 4291231743 4291231743 4291231743 4291231743 4291231743 4291231743 4290968828 4282756782 4282625710 4290706170 4290968828 4290968828 4290968828 4290968828 4290968828 4290968828 4290706170 4282625710 4279800466 4282690989 4282756782 4282756782 4282756782 4282756782 4282756782 4282756782 4282690989 4279800466)
	offset: 0@0)! !

!TamIcons class methodsFor: 'accessing forms from /10x10/apps' stamp: 'apl 9/20/2007 13:31'!
form10x10AppsDualChangeSorter
	^ (Form
	extent: 10@10
	depth: 32
	fromArray: #( 4278224004 4278224004 4278224004 4278224004 4278224004 4278224004 4278224004 4278224004 4278224004 4278224004 4281245856 4285778891 4282231209 4286501586 4283939257 4283939257 4284267708 4283676599 4286632915 4281245856 4282756782 4289655024 4284267965 4290771706 4286830037 4286830037 4287290074 4286435793 4290968828 4282756782 4280391832 4283939514 4282165673 4284399037 4282428331 4282428331 4283216562 4282953904 4284399294 4280391832 4282034344 4289063658 4289260780 4289260780 4285581769 4285581769 4289260780 4289260780 4289063658 4282034344 4282034344 4289063658 4289260780 4289260780 4285581769 4285581769 4289260780 4289260780 4289063658 4282034344 4280391832 4284399294 4284530623 4284530623 4282428331 4282428331 4284530623 4284530623 4284399294 4280391832 4282756782 4290968828 4291231743 4291231743 4286830037 4286830037 4291231743 4291231743 4290968828 4282756782 4282625710 4290706170 4290968828 4290968828 4286698708 4286698708 4290968828 4290968828 4290706170 4282625710 4279800466 4282690989 4282756782 4282756782 4281245856 4281245856 4282756782 4282756782 4282690989 4279800466)
	offset: 0@0)! !

!TamIcons class methodsFor: 'accessing forms from /10x10/apps' stamp: 'apl 9/20/2007 13:31'!
form10x10AppsFileList
	^ (Form
	extent: 10@10
	depth: 32
	fromArray: #( 4287764626 4289545389 4289611182 4288160152 4289149607 4289611182 4289611182 4289611182 4289545389 4287764626 4289610670 4294622970 4294755068 4290600637 4293502441 4294755068 4294755068 4294755068 4294622970 4289610670 4288621471 4291787727 4291919313 4289215912 4291128005 4291919313 4291919313 4291919313 4291787727 4288621471 4288358043 4289931187 4289660847 4290132150 4289533357 4289599150 4290264248 4289333162 4289865650 4288358043 4288160152 4290464443 4291314120 4290465979 4290201015 4290201015 4290400442 4290134454 4290202295 4288160152 4289611182 4294755068 4294952703 4294952703 4294952703 4294952703 4294952703 4294952703 4294755068 4289611182 4289611182 4294755068 4294952703 4294952703 4294952703 4294952703 4294952703 4294952703 4294755068 4289611182 4289611182 4294755068 4294952703 4294952703 4294952703 4294952703 4294952703 4294952703 4294755068 4289611182 4289610670 4294622970 4294755068 4294755068 4294755068 4294755068 4294755068 4294755068 4294622970 4289610670 4287764626 4289545389 4289611182 4289611182 4289611182 4289611182 4289611182 4289611182 4289545389 4287764626)
	offset: 0@0)! !

!TamIcons class methodsFor: 'accessing forms from /10x10/apps' stamp: 'apl 9/20/2007 13:31'!
form10x10AppsLint
	^ (Form
	extent: 10@10
	depth: 32
	fromArray: #( 4282534466 4284643426 4284115034 4284246876 4284709219 4284445279 4283916887 4284709219 4284643426 4282534466 4284643170 4290443194 4289121702 4289385898 4290640829 4289980595 4288461468 4290640829 4290443194 4284643170 4284709219 4290640829 4289253544 4289517740 4290838464 4290177974 4288593310 4290838464 4290640829 4284709219 4283916887 4288461468 4287800978 4289451691 4290838464 4290177974 4288593310 4290838464 4290640829 4284709219 4284445279 4289980595 4288856994 4289517484 4290838464 4290177974 4288593310 4290838464 4290640829 4284709219 4284709219 4290640829 4289253544 4289517740 4290838464 4290177974 4288593310 4290838464 4290640829 4284709219 4284643170 4290508475 4289187239 4289385898 4290706110 4290045876 4288527005 4290706110 4290508475 4284643170 4283916631 4288460956 4287800722 4287932820 4288592798 4288328858 4287734673 4288592798 4288460956 4283916631 4284511072 4290046644 4288857506 4289055909 4290244279 4290244279 4290244279 4290244279 4290046644 4284511072 4282534466 4284643426 4284115034 4284246876 4284709219 4284709219 4284709219 4284709219 4284643426 4282534466)
	offset: 0@0)! !

!TamIcons class methodsFor: 'accessing forms from /10x10/apps' stamp: 'apl 9/20/2007 13:31'!
form10x10AppsMessageNames
	^ (Form
	extent: 10@10
	depth: 32
	fromArray: #( 4278209024 4278218240 4278214656 4278223104 4278220032 4278209792 4278215168 4278216704 4278215936 4278212864 4278220032 4278248704 4278246144 4278253824 4278250752 4278224896 4278241536 4278247936 4278246656 4278223616 4278223872 4278254336 4278255360 4278255360 4278255360 4278230016 4278247936 4278255360 4278254336 4278223872 4278222848 4278249216 4278252544 4278249472 4278249472 4278228224 4278243328 4278252544 4278249216 4278222848 4278219520 4278231040 4278230784 4278225408 4278221568 4278217984 4278227968 4278234880 4278227456 4278215424 4278222080 4278248192 4278240000 4278244608 4278240512 4278240512 4278248192 4278244096 4278244608 4278218240 4278223872 4278254336 4278255360 4278255360 4278255360 4278255360 4278255360 4278255360 4278254336 4278223872 4278223872 4278254336 4278255360 4278255360 4278255360 4278255360 4278255360 4278255360 4278254336 4278223872 4278223616 4278253568 4278254336 4278254336 4278254336 4278254336 4278254336 4278254336 4278253568 4278223616 4278212864 4278223360 4278223872 4278223872 4278223872 4278223872 4278223872 4278223872 4278223360 4278212864)
	offset: 0@0)! !

!TamIcons class methodsFor: 'accessing forms from /10x10/apps' stamp: 'apl 9/20/2007 13:31'!
form10x10AppsMonticello
	^ (Form
	extent: 10@10
	depth: 32
	fromArray: #( 4278190335 4278190335 4278190335 4278190335 4278190335 4278190335 4278190335 4278190335 4278190335 4278190335 4278190335 4278223103 4278223103 4278223103 4278223103 4278223103 4278223103 4278223103 4278223103 4278190335 4278190335 4290968828 4291231743 4291231743 4291231743 4291231743 4291231743 4291231743 4290968828 4278190335 4278190335 4278223103 4278223103 4278223103 4278223103 4278223103 4278223103 4278223103 4278223103 4278190335 4278190335 4289063658 4289260780 4278223103 4278223103 4278223103 4278223103 4278223103 4289063658 4278190335 4278190335 4290968828 4291231743 4291231743 4291231743 4278223103 4291231743 4291231743 4290968828 4278190335 4278190335 4290968828 4291231743 4291231743 4291231743 4278223103 4291231743 4291231743 4290968828 4278190335 4278190335 4290968828 4291231743 4291231743 4291231743 4278223103 4291231743 4291231743 4290968828 4278190335 4278190335 4290706170 4290968828 4290968828 4290968828 4278223103 4290968828 4290968828 4290706170 4278190335 4278190335 4278190335 4278190335 4278190335 4278190335 4278190335 4278190335 4278190335 4278190335 4278190335)
	offset: 0@0)! !

!TamIcons class methodsFor: 'accessing forms from /10x10/apps' stamp: 'apl 9/20/2007 13:31'!
form10x10AppsPackageLoader
	^ (Form
	extent: 10@10
	depth: 32
	fromArray: #( 4294958336 4294958336 4294958336 4294958336 4294958336 4294958336 4294958336 4294958336 4294958336 4294958336 4294958336 4294967295 4294967295 4294967295 4294958336 4294967295 4294967295 4294967295 4294967295 4294958336 4294958336 4294958336 4294958336 4294958336 4294958336 4294967295 4294967295 4294967295 4294967295 4294958336 4294958336 4294967295 4294967295 4294967295 4294958336 4294967295 4294967295 4294967295 4294967295 4294958336 4294958336 4294967295 4294967295 4294967295 4294958336 4294967295 4294967295 4294967295 4294967295 4294958336 4294958336 4294967295 4294967295 4294967295 4294958336 4294967295 4294967295 4294967295 4294967295 4294958336 4294958336 4294967295 4294967295 4294967295 4294958336 4294967295 4294967295 4294967295 4294967295 4294958336 4294958336 4294967295 4294967295 4294967295 4294958336 4294967295 4294967295 4294967295 4294967295 4294958336 4294958336 4294967295 4294967295 4294967295 4294958336 4294967295 4294967295 4294967295 4294967295 4294958336 4294958336 4294958336 4294958336 4294958336 4294958336 4294958336 4294958336 4294958336 4294958336 4294958336)
	offset: 0@0)! !

!TamIcons class methodsFor: 'accessing forms from /10x10/apps' stamp: 'apl 9/20/2007 13:31'!
form10x10AppsPackagePanel
	^ (Form
	extent: 10@10
	depth: 32
	fromArray: #( 4289243359 4286874799 4288717013 4287203765 4288651219 4287006386 4288651219 4286809006 4290361846 4290822399 4289374946 4287466935 4289309144 4287927484 4289243351 4287795898 4289243351 4287598517 4290625014 4290822399 4290822399 4293256703 4294506751 4294506751 4294506751 4294506751 4294506751 4294506751 4293256703 4290822399 4290822399 4293519871 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4293519871 4290822399 4290822399 4293519871 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4293519871 4290822399 4290822399 4293519871 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4293519871 4290822399 4290822399 4293519871 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4293519871 4290822399 4290822399 4293519871 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4293519871 4290822399 4290822399 4292598783 4293519871 4293519871 4293519871 4293519871 4293519871 4293519871 4292598783 4290822399 4290822399 4290822399 4290822399 4290822399 4290822399 4290822399 4290822399 4290822399 4290822399 4290822399)
	offset: 0@0)! !

!TamIcons class methodsFor: 'accessing forms from /10x10/apps' stamp: 'apl 9/20/2007 13:31'!
form10x10AppsPda
	^ (Form
	extent: 10@10
	depth: 32
	fromArray: #( 0 0 0 0 0 0 0 0 0 0 0 0 0 4278222848 4294901760 4278222848 4278222848 0 0 0 0 0 4278222848 4278239232 4294901760 4278239232 4278239232 4278222848 0 0 0 4278222848 4278239232 4278239232 4294901760 4278239232 4278239232 4278239232 4278222848 0 0 4278222848 4278239232 4278239232 4294901760 4278239232 4278239232 4278239232 4278239232 4278222848 0 4278222848 4278239232 4278239232 4278239232 4294901760 4278239232 4278239232 4278239232 4278222848 0 0 4278222848 4278239232 4278239232 4278239232 4294901760 4278239232 4278222848 0 0 0 4278222848 4278222848 4278239232 4278239232 4278239232 4278239232 4278222848 0 0 0 0 0 4278222848 4278222848 4278222848 4278222848 0 0 0 0 0 0 0 0 0 0 0 0)
	offset: 0@0)! !

!TamIcons class methodsFor: 'accessing forms from /10x10/apps' stamp: 'apl 9/20/2007 13:31'!
form10x10AppsRecentSubmissions
	^ (Form
	extent: 10@10
	depth: 32
	fromArray: #( 4278224004 4278224004 4278224004 4278224004 4278224004 4278224004 4278224004 4278224004 4278224004 4278224004 4281245856 4286632915 4286830037 4286830037 4286830037 4286830037 4286830037 4286830037 4286632915 4281245856 4282756782 4290968828 4291231743 4291231743 4291231743 4291231743 4291231743 4291231743 4290968828 4282756782 4280391832 4284399294 4284530623 4284530623 4284530623 4284530623 4284530623 4284530623 4284399294 4280391832 4282034344 4289063658 4289260780 4289260780 4289260780 4289260780 4289260780 4289260780 4289063658 4282034344 4282756782 4290968828 4291231743 4291231743 4291231743 4291231743 4291231743 4291231743 4290968828 4282756782 4282756782 4290968828 4291231743 4291231743 4291231743 4291231743 4291231743 4291231743 4290968828 4282756782 4282756782 4290968828 4291231743 4291231743 4291231743 4291231743 4291231743 4291231743 4290968828 4282756782 4282625710 4290706170 4290968828 4290968828 4290968828 4290968828 4290968828 4290968828 4290706170 4282625710 4279800466 4282690989 4282756782 4282756782 4282756782 4282756782 4282756782 4282756782 4282690989 4279800466)
	offset: 0@0)! !

!TamIcons class methodsFor: 'accessing forms from /10x10/apps' stamp: 'apl 9/20/2007 13:31'!
form10x10AppsSmacc
	^ (Form
	extent: 10@10
	depth: 32
	fromArray: #( 4278247423 4278693887 4280604159 4279023103 4280472575 4278891263 4280538111 4278628095 4280736255 4278247423 4280736246 4285570789 4287809003 4287017716 4288400885 4286951926 4288533241 4286754294 4288666622 4281197311 4280274895 4283922809 4286092950 4289448393 4289645772 4289778643 4290242021 4289712593 4290509305 4282646527 4280208845 4283725173 4285960850 4289447879 4289645258 4289778129 4290176228 4289712079 4290509305 4282646527 4281987569 4287741373 4288067254 4289054149 4289119942 4289120199 4289252556 4289120199 4289585633 4282646527 4282646527 4288066226 4289121227 4289385684 4289385684 4289385684 4289385684 4289121227 4288066226 4282646527 4282646527 4288198583 4290376434 4290838527 4290838527 4290838527 4290838527 4290376434 4288198583 4282646527 4282646527 4288198583 4290376434 4290838527 4290838527 4290838527 4290838527 4290376434 4288198583 4282646527 4282580991 4287869875 4288925133 4289255126 4289255126 4289255126 4289255126 4288925133 4287869875 4282580991 4279828479 4281590241 4281193170 4281193170 4281193170 4281193170 4281193170 4281193170 4281590241 4279828479)
	offset: 0@0)! !

!TamIcons class methodsFor: 'accessing forms from /10x10/apps' stamp: 'apl 9/20/2007 13:31'!
form10x10AppsTranscript
	^ (Form
	extent: 10@10
	depth: 32
	fromArray: #( 4292054284 4292054284 4292054284 4292054284 4292054284 4292054284 4292054284 4292054284 4292054284 4292054284 4292123444 4292458363 4292392572 4292458365 4293050500 4293050500 4292984708 4293905550 4293839499 4292649529 4288902689 4284241483 4286806636 4287266929 4290490009 4290490009 4290226838 4294896848 4294830796 4293045840 4289954605 4284899154 4289766288 4288319358 4288845444 4290095252 4292857782 4289766544 4293975746 4293045840 4290480691 4289700494 4290490010 4292068525 4290292631 4290884510 4291607975 4290687388 4294238661 4293045840 4290480691 4288187771 4291871146 4293844419 4291936939 4292134318 4292068525 4292068525 4294436296 4293045840 4291993926 4292002731 4292068525 4292068525 4292068525 4292068525 4292068525 4293449918 4294830796 4293045840 4293045840 4294830796 4294896848 4294896848 4294896848 4294896848 4294896848 4294896848 4294830796 4293045840 4292980047 4294764744 4294830796 4294830796 4294830796 4294830796 4294830796 4294830796 4294764744 4292980047 4292319268 4292980047 4293045840 4293045840 4293045840 4293045840 4293045840 4293045840 4292980047 4292319268)
	offset: 0@0)! !

!TamIcons class methodsFor: 'accessing forms from /10x10/apps' stamp: 'apl 9/20/2007 13:31'!
form10x10AppsWorkspace
	^ (Form
	extent: 10@10
	depth: 32
	fromArray: #( 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190081 4282008378 4288854946 4289052581 4289052581 4289052581 4289052581 4289052581 4289249192 4290362297 4282598211 4278794250 4279871257 4279882521 4279882777 4279873306 4279873306 4279882777 4281392176 4293130979 4284045658 4279057934 4280661541 4279815192 4279618069 4278623494 4279544596 4278631174 4279877657 4294967295 4284045658 4279524629 4284925798 4280609316 4282177852 4285042280 4280214046 4282947144 4284844134 4294967295 4284045658 4279258129 4281125676 4284855397 4286545791 4289111718 4289111718 4286282619 4294967295 4294967295 4284045658 4282927177 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4284045658 4281084973 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4284045658 4283585107 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4283979864 4280229664 4283914072 4284045658 4284045658 4284045658 4284045658 4284045658 4284045658 4283914072 4280229664)
	offset: 0@0)! !

!TamIcons class methodsFor: 'accessing forms from /10x10/filesystems' stamp: 'apl 9/20/2007 13:31'!
form10x10FilesystemsBlueFolder
	^ (Form
	extent: 10@10
	depth: 32
	fromArray: #( 0 0 0 0 0 0 0 0 0 0 0 0 0 4281348144 4281348144 4281348144 0 0 4278190080 0 0 4281348144 4281348144 4281348144 4281348144 4281348144 4281348144 4281348144 4281348144 0 0 4281348144 4281348144 4281348144 4281348144 4289256703 4289256703 4289256703 4281348144 0 0 4281348144 4281348144 4289256703 4289256703 4289256703 4289256703 4289256703 4281348144 0 0 4281348144 4281348144 4289256703 4289256703 4289256703 4289256703 4289256703 4281348144 0 0 4281348144 4281348144 4289256703 4289256703 4289256703 4289256703 4289256703 4281348144 0 0 4281348144 4281348144 4289256703 4289256703 4289256703 4289256703 4281348144 4281348144 0 0 0 4281348144 4289256703 4289256703 4281348144 4281348144 0 0 0 0 0 4281348144 4281348144 4281348144 0 0 0 0 0)
	offset: 0@0)! !

!TamIcons class methodsFor: 'accessing forms from /10x10/filesystems' stamp: 'apl 9/20/2007 13:31'!
form10x10FilesystemsGrayFolder
	^ (Form
	extent: 10@10
	depth: 32
	fromArray: #( 0 0 0 0 0 0 0 0 0 0 0 0 0 4281348144 4281348144 4281348144 0 0 4278190080 0 0 4281348144 4281348144 4281348144 4281348144 4281348144 4281348144 4281348144 4281348144 0 0 4281348144 4281348144 4281348144 4281348144 4291019715 4291019715 4291019715 4281348144 0 0 4281348144 4281348144 4291019715 4291019715 4291019715 4291019715 4291019715 4281348144 0 0 4281348144 4281348144 4291019715 4291019715 4291019715 4291019715 4291019715 4281348144 0 0 4281348144 4281348144 4291019715 4291019715 4291019715 4291019715 4291019715 4281348144 0 0 4281348144 4281348144 4291019715 4291019715 4291019715 4291019715 4281348144 4281348144 0 0 0 4281348144 4291019715 4291019715 4281348144 4281348144 0 0 0 0 0 4281348144 4281348144 4281348144 0 0 0 0 0)
	offset: 0@0)! !

!TamIcons class methodsFor: 'accessing forms from /10x10/filesystems' stamp: 'apl 9/20/2007 13:31'!
form10x10FilesystemsGreenFolder
	^ (Form
	extent: 10@10
	depth: 32
	fromArray: #( 15132646 15132646 4286611584 4278190080 4278190080 4278190080 4286611584 4286611584 15132646 15132646 15132646 15132646 4286611584 4290838464 4290838464 4290838464 4286611584 4286611584 4278190080 15132646 15132646 15132646 4286611584 4290838464 4290838464 4290838464 4286611584 4286611584 4278190080 15132646 15132646 15132646 4286611584 4290838464 4278255360 4278255360 4290838464 4290838464 4278190080 15132646 15132646 15132646 4286611584 4290838464 4278255360 4278255360 4278255360 4278222848 4278190080 15132646 15132646 15132646 4286611584 4290838464 4278255360 4278255360 4278255360 4278222848 4278190080 15132646 15132646 15132646 4286611584 4290838464 4278255360 4278255360 4278255360 4278222848 4278190080 15132646 15132646 15132646 4286611584 4278222848 4278222848 4278222848 4278222848 4278222848 4278190080 15132646 15132646 15132646 4286611584 4286611584 4286611584 4278190080 4278190080 4278190080 4278190080 15132646 15132646 15132646 15132646 15132646 15132646 15132646 15132646 15132646 15132646 15132646)
	offset: 0@0)! !

!TamIcons class methodsFor: 'accessing forms from /10x10/filesystems' stamp: 'apl 9/20/2007 13:31'!
form10x10FilesystemsWhiteFolder
	^ (Form
	extent: 10@10
	depth: 32
	fromArray: #( 0 0 0 0 0 0 0 0 0 0 0 0 0 4281348144 4281348144 4281348144 0 0 4278190080 0 0 4281348144 4281348144 4281348144 4281348144 4281348144 4281348144 4281348144 4281348144 0 0 4281348144 4281348144 4281348144 4281348144 4294967295 4294967295 4294967295 4281348144 0 0 4281348144 4281348144 4294967295 4294967295 4294967295 4294967295 4294967295 4281348144 0 0 4281348144 4281348144 4294967295 4294967295 4294967295 4294967295 4294967295 4281348144 0 0 4281348144 4281348144 4294967295 4294967295 4294967295 4294967295 4294967295 4281348144 0 0 4281348144 4281348144 4294967295 4294967295 4294967295 4294967295 4281348144 4281348144 0 0 0 4281348144 4294967295 4294967295 4281348144 4281348144 0 0 0 0 0 4281348144 4281348144 4281348144 0 0 0 0 0)
	offset: 0@0)! !

!TamIcons class methodsFor: 'accessing forms from /10x10/filesystems' stamp: 'apl 9/20/2007 13:31'!
form10x10FilesystemsYellowFolder
	^ (Form
	extent: 10@10
	depth: 32
	fromArray: #( 0 0 0 0 0 0 0 0 0 0 0 0 0 4281348144 4281348144 4281348144 0 0 4281348144 15132646 0 4281348144 4281348144 4281348144 4281348144 4281348144 4281348144 4281348144 4281348144 0 0 4281348144 4281348144 4281348144 4281348144 4294967040 4294967040 4294967040 4281348144 0 0 4281348144 4281348144 4294967040 4294967040 4294967040 4294967040 4294967040 4281348144 0 0 4281348144 4281348144 4294967040 4294967040 4294967040 4294967040 4294967040 4281348144 0 0 4281348144 4281348144 4294967040 4294967040 4294967040 4294967040 4294967040 4281348144 0 0 4281348144 4281348144 4294967040 4294967040 4294967040 4294967040 4281348144 4281348144 0 0 0 4281348144 4294967040 4294967040 4281348144 4281348144 0 0 0 0 0 4281348144 4281348144 4281348144 0 0 0 0 0)
	offset: 0@0)! !

!TamIcons class methodsFor: 'accessing forms from /10x10/mimetypes' stamp: 'apl 9/20/2007 13:31'!
form10x10MimetypesAggregateInstance
	^ (Form
	extent: 10@10
	depth: 32
	fromArray: #( 0 0 4282335014 4284374585 0 0 4284374585 4282335014 0 0 0 4282335014 4282335014 0 0 0 0 4282335014 4282335014 0 0 4282335014 4284374585 0 0 0 0 4284374585 4282335014 0 4284374585 4282335014 0 0 0 0 0 0 4282335014 4284374585 4284374585 4282335014 0 0 0 0 0 0 4282335014 4284374585 4284374585 4282335014 0 0 0 0 0 0 4282335014 4284374585 4284374585 4282335014 0 0 0 0 0 0 4282335014 4284374585 0 4282335014 4284374585 0 0 0 0 4284374585 4282335014 0 0 4282335014 4282335014 0 0 0 0 4282335014 4282335014 0 0 0 4282335014 4284374585 0 0 4284374585 4282335014 0 0)
	offset: 0@0)! !

!TamIcons class methodsFor: 'accessing forms from /10x10/mimetypes' stamp: 'apl 9/20/2007 13:31'!
form10x10MimetypesAutoTaxon
	^ (Form
	extent: 10@10
	depth: 32
	fromArray: #( 4294572295 4294572295 4294572295 4294572295 4294572295 4294572295 4294572295 4294572295 4294572295 4294572295 4294572295 4278223103 4278223103 4278223103 4294572295 4294572295 4294572295 4294572295 4294572295 4294572295 4294572295 4278223103 4278223103 4278223103 4294572295 4294572295 4294572295 4294572295 4294572295 4294572295 4294572295 4294572295 4294572295 4294572295 4294572295 4294572295 4278223103 4278223103 4278223103 4294572295 4294572295 4294572295 4294572295 4294572295 4294572295 4294572295 4278223103 4278223103 4278223103 4294572295 4294572295 4294572295 4294572295 4294572295 4294572295 4294572295 4294572295 4294572295 4294572295 4294572295 4294572295 4294572295 4294572295 4294572295 4294572295 4294572295 4294572295 4294572295 4294572295 4294572295 4294572295 4294572295 4294572295 4294572295 4294572295 4294572295 4278223103 4278223103 4278223103 4294572295 4294572295 4294572295 4294572295 4294572295 4294572295 4294572295 4278223103 4278223103 4278223103 4294572295 4294572295 4294572295 4294572295 4294572295 4294572295 4294572295 4294572295 4294572295 4294572295 4294572295)
	offset: 0@0)! !

!TamIcons class methodsFor: 'accessing forms from /10x10/mimetypes' stamp: 'apl 9/20/2007 13:31'!
form10x10MimetypesBlueC
	^ (Form
	extent: 10@10
	depth: 32
	fromArray: #( 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4278222976 4278222976 4278222976 4278222976 4278222976 4278222976 4294967295 4294967295 4294967295 4294967295 4278222976 4278222976 4278222976 4278222976 4278222976 4278222976 4294967295 4294967295 4294967295 4294967295 4278222976 4278222976 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4278222976 4278222976 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4278222976 4278222976 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4278222976 4278222976 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4278222976 4278222976 4278222976 4278222976 4278222976 4278222976 4294967295 4294967295 4294967295 4294967295 4278222976 4278222976 4278222976 4278222976 4278222976 4278222976 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295)
	offset: 0@0)! !

!TamIcons class methodsFor: 'accessing forms from /10x10/mimetypes' stamp: 'apl 9/20/2007 13:31'!
form10x10MimetypesBlueE
	^ (Form
	extent: 10@10
	depth: 32
	fromArray: #( 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4278222976 4278222976 4278222976 4278222976 4278222976 4278222976 4294967295 4294967295 4294967295 4294967295 4278222976 4278222976 4278222976 4278222976 4278222976 4278222976 4294967295 4294967295 4294967295 4294967295 4278222976 4278222976 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4278222976 4278222976 4278222976 4278222976 4278222976 4294967295 4294967295 4294967295 4294967295 4294967295 4278222976 4278222976 4278222976 4278222976 4278222976 4294967295 4294967295 4294967295 4294967295 4294967295 4278222976 4278222976 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4278222976 4278222976 4278222976 4278222976 4278222976 4278222976 4294967295 4294967295 4294967295 4294967295 4278222976 4278222976 4278222976 4278222976 4278222976 4278222976 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295)
	offset: 0@0)! !

!TamIcons class methodsFor: 'accessing forms from /10x10/mimetypes' stamp: 'apl 9/20/2007 13:31'!
form10x10MimetypesBlueF
	^ (Form
	extent: 10@10
	depth: 32
	fromArray: #( 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4278222976 4278222976 4278222976 4278222976 4278222976 4278222976 4294967295 4294967295 4294967295 4294967295 4278222976 4278222976 4278222976 4278222976 4278222976 4278222976 4294967295 4294967295 4294967295 4294967295 4278222976 4278222976 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4278222976 4278222976 4278222976 4278222976 4278222976 4294967295 4294967295 4294967295 4294967295 4294967295 4278222976 4278222976 4278222976 4278222976 4278222976 4294967295 4294967295 4294967295 4294967295 4294967295 4278222976 4278222976 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4278222976 4278222976 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4278222976 4278222976 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295)
	offset: 0@0)! !

!TamIcons class methodsFor: 'accessing forms from /10x10/mimetypes' stamp: 'apl 9/20/2007 13:31'!
form10x10MimetypesBlueFile
	^ (Form
	extent: 10@10
	depth: 32
	fromArray: #( 15132646 4278223103 4278223103 4278190335 4278190335 4278190335 4278223103 4278223103 15132646 15132646 15132646 4278223103 4278223103 4294967295 4294967295 4294967295 4278223103 4278223103 4278212800 4278223103 15132646 4278223103 4278223103 4294967295 4294967295 4294967295 4294967295 4278223103 4278223103 4278223103 15132646 4278223103 4278223103 4294967295 4290838527 4290838527 4290838527 4290838527 4290838527 4278223103 15132646 4278223103 4278223103 4294967295 4294967295 4290838527 4290838527 4290838527 4290838527 4278223103 15132646 4278223103 4278223103 4289256703 4290838527 4290838527 4290838527 4290838527 4290838527 4278223103 0 4278223103 4278223103 4290838527 4290838527 4290838527 4290838527 4290838527 4290838527 4278223103 0 4278223103 4278223103 4290838527 4290838527 4290838527 4290838527 4290838527 4290838527 4278223103 0 4278223103 4278223103 4290838527 4290838527 4290838527 4290838527 4290838527 4290838527 4278223103 15132646 4278223103 4278223103 4278223103 4278223103 4278223103 4278223103 4278223103 4278223103 4278223103)
	offset: 0@0)! !

!TamIcons class methodsFor: 'accessing forms from /10x10/mimetypes' stamp: 'apl 9/20/2007 13:31'!
form10x10MimetypesBlueG
	^ (Form
	extent: 10@10
	depth: 32
	fromArray: #( 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4278222976 4278222976 4278222976 4278222976 4278222976 4278222976 4294967295 4294967295 4294967295 4294967295 4278222976 4278222976 4278222976 4278222976 4278222976 4278222976 4294967295 4294967295 4294967295 4294967295 4278222976 4278222976 4294967295 4294967295 4278222976 4278222976 4294967295 4294967295 4294967295 4294967295 4278222976 4278222976 4294967295 4294967295 4278222976 4278222976 4294967295 4294967295 4294967295 4294967295 4278222976 4278222976 4278222976 4278222976 4278222976 4278222976 4294967295 4294967295 4294967295 4294967295 4278222976 4278222976 4278222976 4278222976 4278222976 4278222976 4294967295 4294967295 4294967295 4294967295 4278222976 4278222976 4294967295 4294967295 4278222976 4278222976 4278222976 4294967295 4294967295 4294967295 4278222976 4278222976 4294967295 4294967295 4294967295 4278222976 4278222976 4278222976 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295)
	offset: 0@0)! !

!TamIcons class methodsFor: 'accessing forms from /10x10/mimetypes' stamp: 'apl 9/20/2007 13:31'!
form10x10MimetypesBlueP
	^ (Form
	extent: 10@10
	depth: 32
	fromArray: #( 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4278222976 4278222976 4278222976 4278222976 4278222976 4278222976 4294967295 4294967295 4294967295 4294967295 4278222976 4278222976 4278222976 4278222976 4278222976 4278222976 4294967295 4294967295 4294967295 4294967295 4278222976 4278222976 4294967295 4294967295 4278222976 4278222976 4294967295 4294967295 4294967295 4294967295 4278222976 4278222976 4294967295 4294967295 4278222976 4278222976 4294967295 4294967295 4294967295 4294967295 4278222976 4278222976 4278222976 4278222976 4278222976 4278222976 4294967295 4294967295 4294967295 4294967295 4278222976 4278222976 4278222976 4278222976 4278222976 4278222976 4294967295 4294967295 4294967295 4294967295 4278222976 4278222976 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4278222976 4278222976 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295)
	offset: 0@0)! !

!TamIcons class methodsFor: 'accessing forms from /10x10/mimetypes' stamp: 'apl 9/20/2007 13:31'!
form10x10MimetypesBlueR
	^ (Form
	extent: 10@10
	depth: 32
	fromArray: #( 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4278222976 4278222976 4278222976 4278222976 4278222976 4278222976 4294967295 4294967295 4294967295 4294967295 4278222976 4278222976 4278222976 4278222976 4278222976 4278222976 4294967295 4294967295 4294967295 4294967295 4278222976 4278222976 4294967295 4294967295 4278222976 4278222976 4294967295 4294967295 4294967295 4294967295 4278222976 4278222976 4294967295 4294967295 4278222976 4278222976 4294967295 4294967295 4294967295 4294967295 4278222976 4278222976 4278222976 4278222976 4278222976 4278222976 4294967295 4294967295 4294967295 4294967295 4278222976 4278222976 4278222976 4278222976 4278222976 4278222976 4294967295 4294967295 4294967295 4294967295 4278222976 4278222976 4294967295 4294967295 4278222976 4278222976 4278222976 4294967295 4294967295 4294967295 4278222976 4278222976 4294967295 4294967295 4294967295 4278222976 4278222976 4278222976 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295)
	offset: 0@0)! !

!TamIcons class methodsFor: 'accessing forms from /10x10/mimetypes' stamp: 'apl 9/20/2007 13:31'!
form10x10MimetypesBlueSphere
	^ (Form
	extent: 10@10
	depth: 32
	fromArray: #( 0 0 4278239424 4278239424 4278239424 4278239424 4278239424 4278239424 0 0 0 0 4278239424 4278255615 4278255615 4278255615 4278239424 4278239424 4278239424 0 0 4278255615 4278255615 4290838527 4290838527 4290838527 4278255615 4278239424 4278239424 4278222976 4278255615 4278255615 4290838527 4294967295 4294967295 4290838527 4290838527 4278239424 4278239424 4278222976 4278255615 4278255615 4290838527 4294967295 4294967295 4290838527 4290838527 4278239424 4278239424 4278222976 4278255615 4278255615 4290838527 4290838527 4290838527 4290838527 4290838527 4278239424 4278222976 4278190080 4278255615 4278255615 4278255615 4290838527 4290838527 4278239424 4278239424 4278239424 4278222976 4278190080 0 4278239424 4278239424 4278239424 4278239424 4278239424 4278239424 4278222976 4278190080 4278190080 0 4278239424 4278239424 4278239424 4278239424 4278222976 4278222976 4278222976 4278190080 0 0 0 4278239424 4278239424 4278222976 4278222976 4278190080 4278190080 0 0)
	offset: 0@0)! !

!TamIcons class methodsFor: 'accessing forms from /10x10/mimetypes' stamp: 'apl 9/20/2007 13:31'!
form10x10MimetypesBlueT
	^ (Form
	extent: 10@10
	depth: 32
	fromArray: #( 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4278222976 4278222976 4278222976 4278222976 4278222976 4278222976 4294967295 4294967295 4294967295 4294967295 4278222976 4278222976 4278222976 4278222976 4278222976 4278222976 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4278222976 4278222976 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4278222976 4278222976 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4278222976 4278222976 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4278222976 4278222976 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4278222976 4278222976 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4278222976 4278222976 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295)
	offset: 0@0)! !

!TamIcons class methodsFor: 'accessing forms from /10x10/mimetypes' stamp: 'apl 3/20/2007 11:51'!
form10x10MimetypesCable
	^ (Form
	extent: 10@10
	depth: 32
	fromArray: #( 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294902015 0 0 0 0 0 4294902015 4294902015 4294902015 4294902015 0 0 4294902015 4294902015 4294902015 4294902015 4294902015 0 0 0 0 4294902015 4294902015 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0)
	offset: 0@0)! !

!TamIcons class methodsFor: 'accessing forms from /10x10/mimetypes' stamp: 'apl 3/20/2007 11:51'!
form10x10MimetypesCarre
	^ (Form
	extent: 10@10
	depth: 32
	fromArray: #( 4294902015 4294902015 4294902015 4294902015 4294902015 4294902015 4294902015 4294902015 4294902015 0 4294902015 0 0 0 0 0 0 0 4294902015 0 4294902015 0 0 0 0 0 0 0 4294902015 0 4294902015 0 0 0 0 0 0 0 4294902015 0 4294902015 0 0 0 0 0 0 0 4294902015 0 4294902015 0 0 0 0 0 0 0 4294902015 0 4294902015 0 0 0 0 0 0 0 4294902015 0 4294902015 0 0 0 0 0 0 0 4294902015 0 4294902015 4294902015 4294902015 4294902015 4294902015 4294902015 4294902015 4294902015 4294902015 0 0 0 0 0 0 0 0 0 0 0)
	offset: 0@0)! !

!TamIcons class methodsFor: 'accessing forms from /10x10/mimetypes' stamp: 'apl 9/20/2007 13:31'!
form10x10MimetypesClass
	^ (Form
	extent: 10@10
	depth: 32
	fromArray: #( 14474460 4292663512 14474460 4294943394 4294901760 4294901760 4294943394 14474460 4292663512 14474460 4292663512 4294943394 4294901760 4294901760 4294901760 4294901760 4294901760 4294901760 4294943394 14474460 14474460 4294901760 4294901760 4294908185 4294919750 4294919750 4294908185 4294901760 4294901760 14474460 4294943394 4294901760 4294908185 4294932086 4294967295 4294967295 4294967295 4294901760 4294901760 4294943394 4294901760 4294901760 4294919750 4294967295 4294901760 4294901760 4294901760 4294901760 4294901760 4294919493 4294901760 4294901760 4294919750 4294967295 4294901760 4294901760 4294901760 4294901760 4294901760 4294919493 4294943394 4294901760 4294908185 4294931829 4294967295 4294967295 4294967295 4294901760 4294901760 4294943394 4292856008 4294901760 4294901760 4294908185 4294919493 4294919493 4294908185 4294901760 4294901760 14474460 4292663512 4294943394 4294901760 4294901760 4294901760 4294901760 4294901760 4294901760 4293366675 14474460 14474460 4292663512 4292856008 4294943394 4294901760 4294901760 4294943394 4292856008 4292663512 14474460)
	offset: 0@0)! !

!TamIcons class methodsFor: 'accessing forms from /10x10/mimetypes' stamp: 'apl 9/20/2007 13:31'!
form10x10MimetypesClassMethod
	^ (Form
	extent: 10@10
	depth: 32
	fromArray: #( 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278222976 4278222976 4278222976 0 4278222976 4278222976 4278222976 0 0 0 0 4278222976 4278222976 4278222976 0 4278222976 4278222976 4278222976 0 0 0 0 4278222976 4278222976 4278222976 0 4278222976 4278222976 4278222976 0 0 0 4278222976 4278222976 0 0 4278222976 4278222976 0 0 0 4278222976 4278222976 0 0 4278222976 4278222976 0 0 0 4278222976 4278222976 0 0 4278222976 4278222976 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0)
	offset: 0@0)! !

!TamIcons class methodsFor: 'accessing forms from /10x10/mimetypes' stamp: 'apl 9/20/2007 13:31'!
form10x10MimetypesClassMethodCategory
	^ (Form
	extent: 10@10
	depth: 32
	fromArray: #( 15132646 15132646 15132646 15132646 15132646 15132646 15132646 15132646 15132646 15132646 4290565331 4290565331 4290565331 4290565331 4290565331 4290565331 4290565331 4290565331 4290565331 4290565331 4279601545 4282358940 4282358940 4282358940 4282358940 4282358940 4282358940 4282358940 4280980114 4278222976 4283277986 15132646 15132646 15132646 15132646 15132646 15132646 15132646 4278239424 4278222976 4283277986 15132646 15132646 15132646 15132646 15132646 15132646 15132646 4278239424 4278222976 4283277986 15132646 15132646 15132646 15132646 15132646 15132646 15132646 4278239424 4278222976 4280061068 4278239424 4278239424 4278239424 4278239424 4278239424 4278239424 4278239424 4278239424 4278222976 4282358940 4282358940 4282358940 4282358940 4282358940 4282358940 4282358940 4282358940 4282358940 4282358940 4290565331 4290565331 4290565331 4290565331 4290565331 4290565331 4290565331 4290565331 4290565331 4290565331 15132646 15132646 15132646 15132646 15132646 15132646 15132646 15132646 15132646 15132646)
	offset: 0@0)! !

!TamIcons class methodsFor: 'accessing forms from /10x10/mimetypes' stamp: 'apl 9/20/2007 13:31'!
form10x10MimetypesClassWithSelectors
	^ (Form
	extent: 10@10
	depth: 32
	fromArray: #( 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4294901760 4294901760 4294901760 4294901760 4294901760 4294901760 4278190080 4278190080 4278190080 4294901760 4294901760 4294908185 4294919750 4294919750 4294908185 4294901760 4294901760 4278190080 4278190080 4294901760 4294908185 4294932086 4294967295 4294967295 4294967295 4294901760 4294901760 4278190080 4278190080 4294901760 4294919750 4294967295 4294901760 4294901760 4294901760 4294901760 4294901760 4278190080 4278190080 4294901760 4294919750 4294967295 4294901760 4294901760 4294901760 4294901760 4294901760 4278190080 4278190080 4294901760 4294908185 4294931829 4294967295 4294967295 4294967295 4294901760 4294901760 4278190080 4278190080 4294901760 4294901760 4294908185 4294919493 4294919493 4294908185 4294901760 4294901760 4278190080 4278190080 4278190080 4294901760 4294901760 4294901760 4294901760 4294901760 4294901760 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080)
	offset: 0@0)! !

!TamIcons class methodsFor: 'accessing forms from /10x10/mimetypes' stamp: 'apl 9/20/2007 13:31'!
form10x10MimetypesClassWithSupertype
	^ (Form
	extent: 10@10
	depth: 32
	fromArray: #( 14474460 0 4278222848 4278222848 4278222848 4278222848 4278222848 4278222848 0 14474460 0 4278222848 4278239232 4278255360 4278255360 4278255360 4278255360 4278239232 4278222848 14474460 4278222848 4278239232 4278255360 4294901760 4294901760 4294901760 4294901760 4278255360 4278239232 4278222848 4278222848 4278255360 4294901760 4294901760 4294967295 4294967295 4294967295 4294901760 4278255360 4278222848 4278222848 4278255360 4294901760 4294967295 4294901760 4294901760 4294901760 4294901760 4278255360 4278222848 4278222848 4278255360 4294901760 4294967295 4294901760 4294901760 4294901760 4294901760 4278255360 4278222848 4278222848 4278255360 4294908185 4294901760 4294967295 4294967295 4294967295 4294901760 4278255360 4278222848 4278222848 4278239232 4278255360 4294908185 4294901760 4294901760 4294901760 4278255360 4278239232 4278222848 0 4278222848 4278239232 4278255360 4278255360 4278255360 4278255360 4278239232 4278222848 14474460 14474460 0 4278222848 4278222848 4278222848 4278222848 4278222848 4278222848 0 14474460)
	offset: 0@0)! !

!TamIcons class methodsFor: 'accessing forms from /10x10/mimetypes' stamp: 'apl 9/20/2007 13:31'!
form10x10MimetypesClassWithSupertypeAndSelectors
	^ (Form
	extent: 10@10
	depth: 32
	fromArray: #( 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278222848 4278239232 4278255360 4278255360 4278255360 4278255360 4278239232 4278222848 4278190080 4278190080 4278239232 4278255360 4294901760 4294901760 4294901760 4294901760 4278255360 4278239232 4278190080 4278190080 4278255360 4294901760 4294901760 4294967295 4294967295 4294967295 4294901760 4278255360 4278190080 4278190080 4278255360 4294901760 4294967295 4294901760 4294901760 4294901760 4294901760 4278255360 4278190080 4278190080 4278255360 4294901760 4294967295 4294901760 4294901760 4294901760 4294901760 4278255360 4278190080 4278190080 4278255360 4294908185 4294901760 4294967295 4294967295 4294967295 4294901760 4278255360 4278190080 4278190080 4278239232 4278255360 4294908185 4294901760 4294901760 4294901760 4278255360 4278239232 4278190080 4278190080 4278222848 4278239232 4278255360 4278255360 4278255360 4278255360 4278239232 4278222848 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080)
	offset: 0@0)! !

!TamIcons class methodsFor: 'accessing forms from /10x10/mimetypes' stamp: 'apl 3/20/2007 11:51'!
form10x10MimetypesComponent
	^ (Form
	extent: 10@10
	depth: 32
	fromArray: #( 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278190080 4278190080 4278190080 0 0 0 0 0 0 4278190080 4294902015 4294902015 4294902015 4278190080 0 0 0 0 0 4278190080 4294902015 4294902015 4294902015 4278190080 0 0 0 0 0 4278190080 4294902015 4294902015 4294902015 4278190080 0 0 0 0 0 0 4278190080 4278190080 4278190080 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0)
	offset: 0@0)! !

!TamIcons class methodsFor: 'accessing forms from /10x10/mimetypes' stamp: 'apl 3/20/2007 11:51'!
form10x10MimetypesCoulisse
	^ (Form
	extent: 10@10
	depth: 32
	fromArray: #( 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4283979864 0 0 0 0 4283979864 4283979864 4283979864 4283979864 4283979864 0 4283979864 4283979864 4283979864 4283979864 4283979864 0 0 0 0 4294902015 4283979864 0 0 0 0 4294902015 4294902015 4294902015 4294902015 0 0 4294902015 4294902015 4294902015 4294902015 4294902015 0 0 0 0 4294902015 4294902015 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0)
	offset: 0@0)! !

!TamIcons class methodsFor: 'accessing forms from /10x10/mimetypes' stamp: 'apl 9/20/2007 13:31'!
form10x10MimetypesDerivedAttribute
	^ (Form
	extent: 10@10
	depth: 32
	fromArray: #( 0 0 0 0 0 0 4284000511 4278212800 0 0 0 0 0 0 0 0 4284000511 4278212800 0 0 0 0 0 0 0 0 4284000511 4278212800 0 0 0 0 0 4278212800 4278212800 4278212800 4284000511 4278212800 0 0 0 0 4278212800 4284000511 4284000511 4284000511 4278212800 4278212800 0 0 0 4284000511 4278212800 0 0 0 4278212800 4278212800 0 0 0 4284000511 4278212800 0 0 0 4278212800 4278212800 0 0 0 4284000511 4278212800 0 0 0 4278212800 4278212800 0 0 0 0 4278212800 0 0 0 4278212800 4278212800 0 0 0 0 0 4278212800 4278212800 4278212800 4278212800 0 0 0)
	offset: 0@0)! !

!TamIcons class methodsFor: 'accessing forms from /10x10/mimetypes' stamp: 'apl 3/20/2007 11:51'!
form10x10MimetypesDiamond
	^ (Form
	extent: 10@10
	depth: 32
	fromArray: #( 4288716960 4294902015 4288716960 4294902015 4288716960 4294902015 4288716960 4294902015 4288716960 4294902015 4294902015 0 4294902015 0 4294902015 0 4294902015 0 4294902015 0 4288716960 4294902015 4288716960 4294902015 4288716960 4294902015 4288716960 4294902015 4288716960 4294902015 4288716960 4294902015 4288716960 4294902015 4288716960 4294902015 4288716960 4294902015 4288716960 4294902015 4288716960 4294902015 4288716960 4294902015 4288716960 4294902015 4288716960 4294902015 4288716960 4294902015 4288716960 4294902015 4288716960 4294902015 4288716960 4294902015 4288716960 4294902015 4288716960 4294902015 4288716960 4294902015 4288716960 4294902015 4288716960 4294902015 4288716960 4294902015 4288716960 4294902015 4288716960 4294902015 4288716960 4294902015 4288716960 4294902015 4288716960 4294902015 4288716960 4294902015 4294902015 0 4294902015 0 4294902015 0 4294902015 0 4294902015 0 4288716960 4294902015 4288716960 4294902015 4288716960 4294902015 4288716960 4294902015 4288716960 4294902015)
	offset: 0@0)! !

!TamIcons class methodsFor: 'accessing forms from /10x10/mimetypes' stamp: 'apl 9/20/2007 13:31'!
form10x10MimetypesEntityInstance
	^ (Form
	extent: 7@10
	depth: 32
	fromArray: #( 0 0 4280887601 0 0 4278190088 0 0 0 4278190088 0 0 4278190088 0 4281413945 4280887593 4278190088 4280361257 4279769112 4278190088 4282532418 4281413945 4279242768 4279769112 4281940281 4278190088 4279769121 4281940290 0 4280887601 0 0 4278190088 0 0 0 4278716424 0 0 4278190088 0 0 4278190088 4278190088 4278190088 4278190088 4278190088 4278190088 0 4280887601 4281413937 0 4281413937 0 0 0 4280361249 0 0 4278716424 0 0 0 4281413945 0 0 4281940281 0 0 0)
	offset: 0@0)! !

!TamIcons class methodsFor: 'accessing forms from /10x10/mimetypes' stamp: 'apl 9/20/2007 13:31'!
form10x10MimetypesExplicitAttribute
	^ (Form
	extent: 10@10
	depth: 32
	fromArray: #( 0 0 0 0 0 0 0 0 0 0 0 0 0 4293166890 4293166890 4293166890 4293166890 0 0 0 0 0 4293166890 4293166890 0 0 4293166890 4293166890 0 0 0 4294940463 4293166890 0 0 0 0 4293166890 4294940463 0 0 4294940463 4293166890 0 0 0 0 4293166890 4294940463 0 0 4294940463 4293166890 4293166890 4293166890 4293166890 4293166890 4293166890 4294940463 0 0 4294940463 4293166890 0 0 0 0 0 0 0 0 4294940463 4293166890 0 0 0 0 0 0 0 0 0 4293166890 4293166890 0 0 4293166890 4293166890 4294940463 0 0 0 0 4293166890 4293166890 4293166890 4293166890 0 0 0)
	offset: 0@0)! !

!TamIcons class methodsFor: 'accessing forms from /10x10/mimetypes' stamp: 'apl 9/20/2007 13:31'!
form10x10MimetypesFile
	^ (Form
	extent: 10@10
	depth: 32
	fromArray: #( 15132646 15132646 4286611584 4278190080 4278190080 4278190080 4286611584 4286611584 15132646 15132646 15132646 15132646 4286611584 4294967295 4294967295 4294967295 4286611584 4286611584 4278190080 15132646 15132646 15132646 4286611584 4294967295 4294967295 4294967295 4286611584 4286611584 4278190080 15132646 15132646 15132646 4286611584 4294967295 4294967295 4294967295 4294967295 4294967295 4278190080 15132646 15132646 15132646 4286611584 4294967295 4294967295 4294967295 4294967232 4294951167 4278190080 15132646 15132646 15132646 4286611584 4294967295 4294967295 4294967232 4294967232 4294951167 4278190080 15132646 15132646 15132646 4286611584 4294967295 4294967232 4294967232 4294967232 4294951167 4278190080 15132646 15132646 15132646 4286611584 4294951167 4294951167 4294951167 4294951167 4294951167 4278190080 15132646 15132646 15132646 4286611584 4286611584 4286611584 4278190080 4278190080 4278190080 4278190080 15132646 15132646 15132646 15132646 15132646 15132646 15132646 15132646 15132646 15132646 15132646)
	offset: 0@0)! !

!TamIcons class methodsFor: 'accessing forms from /10x10/mimetypes' stamp: 'apl 9/20/2007 13:31'!
form10x10MimetypesFishingNet
	^ (Form
	extent: 10@10
	depth: 32
	fromArray: #( 0 0 4290773184 4290773184 4290773184 4290773184 0 0 0 0 0 4290773184 4290773184 4290773184 4290773184 4290773184 4290773184 0 0 0 4290773184 4288447972 4288447972 4291147758 4291147758 4288447972 4290773184 4290773184 0 0 4290773184 4288447972 4291147758 4291147758 4291147758 4291147758 4288447972 4290773184 4290773184 0 4290773184 4288447972 4291147758 4293189108 4293189108 4291147758 4291147758 4288447972 4290773184 4290773184 4290773184 4288447972 4291147758 4293189108 4293189108 4291147758 4288447972 4288447972 4288447972 4288447972 4290773184 4288447972 4288447972 4291147758 4291147758 4288447972 4288447972 4288447972 4290773184 4290773184 4290773184 4290773184 4288447972 4288447972 4288447972 4288447972 4290773184 4290773184 4290773184 0 0 4290773184 4290773184 4290773184 4290773184 4290773184 4290773184 4290773184 0 0 0 0 4290773184 4290773184 4290773184 4290773184 0 0 0 0)
	offset: 0@0)! !

!TamIcons class methodsFor: 'accessing forms from /10x10/mimetypes' stamp: 'apl 9/20/2007 13:31'!
form10x10MimetypesGraySphere
	^ (Form
	extent: 10@10
	depth: 32
	fromArray: #( 0 0 4286611584 4286611584 4286611584 4286611584 4286611584 4286611584 0 0 0 0 4286611584 4288716960 4288716960 4288716960 4286611584 4286611584 4286611584 0 0 4288716960 4288716960 4291019715 4291019715 4291019715 4288716960 4286611584 4286611584 4283979864 4288716960 4288716960 4291019715 4294967295 4294967295 4291019715 4291019715 4286611584 4286611584 4283979864 4288716960 4288716960 4291019715 4294967295 4294967295 4291019715 4291019715 4286611584 4286611584 4283979864 4288716960 4288716960 4291019715 4291019715 4291019715 4291019715 4291019715 4286611584 4283979864 4281348144 4288716960 4288716960 4288716960 4291019715 4291019715 4286611584 4286611584 4286611584 4283979864 4281348144 0 4286611584 4286611584 4286611584 4286611584 4286611584 4286611584 4283979864 4281348144 4281348144 0 4286611584 4286611584 4286611584 4286611584 4283979864 4283979864 4283979864 4281348144 0 0 0 4286611584 4286611584 4283979864 4283979864 4281348144 4281348144 0 0)
	offset: 0@0)! !

!TamIcons class methodsFor: 'accessing forms from /10x10/mimetypes' stamp: 'apl 9/20/2007 13:31'!
form10x10MimetypesGreenSphere
	^ (Form
	extent: 10@10
	depth: 32
	fromArray: #( 0 0 4278222848 4278222848 4278222848 4278222848 4278222848 4278222848 0 0 0 0 4278222848 4278239232 4278239232 4278239232 4278222848 4278222848 4278222848 0 0 4278239232 4278239232 4278255360 4278255360 4278255360 4278239232 4278239232 4278222848 4278206464 4278239232 4278239232 4278255360 4294967295 4294967295 4278255360 4278255360 4278222848 4278222848 4278206464 4278239232 4278239232 4278255360 4294967295 4294967295 4278255360 4278255360 4278222848 4278222848 4278206464 4278239232 4278239232 4278255360 4278255360 4278255360 4278255360 4278255360 4278222848 4278206464 4278206464 4278239232 4278239232 4278239232 4278255360 4278255360 4278222848 4278222848 4278222848 4278206464 4278190080 0 4278222848 4278222848 4278222848 4278222848 4278222848 4278222848 4278206464 4278206464 4278190080 0 4278222848 4278222848 4278222848 4278222848 4278206464 4278206464 4278206464 4278190080 0 0 4278222848 4278222848 4278222848 4278206464 4278206464 4278190080 4278190080 0 0)
	offset: 0@0)! !

!TamIcons class methodsFor: 'accessing forms from /10x10/mimetypes' stamp: 'apl 9/20/2007 13:31'!
form10x10MimetypesGroup
	^ (Form
	extent: 10@10
	depth: 32
	fromArray: #( 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4288716960 4288716960 0 4288716960 4288716960 0 4288716960 4288716960 0 0 4283979864 4283979864 4291019715 4283979864 4283979864 4291019715 4283979864 4283979864 0 0 4288716960 4288716960 0 4288716960 4288716960 0 4288716960 4288716960 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0)
	offset: 0@0)! !

!TamIcons class methodsFor: 'accessing forms from /10x10/mimetypes' stamp: 'apl 3/20/2007 11:51'!
form10x10MimetypesHexa
	^ (Form
	extent: 10@10
	depth: 32
	fromArray: #( 4294902015 0 4294902015 0 0 0 4294902015 0 4294902015 0 0 0 0 4294902015 4294902015 4294902015 0 0 0 4294902015 4294902015 0 4294902015 4288716960 4288716960 4288716960 4294902015 0 4294902015 4288716960 4288716960 4294902015 4288716960 4288716960 4288716960 4288716960 4288716960 4294902015 4288716960 4288716960 4288716960 4294902015 4288716960 4288716960 4288716960 4288716960 4288716960 4294902015 4288716960 4288716960 4288716960 4294902015 4288716960 4288716960 4288716960 4288716960 4288716960 4294902015 4288716960 4288716960 4294902015 0 4294902015 4288716960 4288716960 4288716960 4294902015 0 4294902015 4288716960 0 0 0 4294902015 4294902015 4294902015 0 0 0 4294902015 4294902015 0 4294902015 4288716960 4288716960 4288716960 4294902015 0 4294902015 4288716960 4288716960 4294902015 4288716960 4288716960 4288716960 4288716960 4288716960 4294902015 4288716960 4288716960)
	offset: 0@0)! !

!TamIcons class methodsFor: 'accessing forms from /10x10/mimetypes' stamp: 'apl 9/20/2007 13:31'!
form10x10MimetypesImplementor
	^ (Form
	extent: 10@10
	depth: 32
	fromArray: #( 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4283979864 4283979864 0 0 0 0 0 4294951104 4294951104 4294951104 4283979864 4283979864 4294951104 4294951104 0 0 0 0 4294951104 4294951104 4294951104 0 4294951104 4294951104 4294951104 0 0 0 0 4294951104 4283979864 4283979864 0 4294951104 4294951104 4294951104 0 0 0 4294951104 4283979864 4283979864 0 4294951104 4294951104 0 0 0 4294951104 4294951104 4283979864 4283979864 4294951104 4294951104 0 0 0 4294951104 4294951104 0 4283979864 4283979864 4294951104 0 0 0 0 0 0 0 4283979864 4283979864 0 0 0 0 0 0 0 0 0 0 0 0 0 0)
	offset: 0@0)! !

!TamIcons class methodsFor: 'accessing forms from /10x10/mimetypes' stamp: 'apl 9/20/2007 13:31'!
form10x10MimetypesInstanceMethod
	^ (Form
	extent: 10@10
	depth: 32
	fromArray: #( 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294901760 4294901760 4294901760 0 4294901760 4294901760 4294901760 0 0 0 0 4294901760 4294901760 4294901760 0 4294901760 4294901760 4294901760 0 0 0 0 4294901760 4294901760 4294901760 0 4294901760 4294901760 4294901760 0 0 0 4294901760 4294901760 0 0 4294901760 4294901760 0 0 0 4294901760 4294901760 0 0 4294901760 4294901760 0 0 0 4294901760 4294901760 0 0 4294901760 4294901760 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0)
	offset: 0@0)! !

!TamIcons class methodsFor: 'accessing forms from /10x10/mimetypes' stamp: 'apl 9/20/2007 13:31'!
form10x10MimetypesInverseAttribute
	^ (Form
	extent: 10@10
	depth: 32
	fromArray: #( 0 0 0 0 0 4278222848 4278239232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278239232 4278222848 4278222848 4278222848 4278239232 0 0 0 0 0 0 4278239232 4278239232 4278222848 4278239232 0 0 0 0 0 0 0 0 4278222848 4278239232 0 0 0 0 0 0 0 0 4278222848 4278239232 0 0 0 0 0 0 0 0 4278222848 4278239232 0 0 0 0 0 0 0 0 4278222848 4278239232 0 0 0 0 0 0 0 0 4278222848 4278239232 0 0 0)
	offset: 0@0)! !

!TamIcons class methodsFor: 'accessing forms from /10x10/mimetypes' stamp: 'apl 9/20/2007 13:31'!
form10x10MimetypesLinksTaxon
	^ (Form
	extent: 10@10
	depth: 32
	fromArray: #( 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4278223103 4278223103 4278223103 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4278223103 4278223103 4278223103 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4278223103 4278223103 4278223103 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4278223103 4278223103 4278223103 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4278223103 4278223103 4278223103 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4278223103 4278223103 4278223103 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295)
	offset: 0@0)! !

!TamIcons class methodsFor: 'accessing forms from /10x10/mimetypes' stamp: 'apl 9/20/2007 13:31'!
form10x10MimetypesMetaSchema
	^ (Form
	extent: 10@10
	depth: 32
	fromArray: #( 4294963989 4294963989 4294963989 4294963989 4294963989 4294963989 4294963989 4294963989 4294963989 4294963989 4294963989 4294963989 4294963989 4294963989 4294963989 4294963989 4294963989 4294963989 4294963989 4294963989 4278222976 4278222976 4278222976 4294963989 4278222976 4278222976 4294963989 4278222976 4294963989 4278222976 4278222976 4294963989 4294963989 4294963989 4278222976 4294963989 4294963989 4278222976 4294963989 4278222976 4278222976 4278222976 4278222976 4294963989 4278222976 4294963989 4294963989 4278222976 4278222976 4278222976 4294963989 4294963989 4278222976 4294963989 4278222976 4294963989 4294963989 4278222976 4278222976 4278222976 4278222976 4294963989 4278222976 4294963989 4278222976 4294963989 4294963989 4278222976 4294963989 4278222976 4278222976 4278222976 4278222976 4294963989 4278222976 4278222976 4294963989 4278222976 4294963989 4278222976 4294963989 4294963989 4294963989 4294963989 4294963989 4294963989 4294963989 4294963989 4294963989 4294963989 4294963989 4294963989 4294963989 4294963989 4294963989 4294963989 4294963989 4294963989 4294963989 4294963989)
	offset: 0@0)! !

!TamIcons class methodsFor: 'accessing forms from /10x10/mimetypes' stamp: 'apl 9/20/2007 13:31'!
form10x10MimetypesMetaSchemaInstancier
	^ (Form
	extent: 10@10
	depth: 32
	fromArray: #( 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4281348144 4281348144 4281348144 4294967295 4281348144 4281348144 4294967295 4281348144 4294967295 4281348144 4281348144 4294967295 4294967295 4294967295 4281348144 4294967295 4294967295 4281348144 4294967295 4281348144 4281348144 4281348144 4281348144 4294967295 4281348144 4294967295 4294967295 4281348144 4281348144 4281348144 4294967295 4294967295 4281348144 4294967295 4281348144 4294967295 4294967295 4281348144 4281348144 4281348144 4281348144 4294967295 4281348144 4294967295 4281348144 4294967295 4294967295 4281348144 4294967295 4281348144 4281348144 4281348144 4281348144 4294967295 4281348144 4281348144 4294967295 4281348144 4294967295 4281348144 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295)
	offset: 0@0)! !

!TamIcons class methodsFor: 'accessing forms from /10x10/mimetypes' stamp: 'apl 9/20/2007 13:31'!
form10x10MimetypesMethodCategory
	^ (Form
	extent: 10@10
	depth: 32
	fromArray: #( 15132646 15132646 15132646 15132646 15132646 15132646 15132646 15132646 15132646 15132646 4290565331 4290565331 4290565331 4290565331 4290565331 4290565331 4290565331 4290565331 4290565331 4290565331 4294901760 4294901760 4294901760 4294901760 4294901760 4294901760 4294901760 4294901760 4294901760 4294901760 4294901760 15132646 15132646 15132646 15132646 15132646 15132646 15132646 4294951104 4294901760 4294901760 15132646 15132646 15132646 15132646 15132646 15132646 15132646 4294951104 4294901760 4294901760 15132646 15132646 15132646 15132646 15132646 15132646 15132646 4294951104 4294901760 4294901760 4294901760 4294901760 4294901760 4294901760 4294901760 4294901760 4294901760 4294901760 4294901760 4294901760 4294901760 4294901760 4294901760 4294901760 4294901760 4294901760 4294901760 4294901760 4294901760 4290565331 4290565331 4290565331 4290565331 4290565331 4290565331 4290565331 4290565331 4290565331 4290565331 15132646 15132646 15132646 15132646 15132646 15132646 15132646 15132646 15132646 15132646)
	offset: 0@0)! !

!TamIcons class methodsFor: 'accessing forms from /10x10/mimetypes' stamp: 'apl 9/20/2007 13:31'!
form10x10MimetypesNet
	^ (Form
	extent: 10@10
	depth: 32
	fromArray: #( 4286611584 4281348144 4281348144 4286611584 4286611584 4281348144 4281348144 4290838527 4286611584 4281348144 4281348144 4281348144 4290838527 4290838527 4281348144 4281348144 4290838527 4290838527 4281348144 4286611584 4281348144 4286611584 4286611584 4281348144 4281348144 4286611584 4286611584 4281348144 4281348144 4290838527 4290838527 4290838527 4281348144 4281348144 4290838527 4290838527 4281348144 4281348144 4290838527 4290838527 4286611584 4281348144 4281348144 4286611584 4286611584 4281348144 4281348144 4286611584 4286611584 4281348144 4281348144 4281348144 4290838527 4290838527 4281348144 4281348144 4290838527 4290838527 4281348144 4281348144 4281348144 4286611584 4286611584 4281348144 4281348144 4286611584 4286611584 4281348144 4281348144 4286611584 4290838527 4290838527 4281348144 4281348144 4290838527 4290838527 4281348144 4281348144 4290838527 4290838527 4290838527 4281348144 4281348144 4286611584 4286611584 4281348144 4281348144 4286611584 4286611584 4281348144 4281348144 4281348144 4290838527 4290838527 4281348144 4281348144 4290838527 4290838527 4281348144 4281348144)
	offset: 0@0)! !

!TamIcons class methodsFor: 'accessing forms from /10x10/mimetypes' stamp: 'apl 9/20/2007 13:31'!
form10x10MimetypesObject
	^ (Form
	extent: 10@10
	depth: 32
	fromArray: #( 0 0 0 0 0 0 0 0 0 0 0 0 0 4283979864 4283979864 4283979864 0 0 0 0 0 0 4283979864 4286611584 4286611584 4286611584 4283979864 0 0 0 0 4283979864 4286611584 4290822144 4290822144 4290822144 4286611584 4283979864 0 0 0 4283979864 4286611584 4290822144 4290822144 4290822144 4286611584 4283979864 0 0 0 4283979864 4286611584 4290822144 4294967232 4294967295 4286611584 4283979864 0 0 0 0 4283979864 4291019715 4291019715 4291019715 4283979864 0 0 0 0 0 0 4283979864 4283979864 4283979864 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0)
	offset: 0@0)! !

!TamIcons class methodsFor: 'accessing forms from /10x10/mimetypes' stamp: 'apl 9/20/2007 13:31'!
form10x10MimetypesOdbcDatasource
	^ (Form
	extent: 10@10
	depth: 32
	fromArray: #( 0 4283979864 4283979864 4283979864 4283979864 4283979864 4283979864 4283979864 4283979864 0 4283979864 4294902015 4294902015 4294902015 4294902015 4294902015 4294902015 4294902015 4294902015 4288716960 4283979864 4286611584 4288716960 4294902015 4294902015 4294902015 4294902015 4294902015 4294967295 4288716960 4283979864 4286611584 4288716960 4291019715 4291019715 4292664540 4294967295 4294967295 4294967295 4288716960 4283979864 4286611584 4288716960 4291019715 4291019715 4291019715 4292664540 4294967295 4294967295 4288716960 4283979864 4286611584 4288716960 4291019715 4291019715 4291019715 4291019715 4292664540 4294967295 4288716960 4283979864 4286611584 4288716960 4291019715 4291019715 4291019715 4291019715 4292664540 4294967295 4288716960 4283979864 4286611584 4288716960 4291019715 4291019715 4291019715 4291019715 4291019715 4292664540 4288716960 4283979864 4286611584 4288716960 4291019715 4291019715 4291019715 4291019715 4291019715 4291019715 4288716960 0 4283979864 4283979864 4283979864 4283979864 4283979864 4283979864 4283979864 4283979864 0)
	offset: 0@0)! !

!TamIcons class methodsFor: 'accessing forms from /10x10/mimetypes' stamp: 'apl 9/20/2007 13:31'!
form10x10MimetypesPackageBlue
	^ (Form
	extent: 10@10
	depth: 32
	fromArray: #( 16777215 16777215 341399897 2202422862 4063247934 4280759348 4279705119 4280693555 4280956984 4279112467 16777215 269027594 2015963433 3932450671 4285369484 4284251003 4281813321 4285305747 4286101688 4280565054 341993320 2019846506 3814221671 4284051825 4282471765 4282405972 4283460203 4284187524 4282488471 4278924341 2202489941 3936465073 4291551200 4289382857 4285497987 4288853430 4289716448 4283470225 4279129173 4278264612 4063841614 4287813334 4287292130 4284720806 4282807670 4286700250 4285191123 4279924342 4278273606 4278198562 4281486156 4283813325 4278961091 4278225290 4278215266 4278239424 4278235569 4278214496 4278207299 4278198562 4281486156 4283813325 4278961091 4278225290 4278215266 4278239424 4278235569 4278214495 4278271807 4279118893 4281486156 4283812297 4278959292 4278224004 4278214238 4278237368 4278233770 4278278747 4094569774 2804628798 4280958783 4282948764 4278813571 4278213210 4278206785 4278222462 4278221177 4111357527 2620143930 557595709 4278980882 4279511338 4278329377 4278195735 4278193936 4278198048 4278198048 2785946411 558323801 42304902)
	offset: 0@0)! !

!TamIcons class methodsFor: 'accessing forms from /10x10/mimetypes' stamp: 'apl 9/20/2007 13:31'!
form10x10MimetypesPackageGreen
	^ (Form
	extent: 10@10
	depth: 32
	fromArray: #( 16777215 16777215 341399897 2202422862 4063247934 4280759348 4279705119 4280693555 4280956984 4279112467 16777215 269027594 2015963433 3932450671 4290838464 4290838464 4281813321 4290838464 4290838464 4280565054 341993320 2019846506 3814221671 4278222848 4288716960 4282405972 4288716960 4284187524 4288716960 4278924341 2202489941 3936465073 4291551200 4289382857 4285497987 4288853430 4289716448 4283470225 4279129173 4278264612 4063841614 4290838464 4290838464 4284720806 4282807670 4290838464 4290838464 4278239232 4278273606 4278198562 4281486156 4290838464 4278255360 4278239232 4278215266 4290838464 4278255360 4278239232 4278207299 4278198562 4281486156 4290838464 4278255360 4278239232 4278215266 4290838464 4278255360 4278239232 4278271807 4279118893 4281486156 4290838464 4278255360 4278239232 4278214238 4290838464 4278255360 4278239232 4094569774 2804628798 4280958783 4290838464 4278255360 4278239232 4278206785 4290838464 4278255360 4278239232 2620143930 557595709 4278980882 4279511338 4278329377 4278195735 4278193936 4278198048 4278198048 2785946411 558323801 42304902)
	offset: 0@0)! !

!TamIcons class methodsFor: 'accessing forms from /10x10/mimetypes' stamp: 'apl 9/20/2007 13:31'!
form10x10MimetypesPackageMapping
	^ (Form
	extent: 10@10
	depth: 32
	fromArray: #( 16777215 16777215 341399897 2202422862 4063247934 4280759348 4279705119 4280693555 4280956984 4279112467 16777215 269027594 2015963433 3932450671 4294967040 4294967040 4286611584 4278223103 4278223103 4286611584 341993320 2019846506 3814221671 4286611584 4286611584 4286611584 4286611584 4286611584 4288716960 4283979864 2202489941 3936465073 4294967232 4294967040 4285497987 4278223103 4278223103 4278223103 4286611584 4283979864 4063841614 4294967040 4294967040 4294967040 4286611584 4278223103 4278223103 4278223103 4286611584 4283979864 4281486156 4294967040 4294967040 4294967040 4286611584 4278223103 4278223103 4278223103 4286611584 4283979864 4281486156 4294967040 4294967040 4294967040 4286611584 4278223103 4278223103 4278223103 4286611584 4281348144 4281486156 4294967040 4294967040 4294967040 4286611584 4278223103 4278223103 4278223103 4286611584 2804628798 4280958783 4294967040 4294967040 4294967040 4286611584 4278223103 4278223103 4278223103 2620143930 557595709 4278980882 4279511338 4281348144 4281348144 4278193936 4281348144 4281348144 2785946411 558323801 42304902)
	offset: 0@0)! !

!TamIcons class methodsFor: 'accessing forms from /10x10/mimetypes' stamp: 'apl 9/20/2007 13:31'!
form10x10MimetypesPackageWhite
	^ (Form
	extent: 10@10
	depth: 32
	fromArray: #( 16777215 16777215 341399897 2202422862 4063247934 4280759348 4279705119 4280693555 4280956984 4279112467 16777215 269027594 2015963433 3932450671 4290838464 4290838464 4286611584 4290838464 4290838464 4286611584 341993320 2019846506 3814221671 4286611584 4286611584 4286611584 4286611584 4286611584 4288716960 4283979864 2202489941 3936465073 4291551200 4291019715 4285497987 4288853430 4289716448 4292664540 4286611584 4283979864 4063841614 4290838464 4290838464 4292664540 4286611584 4290838464 4290838464 4294967295 4286611584 4283979864 4281486156 4290838464 4294967295 4294967295 4286611584 4290838464 4294967295 4294967295 4286611584 4283979864 4281486156 4290838464 4294967295 4294967295 4286611584 4290838464 4294967295 4294967295 4286611584 4281348144 4281486156 4290838464 4294967295 4294967295 4286611584 4290838464 4294967295 4294967295 4286611584 2804628798 4280958783 4290838464 4294967295 4294967295 4286611584 4290838464 4294967295 4294967295 2620143930 557595709 4278980882 4279511338 4281348144 4281348144 4278193936 4281348144 4281348144 2785946411 558323801 42304902)
	offset: 0@0)! !

!TamIcons class methodsFor: 'accessing forms from /10x10/mimetypes' stamp: 'apl 9/20/2007 13:31'!
form10x10MimetypesPackageYellow
	^ (Form
	extent: 10@10
	depth: 32
	fromArray: #( 16777215 16777215 341399897 2202422862 4063247934 4280759348 4279705119 4280693555 4280956984 4279112467 16777215 269027594 2015963433 3932450671 4294967040 4294967040 4286611456 4290822144 4290822144 4280565054 341993320 2019846506 4294967040 4294967040 4286611456 4286611456 4290822144 4290822144 4290822144 4278924341 2202489941 4290822144 4286611456 4286611456 4286611456 4288853430 4289716448 4290822144 4290822144 4278264612 4063841614 4294967040 4294967040 4294967040 4286611456 4294967040 4294967040 4290822144 4290822144 4278198562 4281486156 4294967040 4294967040 4294967040 4286611456 4294967040 4294967040 4290822144 4290822144 4278198562 4281486156 4294967040 4294967040 4294967040 4286611456 4294967040 4294967040 4290822144 4278271807 4279118893 4281486156 4294967040 4294967040 4294967040 4286611456 4294967040 4294967040 4290822144 4094569774 2804628798 4280958783 4294967040 4294967040 4294967040 4286611456 4294967040 4294967040 4290822144 2620143930 557595709 4278980882 4279511338 4278329377 4278195735 4278193936 4278198048 4278198048 2785946411 558323801 42304902)
	offset: 0@0)! !

!TamIcons class methodsFor: 'accessing forms from /10x10/mimetypes' stamp: 'apl 9/20/2007 13:31'!
form10x10MimetypesPhobos
	^ (Form
	extent: 10@10
	depth: 32
	fromArray: #( 4278190080 4278190080 4278190080 4290773184 4290773184 4283979864 4281348144 4278190080 4278190080 4278190080 4278190080 4283979864 4290773184 4290773184 4290773184 4290773184 4286611584 4283979864 4283979864 4278190080 4278190080 4288447972 4288447972 4291147758 4291147758 4288447972 4290773184 4286611584 4283979864 4278190080 4290773184 4288447972 4291147758 4291147758 4291147758 4291147758 4288447972 4290773184 4286611584 4278190080 4290773184 4288447972 4291147758 4293189108 4293189108 4291147758 4291147758 4288447972 4290773184 4290773184 4290773184 4288447972 4291147758 4293189108 4293189108 4291147758 4288447972 4288447972 4288447972 4288447972 4278190080 4288447972 4288447972 4291147758 4291147758 4288447972 4288447972 4288447972 4290773184 4283979864 4278190080 4290773184 4288447972 4288447972 4288447972 4288447972 4290773184 4290773184 4283979864 4278190080 4278190080 4283979864 4290773184 4290773184 4290773184 4290773184 4290773184 4283979864 4283979864 4278190080 4278190080 4278190080 4281348144 4281348144 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080)
	offset: 0@0)! !

!TamIcons class methodsFor: 'accessing forms from /10x10/mimetypes' stamp: 'apl 9/20/2007 13:31'!
form10x10MimetypesPinkSphere
	^ (Form
	extent: 10@10
	depth: 32
	fromArray: #( 0 0 4290773184 4290773184 4290773184 4290773184 4290773184 4290773184 0 0 0 0 4290773184 4294902015 4294902015 4294902015 4290773184 4290773184 4290773184 0 0 4294902015 4294902015 4294951167 4294951167 4294951167 4294902015 4290773184 4290773184 4286578816 4294902015 4294902015 4294951167 4294967295 4294967295 4294951167 4294951167 4290773184 4290773184 4286578816 4294902015 4294902015 4294951167 4294967295 4294967295 4294951167 4294951167 4290773184 4290773184 4286578816 4294902015 4294902015 4294951167 4294951167 4294951167 4294951167 4294951167 4290773184 4286578816 4278190080 4294902015 4294902015 4294902015 4294951167 4294951167 4290773184 4290773184 4290773184 4286578816 4278190080 0 4290773184 4290773184 4290773184 4290773184 4290773184 4290773184 4286578816 4278190080 4278190080 0 4290773184 4290773184 4290773184 4290773184 4286578816 4286578816 4286578816 4278190080 0 0 0 4290773184 4290773184 4286578816 4286578816 4278190080 4278190080 0 0)
	offset: 0@0)! !

!TamIcons class methodsFor: 'accessing forms from /10x10/mimetypes' stamp: 'apl 3/20/2007 11:51'!
form10x10MimetypesPrm
	^ (Form
	extent: 10@10
	depth: 32
	fromArray: #( 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4288716960 4288716960 4288716960 4288716960 0 0 0 0 0 0 4288716960 4288716960 4288716960 4288716960 0 0 0 0 0 0 4288716960 4288716960 4288716960 4288716960 0 0 0 0 0 0 4288716960 4288716960 4288716960 4288716960 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0)
	offset: 0@0)! !

!TamIcons class methodsFor: 'accessing forms from /10x10/mimetypes' stamp: 'apl 3/20/2007 11:51'!
form10x10MimetypesProperties
	^ (Form
	extent: 10@10
	depth: 32
	fromArray: #( 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278190080 4278190080 4278190080 0 0 0 0 0 0 4278190080 4294967040 4294967040 4294967040 4278190080 0 0 0 0 0 4278190080 4294967040 4294967040 4294967040 4278190080 0 0 0 0 0 4278190080 4294967040 4294967040 4294967040 4278190080 0 0 0 0 0 0 4278190080 4278190080 4278190080 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0)
	offset: 0@0)! !

!TamIcons class methodsFor: 'accessing forms from /10x10/mimetypes' stamp: 'apl 9/20/2007 13:31'!
form10x10MimetypesQuestion
	^ (Form
	extent: 10@10
	depth: 32
	fromArray: #( 0 0 0 0 0 0 0 0 0 0 0 0 0 4278190208 4278190208 4278190208 0 0 0 0 0 0 4278190208 0 0 2952790126 4278190080 0 0 0 0 0 4278190208 0 0 1577124217 4278190080 0 0 0 0 0 0 0 1493303914 4278190208 0 0 0 0 0 0 0 0 4278190208 0 0 0 0 0 0 0 0 0 4278190208 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 3607101518 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0)
	offset: 0@0)! !

!TamIcons class methodsFor: 'accessing forms from /10x10/mimetypes' stamp: 'apl 9/20/2007 13:31'!
form10x10MimetypesRdbsColumn
	^ (Form
	extent: 10@10
	depth: 32
	fromArray: #( 0 0 0 4283979864 4283979864 4283979864 4283979864 0 0 0 0 0 0 4283979864 4292664540 4292664540 4283979864 0 0 0 0 0 0 4283979864 4292664540 4292664540 4283979864 0 0 0 0 0 0 4283979864 4283979864 4283979864 4283979864 0 0 0 0 0 0 4283979864 4292664540 4292664540 4283979864 0 0 0 0 0 0 4283979864 4292664540 4292664540 4283979864 0 0 0 0 0 0 4283979864 4292664540 4292664540 4283979864 0 0 0 0 0 0 4283979864 4292664540 4292664540 4283979864 0 0 0 0 0 0 4283979864 4292664540 4292664540 4283979864 0 0 0 0 0 0 4283979864 4283979864 4283979864 4283979864 0 0 0)
	offset: 0@0)! !

!TamIcons class methodsFor: 'accessing forms from /10x10/mimetypes' stamp: 'apl 9/20/2007 13:31'!
form10x10MimetypesRdbsTable
	^ (Form
	extent: 10@10
	depth: 32
	fromArray: #( 4283979864 4283979864 4283979864 4283979864 4283979864 4283979864 4283979864 4283979864 4283979864 4283979864 4283979864 4294967295 4294967295 4283979864 4292664540 4292664540 4283979864 4294967295 4294967295 4283979864 4283979864 4294967295 4294967295 4283979864 4292664540 4292664540 4283979864 4294967295 4294967295 4283979864 4283979864 4283979864 4283979864 4283979864 4283979864 4283979864 4283979864 4283979864 4283979864 4283979864 4283979864 4294967295 4294967295 4283979864 4292664540 4292664540 4283979864 4294967295 4294967295 4283979864 4283979864 4294967295 4294967295 4283979864 4292664540 4292664540 4283979864 4294967295 4294967295 4283979864 4283979864 4294967295 4294967295 4283979864 4292664540 4292664540 4283979864 4294967295 4294967295 4283979864 4283979864 4294967295 4294967295 4283979864 4292664540 4292664540 4283979864 4294967295 4294967295 4283979864 4283979864 4294967295 4294967295 4283979864 4292664540 4292664540 4283979864 4294967295 4294967295 4283979864 4283979864 4283979864 4283979864 4283979864 4283979864 4283979864 4283979864 4283979864 4283979864 4283979864)
	offset: 0@0)! !

!TamIcons class methodsFor: 'accessing forms from /10x10/mimetypes' stamp: 'apl 9/20/2007 13:31'!
form10x10MimetypesRedQuestion
	^ (Form
	extent: 10@10
	depth: 32
	fromArray: #( 0 0 0 0 0 0 0 0 0 0 0 0 0 4294901760 4294901760 4294901760 0 0 0 0 0 0 4294901760 0 0 4294901760 4290772992 0 0 0 0 0 4294901760 0 0 4294901760 4290772992 0 0 0 0 0 0 0 4294901760 4294901760 0 0 0 0 0 0 0 0 4294901760 4290772992 0 0 0 0 0 0 0 0 4294901760 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294901760 4290772992 0 0 0 0 0 0 0 0 0 0 0 0 0 0)
	offset: 0@0)! !

!TamIcons class methodsFor: 'accessing forms from /10x10/mimetypes' stamp: 'apl 9/20/2007 13:31'!
form10x10MimetypesRootTaxon
	^ (Form
	extent: 10@10
	depth: 32
	fromArray: #( 4294951167 4294951167 4294951167 4294951167 4294951167 4294951167 4294951167 4294951167 4294951167 4294951167 4294951167 4278223103 4278223103 4278223103 4294951167 4294951167 4294951167 4294951167 4294951167 4294951167 4294951167 4278223103 4278223103 4278223103 4294951167 4294951167 4294951167 4294951167 4294951167 4294951167 4294951167 4294951167 4294951167 4294951167 4294951167 4294951167 4278223103 4278223103 4278223103 4294951167 4294951167 4294951167 4294951167 4294951167 4294951167 4294951167 4278223103 4278223103 4278223103 4294951167 4294951167 4294951167 4294951167 4294951167 4294951167 4294951167 4294951167 4294951167 4294951167 4294951167 4294951167 4294951167 4294951167 4294951167 4294951167 4294951167 4294951167 4294951167 4294951167 4294951167 4294951167 4294951167 4294951167 4294951167 4294951167 4294951167 4278223103 4278223103 4278223103 4294951167 4294951167 4294951167 4294951167 4294951167 4294951167 4294951167 4278223103 4278223103 4278223103 4294951167 4294951167 4294951167 4294951167 4294951167 4294951167 4294951167 4294951167 4294951167 4294951167 4294951167)
	offset: 0@0)! !

!TamIcons class methodsFor: 'accessing forms from /10x10/mimetypes' stamp: 'apl 9/20/2007 13:31'!
form10x10MimetypesSchema
	^ (Form
	extent: 10@10
	depth: 32
	fromArray: #( 4290838527 4290838527 4290838527 4290838527 4290838527 4290838527 4290838527 4290838527 4290838527 4290838527 4290838527 4290838527 4290838527 4290838527 4290838527 4290838527 4290838527 4290838527 4290838527 4290838527 4278222976 4278222976 4278222976 4290838527 4278222976 4278222976 4290838527 4278222976 4290838527 4278222976 4278222976 4290838527 4290838527 4290838527 4278222976 4290838527 4290838527 4278222976 4290838527 4278222976 4278222976 4278222976 4278222976 4290838527 4278222976 4290838527 4290838527 4278222976 4278222976 4278222976 4290838527 4290838527 4278222976 4290838527 4278222976 4290838527 4290838527 4278222976 4278222976 4278222976 4278222976 4290838527 4278222976 4290838527 4278222976 4290838527 4290838527 4278222976 4290838527 4278222976 4278222976 4278222976 4278222976 4290838527 4278222976 4278222976 4290838527 4278222976 4290838527 4278222976 4290838527 4290838527 4290838527 4290838527 4290838527 4290838527 4290838527 4290838527 4290838527 4290838527 4290838527 4290838527 4290838527 4290838527 4290838527 4290838527 4290838527 4290838527 4290838527 4290838527)
	offset: 0@0)! !

!TamIcons class methodsFor: 'accessing forms from /10x10/mimetypes' stamp: 'apl 9/20/2007 13:31'!
form10x10MimetypesSender
	^ (Form
	extent: 10@10
	depth: 32
	fromArray: #( 0 0 0 0 4283979864 4283979864 0 0 0 0 0 0 0 4283979864 4283979864 4283979864 4283979864 0 0 0 0 4294951104 4283979864 4283979864 0 4294951104 4283979864 4283979864 0 0 0 0 4283979864 4283979864 4294951104 0 4294951104 4294951104 4294951104 0 0 0 4283979864 4283979864 4294951104 4294951104 0 4294951104 4294951104 4294951104 0 0 0 4283979864 4283979864 4283979864 4283979864 4294951104 4294951104 0 0 0 4294951104 4294951104 0 0 4283979864 4283979864 0 0 0 4283979864 4294951104 0 0 4294951104 4283979864 4283979864 0 0 0 4283979864 4283979864 4283979864 4283979864 4283979864 4283979864 0 0 0 0 0 0 4283979864 4283979864 4283979864 0 0 0 0)
	offset: 0@0)! !

!TamIcons class methodsFor: 'accessing forms from /10x10/mimetypes' stamp: 'apl 9/20/2007 13:31'!
form10x10MimetypesStepComputedValue
	^ (Form
	extent: 10@10
	depth: 32
	fromArray: #( 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294625541 4294625541 4294625541 4294625541 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294625541 4294625541 4294625541 4294625541 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294625541 4294625541 4294625541 4294625541 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294625541 4294625541 4294625541 4294625541 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295)
	offset: 0@0)! !

!TamIcons class methodsFor: 'accessing forms from /10x10/mimetypes' stamp: 'apl 9/20/2007 13:31'!
form10x10MimetypesStepValue
	^ (Form
	extent: 10@10
	depth: 32
	fromArray: #( 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4291371119 4291371119 4291371119 4291371119 0 0 0 0 0 0 4291371119 4291371119 4291371119 4291371119 0 0 0 0 0 0 4291371119 4291371119 4291371119 4291371119 0 0 0 0 0 0 4291371119 4291371119 4291371119 4291371119 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0)
	offset: 0@0)! !

!TamIcons class methodsFor: 'accessing forms from /10x10/mimetypes' stamp: 'apl 9/20/2007 13:31'!
form10x10MimetypesSuperClass
	^ (Form
	extent: 10@10
	depth: 32
	fromArray: #( 0 0 0 4290838527 4278239232 4278239232 4290838527 0 0 0 0 4290838527 4278239232 4278239232 4278239232 4278239232 4278239232 4278239232 4290838527 0 0 4278239232 4278239232 4278239232 4278239232 4278239232 4278239232 4278239232 4278239232 0 4290838527 4278239232 4278239232 4278239232 4294967295 4294967295 4294967295 4278239232 4278239232 4290838527 4278239232 4278239232 4278239232 4294967295 4278239232 4278239232 4278239232 4278239232 4278239232 4278239232 4278239232 4278239232 4278239232 4294967295 4278239232 4278239232 4278239232 4278239232 4278239232 4278239232 4290838527 4278239232 4278239232 4278239232 4294967295 4294967295 4294967295 4278239232 4278239232 4290838527 0 4278239232 4278239232 4278239232 4278239232 4278239232 4278239232 4278239232 4278239232 0 0 4290838527 4278239232 4278239232 4278239232 4278239232 4278239232 4278239232 4290838527 0 0 0 0 4290838527 4278239232 4278239232 4290838527 0 0 0)
	offset: 0@0)! !

!TamIcons class methodsFor: 'accessing forms from /10x10/mimetypes' stamp: 'apl 9/20/2007 13:31'!
form10x10MimetypesSuperClassWithSelectors
	^ (Form
	extent: 10@10
	depth: 32
	fromArray: #( 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278239232 4278239232 4278239232 4278239232 4278239232 4278239232 4278190080 4278190080 4278190080 4278239232 4278239232 4278239232 4278239232 4278239232 4278239232 4278239232 4278239232 4278190080 4278190080 4278239232 4278239232 4278239232 4294967295 4294967295 4294967295 4278239232 4278239232 4278190080 4278190080 4278239232 4278239232 4294967295 4278239232 4278239232 4278239232 4278239232 4278239232 4278190080 4278190080 4278239232 4278239232 4294967295 4278239232 4278239232 4278239232 4278239232 4278239232 4278190080 4278190080 4278239232 4278239232 4278239232 4294967295 4294967295 4294967295 4278239232 4278239232 4278190080 4278190080 4278239232 4278239232 4278239232 4278239232 4278239232 4278239232 4278239232 4278239232 4278190080 4278190080 4278190080 4278239232 4278239232 4278239232 4278239232 4278239232 4278239232 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080)
	offset: 0@0)! !

!TamIcons class methodsFor: 'accessing forms from /10x10/mimetypes' stamp: 'apl 9/20/2007 13:31'!
form10x10MimetypesSystemCategory
	^ (Form
	extent: 10@10
	depth: 32
	fromArray: #( 4285222992 4287446590 4287577405 4287577405 4287577405 4287577405 4287447618 4286476920 4286152583 4284770153 4287184960 4293332237 4293724682 4293724682 4293724682 4293724682 4293400345 4290682800 4290037719 4286283907 4285357914 4287653720 4287323985 4286993997 4287785048 4287916380 4287522649 4286150517 4285763192 4284246877 4285957233 4289058456 4287543943 4286421366 4289256601 4290242738 4288728209 4286090098 4284594780 4282415424 4284573536 4285563500 4285102442 4284837731 4285695084 4286090103 4285497194 4284770914 4284185178 4283458896 4286547079 4291418593 4291813351 4291747559 4291747559 4291747559 4291747559 4290631657 4285449130 4283793493 4286547079 4291418593 4291813607 4291879399 4291945191 4291879143 4291747559 4291484903 4290893535 4286612612 4286612615 4291484130 4291682023 4291747559 4291813351 4292076775 4291747559 4291288040 4290039781 4286218632 4286481285 4289186275 4288924649 4291155937 4291418593 4291615969 4291615203 4290564838 4288004068 4285758854 4284704616 4284643721 4284578189 4286350215 4286547079 4286547079 4286678153 4286612616 4286546564 4284966759)
	offset: 0@0)! !

!TamIcons class methodsFor: 'accessing forms from /10x10/mimetypes' stamp: 'apl 9/20/2007 13:31'!
form10x10MimetypesTaxon
	^ (Form
	extent: 10@10
	depth: 32
	fromArray: #( 4291019715 4291019715 4291019715 4291019715 4291019715 4291019715 4291019715 4291019715 4291019715 4291019715 4291019715 4278223103 4278223103 4278223103 4291019715 4291019715 4291019715 4291019715 4291019715 4291019715 4291019715 4278223103 4278223103 4278223103 4291019715 4291019715 4291019715 4291019715 4291019715 4291019715 4291019715 4291019715 4291019715 4291019715 4291019715 4291019715 4278223103 4278223103 4278223103 4291019715 4291019715 4291019715 4291019715 4291019715 4291019715 4291019715 4278223103 4278223103 4278223103 4291019715 4291019715 4291019715 4291019715 4291019715 4291019715 4291019715 4291019715 4291019715 4291019715 4291019715 4291019715 4291019715 4291019715 4291019715 4291019715 4291019715 4291019715 4291019715 4291019715 4291019715 4291019715 4291019715 4291019715 4291019715 4291019715 4291019715 4278223103 4278223103 4278223103 4291019715 4291019715 4291019715 4291019715 4291019715 4291019715 4291019715 4278223103 4278223103 4278223103 4291019715 4291019715 4291019715 4291019715 4291019715 4291019715 4291019715 4291019715 4291019715 4291019715 4291019715)
	offset: 0@0)! !

!TamIcons class methodsFor: 'accessing forms from /10x10/mimetypes' stamp: 'apl 3/20/2007 11:51'!
form10x10MimetypesTriangle
	^ (Form
	extent: 10@10
	depth: 32
	fromArray: #( 0 0 0 0 0 0 0 4294902015 0 0 0 0 0 0 0 0 4294902015 4294902015 0 0 0 0 0 0 0 4294902015 0 4294902015 0 0 0 0 0 0 4294902015 0 0 4294902015 0 0 0 0 0 4294902015 0 0 0 4294902015 0 0 0 0 4294902015 0 0 0 0 4294902015 0 0 0 4294902015 4294902015 4294902015 4294902015 4294902015 4294902015 4294902015 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0)
	offset: 0@0)! !

!TamIcons class methodsFor: 'accessing forms from /10x10/mimetypes' stamp: 'apl 9/20/2007 13:31'!
form10x10MimetypesUnresolvedEntityInstance
	^ (Form
	extent: 7@10
	depth: 32
	fromArray: #( 0 0 4294901760 0 0 4294901760 0 0 0 4294901760 0 0 4294901760 0 4294901760 4294901760 4294901760 4294901760 4294901760 4294901760 4294901760 4294901760 4294901760 4294901760 4294901760 4294901760 4294901760 4294901760 0 4294901760 0 0 4294901760 0 0 0 4294901760 0 0 4294901760 0 0 4294901760 4294901760 4294901760 4294901760 4294901760 4294901760 0 4294901760 4294901760 0 4294901760 0 0 0 4294901760 0 0 4294901760 0 0 0 4294901760 0 0 4294901760 0 0 0)
	offset: 0@0)! !

!TamIcons class methodsFor: 'accessing forms from /10x10/mimetypes' stamp: 'apl 9/20/2007 13:31'!
form10x10MimetypesWhereRule
	^ (Form
	extent: 10@10
	depth: 32
	fromArray: #( 0 0 0 0 0 0 0 0 0 0 0 0 4290773184 4290773184 4290773184 4290773184 4290773184 4290773184 0 0 0 0 4290773184 4290773184 4290773184 4290773184 4290773184 4290773184 0 0 0 0 4290773184 4290773184 0 0 0 4290773184 0 0 0 0 4290773184 4294902015 0 0 0 0 0 0 0 0 4290773184 4294902015 0 0 0 0 0 0 0 0 4290773184 4294902015 0 0 0 0 0 0 0 0 4290773184 4294902015 0 0 0 0 0 0 0 0 4290773184 4294902015 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0)
	offset: 0@0)! !

!TamIcons class methodsFor: 'accessing forms from /10x10/mimetypes' stamp: 'apl 9/20/2007 13:31'!
form10x10MimetypesYellowSphere
	^ (Form
	extent: 10@10
	depth: 32
	fromArray: #( 0 0 4294950439 4294950439 4294950439 4294950439 4294950439 4294950439 0 0 0 0 4294950439 4294962958 4294962958 4294962958 4294950439 4294950439 4294950439 0 0 4294962958 4294962958 4294967232 4294967232 4294967232 4294962958 4294950439 4294950439 4294940463 4294962958 4294962958 4294967232 4294967295 4294967295 4294967232 4294967232 4294950439 4294950439 4294940463 4294962958 4294962958 4294967232 4294967295 4294967295 4294967232 4294967232 4294950439 4294950439 4294940463 4294962958 4294962958 4294967232 4294967232 4294967232 4294967232 4294967232 4294950439 4294940463 4294940463 4294962958 4294962958 4294962958 4294967232 4294967232 4294950439 4294950439 4294950439 4294940463 4293166890 0 4294950439 4294950439 4294950439 4294950439 4294950439 4294950439 4294940463 4293166890 4293166890 0 4294950439 4294950439 4294950439 4294950439 4294940463 4294940463 4293166890 4293166890 0 0 0 4294950439 4294950439 4294940463 4294940463 4293166890 4293166890 0 0)
	offset: 0@0)! !

!TamIcons class methodsFor: 'accessing forms from /16x16/actions' stamp: 'apl 3/20/2007 11:51'!
form16x16ActionsAxes
	^ (Form
	extent: 16@16
	depth: 32
	fromArray: #( 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278190080 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278190080 4283979864 4278190080 0 0 0 0 0 4278190080 4278190080 4278190080 4278190080 0 0 0 4278190080 0 4283979864 0 4278190080 0 0 0 0 0 0 4281348144 4278190080 0 0 0 0 0 4283979864 0 0 0 0 0 0 0 4281348144 0 4278190080 0 0 0 0 0 4283979864 0 0 0 0 0 0 4281348144 0 0 4278190080 0 0 0 0 0 4283979864 0 0 0 0 0 4281348144 0 0 0 0 0 0 0 0 0 4283979864 0 0 0 0 4281348144 0 0 0 0 0 0 0 0 0 0 4283979864 0 0 0 4281348144 0 0 0 0 0 0 0 0 0 0 0 4283979864 0 0 4281348144 0 0 0 0 0 0 0 0 0 0 0 0 4283979864 0 4281348144 0 0 0 0 0 0 0 4278190080 0 0 0 0 0 4283979864 4286611584 0 0 0 0 0 0 0 0 0 4278190080 0 0 0 0 4283979864 4283979864 4283979864 4283979864 4283979864 4283979864 4283979864 4283979864 4283979864 4283979864 4283979864 4283979864 4278190080 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278190080 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278190080 0 0 0)
	offset: 0@0)! !

!TamIcons class methodsFor: 'accessing forms from /16x16/actions' stamp: 'apl 9/20/2007 13:31'!
form16x16ActionsBlueOk
	^ (Form
	extent: 16@14
	depth: 32
	fromArray: #( 1090519039 1090519039 1090519039 1090519039 1090519039 1090519039 1090519039 1090519039 1090519039 1090519039 1090519039 1090519039 1090519039 1090519039 1090519039 4290838527 1090519039 1090519039 1090519039 1090519039 1090519039 1090519039 1090519039 1090519039 1090519039 1090519039 1090519039 1090519039 1090519039 1090519039 4290838527 4278223103 1090519039 1090519039 1090519039 1090519039 1090519039 1090519039 1090519039 1090519039 1090519039 1090519039 1090519039 1090519039 1090519039 4290838527 4278223103 4278223103 1090519039 1090519039 1090519039 1090519039 1090519039 1090519039 1090519039 1090519039 1090519039 1090519039 1090519039 1090519039 4290838527 4278223103 4278223103 4278222976 1090519039 0 0 1090519039 1090519039 1090519039 1090519039 1090519039 1090519039 1090519039 1090519039 4290838527 4278223103 4278223103 4278222976 4278190080 0 4278223103 4278223103 4278239424 1090519039 1090519039 1090519039 1090519039 1090519039 1090519039 4290838527 4278223103 4278223103 4278222976 4278190080 1090519039 0 4278223103 4278223103 4278223103 4278239424 1090519039 1090519039 1090519039 1090519039 4290838527 4278223103 4278223103 4278222976 4278190080 1090519039 1090519039 0 4278222976 4278223103 4278223103 4278223103 4278239424 1090519039 1090519039 4290838527 4278223103 4278223103 4278222976 4278190080 1090519039 1090519039 1090519039 1090519039 4278190080 4278222976 4278223103 4278223103 4278223103 4278239424 4290838527 4278223103 4278223103 4278222976 4278190080 1090519039 1090519039 1090519039 1090519039 1090519039 1090519039 4278190080 4278222976 4278223103 4278223103 4278223103 4278223103 4278223103 4278222976 4278190080 1090519039 1090519039 1090519039 1090519039 1090519039 1090519039 1090519039 1090519039 4278190080 4278222976 4278223103 4278223103 4278223103 4278222976 4278190080 1090519039 1090519039 1090519039 1090519039 1090519039 1090519039 1090519039 1090519039 1090519039 1090519039 4278190080 4278222976 4278223103 4278222976 4278190080 1090519039 1090519039 1090519039 1090519039 1090519039 1090519039 1090519039 1090519039 1090519039 1090519039 1090519039 1090519039 4278190080 4278190080 4278190080 1090519039 1090519039 1090519039 1090519039 1090519039 1090519039 1090519039 1090519039 1090519039 1090519039 1090519039 1090519039 1090519039 1090519039 1090519039 1090519039 1090519039 1090519039 1090519039 1090519039 1090519039 1090519039 1090519039 1090519039)
	offset: 0@0)! !

!TamIcons class methodsFor: 'accessing forms from /16x16/actions' stamp: 'apl 9/20/2007 13:31'!
form16x16ActionsBlueOkAll
	^ (Form
	extent: 16@14
	depth: 32
	fromArray: #( 1090519039 1090519039 1090519039 1090519039 1090519039 1090519039 1090519039 1090519039 1090519039 1090519039 1090519039 1090519039 1090519039 1090519039 1090519039 4290838527 1090519039 4278190080 4278190080 4278190080 4278190080 4278190080 1090519039 4278190080 1090519039 1090519039 1090519039 1090519039 4278190080 1090519039 4290838527 4278223103 1090519039 4278190080 1090519039 1090519039 1090519039 4278190080 1090519039 4278190080 1090519039 1090519039 1090519039 1090519039 4278190080 4290838527 4278223103 4278223103 1090519039 4278190080 1090519039 1090519039 1090519039 4278190080 1090519039 4278190080 1090519039 1090519039 1090519039 1090519039 4278190080 4278223103 4278223103 4278222976 1090519039 4278190080 4278190080 4278190080 4278190080 4278190080 1090519039 4278190080 1090519039 1090519039 1090519039 4290838527 4278190080 4278223103 4278222976 4278239424 0 4278190080 4278223103 4278239424 1090519039 4278190080 1090519039 4278190080 1090519039 1090519039 4290838527 4278223103 4278190080 4278222976 4278239424 1090519039 0 4278190080 4278223103 4278223103 4278239424 4278190080 1090519039 4278190080 4278190080 4278190080 4278190080 4278223103 4278190080 4278190080 4278190080 4278190080 0 4278222976 4278223103 4278223103 4278223103 4278239424 1090519039 1090519039 4290838527 4278223103 4278223103 4278222976 4278239424 1090519039 1090519039 1090519039 1090519039 4278190080 4278222976 4278223103 4278223103 4278223103 4278239424 4290838527 4278223103 4278223103 4278222976 4278190080 1090519039 1090519039 1090519039 1090519039 1090519039 1090519039 4278190080 4278222976 4278223103 4278223103 4278223103 4278223103 4278223103 4278222976 4278190080 1090519039 1090519039 1090519039 1090519039 1090519039 1090519039 1090519039 1090519039 4278190080 4278222976 4278223103 4278223103 4278223103 4278222976 4278190080 1090519039 1090519039 1090519039 1090519039 1090519039 1090519039 1090519039 1090519039 1090519039 1090519039 4278190080 4278222976 4278223103 4278222976 4278190080 1090519039 1090519039 1090519039 1090519039 1090519039 1090519039 1090519039 1090519039 1090519039 1090519039 1090519039 1090519039 4278190080 4278190080 4278190080 1090519039 1090519039 1090519039 1090519039 1090519039 1090519039 1090519039 1090519039 1090519039 1090519039 1090519039 1090519039 1090519039 1090519039 1090519039 1090519039 1090519039 1090519039 1090519039 1090519039 1090519039 1090519039 1090519039 1090519039)
	offset: 0@0)! !

!TamIcons class methodsFor: 'accessing forms from /16x16/actions' stamp: 'apl 9/20/2007 13:31'!
form16x16ActionsBookmark
	^ (Form
	extent: 16@16
	depth: 32
	fromArray: #( 0 0 0 0 0 0 0 0 0 0 4278239232 0 4278255360 0 0 0 4288716960 4288716960 4288716960 0 0 0 0 0 0 0 4278239232 4278239232 4278255360 4292664540 4288716960 4288716960 4288716960 4291019715 4291019715 4288716960 4288716960 0 0 0 0 0 4278239232 4278255360 4278255360 4292664540 4291019715 4288716960 4288716960 4291019715 4291019715 4291019715 4291019715 4288716960 4288716960 0 0 4292664540 4278239232 4278255360 4278255360 4294967295 4291019715 4288716960 4288716960 4291019715 4292664540 4292664540 4291019715 4291019715 4291019715 4283979864 4283979864 4292664540 4278239232 4278255360 4278255360 4294967295 4291019715 4288716960 4288716960 4291019715 4294967295 4292664540 4292664540 4292664540 4291019715 4288716960 4288716960 4294967295 4278239232 4278255360 4278255360 4294967295 4291019715 4288716960 4288716960 4291019715 4294967295 4294967295 4294967295 4294967295 4292664540 4283979864 4283979864 4294967295 4278239232 4278255360 4278255360 4294967295 4291019715 4288716960 4288716960 4291019715 4294967295 4294967295 4294967295 4294967295 4292664540 4288716960 4288716960 4294967295 4278239232 4278255360 4278255360 4294967295 4291019715 4288716960 4288716960 4291019715 4294967295 4294967295 4294967295 4294967295 4294967295 4283979864 4283979864 4294967295 4278239232 4278255360 4278255360 4294967295 4291019715 4288716960 4288716960 4291019715 4294967295 4294967295 4294967295 4294967295 4294967295 4288716960 4288716960 4294967295 4278239232 4278239232 4278255360 4294967295 4292664540 4288716960 4288716960 4291019715 4292664540 4294967295 4294967295 4294967295 4294967295 4283979864 4283979864 4294967295 4294967295 4278239232 4294967295 4294967295 4292664540 4288716960 4283979864 4283979864 4292664540 4292664540 4294967295 4294967295 4294967295 4288716960 4288716960 4294967295 4294967295 4294967295 4294967295 4292664540 4283979864 4283979864 0 4283979864 4283979864 4283979864 4292664540 4292664540 4292664540 4283979864 4283979864 4294967295 4294967295 4294967295 4283979864 4283979864 4283979864 0 0 0 0 4283979864 4283979864 4283979864 4292664540 4288716960 4288716960 4292664540 4283979864 4283979864 4283979864 0 0 0 0 0 0 0 0 4283979864 4283979864 4283979864 4283979864 4283979864 4283979864 0 0 0 0 0 0 0 0 0 0 0 4283979864 4283979864 4283979864 4283979864 0 0 0 0 0 0)
	offset: 0@0)! !

!TamIcons class methodsFor: 'accessing forms from /16x16/actions' stamp: 'apl 9/20/2007 13:31'!
form16x16ActionsCollapse
	^ (Form
	extent: 16@16
	depth: 32
	fromArray: #( 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4281675567 4285727752 4285989896 4285989896 4284613896 4281796104 4281019179 0 0 0 0 0 0 0 0 0 4283901994 4293853192 4293853192 4293853192 4292083976 4281407513 0 0 0 0 0 0 0 0 0 0 4284098602 4293853192 4293853192 4292870152 4282060561 0 0 0 0 0 0 0 0 0 0 0 4284098602 4293853192 4291887368 4281206280 4279308561 4290032820 0 0 0 0 0 0 0 0 0 0 4284098602 4292411656 4282523681 4284177243 4278716424 4279440147 4290559164 0 0 0 0 0 0 0 0 0 4281608490 4282060561 0 15132646 4285032552 4278716424 4279308561 4290888129 0 0 0 0 0 0 0 0 4283519313 0 15132646 15132646 15132646 4285164911 4278716424 4279374354 4290295992 0 0 0 0 0 0 0 0 0 0 0 0 0 4284900966 4278716424 4278979596 4287730065 0 0 0 0 0 0 0 0 0 0 0 0 0 4283256398 4278716424 4285558896 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0)
	offset: 0@0)! !

!TamIcons class methodsFor: 'accessing forms from /16x16/actions' stamp: 'apl 9/20/2007 13:31'!
form16x16ActionsCollapseAll
	^ (Form
	extent: 16@16
	depth: 32
	fromArray: #( 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 0 0 0 0 0 0 0 0 0 0 4282206548 4289136390 4289661959 4289530374 4285269000 4283062888 0 0 0 0 0 0 0 0 4278190080 4278190080 4278190080 4293197832 4293853192 4286776328 4285103504 0 0 0 0 0 0 0 0 0 4278190080 4293328904 4285731332 4293591048 4285662216 4278716424 4281679945 0 0 0 0 0 0 0 0 0 4278190080 4293853192 4286520068 4283172104 4283589747 0 4278716424 4281350722 0 0 0 0 0 0 0 4278190080 4281276934 4285340419 4283174914 4278650631 4282338648 0 0 4282400768 4280824119 0 0 0 0 0 0 4278190080 4293853192 4293853192 4292083976 4279702807 4278716424 4281219135 0 0 4282400768 4280560433 0 0 0 0 0 4278190080 4293853192 4292542728 4281472023 0 0 4278716424 4281284672 0 0 4282400768 4278190080 0 0 0 0 4278190080 4293197832 4283636512 4278716424 4280955448 0 0 4278716424 4279967779 0 0 0 0 0 0 0 4278190080 4282659643 0 0 4278716424 4280757812 0 0 4278716424 4278190080 0 0 0 0 0 0 4278190080 0 0 0 0 4278716424 4280692019 0 0 4278190080 0 0 0 0 0 0 0 0 0 0 0 0 4278914060 4278190080 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278190080 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0)
	offset: 0@0)! !

!TamIcons class methodsFor: 'accessing forms from /16x16/actions' stamp: 'apl 3/20/2007 11:51'!
form16x16ActionsCrossingOff
	^ (Form
	extent: 16@16
	depth: 32
	fromArray: #( 0 0 0 0 0 4283979864 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4283979864 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4283979864 0 0 0 0 0 0 0 0 0 0 0 0 0 4294901760 4294901760 4283979864 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294901760 4294901760 0 0 0 0 0 0 4294901760 4294901760 0 0 0 0 0 0 0 4294901760 4294901760 0 0 0 4294901760 4294901760 0 0 0 0 0 0 0 0 0 4283979864 4294901760 4294901760 4294901760 4294901760 0 0 0 0 0 0 0 0 0 0 0 4283979864 0 4294901760 4294901760 0 0 0 0 0 0 0 0 0 0 0 0 4283979864 4294901760 4294901760 0 0 0 0 0 0 0 0 0 0 0 0 0 4294901760 0 0 0 4294901760 4294901760 0 0 0 0 0 4283979864 4283979864 4283979864 4294901760 4294901760 4283979864 4283979864 4283979864 4283979864 4283979864 4294901760 4294901760 4283979864 4283979864 4283979864 4283979864 0 0 4294901760 4294901760 0 4283979864 0 0 0 0 0 4294901760 4294901760 0 0 0 0 0 4294901760 0 0 4283979864 0 0 0 0 0 0 4294901760 0 0 0 0 4294901760 0 0 0 4283979864 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4283979864 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4283979864 0 0 0 0 0 0 0 0 0 0)
	offset: 0@0)! !

!TamIcons class methodsFor: 'accessing forms from /16x16/actions' stamp: 'apl 3/20/2007 11:51'!
form16x16ActionsCrossingOn
	^ (Form
	extent: 16@16
	depth: 32
	fromArray: #( 0 0 0 0 0 4283979864 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4283979864 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4283979864 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4283979864 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4283979864 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4283979864 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4283979864 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4283979864 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4283979864 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4283979864 0 0 0 0 0 0 0 0 0 0 4283979864 4283979864 4283979864 4283979864 4283979864 4283979864 4283979864 4283979864 4283979864 4283979864 4283979864 4283979864 4283979864 4283979864 4283979864 4283979864 0 0 0 0 0 4283979864 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4283979864 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4283979864 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4283979864 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4283979864 0 0 0 0 0 0 0 0 0 0)
	offset: 0@0)! !

!TamIcons class methodsFor: 'accessing forms from /16x16/actions' stamp: 'apl 3/20/2007 11:51'!
form16x16ActionsDisplay2d
	^ (Form
	extent: 16@16
	depth: 32
	fromArray: #( 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278190080 4278190080 4278190080 0 0 0 0 0 0 0 0 4278190080 4278190080 4278190080 0 0 4278190080 4294967040 4278190080 4278190335 4278190335 4278190335 4278190335 4278190335 4278190335 4278190335 4278190335 4278190080 4294967040 4278190080 0 0 4278190080 4278190080 4278190080 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4278239232 4278190080 4278190080 0 0 0 4278190335 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4278239232 4278239232 4294967295 4278190335 0 0 0 0 4278190335 4294967295 4294967295 4294967295 4294967295 4294967295 4278239232 4278239232 4294967295 4294967295 4294967295 4278190335 0 0 0 4278190080 4278190080 4278190080 4294967295 4294967295 4278239232 4278239232 4294967295 4294967295 4294967295 4294967295 4294967295 4278190335 0 0 0 4278190080 4294967040 4278190080 4278239232 4278239232 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4278190335 0 0 0 4278190080 4278190080 4278190080 4278239232 4278239232 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4278190335 0 0 0 0 4278190335 4294967295 4294967295 4294967295 4278239232 4278239232 4294967295 4294967295 4294967295 4294967295 4294967295 4278190335 0 0 0 0 4278190335 4294967295 4294967295 4294967295 4294967295 4294967295 4278239232 4278239232 4294967295 4294967295 4294967295 4278190335 0 0 0 0 4278190335 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4278239232 4278239232 4294967295 4278190335 0 0 0 4278190080 4278190080 4278190080 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4278239232 4278190080 4278190080 0 0 4278190080 4294967040 4278190080 4278190335 4278190335 4278190335 4278190335 4278190335 4278190335 4278190335 4278190335 4278190080 4294967040 4278190080 0 0 4278190080 4278190080 4278190080 0 0 0 0 0 0 0 0 4278190080 4278190080 4278190080 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0)
	offset: 0@0)! !

!TamIcons class methodsFor: 'accessing forms from /16x16/actions' stamp: 'apl 9/20/2007 13:31'!
form16x16ActionsDown
	^ (Form
	extent: 16@16
	depth: 32
	fromArray: #( 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279374354 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279637526 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279505940 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279637526 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279571733 0 0 0 0 0 0 0 0 0 4286611456 4286611456 4286611456 4286611456 4286611456 4286611456 4286611456 4286611456 4286611456 4286611456 4286611456 4286611456 4286611456 0 0 0 0 4294440704 4294440704 4294967232 4294967232 4294967232 4294967232 4294440704 4294440704 4294901248 4294440704 4286611456 0 0 0 0 0 0 4294440704 4294967232 4294967295 4294967295 4294967232 4294967232 4294440704 4294440704 4286611456 0 0 0 0 0 0 0 0 4294440704 4294967295 4294967295 4294967232 4294967232 4294440704 4286611456 0 0 0 0 0 0 0 0 0 0 4294440704 4294967232 4294967232 4294440704 4286611456 0 0 0 0 0 0 0 0 0 0 0 0 4294440704 4294440704 4286611456 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294440704 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0)
	offset: 0@0)! !

!TamIcons class methodsFor: 'accessing forms from /16x16/actions' stamp: 'apl 9/20/2007 13:31'!
form16x16ActionsErase
	^ (Form
	extent: 16@16
	depth: 32
	fromArray: #( 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4290772992 4290772992 0 0 0 0 0 0 0 0 0 0 0 0 0 4290772992 4290772992 4290772992 4290772992 0 0 0 0 0 0 0 0 0 0 0 4290772992 4290772992 4290772992 4290772992 4290772992 4290772992 0 0 0 0 0 0 0 0 0 4290772992 4290772992 4290772992 4290772992 4290772992 4290772992 4290772992 4290772992 0 0 0 0 0 0 0 4278212800 4294967295 4290772992 4290772992 4290772992 4290772992 4290772992 4290772992 4290772992 0 0 0 0 0 0 4278212800 4278212800 4294967295 4294967295 4290772992 4290772992 4290772992 4290772992 4290772992 4290772992 0 0 0 0 0 4278212800 4278212800 4278212800 4278212800 4294967295 4294967295 4290772992 4290772992 4290772992 4290772992 0 0 0 0 0 4278212800 4278212800 4278212800 4278212800 4278212800 4278212800 4294967295 4294967295 4290772992 4290772992 0 0 0 0 0 4278212800 4278212800 4278212800 4278212800 4278212800 4278212800 4278212800 4278212800 4294967295 4278212800 0 0 0 0 0 0 0 4278212800 4278212800 4278212800 4278212800 4278212800 4278212800 4278212800 4278212800 0 0 0 0 0 0 0 0 0 4278212800 4278212800 4278212800 4278212800 4278212800 4278212800 0 0 0 0 0 0 0 0 0 0 0 4278212800 4278212800 4278212800 4278212800 0 0 0 0 0 0 0 0 0 0 0 0 0 4278212800 4278212800 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0)
	offset: 0@0)! !

!TamIcons class methodsFor: 'accessing forms from /16x16/actions' stamp: 'apl 9/20/2007 13:31'!
form16x16ActionsFileBroken
	^ (Form
	extent: 16@16
	depth: 32
	fromArray: #( 0 0 0 3097008280 4289177511 4283979864 4283979864 4283979864 4283979864 4283979864 4283979864 4283979864 4283979864 4283979864 4283979864 0 0 0 0 4283979864 4294440951 4294967295 4294967295 4294901502 4294901502 4292730333 4067652467 4283979864 4283979864 4283979864 4283979864 0 0 0 0 4283979864 4294375158 4294967295 4294967295 4294901502 4294967295 4293454056 4289967027 4283979864 4283979864 4283979864 4283979864 0 0 0 0 4283979864 4294440951 4294967295 4294967295 4294901502 4294967295 4293322470 4288716960 4283979864 4283979864 4283979864 4283979864 0 0 0 0 4283979864 4294440951 4294967295 4294967295 4294901502 4294967295 4294243572 4291348679 4289637801 4287531910 4283979864 4283979864 0 0 0 0 4283979864 4294440951 4294967295 4294967295 4294967295 4241937616 3954422190 4294703348 4293650402 4292005059 4291019715 0 0 0 0 0 4283979864 4294440951 4294967295 4294967295 4294967295 4283979864 4294967232 4293057745 0 0 0 0 0 0 0 0 4283979864 4294440951 4292992990 4283979864 4283979864 4283979864 4283979864 0 0 4283979864 3460250679 4283979864 0 0 0 0 4283979864 4158314968 4283979864 0 0 0 0 0 4283979864 4294967232 4294967232 4283979864 0 0 0 0 4283979864 0 0 0 4288716960 4294967232 4294967232 4288716960 4294967232 4294967232 4294951167 4283979864 0 0 0 0 0 0 4125549790 4294967232 4288716960 4294967232 4294967232 4283979864 4294967232 4294951167 4294951167 4283979864 0 0 0 0 4283979864 4056927947 4294703086 4294967232 4283979864 4294967232 4294967232 4294967232 4294967232 4294951167 4294951167 4283979864 0 0 0 0 4283979864 4291808970 4294571240 4294967232 4294967232 4294967232 4294967232 4294951167 4294951167 4294951167 4294951167 4283979864 0 0 0 0 4283979864 4283979864 4294951167 4294951167 4294951167 4294951167 4294951167 4294951167 4294951167 4294951167 4294951167 4283979864 0 0 0 0 508118850 4283979864 4283979864 4283979864 4283979864 4283979864 4283979864 4283979864 4283979864 4283979864 4283979864 4283979864 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0)
	offset: 0@0)! !

!TamIcons class methodsFor: 'accessing forms from /16x16/actions' stamp: 'apl 9/20/2007 13:31'!
form16x16ActionsFileRead
	^ (Form
	extent: 16@16
	depth: 32
	fromArray: #( 16777215 16777215 16777215 3430973568 4284900966 4278190080 4278190080 4278190080 4278190080 4281545523 4286611584 4286611584 3430973568 16777215 16777215 16777215 16777215 16777215 16777215 3430973568 4286282619 4284900966 4284900966 4284900966 4284900966 4285558896 4286611584 4286611584 3765728372 1711407618 688129028 16777215 16777215 16777215 16777215 3430973568 4294967295 4294967295 4294967295 4294967295 4294967295 4291611852 4286611584 4286611584 4284900966 4286611584 1711341825 16777215 16777215 0 16777215 4287924884 4294967295 4294967295 4294967295 4294967295 4294967295 4291611852 4286611584 4286611584 4284900966 4286611584 1711341825 16777215 0 0 0 4287924884 4294967295 4294967295 4294311926 4294967295 4294311926 4294311926 4294311926 4294967295 4286216826 4286611584 1711341825 16777215 0 0 0 4287924884 4294967295 4294311926 4294311926 4294311926 4294311926 4293525483 4293525483 4293525483 4293525483 4293525483 1711341825 16777215 0 0 0 4287924884 4294311926 4294311926 4294311926 4293525483 4293525483 4293525483 4293525483 4293525483 4293525483 4293525483 1711341825 16777215 0 0 0 4287924884 4294311926 4294311926 4293525483 4293525483 4293525483 4293525483 4293525483 4293525483 4293525483 4293525483 1711341825 16777215 0 0 0 4287924884 4294311926 4294311926 4293525483 4293525483 4293525483 4293525483 4290838464 4290838464 4290838464 4290838464 4288256409 16777215 0 0 0 4287924884 4294311926 4294311926 4293525483 4293525483 4290838464 4290838464 4290838464 4290838464 4290838464 4290838464 4288256409 16777215 0 0 0 4287924884 4294967295 4294967295 4293525483 4293525483 4290838464 4290838464 4290838464 4290838464 4290838464 4290838464 4288256409 16777215 0 0 0 4287924884 4293525483 4293525483 4290838464 4290838464 4290838464 4290838464 4290838464 4290838464 4290838464 4290838464 4288256409 16777215 0 0 0 4287924884 4293525483 4293525483 4290838464 4290838464 4290838464 4290838464 4278255360 4278255360 4278255360 4278255360 4288716960 16777215 0 0 0 4288253849 4293525483 4293525483 4290838464 4290838464 4290838464 4290838464 4278255360 4278255360 4278255360 4278255360 4288716960 16777215 16777215 16777215 16777215 4288253849 4293525483 4293525483 4290838464 4290838464 4290838464 4290838464 4278255360 4278255360 4278255360 4278255360 4287924884 16777215 16777215 16777215 16777215 4288256409 4288256409 4288256409 4288716960 4288716960 4288716960 4288716960 4288716960 4288716960 4288716960 4287924884 4287924884 16777215)
	offset: 0@0)! !

!TamIcons class methodsFor: 'accessing forms from /16x16/actions' stamp: 'apl 9/20/2007 13:31'!
form16x16ActionsFileSave
	^ (Form
	extent: 16@16
	depth: 32
	fromArray: #( 4290559420 4280558628 4280427042 4281677109 4283716692 4283716692 4283848277 4283913814 4283913814 4283913813 4283913813 4283913556 4281808437 4280295456 4280427042 4290493627 4280558628 4286874756 4285427310 4287335307 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4284637794 4285756275 4280427042 4280558628 4286874756 4285427310 4287335307 4294967295 4289382083 4288463040 4288463037 4288462780 4288462267 4289315518 4294967295 4294967295 4284637794 4285756275 4280427042 4280558628 4286874756 4285427310 4287598478 4294967295 4291221460 4290630354 4290630350 4290630093 4290629321 4291154379 4294967295 4294967295 4284506208 4285493103 4280427042 4280558628 4286808963 4285164138 4288058258 4294967295 4291220944 4290630350 4290629321 4290563785 4290301639 4290957510 4294967295 4294967295 4284308829 4285229931 4280361249 4280492835 4286414205 4285032552 4288057999 4294967295 4289381824 4288463037 4288462267 4288396731 4288265658 4289184187 4294967295 4294967295 4284308829 4285229931 4280361249 4280492835 4286282619 4285032552 4288057999 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4284045657 4284835173 4280295456 4280492835 4286151033 4285624689 4284703586 4283913813 4283913556 4283848020 4283848020 4283848019 4283847763 4283847762 4283847762 4284176985 4284572001 4284703587 4280295456 4280427042 4285756275 4285756275 4285690482 4285690482 4285361517 4285229931 4285229931 4285229931 4285164138 4284966759 4284703587 4284703587 4284703587 4284637794 4280295456 4280427042 4285756275 4285690482 4285427310 4284900966 4284637794 4284637794 4284637794 4284572001 4284177243 4284177243 4284177243 4284374622 4284572001 4284177243 4280229663 4280427042 4285558896 4285427310 4284835173 4285295724 4286019447 4285756275 4285558896 4285558896 4284769380 4283058762 4284111450 4283782485 4283914071 4284111450 4280229663 4280361249 4285229931 4285229931 4284045657 4294967295 4294967295 4294967295 4294967295 4294967295 4292664540 4284045657 4287137928 4284572001 4283585106 4283914071 4280229663 4280361249 4285229931 4285098345 4283848278 4294967295 4292664540 4283453520 4294967295 4294967295 4292664540 4283979864 4286743170 4284308829 4283387727 4283650899 4280163870 4280295456 4284111450 4282664004 4283716692 4294967295 4292664540 4284177243 4294967295 4294967295 4292664540 4283848278 4286348412 4284177243 4283256141 4283585106 4280163870 4280295456 4284440415 4283914071 4283716692 4294967295 4294967295 4294967295 4294967295 4294967295 4292664540 4283650899 4285887861 4283979864 4283256141 4283585106 4280163870 4290493627 4280295456 4280295456 4280229663 4282006074 4283519313 4283453520 4283387727 4283387727 4282598211 4280229663 4280427042 4280229663 4280163870 4280163870 4290493627)
	offset: 0@0)! !

!TamIcons class methodsFor: 'accessing forms from /16x16/actions' stamp: 'apl 9/20/2007 13:31'!
form16x16ActionsFreezeTree
	^ (Form
	extent: 16@16
	depth: 32
	fromArray: #( 4278222848 4278222848 4278222848 4278222848 4278222848 4278222848 4278222848 4278222848 4278222848 4278222848 4278222848 4278222848 4278222848 4278222848 4278222848 4278222848 4278222848 4290838464 4290838464 4290838464 4290838464 4290838464 4290838464 4290838464 4290838464 4290838464 4290838464 4290838464 4290838464 4290838464 4290838464 4278222848 4278222848 4290838464 4290838464 4290838464 4290838464 4290838464 4290838464 4278239232 4278239232 4290838464 4290838464 4290838464 4290838464 4290838464 4290838464 4278222848 4278222848 4290838464 4290838464 4290838464 4290838464 4290838464 4290838464 4278239232 4278239232 4290838464 4290838464 4290838464 4290838464 4290838464 4290838464 4278222848 4278222848 4290838464 4290838464 4290838464 4290838464 4290838464 4290838464 4278239232 4278239232 4290838464 4290838464 4290838464 4290838464 4290838464 4290838464 4278222848 4278222848 4290838464 4290838464 4290838464 4290838464 4290838464 4290838464 4278239232 4278239232 4290838464 4290838464 4290838464 4290838464 4290838464 4290838464 4278222848 4278222848 4290838464 4290838464 4290838464 4290838464 4290838464 4290838464 4278239232 4278239232 4290838464 4290838464 4290838464 4290838464 4290838464 4290838464 4278222848 4278222848 4290838464 4290838464 4278239232 4278239232 4290838464 4290838464 4278239232 4278239232 4290838464 4290838464 4278239232 4278239232 4290838464 4290838464 4278222848 4278222848 4290838464 4290838464 4290838464 4278239232 4278239232 4290838464 4278239232 4278239232 4290838464 4278239232 4278239232 4290838464 4290838464 4290838464 4278222848 4278222848 4290838464 4290838464 4290838464 4290838464 4278239232 4278239232 4278239232 4278239232 4278239232 4278239232 4290838464 4290838464 4290838464 4290838464 4278222848 4278222848 4290838464 4290838464 4290838464 4290838464 4290838464 4278239232 4278239232 4278239232 4278239232 4290838464 4290838464 4290838464 4290838464 4290838464 4278222848 4278222848 4290838464 4290838464 4290838464 4290838464 4290838464 4290838464 4278239232 4278239232 4290838464 4290838464 4290838464 4290838464 4290838464 4290838464 4278222848 4278222848 4290838464 4278239232 4278239232 4278239232 4278239232 4278239232 4278239232 4278239232 4278239232 4278239232 4278239232 4278239232 4278239232 4290838464 4278222848 4278222848 4290838464 4278239232 4278239232 4278239232 4278239232 4278239232 4278239232 4278239232 4278239232 4278239232 4278239232 4278239232 4278239232 4290838464 4278222848 4278222848 4290838464 4290838464 4290838464 4290838464 4290838464 4290838464 4290838464 4290838464 4290838464 4290838464 4290838464 4290838464 4290838464 4290838464 4278222848 4278222848 4278222848 4278222848 4278222848 4278222848 4278222848 4278222848 4278222848 4278222848 4278222848 4278222848 4278222848 4278222848 4278222848 4278222848 4278222848)
	offset: 0@0)! !

!TamIcons class methodsFor: 'accessing forms from /16x16/actions' stamp: 'apl 9/20/2007 13:31'!
form16x16ActionsFullText
	^ (Form
	extent: 16@16
	depth: 32
	fromArray: #( 16777215 16777215 16777215 3430973568 4284900966 4278190080 4278190080 4278190080 4278190080 4281545523 4286611584 4286611584 3430973568 16777215 16777215 16777215 16777215 16777215 16777215 3430973568 4286282619 4284900966 4284900966 4284900966 4284900966 4285558896 4286611584 4286611584 3765728372 1711407618 688129028 16777215 16777215 16777215 16777215 3430973568 4288256409 4294967295 4294967295 4294967295 4294967295 4291611852 4286611584 4286611584 4284900966 4286611584 1711341825 16777215 16777215 16777215 16777215 3430973568 4288256409 4294967295 4294967295 4294967295 4294967295 4291611852 4286611584 4286611584 4284900966 4286611584 1711341825 16777215 16777215 16777215 16777215 3430973568 4288256409 4294967295 4294967295 4294967295 4294967295 4292269782 4288256409 4288256409 4286216826 4286611584 1711341825 16777215 16777215 16777215 16777215 3430973568 4288256409 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 1711341825 16777215 16777215 16777215 16777215 3430973568 4288256409 4294967295 4294967295 4294967295 4294967295 4278222848 4278222848 4294967295 4294967295 4294967295 1711341825 16777215 16777215 16777215 16777215 3430973568 4288256409 4294967295 4294967295 4294967295 4294967295 4278222848 4278222848 4294967295 4294967295 4294967295 1711341825 16777215 16777215 16777215 16777215 3430973568 4288256409 4294967295 4294967295 4294967295 4294967295 4278222848 4278222848 4294967295 4294967295 4294967295 4294967295 16777215 16777215 16777215 16777215 3430973568 4288256409 4294967295 4278222848 4278222848 4278222848 4278222848 4278222848 4278222848 4278222848 4278222848 4294967295 16777215 16777215 16777215 16777215 3430973568 4288256409 4294967295 4278222848 4278222848 4278222848 4278222848 4278222848 4278222848 4278222848 4278222848 4294967295 16777215 16777215 16777215 16777215 3430973568 4288253849 4294967295 4294967295 4294967295 4294967295 4278222848 4278222848 4294967295 4294967295 4294967295 4294967295 16777215 16777215 16777215 16777215 3430973568 4287924884 4294967295 4294967295 4294967295 4294967295 4278222848 4278222848 4294967295 4294967295 4294967295 4288716960 16777215 16777215 16777215 16777215 3430973568 4291019715 4294967295 4294967295 4294967295 4294967295 4278222848 4278222848 4294967295 4294967295 4294967295 4288716960 16777215 16777215 16777215 16777215 1384153216 1719697536 1719697536 1719697536 1719697536 4294967295 4294967295 4294967295 4294967295 4288716960 4288716960 688129028 16777215 16777215 16777215 16777215 16777215 16777215 16777215 4288716960 4288716960 4288716960 4288716960 4288716960 4288716960 4288716960 4288716960 16777215 16777215)
	offset: 0@0)! !

!TamIcons class methodsFor: 'accessing forms from /16x16/actions' stamp: 'apl 3/20/2007 11:51'!
form16x16ActionsGriddingOff
	^ (Form
	extent: 16@16
	depth: 32
	fromArray: #( 0 0 4288716960 0 0 4288716960 0 0 4288716960 0 0 4288716960 0 0 4288716960 0 0 0 4288716960 0 0 4288716960 0 0 4288716960 0 0 4288716960 0 0 4288716960 0 4288716960 4288716960 4288716960 4288716960 4288716960 4288716960 4288716960 4288716960 4288716960 4288716960 4288716960 4288716960 4288716960 4288716960 4288716960 4288716960 0 0 4288716960 4294901760 4294901760 4288716960 0 0 4288716960 0 0 4288716960 0 0 4288716960 0 0 0 4288716960 0 4294901760 4294901760 0 0 4288716960 0 0 4288716960 4294901760 4294901760 4288716960 0 4288716960 4288716960 4288716960 4288716960 4288716960 4294901760 4294901760 4288716960 4288716960 4288716960 4294901760 4294901760 4288716960 4288716960 4288716960 4288716960 0 0 4288716960 0 0 4288716960 4294901760 4294901760 4294901760 4294901760 0 4288716960 0 0 4288716960 0 0 0 4288716960 0 0 4288716960 0 4294901760 4294901760 0 0 4288716960 0 0 4288716960 0 4288716960 4288716960 4288716960 4288716960 4288716960 4288716960 4294901760 4294901760 4288716960 4288716960 4288716960 4288716960 4288716960 4288716960 4288716960 4288716960 0 0 4288716960 0 0 4294901760 0 0 4288716960 4294901760 4294901760 4288716960 0 0 4288716960 0 0 0 4288716960 4294901760 4294901760 4288716960 0 0 4288716960 0 4294901760 4294901760 0 0 4288716960 0 4288716960 4288716960 4294901760 4294901760 4288716960 4288716960 4288716960 4288716960 4288716960 4288716960 4288716960 4294901760 4294901760 4288716960 4288716960 4288716960 0 0 4294901760 0 0 4288716960 0 0 4288716960 0 0 4288716960 4294901760 0 4288716960 0 0 4294901760 4288716960 0 0 4288716960 0 0 4288716960 0 0 4288716960 0 0 4288716960 0 4288716960 4288716960 4288716960 4288716960 4288716960 4288716960 4288716960 4288716960 4288716960 4288716960 4288716960 4288716960 4288716960 4288716960 4288716960 4288716960 0 0 4288716960 0 0 4288716960 0 0 4288716960 0 0 4288716960 0 0 4288716960 0)
	offset: 0@0)! !

!TamIcons class methodsFor: 'accessing forms from /16x16/actions' stamp: 'apl 3/20/2007 11:51'!
form16x16ActionsGriddingOn
	^ (Form
	extent: 16@16
	depth: 32
	fromArray: #( 0 0 4288716960 0 0 4288716960 0 0 4288716960 0 0 4288716960 0 0 4288716960 0 0 0 4288716960 0 0 4288716960 0 0 4288716960 0 0 4288716960 0 0 4288716960 0 4288716960 4288716960 4288716960 4288716960 4288716960 4288716960 4288716960 4288716960 4288716960 4288716960 4288716960 4288716960 4288716960 4288716960 4288716960 4288716960 0 0 4288716960 0 0 4288716960 0 0 4288716960 0 0 4288716960 0 0 4288716960 0 0 0 4288716960 0 0 4288716960 0 0 4288716960 0 0 4288716960 0 0 4288716960 0 4288716960 4288716960 4288716960 4288716960 4288716960 4288716960 4288716960 4288716960 4288716960 4288716960 4288716960 4288716960 4288716960 4288716960 4288716960 4288716960 0 0 4288716960 0 0 4288716960 0 0 4288716960 0 0 4288716960 0 0 4288716960 0 0 0 4288716960 0 0 4288716960 0 0 4288716960 0 0 4288716960 0 0 4288716960 0 4288716960 4288716960 4288716960 4288716960 4288716960 4288716960 4288716960 4288716960 4288716960 4288716960 4288716960 4288716960 4288716960 4288716960 4288716960 4288716960 0 0 4288716960 0 0 4288716960 0 0 4288716960 0 0 4288716960 0 0 4288716960 0 0 0 4288716960 0 0 4288716960 0 0 4288716960 0 0 4288716960 0 0 4288716960 0 4288716960 4288716960 4288716960 4288716960 4288716960 4288716960 4288716960 4288716960 4288716960 4288716960 4288716960 4288716960 4288716960 4288716960 4288716960 4288716960 0 0 4288716960 0 0 4288716960 0 0 4288716960 0 0 4288716960 0 0 4288716960 0 0 0 4288716960 0 0 4288716960 0 0 4288716960 0 0 4288716960 0 0 4288716960 0 4288716960 4288716960 4288716960 4288716960 4288716960 4288716960 4288716960 4288716960 4288716960 4288716960 4288716960 4288716960 4288716960 4288716960 4288716960 4288716960 0 0 4288716960 0 0 4288716960 0 0 4288716960 0 0 4288716960 0 0 4288716960 0)
	offset: 0@0)! !

!TamIcons class methodsFor: 'accessing forms from /16x16/actions' stamp: 'apl 3/20/2007 11:51'!
form16x16ActionsLinks
	^ (Form
	extent: 16@16
	depth: 32
	fromArray: #( 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294901760 4294901760 4294901760 0 0 0 0 0 0 0 0 0 0 0 0 0 4294901760 0 4294901760 4294901760 0 0 0 0 0 0 0 0 0 0 0 0 4294901760 4294901760 4294901760 0 4294901760 0 0 0 0 0 0 0 0 0 0 0 0 4294901760 0 0 0 4294901760 0 0 0 0 0 0 0 0 0 0 0 4294901760 0 0 0 0 4294901760 0 0 0 0 0 0 0 0 0 0 4294901760 0 0 0 0 0 4294901760 0 4294901760 4294901760 4294901760 0 0 0 0 0 4294901760 0 0 0 0 0 0 4294901760 4294901760 0 4294901760 0 0 0 0 0 4294901760 0 0 0 0 0 4294901760 0 4294901760 4294901760 4294901760 0 0 0 0 0 4294901760 0 0 0 0 4294901760 0 0 0 0 0 0 0 0 0 0 4294901760 0 0 0 4294901760 0 0 0 0 0 0 0 0 0 0 4294901760 4294901760 4294901760 0 4294901760 0 0 0 0 0 0 0 0 0 0 0 4294901760 0 4294901760 4294901760 0 0 0 0 0 0 0 0 0 0 0 0 4294901760 4294901760 4294901760 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0)
	offset: 0@0)! !

!TamIcons class methodsFor: 'accessing forms from /16x16/actions' stamp: 'apl 9/20/2007 13:31'!
form16x16ActionsLocalRecents
	^ (Form
	extent: 16@16
	depth: 32
	fromArray: #( 4284111450 4284900966 4283782485 4278212800 4278212800 4278212800 4278212800 4278212800 4278212800 4278212800 4278212800 4278212800 4278212800 4283782485 4283782485 4283782485 4284308829 4293190884 4289256703 4289256703 4289256703 4289256703 4289256703 4289256703 4289256703 4289256703 4289256703 4289256703 4289256703 4289256703 4291019715 4278190080 4283782485 4291282887 4291282887 4284000511 4284000511 4284000511 4284000511 4284000511 4284000511 4284000511 4284000511 4284000511 4284000511 4291282887 4291019715 4278190080 4283782485 4294967283 4294967283 4294967283 4294967283 4294967283 4284000511 4294967283 4294967283 4294967283 4294967283 4294967283 4294967283 4294967283 4294967283 4278190080 4283782485 4286611584 4286611584 4286611584 4286611584 4294967295 4284000511 4294967295 4294967295 4294967295 4294967293 4294967291 4294967289 4294967287 4293848806 4278190080 4283782485 4292796120 4294967292 4294967295 4294967295 4294967295 4284000511 4294967295 4294967293 4294967289 4294967285 4294967282 4294967278 4294967274 4292796104 4278190080 4283782485 4286611584 4286611584 4286611584 4286611584 4294967295 4284000511 4294967291 4294967288 4294967284 4294967280 4294967276 4294967273 4294967279 4292796100 4278190080 4283782485 4292796120 4294967292 4294967292 4294967292 4294967294 4284000511 4294967286 4294967282 4294967279 4294967294 4286611584 4294967267 4294967279 4292796095 4278190080 4283782485 4286611584 4286611584 4286611584 4286611584 4294967288 4284000511 4294967294 4294967294 4294967294 4286611584 4278239232 4286611584 4294967279 4292796095 4278190080 4283782485 4292796126 4294967295 4294967291 4294967287 4294967283 4284000511 4294967276 4294967294 4286611584 4278239232 4278239232 4278239232 4286611584 4292796095 0 4283782485 4286611584 4286611584 4286611584 4286611584 4294967278 4284000511 4294967270 4286611584 4278239232 4278239232 4278239232 4278239232 4278239232 4286611584 4292664540 4283782485 4292796120 4292796116 4292796112 4292796110 4292796107 4284000511 4286611584 4278239232 4278239232 4278239232 4281348144 4278239232 4278239232 4278239232 4286611584 4283782485 4278190080 4278190080 4278190080 4278190080 0 4286611584 4278239232 4278239232 4278239232 4281348144 4292664540 4281348144 4278239232 4278239232 4278239232 15132646 15132646 15132646 15132646 15132646 15132646 15132646 4286611584 4278239232 4278239232 4278239232 4281348144 4278239232 4278239232 4278239232 4286611584 15132646 15132646 15132646 15132646 15132646 15132646 15132646 15132646 4286611584 4278239232 4278239232 4278239232 4278239232 4278239232 4286611584 15132646 15132646 15132646 15132646 15132646 15132646 15132646 15132646 15132646 15132646 4286611584 4278239232 4278239232 4278239232 4286611584 15132646 15132646)
	offset: 0@0)! !

!TamIcons class methodsFor: 'accessing forms from /16x16/actions' stamp: 'apl 9/20/2007 13:31'!
form16x16ActionsLocalSearch
	^ (Form
	extent: 16@16
	depth: 32
	fromArray: #( 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4283979864 4282733150 4282996580 4283979864 0 0 0 0 0 0 0 0 0 0 4283979864 4278190080 4278190080 4278190080 4281218878 4279440404 4281679170 4283979864 0 0 0 0 0 0 0 0 4278190080 4278190080 4290107122 4291290105 4290437117 4289318893 4284379266 4281613638 4278190080 0 0 0 0 0 0 4278190080 4278190080 4290632432 4289256703 4289256703 4289256703 4289256703 4290043133 4278190080 4283979864 0 0 0 0 0 0 4278190080 4284050554 4289256703 4289256703 4294967295 4294967295 4289256703 4290109183 4278190080 4278190080 0 0 0 0 0 0 4278190080 4284642950 4290838527 4290838527 4294967295 4294967295 4289256703 4290109183 4281482309 4278190080 0 0 0 0 0 0 4283979864 4278190080 4289256703 4278255615 4289256703 4289256703 4289256703 4288660962 4278190080 4278190080 0 0 0 0 0 0 4278190080 4278190080 4288132557 4290699515 4289256703 4289256703 4290633980 4278190080 4278190080 0 0 0 0 0 0 0 0 4278190080 4278190080 4278190080 4286225585 4287409862 4278190080 4278190080 4283979864 0 0 0 0 0 4284904056 4279374354 4279308561 0 0 4278190080 4278190080 4278190080 4278190080 0 0 0 0 0 0 0 4278848011 4279242768 4279769112 0 0 0 0 0 0 0 0 0 0 0 4281348144 4278848527 4278979596 4279308561 4286484632 0 0 0 0 0 0 0 0 0 0 0 4281348144 4279243800 4278255874 4284443249 0 0 0 0 0 0 0 0 0 0 0 0 4278190080 4278190080 4281348144 4281348144 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0)
	offset: 0@0)! !

!TamIcons class methodsFor: 'accessing forms from /16x16/actions' stamp: 'apl 3/20/2007 11:51'!
form16x16ActionsNewElement
	^ (Form
	extent: 16@16
	depth: 32
	fromArray: #( 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294902015 4294902015 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294902015 4294902015 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294902015 4294902015 0 0 0 0 0 0 0 0 0 0 0 4294902015 4294902015 4294902015 4294902015 4294902015 4294902015 4294902015 4294902015 0 0 0 0 0 0 0 0 4294902015 4294902015 4294902015 4294902015 4294902015 4294902015 4294902015 4294902015 0 0 0 0 0 0 0 0 0 0 0 4294902015 4294902015 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294902015 4294902015 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294902015 4294902015 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0)
	offset: 0@0)! !

!TamIcons class methodsFor: 'accessing forms from /16x16/actions' stamp: 'apl 9/20/2007 13:31'!
form16x16ActionsNewRight
	^ (Form
	extent: 16@16
	depth: 32
	fromArray: #( 4284111450 4284900966 4283782485 4278212800 4278212800 4278212800 4278212800 4278212800 4278212800 4278212800 4278212800 4278212800 4278212800 4283782485 4283782485 4283782485 4284308829 4293190884 4289256703 4289256703 4289256703 4289256703 4289256703 4289256703 4289256703 4289256703 4289256703 4289256703 4289256703 4289256703 0 4278190080 4283782485 0 0 4284000511 4284000511 4284000511 4284000511 4284000511 4284000511 4284000511 4284000511 4284000511 4284000511 0 0 4278190080 4283782485 0 0 0 0 0 4289256703 0 0 0 0 4294967283 4294967283 4294967283 4294967283 4278190080 4283782485 4286611584 4286611584 4286611584 4286611584 0 4289256703 0 0 0 4294967293 4294967291 4294967289 4294967287 4293848806 4278190080 4283782485 4292796120 0 0 0 0 4289256703 0 0 4294967289 4294967285 4294967282 4294967278 4294967274 4292796104 4278190080 4283782485 4286611584 4286611584 4286611584 4286611584 0 4289256703 4294967291 4294967288 4294967284 4294967280 4294967276 4294967273 4294967269 4292796100 4278190080 4283782485 4292796120 0 0 0 0 4289256703 4294967286 4294967282 4294967279 4283979864 4294967040 4294967267 4294967263 4292796095 4278190080 4283782485 4286611584 4286611584 4286611584 4286611584 0 4289256703 4283979864 4294967173 4294901480 4283979864 4294967040 4294967262 4283979864 4294967173 4278190080 4283782485 4292796126 0 0 0 0 4289256703 4294967276 4283979864 4294967040 4294967040 4294967040 4294967040 4294967040 4294967040 4278190080 4283782485 4286611584 4286611584 4286611584 4286611584 0 4289256703 4294967270 4294967266 4294967040 4294967040 4294967040 4294967040 4278190080 4278190080 4278190080 4283782485 0 0 0 0 0 4289256703 4294967040 4294967040 4294967040 4294967173 4294967294 4294967173 4294967040 4294967040 4294967173 4283782485 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4294967040 4294967040 4294967040 4294967040 4294967040 4278190080 4278190080 0 0 0 0 0 0 0 0 4278190080 4294967040 4294967040 4294967040 4294967040 4294967040 0 0 0 0 0 0 0 0 0 4278190080 4294967040 0 4278190080 4294967040 0 4278190080 4294967173 0 0 0 0 0 0 0 0 0 0 0 4278190080 4294967040 0 0 0 0)
	offset: 0@0)! !

!TamIcons class methodsFor: 'accessing forms from /16x16/actions' stamp: 'apl 9/20/2007 13:31'!
form16x16ActionsNextGreen
	^ (Form
	extent: 16@16
	depth: 32
	fromArray: #( 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278239232 4278239232 4278239232 0 0 0 0 0 0 0 0 0 0 0 0 0 4278239232 4278239232 4278239232 4278239232 0 0 0 0 0 0 0 0 0 0 0 0 0 4278239232 4278239232 4278239232 4278239232 0 0 0 0 0 0 0 0 0 0 0 0 0 4278239232 4278239232 4278239232 4278239232 0 0 0 0 0 0 0 0 0 0 0 0 0 4278239232 4278239232 4278239232 4278239232 0 0 0 0 0 0 0 0 0 0 0 0 0 4278239232 4278239232 4278239232 4278239232 0 0 0 0 0 0 0 0 0 0 0 4278239232 4278239232 4278239232 4278239232 0 0 0 0 0 0 0 0 0 0 0 4278239232 4278239232 4278239232 4278239232 0 0 0 0 0 0 0 0 0 0 0 4278239232 4278239232 4278239232 4278239232 0 0 0 0 0 0 0 0 0 0 0 4278239232 4278239232 4278239232 4278239232 0 0 0 0 0 0 0 0 0 0 0 0 4278239232 4278239232 4278239232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0)
	offset: 0@0)! !

!TamIcons class methodsFor: 'accessing forms from /16x16/actions' stamp: 'apl 9/20/2007 13:31'!
form16x16ActionsOk
	^ (Form
	extent: 16@14
	depth: 32
	fromArray: #( 1090519039 1090519039 1090519039 1090519039 1090519039 1090519039 1090519039 1090519039 1090519039 1090519039 1090519039 1090519039 1090519039 1090519039 1090519039 4278239232 1090519039 1090519039 1090519039 1090519039 1090519039 1090519039 1090519039 1090519039 1090519039 1090519039 1090519039 1090519039 1090519039 1090519039 4278239232 4278255360 1090519039 1090519039 1090519039 1090519039 1090519039 1090519039 1090519039 1090519039 1090519039 1090519039 1090519039 1090519039 1090519039 4278239232 4278255360 4278239232 1090519039 1090519039 1090519039 1090519039 1090519039 1090519039 1090519039 1090519039 1090519039 1090519039 1090519039 1090519039 4278239232 4278255360 4278239232 4278206464 1090519039 0 0 1090519039 1090519039 1090519039 1090519039 1090519039 1090519039 1090519039 1090519039 4278239232 4278255360 4278239232 4278206464 4278190080 0 4278255360 4278255360 4278239232 1090519039 1090519039 1090519039 1090519039 1090519039 1090519039 4278239232 4278255360 4278239232 4278206464 4278190080 1090519039 0 4278239232 4278255360 4278255360 4278239232 1090519039 1090519039 1090519039 1090519039 4278239232 4278255360 4278239232 4278206464 4278190080 1090519039 1090519039 0 4278206464 4278239232 4278255360 4278255360 4278239232 1090519039 1090519039 4278239232 4278255360 4278239232 4278206464 4278190080 1090519039 1090519039 1090519039 1090519039 4278190080 4278206464 4278239232 4278255360 4278255360 4278239232 4278239232 4278255360 4278239232 4278206464 4278190080 1090519039 1090519039 1090519039 1090519039 1090519039 1090519039 4278190080 4278206464 4278239232 4278255360 4278255360 4278255360 4278239232 4278206464 4278190080 1090519039 1090519039 1090519039 1090519039 1090519039 1090519039 1090519039 1090519039 4278190080 4278206464 4278239232 4278239232 4278239232 4278206464 4278190080 1090519039 1090519039 1090519039 1090519039 1090519039 1090519039 1090519039 1090519039 1090519039 1090519039 4278190080 4278206464 4278239232 4278206464 4278190080 1090519039 1090519039 1090519039 1090519039 1090519039 1090519039 1090519039 1090519039 1090519039 1090519039 1090519039 1090519039 4278190080 4278190080 4278190080 1090519039 1090519039 1090519039 1090519039 1090519039 1090519039 1090519039 1090519039 1090519039 1090519039 1090519039 1090519039 1090519039 1090519039 1090519039 1090519039 1090519039 1090519039 1090519039 1090519039 1090519039 1090519039 1090519039 1090519039)
	offset: 0@0)! !

!TamIcons class methodsFor: 'accessing forms from /16x16/actions' stamp: 'apl 9/20/2007 13:31'!
form16x16ActionsP21Syntax
	^ (Form
	extent: 16@16
	depth: 32
	fromArray: #( 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4286611456 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4286611456 4286611456 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4286611456 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294967295 4286611456 4286611456 0 0 0 0 0 0 0 0 0 0 0 0 0 4294967295 4294967295 4286611456 4286611456 4286611456 0 0 0 0 0 0 0 0 0 0 0 4278255615 4294967295 4294967295 4290822144 4286611456 4286611456 4286611456 0 0 0 0 0 0 0 0 0 4278255615 4294967295 4294967295 4294967295 4290822144 4286611456 4286611456 0 0 0 0 0 0 0 0 0 4294967295 4294967295 4294967295 4286611456 4286611456 4286611456 0 0 0 0 0 0 0 0 0 0 4294967295 4294967295 4286611456 4286611456 0 0 0 0 0 0 0 0 0 0 0 0 4294967295 4286611456 4286611456 0 0 0 0 0 0 0 0 0 0 0 0 0 4286611456 4286611456 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4286611456 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0)
	offset: 0@0)! !

!TamIcons class methodsFor: 'accessing forms from /16x16/actions' stamp: 'apl 9/20/2007 13:31'!
form16x16ActionsPreviousGreen
	^ (Form
	extent: 16@16
	depth: 32
	fromArray: #( 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278239232 4278239232 4278239232 0 0 0 0 0 0 0 0 0 0 0 0 4278239232 4278239232 4278239232 4278239232 0 0 0 0 0 0 0 0 0 0 0 4278239232 4278239232 4278239232 4278239232 0 0 0 0 0 0 0 0 0 0 0 4278239232 4278239232 4278239232 4278239232 0 0 0 0 0 0 0 0 0 0 0 4278239232 4278239232 4278239232 4278239232 0 0 0 0 0 0 0 0 0 0 0 4278239232 4278239232 4278239232 4278239232 0 0 0 0 0 0 0 0 0 0 0 0 0 4278239232 4278239232 4278239232 4278239232 0 0 0 0 0 0 0 0 0 0 0 0 0 4278239232 4278239232 4278239232 4278239232 0 0 0 0 0 0 0 0 0 0 0 0 0 4278239232 4278239232 4278239232 4278239232 0 0 0 0 0 0 0 0 0 0 0 0 0 4278239232 4278239232 4278239232 4278239232 0 0 0 0 0 0 0 0 0 0 0 0 0 4278239232 4278239232 4278239232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0)
	offset: 0@0)! !

!TamIcons class methodsFor: 'accessing forms from /16x16/actions' stamp: 'apl 9/20/2007 13:31'!
form16x16ActionsRecents
	^ (Form
	extent: 16@16
	depth: 32
	fromArray: #( 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278239232 4278239232 0 0 0 0 0 0 0 0 0 0 0 0 0 4278239232 4278239232 4278239232 4278239232 0 0 0 0 0 0 0 0 0 0 0 4278239232 4278239232 4278239232 4278239232 4278239232 4278239232 0 0 0 0 0 0 0 0 0 4278239232 4278239232 4278239232 0 0 4278239232 4278239232 4278239232 0 0 0 0 0 0 0 4278239232 4278239232 4278239232 0 0 0 0 4278239232 4278239232 4278239232 0 0 0 0 0 4278239232 4278239232 4278239232 0 0 0 0 0 0 4278239232 4278239232 4278239232 0 0 0 0 4278239232 4278239232 4278239232 0 0 0 0 0 0 4278239232 4278239232 4278239232 0 0 0 0 0 4278239232 4278239232 4278239232 0 0 0 0 4278239232 4278239232 4278239232 0 0 0 0 0 0 0 4278239232 4278239232 4278239232 0 0 4278239232 4278239232 4278239232 0 0 0 0 0 0 0 0 0 4278239232 4278239232 4278239232 4278239232 4278239232 4278239232 0 0 0 0 0 0 0 0 0 0 0 4278239232 4278239232 4278239232 4278239232 0 0 0 0 0 0 0 0 0 0 0 0 0 4278239232 4278239232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0)
	offset: 0@0)! !

!TamIcons class methodsFor: 'accessing forms from /16x16/actions' stamp: 'apl 9/20/2007 13:31'!
form16x16ActionsReload
	^ (Form
	extent: 16@16
	depth: 32
	fromArray: #( 0 0 0 0 0 1140851456 2315266318 2919251994 2751477778 1828722180 520093696 0 0 0 0 0 0 0 0 503316480 2986425884 4284656512 4287619486 4285588597 4281585977 4279023897 3875567377 1744834307 0 0 0 0 0 0 285212672 3355658531 4289258683 4291231680 4285394026 4281327404 4279428113 4278779653 4278255360 4278233864 1577061377 0 0 0 1879056135 3053536280 3422570007 4286171279 4289133475 4283292747 4280011295 4211183378 3959453968 4278233099 4278255360 4278255360 3942678537 570425344 0 0 3724960295 4283686744 4281061679 4281787190 4280935719 4279294225 4093667862 1509949696 369098752 1392509696 3439348495 4278248192 4278254336 2113935619 0 0 3036692757 4280930093 4279622931 4278382338 4278255360 4278255360 4227910657 2499817221 0 0 234881024 2516592136 4227909377 3305135365 67108864 0 1795166723 4278628375 4278777606 4278255360 4278255360 4278255360 4278255360 2952804615 16777216 0 0 721420288 3825225751 3993001487 268435456 0 352321536 3791676945 4278255360 4278255360 4278255360 4278241283 3053468680 536870912 0 687865856 2668116257 4033718155 4257538006 4232022118 1073741824 0 0 2164267015 4278233094 4194355456 3724569355 1962937603 100663296 0 1191184384 3878715219 4291754968 4294115312 4292739033 4287619996 2902470159 0 0 1275070720 4280252748 3120573713 285212672 0 0 419430400 4011556918 4287166854 4285720944 4283817301 4282440512 4281656625 4144069915 754974720 0 587202560 4184320129 4099317875 1728056576 0 0 218103808 3456193050 4279679777 4279100684 4278382594 4278254848 4278255360 4278244867 1962938883 0 50331648 3205321769 4287625363 4281640779 2868917519 1191183104 771751936 2583701004 4278755354 4279233294 4278255360 4278255360 4278253568 4278247171 2499814151 0 0 1426065664 4280330038 4282379320 4279944995 4278293526 4177562384 4278241547 4278320129 4278255360 4278255360 4244670732 3137351182 3019911437 1056965120 0 0 33554432 2550146824 4278303249 4278320896 4278255360 4278255360 4278255360 4278255360 4278255360 4278233097 2214597380 33554432 0 0 0 0 0 83886080 2466259719 4160789000 4278249728 4278255360 4278254848 4278244354 4043339022 2147487492 33554432 0 0 0 0 0 0 0 0 889192448 2130713347 2717920776 2667588360 2013270531 754974720 0 0 0 0 0)
	offset: 0@0)! !

!TamIcons class methodsFor: 'accessing forms from /16x16/actions' stamp: 'apl 9/20/2007 13:31'!
form16x16ActionsRemove
	^ (Form
	extent: 16@16
	depth: 32
	fromArray: #( 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294901760 4294901760 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294901760 4294901760 0 0 0 0 0 0 4294901760 4294901760 0 0 0 0 0 0 0 4294901760 4294901760 0 0 0 4294901760 4294901760 0 0 0 0 0 0 0 0 0 0 4294901760 4294901760 4294901760 4294901760 0 0 0 0 0 0 0 0 0 0 0 0 0 4294901760 4294901760 0 0 0 0 0 0 0 0 0 0 0 0 0 4294901760 4294901760 4294901760 4294901760 0 0 0 0 0 0 0 0 0 0 0 4294901760 0 0 0 4294901760 4294901760 0 0 0 0 0 0 0 0 4294901760 4294901760 0 0 0 0 0 4294901760 4294901760 0 0 0 0 0 0 4294901760 4294901760 0 0 0 0 0 0 0 4294901760 4294901760 0 0 0 0 0 4294901760 0 0 0 0 0 0 0 0 0 4294901760 0 0 0 0 4294901760 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0)
	offset: 0@0)! !

!TamIcons class methodsFor: 'accessing forms from /16x16/actions' stamp: 'apl 9/20/2007 13:31'!
form16x16ActionsRemovePane
	^ (Form
	extent: 16@16
	depth: 32
	fromArray: #( 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4282074702 4282074702 4282074702 4282074702 4282074702 4282074702 4282074702 4282074702 4282074702 4282074702 4282074702 4282074702 4282074702 4282074702 0 0 4282074702 0 0 0 0 0 0 0 0 0 0 0 4287474886 4282074702 0 0 4282074702 0 0 4294901760 4294901760 0 0 0 0 4294901760 4294901760 0 4285762720 4282074702 0 0 4282074702 0 0 4294901760 4294901760 4294901760 0 0 4294901760 4294901760 4294901760 0 4285499290 4282074702 0 0 4282074702 0 0 15132646 4294901760 4294901760 4294901760 4294901760 4294901760 4294901760 0 0 4285499290 4282074702 0 0 4282074702 0 0 0 0 4294901760 4294901760 4294901760 4294901760 0 0 0 4285499290 4282074702 0 0 4282074702 0 0 0 0 4294901760 4294901760 4294901760 4294901760 0 0 0 4285433240 4282074702 0 0 4282074702 0 0 0 4294901760 4294901760 4294901760 4294901760 4294901760 4294901760 15132646 0 4285433240 4282074702 0 0 4282074702 0 0 4294901760 4294901760 4294901760 0 0 4294901760 4294901760 4294901760 0 4285169810 4282074702 0 0 4282074702 0 0 4294901760 4294901760 0 0 0 0 4294901760 4294901760 0 4284708744 4282074702 0 0 4282074702 4287474886 4291019715 4291019715 4291019715 4291019715 4287474886 4287474886 4291019715 4291019715 4291019715 4291019715 4287474886 4282074702 0 0 4282074702 4282074702 4282074702 4282074702 4282074702 4282074702 4282074702 4282074702 4282074702 4282074702 4282074702 4282074702 4282074702 4282074702 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0)
	offset: 0@0)! !

!TamIcons class methodsFor: 'accessing forms from /16x16/actions' stamp: 'apl 9/20/2007 13:31'!
form16x16ActionsRemoveRight
	^ (Form
	extent: 16@16
	depth: 32
	fromArray: #( 4284111450 4284900966 4283782485 4278212800 4278212800 4278212800 4278212800 4278212800 4278212800 4278212800 4278212800 4278212800 4278212800 4283782485 4283782485 4283782485 4284308829 4293190884 4289256703 4289256703 4289256703 4289256703 4289256703 4289256703 4289256703 4289256703 4289256703 4289256703 4289256703 4289256703 4291019715 4278190080 4283782485 4291282887 4291282887 4284000511 4284000511 4284000511 4284000511 4284000511 4284000511 4284000511 4284000511 4284000511 4284000511 4291282887 4291019715 4278190080 4283782485 4294967283 4294967283 4294967283 4294967283 4294967283 4284000511 4294967283 4294967283 4294967283 4294967283 4294967283 4294967283 4294967283 4294967283 4278190080 4283782485 4286611584 4286611584 4286611584 4286611584 4294967295 4284000511 4294967295 4294967295 4294967295 4294967293 4294967291 4294967289 4294967287 4293848806 4278190080 4283782485 4292796120 4294967292 4294967295 4294967295 4294967295 4284000511 4294967295 4294967293 4294967289 4294967285 4294967282 4294967278 4294967274 4292796104 4278190080 4283782485 4286611584 4286611584 4286611584 4286611584 4294967295 4284000511 4294967291 4294967288 4294967284 4294967280 4294967276 4294967273 4294967279 4292796100 4278190080 4283782485 4292796120 4294967292 4294967292 4294967292 4294967294 4284000511 4294967286 4294967282 4294967279 4294967294 4294967294 4294967267 4294967279 4292796095 0 4283782485 4286611584 4286611584 4286611584 4286611584 4294967288 4284000511 4294967294 4294901760 4294901760 4294967294 4294967294 4294967279 4294901760 4294901760 0 4283782485 4292796126 4294967295 4294967291 4294967287 4294967283 4284000511 4294967276 4294901760 4294901760 4294901760 4294967279 4294901760 4294901760 4294901760 0 4283782485 4286611584 4286611584 4286611584 4286611584 4294967278 4284000511 4294967270 4294967279 4294901760 4294901760 4294901760 4294901760 4294901760 4292796095 0 4283782485 4292796120 4292796116 4292796112 4292796110 4292796107 4284000511 4292796095 0 0 4294901760 4294901760 4294901760 0 0 4278190080 4283782485 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 0 0 4294901760 4294901760 4294901760 4294901760 4294901760 0 0 15132646 15132646 15132646 15132646 15132646 15132646 15132646 15132646 4294901760 4294901760 4294901760 0 4294901760 4294901760 4294901760 15132646 15132646 15132646 15132646 15132646 15132646 15132646 15132646 15132646 4294901760 4294901760 0 0 0 4294901760 4294901760 15132646 15132646 15132646 15132646 15132646 15132646 15132646 15132646 15132646 15132646 15132646 15132646 15132646 15132646 15132646 15132646 15132646)
	offset: 0@0)! !

!TamIcons class methodsFor: 'accessing forms from /16x16/actions' stamp: 'apl 9/20/2007 13:31'!
form16x16ActionsRun
	^ (Form
	extent: 16@16
	depth: 32
	fromArray: #( 0 0 0 0 0 0 0 0 0 0 0 4293765633 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4293040397 4293765633 0 0 0 0 0 0 0 0 0 0 0 0 0 4293765633 4294958336 0 0 0 0 0 0 0 0 0 0 0 0 0 4293765633 4294967040 4293765633 0 0 0 0 0 0 0 0 0 0 0 0 4293765633 4294958336 4294967040 0 0 0 0 0 0 0 0 0 0 0 0 4293765633 4294958336 4294967040 4293040397 0 0 0 0 0 0 0 0 0 0 0 4293765633 4294958336 4294967232 4294958336 0 0 0 0 0 0 0 0 0 0 0 0 0 4293040397 4294967040 4294967040 4293765633 4293765633 4293040397 4293040397 0 0 0 0 0 0 0 0 0 0 4293765633 4294967040 4294967040 4294967040 4293040397 0 0 0 0 0 0 0 0 0 0 0 0 4293040397 4294967040 4293765633 0 0 0 0 0 0 0 0 0 0 0 0 4293765633 4294967040 4293765633 0 0 0 0 0 0 0 0 0 0 0 0 4293765633 4294958336 4293765633 0 0 0 0 0 0 0 0 0 0 0 0 4293765633 4294958336 4293765633 0 0 0 0 0 0 0 0 0 0 0 0 4293765633 4294958336 4293765633 0 0 0 0 0 0 0 0 0 0 0 0 0 4293765633 4293765633 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0)
	offset: 0@0)! !

!TamIcons class methodsFor: 'accessing forms from /16x16/actions' stamp: 'apl 9/20/2007 13:31'!
form16x16ActionsRunAndSee
	^ (Form
	extent: 16@16
	depth: 32
	fromArray: #( 0 0 0 0 0 0 0 0 0 0 0 4293765633 0 0 0 0 0 0 0 0 0 0 4282400768 4282400768 0 0 4293040397 4293765633 0 0 0 0 0 0 0 0 0 4282400768 4278190080 4278190080 4282400768 4293765633 4294958336 0 0 0 0 0 0 0 0 0 4282400768 4278190080 0 0 4278190080 4294967040 4293765633 0 0 0 0 0 0 0 0 4282400768 4278190080 0 0 4293765633 4278190080 4294967040 0 0 0 0 0 0 0 0 4282400768 4278190080 0 0 4293765633 4278190080 4294967040 4293040397 4293765633 0 0 0 0 0 0 4278190080 4278190080 4278190080 0 4293765633 4294958336 4294967232 4294958336 4278190080 4278190080 4278190080 0 0 0 4282400768 4278190080 4286611456 4286611456 4286611456 4278190080 0 4293040397 4294967040 4278190080 4286611456 4286611456 4286611456 4278190080 0 4282400768 4278190080 4286611456 4290822144 4290822144 4286611456 4286611456 4278190080 4278190080 4278190080 4286611456 4290822144 4290822144 4286611456 4286611456 4278190080 4278190080 0 4286611456 4294967040 4290822144 4286611456 4286611456 4278190080 4278190080 4278190080 4286611456 4294967040 4290822144 4286611456 4286611456 4278190080 0 0 4286611456 4294967040 4294967040 4290822144 4286611456 4278190080 4294958336 4294967040 4286611456 4294967040 4294967040 4290822144 4286611456 4278190080 0 0 4278190080 4286611456 4286611456 4286611456 4278190080 4294958336 4294967232 4294958336 4278190080 4286611456 4286611456 4286611456 4278190080 0 0 0 0 4278190080 4278190080 4278190080 0 4293765633 4294958336 4293765633 0 4278190080 4278190080 4278190080 0 0 0 0 0 0 0 0 4293765633 4294958336 4293765633 0 0 0 0 0 0 0 0 0 0 0 0 0 4293765633 4293765633 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0)
	offset: 0@0)! !

!TamIcons class methodsFor: 'accessing forms from /16x16/actions' stamp: 'apl 9/20/2007 13:31'!
form16x16ActionsSearch
	^ (Form
	extent: 16@16
	depth: 32
	fromArray: #( 4294951167 4294951167 4294951167 4294951167 4294951167 4294951167 4294951167 4294951167 4278190080 4278190080 4278190080 4278190080 4294951167 4294951167 4294951167 4294951167 4294951167 4294951167 4294951167 4294951167 4294951167 4294951167 4278190080 4283979864 4283979864 4282733150 4282996580 4283979864 4283979864 4278190080 4294951167 4294951167 4294951167 4294951167 4294951167 4294951167 4294951167 4278190080 4283979864 4278190080 4278190080 4278190080 4281218878 4279440404 4281679170 4283979864 4278190080 4294951167 4294951167 4294951167 4294951167 4294951167 4278190080 4283979864 4278190080 4278190080 4290107122 4291290105 4290437117 4289318893 4284379266 4281613638 4278190080 4294951167 4294951167 4294951167 4294951167 4294951167 4278190080 4278190080 4278190080 4290632432 4294967295 4294967295 4294967295 4290830843 4290043133 4278190080 4283979864 4278190080 4294951167 4294951167 4294951167 4294951167 4278190080 4278190080 4284050554 4292668148 4294967295 4294967295 4294967295 4294967295 4290109183 4278190080 4278190080 4278190080 4294951167 4294951167 4294951167 4294951167 4278190080 4278190080 4284642950 4292340213 4294967295 4294967295 4294967295 4294967295 4290109183 4281482309 4278190080 4278190080 4294951167 4294951167 4294951167 4294951167 4278190080 4283979864 4278190080 4291224314 4293914607 4294967295 4294967295 4291880695 4288660962 4278190080 4278190080 4278190080 4294951167 4294951167 4294951167 4294951167 4294951167 4278190080 4278190080 4288132557 4290699515 4292208629 4292339700 4290633980 4278190080 4278190080 4278190080 4294951167 4294951167 4294951167 4294951167 4294951167 4294951167 4286483607 4278190080 4278190080 4278190080 4286225585 4287409862 4278190080 4278190080 4283979864 4278190080 4294951167 4294951167 4294951167 4294951167 4284904056 4279374354 4279308561 4287666849 4286746005 4278190080 4278190080 4278190080 4278190080 4284511356 4278190080 4294951167 4294951167 4294951167 4294951167 4285959068 4278848011 4279242768 4279769112 4294951167 4294951167 4278190080 4278190080 4278190080 4278190080 4278190080 4294951167 4294951167 4294951167 4281348144 4281348144 4278848527 4278979596 4279308561 4286484632 4294951167 4294951167 4294951167 4294951167 4294951167 4294951167 4294951167 4294951167 4294951167 4294951167 4281348144 4281348144 4279243800 4278255874 4284443249 4294951167 4294951167 4294951167 4294951167 4294951167 4294951167 4294951167 4294951167 4294951167 4294951167 4294951167 4281348144 4278190080 4278190080 4281348144 4281348144 4294951167 4294951167 4294951167 4294951167 4294951167 4294951167 4294951167 4294951167 4294951167 4294951167 4294951167 4281348144 4281348144 4281348144 4281348144 4294951167 4294951167 4294951167 4294951167 4294951167 4294951167 4294951167 4294951167 4294951167 4294951167 4294951167 4294951167)
	offset: 0@0)! !

!TamIcons class methodsFor: 'accessing forms from /16x16/actions' stamp: 'apl 9/20/2007 13:31'!
form16x16ActionsSearchMethod
	^ (Form
	extent: 16@16
	depth: 32
	fromArray: #( 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4282733150 4282996580 0 0 0 0 0 0 0 0 0 0 15132646 4288593624 4278190080 4278190080 4278190080 4281218878 4279440404 4281679170 0 0 0 0 0 0 0 0 4289911030 4278190080 4278190080 4290107122 4291290105 4290437117 4289318893 4284379266 4281613638 0 0 0 0 0 0 0 4278190080 4278190080 4290632432 0 0 0 4290830843 4290043133 4278190080 0 0 0 0 0 0 0 4278190080 4284050554 0 0 0 0 0 4290109183 4278190080 4278190080 0 0 0 0 0 0 4278190080 4284642950 0 0 0 0 0 4290109183 4281482309 4278190080 0 0 0 0 0 0 4278190080 4278190080 4291224314 0 0 0 4291880695 4288660962 4278190080 4278190080 0 0 0 0 0 0 4286618282 4278190080 4288132557 0 0 0 4290633980 4278190080 4278190080 0 0 0 0 0 0 4289842659 4286483607 4278190080 0 0 0 0 0 4278190080 4286420911 0 0 0 0 0 4284904056 4279374354 4279308561 0 4294901760 4294901760 15132646 4294901760 4294901760 0 0 0 0 0 15132646 4285959068 4278848011 4279242768 4279769112 4290501361 0 4294901760 4294901760 15132646 4294901760 4294901760 0 0 0 0 4278190080 4278848527 4278979596 4279308561 4286484632 0 0 0 4294901760 4294901760 15132646 4294901760 4294901760 0 0 0 4278190080 4279243800 4278255874 4284443249 0 0 0 0 4294901760 4294901760 15132646 4294901760 4294901760 0 0 0 4278190080 4278190080 4278190080 0 0 0 0 4294901760 4294901760 15132646 4294901760 4294901760 0 0 0 0 0 0 0 0 0 0 0 4294901760 15132646 4294901760 4294901760 0 0 0 0)
	offset: 0@0)! !

!TamIcons class methodsFor: 'accessing forms from /16x16/actions' stamp: 'apl 9/20/2007 13:31'!
form16x16ActionsSearchSender
	^ (Form
	extent: 16@16
	depth: 32
	fromArray: #( 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4282733150 4282996580 0 0 0 0 0 0 0 0 0 0 15132646 4288593624 4278190080 4278190080 4278190080 4281218878 4279440404 4281679170 0 0 0 0 0 0 0 0 4289911030 4278190080 4278190080 4290107122 4291290105 4290437117 4289318893 4284379266 4281613638 0 0 0 0 0 0 0 4278190080 4278190080 4290632432 0 0 0 4290830843 4290043133 4278190080 0 0 0 0 0 0 0 4278190080 4284050554 0 0 0 0 0 4290109183 4278190080 4278190080 0 0 0 0 0 0 4278190080 4284642950 0 0 0 0 0 0 4281482309 4278190080 0 0 0 0 0 0 4278190080 4278190080 4291224314 0 0 0 4278239232 0 0 0 0 0 0 0 0 0 0 4278190080 0 0 4278239232 4278239232 4278239232 4278239232 4278239232 0 0 0 0 0 0 4289842659 4286483607 4278190080 0 4278239232 4278239232 4278239232 4278239232 4278239232 4278239232 4278239232 0 0 0 0 4284904056 4279374354 4279308561 4284443249 0 4278239232 4278239232 4278239232 4278239232 4278239232 4278239232 4278239232 0 0 15132646 4285959068 4278848011 4279242768 4279769112 4290501361 4278239232 4278239232 4278239232 4278239232 4278239232 4278239232 4278239232 4278239232 4278239232 0 4278190080 4278848527 4278979596 4279308561 4286484632 0 0 4278239232 4278239232 4278239232 4278239232 4278239232 4278239232 4278239232 0 0 4278190080 4279243800 4278255874 4284443249 0 0 0 4278239232 4278239232 4278239232 4278239232 4278239232 4278239232 4278239232 0 0 4278190080 4278190080 4278190080 0 0 0 0 0 4278239232 4278239232 4278239232 4278239232 4278239232 0 0 0 0 0 0 0 0 0 0 0 0 0 4278239232 0 0 0 0)
	offset: 0@0)! !

!TamIcons class methodsFor: 'accessing forms from /16x16/actions' stamp: 'apl 3/10/2007 09:43'!
form16x16ActionsSearchsender
	^ Form
		extent: 16 @ 16
		depth: 32
		fromArray: #(0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4282733150 4282996580 0 0 0 0 0 0 0 0 0 0 15132646 4288593624 4278190080 4278190080 4278190080 4281218878 4279440404 4281679170 0 0 0 0 0 0 0 0 4289911030 4278190080 4278190080 4290107122 4291290105 4290437117 4289318893 4284379266 4281613638 0 0 0 0 0 0 0 4278190080 4278190080 4290632432 0 0 0 4290830843 4290043133 4278190080 0 0 0 0 0 0 0 4278190080 4284050554 0 0 0 0 0 4290109183 4278190080 4278190080 0 0 0 0 0 0 4278190080 4284642950 0 0 0 0 0 0 4281482309 4278190080 0 0 0 0 0 0 4278190080 4278190080 4291224314 0 0 0 4278239232 0 0 0 0 0 0 0 0 0 0 4278190080 0 0 4278239232 4278239232 4278239232 4278239232 4278239232 0 0 0 0 0 0 4289842659 4286483607 4278190080 0 4278239232 4278239232 4278239232 4278239232 4278239232 4278239232 4278239232 0 0 0 0 4284904056 4279374354 4279308561 4284443249 0 4278239232 4278239232 4278239232 4278239232 4278239232 4278239232 4278239232 0 0 15132646 4285959068 4278848011 4279242768 4279769112 4290501361 4278239232 4278239232 4278239232 4278239232 4278239232 4278239232 4278239232 4278239232 4278239232 0 4278190080 4278848527 4278979596 4279308561 4286484632 0 0 4278239232 4278239232 4278239232 4278239232 4278239232 4278239232 4278239232 0 0 4278190080 4279243800 4278255874 4284443249 0 0 0 4278239232 4278239232 4278239232 4278239232 4278239232 4278239232 4278239232 0 0 4278190080 4278190080 4278190080 0 0 0 0 0 4278239232 4278239232 4278239232 4278239232 4278239232 0 0 0 0 0 0 0 0 0 0 0 0 0 4278239232 0 0 0 0 )
		offset: 0 @ 0! !

!TamIcons class methodsFor: 'accessing forms from /16x16/actions' stamp: 'apl 9/20/2007 13:31'!
form16x16ActionsSeveralWindows
	^ (Form
	extent: 16@16
	depth: 32
	fromArray: #( 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4282074703 4281745479 4282272339 4281877323 4280362537 4279703578 4279308562 4279571992 4279703578 4279440148 4285762720 0 0 0 0 0 4281218620 4290838527 4290838527 4290838527 4290838527 4290838527 4290838527 4290838527 4290838527 4290838527 4285499290 0 0 0 4282074703 4281745479 4282008909 4281877323 4280362537 4279703578 4279308562 4279571992 4279703578 4279440148 4285762720 4283984504 4285499290 0 0 0 4281218620 4290838527 4290838527 4290838527 4290838527 4290838527 4290838527 4290838527 4290838527 4290838527 4285499290 4283918712 4285499290 4282074703 4281745479 4282272339 4281877323 4280362537 4279703578 4279308562 4279571992 4279703578 4279440148 4285762720 4290838527 4283984504 4285499290 4284708744 4284708744 4281218620 4290838527 4290838527 4290838527 4290838527 4290838527 4290838527 4290838527 4290838527 4290838527 4285499290 4290838527 4283918712 4285499290 4283786868 4285433240 4282008909 4287409092 4290838527 4290838527 4290838527 4290838527 4290838527 4290838527 4290838527 4283984504 4285499290 4290838527 4284708744 4284708744 4284313728 4285169810 4281745223 4286157736 4290838527 4294967295 4290838527 4290838527 4294967295 4294967295 4294967295 4283918712 4285499290 4290838527 4283786868 4284708744 4283852918 4284708744 4280296487 4287211712 4290838527 4290838527 4294967295 4290838527 4294967295 4290838527 4294967295 4284708744 4286157736 4290838527 4283852918 4283852918 4280625968 4284708744 4282206546 4287079869 4290838527 4294967295 4290838527 4294967295 4290838527 4294967295 4294967295 4283786868 4286157736 4290838527 4283852918 4284708744 0 0 4282074702 4287409092 4290838527 4290838527 4294967295 4294967295 4290838527 4294967295 4294967295 4284313728 4285169810 4280559918 4280625968 4284708744 0 0 4282074702 4287211712 4290838527 4290838527 4290838527 4294967295 4294967295 4294967295 4294967295 4283852918 4284708744 0 0 0 0 0 4283984505 4279440404 4280296488 4281481536 4280559918 4280559918 4280559918 4280559918 4280559918 4280625968 4284708744 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0)
	offset: 0@0)! !

!TamIcons class methodsFor: 'accessing forms from /16x16/actions' stamp: 'apl 9/20/2007 13:31'!
form16x16ActionsSmiley
	^ (Form
	extent: 16@16
	depth: 32
	fromArray: #( 0 0 0 0 0 4283979864 4283979864 4283979864 4283979864 4283979864 4283979864 0 0 0 0 0 0 0 0 4283979864 4283979864 4294967040 4294967040 4294967040 4294967040 4294967040 4294967040 4283979864 4283979864 0 0 0 0 0 4283979864 4294967040 4294967040 4294967040 4294967040 4294967040 4294967040 4294967040 4294967040 4294967040 4294967040 4283979864 0 0 0 4283979864 4294967040 4294967040 4294967040 4294967040 4294967040 4294967040 4294967040 4294967040 4294967040 4294967040 4294967040 4294967040 4283979864 0 0 4283979864 4294967040 4294967040 4294967040 4283979864 4283979864 4294967040 4294967040 4283979864 4283979864 4294967040 4294967040 4294967040 4283979864 0 4283979864 4294967040 4294967040 4294967040 4294967040 4283979864 4294967232 4294967040 4294967040 4283979864 4294967232 4294967040 4294967040 4294967040 4294967040 4283979864 4283979864 4294967040 4294967040 4294967040 4294967040 4283979864 4294967232 4294967040 4294967040 4283979864 4294967232 4294967040 4294967040 4294967040 4294967040 4283979864 4283979864 4294967040 4294967040 4294967040 4294967040 4283979864 4283979864 4294967040 4294967040 4283979864 4283979864 4294967040 4294967040 4294967040 4294967040 4283979864 4283979864 4294967040 4294967040 4294967040 4294967040 4294967040 4294967040 4294967040 4294967040 4294967040 4294967040 4294967040 4294967040 4294967040 4294967040 4283979864 4283979864 4294967040 4294967040 4294967040 4281348144 4294967040 4294967040 4294967040 4294967040 4294967040 4294967040 4281348144 4294967040 4294967040 4294967040 4283979864 4283979864 4294967040 4294967040 4294967040 4281348144 4294967040 4294967040 4294967040 4294967040 4294967040 4294967040 4281348144 4294967040 4294967040 4294967040 4283979864 0 4283979864 4294967040 4294967040 4294967232 4281348144 4294967040 4294967040 4294967040 4294967040 4281348144 4294967232 4294967040 4294967040 4283979864 0 0 4283979864 4294967040 4294967040 4294967040 4294967232 4281348144 4281348144 4281348144 4281348144 4294967232 4294967040 4294967040 4294967040 4283979864 0 0 0 4283979864 4294967040 4294967040 4294967040 4294967040 4294967040 4294967040 4294967040 4294967040 4294967040 4294967040 4283979864 0 0 0 0 0 4283979864 4283979864 4294967040 4294967040 4294967040 4294967040 4294967040 4294967040 4283979864 4283979864 0 0 0 0 0 0 0 0 0 4283979864 4283979864 4283979864 4283979864 4283979864 0 0 0 0 0)
	offset: 0@0)! !

!TamIcons class methodsFor: 'accessing forms from /16x16/actions' stamp: 'apl 9/20/2007 13:31'!
form16x16ActionsTamBrowserOpen
	^ (Form
	extent: 16@16
	depth: 32
	fromArray: #( 0 0 0 0 0 0 4292664540 4278222848 4278222848 4278222848 4278222848 4278222848 4278222848 4278222848 4278222848 4278222848 0 0 0 0 0 0 4292664540 4278206464 4294967232 4278239232 4294967232 4294967232 4294967232 4294967232 4294967232 4278222848 0 0 0 0 0 0 4292664540 4278206464 4294967232 4278239232 4278239232 4294967232 4294967232 4278239232 4294967232 4278222848 0 0 0 0 0 0 4292664540 4278206464 4278239232 4278239232 4278239232 4278239232 4278239232 4278239232 4278239232 4278222848 0 0 0 0 0 0 4292664540 4278206464 4294967232 4294967232 4294967232 4294967232 4294967232 4294967232 4294967232 4278222848 0 0 0 0 0 0 4292664540 4278206464 4290838464 4290838464 4290838464 4294967232 4294967232 4290838464 4294967232 4278222848 4284111450 4284900966 4283782485 4291019715 4291019715 4291019715 4292664540 4278206464 4290838464 4294967232 4290838464 4290838464 4294967232 4294967232 4294967232 4278222848 4284308829 4293190884 4289256703 4289256703 4289256703 4289256703 4292664540 4278206464 4290838464 4294967232 4294967232 4294967232 4294967232 4290838464 4290838464 4278222848 4283782485 4291282887 4291282887 4284000511 4284000511 4284000511 4292664540 4278206464 4278206464 4278206464 4278206464 4278206464 4278206464 4278222848 4278222848 4278222848 4283782485 4294967283 4294967283 4294967283 4286611584 4294967283 4292664540 4292664540 4292664540 4292664540 4292664540 4292664540 4292664540 4292664540 4292664540 4292664540 4283782485 4286611584 4286611584 4286611584 4286611584 4294967295 4294967295 4294967295 4294967295 4294967295 4291019715 0 0 0 0 0 4283782485 4292796120 4294967292 4294967295 4286611584 4294967295 4294967295 4294967295 4294967293 4294967289 4291019715 0 0 0 0 0 4283782485 4286611584 4286611584 4286611584 4286611584 4294967295 4294967295 4294967291 4294967288 4294967284 4291019715 0 0 0 0 0 4283782485 4292796120 4294967292 4294967292 4286611584 4294967294 4294967295 4294967286 4294967282 4294967279 4291019715 0 0 0 0 0 4283782485 4286611584 4286611584 4286611584 4286611584 4294967288 4294967295 4294967294 4294967294 4294967294 4291019715 0 0 0 0 0 4283782485 4292796126 4294967295 4294967291 4286611584 4291019715 4291019715 4291019715 4291019715 4291019715 4291019715 0 0 0 0 0)
	offset: 0@0)! !

!TamIcons class methodsFor: 'accessing forms from /16x16/actions' stamp: 'apl 9/20/2007 13:31'!
form16x16ActionsTwoHorizontalPanes
	^ (Form
	extent: 16@16
	depth: 32
	fromArray: #( 4288716960 4288716960 4288716960 4288716960 4288716960 4288716960 4288716960 4288716960 4288716960 4288716960 4288716960 0 0 0 0 0 4288716960 0 0 0 0 0 0 0 0 0 4288716960 0 0 0 0 0 4288716960 0 0 0 0 0 0 0 0 0 4288716960 0 0 0 0 0 4288716960 0 0 0 0 0 0 0 0 0 4288716960 0 0 0 0 0 4288716960 0 0 0 0 0 0 0 0 0 4288716960 0 0 0 0 0 4288716960 0 0 0 0 0 0 0 0 0 4288716960 0 0 0 0 0 4288716960 0 0 4281348144 4281348144 4281348144 4281348144 4281348144 4281348144 4281348144 4281348144 4281348144 4281348144 4281348144 4281348144 4281348144 4288716960 0 0 4281348144 0 0 0 0 0 0 0 0 0 0 0 4281348144 4288716960 4288716960 4288716960 4281348144 0 0 0 0 0 0 0 0 0 0 0 4281348144 0 0 0 4281348144 0 0 0 0 0 0 0 0 0 0 0 4281348144 0 0 0 4281348144 4281348144 4281348144 4281348144 4281348144 4281348144 4281348144 4281348144 4281348144 4281348144 4281348144 4281348144 4281348144 0 0 0 4281348144 4281348144 4281348144 4281348144 4281348144 4281348144 4281348144 4281348144 4281348144 4281348144 4281348144 4281348144 4281348144 0 0 0 4281348144 0 0 0 0 0 0 0 0 0 0 0 4281348144 0 0 0 4281348144 0 0 0 0 0 0 0 0 0 0 0 4281348144 0 0 0 4281348144 0 0 0 0 0 0 0 0 0 0 0 4281348144 0 0 0 4281348144 4281348144 4281348144 4281348144 4281348144 4281348144 4281348144 4281348144 4281348144 4281348144 4281348144 4281348144 4281348144)
	offset: 0@0)! !

!TamIcons class methodsFor: 'accessing forms from /16x16/actions' stamp: 'apl 9/20/2007 13:31'!
form16x16ActionsTwoVerticalPanes
	^ (Form
	extent: 16@16
	depth: 32
	fromArray: #( 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4282074702 4282074702 4282074702 4282074702 4282074702 4282074702 4282074702 4282074702 4282074702 4282074702 4282074702 4282074702 4282074702 4282074702 0 0 4282074702 0 0 0 0 0 4282074702 4285433240 0 0 0 0 4287474886 4282074702 0 0 4282074702 0 0 0 0 0 4282074702 4285433240 0 0 0 0 4285762720 4282074702 0 0 4282074702 0 0 15132646 15132646 15132646 4282074702 4285433240 15132646 15132646 0 0 4285499290 4282074702 0 0 4282074702 0 0 15132646 15132646 15132646 4282074702 4285433240 15132646 15132646 0 0 4285499290 4282074702 0 0 4282074702 0 0 0 0 0 4282074702 4285433240 0 0 0 0 4285499290 4282074702 0 0 4282074702 0 0 0 0 0 4282074702 4285433240 0 0 0 0 4285433240 4282074702 0 0 4282074702 0 0 0 15132646 15132646 4282074702 4285433240 0 0 15132646 0 4285433240 4282074702 0 0 4282074702 0 0 0 0 15132646 4282074702 4285433240 15132646 15132646 15132646 0 4285169810 4282074702 0 0 4282074702 0 0 0 0 0 4282074702 4285433240 0 0 0 0 4284708744 4282074702 0 0 4282074702 4287474886 4287474886 4287474886 4287474886 4287474886 4282074702 4285433240 4287474886 4287474886 4287474886 4287474886 4287474886 4282074702 0 0 4282074702 4282074702 4282074702 4282074702 4282074702 4282074702 4282074702 4282074702 4282074702 4282074702 4282074702 4282074702 4282074702 4282074702 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0)
	offset: 0@0)! !

!TamIcons class methodsFor: 'accessing forms from /16x16/actions' stamp: 'apl 9/20/2007 13:31'!
form16x16ActionsUnaccepted
	^ (Form
	extent: 16@16
	depth: 32
	fromArray: #( 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294901760 4294901760 0 0 0 0 0 0 0 0 0 0 0 0 0 4294901760 4294901760 4294901760 4294901760 0 0 0 0 0 0 0 0 0 0 0 4294901760 4294901760 4294901760 4294901760 4294901760 4294901760 0 0 0 0 0 0 0 0 0 4294901760 4294901760 4294901760 0 0 4294901760 4294901760 4294901760 0 0 0 0 0 0 0 4294901760 4294901760 4294901760 0 0 0 0 4294901760 4294901760 4294901760 0 0 0 0 0 4294901760 4294901760 4294901760 0 0 0 0 0 0 4294901760 4294901760 4294901760 0 0 0 0 4294901760 4294901760 4294901760 0 0 0 0 0 0 4294901760 4294901760 4294901760 0 0 0 0 0 4294901760 4294901760 4294901760 0 0 0 0 4294901760 4294901760 4294901760 0 0 0 0 0 0 0 4294901760 4294901760 4294901760 0 0 4294901760 4294901760 4294901760 0 0 0 0 0 0 0 0 0 4294901760 4294901760 4294901760 4294901760 4294901760 4294901760 0 0 0 0 0 0 0 0 0 0 0 4294901760 4294901760 4294901760 4294901760 0 0 0 0 0 0 0 0 0 0 0 0 0 4294901760 4294901760 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0)
	offset: 0@0)! !

!TamIcons class methodsFor: 'accessing forms from /16x16/actions' stamp: 'apl 9/20/2007 13:31'!
form16x16ActionsUp
	^ (Form
	extent: 16@16
	depth: 32
	fromArray: #( 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294967040 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294967040 4294967040 4286611456 0 0 0 0 0 0 0 0 0 0 0 0 4294967040 4294967232 4294967232 4294967040 4286611456 0 0 0 0 0 0 0 0 0 0 4294967040 4294967232 4294967295 4294967295 4294703872 4294967040 4286611456 0 0 0 0 0 0 0 0 4294967040 4294967232 4294967295 4294967295 4294967295 4294967040 4294967040 4294967040 4286611456 0 0 0 0 0 0 4294967040 4294967040 4294967232 4294967232 4294967232 4294967040 4294967040 4294967040 4294967040 4294967040 4286611456 0 0 0 0 4286611456 4286611456 4286611456 4286611456 4286611456 4286611456 4286611456 4286611456 4286611456 4286611456 4286611456 4286611456 4286611456 0 0 0 0 0 0 0 0 0 4278190080 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278190080 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278190080 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278190080 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278190080 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0)
	offset: 0@0)! !

!TamIcons class methodsFor: 'accessing forms from /16x16/actions' stamp: 'apl 9/20/2007 13:31'!
form16x16ActionsUpLevelGreen
	^ (Form
	extent: 16@16
	depth: 32
	fromArray: #( 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4285032552 4278663687 4278605830 4278603782 4278661895 4279120910 4282466625 0 0 0 0 0 0 0 0 0 4281874488 4278313473 4278255360 4278255360 4278255360 4278488580 4285822068 0 0 0 0 0 0 0 0 0 4280953386 4278316289 4278255360 4278255360 4278487556 4283914327 0 0 0 0 0 0 0 0 0 0 4280492835 4278254848 4278254080 4278486532 4283323220 0 0 0 0 0 0 0 0 0 0 0 4279505940 4278316545 4278540293 4283453520 4281217075 4286481287 0 0 0 0 0 0 0 0 0 0 4280953386 4278603270 4284703587 0 0 4281348144 4288716960 0 0 0 0 0 0 0 0 0 4287006342 4289309097 0 0 0 4288716960 4282927176 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4281216558 4288716960 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4288716960 4278190080 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0)
	offset: 0@0)! !

!TamIcons class methodsFor: 'accessing forms from /16x16/actions' stamp: 'apl 9/20/2007 13:31'!
form16x16ActionsUpLevelRed
	^ (Form
	extent: 16@16
	depth: 32
	fromArray: #( 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4285032552 4278663687 4278605830 4278603782 4278661895 4279120910 4282466625 0 0 0 0 0 0 0 0 0 4281874488 4294901760 4294901760 4294901760 4294901760 4278488580 4285822068 0 0 0 0 0 0 0 0 0 4280953386 4294901760 4294901760 4294901760 4278487556 4283914327 0 0 0 0 0 0 0 0 0 0 4280492835 4294901760 4294901760 4278486532 4283323220 0 0 0 0 0 0 0 0 0 0 0 4279505940 4294901760 4278540293 4283453520 4281217075 4286481287 0 0 0 0 0 0 0 0 0 0 4280953386 4278603270 4284703587 0 4286611584 4281348144 4288716960 0 0 0 0 0 0 0 0 0 4287006342 4289309097 15132646 0 0 4288716960 4282927176 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4281216558 4288716960 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4288716960 4278190080 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 15132646 15132646 0 0 0)
	offset: 0@0)! !

!TamIcons class methodsFor: 'accessing forms from /16x16/actions' stamp: 'apl 9/20/2007 13:31'!
form16x16ActionsWhiteOk
	^ (Form
	extent: 16@14
	depth: 32
	fromArray: #( 1090519039 1090519039 1090519039 1090519039 1090519039 1090519039 1090519039 1090519039 1090519039 1090519039 1090519039 1090519039 1090519039 1090519039 1090519039 4291019715 1090519039 1090519039 1090519039 1090519039 1090519039 1090519039 1090519039 1090519039 1090519039 1090519039 1090519039 1090519039 1090519039 1090519039 4291019715 4291019715 1090519039 1090519039 1090519039 1090519039 1090519039 1090519039 1090519039 1090519039 1090519039 1090519039 1090519039 1090519039 1090519039 4291019715 4294967295 4291019715 1090519039 1090519039 1090519039 1090519039 1090519039 1090519039 1090519039 1090519039 1090519039 1090519039 1090519039 1090519039 4291019715 4294967295 4294967295 4291019715 1090519039 0 0 1090519039 1090519039 1090519039 1090519039 1090519039 1090519039 1090519039 1090519039 4291019715 4294967295 4294967295 4286611584 4278190080 0 4291019715 4291019715 4291019715 1090519039 1090519039 1090519039 1090519039 1090519039 1090519039 4291019715 4294967295 4294967295 4286611584 4278190080 1090519039 0 4291019715 4294967295 4294967295 4291019715 1090519039 1090519039 1090519039 1090519039 4291019715 4294967295 4294967295 4286611584 4278190080 1090519039 1090519039 0 4286611584 4294967295 4294967295 4294967295 4291019715 1090519039 1090519039 4291019715 4294967295 4294967295 4286611584 4278190080 1090519039 1090519039 1090519039 1090519039 4278190080 4286611584 4294967295 4294967295 4294967295 4291019715 4291019715 4294967295 4294967295 4286611584 4278190080 1090519039 1090519039 1090519039 1090519039 1090519039 1090519039 4278190080 4286611584 4294967295 4294967295 4294967295 4294967295 4294967295 4286611584 4278190080 1090519039 1090519039 1090519039 1090519039 1090519039 1090519039 1090519039 1090519039 4278190080 4286611584 4294967295 4294967295 4294967295 4286611584 4278190080 1090519039 1090519039 1090519039 1090519039 1090519039 1090519039 1090519039 1090519039 1090519039 1090519039 4278190080 4286611584 4294967295 4286611584 4278190080 1090519039 1090519039 1090519039 1090519039 1090519039 1090519039 1090519039 1090519039 1090519039 1090519039 1090519039 1090519039 4278190080 4278190080 4278190080 1090519039 1090519039 1090519039 1090519039 1090519039 1090519039 1090519039 1090519039 1090519039 1090519039 1090519039 1090519039 1090519039 1090519039 1090519039 1090519039 1090519039 1090519039 1090519039 1090519039 1090519039 1090519039 1090519039 1090519039)
	offset: 0@0)! !

!TamIcons class methodsFor: 'accessing forms from /16x16/actions' stamp: 'apl 3/20/2007 11:51'!
form16x16ActionsWithHandles
	^ (Form
	extent: 16@16
	depth: 32
	fromArray: #( 0 0 0 0 0 4278190080 4278190080 4278190080 4278190080 0 0 4278190080 4278190080 4278190080 4278190080 0 0 0 0 0 0 4278190080 4294967040 4294967040 4278190080 0 0 4278190080 4294967040 4294967040 4278190080 0 0 0 0 0 0 4278190080 4294967040 4294967040 4278190080 0 0 4278190080 4294967040 4294967040 4278190080 0 0 0 0 0 0 4278190080 4278190080 4278190080 4278190080 0 0 4278190080 4278190080 4278190080 4278190080 0 4278190080 4278190080 4278190080 4278190080 0 0 0 0 0 0 0 0 0 0 0 0 4278190080 4294967040 4294967040 4278190080 0 0 0 0 0 0 0 0 0 0 0 0 4278190080 4294967040 4294967040 4278190080 0 4278190080 4278190080 4278190080 4278190080 0 0 4278190080 4278190080 4278190080 4278190080 0 4278190080 4278190080 4278190080 4278190080 0 4278190080 4294967040 4294967040 4278190080 0 0 4278190080 4294967040 4294967040 4278190080 0 0 0 0 0 0 4278190080 4294967040 4294967040 4278190080 0 0 4278190080 4294967040 4294967040 4278190080 0 0 0 0 0 0 4278190080 4278190080 4278190080 4278190080 0 0 4278190080 4278190080 4278190080 4278190080 0 4278190080 4278190080 4278190080 4278190080 0 0 0 0 0 0 0 0 0 0 0 0 4278190080 4294967040 4294967040 4278190080 4278190080 4278190080 4278190080 4278190080 0 0 4278190080 4278190080 4278190080 4278190080 0 0 4278190080 4294967040 4294967040 4278190080 4278190080 4294967040 4294967040 4278190080 0 0 4278190080 4294967040 4294967040 4278190080 0 0 4278190080 4278190080 4278190080 4278190080 4278190080 4294967040 4294967040 4278190080 0 0 4278190080 4294967040 4294967040 4278190080 0 0 0 0 0 0 4278190080 4278190080 4278190080 4278190080 0 0 4278190080 4278190080 4278190080 4278190080 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0)
	offset: 0@0)! !

!TamIcons class methodsFor: 'accessing forms from /16x16/actions' stamp: 'apl 3/20/2007 11:51'!
form16x16ActionsWithNames
	^ (Form
	extent: 16@16
	depth: 32
	fromArray: #( 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4292664540 4292664540 4292664540 4292664540 4292664540 4292664540 4292664540 4292664540 4292664540 4292664540 4292664540 4292664540 4292664540 4292664540 4292664540 4286611584 4292664540 4292664540 4278190080 4292664540 4292664540 4278190080 4278190080 4278190080 4292664540 4292664540 4278190080 4278190080 4278190080 4292664540 4292664540 4286611584 4292664540 4292664540 4278190080 4292664540 4292664540 4278190080 4278190080 4278190080 4292664540 4292664540 4278190080 4292664540 4278190080 4292664540 4292664540 4286611584 4292664540 4292664540 4278190080 4278190080 4292664540 4278190080 4292664540 4278190080 4292664540 4292664540 4278190080 4278190080 4278190080 4292664540 4292664540 4286611584 4292664540 4292664540 4292664540 4292664540 4292664540 4292664540 4292664540 4292664540 4292664540 4292664540 4292664540 4292664540 4292664540 4292664540 4292664540 4286611584 4292664540 4292664540 4292664540 4292664540 4292664540 4292664540 4292664540 4292664540 4292664540 4292664540 4292664540 4292664540 4292664540 4292664540 4292664540 4286611584 4286611584 4286611584 4286611584 4286611584 4286611584 4286611584 4286611584 4286611584 4286611584 4286611584 4286611584 4286611584 4286611584 4286611584 4286611584 4286611584 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0)
	offset: 0@0)! !

!TamIcons class methodsFor: 'accessing forms from /16x16/actions' stamp: 'apl 3/20/2007 11:51'!
form16x16ActionsWithTriangles
	^ (Form
	extent: 16@16
	depth: 32
	fromArray: #( 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278239232 0 0 0 0 0 0 0 0 0 0 0 0 0 4278239232 4278239232 4278239232 0 0 0 0 0 0 0 0 0 0 0 4278239232 4278239232 0 4278239232 0 0 0 0 0 0 0 0 0 0 4278239232 4278239232 0 0 0 4278239232 0 0 0 0 0 0 0 4278239232 4278239232 4278239232 0 0 0 0 4278239232 0 0 0 0 0 0 4278239232 4278239232 0 0 0 0 0 0 0 4278239232 0 0 0 0 0 0 0 4278239232 0 0 0 0 0 0 4278239232 0 0 0 0 0 0 0 0 0 4278239232 0 0 0 0 0 4278239232 0 0 0 0 0 0 0 0 0 0 4278239232 0 0 0 4278239232 0 0 0 0 0 0 0 0 0 0 0 0 4278239232 0 0 4278239232 0 0 0 0 0 0 0 0 0 0 0 0 0 4278239232 4278239232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278239232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0)
	offset: 0@0)! !

!TamIcons class methodsFor: 'accessing forms from /16x16/actions' stamp: 'apl 3/20/2007 11:51'!
form16x16ActionsWithoutHandles
	^ (Form
	extent: 16@16
	depth: 32
	fromArray: #( 0 0 0 0 0 4278190080 4278190080 4278190080 4278190080 0 0 4278190080 4278190080 4278190080 4278190080 0 0 0 0 0 0 4278190080 4294967040 4294967040 4278190080 0 0 4278190080 4294967040 4294967040 4278190080 0 0 0 4294901760 4294901760 0 4278190080 4294967040 4294967040 4278190080 0 0 4278190080 4294967040 4294967040 4278190080 0 0 0 0 4294901760 4294901760 4278190080 4278190080 4278190080 4278190080 0 0 4278190080 4278190080 4278190080 4278190080 0 4278190080 4278190080 4278190080 4278190080 4294901760 4294901760 0 0 0 0 0 0 4294901760 4294901760 0 0 4278190080 4294967040 4294967040 4278190080 0 4294901760 4294901760 0 0 0 4294901760 4294901760 0 0 0 0 4278190080 4294967040 4294967040 4278190080 0 4278190080 4294901760 4294901760 4294901760 4294901760 0 4278190080 4278190080 4278190080 4278190080 0 4278190080 4278190080 4278190080 4278190080 0 4278190080 4294967040 4294901760 4294901760 0 0 4278190080 4294967040 4294967040 4278190080 0 0 0 0 0 0 4278190080 4294901760 4294901760 4294901760 0 0 4278190080 4294967040 4294967040 4278190080 0 0 0 0 0 0 4294901760 0 0 0 4294901760 0 4278190080 4278190080 4278190080 4278190080 0 4278190080 4278190080 4278190080 4294901760 4294901760 0 0 0 0 0 4294901760 4294901760 0 0 0 0 4278190080 4294967040 4294901760 4294901760 4278190080 4278190080 4278190080 4278190080 0 0 4278190080 4294901760 4294901760 4278190080 0 0 4278190080 4294967040 4294901760 4278190080 4278190080 4294967040 4294967040 4278190080 0 0 4278190080 4294967040 4294901760 4278190080 0 0 4278190080 4294901760 4278190080 4278190080 4278190080 4294967040 4294967040 4278190080 0 0 4278190080 4294967040 4294967040 4278190080 0 0 0 0 0 0 4278190080 4278190080 4278190080 4278190080 0 0 4278190080 4278190080 4278190080 4278190080 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0)
	offset: 0@0)! !

!TamIcons class methodsFor: 'accessing forms from /16x16/actions' stamp: 'apl 3/20/2007 11:51'!
form16x16ActionsWithoutNames
	^ (Form
	extent: 16@16
	depth: 32
	fromArray: #( 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294901760 4294901760 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294901760 4294901760 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294901760 4294901760 0 0 0 0 0 0 4294901760 4294901760 0 0 4292664540 4292664540 4292664540 4292664540 4292664540 4294901760 4294901760 4292664540 4292664540 4292664540 4294901760 4294901760 4292664540 4292664540 4292664540 4286611584 4292664540 4292664540 4278190080 4292664540 4292664540 4278190080 4294901760 4294901760 4294901760 4294901760 4278190080 4278190080 4278190080 4292664540 4292664540 4286611584 4292664540 4292664540 4278190080 4292664540 4292664540 4278190080 4278190080 4294901760 4294901760 4292664540 4278190080 4292664540 4278190080 4292664540 4292664540 4286611584 4292664540 4292664540 4278190080 4278190080 4292664540 4278190080 4294901760 4294901760 4294901760 4292664540 4278190080 4278190080 4278190080 4292664540 4292664540 4286611584 4292664540 4292664540 4292664540 4292664540 4292664540 4294901760 4292664540 4292664540 4292664540 4294901760 4292664540 4292664540 4292664540 4292664540 4292664540 4286611584 4292664540 4292664540 4292664540 4294901760 4294901760 4292664540 4292664540 4292664540 4292664540 4292664540 4294901760 4294901760 4292664540 4292664540 4292664540 4286611584 4286611584 4286611584 4294901760 4294901760 4286611584 4286611584 4286611584 4286611584 4286611584 4286611584 4286611584 4294901760 4294901760 4286611584 4286611584 4286611584 0 0 4294901760 0 0 0 0 0 0 0 0 0 4294901760 0 0 0 0 4294901760 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0)
	offset: 0@0)! !

!TamIcons class methodsFor: 'accessing forms from /16x16/actions' stamp: 'apl 3/20/2007 11:51'!
form16x16ActionsWithoutTriangles
	^ (Form
	extent: 16@16
	depth: 32
	fromArray: #( 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294901760 4294901760 0 0 0 0 0 0 0 0 0 4278255360 0 0 0 0 0 4294901760 4294901760 0 0 0 0 0 0 4278255360 4278255360 4278255360 0 0 0 0 0 0 4294901760 4294901760 0 0 0 4278255360 4278255360 0 4294901760 4294901760 0 0 0 0 0 0 0 4294901760 4294901760 4278255360 4278255360 0 4294901760 4294901760 4278255360 0 0 0 0 0 0 0 4278255360 4278255360 4294901760 4294901760 4294901760 4294901760 0 4278255360 0 0 0 0 0 0 4278255360 4278255360 0 0 0 4294901760 4294901760 0 0 4278255360 0 0 0 0 0 0 0 4278255360 0 0 4294901760 4294901760 4294901760 0 4278255360 0 0 0 0 0 0 0 0 0 4278255360 4294901760 0 0 0 4294901760 4278255360 0 0 0 0 0 0 0 0 4294901760 4294901760 4278255360 0 0 0 4278255360 4294901760 4294901760 0 0 0 0 0 0 4294901760 4294901760 0 0 4278255360 0 0 4278255360 0 4294901760 4294901760 0 0 0 0 0 4294901760 0 0 0 0 4278255360 4278255360 0 0 0 4294901760 0 0 0 0 4294901760 0 0 0 0 0 0 4278255360 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0)
	offset: 0@0)! !

!TamIcons class methodsFor: 'accessing forms from /16x16/actions' stamp: 'apl 3/20/2007 11:51'!
form16x16ActionsZoomIn
	^ (Form
	extent: 16@16
	depth: 32
	fromArray: #( 0 0 0 0 0 0 0 0 0 111058606 0 0 0 0 0 0 0 0 0 4290035396 4290627532 4290759118 4290758862 4290692811 0 0 60069029 0 0 0 0 0 0 0 4290364361 4291548375 4292008924 4291614425 4291088082 4291285461 4274573780 0 0 0 0 0 0 0 0 4289837761 4291417047 4292863975 4293455341 4292008669 4292272096 4291943388 4292206303 4291087052 0 0 0 0 0 0 0 4290495946 4291877339 4293389805 4293718257 4292271840 4292929512 4292732389 4292798183 4292535010 0 0 0 0 0 0 0 4290693325 4291219411 4278239232 4278239232 4278239232 4293389805 4293324012 4293455341 4293324012 0 0 0 0 0 0 0 4290495947 4291153619 4278239232 4278255360 4278239232 4293455341 4293784049 4293981428 4293323498 0 0 0 0 0 0 0 4290035139 4290956496 4278239232 4278255360 4278239232 4293652720 4294178550 4294507001 4291217609 0 0 0 0 0 0 4278239232 4278239232 4278239232 4278239232 4278255360 4278239232 4278239232 4278239232 4278239232 4287401108 0 0 0 0 0 0 4278239232 4278255360 4278255360 4278255360 4278255360 4278255360 4278255360 4278255360 4278239232 4287137944 3147402381 2025616414 548826394 0 0 0 4278239232 4278239232 4278239232 4278239232 4278255360 4278239232 4278239232 4278239232 4278239232 2827517313 4222451274 4191653932 2948428054 396517144 0 0 0 0 0 4278239232 4278255360 4278239232 0 0 0 1721128729 4090603098 4294299771 4292844083 2947508246 545738009 0 0 0 0 4278239232 4278255360 4278239232 0 0 0 328028185 2376298028 4292523629 4294299770 4191719723 2795526675 477643288 0 0 0 4278239232 4278239232 4278239232 0 0 0 0 259868699 2375311917 4107448685 4294167671 4225077293 3112652056 0 0 0 0 0 0 0 0 0 0 0 325136919 2273661991 4174492014 4292324963 4286667841 0 0 0 0 0 0 0 0 0 0 0 0 291450903 3078245671 4286669388 3579926891)
	offset: 0@0)! !

!TamIcons class methodsFor: 'accessing forms from /16x16/actions' stamp: 'apl 3/20/2007 11:51'!
form16x16ActionsZoomOut
	^ (Form
	extent: 16@16
	depth: 32
	fromArray: #( 0 0 0 0 0 0 0 0 0 111058606 0 0 0 0 0 0 0 0 0 4290035396 4290627532 4290759118 4290758862 4290692811 0 0 60069029 0 0 0 0 0 0 0 4290364361 4291548375 4292008924 4291614425 4291088082 4291285461 4274573780 0 0 0 0 0 0 0 0 4289837761 4291417047 4292863975 4293455341 4292008669 4292272096 4291943388 4292206303 4291087052 0 0 0 0 0 0 0 4290495946 4291877339 4293389805 4293718257 4292271840 4292929512 4292732389 4292798183 4292535010 0 0 0 0 0 0 0 4290693325 4291219411 4293389805 4293389805 4293389805 4293389805 4293324012 4293455341 4293324012 0 0 0 0 0 0 0 4290495947 4291153619 4293389805 4293389805 4293389805 4293389805 4293784049 4293981428 4293323498 0 0 0 0 0 0 0 4290035139 4290956496 4293389805 4293389805 4293389805 4293389805 4294178550 4294507001 4291217609 0 0 0 0 0 0 4278239232 4278239232 4278239232 4278239232 4278239232 4278239232 4278239232 4278239232 4278239232 4287401108 0 0 0 0 0 0 4278239232 4278255360 4278255360 4278255360 4278255360 4278255360 4278255360 4278255360 4278239232 4287137944 3147402381 2025616414 548826394 0 0 0 4278239232 4278239232 4278239232 4278239232 4278239232 4278239232 4278239232 4278239232 4278239232 2827517313 4222451274 4191653932 2948428054 396517144 0 0 0 0 0 0 0 0 0 0 0 1721128729 4090603098 4294299771 4292844083 2947508246 545738009 0 0 0 0 0 0 0 0 0 0 328028185 2376298028 4292523629 4294299770 4191719723 2795526675 477643288 0 0 0 0 0 0 0 0 0 0 259868699 2375311917 4107448685 4294167671 4225077293 3112652056 0 0 0 0 0 0 0 0 0 0 0 325136919 2273661991 4174492014 4292324963 4286667841 0 0 0 0 0 0 0 0 0 0 0 0 291450903 3078245671 4286669388 3579926891)
	offset: 0@0)! !

!TamIcons class methodsFor: 'accessing forms from /16x16/apps' stamp: 'apl 9/20/2007 13:31'!
form16x16AppsBrowser
	^ (Form
	extent: 16@16
	depth: 32
	fromArray: #( 4278223872 4278223872 4278223872 4278223872 4278223872 4278223872 4278223872 4278223872 4278223872 4278223872 4278223872 4278223872 4278223872 4278223872 4278223872 4278946315 4278223872 4278223872 4278223872 4278223872 4278223872 4278223872 4278223872 4278223872 4278223872 4278223872 4278223872 4278223872 4278223872 4278223872 4278223872 4278946315 4278223872 4290838208 4294901502 4280457506 4290838208 4290838208 4282691140 4294901502 4289457835 4294901502 4290838208 4281245742 4290838208 4294901502 4290838208 4278946315 4278223872 4290838208 4290838208 4280851496 4290838208 4294901502 4283413839 4294901502 4290838208 4290838208 4290838208 4281705525 4290838208 4290838208 4290838208 4278946315 4278223872 4290838208 4290838208 4278946315 4290838208 4290838208 4279603477 4290838208 4290838208 4290838208 4290838208 4279143438 4290838208 4290838208 4290838208 4278946315 4281048619 4281048619 4281048619 4281048619 4281048619 4281048619 4281048619 4281048619 4281048619 4281048619 4281048619 4281048619 4281048619 4281048619 4281048619 4278946315 4278223872 4290838208 4289457835 4290838208 4290838208 4290838208 4286041463 4290838208 4290838208 4286041463 4290838208 4290838208 4294901502 4290838208 4290838208 4278946315 4278223872 4278223872 4283479376 4279406354 4282625347 4280260383 4281837111 4281048619 4281048619 4281837111 4280260383 4282625347 4279406354 4283479376 4278223872 4278946315 4278223872 4290838208 4290838208 4290838208 4290838208 4290838208 4290838208 4290838208 4290838208 4290838208 4290838208 4290838208 4290838208 4290838208 4290838208 4278946315 4278223872 4290838208 4278255358 4290838208 4290838208 4290838208 4278255358 4294901502 4294901502 4294901502 4294901502 4294901502 4294901502 4290838208 4290838208 4278946315 4278223872 4290838208 4289457835 4294901502 4294901502 4294901502 4294901502 4294901502 4294901502 4294901502 4294901502 4294901502 4294901502 4290838208 4290838208 4278946315 4278223872 4290838208 4289457835 4294901502 4294901502 4294901502 4294901502 4294901502 4294901502 4294901502 4294901502 4294901502 4294901502 4290838208 4290838208 4278946315 4278223872 4290838208 4289457835 4294901502 4294901502 4294901502 4294901502 4294901502 4294901502 4294901502 4294901502 4294901502 4294901502 4289457835 4290838208 4278946315 4278223872 4290838208 4290838208 4290838208 4290838208 4290838208 4289457835 4289457835 4289457835 4289457835 4289457835 4289457835 4289457835 4287946644 4290838208 4278946315 4278223872 4290838208 4290838208 4290838208 4290838208 4290838208 4290838208 4290838208 4290838208 4290838208 4290838208 4290838208 4290838208 4290838208 4290838208 4278946315 4278223872 4278223872 4278223872 4278223872 4278223872 4278223872 4278223872 4278223872 4278223872 4278223872 4278223872 4278223872 4278223872 4278223872 4278223872 4278946315)
	offset: 0@0)! !

!TamIcons class methodsFor: 'accessing forms from /16x16/apps' stamp: 'apl 9/20/2007 13:31'!
form16x16AppsChangeSorter
	^ (Form
	extent: 16@16
	depth: 32
	fromArray: #( 4278224004 4278224004 4278224004 4278224004 4278224004 4278224004 4278224004 4278224004 4278224004 4278224004 4278224004 4278224004 4278224004 4278224004 4278224004 4278224004 4278224004 4278224004 4278224004 4278224004 4278224004 4278224004 4278224004 4278224004 4278224004 4278224004 4278224004 4278224004 4278224004 4278224004 4278224004 4278224004 4278224004 4288669414 4289457902 4289457902 4289457902 4289457902 4282691246 4278224004 4283479477 4289457902 4289457902 4289457902 4289457902 4289457902 4288669414 4278224004 4278224004 4290311926 4291231743 4291231743 4291231743 4291231743 4283413941 4278224004 4284267965 4291231743 4291231743 4291231743 4291231743 4291231743 4290311926 4278224004 4278224004 4290311926 4291231743 4291231743 4291231743 4291231743 4283413941 4278224004 4284267965 4291231743 4291231743 4291231743 4291231743 4291231743 4290311926 4278224004 4278224004 4282231466 4282559917 4282559917 4282559917 4282559917 4279932052 4278224004 4280260503 4282559917 4282559917 4282559917 4282559917 4282559917 4282231466 4278224004 4278224004 4285515976 4286041549 4286041549 4286041549 4286041549 4286041549 4286041549 4286041549 4286041549 4286041549 4286041549 4286041549 4286041549 4285515976 4278224004 4278224004 4290311926 4291231743 4291231743 4291231743 4291231743 4291231743 4291231743 4291231743 4291231743 4291231743 4291231743 4291231743 4291231743 4290311926 4278224004 4278224004 4290311926 4291231743 4291231743 4291231743 4291231743 4291231743 4291231743 4291231743 4291231743 4291231743 4291231743 4291231743 4291231743 4290311926 4278224004 4278224004 4285515976 4286041549 4286041549 4286041549 4286041549 4286041549 4286041549 4286041549 4286041549 4286041549 4286041549 4286041549 4286041549 4285515976 4278224004 4278224004 4282231466 4282559917 4282559917 4282559917 4282559917 4282559917 4282559917 4282559917 4282559917 4282559917 4282559917 4282559917 4282559917 4282231466 4278224004 4278224004 4290311926 4291231743 4291231743 4291231743 4291231743 4291231743 4291231743 4291231743 4291231743 4291231743 4291231743 4291231743 4291231743 4290311926 4278224004 4278224004 4290311926 4291231743 4291231743 4291231743 4291231743 4291231743 4291231743 4291231743 4291231743 4291231743 4291231743 4291231743 4291231743 4290311926 4278224004 4278224004 4290311926 4291231743 4291231743 4291231743 4291231743 4291231743 4291231743 4291231743 4291231743 4291231743 4291231743 4291231743 4291231743 4290311926 4278224004 4278224004 4289457902 4290311926 4290311926 4290311926 4290311926 4290311926 4290311926 4290311926 4290311926 4290311926 4290311926 4290311926 4290311926 4289457902 4278224004 4278224004 4278224004 4278224004 4278224004 4278224004 4278224004 4278224004 4278224004 4278224004 4278224004 4278224004 4278224004 4278224004 4278224004 4278224004 4278224004)
	offset: 0@0)! !

!TamIcons class methodsFor: 'accessing forms from /16x16/apps' stamp: 'apl 9/20/2007 13:31'!
form16x16AppsDualChangeSorter
	^ (Form
	extent: 16@16
	depth: 32
	fromArray: #( 4278224004 4278224004 4278224004 4278224004 4278224004 4278224004 4278224004 4278224004 4278224004 4278224004 4278224004 4278224004 4278224004 4278224004 4278224004 4278224004 4278224004 4278224004 4278224004 4278224004 4278224004 4278224004 4278224004 4278224004 4278224004 4278224004 4278224004 4278224004 4278224004 4278224004 4278224004 4278224004 4278224004 4288669414 4289457902 4280457625 4286435793 4289457902 4289457902 4283479477 4283479477 4289457902 4285713098 4281245856 4289457902 4289457902 4288669414 4278224004 4278224004 4290311926 4291231743 4280851612 4287749854 4291231743 4291231743 4284267965 4284267965 4291231743 4286895830 4281705636 4291231743 4291231743 4290311926 4278224004 4278224004 4290311926 4291231743 4280851612 4287749854 4291231743 4291231743 4284267965 4284267965 4291231743 4286895830 4281705636 4291231743 4291231743 4290311926 4278224004 4278224004 4282231466 4282559917 4279078028 4281377442 4282559917 4282559917 4280260503 4280260503 4282559917 4281114527 4279406479 4282559917 4282559917 4282231466 4278224004 4278224004 4285515976 4286041549 4286041549 4286041549 4286041549 4286041549 4281837222 4281837222 4286041549 4286041549 4286041549 4286041549 4286041549 4285515976 4278224004 4278224004 4290311926 4291231743 4291231743 4291231743 4291231743 4291231743 4284267965 4284267965 4291231743 4291231743 4291231743 4291231743 4291231743 4290311926 4278224004 4278224004 4290311926 4291231743 4291231743 4291231743 4291231743 4291231743 4284267965 4284267965 4291231743 4291231743 4291231743 4291231743 4291231743 4290311926 4278224004 4278224004 4285515976 4286041549 4286041549 4286041549 4286041549 4286041549 4281837222 4281837222 4286041549 4286041549 4286041549 4286041549 4286041549 4285515976 4278224004 4278224004 4282231466 4282559917 4282559917 4282559917 4282559917 4282559917 4280260503 4280260503 4282559917 4282559917 4282559917 4282559917 4282559917 4282231466 4278224004 4278224004 4290311926 4291231743 4291231743 4291231743 4291231743 4291231743 4284267965 4284267965 4291231743 4291231743 4291231743 4291231743 4291231743 4290311926 4278224004 4278224004 4290311926 4291231743 4291231743 4291231743 4291231743 4291231743 4284267965 4284267965 4291231743 4291231743 4291231743 4291231743 4291231743 4290311926 4278224004 4278224004 4290311926 4291231743 4291231743 4291231743 4291231743 4291231743 4284267965 4284267965 4291231743 4291231743 4291231743 4291231743 4291231743 4290311926 4278224004 4278224004 4289457902 4290311926 4290311926 4290311926 4290311926 4290311926 4283873721 4283873721 4290311926 4290311926 4290311926 4290311926 4290311926 4289457902 4278224004 4278224004 4278224004 4278224004 4278224004 4278224004 4278224004 4278224004 4278224004 4278224004 4278224004 4278224004 4278224004 4278224004 4278224004 4278224004 4278224004)
	offset: 0@0)! !

!TamIcons class methodsFor: 'accessing forms from /16x16/apps' stamp: 'apl 9/20/2007 13:31'!
form16x16AppsFileList
	^ (Form
	extent: 16@16
	depth: 32
	fromArray: #( 4286840964 4286840964 4286840964 4286840964 4286840964 4286840964 4286840964 4286840964 4286840964 4286840964 4286840964 4286840964 4286840964 4286840964 4286840964 4286840964 4286840964 4293831662 4294359286 4294359286 4294359286 4289346986 4291325640 4294359286 4294359286 4294359286 4294359286 4294359286 4294359286 4294359286 4293831662 4286840964 4286840964 4294359286 4294952703 4294952703 4294952703 4289544877 4291655629 4294952703 4294952703 4294952703 4294952703 4294952703 4294952703 4294952703 4294359286 4286840964 4286840964 4294359286 4294952703 4294952703 4294952703 4289544877 4291655629 4294952703 4294952703 4294952703 4294952703 4294952703 4294952703 4294952703 4294359286 4286840964 4286840964 4288819618 4288951716 4288951716 4288951716 4287500942 4288094359 4288951716 4288951716 4288951716 4288951716 4288951716 4288951716 4288951716 4288819618 4286840964 4286840964 4291853264 4290056885 4289724592 4289724592 4291385545 4290721215 4289724592 4289724592 4290721215 4291385545 4289724592 4289724592 4290056885 4291853264 4286840964 4286840964 4289809073 4288744353 4290642110 4289200296 4289541549 4289142951 4288544926 4288544926 4289142951 4289541549 4288544926 4288544926 4288744353 4289809073 4286840964 4286840964 4290798272 4291127749 4292700637 4291652045 4291127749 4291127749 4291127749 4291127749 4291127749 4291127749 4291127749 4291127749 4291127749 4290798272 4286840964 4286840964 4294359286 4294952703 4294952703 4294952703 4294952703 4294952703 4294952703 4294952703 4294952703 4294952703 4294952703 4294952703 4294952703 4294359286 4286840964 4286840964 4294359286 4294952703 4294952703 4294952703 4294952703 4294952703 4294952703 4294952703 4294952703 4294952703 4294952703 4294952703 4294952703 4294359286 4286840964 4286840964 4294359286 4294952703 4294952703 4294952703 4294952703 4294952703 4294952703 4294952703 4294952703 4294952703 4294952703 4294952703 4294952703 4294359286 4286840964 4286840964 4294359286 4294952703 4294952703 4294952703 4294952703 4294952703 4294952703 4294952703 4294952703 4294952703 4294952703 4294952703 4294952703 4294359286 4286840964 4286840964 4294359286 4294952703 4294952703 4294952703 4294952703 4294952703 4294952703 4294952703 4294952703 4294952703 4294952703 4294952703 4294952703 4294359286 4286840964 4286840964 4294359286 4294952703 4294952703 4294952703 4294952703 4294952703 4294952703 4294952703 4294952703 4294952703 4294952703 4294952703 4294952703 4294359286 4286840964 4286840964 4293831662 4294359286 4294359286 4294359286 4294359286 4294359286 4294359286 4294359286 4294359286 4294359286 4294359286 4294359286 4294359286 4293831662 4286840964 4286840964 4286840964 4286840964 4286840964 4286840964 4286840964 4286840964 4286840964 4286840964 4286840964 4286840964 4286840964 4286840964 4286840964 4286840964 4286840964)
	offset: 0@0)! !

!TamIcons class methodsFor: 'accessing forms from /16x16/apps' stamp: 'apl 9/20/2007 13:31'!
form16x16AppsLint
	^ (Form
	extent: 16@16
	depth: 32
	fromArray: #( 4281413937 4281413937 4281413937 4281413937 4281413937 4281413937 4281413937 4281413937 4281413937 4281413937 4281413937 4281413937 4281413937 4281413937 4281413937 4281413937 4281413937 4289586349 4290179510 4290179510 4287273354 4288858530 4290179510 4290179510 4290179510 4288594334 4287537550 4290179510 4290179510 4290179510 4289586349 4281413937 4281413937 4290179510 4290838464 4290838464 4287734417 4289385642 4290838464 4290838464 4290838464 4289121446 4287998613 4290838464 4290838464 4290838464 4290179510 4281413937 4281413937 4290179510 4290838464 4290838464 4287734417 4289385642 4290838464 4290838464 4290838464 4289121446 4287998613 4290838464 4290838464 4290838464 4290179510 4281413937 4281413937 4290179510 4290838464 4290838464 4287734417 4289385642 4290838464 4290838464 4290838464 4289121446 4287998613 4290838464 4290838464 4290838464 4290179510 4281413937 4281413937 4287537806 4287998613 4287998613 4286942085 4289385642 4290838464 4290838464 4290838464 4289121446 4287998613 4290838464 4290838464 4290838464 4290179510 4281413937 4281413937 4288594334 4289121446 4289121446 4287272074 4289385642 4290838464 4290838464 4290838464 4289121446 4287998613 4290838464 4290838464 4290838464 4290179510 4281413937 4281413937 4290179510 4290838464 4290838464 4287734417 4289385642 4290838464 4290838464 4290838464 4289121446 4287998613 4290838464 4290838464 4290838464 4290179510 4281413937 4281413937 4290179510 4290838464 4290838464 4287734417 4289385642 4290838464 4290838464 4290838464 4289121446 4287998613 4290838464 4290838464 4290838464 4290179510 4281413937 4281413937 4290179510 4290838464 4290838464 4287734417 4289385642 4290838464 4290838464 4290838464 4289121446 4287998613 4290838464 4290838464 4290838464 4290179510 4281413937 4281413937 4290179510 4290838464 4290838464 4287734417 4289385642 4290838464 4290838464 4290838464 4289121446 4287998613 4290838464 4290838464 4290838464 4290179510 4281413937 4281413937 4289122726 4289715631 4289715631 4287404428 4288659103 4289715631 4289715631 4289715631 4288460700 4287602575 4289715631 4289715631 4289715631 4289122726 4281413937 4281413937 4287074951 4287469965 4287469965 4286809731 4287139976 4287469965 4287469965 4287469965 4287469965 4287469965 4287469965 4287469965 4287469965 4287074951 4281413937 4281413937 4290179510 4290838464 4290838464 4287734417 4289385642 4290838464 4290838464 4290838464 4290838464 4290838464 4290838464 4290838464 4290838464 4290179510 4281413937 4281413937 4289586349 4290179510 4290179510 4287273354 4288858530 4290179510 4290179510 4290179510 4290179510 4290179510 4290179510 4290179510 4290179510 4289586349 4281413937 4281413937 4281413937 4281413937 4281413937 4281413937 4281413937 4281413937 4281413937 4281413937 4281413937 4281413937 4281413937 4281413937 4281413937 4281413937 4281413937)
	offset: 0@0)! !

!TamIcons class methodsFor: 'accessing forms from /16x16/apps' stamp: 'apl 9/20/2007 13:31'!
form16x16AppsMessageNames
	^ (Form
	extent: 16@16
	depth: 32
	fromArray: #( 4278206976 4278206976 4278206976 4278206976 4278206976 4278206976 4278206976 4278206976 4278206976 4278206976 4278206976 4278206976 4278206976 4278206976 4278206976 4278206976 4278206976 4278221568 4278247936 4278215936 4278240000 4278252032 4278252032 4278236160 4278215168 4278213120 4278232320 4278244096 4278222592 4278226432 4278248960 4278206976 4278206976 4278247936 4278254592 4278249984 4278253568 4278255360 4278255360 4278252800 4278230272 4278224640 4278252288 4278254080 4278251008 4278251520 4278252032 4278206976 4278206976 4278252032 4278255360 4278255360 4278255360 4278255360 4278255360 4278255360 4278232576 4278226176 4278255360 4278255360 4278255360 4278255360 4278252032 4278206976 4278206976 4278252032 4278255360 4278255360 4278255360 4278255360 4278255360 4278255360 4278232576 4278226176 4278255360 4278255360 4278255360 4278255360 4278252032 4278206976 4278206976 4278252032 4278255360 4278255360 4278255360 4278255360 4278255360 4278255360 4278232576 4278226176 4278255360 4278255360 4278255360 4278255360 4278252032 4278206976 4278206976 4278243584 4278228736 4278242304 4278246400 4278232832 4278226176 4278236928 4278227968 4278214656 4278232832 4278246400 4278242304 4278228736 4278243584 4278206976 4278206976 4278238464 4278226944 4278223104 4278222592 4278224128 4278214144 4278215168 4278215168 4278214144 4278230016 4278235904 4278223104 4278224640 4278221568 4278206976 4278206976 4278244608 4278247424 4278233088 4278229504 4278241280 4278236672 4278229504 4278229504 4278236672 4278247424 4278242560 4278233088 4278244864 4278227968 4278206976 4278206976 4278252032 4278255360 4278255360 4278255360 4278255360 4278255360 4278255360 4278255360 4278255360 4278255360 4278255360 4278255360 4278255360 4278252032 4278206976 4278206976 4278252032 4278255360 4278255360 4278255360 4278255360 4278255360 4278255360 4278255360 4278255360 4278255360 4278255360 4278255360 4278255360 4278252032 4278206976 4278206976 4278252032 4278255360 4278255360 4278255360 4278255360 4278255360 4278255360 4278255360 4278255360 4278255360 4278255360 4278255360 4278255360 4278252032 4278206976 4278206976 4278252032 4278255360 4278255360 4278255360 4278255360 4278255360 4278255360 4278255360 4278255360 4278255360 4278255360 4278255360 4278255360 4278252032 4278206976 4278206976 4278252032 4278255360 4278255360 4278255360 4278255360 4278255360 4278255360 4278255360 4278255360 4278255360 4278255360 4278255360 4278255360 4278252032 4278206976 4278206976 4278248960 4278252032 4278252032 4278252032 4278252032 4278252032 4278252032 4278252032 4278252032 4278252032 4278252032 4278252032 4278252032 4278248960 4278206976 4278206976 4278206976 4278206976 4278206976 4278206976 4278206976 4278206976 4278206976 4278206976 4278206976 4278206976 4278206976 4278206976 4278206976 4278206976 4278206976)
	offset: 0@0)! !

!TamIcons class methodsFor: 'accessing forms from /16x16/apps' stamp: 'apl 9/20/2007 13:31'!
form16x16AppsPackagePanel
	^ (Form
	extent: 16@16
	depth: 32
	fromArray: #( 4290822399 4290822399 4290822399 4290822399 4290822399 4290822399 4290822399 4290822399 4290822399 4290822399 4290822399 4290822399 4290822399 4290822399 4290822399 4290822399 4290822399 4279834913 4279045393 4288453839 4282203472 4279045393 4286085279 4284506240 4279045393 4283716720 4286874799 4279045393 4281413952 4290822399 4290822399 4290822399 4290822399 4289177567 4289111773 4290427640 4289572326 4289111773 4290098673 4289901292 4289111773 4289769706 4290230259 4289111773 4289440739 4290822399 4290822399 4290822399 4290822399 4290822399 4293651455 4294111999 4294111999 4294111999 4294111999 4294111999 4294111999 4294111999 4294111999 4294111999 4294111999 4293651455 4290822399 4290822399 4290822399 4290822399 4294375167 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294375167 4290822399 4290822399 4290822399 4290822399 4294375167 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294375167 4290822399 4290822399 4290822399 4290822399 4294375167 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294375167 4290822399 4290822399 4290822399 4290822399 4294375167 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294375167 4290822399 4290822399 4290822399 4290822399 4294375167 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294375167 4290822399 4290822399 4290822399 4290822399 4294375167 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294375167 4290822399 4290822399 4290822399 4290822399 4294375167 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294375167 4290822399 4290822399 4290822399 4290822399 4294375167 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294375167 4290822399 4290822399 4290822399 4290822399 4294375167 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294375167 4290822399 4290822399 4290822399 4290822399 4293848831 4294375167 4294375167 4294375167 4294375167 4294375167 4294375167 4294375167 4294375167 4294375167 4294375167 4293848831 4290822399 4290822399 4290822399 4290822399 4290822399 4290822399 4290822399 4290822399 4290822399 4290822399 4290822399 4290822399 4290822399 4290822399 4290822399 4290822399 4290822399 4290822399 4290822399 4290822399 4290822399 4290822399 4290822399 4290822399 4290822399 4290822399 4290822399 4290822399 4290822399 4290822399 4290822399 4290822399 4290822399 4290822399)
	offset: 0@0)! !

!TamIcons class methodsFor: 'accessing forms from /16x16/apps' stamp: 'apl 9/20/2007 13:31'!
form16x16AppsRecentsSubmissions
	^ (Form
	extent: 16@16
	depth: 32
	fromArray: #( 4278224004 4278224004 4278224004 4278224004 4278224004 4278224004 4278224004 4278224004 4278224004 4278224004 4278224004 4278224004 4278224004 4278224004 4278224004 4278224004 4278224004 4278224004 4278224004 4278224004 4278224004 4278224004 4278224004 4278224004 4278224004 4278224004 4278224004 4278224004 4278224004 4278224004 4278224004 4278224004 4278224004 4288669414 4289457902 4289457902 4289457902 4289457902 4289457902 4289457902 4289457902 4289457902 4289457902 4289457902 4289457902 4289457902 4288669414 4278224004 4278224004 4290311926 4291231743 4291231743 4291231743 4291231743 4291231743 4291231743 4291231743 4291231743 4291231743 4291231743 4291231743 4291231743 4290311926 4278224004 4278224004 4290311926 4291231743 4291231743 4291231743 4291231743 4291231743 4291231743 4291231743 4291231743 4291231743 4291231743 4291231743 4291231743 4290311926 4278224004 4278224004 4282231466 4282559917 4282559917 4282559917 4282559917 4282559917 4282559917 4282559917 4282559917 4282559917 4282559917 4282559917 4282559917 4282231466 4278224004 4278224004 4285515976 4286041549 4286041549 4286041549 4286041549 4286041549 4286041549 4286041549 4286041549 4286041549 4286041549 4286041549 4286041549 4285515976 4278224004 4278224004 4290311926 4291231743 4291231743 4291231743 4291231743 4291231743 4291231743 4291231743 4291231743 4291231743 4291231743 4291231743 4291231743 4290311926 4278224004 4278224004 4290311926 4291231743 4291231743 4291231743 4291231743 4291231743 4291231743 4291231743 4291231743 4291231743 4291231743 4291231743 4291231743 4290311926 4278224004 4278224004 4290311926 4291231743 4291231743 4291231743 4291231743 4291231743 4291231743 4291231743 4291231743 4291231743 4291231743 4291231743 4291231743 4290311926 4278224004 4278224004 4290311926 4291231743 4291231743 4291231743 4291231743 4291231743 4291231743 4291231743 4291231743 4291231743 4291231743 4291231743 4291231743 4290311926 4278224004 4278224004 4290311926 4291231743 4291231743 4291231743 4291231743 4291231743 4291231743 4291231743 4291231743 4291231743 4291231743 4291231743 4291231743 4290311926 4278224004 4278224004 4290311926 4291231743 4291231743 4291231743 4291231743 4291231743 4291231743 4291231743 4291231743 4291231743 4291231743 4291231743 4291231743 4290311926 4278224004 4278224004 4290311926 4291231743 4291231743 4291231743 4291231743 4291231743 4291231743 4291231743 4291231743 4291231743 4291231743 4291231743 4291231743 4290311926 4278224004 4278224004 4289457902 4290311926 4290311926 4290311926 4290311926 4290311926 4290311926 4290311926 4290311926 4290311926 4290311926 4290311926 4290311926 4289457902 4278224004 4278224004 4278224004 4278224004 4278224004 4278224004 4278224004 4278224004 4278224004 4278224004 4278224004 4278224004 4278224004 4278224004 4278224004 4278224004 4278224004)
	offset: 0@0)! !

!TamIcons class methodsFor: 'accessing forms from /16x16/apps' stamp: 'apl 9/20/2007 13:31'!
form16x16AppsSmacc
	^ (Form
	extent: 16@16
	depth: 32
	fromArray: #( 4278255615 4278255615 4278255615 4278255615 4278255615 4278255615 4278255615 4278255615 4278255615 4278255615 4278255615 4278255615 4278255615 4278255615 4278255615 4278255615 4278255615 4278198783 4278194687 4287614975 4281356543 4278194687 4285243391 4283662591 4278194687 4282872063 4286033919 4278194687 4280566015 4288405503 4278198783 4278255615 4278255615 4288405503 4289125887 4290443519 4289586943 4289125887 4290114047 4289916159 4289125887 4289784575 4290245631 4289125887 4289455103 4290575103 4288405503 4278255615 4278255615 4280500288 4280693555 4280693555 4286878097 4289115059 4289115059 4289115059 4289115059 4289778129 4290242021 4289115059 4289446594 4290838527 4289986559 4278255615 4278255615 4286824383 4287478715 4287478715 4289452505 4290242021 4290242021 4290242021 4290242021 4290441199 4290639606 4290242021 4290308842 4290838527 4289986559 4278255615 4278255615 4282146912 4282406229 4282406229 4287472290 4289380287 4289380287 4289380287 4289380287 4289911000 4290308585 4289380287 4289645515 4290838527 4289986559 4278255615 4278255615 4285243295 4285766041 4285766041 4288858312 4289976793 4289976793 4289976793 4289976793 4290308328 4290507506 4289976793 4290109664 4290838527 4289986559 4278255615 4278255615 4289986559 4288857284 4288592827 4288592827 4288592827 4288592827 4288592827 4288592827 4288592827 4288592827 4288592827 4288592827 4288857284 4289986559 4278255615 4278255615 4289986559 4287140241 4288196527 4288592827 4288592827 4288592827 4288592827 4288592827 4288592827 4288592827 4288592827 4288196527 4287140241 4289986559 4278255615 4278255615 4289986559 4287140241 4289979877 4290838527 4290838527 4290838527 4290838527 4290838527 4290838527 4290838527 4290838527 4289979877 4287140241 4289986559 4278255615 4278255615 4289986559 4287140241 4289979877 4290838527 4290838527 4290838527 4290838527 4290838527 4290838527 4290838527 4290838527 4289979877 4287140241 4289986559 4278255615 4278255615 4289986559 4287140241 4289979877 4290838527 4290838527 4290838527 4290838527 4290838527 4290838527 4290838527 4290838527 4289979877 4287140241 4289986559 4278255615 4278255615 4289986559 4287140241 4289979877 4290838527 4290838527 4290838527 4290838527 4290838527 4290838527 4290838527 4290838527 4289979877 4287140241 4289986559 4278255615 4278255615 4289986559 4287140241 4289517784 4290244334 4290244334 4290244334 4290244334 4290244334 4290244334 4290244334 4290244334 4289517784 4287140241 4289986559 4278255615 4278255615 4289200127 4286552216 4286023816 4286023816 4286023816 4286023816 4286023816 4286023816 4286023816 4286023816 4286023816 4286023816 4286552216 4289200127 4278255615 4278255615 4278255615 4278255615 4278255615 4278255615 4278255615 4278255615 4278255615 4278255615 4278255615 4278255615 4278255615 4278255615 4278255615 4278255615 4278255615)
	offset: 0@0)! !

!TamIcons class methodsFor: 'accessing forms from /16x16/apps' stamp: 'apl 9/20/2007 13:31'!
form16x16AppsSqueak
	^ (Form
	extent: 16@16
	depth: 32
	fromArray: #( 15132646 15132646 15132646 15132646 15132646 15132646 15132646 15132646 15132646 15132646 15132646 15132646 15132646 15132646 15132646 15132646 15132646 15132646 4281348144 15132646 15132646 15132646 15132646 15132646 15132646 15132646 15132646 15132646 15132646 4281348144 15132646 15132646 15132646 15132646 4281348144 4281348144 15132646 15132646 15132646 15132646 15132646 15132646 15132646 15132646 4281348144 4281348144 15132646 15132646 15132646 4286611584 4283979864 15132646 4286611584 15132646 15132646 15132646 15132646 15132646 15132646 4286611584 15132646 4283979864 4286611584 15132646 15132646 15132646 4283979864 15132646 15132646 4286611584 15132646 15132646 15132646 15132646 4286611584 15132646 15132646 4283979864 15132646 15132646 15132646 15132646 4283979864 15132646 15132646 15132646 15132646 15132646 15132646 15132646 15132646 15132646 15132646 4283979864 15132646 15132646 15132646 15132646 4283979864 15132646 15132646 4291875024 4283979864 15132646 15132646 4283979864 4292598747 15132646 15132646 4283979864 15132646 15132646 15132646 15132646 4281348144 15132646 15132646 4283979864 4281348144 4293322470 15132646 4281348144 4283979864 15132646 15132646 4283979864 15132646 15132646 15132646 15132646 15132646 15132646 15132646 4291085508 4283979864 15132646 15132646 4283979864 4288782753 15132646 15132646 15132646 15132646 15132646 15132646 4292401368 4288716960 4288716960 4288716960 4288716960 15132646 4290295992 4288980132 15132646 4288716960 4288716960 4288716960 4288716960 15132646 15132646 4292927712 15132646 4292269782 4292203989 4292269782 4292269782 15132646 4281348144 4281348144 4291151301 4292401368 4292401368 4292401368 4292467161 4293454056 15132646 4293585642 4288716960 15132646 4288716960 4288716960 4288716960 15132646 4293388263 4292730333 15132646 4288716960 4288716960 4288716960 15132646 4288716960 4293388263 15132646 15132646 4288716960 15132646 15132646 15132646 15132646 15132646 15132646 15132646 15132646 15132646 15132646 4288716960 15132646 15132646 15132646 15132646 15132646 15132646 15132646 15132646 15132646 15132646 15132646 15132646 15132646 15132646 15132646 15132646 15132646 15132646 15132646 15132646 15132646 15132646 15132646 15132646 15132646 15132646 15132646 15132646 15132646 15132646 15132646 15132646 15132646 15132646 15132646 15132646 15132646 15132646 15132646 15132646 15132646 15132646 15132646 15132646 15132646 15132646 15132646 15132646 15132646 15132646)
	offset: 0@0)! !

!TamIcons class methodsFor: 'accessing forms from /16x16/apps' stamp: 'apl 9/20/2007 13:31'!
form16x16AppsTranscript
	^ (Form
	extent: 16@16
	depth: 32
	fromArray: #( 4292054284 4292054284 4292054284 4292054284 4292054284 4292054284 4292054284 4292054284 4292054284 4292054284 4292054284 4292054284 4292054284 4292054284 4292054284 4292054284 4292054284 4292054284 4292054284 4292054284 4292054284 4292054284 4292054284 4292054284 4292054284 4292054284 4292054284 4292054284 4292054284 4292054284 4292054284 4292054284 4292054284 4294302122 4294500278 4294500278 4294500278 4294500278 4294500278 4294500278 4294500278 4294500278 4294500278 4294500278 4294500278 4294500278 4294302122 4292054284 4292054284 4283780933 4283780933 4284175691 4281544490 4281544490 4289503373 4287727479 4287727479 4289503373 4285951585 4294896848 4294896848 4294896848 4294698435 4292054284 4292054284 4283780933 4283780933 4291279267 4290424216 4290424216 4293055161 4292463282 4292463282 4293055161 4291871402 4294896848 4294896848 4294896848 4294698435 4292054284 4292054284 4283780933 4283780933 4286017121 4291936939 4287464307 4283780933 4289700495 4289700495 4288188028 4294896848 4290424216 4286017121 4294896848 4294698435 4292054284 4292054284 4294698435 4283780933 4289503373 4293055162 4290423960 4288187773 4291739561 4291739561 4290818974 4294896848 4293055162 4289503373 4294896848 4294698435 4292054284 4292054284 4283780933 4294896848 4287727479 4292463282 4294896848 4289503373 4290687388 4290687388 4290424216 4290424216 4290424216 4290424216 4294896848 4294698435 4292054284 4292054284 4283780933 4283780933 4287727479 4292463282 4294896848 4289503373 4290687388 4290687388 4290424216 4290424216 4290424216 4290424216 4294896848 4294698435 4292054284 4292054284 4294698435 4294896848 4294896848 4294896848 4294896848 4294896848 4294896848 4294896848 4294896848 4294896848 4294896848 4294896848 4294896848 4294698435 4292054284 4292054284 4290424216 4290424216 4290424216 4290424216 4290424216 4290424216 4290424216 4290424216 4290424216 4290424216 4290424216 4294896848 4294896848 4294698435 4292054284 4292054284 4294698435 4294896848 4294896848 4294896848 4294896848 4294896848 4294896848 4294896848 4294896848 4294896848 4294896848 4294896848 4294896848 4294698435 4292054284 4292054284 4294698435 4294896848 4294896848 4294896848 4294896848 4294896848 4294896848 4294896848 4294896848 4294896848 4294896848 4294896848 4294896848 4294698435 4292054284 4292054284 4294698435 4294896848 4294896848 4294896848 4294896848 4294896848 4294896848 4294896848 4294896848 4294896848 4294896848 4294896848 4294896848 4294698435 4292054284 4292054284 4294500278 4294698435 4294698435 4294698435 4294698435 4294698435 4294698435 4294698435 4294698435 4294698435 4294698435 4294698435 4294698435 4294500278 4292054284 4292054284 4292054284 4292054284 4292054284 4292054284 4292054284 4292054284 4292054284 4292054284 4292054284 4292054284 4292054284 4292054284 4292054284 4292054284 4292054284)
	offset: 0@0)! !

!TamIcons class methodsFor: 'accessing forms from /16x16/apps' stamp: 'apl 9/20/2007 13:31'!
form16x16AppsWeb
	^ (Form
	extent: 16@16
	depth: 32
	fromArray: #( 15132646 15132646 15132646 15132646 15132646 15132646 15132646 15132646 15132646 15132646 15132646 15132646 15132646 15132646 15132646 15132646 15132646 4291480266 4291282887 4291282887 4291282887 4291282887 4291282887 4291282887 4291282887 4291282887 4291282887 4291282887 4291282887 4291282887 4291480266 15132646 15132646 4291282887 4283979864 4293322470 15132646 15132646 15132646 4283979864 4283979864 15132646 15132646 15132646 15132646 4283979864 4291282887 15132646 15132646 4291282887 15132646 4283979864 4283979864 4283979864 4283979864 4283979864 4283979864 4283979864 4283979864 4283979864 4283979864 15132646 4291282887 15132646 15132646 4291282887 15132646 4283979864 4283979864 15132646 15132646 4283979864 4283979864 15132646 15132646 4283979864 4283979864 15132646 4291282887 15132646 15132646 4291282887 15132646 4283979864 15132646 4283979864 4283979864 4283979864 4283979864 4283979864 4283979864 15132646 4283979864 15132646 4291282887 15132646 15132646 4291282887 15132646 4283979864 15132646 4283979864 4294967295 4287927444 4287927444 4294967295 4283979864 15132646 4283979864 15132646 4291282887 15132646 15132646 4291282887 4283979864 4283979864 4283979864 4283979864 4287927444 4283979864 4283979864 4287927444 4283979864 4283979864 4283979864 4283979864 4291282887 15132646 15132646 4291282887 4283979864 4283979864 4283979864 4283979864 4287927444 4283979864 4283979864 4287927444 4283979864 4283979864 4283979864 4283979864 4291282887 15132646 15132646 4291282887 15132646 4283979864 15132646 4283979864 4294967295 4287927444 4287927444 4294967295 4283979864 15132646 4283979864 15132646 4291282887 15132646 15132646 4291282887 15132646 4283979864 15132646 4283979864 4283979864 4283979864 4283979864 4283979864 4283979864 15132646 4283979864 15132646 4291282887 15132646 15132646 4291282887 15132646 4283979864 4283979864 15132646 15132646 4283979864 4283979864 15132646 15132646 4283979864 4283979864 15132646 4291282887 15132646 15132646 4291282887 15132646 4283979864 4283979864 4283979864 4283979864 4283979864 4283979864 4283979864 4283979864 4283979864 4283979864 15132646 4291282887 15132646 15132646 4291282887 4283979864 15132646 15132646 15132646 15132646 4283979864 4283979864 15132646 15132646 15132646 15132646 4283979864 4291282887 15132646 15132646 4291480266 4291282887 4291282887 4291282887 4291282887 4291282887 4291282887 4291282887 4291282887 4291282887 4291282887 4291282887 4291282887 4291480266 15132646 15132646 15132646 15132646 15132646 15132646 15132646 15132646 15132646 15132646 15132646 15132646 15132646 15132646 15132646 15132646 15132646)
	offset: 0@0)! !

!TamIcons class methodsFor: 'accessing forms from /16x16/apps' stamp: 'apl 9/20/2007 13:31'!
form16x16AppsWorkspace
	^ (Form
	extent: 16@16
	depth: 32
	fromArray: #( 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190081 4278190081 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190081 4278190081 4293848814 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4293848814 4278190081 4278190081 4281396784 4281597747 4281597747 4281597747 4281597747 4281597747 4281597747 4281597747 4281597747 4281597747 4281597747 4284284764 4294967295 4293848814 4278190081 4278190081 4278206209 4278207489 4278245632 4278220289 4278239232 4278226689 4278207489 4278207489 4278226689 4278239232 4278220289 4281597747 4294967295 4293848814 4278190081 4278190081 4278230528 4278233600 4278251008 4278239232 4278247936 4278242304 4278233600 4278233600 4278242304 4278247936 4278239232 4281597747 4294967295 4293848814 4278190081 4278190081 4287622799 4288282521 4288282521 4280913705 4284927078 4282229566 4278216193 4282887496 4284268892 4278216193 4278216193 4281566260 4294967295 4293848814 4278190081 4278190081 4278255360 4285953654 4278255360 4278255360 4278255360 4290230199 4287137928 4278255360 4278255360 4287137928 4287137928 4288651167 4294967295 4293848814 4278190081 4278190081 4278255360 4278255360 4278255360 4289177511 4287137928 4287137928 4291282887 4291282887 4287137928 4287137928 4287137928 4288651167 4294967295 4293848814 4278190081 4278190081 4285953654 4285953654 4285953654 4287598479 4284900966 4284900966 4290230199 4290230199 4284900966 4284900966 4284900966 4286874756 4294967295 4293848814 4278190081 4278190081 4293848814 4285953654 4294967295 4290822336 4293059298 4291611852 4289374890 4291940817 4292730333 4291217094 4293454056 4290493371 4294967295 4293848814 4278190081 4278190081 4285953654 4294967295 4285953654 4285953654 4290822337 4287598479 4282664005 4288387995 4290032820 4286743171 4291677645 4285098346 4294967295 4293848814 4278190081 4278190081 4285953654 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4293848814 4278190081 4278190081 4293848814 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4293848814 4278190081 4278190081 4292796126 4293848814 4293848814 4293848814 4293848814 4293848814 4293848814 4293848814 4293848814 4293848814 4293848814 4293848814 4293848814 4292796126 4278190081 4278190081 4278190081 4278190081 4278190081 4278190081 4278190081 4278190081 4278190081 4278190081 4278190081 4278190081 4278190081 4278190081 4278190081 4278190081 4278190081)
	offset: 0@0)! !

!TamIcons class methodsFor: 'accessing forms from /16x16/mimetypes' stamp: 'apl 9/20/2007 13:31'!
form16x16MimetypesClass
	^ (Form
	extent: 16@16
	depth: 32
	fromArray: #( 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294943394 4294901760 4294901760 4294943394 0 0 0 0 0 0 0 0 0 0 4294943394 4294901760 4294901760 4294901760 4294901760 4294901760 4294901760 4294943394 0 0 0 0 0 0 0 0 4294901760 4294901760 4294908185 4294919750 4294919750 4294908185 4294901760 4294901760 0 0 0 0 0 0 0 4294943394 4294901760 4294908185 4294932086 4294967295 4294967295 4294967295 4294901760 4294901760 4294943394 0 0 0 0 0 0 4294901760 4294901760 4294919750 4294967295 4294901760 4294901760 4294901760 4294901760 4294901760 4294919493 0 0 0 0 0 0 4294901760 4294901760 4294919750 4294967295 4294901760 4294901760 4294901760 4294901760 4294901760 4294919493 0 0 0 0 0 0 4294943394 4294901760 4294908185 4294931829 4294967295 4294967295 4294967295 4294901760 4294901760 4294943394 0 0 0 0 0 0 4292856008 4294901760 4294901760 4294908185 4294919493 4294919493 4294908185 4294901760 4294901760 0 0 0 0 0 0 0 0 4294943394 4294901760 4294901760 4294901760 4294901760 4294901760 4294901760 4293366675 0 0 0 0 0 0 0 0 0 4292856008 4294943394 4294901760 4294901760 4294943394 4292856008 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0)
	offset: 0@0)! !

!TamIcons class methodsFor: 'accessing forms from /16x16/mimetypes' stamp: 'apl 9/20/2007 13:31'!
form16x16MimetypesGroup
	^ (Form
	extent: 16@16
	depth: 32
	fromArray: #( 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4287435776 4287435776 4287435776 4287435776 4287435776 4287435776 4287435776 4287435776 4287435776 4287435776 0 0 0 0 0 0 4287435776 4287435776 4287435776 4287435776 4286840832 4286840832 4286840832 4286840832 4286840832 4288031788 0 0 0 0 0 0 4287435776 4288426768 4288096512 4290078208 4290078208 4290078208 4290078208 4290078208 4287501312 4288031788 0 0 0 0 0 0 4287435776 4288426768 4290078208 4294967040 4294967135 4294967135 4294967040 4294967040 4288426752 4288031788 0 0 0 0 0 0 4287435776 4288426768 4290078208 4294967135 4294967295 4294967295 4294967295 4294967295 4288426752 4288031788 0 0 0 0 0 0 4287435776 4288426768 4290078208 4294967135 4294967295 4294967295 4294967295 4294967295 4288426792 4288031788 0 0 0 0 0 0 4287435776 4288426768 4290078208 4294967135 4294967295 4294967295 4294967295 4294967295 4288426792 4288031788 0 0 0 0 0 0 4287435776 4287435776 4290078208 4294967135 4294967295 4294967295 4294967295 4294967295 4288426768 4288031788 0 0 0 0 0 0 4287435776 4287435776 4287435776 4288426752 4288426752 4288426752 4288426752 4288426752 4287171072 4288031788 0 0 0 0 0 0 4287435776 4288426768 4288031788 4288031788 4288031788 4288031788 4288031788 4288031788 4288031788 4288958287 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0)
	offset: 0@0)! !

!TamIcons class methodsFor: 'accessing forms from /16x16/mimetypes' stamp: 'apl 9/20/2007 13:31'!
form16x16MimetypesPackageBlue
	^ (Form
	extent: 16@16
	depth: 32
	fromArray: #( 0 0 0 0 0 0 4278190081 4278190081 4278190081 4278190081 4278190081 4278190081 4278190081 4278190081 4278190081 4278190081 0 0 0 0 0 4284308830 4285434763 4285107083 4285107083 4284052854 4278190081 4284579968 4285107083 4285107083 4283525995 4278190081 0 0 0 0 4279374355 4293388263 4290176999 4289652711 4289652711 4287873987 4278190081 4288730581 4290443255 4290247932 4287020991 4278190081 0 0 0 4278190081 4278190081 4278190081 4278190081 4278190081 4278190081 4278190081 4278190081 4278190081 4286951600 4284998113 4278227860 4278190081 0 0 4284308830 4287996578 4286227106 4286227106 4286227106 4281286207 4281286207 4286227106 4286227106 4286227106 4283855218 4280711032 4278219892 4278190081 0 4282731854 4288257695 4293918719 4291559423 4291559423 4288993239 4284050541 4285169279 4291559423 4291559423 4288738291 4281355083 4278205243 4278215266 4278190081 4278190081 4287874244 4293001215 4294967295 4294967295 4294967295 4280756008 4288519581 4294967295 4294967295 4294967295 4279551172 4278205244 4278205243 4278215266 4278190081 4278190081 4287874244 4286506726 4282765777 4282765777 4282765777 4278919201 4280975489 4282765777 4282765777 4282765777 4278556310 4278201645 4278205243 4278215266 4278190081 4278190081 4287874244 4284014045 4278239424 4278239424 4278239424 4278197534 4278220406 4278239424 4278239424 4278239424 4278224261 4278200104 4278205243 4278215266 4278190081 4278190081 4287874244 4284014045 4278239424 4278239424 4278239424 4278197534 4278220406 4278239424 4278239424 4278239424 4278224261 4278200104 4278205243 4278215266 4278190081 4278190081 4287874244 4284014045 4278239424 4278239424 4278239424 4278197534 4278220406 4278239424 4278239424 4278239424 4278224261 4278200104 4278205243 4278215266 4278190081 4278190081 4287874244 4284014045 4278239424 4278239424 4278239424 4278197534 4278220406 4278239424 4278239424 4278239424 4278224261 4278200104 4278199590 4279456081 4283519314 4278190081 4287874244 4284014045 4278239424 4278239424 4278239424 4278197534 4278220406 4278239424 4278239424 4278239424 4278224261 4278200104 4278190081 4281545524 0 4278190081 4287874244 4284005821 4278224261 4278224261 4278224261 4278195221 4278211154 4278224261 4278224261 4278224261 4278222976 4278200104 4284308830 0 0 4278190081 4283460203 4281361766 4278207814 4278207814 4278207814 4278192908 4278200875 4278207814 4278207814 4278207814 4278207814 4282800988 0 0 0 4278190081 4278190081 4278190081 4278190081 4278190081 4278190081 4278190081 4278190081 4278190081 4278190081 4278190081 4278190081 0 0 0 0)
	offset: 0@0)! !

!TamIcons class methodsFor: 'accessing forms from /16x16/mimetypes' stamp: 'apl 9/20/2007 13:31'!
form16x16MimetypesSuperClass
	^ (Form
	extent: 16@16
	depth: 32
	fromArray: #( 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278239232 4278222848 4278222848 4278239232 0 0 0 0 0 0 0 0 0 0 4278239232 4278222848 4278222848 4278222848 4278222848 4278222848 4278222848 4278239232 0 0 0 0 0 0 0 0 4278222848 4278222848 4278222848 4278222848 4278222848 4278222848 4278222848 4278222848 0 0 0 0 0 0 0 4278239232 4278222848 4278222848 4278222848 4294967295 4294967295 4294967295 4278222848 4278222848 4278239232 0 0 0 0 0 0 4278222848 4278222848 4278222848 4294967295 4278222848 4278222848 4278222848 4278222848 4278222848 4278222848 0 0 0 0 0 0 4278222848 4278222848 4278222848 4294967295 4278222848 4278222848 4278222848 4278222848 4278222848 4278222848 0 0 0 0 0 0 4278239232 4278222848 4278222848 4278222848 4294967295 4294967295 4294967295 4278222848 4278222848 4278239232 0 0 0 0 0 0 0 4278222848 4278222848 4278222848 4278222848 4278222848 4278222848 4278222848 4278222848 0 0 0 0 0 0 0 0 4278239232 4278222848 4278222848 4278222848 4278222848 4278222848 4278222848 4278239232 0 0 0 0 0 0 0 0 0 0 4278239232 4278222848 4278222848 4278239232 4290838464 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0)
	offset: 0@0)! !

!TamIcons class methodsFor: 'accessing forms from /22x22/actions' stamp: 'apl 9/20/2007 13:31'!
form22x22ActionsBack
	^ (Form
	extent: 24@24
	depth: 32
	fromArray: #( 0 0 0 0 0 0 0 134217728 452984832 687865856 855638016 922746880 922746880 855638016 687865856 452984832 134217728 0 0 0 0 0 0 0 0 0 0 0 0 134217728 603979776 989855744 1040187392 1006632960 1023410176 956301312 939524096 939524096 939524096 956696070 1007027718 621414922 134415107 0 0 0 0 0 0 0 0 0 369098752 1023410176 1090519040 939524096 1195656260 1636337800 1687129999 1534950781 1416654960 1281187165 1077360439 1009001508 1076044579 1143285029 1193156126 405021732 0 0 0 0 0 0 0 452984832 1107296256 939524096 1263620433 1636535179 2058334127 1957078694 1586137738 1416918132 4279713625 1026831412 1061043774 1061175360 1195129916 1128284224 1228486969 1278292273 523975483 0 0 0 0 0 369098752 1090519040 989855744 1484158582 1906681253 2007739307 1822334622 1603112333 1230921310 4278922576 4279055194 1162430793 1113020247 1130060635 1130126428 1147166816 1130126428 1263357261 1379942464 458248272 0 0 0 134217728 1040187392 939524096 1484158582 2125837749 2109060533 1957539245 1535477125 1144403510 4278922576 4280829033 4279055194 1147561574 1164733548 1181839729 1198814324 1198880117 1198814324 1181839729 1181379178 1347506513 173759323 0 0 603979776 1023410176 1263620433 1923524262 2125771956 2126035128 1484750719 1177957942 4278922576 4285436599 4282867848 4279055194 1215986298 1233224065 1250264453 1250396039 1250396039 1250396039 1250264453 1233224065 1215986298 779252338 0 134217728 1023410176 973078528 1636535179 2108928947 1923721641 1484750719 1211380788 4278922576 4286552250 4292799735 4281096067 4279055194 1284345229 1284739987 1301780375 1318689177 1318754970 1318689177 1301780375 1284739987 1284345229 1250264453 192510329 452984832 1073741824 1195656260 1957144487 1754896793 1535477125 1194669365 4278922576 4286617529 4294769660 4289251037 4279263379 4279055194 4278452996 4281618285 4280434783 4278922576 4278922576 4278922576 4278190599 1336058530 1335663772 1301648789 646613642 687865856 1056964608 1602651782 1906549667 1603112333 1161049140 4278922576 4286288820 4294769660 4292931059 4284003289 4280654538 4282289599 4288137184 4293128696 4294769148 4294769148 4291553012 4281027440 4278455065 1404154289 1386916522 1352967332 983079064 855638016 1023410176 1703973008 1586137738 1230921310 4278922576 4286750913 4294769148 4292602610 4285580255 4279736262 4279208128 4281573324 4288007912 4291028210 4291487987 4289190382 4284721360 4280572809 4278456095 1455275453 1438103479 1404022703 1235592613 922746880 973078528 1568768385 1416918132 4278922576 4285763250 4292668407 4290500842 4286104289 4279869644 4279208128 4279075262 4279208128 4281441486 4286693082 4288203235 4286233053 4282356418 4279194498 4278521376 1523042247 1489158850 1455078074 1387442866 922746880 939524096 1416654960 1179668560 4278388498 4279260807 4279734976 4280399322 4279609818 4279077572 4279075262 4279075262 4279206332 4279337912 4279270575 4279336624 4279336882 4279468726 4279259781 4278456095 1574031825 1523305419 1489224643 1421523642 855638016 939524096 1281187165 1026831412 1179142216 4278455065 4279260807 4279209158 4282106848 4279609818 4279669967 4279541457 4280725971 4282762206 4282566109 4282762206 4280332243 4279608788 4279259781 4278456095 1608112601 1574163411 1523305419 1371652545 687865856 939524096 1077360439 1061043774 1113020247 1164733548 4278455323 4279260807 4280066251 4282895592 4279545304 4279337392 4279337392 4279458444 4279458190 4279458190 4279326858 4279260545 4279122019 4278389270 1675682016 1608112601 1574031825 1137100486 452984832 956696070 1009001508 1061175360 1130060635 1181839729 1250264453 4278455579 4279260807 4280062401 4282106848 4279263889 4279055194 4278588201 4278522148 4278522148 4278719527 4279180334 4278652960 4278321414 1726408422 1658773214 1591138006 784910536 134217728 1007027718 1009133094 1144995647 1130126428 1198814324 1250396039 1318689177 4278455323 4279260807 4279266465 4279259261 4279055194 1675747809 1760160233 1878061296 2046228214 2130245880 2063071223 1878061296 1760160233 1675747809 1608112601 265014219 0 621414922 1260396576 1278621238 1230394966 1198880117 1250396039 1318754970 1386916522 4278455323 4279260807 4279257203 4279055194 1692656611 1793846251 2012476403 2063071223 2113863422 2113468664 1995699187 1793846251 1692656611 1071175896 0 0 134415107 1076044579 1395601199 1246777424 1198814324 1250396039 1318689177 1370073513 1438103479 4278388500 4279055194 4279055194 1675747809 1760160233 1878061296 1979119350 2147023096 2029450998 1894838512 1760160233 1659036386 265606356 0 0 0 405021732 1295003696 1313425737 1298359139 1250264453 1301780375 1353098918 1421128884 1472250048 4278388498 4279055194 1658773214 1726408422 1793912044 1894838512 2012476403 1928458737 1793912044 1726408422 719117532 0 0 0 0 0 523975483 1463433786 1281187165 1233224065 1284739987 1336058530 1404154289 1455275453 1523042247 4278322703 1608112601 1675682016 1726408422 1760160233 1793846251 1760160233 1726408422 870244062 0 0 0 0 0 0 0 491407946 1380863566 1365731175 1284345229 1335663772 1386916522 1438103479 1489158850 1523305419 1574163411 1608112601 1658773214 1675747809 1692656611 1659036386 719117532 0 0 0 0 0 0 0 0 0 173759323 779252338 1250264453 1301648789 1352967332 1404022703 1455078074 1489224643 1523305419 1574031825 1591138006 1608112601 1071175896 265606356 0 0 0 0 0 0 0 0 0 0 0 0 192510329 646613642 983079064 1235592613 1387442866 1421523642 1371652545 1137100486 784910536 265014219 0 0 0 0 0 0 0)
	offset: 0@0)! !

!TamIcons class methodsFor: 'accessing forms from /22x22/actions' stamp: 'apl 9/20/2007 13:31'!
form22x22ActionsBookmarkAdd
	^ (Form
	extent: 22@22
	depth: 32
	fromArray: #( 0 0 0 0 16777216 4280953386 218103808 134217728 33554432 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 33554432 4280953386 4280821800 520093696 184549376 33554432 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 50331648 4280558628 4291282887 4278190080 570425344 184549376 33554432 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 67108864 4280361249 4291282887 4291282887 4278190080 570425344 184549376 33554432 0 0 0 0 0 0 0 0 0 0 16777216 33554432 50331648 50331648 117440512 4280492835 4290822336 4289835441 4291282887 4278190080 570425344 184549376 33554432 0 0 0 0 0 0 0 0 0 4282861383 4282861383 4282927176 4282861383 4283782485 4281019179 4290888129 4289638062 4289835441 4291282887 4278190080 570425344 184549376 33554432 0 0 0 0 0 0 0 0 218103808 4278321666 4289177511 4290822336 4290493371 4290559164 4290756543 4289835441 4289177511 4289835441 4291282887 4278190080 570425344 184549376 33554432 0 0 0 0 0 0 0 134217728 520093696 4278255873 4285822068 4288059030 4289177511 4289177511 4289309097 4288716960 4286874756 4289638062 4291151301 4278190080 570425344 184549376 33554432 0 0 0 0 0 0 33554432 184549376 570425344 4278190080 4285361517 4287401100 4287993237 4288387995 4291019715 4290361785 4289967027 4289440683 4291019715 4278190080 587202560 201326592 67108864 16777216 0 0 0 0 0 33554432 184549376 570425344 4278190080 4285229931 4287137928 4285822068 4285098345 4284177243 4285098345 4286414205 4289177511 4290756543 4278190080 4278190080 385875968 150994944 33554432 0 0 0 0 0 33554432 184549376 570425344 4278190080 4284966759 4286874756 4288914339 4290032820 4290624957 4289967027 4289506476 4288980132 4278190080 4294967090 4278190080 553648128 167772160 67108864 33554432 16777216 0 0 0 33554432 184549376 570425344 4278190080 4284769380 4286545791 4285361517 4284769380 4278190080 4278190080 4286085240 4278190080 4294967142 4278190080 1040187392 4278190080 4278190080 335544320 150994944 0 0 0 0 33554432 184549376 570425344 4278190080 4284637794 4286348412 4278190080 4294967066 4291084544 4278190080 4288848153 4294967192 4288848153 4278190080 4291084544 4294967066 4278190080 520093696 0 0 0 0 0 33554432 184549376 570425344 4278190080 4284440415 4286151033 4278190080 4294967133 4294967180 4294967222 4294967244 4294967222 4294967180 4294967133 4278190080 1325400064 771751936 0 0 0 0 0 0 33554432 184549376 570425344 4278190080 4284243036 4285887861 4278190080 4288848153 4294967244 4294967295 4294967244 4288848153 4278190080 1526726656 1107296256 536870912 0 0 0 0 0 0 0 33554432 184549376 570425344 4278190080 4283979864 4278190080 4288848153 4294967244 4294967295 4294967244 4288848153 4278190080 1358954496 721420288 218103808 0 0 0 0 0 0 0 0 33554432 184549376 587202560 4278190080 4294967133 4294967180 4294967222 4294967244 4294967222 4294967180 4294967133 4278190080 721420288 218103808 0 0 0 0 0 0 0 0 0 33554432 4278190080 4294967066 4291084544 4278190080 4288848153 4294967192 4288848153 4278190080 4291084544 4294967066 4278190080 536870912 0 0 0 0 0 0 0 0 0 33554432 251658240 4278190080 4278190080 1509949440 4278190080 4294967142 4278190080 1593835520 4278190080 4278190080 1325400064 771751936 0 0 0 0 0 0 0 0 0 16777216 134217728 520093696 956301312 1040187392 4278190080 4294967090 4278190080 1358954496 1006632960 1040187392 956301312 520093696 0 0 0 0 0 0 0 0 0 0 33554432 150994944 335544320 385875968 503316480 4278190080 1325400064 1023410176 503316480 385875968 335544320 150994944 0 0 0 0 0 0 0 0 0 0 0 16777216 33554432 50331648 167772160 520093696 771751936 520093696 167772160 67108864 33554432 16777216)
	offset: 0@0)! !

!TamIcons class methodsFor: 'accessing forms from /22x22/actions' stamp: 'apl 9/20/2007 13:31'!
form22x22ActionsDeletecell
	^ (Form
	extent: 22@22
	depth: 32
	fromArray: #( 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 12566463 12566463 12566463 12566463 12566463 12566463 12566463 12566463 12566463 12566463 12566463 12566463 12566463 12566463 12566463 12566463 12566463 12566463 12566463 12566463 0 0 12566463 12566463 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 12566463 12566463 0 0 12566463 4278190080 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4278190080 62898111 0 0 12566463 4278190080 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294901760 4278190080 58687359 0 0 79675327 4278190080 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294901760 4294901760 4294967295 4294967295 4294967295 4294967295 4294967295 4294901760 4294901760 4290772992 4290772992 8355711 0 0 331333567 4278190080 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294901760 4290772992 4294901760 4294901760 4294967295 4294967295 4294901760 4290772992 4290772992 4290772992 4290772992 4286611584 0 0 364887999 4278190080 4294967295 4294967295 4294967295 4294967295 4294967295 4294901760 4290772992 4290772992 4290772992 4290772992 4294901760 4290772992 4290772992 4290772992 4290772992 4290772992 4286611584 4286611584 0 0 113229759 4278190080 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4286611584 4290772992 4290772992 4290772992 4290772992 4290772992 4290772992 4290772992 4286611584 4286611584 4286611584 8355711 0 0 12566463 4278190080 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4286611584 4290772992 4290772992 4290772992 4290772992 4286611584 4286611584 4294967295 4278190080 8355711 0 0 62898111 4278190080 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294901760 4290772992 4290772992 4294901760 4286611584 4294967295 4294967295 4278190080 8355711 0 0 46120895 4278190080 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294901760 4290772992 4290772992 4290772992 4290772992 4294901760 4294967295 4294967295 4278190080 8355711 0 0 16777215 4278190080 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294901760 4290772992 4290772992 4286611584 4286611584 4290772992 4290772992 4294901760 4294967295 4278190080 8355711 0 0 12566463 4278190080 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294901760 4290772992 4286611584 4286611584 4294967295 4294967295 4290772992 4290772992 4286611584 4278190080 8355711 0 0 12566463 12566463 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4294901760 4290772992 4286611584 4286611584 4278190080 4278190080 4278190080 4278190080 4290772992 4290772992 8355711 163561407 0 0 12566463 12566463 12566463 12566463 12566463 12566463 0 12566463 4294901760 4290772992 4286611584 8355711 8355711 8355711 0 16776960 0 4290772992 4286611584 12566463 0 0 12566463 12566463 12566463 12566463 12566463 12566463 0 12566463 4294901760 4286611584 4286611584 12566463 12566463 12566463 12566463 0 0 12566463 4286611584 12566463 0 0 12566463 264224703 12566463 12566463 12566463 12566463 8355711 0 4294901760 4286611584 12566463 12566463 12566463 12566463 12566463 12566463 0 12566463 12566463 12566463 0 0 0 0 0 0 0 0 0 0 0 4286611584 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0)
	offset: 0@0)! !

!TamIcons class methodsFor: 'accessing forms from /22x22/actions' stamp: 'apl 9/20/2007 13:31'!
form22x22ActionsExec
	^ (Form
	extent: 22@22
	depth: 32
	fromArray: #( 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278979594 4278979594 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4280558625 4292665052 4292664796 4280558369 0 0 0 0 0 0 0 0 0 0 0 0 0 4278190080 4279703317 0 0 0 4281940023 4294177782 4294112248 4281874230 0 0 0 4279834904 4278190080 0 0 0 0 0 0 0 4278190080 4290032820 4292861671 4278190080 4282005553 4282005553 4290099126 4291152329 4291217609 4290362295 4282005553 4282005553 4278190080 4294178040 4290691006 4278190080 0 0 0 0 0 0 4279308302 4292861671 4292861671 4292203473 4291481298 4288322196 4287398507 4287527511 4287461974 4287595631 4288585368 4292533985 4292927710 4293322990 4292006866 4278979337 0 0 0 0 0 0 0 4282400567 4291282882 4289309870 4285292359 4290480188 4292978247 4293373264 4293570642 4293110603 4290350147 4285095750 4290362558 4291940813 4282005553 0 0 0 0 0 0 0 0 4281018921 4290757322 4286212944 4293043016 4293239882 4293307731 4293703258 4293966436 4293638508 4294559100 4293308257 4286475858 4292204767 4281084713 0 0 0 0 0 4280295454 4282005553 4282005553 4289769903 4286869842 4291270466 4293239882 4292978256 4293308251 4289036878 4289168722 4294100104 4294496415 4294956188 4291730259 4286869842 4291086022 4282005553 4282005553 4280360991 0 4279637522 4291151300 4294835967 4292466645 4290822853 4289239684 4292584259 4292387656 4293833564 4286471727 4279307786 4279241474 4287787336 4294960305 4294695080 4294099076 4288845956 4292336345 4292861916 4294967295 4292006870 4278190080 4279308557 4288124306 4292203734 4290756024 4290362302 4290752404 4292320579 4292518733 4293834336 4283711525 0 0 4283711525 4294962101 4294762926 4294298774 4290950561 4292072656 4290887867 4292532952 4288585116 4278190080 0 4279834644 4278190080 4282005553 4288388249 4292463284 4292321096 4293241940 4293704050 4294956442 4283711525 4283711525 4294965951 4294701501 4294962359 4293445009 4293385682 4290295988 4282005553 4278190080 4279768850 0 0 0 0 4278716165 4283979084 4290689973 4294108629 4292846664 4293703792 4294627490 4294963644 4294899649 4294767807 4294964926 4294038430 4292989889 4294046705 4283979084 4278584835 0 0 0 0 0 0 0 4278190080 4287005819 4290494141 4294108629 4293506929 4293835385 4294298777 4294498724 4294631080 4294629542 4294108629 4293520358 4288650641 4278190080 0 0 0 0 0 0 0 4278190080 4293519331 4290756283 4286610548 4289638576 4293189596 4294503905 4294897104 4294962118 4294833120 4294966771 4292138450 4288518799 4292467157 4294704123 4278190080 0 0 0 0 0 4278781959 4290624437 4293059037 4291742919 4284571736 4282005553 4285361253 4288454299 4289836209 4289902001 4288914589 4285953389 4282005553 4284571736 4293388007 4294507262 4291809743 4278716421 0 0 0 0 4278190080 4284571736 4288453264 4283979084 4280163608 4282005553 4280294935 4287795598 4291874507 4291874507 4287795598 4279966226 4282005553 4280032022 4283979084 4289243042 4284571736 4278190080 0 0 0 0 0 4278190080 4280821537 4282005553 0 0 0 4282334259 4294506488 4294967295 4282334259 0 0 0 4282005553 4280755743 4278190080 0 0 0 0 0 0 0 0 0 0 0 0 4281150504 4290756278 4290953403 4281216298 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279176717 4283979084 4283979084 4279111179 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278453251 4278518787 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0)
	offset: 0@0)! !

!TamIcons class methodsFor: 'accessing forms from /22x22/actions' stamp: 'apl 9/20/2007 13:31'!
form22x22ActionsForward
	^ (Form
	extent: 24@24
	depth: 32
	fromArray: #( 0 0 0 0 0 0 0 134217728 452984832 687865856 855638016 922746880 922746880 855638016 687865856 452984832 134217728 0 0 0 0 0 0 0 0 0 0 0 0 134217728 603979776 989855744 1040187392 1006632960 1023410176 956301312 939524096 939524096 939524096 956696070 1007027718 621414922 134415107 0 0 0 0 0 0 0 0 0 369098752 1023410176 1090519040 939524096 1195656260 1636337800 1687129999 1534950781 1416654960 1281187165 1077360439 1009001508 1076044579 1143285029 1193156126 405021732 0 0 0 0 0 0 0 452984832 1107296256 939524096 1263620433 1636535179 2058334127 1957078694 1586137738 4280895334 1179668560 1026831412 1061043774 1061175360 1195129916 1128284224 1228486969 1278292273 523975483 0 0 0 0 0 369098752 1090519040 989855744 1484158582 1906681253 2007739307 1822334622 1603112333 1230921310 4279055194 4278190080 1162430793 1113020247 1130060635 1130126428 1147166816 1130126428 1263357261 1379942464 458248272 0 0 0 134217728 1040187392 939524096 1484158582 2125837749 2109060533 1957539245 1535477125 1144403510 1095321929 4279055194 4281496477 4278190080 1164733548 1181839729 1198814324 1198880117 1198814324 1181839729 1181379178 1347506513 173759323 0 0 603979776 1023410176 1263620433 1923524262 2125771956 2126035128 1484750719 1177957942 1162496586 1130126428 4279055194 4286623183 4281496477 4278190080 1250264453 1250396039 1250396039 1250396039 1250264453 1233224065 1215986298 779252338 0 134217728 1023410176 973078528 1636535179 2108928947 1923721641 1484750719 1211380788 1196182604 1180523869 1181773936 4279055194 4288135128 4292799735 4281496477 4278255873 1318689177 1318754970 1318689177 1301780375 1284739987 1284345229 1250264453 192510329 452984832 1073741824 1195656260 1957144487 4282670713 4281486699 4278922318 4278988369 4278988369 4278988369 4279843162 4279055194 4288003030 4289251037 4294769660 4281496477 4278190080 1386916522 1370073513 1353098918 1336058530 1335663772 1301648789 646613642 687865856 1056964608 1602651782 1906549667 4282013041 4287805393 4292471286 4294834941 4294834941 4294834941 4294834941 4290828781 4289187814 4284003289 4292602610 4294769660 4281496477 4278190080 1438103479 1421128884 1404154289 1386916522 1352967332 983079064 855638016 1023410176 1703973008 1586137738 4281486955 4291616235 4287545817 4290567403 4291749105 4290041835 4286233565 4285182679 4279080906 4279077572 4284003289 4292602610 4294769660 4281496477 4278190080 1472250048 1455275453 1438103479 1404022703 1235592613 922746880 973078528 1568768385 1416918132 4281289834 4292929777 4286559188 4282231506 4284396245 4282625750 4279080906 4280522186 4279139767 4279139509 4279142593 4284003289 4290500842 4292668407 4281496477 4278190080 1523042247 1489158850 1455078074 1387442866 922746880 939524096 1416654960 1179668560 4279908699 4292864244 4286365405 4279140533 4279137959 4279139245 4279075512 4279142593 4279139509 4279075262 4279075262 4284003289 4282895592 4280062401 4279260807 4278190080 1574031825 1523305419 1489224643 1421523642 855638016 939524096 1281187165 1026831412 4278922318 4292010479 4287546337 4280332243 4282367962 4282829285 4280725971 4279545304 4279545304 4279669967 4279545304 4282895592 4280062401 4279260807 4278190080 1658773214 1608112601 1574163411 1523305419 1371652545 687865856 939524096 1077360439 1061043774 4278988369 4280182682 4279523979 4279523979 4279523979 4279327888 4279460242 4279206068 4279075262 4279545304 4282895592 4280062401 4279260807 4278190080 1760160233 1726408422 1675682016 1608112601 1574031825 1137100486 452984832 956696070 1009001508 1061175360 4278988369 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4279055194 4279147979 4282895592 4280062401 4279260807 4278387203 1962144755 1878061296 1793912044 1726408422 1658773214 1591138006 784910536 134217728 1007027718 1009133094 1144995647 1130126428 1198814324 1250396039 1318689177 1370073513 1438103479 1489224643 4279055194 4280062401 4280062401 4279260807 4278387203 2046228214 2130245880 2063071223 1878061296 1760160233 1675747809 1608112601 265014219 0 621414922 1260396576 1278621238 1230394966 1198880117 1250396039 1318754970 1386916522 1438103479 1506067652 4279055194 4281496477 4279260807 4278190080 2012476403 2063071223 2113863422 2113468664 1995699187 1793846251 1692656611 1071175896 0 0 134415107 1076044579 1395601199 1246777424 1198814324 1250396039 1318689177 1370073513 1438103479 1489224643 4279055194 4279260807 4278190080 1760160233 1878061296 1979119350 2147023096 2029450998 1894838512 1760160233 1659036386 265606356 0 0 0 405021732 1295003696 1313425737 1298359139 1250264453 1301780375 1353098918 1421128884 1472250048 4279055194 4278190080 1658773214 1726408422 1793912044 1894838512 2012476403 1928458737 1793912044 1726408422 719117532 0 0 0 0 0 523975483 1463433786 1281187165 1233224065 1284739987 1336058530 1404154289 1455275453 4279055194 1574031825 1608112601 1675682016 1726408422 1760160233 1793846251 1760160233 1726408422 870244062 0 0 0 0 0 0 0 491407946 1380863566 1365731175 1284345229 1335663772 1386916522 1438103479 1489158850 1523305419 1574163411 1608112601 1658773214 1675747809 1692656611 1659036386 719117532 0 0 0 0 0 0 0 0 0 173759323 779252338 1250264453 1301648789 1352967332 1404022703 1455078074 1489224643 1523305419 1574031825 1591138006 1608112601 1071175896 265606356 0 0 0 0 0 0 0 0 0 0 0 0 192510329 646613642 983079064 1235592613 1387442866 1421523642 1371652545 1137100486 784910536 265014219 0 0 0 0 0 0 0)
	offset: 0@0)! !

!TamIcons class methodsFor: 'accessing forms from /22x22/actions' stamp: 'apl 9/20/2007 13:31'!
form22x22ActionsRun
	^ (Form
	extent: 22@22
	depth: 32
	fromArray: #( 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278321668 4278321668 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278321668 4293980398 4291546060 4278321668 0 0 0 0 0 0 0 0 0 0 0 0 0 4278321668 4278321668 0 0 0 4278321668 4294111984 4289769648 4278321668 0 0 0 4278321668 4278321668 0 0 0 0 0 0 0 4278321668 4292796124 4294111984 4278321668 0 4278321668 4278321668 4293980399 4287532685 4278321668 4278321668 0 4278321668 4293190884 4291217092 4278321668 0 0 0 0 0 0 4278321668 4294111984 4292796124 4293519847 4278321668 4294111984 4294111984 4292532952 4292467160 4292993504 4291151300 4278321668 4293190884 4291217092 4286940548 4278321668 0 0 0 0 0 0 0 4278321668 4293454054 4292861918 4292796124 4292993504 4292598746 4292203988 4292072404 4291940817 4291809231 4292203989 4291611852 4284177244 4278321668 0 0 0 0 0 0 0 0 0 4278321668 4292796124 4292730332 4292401368 4292335575 4292072404 4291940817 4291611853 4291480267 4291282887 4290559164 4278321668 0 0 0 0 0 0 0 0 0 4278321668 4294111984 4292861920 4292532956 4292335574 4288059028 4284835174 4284835174 4289835442 4291282885 4291085508 4290624956 4287203719 4278321668 0 0 0 0 0 0 4278321668 4278321668 4278321668 4294111984 4292598746 4292335575 4288059028 4281940281 4278453252 4278650633 4287532685 4291480267 4290888130 4290624959 4288980133 4278321668 4278321668 4278321668 0 0 0 4278321668 4293980398 4294111984 4294111984 4292532952 4292203988 4292072402 4284835174 4278453252 0 0 4278782217 4293190884 4290624956 4290427578 4289835441 4288651166 4289703853 4289835441 4278321668 0 0 4278321668 4291480265 4289835440 4287532685 4292467160 4292072404 4291875023 4284835174 4278650633 0 0 4279242770 4294111984 4290559164 4290295991 4289572268 4287401102 4286348412 4285822068 4278321668 0 0 0 4278321668 4278321668 4278321668 4292993504 4291940817 4291611853 4289703853 4287532685 4278782217 4279242770 4294111984 4292532952 4290230198 4290032821 4287401102 4278321668 4278321668 4278321668 0 0 0 0 0 0 4278321668 4291151300 4291940815 4291546059 4291217093 4291480267 4293190884 4294111984 4292467160 4290164404 4290098611 4289506477 4284045656 4278321668 0 0 0 0 0 0 0 0 0 4278321668 4292006609 4291282886 4291019716 4290888130 4290690748 4290559164 4290230198 4290032820 4289835442 4288322202 4278321668 0 0 0 0 0 0 0 0 0 4278321668 4293190884 4291282886 4290888128 4290756542 4290756543 4290493370 4290295991 4290032821 4289440685 4288453790 4289835442 4287795859 4278321668 0 0 0 0 0 0 0 4278321668 4293190884 4291217093 4284177244 4278321668 4287203719 4288980133 4289967025 4289638060 4287401102 4284045656 4278321668 4288322202 4289177510 4286348412 4278321668 0 0 0 0 0 0 4278321668 4291217092 4286940548 4278321668 0 4278321668 4278321668 4285032553 4287532687 4279834907 4278321668 0 4278321668 4286348412 4285822068 4278321668 0 0 0 0 0 0 0 4278321668 4278321668 0 0 0 4280427044 4289309096 4286874758 4278321668 0 0 0 4278321668 4278321668 0 0 0 0 0 0 0 0 0 0 0 0 0 4281019180 4291217092 4287072136 4278321668 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278321668 4280032285 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0)
	offset: 0@0)! !

!TamIcons class methodsFor: 'accessing forms from /22x22/actions' stamp: 'apl 9/20/2007 13:31'!
form22x22ActionsToolDock
	^ (Form
	extent: 15@15
	depth: 32
	fromArray: #( 262404 17039620 402850051 2533359616 4278649863 4279175439 4245292555 4060151809 419430400 33751299 0 0 0 402653184 1174405120 17039620 419561730 2365652993 4262266893 4266931541 4287455375 4017178739 4162194710 3724541952 838926337 33554432 0 654311424 3506438144 4278190080 402850051 2365652993 4245554958 4166465368 4222649266 4291997139 4256862908 3983492720 4111862551 3506438144 1006632960 838860800 3305111552 3942842627 4144103426 2533359616 4262201101 4166399575 4222384558 4292454873 4293377768 4293050339 4239887544 3966452588 4095479580 3388997632 3254779904 3893167629 3525775656 4061136656 4278649863 4266799443 4222384045 4292320214 4292908511 4292644829 4293111012 4293050595 4222979511 4033561708 4129099805 3926787598 3661833284 4050140265 4264171819 4279109646 4286926727 4290870978 4292379608 4292242649 4291647697 4292047828 4293111780 4292654558 4239425970 4067050091 3897634130 4069087114 4271861920 4282264894 4245226506 4016122725 4254481305 4290463165 4291712211 4291579090 4291316172 4292048596 4292714720 4292190424 4256069553 4238041502 4273898431 4290149301 4282460735 2717974529 4161864465 3981510484 4236710795 4290064825 4291579345 4291644882 4291249355 4291781841 4292447453 4292381660 4292050646 4291656144 4288828835 4281735477 452984832 3724541952 4111466513 3964404304 4219735945 4289802678 4291382735 4291446224 4291248331 4291646161 4292042970 4292107993 4290924743 4287641747 4281209135 33685506 838926337 3506438144 4094951445 4031513680 4236382855 4289605810 4291448272 4291377102 4290781638 4290783175 4290783687 4290063548 4287376272 4281208878 0 33554432 1006632960 3388997632 4128505878 4065068368 4253226632 4290395584 4291112396 4290317248 4290185406 4290185662 4289664182 4287242894 4280355618 0 0 838860800 3254779904 3926787598 3896908617 4236457608 4290333117 4290915273 4290251457 4290118848 4290119103 4289597623 4287177102 4279174159 0 654311424 3305111552 3893167629 3661833028 4068955272 4273502906 4291324616 4290524608 4289861564 4289794748 4289729211 4289338291 4287112589 4279174415 402653184 3506438144 3942842627 3525775656 4050140265 4271861919 4290149044 4288894114 4287574162 4287308945 4287308689 4287243152 4287112589 4285670773 4279043085 2164260864 4278190080 4227858432 4177789444 4262201101 4279438867 4279569940 4279372050 4279174416 4279174416 4279174160 4279174160 4279174415 4279043085 4278255617)
	offset: 0@0)! !

!TamIcons class methodsFor: 'accessing forms from /22x22/actions' stamp: 'apl 9/20/2007 13:31'!
form22x22ActionsViewBottom
	^ (Form
	extent: 22@22
	depth: 32
	fromArray: #( 0 0 5789784 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 5789784 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4283979864 4283979864 4283979864 4283979864 4283979864 4283979864 4283979864 4283979864 4283979864 4283979864 4283979864 4283979864 4283979864 4283979864 4283979864 4283979864 4283979864 4282992969 0 0 5789784 5789784 4283979864 4291480266 4291546059 4291611852 4291677645 4291743438 4291677645 4291611852 4291546059 4291480266 4291348680 4291217094 4291085508 4290953922 4290756543 4290690750 4290493371 4281348144 0 0 0 0 4283979864 4291546059 4294177779 4294309365 4294375158 4294375158 4294375158 4294309365 4294177779 4294046193 4293848814 4293717228 4293585642 4293388263 4293190884 4293059298 4290559164 4281348144 0 0 0 0 4283979864 4291611852 4294309365 4294440951 4294506744 4294572537 4294506744 4294440951 4294309365 4294111986 4293980400 4293783021 4293585642 4293454056 4293256677 4293059298 4290624957 4281348144 0 0 0 0 4283979864 4291677645 4294375158 4294506744 4294704123 4294769916 4294704123 4294506744 4294375158 4294177779 4293980400 4293848814 4293651435 4293454056 4293322470 4293125091 4290624957 4281348144 0 0 0 0 4283979864 4291743438 4294375158 4294572537 4294769916 4294967295 4294769916 4294572537 4294375158 4294243572 4294046193 4293848814 4293651435 4293519849 4293322470 4293125091 4290624957 4281348144 0 0 0 0 4283979864 4291677645 4294046193 4294177779 4294375158 4294440951 4294375158 4294177779 4294046193 4293848814 4293651435 4293519849 4293322470 4293125091 4292993505 4292861919 4290624957 4281348144 0 0 0 0 4283979864 4292664540 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4292664540 4281348144 0 0 0 0 4283979864 4291546059 4291546059 4291546059 4291546059 4291546059 4291546059 4291546059 4291546059 4291546059 4291546059 4291546059 4291546059 4291546059 4278190080 4291546059 4291546059 4281348144 0 0 0 0 4283979864 4286019447 4283914071 4283914071 4283914071 4283848278 4283716692 4283650899 4283519313 4283453520 4283387727 4283256141 4283124555 4278190080 4294967090 4278190080 4286019447 4281348144 0 0 0 0 4283979864 4289309097 4291414473 4291480266 4291480266 4291546059 4291480266 4291480266 4291414473 4291348680 4278190080 4278190080 4291019715 4278190080 4294967142 4278190080 4288519581 4278190080 4278190080 0 0 0 4283979864 4291217094 4293717228 4293783021 4293848814 4293848814 4293848814 4293783021 4293717228 4278190080 4294967066 4291084544 4278190080 4288848153 4294967192 4288848153 4278190080 4291084544 4294967066 4278190080 0 0 4283979864 4291085508 4293585642 4293585642 4293651435 4293651435 4293651435 4293585642 4293585642 4293454056 4278190080 4294967133 4294967180 4294967222 4294967244 4294967222 4294967180 4294967133 4278190080 0 0 0 4283979864 4290953922 4293388263 4293454056 4293454056 4293519849 4293454056 4293454056 4293388263 4293322470 4293256677 4278190080 4288848153 4294967244 4294967295 4294967244 4288848153 4278190080 0 0 0 0 4283979864 4290756543 4293190884 4293256677 4293322470 4293322470 4293322470 4293256677 4293190884 4293125091 4293059298 4278190080 4288848153 4294967244 4294967295 4294967244 4288848153 4278190080 0 0 0 0 4283979864 4290690750 4293059298 4293059298 4293125091 4293125091 4293125091 4293059298 4293059298 4292993505 4278190080 4294967133 4294967180 4294967222 4294967244 4294967222 4294967180 4294967133 4278190080 0 0 0 4283979864 4290493371 4290559164 4290624957 4290624957 4290624957 4290624957 4290624957 4290559164 4278190080 4294967066 4291084544 4278190080 4288848153 4294967192 4288848153 4278190080 4291084544 4294967066 4278190080 0 0 4282992969 4281348144 4281348144 4281348144 4281348144 4281348144 4281348144 4281348144 4281348144 4281348144 4278190080 4278190080 4281348144 4278190080 4294967142 4278190080 4281348144 4278190080 4278190080 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278190080 4294967090 4278190080 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278190080 0 0 0 0 0)
	offset: 0@0)! !

!TamIcons class methodsFor: 'accessing forms from /22x22/actions' stamp: 'apl 9/20/2007 13:31'!
form22x22ActionsViewTopBottom
	^ (Form
	extent: 22@22
	depth: 32
	fromArray: #( 0 16777216 33554432 50331648 50331648 67108864 67108864 67108864 67108864 67108864 67108864 67108864 67108864 67108864 67108864 67108864 67108864 67108864 50331648 33554432 16777216 0 16777216 4283979864 4283979864 4283979864 4283979864 4283979864 4283979864 4283979864 4283979864 4283979864 4283979864 4283979864 4283979864 4283979864 4283979864 4283979864 4283979864 4283979864 4282992969 335544320 134217728 16777216 33554432 4283979864 4291480266 4291546059 4291611852 4291677645 4291743438 4291677645 4291611852 4291546059 4291480266 4291348680 4291217094 4291085508 4290953922 4290756543 4290690750 4290493371 4281348144 889192448 335544320 50331648 50331648 4283979864 4291546059 4294177779 4294309365 4294375158 4294375158 4294375158 4294309365 4294177779 4294046193 4293848814 4293717228 4293585642 4293388263 4293190884 4293059298 4290559164 4281348144 1191182336 452984832 67108864 67108864 4283979864 4291611852 4294309365 4294440951 4294506744 4294572537 4294506744 4294440951 4294309365 4294111986 4293980400 4293783021 4293585642 4293454056 4293256677 4293059298 4290624957 4281348144 1224736768 469762048 67108864 67108864 4283979864 4291677645 4294375158 4294506744 4294704123 4294769916 4294704123 4294506744 4294375158 4294177779 4293980400 4293848814 4293651435 4293454056 4293322470 4293125091 4290624957 4281348144 1241513984 469762048 67108864 67108864 4283979864 4291743438 4294375158 4294572537 4294769916 4294967295 4294769916 4294572537 4294375158 4294243572 4294046193 4293848814 4293651435 4293519849 4293322470 4293125091 4290624957 4281348144 1241513984 469762048 67108864 67108864 4283979864 4291677645 4294046193 4294177779 4294375158 4294440951 4294375158 4294177779 4294046193 4293848814 4293651435 4293519849 4293322470 4293125091 4292993505 4292861919 4290624957 4281348144 1241513984 469762048 67108864 67108864 4283979864 4292664540 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4294967295 4292664540 4281348144 1241513984 469762048 67108864 67108864 4283979864 4291546059 4291546059 4291546059 4291546059 4291546059 4291546059 4291546059 4291546059 4291546059 4291546059 4291546059 4291546059 4291546059 4291546059 4291546059 4291546059 4281348144 1241513984 469762048 67108864 67108864 4283979864 4286019447 4283914071 4283914071 4283914071 4283848278 4283716692 4283650899 4283519313 4283453520 4283387727 4283256141 4283124555 4283058762 4282927176 4282927176 4286019447 4281348144 1241513984 469762048 67108864 67108864 4283979864 4289309097 4291414473 4291480266 4291480266 4291546059 4291480266 4291480266 4291414473 4291348680 4291217094 4291085508 4291019715 4290888129 4290756543 4290624957 4288519581 4281348144 1241513984 469762048 67108864 67108864 4283979864 4291217094 4293717228 4293783021 4293848814 4293848814 4293848814 4293783021 4293717228 4293651435 4293519849 4293388263 4293256677 4293125091 4292993505 4292796126 4290361785 4281348144 1241513984 469762048 67108864 67108864 4283979864 4291085508 4293585642 4293585642 4293651435 4293651435 4293651435 4293585642 4293585642 4293454056 4293388263 4293256677 4293125091 4292993505 4292861919 4292730333 4290361785 4281348144 1241513984 469762048 67108864 67108864 4283979864 4290953922 4293388263 4293454056 4293454056 4293519849 4293454056 4293454056 4293388263 4293322470 4293256677 4293125091 4292993505 4292861919 4292730333 4292664540 4290361785 4281348144 1241513984 469762048 67108864 67108864 4283979864 4290756543 4293190884 4293256677 4293322470 4293322470 4293322470 4293256677 4293190884 4293125091 4293059298 4292993505 4292861919 4292730333 4292664540 4292664540 4290361785 4281348144 1241513984 469762048 67108864 67108864 4283979864 4290690750 4293059298 4293059298 4293125091 4293125091 4293125091 4293059298 4293059298 4292993505 4292927712 4292796126 4292730333 4292664540 4292664540 4292664540 4290361785 4281348144 1241513984 469762048 67108864 67108864 4283979864 4290493371 4290559164 4290624957 4290624957 4290624957 4290624957 4290624957 4290559164 4290493371 4290427578 4290361785 4290361785 4290361785 4290361785 4290361785 4290361785 4281348144 1241513984 469762048 67108864 50331648 4282992969 4281348144 4281348144 4281348144 4281348144 4281348144 4281348144 4281348144 4281348144 4281348144 4281348144 4281348144 4281348144 4281348144 4281348144 4281348144 4281348144 4281348144 1191182336 452984832 67108864 33554432 335544320 889192448 1174405120 1224736768 1241513984 1241513984 1241513984 1241513984 1241513984 1241513984 1241513984 1241513984 1241513984 1241513984 1241513984 1241513984 1241513984 1191182336 889192448 335544320 50331648 16777216 134217728 335544320 452984832 469762048 469762048 469762048 469762048 469762048 469762048 469762048 469762048 469762048 469762048 469762048 469762048 469762048 469762048 452984832 335544320 134217728 16777216 0 16777216 33554432 50331648 50331648 67108864 67108864 67108864 67108864 67108864 67108864 67108864 67108864 67108864 67108864 67108864 67108864 67108864 50331648 33554432 16777216 0)
	offset: 0@0)! !

!TamIcons class methodsFor: 'accessing forms from /32x32/actions' stamp: 'apl 9/20/2007 13:31'!
form32x32ActionsReload
	^ (Form
	extent: 32@32
	depth: 32
	fromArray: #( 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 4278666269 4278666269 4278666269 4278598936 4278530580 4278463764 4278462736 4278462226 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 4278666269 4278666269 4283994476 4288665778 4291356113 4292865763 4288140459 4283613046 4279411522 4281161788 4278190080 4278190080 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 4278666269 4278666269 4283994476 4291356113 4292865763 4288140459 4283613046 4279412038 4279073331 4279003950 4278869800 4278666269 4278666269 4278462224 4278190080 4278190080 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 4278666269 4283600229 4288531114 4292865763 4288799414 4285192078 4283215212 4279073331 4278869800 4278666269 4278190080 4278190080 4278190080 4278190080 4278190080 4278462224 4278461712 4278190080 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 4278666269 4283271264 4287940001 4292865763 4288799414 4283613046 4280524879 4279003950 4278666269 4278190080 4278190080 0 0 0 0 0 4278190080 4278190080 4278395663 4278190080 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 4278666269 4288531114 4292865763 4288799414 4279412038 4281247064 4279003950 4278666269 4278190080 0 0 16777215 16777215 16777215 16777215 16777215 0 0 4278190080 4278394893 4278190080 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 4278666269 4283533925 4292865763 4288799414 4283613046 4280919637 4279666491 4278666269 4278190080 0 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 0 4278190080 4278190080 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 4278666269 4288793263 4292865763 4285192078 4279412551 4279666491 4279003950 4278190080 0 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 0 0 4278190080 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 4278666269 4283136604 4290962380 4288799414 4283613046 4280919637 4279003950 4278666269 4278190080 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 0 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 4278666269 4283730791 4292865763 4285192078 4280002637 4279543624 4279264045 4278190080 0 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 4278666269 4283730791 4292865763 4283613046 4280067917 4279543624 4279132459 4278190080 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 4278463765 4278530069 4278597913 4278599450 4278665756 4278666269 4283730791 4290962380 4283613046 4279543624 4279344707 4278938413 4278190080 4278597913 4278666269 4278666269 4278597913 4278463765 16777215 16777215 16777215 16777215 4281545523 4278190080 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 4278190080 4278529555 4287677859 4291159247 4292865763 4292865763 4290962380 4286957721 4280070990 4279413063 4279344707 4286229387 4287677859 4291159247 4292865763 4287677859 4278666269 4278190080 16777215 16777215 16777215 4281545523 4282992969 4281545523 4278255873 16777215 16777215 16777215 16777215 16777215 16777215 16777215 0 4278190080 4278666269 4279277376 4283613046 4285192078 4285192078 4283613046 4279413320 4279479369 4279412551 4284597377 4286044823 4285192078 4279277376 4278666269 4278190080 0 16777215 16777215 4281545523 4282927176 4289309097 4283058762 4281545523 4278255873 16777215 16777215 16777215 16777215 16777215 16777215 16777215 0 4278190080 4278666269 4279003950 4279344194 4281256809 4280070990 4279479369 4279479369 4282170720 4282699617 4279277376 4279003950 4278666269 4278190080 0 16777215 16777215 4281545523 4282664004 4291217094 4287993237 4286019447 4283058762 4281545523 4278255873 16777215 16777215 16777215 16777215 16777215 16777215 16777215 0 4278190080 4278666269 4279003950 4279277376 4281256809 4279479369 4282170720 4284077171 4279277376 4279003950 4278666269 4278190080 0 16777215 15987699 4281545523 4282927176 4292203989 4287730065 4284243036 4284374622 4287335307 4283058762 4281545523 4278255873 16777215 16777215 16777215 16777215 16777215 16777215 16777215 0 4278190080 4278666269 4279003950 4279277376 4282170720 4282699617 4279277376 4279003950 4278666269 4278190080 0 16777215 16777215 4281545523 4282795590 4292006610 4287730065 4283979864 4282203453 4283190348 4284374622 4287993237 4282992969 4281545523 4278255873 16777215 16777215 16777215 16777215 16777215 16777215 16777215 0 4278190080 4278666269 4279003950 4279277376 4279277376 4279003950 4278666269 4278190080 0 16777215 16777215 4281545523 4282992969 4291875024 4287730065 4283979864 4282203453 4280427042 4280690214 4283124555 4284374622 4287993237 4282992969 4281545523 4278190080 16777215 16777215 16777215 16777215 16777215 16777215 16777215 0 4278190080 4278666269 4279003950 4279003950 4278666269 4278190080 0 16777215 16777215 4281545523 4282992969 4291217094 4287730065 4284177243 4282137660 4280427042 4280427042 4280427042 4280821800 4283190348 4284374622 4286743170 4282992969 4281545523 4278190080 16777215 16777215 16777215 16777215 16777215 16777215 16777215 0 4278190080 4278666269 4278666269 4278190080 0 16777215 16777215 4281545523 4282992969 4289309097 4287730065 4283979864 4282992969 4282992969 4281677109 4280821800 4280690214 4281808695 4281216558 4283058762 4284572001 4286019447 4282992969 4281545523 4278190080 16777215 16777215 16777215 16777215 16777215 16777215 16777215 0 4278190080 4278190080 0 16777215 16777215 16777215 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4286151033 4285361517 4281808695 4280690214 4283782485 4280163870 4278387459 4278190080 4278190080 4278190080 4278190080 4278190080 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 0 0 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 4278782217 4287664272 4285953654 4282664004 4280427042 4284243036 4280163870 4278387459 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 4281545523 4289045925 4286874756 4282664004 4280427042 4284308829 4280163870 4278387459 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 0 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 0 4281545523 4289506476 4286545791 4282137660 4282006074 4284637794 4280163870 4278190080 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 4278190080 0 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 4281545523 4285229931 4290164406 4285361517 4280427042 4284637794 4282664004 4278190080 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 4278190080 4278190080 0 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 0 4281545523 4284900966 4290756543 4287993237 4283190348 4282269246 4285493103 4280229663 4278190080 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 4278190080 4278387459 4278190080 0 0 16777215 16777215 16777215 16777215 16777215 0 0 4281545523 4282927176 4290295992 4288387995 4284966759 4280427042 4284769380 4281150765 4278190080 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 4278190080 4278387459 4278190080 4278190080 0 0 0 0 0 4281545523 4281545523 4285229931 4290624957 4288914339 4285361517 4280558628 4284769380 4284111450 4280756007 4278190080 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 4278190080 4281677109 4281677109 4278190080 4278190080 4281545523 4281545523 4281545523 4284966759 4289638062 4290756543 4288453788 4285361517 4281413937 4285690482 4284111450 4280756007 4278190080 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 4278190080 4278190080 4281677109 4284703587 4286743170 4287730065 4288651167 4289638062 4288387995 4283782485 4280887593 4284769380 4285690482 4280756007 4278190080 4278190080 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 4278190080 4278190080 4281545523 4282400832 4283650899 4284374622 4285558896 4285032552 4285887861 4284111450 4278190080 4278190080 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 4278190080 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215 16777215)
	offset: 0@0)! !

!TamIcons class methodsFor: 'accessing forms from /32x32/actions' stamp: 'apl 9/20/2007 13:31'!
form32x32ActionsRun
	^ (Form
	extent: 32@32
	depth: 32
	fromArray: #( 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278190080 4278190080 4278190080 4278190080 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278190080 4292467161 4294309365 4292467161 4287993237 4278190080 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278190080 4293519849 4293256677 4290427578 4286479998 4278190080 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278190080 4293519849 4293256677 4290427578 4286479998 4278190080 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278190080 4278190080 4278190080 4278190080 0 0 0 0 4278190080 4293519849 4293256677 4290098613 4286216826 4278190080 0 0 0 0 4278190080 4278190080 4278190080 4278190080 0 0 0 0 0 0 0 0 0 4278190080 4287269514 4289572269 4290098613 4289045925 4278190080 0 0 4278190080 4283585106 4293519849 4293256677 4289901234 4285887861 4282532418 4278190080 0 0 4278190080 4288848546 4288848546 4286940549 4282729797 4278190080 0 0 0 0 0 0 0 0 4278190080 4289572269 4293783021 4293519849 4292730333 4288519581 4278190080 4278190080 4287993237 4288322202 4293256677 4293059298 4291151301 4289045925 4287269514 4287269514 4278190080 4278190080 4288519581 4292467161 4292467161 4289901234 4283058762 4278321666 0 0 0 0 0 0 0 0 4278190080 4289901234 4293519849 4292730333 4292730333 4294309365 4288519581 4289572269 4294309365 4294111986 4292730333 4292203989 4292203989 4292730333 4292993505 4292730333 4286743170 4288848546 4292467161 4291151301 4291151301 4287006342 4281479730 4278321666 0 0 0 0 0 0 0 0 4278190080 4289045925 4292730333 4293059298 4292730333 4293059298 4294111986 4293783021 4292730333 4292730333 4292467161 4292203989 4292006610 4292006610 4292006610 4291677645 4292730333 4292203989 4291677645 4291480266 4290888129 4285690482 4280624421 4278321666 0 0 0 0 0 0 0 0 0 4278190080 4288585374 4294111986 4292730333 4292730333 4292993505 4292730333 4292730333 4292532954 4292203989 4292203989 4292006610 4291677645 4291677645 4291480266 4291677645 4291677645 4291480266 4290624957 4285427310 4280427042 4279111182 0 0 0 0 0 0 0 0 0 0 0 4278190080 4288519581 4294111986 4293059298 4292532954 4292203989 4292203989 4292203989 4292006610 4292006610 4292006610 4291677645 4291677645 4291480266 4291217094 4291217094 4290690750 4288519581 4280953386 4278190080 0 0 0 0 0 0 0 0 0 0 0 0 4278190080 4289572269 4293519849 4292730333 4292730333 4292532954 4291677645 4289901234 4288848546 4288585374 4289374890 4290098613 4290690750 4291217094 4291414473 4291151301 4290624957 4288519581 4282729797 4280624421 0 0 0 0 0 0 0 0 0 0 0 4278190080 4287795858 4294309365 4292532954 4292532954 4292532954 4291677645 4289901234 4286151033 4283519313 4283058762 4284111450 4286414205 4289901234 4290690750 4290953922 4290953922 4290953922 4290427578 4287795858 4280953386 4278848010 0 0 0 0 0 0 4278190080 4278190080 4278190080 4278190080 4283321934 4288322202 4294309365 4292730333 4292532954 4292203989 4289901234 4286151033 4283058762 4279045389 4278321666 4278584838 4282006074 4288848546 4290427578 4290953922 4290953922 4290624957 4290098613 4288519581 4281479730 4279045389 4279374354 4279374354 4279374354 4278190080 0 4278190080 4286414205 4293519849 4293519849 4293519849 4293519849 4293256677 4292730333 4292203989 4292203989 4292203989 4288848546 4283256141 4279045389 4278190080 0 0 4278190080 4281479730 4290427578 4290888129 4290690750 4290427578 4290164406 4289374890 4287006342 4287269514 4288322202 4289309097 4289309097 4289572269 4278190080 4278190080 4287466893 4293256677 4293256677 4293519849 4293256677 4292730333 4292532954 4292203989 4292203989 4292006610 4288848546 4283519313 4278321666 0 0 0 0 4280098077 4291677645 4291151301 4290624957 4290427578 4290098613 4289901234 4289309097 4289309097 4289572269 4289572269 4289572269 4288519581 4278190080 4278190080 4286743170 4290427578 4290427578 4290164406 4290164406 4291151301 4292532954 4292006610 4292006610 4291677645 4289045925 4284308829 4278584838 0 0 0 0 4280624421 4292532954 4291414473 4290624957 4290361785 4290098613 4289572269 4288322202 4287466893 4286743170 4286479998 4286479998 4285887861 4278190080 4278190080 4285164138 4286479998 4286479998 4286151033 4285887861 4288848546 4292532954 4292006610 4292006610 4291677645 4290098613 4286414205 4282006074 4278190080 0 0 4282532418 4285427310 4293059298 4291480266 4290427578 4290164406 4289901234 4288322202 4284835173 4282795590 4282532418 4282532418 4282532418 4282269246 4278190080 0 4278190080 4278190080 4278190080 4278190080 4282532418 4287269514 4292993505 4291677645 4291677645 4291480266 4290690750 4289572269 4288848546 4281479730 4280098077 4280953386 4285690482 4294309365 4292467161 4290624957 4290098613 4289901234 4289045925 4286216826 4280098077 4278321666 4278321666 4278321666 4278321666 4278190080 0 0 0 0 0 0 4278190080 4287269514 4292730333 4291677645 4291677645 4291480266 4291151301 4290888129 4290427578 4290624957 4291480266 4292203989 4292993505 4292532954 4290624957 4290361785 4290098613 4290098613 4289045925 4284111450 4279900698 4278190080 0 0 0 0 0 0 0 0 0 0 0 4278190080 4286743170 4292730333 4291677645 4291480266 4291151301 4290953922 4290690750 4290953922 4291151301 4291217094 4291414473 4290624957 4290098613 4290098613 4289901234 4288848546 4286216826 4280098077 4278190080 0 0 0 0 0 0 0 0 0 0 0 0 4278190080 4289374890 4292203989 4291480266 4291151301 4291151301 4290953922 4290953922 4290624957 4290624957 4290624957 4290164406 4290098613 4289901234 4289901234 4289901234 4289045925 4286743170 4281742902 4279571733 0 0 0 0 0 0 0 0 0 0 0 4278190080 4289374890 4293059298 4291151301 4291151301 4290953922 4290888129 4290888129 4290624957 4290690750 4290427578 4290427578 4290427578 4290098613 4289901234 4288848546 4289374890 4289572269 4289045925 4285953654 4281677109 4279637526 0 0 0 0 0 0 0 0 0 4278190080 4289901234 4293059298 4291217094 4291151301 4290624957 4289374890 4289572269 4290361785 4290427578 4290098613 4290361785 4290098613 4289572269 4289374890 4289045925 4286216826 4287006342 4289374890 4289901234 4289374890 4285164138 4280953386 4278321666 0 0 0 0 0 0 0 0 4278190080 4289901234 4293059298 4291151301 4290427578 4285427310 4282795590 4284637794 4287795858 4288585374 4289374890 4290098613 4289572269 4288322202 4285953654 4284308829 4280098077 4282729797 4287269514 4289045925 4289901234 4289374890 4285164138 4278321666 0 0 0 0 0 0 0 0 4278190080 4287993237 4290098613 4286940549 4285690482 4282729797 4278190080 4278190080 4283058762 4283256141 4286151033 4288848546 4288519581 4284835173 4280098077 4279900698 4278190080 4279900698 4282532418 4286940549 4289045925 4289045925 4285164138 4278321666 0 0 0 0 0 0 0 0 4278190080 4284835173 4284637794 4283321934 4282532418 4278190080 0 0 4278190080 4280098077 4285887861 4289045925 4287466893 4283058762 4278321666 4278190080 0 0 4280163870 4281742902 4286940549 4286940549 4286216826 4278190080 0 0 0 0 0 0 0 0 0 4278190080 4278190080 4278190080 4278190080 0 0 0 0 4278190080 4287730065 4289374890 4287269514 4282795590 4278190080 0 0 0 0 4278321666 4278321666 4278321666 4278190080 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278190080 4289901234 4289901234 4287730065 4283782485 4278190080 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278190080 4289901234 4289901234 4287730065 4283782485 4278190080 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278190080 4290624957 4288848546 4286940549 4283585106 4278190080 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278190080 4278190080 4278190080 4278190080 0 0 0 0 0 0 0 0 0 0 0 0 0 0)
	offset: 0@0)! !

!TamIcons class methodsFor: 'accessing forms from /' stamp: 'apl 9/20/2007 13:32'!
formCross1
	^ (Form
	extent: 21@21
	depth: 32
	fromArray: #( 0 0 0 0 0 0 0 4289242790 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4289242790 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4289242790 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4289242790 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4289242790 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4289242790 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4289242790 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4289242790 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4289242790 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4289242790 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4289242790 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4289242790 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4289242790 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4289242790 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4289242790 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4289242790 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4289242790 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4289242790 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4289242790 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4289242790 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4289242790 0 0 0 0 0 0 0 0 0 0 0 0 0)
	offset: 0@0)! !

!TamIcons class methodsFor: 'accessing forms from /' stamp: 'apl 9/20/2007 13:32'!
formCross2
	^ (Form
	extent: 21@21
	depth: 32
	fromArray: #( 0 0 0 0 0 0 0 4289242790 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4289242790 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4289242790 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4289242790 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4289242790 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4289242790 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4289242790 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4289242790 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4289242790 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4289242790 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4289242790 4289242790 4289242790 4289242790 4289242790 4289242790 4289242790 4289242790 4289242790 4289242790 4289242790 4289242790 4289242790 4289242790 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0)
	offset: 0@0)! !

!TamIcons class methodsFor: 'accessing forms from /' stamp: 'apl 9/20/2007 13:32'!
formCross3
	^ (Form
	extent: 21@21
	depth: 32
	fromArray: #( 0 0 0 0 0 0 0 4289242790 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4289242790 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4289242790 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4289242790 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4289242790 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4289242790 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4289242790 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4289242790 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4289242790 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4289242790 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4289242790 4289242790 4289242790 4289242790 4289242790 4289242790 4289242790 4289242790 4289242790 4289242790 4289242790 4289242790 4289242790 4289242790 0 0 0 0 0 0 0 4289242790 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4289242790 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4289242790 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4289242790 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4289242790 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4289242790 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4289242790 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4289242790 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4289242790 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4289242790 0 0 0 0 0 0 0 0 0 0 0 0 0)
	offset: 0@0)! !

!TamIcons class methodsFor: 'accessing forms from /' stamp: 'apl 9/20/2007 13:31'!
formExpandedform
	^ (Form
	extent: 10@9
	depth: 32
	fromArray: #( 0 4289242790 4289242790 4289242790 4289242790 4289242790 4289242790 4289242790 4289242790 4289242790 0 4289242790 0 0 0 0 0 0 0 4289242790 0 4289242790 0 0 0 0 0 0 0 4289242790 0 4289242790 0 0 0 0 0 0 0 4289242790 0 4289242790 0 4278190080 4278190080 4278190080 4278190080 4278190080 0 4289242790 0 4289242790 0 0 0 0 0 0 0 4289242790 0 4289242790 0 0 0 0 0 0 0 4289242790 0 4289242790 0 0 0 0 0 0 0 4289242790 0 4289242790 4289242790 4289242790 4289242790 4289242790 4289242790 4289242790 4289242790 4289242790)
	offset: 0@0)! !

!TamIcons class methodsFor: 'accessing forms from /' stamp: 'apl 9/20/2007 13:31'!
formExpandedform2
	^ (Form
	extent: 21@21
	depth: 32
	fromArray: #( 0 0 0 0 0 0 0 4289242790 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4289242790 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4289242790 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4289242790 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4289242790 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4289242790 4289242790 4289242790 4289242790 4289242790 4289242790 4289242790 4289242790 4289242790 0 0 0 0 0 0 0 0 0 0 0 0 4289242790 0 0 0 0 0 0 0 4289242790 0 0 0 0 0 0 0 0 0 0 0 0 4289242790 0 0 0 0 0 0 0 4289242790 0 0 0 0 0 0 0 0 0 0 0 0 4289242790 0 0 0 0 0 0 0 4289242790 0 0 0 0 0 0 0 0 0 0 0 0 4289242790 0 4278190080 4278190080 4278190080 4278190080 4278190080 0 4289242790 0 4289242790 4289242790 4289242790 4289242790 4289242790 4289242790 4289242790 4289242790 0 0 0 4289242790 0 0 0 0 0 0 0 4289242790 0 0 0 0 0 0 0 0 0 0 0 0 4289242790 0 0 0 0 0 0 0 4289242790 0 0 0 0 0 0 0 0 0 0 0 0 4289242790 0 0 0 0 0 0 0 4289242790 0 0 0 0 0 0 0 0 0 0 0 0 4289242790 4289242790 4289242790 4289242790 4289242790 4289242790 4289242790 4289242790 4289242790 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0)
	offset: 0@0)! !

!TamIcons class methodsFor: 'accessing forms from /' stamp: 'apl 9/20/2007 13:31'!
formExpandedform3
	^ (Form
	extent: 21@21
	depth: 32
	fromArray: #( 0 0 0 0 0 0 0 4289242790 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4289242790 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4289242790 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4289242790 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4289242790 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4289242790 4289242790 4289242790 4289242790 4289242790 4289242790 4289242790 4289242790 4289242790 0 0 0 0 0 0 0 0 0 0 0 0 4289242790 0 0 0 0 0 0 0 4289242790 0 0 0 0 0 0 0 0 0 0 0 0 4289242790 0 0 0 0 0 0 0 4289242790 0 0 0 0 0 0 0 0 0 0 0 0 4289242790 0 0 0 0 0 0 0 4289242790 0 0 0 0 0 0 0 0 0 0 0 0 4289242790 0 4278190080 4278190080 4278190080 4278190080 4278190080 0 4289242790 0 4289242790 4289242790 4289242790 4289242790 4289242790 4289242790 4289242790 4289242790 0 0 0 4289242790 0 0 0 0 0 0 0 4289242790 0 0 0 0 0 0 0 0 0 0 0 0 4289242790 0 0 0 0 0 0 0 4289242790 0 0 0 0 0 0 0 0 0 0 0 0 4289242790 0 0 0 0 0 0 0 4289242790 0 0 0 0 0 0 0 0 0 0 0 0 4289242790 4289242790 4289242790 4289242790 4289242790 4289242790 4289242790 4289242790 4289242790 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4289242790 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4289242790 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4289242790 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4289242790 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4289242790 0 0 0 0 0 0 0 0 0 0 0 0 0)
	offset: 0@0)! !

!TamIcons class methodsFor: 'utilities' stamp: 'apl 1/26/2007 13:45'!
formFileNamesFromDirectory: path 
	| fd result |
	result := OrderedCollection new.
	(fd := FileDirectory on: path) entries do: 
			[:n | 
			n isDirectory 
				ifTrue: 
					[result addAll: (self formFileNamesFromDirectory: path , FileDirectory slash , n name)]
				ifFalse: 
					[(#('png' 'gif' 'bmp' ) includes: (FileDirectory extensionFor: n name) asLowercase) 
						ifTrue: [ result add: (fd pathName , fd slash , n name)]]].
	^ result! !

!TamIcons class methodsFor: 'icon accessing' stamp: 'apl 1/26/2007 15:44'!
formFromRelativePath: aPathString 
	| selector |
	selector := self selectorFromPath: aPathString.
	^ self perform: selector! !

!TamIcons class methodsFor: 'accessing forms from /' stamp: 'apl 9/20/2007 13:31'!
formNotexpandedform
	^ (Form
	extent: 10@9
	depth: 32
	fromArray: #( 0 4289242790 4289242790 4289242790 4289242790 4289242790 4289242790 4289242790 4289242790 4289242790 0 4289242790 0 0 0 0 0 0 0 4289242790 0 4289242790 0 0 0 4278190080 0 0 0 4289242790 0 4289242790 0 0 0 4278190080 0 0 0 4289242790 0 4289242790 0 4278190080 4278190080 4278190080 4278190080 4278190080 0 4289242790 0 4289242790 0 0 0 4278190080 0 0 0 4289242790 0 4289242790 0 0 0 4278190080 0 0 0 4289242790 0 4289242790 0 0 0 0 0 0 0 4289242790 0 4289242790 4289242790 4289242790 4289242790 4289242790 4289242790 4289242790 4289242790 4289242790)
	offset: 0@0)! !

!TamIcons class methodsFor: 'accessing forms from /' stamp: 'apl 9/20/2007 13:32'!
formNotexpandedform2
	^ (Form
	extent: 21@21
	depth: 32
	fromArray: #( 0 0 0 0 0 0 0 4289242790 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4289242790 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4289242790 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4289242790 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4289242790 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4289242790 4289242790 4289242790 4289242790 4289242790 4289242790 4289242790 4289242790 4289242790 0 0 0 0 0 0 0 0 0 0 0 0 4289242790 0 0 0 0 0 0 0 4289242790 0 0 0 0 0 0 0 0 0 0 0 0 4289242790 0 0 0 4278190080 0 0 0 4289242790 0 0 0 0 0 0 0 0 0 0 0 0 4289242790 0 0 0 4278190080 0 0 0 4289242790 0 0 0 0 0 0 0 0 0 0 0 0 4289242790 0 4278190080 4278190080 4278190080 4278190080 4278190080 0 4289242790 0 4289242790 4289242790 4289242790 4289242790 4289242790 4289242790 4289242790 4289242790 0 0 0 4289242790 0 0 0 4278190080 0 0 0 4289242790 0 0 0 0 0 0 0 0 0 0 0 0 4289242790 0 0 0 4278190080 0 0 0 4289242790 0 0 0 0 0 0 0 0 0 0 0 0 4289242790 0 0 0 0 0 0 0 4289242790 0 0 0 0 0 0 0 0 0 0 0 0 4289242790 4289242790 4289242790 4289242790 4289242790 4289242790 4289242790 4289242790 4289242790 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0)
	offset: 0@0)! !

!TamIcons class methodsFor: 'accessing forms from /' stamp: 'apl 9/20/2007 13:32'!
formNotexpandedform3
	^ (Form
	extent: 21@21
	depth: 32
	fromArray: #( 0 0 0 0 0 0 0 4289242790 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4289242790 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4289242790 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4289242790 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4289242790 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4289242790 4289242790 4289242790 4289242790 4289242790 4289242790 4289242790 4289242790 4289242790 0 0 0 0 0 0 0 0 0 0 0 0 4289242790 0 0 0 0 0 0 0 4289242790 0 0 0 0 0 0 0 0 0 0 0 0 4289242790 0 0 0 4278190080 0 0 0 4289242790 0 0 0 0 0 0 0 0 0 0 0 0 4289242790 0 0 0 4278190080 0 0 0 4289242790 0 0 0 0 0 0 0 0 0 0 0 0 4289242790 0 4278190080 4278190080 4278190080 4278190080 4278190080 0 4289242790 0 4289242790 4289242790 4289242790 4289242790 4289242790 4289242790 4289242790 4289242790 0 0 0 4289242790 0 0 0 4278190080 0 0 0 4289242790 0 0 0 0 0 0 0 0 0 0 0 0 4289242790 0 0 0 4278190080 0 0 0 4289242790 0 0 0 0 0 0 0 0 0 0 0 0 4289242790 0 0 0 0 0 0 0 4289242790 0 0 0 0 0 0 0 0 0 0 0 0 4289242790 4289242790 4289242790 4289242790 4289242790 4289242790 4289242790 4289242790 4289242790 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4289242790 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4289242790 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4289242790 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4289242790 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4289242790 0 0 0 0 0 0 0 0 0 0 0 0 0)
	offset: 0@0)! !

!TamIcons class methodsFor: 'accessing forms from /' stamp: 'apl 9/20/2007 13:31'!
formTamaris
	^ (Form
	extent: 16@16
	depth: 32
	fromArray: #( 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294902015 0 0 0 0 4294902015 4294075115 0 4294075115 4294075115 0 0 0 0 0 4294902015 4292664540 4294902015 0 0 0 4294902015 4294958590 4294075115 4294951167 0 0 0 0 0 0 0 4280250397 4294958590 4290773184 0 4278222848 4278222848 4294958590 4290773184 4294902015 4294902015 4294075115 0 0 0 0 0 0 0 4293475826 4290773184 4290773184 4290773184 4290773184 4290773184 4294902015 0 0 0 0 0 0 4294902015 4294902015 4292664540 4278222848 4290773184 4290773184 0 0 4294951167 4294951167 4290773184 0 0 0 0 4294902015 4292664540 4294902015 4292664540 4290773184 4294951167 4294958590 4290773184 0 4278222848 4290773184 4292664540 4294902015 0 0 0 0 4294902015 4294902015 4278222848 4290773184 4290773184 4278222848 0 0 0 0 4290773184 4294902015 0 0 0 0 0 4278222848 4290773184 4290773184 4294951167 4278239232 0 4290773184 0 0 0 0 0 0 0 0 0 4290773184 4290773184 4280250397 4294951167 4280250397 4278239232 4290773184 4294951167 4290773184 4290773184 0 0 0 0 0 4278222848 4280250397 4280250397 0 4278222848 0 0 4278239232 4290773184 4292664540 4278239232 4294078175 0 0 0 4278222848 4278222848 0 0 0 0 0 0 0 4294902015 4294902015 0 4294902015 0 0 0 4278222848 0 0 0 0 0 0 0 0 0 4294902015 0 0 0 0 4278222848 4278222848 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0)
	offset: 0@0)! !

!TamIcons class methodsFor: 'accessing forms from /' stamp: 'apl 9/20/2007 13:31'!
formTamarix
	^ (Form
	extent: 592@394
	depth: 32
	fromArray: #( 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294934758 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 0 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 4294934758 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 4294934758 4294934758 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 4294934758 0 0 4294934758 4294934758 4294934758 4294934758 4294934758 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 0 0 0 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 0 4294934758 4294934758 4294934758 4294934758 4294934758 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 0 0 4294934758 4294934758 4294934758 4294934758 4294934758 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 4294934758 0 0 0 0 0 0 4294934758 4294934758 4294934758 4294934758 4294934758 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 4294934758 4294934758 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 4294934758 4294934758 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 4294934758 4294934758 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 4294934758 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 4294934758 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 4294934758 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294933987 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294933987 4294933987 4294933987 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 4294934758 4294934758 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294934758 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294933987 4294933987 4294933987 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294934758 4294934758 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294933987 4294933987 4294933987 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 4294934758 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294933987 0 0 0 0 0 0 0 0 0 0 4294933987 4294933987 4294933987 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294933987 4294933987 4294933987 0 0 0 0 0 0 0 0 0 4294933987 4294933987 4294933987 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294933987 4294933987 4294933987 4294933987 4294933987 0 0 0 0 0 0 0 0 0 4294933987 4294933987 4294933987 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294933987 4294933987 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 4294933987 4294933987 4294933987 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294933987 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 4294933987 4294933987 4294933987 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 4294934758 0 0 0 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 4294934758 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294934758 4294934758 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 4294933987 4294933987 4294933987 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 4294934758 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 4294934758 4294934758 0 0 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 0 4294934758 4294934758 4294934758 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294934758 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 4294933987 4294933987 4294933987 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 0 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 4294934758 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294934758 4294934758 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 0 4294934758 4294934758 4294934758 4294934758 4294934758 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 4294933987 4294933987 4294933987 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 0 4294934758 4294934758 4294934758 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 4294934758 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294934758 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294934758 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294933987 0 0 0 0 0 4294933987 4294933987 4294933987 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 4294934758 0 0 0 0 0 4294934758 4294934758 4294934758 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 4294934758 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 4294934758 4294934758 0 0 0 4294934758 4294934758 4294934758 4294934758 4294934758 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294933987 4294933987 0 0 0 0 0 4294933987 4294933987 4294933987 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 4294934758 4294934758 4294934758 0 0 0 4294934758 4294934758 4294934758 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 0 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 4294934758 4294934758 4294934758 4294924527 4294924527 4294924527 4294934758 0 0 0 4294934758 4294934758 4294934758 4294934758 4294934758 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294933987 4294933987 4294933987 0 0 0 4294933987 4294933987 4294933987 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 0 0 0 4294934758 4294934758 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 4294934758 4294934758 0 0 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 4294934758 4294934758 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 4294934758 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294933987 4294933987 4294933987 4294933987 0 4294933987 4294933987 4294933987 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 4294934758 0 0 0 4294934758 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 0 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294934758 4294934758 4294934758 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294933987 4294933987 4294933987 4294933987 0 4294933987 4294933987 4294933987 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294934758 4294934758 0 0 0 0 0 4294934758 4294934758 4294934758 4294934758 0 0 4294934758 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 0 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294934758 4294934758 4294934758 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294934758 4294934758 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294933987 4294933987 4294933987 4294933987 0 4294933987 4294933987 4294933987 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294934758 4294934758 4294934758 4294934758 0 0 0 0 4294934758 4294934758 4294934758 4294934758 0 4294934758 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 0 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294934758 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294934758 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294934758 4294934758 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294933987 4294933987 4294933987 4294933987 0 4294933987 4294933987 4294933987 0 0 0 0 4294933987 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294934758 4294934758 4294934758 0 0 0 0 4294934758 4294934758 4294934758 4294934758 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 0 4294934758 4294934758 4294934758 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294934758 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 4294934758 4294934758 4294934758 0 0 0 0 0 4294934758 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294933987 4294933987 4294933987 4294933987 0 4294933987 4294933987 4294933987 0 0 0 4294933987 4294933987 4294933987 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294934758 4294934758 4294934758 0 0 0 0 0 4294934758 4294934758 4294934758 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 0 4294934758 4294934758 4294934758 0 0 0 4294934758 4294934758 4294934758 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 4294934758 4294934758 4294934758 0 0 0 0 0 4294934758 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 4294934758 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294933987 4294933987 4294933987 4294933987 0 4294933987 4294933987 4294933987 0 0 4294933987 4294933987 4294933987 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 0 0 0 0 0 0 0 4294934758 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294934758 4294934758 0 0 0 0 0 4294934758 4294934758 4294934758 4294934758 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 0 0 4294934758 4294934758 4294934758 0 0 0 4294934758 4294934758 4294934758 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 4294934758 4294934758 4294934758 0 0 0 4294934758 4294934758 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 4294933987 4294933987 4294933987 4294933987 4294933987 4294933987 4294933987 0 4294933987 4294933987 4294933987 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 4294934758 4294934758 4294934758 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294934758 4294934758 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 0 0 0 4294934758 4294934758 4294934758 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 4294934758 4294934758 4294934758 0 0 0 4294934758 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 4294933987 4294933987 4294933987 4294933987 4294924527 4294924527 4294924527 0 4294933987 4294933987 4294933987 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 4294934758 4294934758 0 0 0 0 0 4294934758 4294934758 4294934758 4294934758 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294934758 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 4294934758 4294934758 4294934758 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 4294934758 4294934758 4294934758 0 0 4294934758 4294934758 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 4294933987 4294933987 4294933987 4294924527 4294924527 4294924527 4294924527 4294924527 4294933987 4294933987 4294933987 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 4294934758 4294934758 0 0 0 0 0 4294934758 4294934758 4294934758 4294934758 4294934758 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294934758 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 4294934758 4294934758 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 4278243847 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 4294934758 4294934758 4294934758 0 4294934758 4294934758 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 4294933987 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294933987 4294933987 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 4294934758 0 0 0 0 0 4294934758 4294934758 4294934758 4294934758 4294934758 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 4294934758 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 4294934758 4294934758 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4278243847 4294924527 4294924527 4294924527 4278243847 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294933987 4294933987 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 4294934758 4294934758 4294934758 0 4294934758 4294934758 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 0 0 0 4294934758 4294934758 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4294924527 4294924527 4294924527 4294924527 4294924527 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294933987 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 4294934758 4294934758 4294934758 0 4294934758 4294934758 4294934758 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 0 0 0 4294934758 4294934758 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4294924527 4294924527 4294924527 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 0 0 0 4294934758 4294934758 4294934758 0 4294934758 4294934758 4294934758 4294934758 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 0 0 4294934758 4294934758 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4279871232 4279871232 4279871232 4279871232 4294934758 4294934758 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 4294934758 4294934758 4294934758 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 0 0 4294934758 4294934758 4294934758 4294934758 4294934758 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 4294934758 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 0 0 4294934758 4294934758 4294934758 4294934758 4294934758 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 0 4294924527 4294924527 4294924527 4294924527 4294924527 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 4294934758 4294934758 4279871232 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 0 4294934758 4294934758 4294934758 4294934758 4294934758 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4279871232 4279871232 4279871232 4294924527 4294924527 4294924527 4279871232 4279871232 4279871232 4279871232 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 0 0 0 0 0 4294934758 4294934758 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 0 0 0 4294934758 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 0 4294934758 4294934758 4294934758 4294934758 4294934758 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 0 0 0 4294934758 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 0 0 4294934758 4294934758 4294934758 4294934758 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 0 0 0 4294934758 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 0 0 0 4294934758 4294934758 4294934758 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 0 0 0 4294934758 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 4294934758 4294934758 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 0 0 4279871232 4279871232 4279871232 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 0 0 4294934758 4294934758 4294934758 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 4294934758 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294934758 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 4294934758 4294934758 4294934758 4279871232 4279871232 4279871232 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 0 0 0 4294934758 4294934758 4294934758 4279871232 4279871232 4279871232 0 0 0 0 0 0 4294934758 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 4294934758 4294934758 4294934758 4279871232 4279871232 4279871232 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 0 0 4279871232 4279871232 4279871232 0 0 0 0 4294934758 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 4294934758 4294934758 4294934758 4279871232 4279871232 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 0 0 4279871232 4279871232 4279871232 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294934758 4294934758 4294934758 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 4294934758 4294934758 4279871232 4279871232 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 0 0 4279871232 4279871232 4279871232 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 4294934758 4294934758 4294934758 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 4279871232 4279871232 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 0 0 4279871232 4279871232 4279871232 0 4294934758 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 4294934758 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 4279871232 4279871232 4279871232 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 0 0 0 4279871232 4279871232 4279871232 4294934758 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294934758 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294934758 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 4279871232 4279871232 4279871232 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 0 0 4294934758 4294934758 4294934758 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 4279871232 4279871232 4279871232 4294934758 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294934758 4294934758 4294934758 4294934758 0 0 0 0 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294934758 4294934758 4294934758 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 0 4294934758 4294934758 4294934758 4294934758 4294934758 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 4294934758 4279871232 4279871232 4279871232 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294934758 4294934758 4294934758 4294934758 4294934758 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 4294934758 4294934758 4294934758 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 0 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 4294934758 4279871232 4279871232 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 4294934758 4294934758 4294934758 4294934758 4294934758 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 4294934758 4294934758 4294934758 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 0 4294934758 4294934758 4294934758 4294934758 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 4294934758 4294934758 4294934758 4294934758 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 4294934758 4279871232 4279871232 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294934758 0 4294934758 4294934758 4294934758 4294934758 4294934758 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 4294924527 4294924527 4294924527 4294924527 4294924527 0 4294934758 4294934758 4294934758 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 4294934758 4294934758 4279871232 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294934758 4294934758 0 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 4294934758 4294934758 4294934758 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 0 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 4294934758 4294934758 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294934758 4294934758 0 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 4294934758 4294934758 4294934758 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294934758 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 0 0 0 0 0 0 4294934758 4294934758 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 0 0 0 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 4294934758 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 4294934758 4294934758 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 4294934758 4294934758 4294934758 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278221377 4278221377 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4294934758 4294934758 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 4294934758 4294934758 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 4294934758 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 4294934758 4294934758 4294934758 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4294934758 4294934758 4294934758 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294934758 4294934758 4294934758 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 4294934758 4294934758 4294934758 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 4278243847 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278243847 4278243847 4278243847 0 0 4294934758 4294934758 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294924527 4294924527 4294924527 4294924527 4294924527 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 4294934758 0 0 0 0 0 4294934758 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 4294934758 0 4294934758 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278243847 4278243847 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 4294924527 4294924527 4294924527 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 4294934758 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 4294934758 4294934758 4294934758 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278243847 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 0 4294934758 4294934758 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 4294934758 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 4294934758 4294934758 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 0 4294934758 4294934758 4294934758 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 4294934758 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 4294934758 4294934758 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 0 4294934758 4294934758 4294934758 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 4294934758 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 4294934758 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 0 4294934758 4294934758 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 4294934758 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 4294934758 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 0 4294934758 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 4294934758 4294934758 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294934758 0 0 4279871232 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 4294934758 4294934758 4294934758 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294934758 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 4279871232 4279871232 4279871232 4294934758 4294934758 4294934758 4294934758 4294934758 4279871232 4279871232 4279871232 4279871232 4279871232 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 4294934758 4294934758 4294934758 4294934758 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294934758 4279871232 4279871232 4279871232 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 4279871232 4279871232 4279871232 4294934758 4294934758 4294934758 4294934758 4294934758 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4294934758 4294934758 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 4294924527 4294924527 4294924527 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294934758 4279871232 4279871232 4279871232 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4279871232 4279871232 4279871232 4294934758 4294934758 4294934758 4294934758 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4294934758 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 0 0 0 0 0 0 0 4294934758 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4279871232 4279871232 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 0 0 0 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 4294934758 0 0 0 0 0 4294934758 4294934758 4294934758 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294934758 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 4294934758 4294934758 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4279871232 4279871232 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 4294934758 0 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 0 0 4294934758 4294934758 4294934758 0 0 0 0 4294934758 4294934758 4294934758 4294934758 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4279871232 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 0 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 0 4294934758 4294934758 4294934758 0 0 0 4294934758 4294934758 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4279871232 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 4294934758 0 0 4294934758 4294934758 4294934758 4294934758 4294934758 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 0 0 0 4294934758 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294934758 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4279871232 4279871232 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 4294934758 4294934758 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294934758 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294933987 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 0 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 4294934758 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294934758 4294934758 4294934758 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278243847 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294933987 4294933987 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 0 0 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 0 4294934758 4294934758 4294934758 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294934758 4294934758 4294934758 4294934758 4294934758 4294924527 4294924527 4294924527 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 4294934758 4294934758 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278243847 4278243847 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294933987 4294933987 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294934758 4294934758 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 4294934758 4294934758 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294933987 4294933987 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294934758 4294934758 4294934758 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294933987 4294933987 4294933987 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294934758 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294933987 4294933987 4294933987 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4294934758 4294934758 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294933987 4294933987 4294933987 4294933987 4294933987 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 4294934758 4294934758 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294933987 4294933987 4294933987 4294933987 4294933987 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 4294933987 4294933987 4294933987 4294933987 4294933987 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4279871232 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 0 0 0 0 4279871232 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 4294934758 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 4294933987 4294933987 4294933987 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4279871232 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 4294934758 4294934758 4294934758 4294934758 4294934758 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 4294934758 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294934758 4294934758 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 4294933987 4294933987 4294933987 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 4294934758 4294934758 4294934758 4294934758 4294934758 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 4294934758 4294934758 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 4294933987 4294933987 4294933987 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 0 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 4294924527 4294924527 4294924527 4294934758 4294934758 0 0 0 4294934758 4294934758 4294934758 4294934758 4294934758 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 4294933987 4294933987 4294933987 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294934758 4294934758 4294934758 4294934758 4294934758 0 0 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 4294933987 4294933987 4294933987 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294934758 4294934758 4294934758 4294934758 0 0 0 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294933987 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 4294933987 4294933987 4294933987 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 4294934758 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294933987 4294933987 4294933987 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 4294933987 4294933987 4294933987 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294934758 4294934758 0 0 0 0 0 0 0 0 0 4294934758 0 0 0 0 0 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294933987 4294933987 4294933987 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 4294933987 4294933987 4294933987 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294933987 4294933987 4294933987 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 4294933987 4294933987 4294933987 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 4294934758 4294934758 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294933987 4294933987 4294933987 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 4294933987 4294933987 4294933987 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 4294934758 4294934758 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294934758 4294934758 4294934758 0 0 0 0 4294934758 4294934758 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 0 0 0 0 0 0 0 4278221377 0 0 4279871232 4279871232 4279871232 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294933987 4294933987 4294933987 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 4294933987 4294933987 4294933987 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 4279871232 4294924527 4294924527 4294924527 0 4294934758 4294934758 4294934758 0 0 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4279871232 4279871232 4279871232 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294933987 0 0 0 0 0 0 4294933987 4294933987 4294933987 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294933987 0 0 4279871232 4279871232 4279871232 4294933987 4294933987 4294933987 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4279871232 4279871232 0 0 0 0 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4294924527 4294924527 4294924527 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 4294924527 4294924527 4294924527 0 0 0 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294933987 4294933987 4294933987 0 0 0 0 4294933987 4294933987 4294933987 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294933987 4294933987 4294933987 0 4279871232 4279871232 4279871232 4294933987 4294933987 4294933987 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4278243847 4278243847 4278243847 0 0 0 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294934758 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 0 0 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294933987 4294933987 4294933987 4294933987 4294933987 4294933987 4294933987 4294933987 4294933987 4294933987 4294933987 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294933987 0 0 0 0 0 0 0 0 0 0 0 4294933987 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294933987 4294933987 4294933987 0 4279871232 4279871232 4279871232 4294933987 4294933987 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4278243847 4278243847 0 0 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294934758 4294934758 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294934758 4294934758 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294933987 4294933987 4294933987 0 4294933987 4294933987 4294933987 4294933987 4294933987 4294933987 4294933987 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294933987 4294933987 4294933987 0 0 0 0 0 0 0 0 0 4294933987 4294933987 4294933987 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294933987 4294933987 4294924527 4294924527 4294924527 4279871232 4279871232 4279871232 4294933987 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4279871232 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 4294934758 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4278243847 0 0 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294934758 4294934758 4294934758 4294934758 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294934758 0 0 0 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294933987 4294933987 4294933987 0 0 4294933987 4294933987 4294933987 4294933987 4294933987 4294933987 0 0 0 0 0 0 4294933987 4294933987 4294933987 4294933987 4294933987 0 0 0 0 0 0 4294933987 4294933987 4294933987 0 0 0 0 0 0 0 0 4294933987 4294933987 4294933987 4294933987 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294933987 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294933987 4294924527 4294924527 4294924527 4294924527 4294924527 4279871232 4279871232 4294933987 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4279871232 4279871232 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 4294934758 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4278243847 0 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 4294934758 4294934758 4294934758 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294933987 4294933987 4294933987 0 0 0 0 0 4294933987 4294933987 4294933987 0 0 0 0 0 4294933987 4294933987 4294933987 4294933987 4294933987 4294933987 4294933987 0 0 0 0 0 4294933987 4294933987 4294933987 0 0 0 0 0 0 0 0 0 4294933987 4294933987 4294933987 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294933987 4294933987 4294933987 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4279871232 4279871232 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4279871232 4279871232 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294934758 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 4294934758 4294934758 4294934758 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294933987 4294933987 4294933987 4294933987 4294933987 0 0 4294933987 4294933987 4294933987 0 0 0 4294933987 4294933987 4294933987 4294933987 4294933987 4294933987 4294933987 4294933987 4294933987 0 0 0 0 0 0 4294933987 4294933987 4294933987 0 0 0 0 0 0 0 0 4294933987 4294933987 4294933987 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294933987 4294933987 4294933987 4294933987 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4279871232 4279871232 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4279871232 4279871232 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294934758 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4278243847 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 4294934758 4294934758 4294934758 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294933987 4294933987 4294933987 4294933987 4294933987 4294933987 4294933987 4294933987 4294933987 0 0 0 4294933987 4294933987 4294933987 4294933987 4294933987 4294933987 4294933987 0 0 0 0 0 0 0 0 0 4294933987 4294933987 4294933987 0 0 0 0 0 0 0 4294933987 4294933987 4294933987 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294933987 4294933987 4294933987 4294933987 4294933987 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4279871232 4279871232 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4279871232 4279871232 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4278243847 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 4294934758 4294934758 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294933987 4294933987 4294933987 4294933987 0 0 4294933987 0 0 0 4294933987 4294933987 4294933987 4294933987 4294933987 4294933987 4294933987 0 0 0 0 0 0 0 0 0 4294933987 4294933987 4294933987 0 0 0 0 0 0 0 0 4294933987 4294933987 4294933987 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294933987 4294933987 4294933987 4294933987 4294933987 4294933987 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4279871232 4279871232 4279871232 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4279871232 4279871232 4279871232 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 4294934758 4294934758 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294933987 4294933987 4294933987 0 4294933987 4294933987 4294933987 0 0 0 0 0 0 0 0 0 4294933987 4294933987 4294933987 0 0 0 0 0 0 0 0 0 4294933987 4294933987 4294933987 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294933987 4294933987 4294933987 4294933987 4294933987 4294933987 4294933987 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4279871232 4279871232 4279871232 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4279871232 4279871232 4279871232 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 4294934758 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294933987 4294933987 4294933987 4294933987 4294933987 0 4294933987 4294933987 4294933987 0 0 0 0 0 0 0 0 0 0 4294933987 4294933987 4294933987 0 0 0 0 0 0 0 0 0 4294933987 4294933987 4294933987 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294933987 4294933987 4294933987 4294933987 4294933987 4294933987 4294933987 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294933987 4279871232 4279871232 4279871232 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4279871232 4279871232 4279871232 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294934758 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 4278243847 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 4294934758 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294934758 4294934758 4294934758 0 0 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 0 0 0 4294933987 4294933987 4294933987 4294933987 4294933987 0 4294933987 4294933987 4294933987 0 0 0 0 0 0 0 0 0 0 0 4294933987 4294933987 4294933987 0 0 0 0 0 0 0 0 0 4294933987 4294933987 4294933987 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 0 4294933987 4294933987 4294933987 4294933987 4294933987 4294933987 4294933987 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 4279871232 4279871232 4279871232 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4279871232 4279871232 4279871232 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294934758 4294934758 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 4279871232 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 4294934758 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294934758 4294934758 4294934758 0 0 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294933987 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 0 4294933987 4294933987 4294933987 4294933987 4294933987 0 4294933987 4294933987 4294933987 0 0 0 0 0 0 0 0 0 0 0 0 4294933987 4294933987 4294933987 0 0 0 0 0 0 0 0 4294933987 4294933987 4294933987 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294933987 4294933987 4294933987 4294933987 4294933987 4294933987 4294933987 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 4279871232 4279871232 4279871232 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 4279871232 4279871232 4279871232 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 4279871232 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294934758 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 4279871232 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 4279871232 4279871232 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294934758 4294934758 0 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294933987 4294933987 4294933987 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294933987 4294933987 0 0 0 4294933987 4294933987 4294933987 0 0 0 0 0 0 0 0 0 0 0 0 0 4294933987 4294933987 4294933987 0 0 0 0 0 0 0 4294933987 4294933987 4294933987 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294933987 4294933987 4294933987 4294933987 4294933987 4294933987 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 4279871232 4279871232 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 4279871232 4279871232 4279871232 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 4279871232 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 4279871232 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 4279871232 4279871232 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294933987 4294933987 4294933987 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294933987 4294933987 0 0 4294933987 4294933987 4294933987 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294933987 4294933987 4294933987 0 0 0 0 0 0 0 4294933987 4294933987 4294933987 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294933987 4294933987 4294933987 4294933987 4294933987 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 4279871232 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4294934758 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 4279871232 4279871232 4279871232 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 4279871232 4279871232 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294933987 4294933987 4294933987 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294933987 4294933987 0 4294933987 4294933987 4294933987 4294933987 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294933987 4294933987 4294933987 0 0 0 0 0 0 0 4294933987 4294933987 4294933987 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294933987 4294933987 4294933987 4294933987 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 4279871232 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 4279871232 4279871232 4279871232 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294933987 4294933987 4294933987 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 4294933987 4294933987 4294933987 4294933987 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294933987 4294933987 4294933987 0 0 0 0 0 0 0 4294933987 4294933987 4294933987 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294933987 4294933987 4294933987 0 0 0 4294933987 4294933987 4294933987 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 4294933987 4294933987 4294933987 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 4279871232 4279871232 4279871232 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 4279871232 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4294934758 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 4294934758 0 0 0 0 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 4279871232 4279871232 4279871232 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294933987 4294933987 4294933987 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294933987 4294933987 4294933987 4294933987 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294933987 4294933987 4294933987 0 0 0 0 0 0 0 4294933987 4294933987 4294933987 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294933987 0 0 0 4294933987 4294933987 4294933987 4294933987 4294933987 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 4294933987 4294933987 4294933987 4294933987 4294933987 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 4279871232 4279871232 4279871232 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4294934758 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 4294934758 4294934758 0 0 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 4279871232 4279871232 4279871232 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4279871232 4279871232 0 0 0 4294934758 4294934758 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294933987 4294933987 4294933987 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294933987 4294933987 4294933987 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294933987 4294933987 4294933987 0 0 0 0 0 0 4294933987 4294933987 4294933987 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294933987 0 0 0 0 4294933987 4294933987 4294933987 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 4294933987 4294933987 4294933987 4294933987 4294933987 4294933987 4294933987 4294933987 4294933987 4294933987 4294933987 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 4279871232 4279871232 4279871232 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4294934758 4294934758 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294934758 0 0 4294934758 4294934758 4294934758 4279871232 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4294934758 4294934758 4294934758 0 0 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 4279871232 4279871232 4279871232 0 0 4279871232 4279871232 4279871232 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 4294934758 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294933987 4294933987 4294933987 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294933987 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294933987 4294933987 4294933987 0 0 0 0 0 4294933987 4294933987 4294933987 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 4294933987 4294933987 4294933987 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 0 4294933987 4294933987 4294933987 4294933987 4294933987 4294933987 4294933987 4294933987 4294933987 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4294934758 4294934758 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 4294934758 4294934758 4294934758 4279871232 4279871232 4279871232 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 4279871232 4279871232 4279871232 0 4279871232 4279871232 4279871232 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294934758 4294934758 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294933987 4294933987 4294933987 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294933987 4294933987 4294933987 0 0 0 0 4294933987 4294933987 4294933987 0 0 4294933987 4294933987 4294933987 4294933987 4294933987 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 4294933987 4294933987 4294933987 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4279871232 4279871232 4279871232 4279871232 4294924527 4294924527 4294924527 4279871232 4294933987 4294933987 4294933987 4294933987 4294933987 4294933987 4294933987 4294933987 4294933987 0 0 0 0 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 4294934758 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 4294934758 4294934758 4279871232 4279871232 4279871232 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4294934758 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294933987 4294933987 4294933987 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294933987 4294933987 4294933987 0 0 0 4294933987 4294933987 4294933987 0 4294933987 4294933987 4294933987 4294933987 4294933987 4294933987 4294933987 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 4294933987 4294933987 4294933987 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4279871232 4279871232 4279871232 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294933987 4294933987 4294933987 4294933987 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 4294934758 4294934758 4279871232 4279871232 4279871232 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4294934758 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 4279871232 4279871232 4279871232 0 4279871232 0 0 4279871232 4279871232 4279871232 4279871232 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4279871232 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294933987 4294933987 4294933987 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 4294933987 0 0 0 0 0 0 0 0 0 0 4294933987 4294933987 4294933987 0 0 0 4294933987 4294933987 4294933987 4294933987 4294933987 4294933987 4294933987 4294933987 4294933987 4294933987 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294933987 4294933987 4294933987 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4279871232 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294933987 4294933987 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 4294934758 4279871232 4279871232 4279871232 4279871232 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 4279871232 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294933987 4294933987 4294933987 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 4294933987 4294933987 4294933987 0 0 0 0 0 0 0 0 0 4294933987 4294933987 4294933987 0 0 0 4294933987 4294933987 4294933987 4294933987 4294933987 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 4294933987 4294933987 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294933987 4294933987 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4279871232 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 4279871232 4279871232 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 0 0 0 4279871232 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294933987 4294933987 4294933987 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 4294933987 4294933987 4294933987 4294933987 4294933987 0 0 0 0 0 0 0 0 0 4294933987 0 0 0 0 0 4294933987 4294933987 4294933987 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294933987 4294933987 4294933987 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294933987 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 4279871232 4279871232 4279871232 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294933987 4294933987 4294933987 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 4294933987 4294933987 4294933987 4294933987 4294933987 4294933987 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294933987 4294933987 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4279871232 4279871232 4279871232 4294934758 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 4279871232 4279871232 4279871232 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 4278243847 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294933987 4294933987 4294933987 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 4294933987 4294933987 4294933987 4294933987 4294933987 4294933987 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294933987 0 4294933987 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4279871232 4279871232 4294934758 4294934758 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 4279871232 4279871232 4279871232 4279871232 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294933987 4294933987 4294933987 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294933987 4294933987 4294933987 4294933987 4294933987 4294933987 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 4294933987 4294933987 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4279871232 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294934758 4294934758 4294934758 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 4279871232 4279871232 4279871232 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 4279871232 4279871232 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294933987 4294933987 4294933987 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294933987 4294933987 4294933987 4294933987 4294933987 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294933987 4294933987 4294933987 4294933987 4294933987 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294934758 4294934758 4294934758 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294934758 4279871232 4279871232 4279871232 4294934758 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294933987 0 0 0 0 0 0 0 0 4294933987 4294933987 4294933987 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294933987 4294933987 4294933987 4294933987 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294933987 4294933987 4294933987 4294933987 0 0 0 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 4279871232 4279871232 4279871232 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 4294934758 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294934758 4294934758 4279871232 4279871232 4279871232 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4294934758 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 4294934758 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294933987 4294933987 4294933987 4294933987 0 0 0 0 0 0 0 4294933987 4294933987 4294933987 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294933987 4294933987 4294933987 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294933987 4294933987 4294933987 0 0 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4279871232 0 0 4279871232 4279871232 4279871232 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294934758 4294934758 4279871232 4279871232 4279871232 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 4294934758 4294934758 4294934758 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294933987 4294933987 4294933987 4294933987 4294933987 0 0 0 0 0 0 0 4294933987 4294933987 4294933987 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 4279871232 4279871232 4279871232 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294934758 4294934758 4279871232 4279871232 4279871232 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4279871232 4279871232 4279871232 4279871232 0 4294934758 4294934758 4294934758 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 4294934758 4294934758 4294934758 0 0 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294933987 4294933987 4294933987 4294933987 0 0 0 0 0 0 0 0 4294933987 4294933987 4294933987 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 4279871232 4279871232 4279871232 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4279871232 4279871232 4279871232 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4279871232 4279871232 4279871232 0 0 4294934758 4294934758 4294934758 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4279871232 4279871232 4279871232 4294934758 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 4294934758 4294934758 4294934758 0 0 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294933987 4294933987 4294933987 0 0 0 0 0 0 0 0 0 4294933987 4294933987 4294933987 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 4279871232 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294934758 4279871232 4279871232 4279871232 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 4279871232 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4279871232 4279871232 0 0 0 4294934758 4294934758 4294934758 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 4294934758 4294934758 4294924527 4294924527 4294924527 4294924527 4294924527 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294933987 4294933987 4294933987 0 0 0 0 0 0 0 0 0 0 4294933987 4294933987 4294933987 0 4294933987 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 4279871232 4279871232 4279871232 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294934758 4279871232 4279871232 4279871232 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4279871232 4279871232 0 0 0 4294934758 4294934758 4294934758 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294933987 4294933987 4294933987 0 0 0 0 0 0 0 0 0 0 0 4294933987 4294933987 4294933987 4294933987 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4279871232 4294934758 4279871232 4279871232 4279871232 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 4279871232 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4279871232 0 0 0 0 4294934758 4294934758 4294934758 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 4294934758 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294933987 4294933987 4294933987 0 0 0 0 0 0 0 0 0 0 0 4294933987 4294933987 4294933987 4294933987 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 4279871232 4279871232 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4279871232 4279871232 0 0 4279871232 4279871232 4279871232 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4279871232 0 0 0 0 4294934758 4294934758 4294934758 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 4294934758 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294933987 4294933987 4294933987 0 0 0 0 0 0 0 0 0 0 0 4294933987 4294933987 4294933987 4294933987 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 4279871232 4279871232 4279871232 4279871232 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294934758 4279871232 4279871232 4279871232 0 0 4279871232 4279871232 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4279871232 0 0 0 0 0 4294934758 4294934758 4294934758 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 4294934758 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294933987 0 0 0 0 0 0 0 0 0 0 0 0 0 4294933987 4294933987 4294933987 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 4279871232 4279871232 4279871232 4279871232 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294934758 4294934758 4279871232 4279871232 4279871232 0 0 4279871232 4279871232 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4279871232 0 0 0 0 0 0 4294934758 4294934758 4294934758 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294933987 4294933987 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294934758 4294934758 4294934758 4279871232 4279871232 4279871232 0 0 4279871232 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4279871232 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 4294934758 4294934758 4294934758 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294933987 4294933987 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 4294924527 4294924527 4294924527 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294934758 4294934758 4294934758 0 4279871232 4279871232 4279871232 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294933987 4294933987 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 4279871232 4279871232 4279871232 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294934758 4294934758 4294934758 0 0 4279871232 4279871232 4279871232 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4279871232 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4279871232 4279871232 4279871232 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294933987 4294933987 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 4294934758 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 4279871232 4279871232 4279871232 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294934758 4294934758 4294934758 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4279871232 4279871232 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294934758 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294933987 4294933987 4294933987 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 4279871232 4279871232 4279871232 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 4279871232 4279871232 4279871232 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294934758 4294934758 4294934758 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 4294924527 4294924527 4294924527 4279871232 4279871232 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4294934758 4294934758 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294933987 4294933987 4294933987 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 0 0 4279871232 4279871232 4279871232 0 0 0 4279871232 4279871232 4279871232 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 4279871232 4279871232 4279871232 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294934758 4294934758 4294934758 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4294934758 4279871232 4294934758 4294934758 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294933987 4294933987 4294933987 4294933987 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4279871232 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 0 4279871232 4279871232 4279871232 0 0 0 4279871232 4279871232 4279871232 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 4279871232 4279871232 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 4279871232 4279871232 4279871232 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 0 4279871232 4279871232 4279871232 4294934758 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 0 4294924527 4294924527 4294924527 4279871232 0 0 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294933987 4294933987 4294933987 4294933987 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 0 0 4279871232 4279871232 4279871232 0 0 0 4279871232 4279871232 4279871232 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 4279871232 4279871232 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4279871232 4279871232 0 4279871232 4279871232 4279871232 0 4279871232 4279871232 4279871232 4294934758 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294924527 4294924527 4294924527 4294924527 4294924527 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294933987 4294933987 4294933987 4294933987 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 4279871232 4279871232 4279871232 0 0 4279871232 4279871232 4279871232 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 4279871232 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 4279871232 4279871232 4279871232 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4279871232 0 0 4279871232 4279871232 4279871232 0 4279871232 4279871232 4279871232 0 4294934758 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 0 0 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294933987 4294933987 4294933987 4294933987 4294933987 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 4279871232 4279871232 4279871232 0 0 4279871232 4279871232 4279871232 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 4279871232 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 4279871232 4279871232 4279871232 0 0 4279871232 4279871232 4279871232 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294933987 4294933987 4294933987 4294933987 4294933987 4294933987 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 0 4279871232 4279871232 4279871232 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4279871232 4279871232 0 0 0 0 0 0 0 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 4279871232 4279871232 4279871232 0 0 4279871232 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 4279871232 0 0 4279871232 4279871232 4279871232 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294933987 4294933987 4294933987 4294933987 4294933987 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4279871232 4279871232 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278243847 4278243847 4278221377 4278221377 4278221377 4278221377 4278221377 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294933987 4294933987 4294933987 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4279871232 4279871232 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278243847 4278243847 4278243847 4278243847 4278243847 4278221377 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294934758 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294933987 4294933987 4294933987 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4279871232 4279871232 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 4294924527 4294924527 4294924527 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294934758 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294933987 4294933987 4294933987 4294933987 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4279871232 4279871232 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294933987 4294933987 4294933987 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4279871232 4279871232 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 4278243847 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294933987 4294933987 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4279871232 4279871232 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294933987 0 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4279871232 4279871232 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 4279871232 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 4279871232 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4279871232 4279871232 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4279871232 4279871232 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294934758 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 4279871232 4279871232 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4279871232 4279871232 4279871232 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 4278243847 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 4279871232 4279871232 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 4294924527 4294924527 4294924527 4279871232 4279871232 4279871232 0 0 4279871232 4279871232 4279871232 0 0 0 0 4294934758 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 4279871232 4279871232 4279871232 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294934758 4294934758 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 4279871232 4279871232 4279871232 0 0 0 0 4294934758 4294934758 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 4294934758 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4279871232 4279871232 4279871232 0 4279871232 4279871232 4279871232 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 4294934758 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 4279871232 4279871232 4279871232 0 0 0 0 4294934758 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 4294924527 4294924527 4294924527 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 4294934758 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 4294934758 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 4294934758 4294934758 4294934758 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 4279871232 4279871232 4279871232 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4279871232 4279871232 4279871232 0 4279871232 4279871232 4279871232 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 4294934758 4294934758 4294934758 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 4294934758 4294934758 4294934758 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 4279871232 4279871232 4279871232 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 4294934758 4294934758 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4294934758 4294934758 4279871232 4279871232 4279871232 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 4294934758 4294934758 4294934758 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4278243847 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 4279871232 4279871232 4279871232 0 0 0 0 4294934758 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 4294934758 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 4294934758 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 4294934758 4279871232 4279871232 4279871232 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 0 4294934758 4294934758 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4294934758 4294934758 4294934758 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 4294934758 4294934758 4294934758 4294934758 4278243847 4278243847 4278243847 4278243847 4278243847 4279871232 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 4279871232 4279871232 4279871232 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 4294934758 4294934758 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 4279871232 4279871232 4279871232 4294934758 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4294934758 4294934758 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4294934758 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 4294934758 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 4279871232 4279871232 4279871232 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 4294934758 4294934758 4294934758 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 4279871232 4279871232 4279871232 4279871232 0 0 0 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 4279871232 4279871232 4279871232 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4294924527 4294924527 4294924527 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294934758 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 4294934758 4294934758 4294934758 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 4279871232 4279871232 4279871232 0 0 0 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 4279871232 4279871232 4279871232 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 4294934758 4294934758 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4294924527 4294924527 4294924527 4294924527 4294924527 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 4279871232 4279871232 4279871232 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 4294934758 4294934758 4294934758 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 4294934758 4294934758 4294934758 4294934758 4294934758 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 4279871232 4279871232 4279871232 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 4279871232 4279871232 4279871232 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4279871232 0 0 0 0 0 4294934758 4294934758 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294934758 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 4279871232 4279871232 4279871232 4294934758 4294934758 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 4279871232 4279871232 4279871232 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4279871232 0 0 0 0 0 4294934758 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294934758 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 4279871232 4279871232 4279871232 4294934758 4294934758 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4279871232 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294934758 4294934758 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 4279871232 4279871232 4279871232 4294934758 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4294934758 4294934758 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4279871232 4279871232 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294934758 4294934758 4279871232 4279871232 4279871232 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 4279871232 4279871232 4279871232 4294934758 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4294934758 4294934758 4294934758 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278221377 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 4294934758 4294934758 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 4279871232 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4279871232 4279871232 4279871232 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294934758 4294934758 4294934758 0 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4278243847 4278243847 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 4279871232 4279871232 4279871232 0 4279871232 4279871232 4279871232 4294934758 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 4294934758 4294934758 4294934758 4294934758 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 4294934758 4294934758 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294934758 4294934758 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 4279871232 4279871232 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 4294934758 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4279871232 4279871232 4279871232 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294934758 4294934758 4294934758 0 4279871232 4279871232 4279871232 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 4279871232 4279871232 4279871232 0 0 4279871232 4279871232 4279871232 4294934758 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 4294934758 4294934758 4294934758 4279871232 4279871232 4279871232 0 0 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 4294934758 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294934758 4294934758 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 0 4279871232 4279871232 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4279871232 4279871232 4279871232 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294934758 4294934758 4294934758 0 0 4279871232 4279871232 4279871232 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 0 0 0 4279871232 4279871232 4279871232 0 0 4279871232 4279871232 4279871232 4294934758 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 4294934758 4279871232 4279871232 4279871232 0 0 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294934758 4294934758 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 4294934758 0 0 4279871232 4279871232 4279871232 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 4279871232 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294934758 4294934758 4294934758 0 0 4279871232 4279871232 4279871232 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 0 0 0 4279871232 4279871232 4279871232 0 0 4279871232 4279871232 4279871232 4294934758 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4294934758 4294934758 4294934758 4294934758 4294934758 0 0 0 0 0 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294934758 4294934758 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 4279871232 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294934758 4294934758 4294934758 0 0 0 4279871232 4279871232 4279871232 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 0 0 4279871232 4279871232 4279871232 0 0 4279871232 4279871232 4279871232 4294934758 4294934758 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 0 0 0 0 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294934758 4294934758 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 4279871232 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294934758 4294934758 4294934758 0 0 0 4279871232 4279871232 4279871232 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 0 0 4279871232 4279871232 4279871232 0 0 4279871232 4279871232 4279871232 4294934758 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 0 0 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294934758 4294934758 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 4279871232 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294934758 4294934758 4294934758 4294934758 0 0 0 4279871232 4279871232 4279871232 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 0 4279871232 4279871232 4279871232 0 0 4279871232 4279871232 4279871232 4294934758 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4279871232 4279871232 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 0 4279871232 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 4279871232 4279871232 4279871232 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 4279871232 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294934758 4294934758 4294934758 4294934758 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 0 4294934758 0 4279871232 4279871232 4279871232 0 0 0 4279871232 4279871232 4279871232 4294934758 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 4279871232 4279871232 4279871232 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 4279871232 4279871232 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278243847 4278243847 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294934758 4294934758 4294934758 4294934758 4294934758 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4279871232 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 4279871232 4279871232 4279871232 4294934758 4294934758 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294934758 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4279871232 4279871232 4279871232 4294934758 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 4279871232 4279871232 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 4294934758 4294934758 4294934758 4294934758 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4279871232 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 4279871232 4279871232 4279871232 4294934758 4294934758 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 4279871232 4279871232 4279871232 0 4279871232 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 4294934758 4294934758 4294934758 4294934758 4279871232 4279871232 4279871232 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 4294924527 4294924527 4294924527 4294934758 4294934758 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 4279871232 4279871232 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4279871232 4279871232 0 4294934758 4294934758 4294934758 4294934758 4294934758 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4279871232 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 4279871232 4279871232 4279871232 4294934758 4294934758 4294934758 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 0 0 0 4279871232 4279871232 4279871232 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 4279871232 4279871232 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4279871232 0 4294934758 4294934758 4294934758 4294934758 4294934758 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4279871232 0 0 0 0 0 0 4279871232 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 4279871232 4279871232 4279871232 4294934758 4294934758 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 0 0 0 4279871232 4279871232 4279871232 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 4279871232 4279871232 4279871232 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 4279871232 4279871232 4279871232 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 4279871232 4279871232 4279871232 0 4279871232 4279871232 4279871232 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4279871232 4279871232 0 0 0 0 0 4279871232 4279871232 4279871232 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 4279871232 4279871232 4279871232 0 4294934758 4294934758 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4278226443 4278226443 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 4279871232 4279871232 4279871232 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 4279871232 4279871232 4279871232 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 4279871232 4279871232 4279871232 0 4279871232 4279871232 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294934758 0 4294934758 4294934758 4294934758 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4279871232 4279871232 0 0 0 0 0 4279871232 4279871232 4279871232 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 4294934758 4294934758 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4294934758 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 4278226443 4278226443 4279871232 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 4279871232 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 4279871232 4279871232 4279871232 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 4279871232 4279871232 4279871232 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 4279871232 4279871232 4279871232 0 4279871232 4279871232 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294934758 4294934758 4294934758 4294934758 4294934758 0 0 4279871232 4279871232 4279871232 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4279871232 4279871232 0 0 0 0 0 4279871232 4279871232 4279871232 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 4294934758 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4294934758 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 4294934758 4294934758 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 4279871232 4279871232 4279871232 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 4279871232 4279871232 4279871232 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 4279871232 4279871232 4279871232 0 4279871232 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294934758 4294934758 4294934758 4294934758 4294934758 0 0 4279871232 4279871232 4279871232 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4279871232 4279871232 0 0 0 0 0 4279871232 4279871232 4279871232 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 4294934758 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4294934758 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 0 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 4294934758 4294934758 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 4279871232 4279871232 4279871232 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 4279871232 4279871232 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 4279871232 4279871232 4279871232 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4294924527 4294924527 4294924527 4294924527 4278243847 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294934758 4294934758 4294934758 4294934758 4294934758 0 4279871232 4279871232 4279871232 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4279871232 4279871232 4279871232 0 0 0 0 4279871232 4279871232 4279871232 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4294934758 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 4279871232 4279871232 4279871232 0 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 4279871232 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 4279871232 4279871232 4279871232 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294934758 0 4294934758 4294934758 4294934758 0 4279871232 4279871232 4279871232 0 4279871232 4279871232 4279871232 4279871232 0 0 4279871232 4279871232 4279871232 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4279871232 4279871232 4279871232 0 0 0 0 4279871232 4279871232 4279871232 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4294934758 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 4279871232 4279871232 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 4279871232 4279871232 4279871232 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4279871232 4294934758 0 4294934758 4294934758 4294934758 4294934758 0 4279871232 0 4279871232 4279871232 4279871232 0 0 0 4279871232 4279871232 4279871232 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 4279871232 4279871232 4279871232 0 0 0 0 4279871232 4279871232 4279871232 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4294934758 4279871232 4279871232 4279871232 4294934758 0 0 0 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4294924527 4294924527 4294924527 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 4279871232 4279871232 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 4279871232 4279871232 4279871232 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4279871232 0 0 4294934758 4294934758 4294934758 4294934758 4294934758 0 4279871232 4279871232 4279871232 0 0 0 0 4279871232 4279871232 4279871232 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4279871232 4279871232 4279871232 0 0 0 0 4279871232 4279871232 4279871232 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4294934758 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 4278243847 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 4294934758 4279871232 4279871232 4279871232 0 0 0 0 4279871232 4279871232 4279871232 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4279871232 4279871232 4279871232 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4279871232 0 0 4294934758 4294934758 4294934758 4294934758 4294934758 4279871232 4279871232 4279871232 0 0 0 0 0 4279871232 4279871232 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 4279871232 4279871232 4279871232 0 0 0 0 4279871232 4279871232 4279871232 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4294934758 4279871232 4279871232 4279871232 4294934758 4294934758 0 0 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 0 0 0 4279871232 4279871232 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 4279871232 4279871232 4279871232 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 4294934758 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 4294934758 4279871232 4279871232 4279871232 0 0 0 0 4279871232 4279871232 4279871232 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4279871232 4279871232 4279871232 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4279871232 0 0 4294934758 4294934758 4294934758 4294934758 4294934758 4279871232 4279871232 4279871232 0 0 0 0 0 4279871232 4279871232 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 4279871232 4279871232 4279871232 0 0 0 4279871232 4279871232 4279871232 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4294934758 4279871232 4279871232 4279871232 4294934758 4294934758 4294934758 4294934758 4294934758 0 4279871232 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 0 4279871232 4279871232 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 4279871232 4279871232 4279871232 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 4294934758 4294934758 4279871232 4279871232 4279871232 0 0 0 4279871232 4279871232 4279871232 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4279871232 4279871232 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4279871232 0 0 4294934758 4294934758 4294934758 4294934758 4279871232 4279871232 4279871232 0 0 0 0 0 0 4279871232 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 4279871232 4279871232 4279871232 0 0 0 4279871232 4279871232 4279871232 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4279871232 4279871232 4279871232 4294934758 0 4294934758 4294934758 4294934758 4294934758 4279871232 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 0 4279871232 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 4279871232 4279871232 4279871232 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 4294934758 4294934758 4279871232 4279871232 4279871232 0 0 0 4279871232 4279871232 4279871232 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4279871232 4279871232 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4279871232 4279871232 0 0 4294934758 4294934758 4294934758 4279871232 4279871232 4279871232 0 0 0 0 0 0 4279871232 4279871232 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 4279871232 4279871232 4279871232 0 0 0 4279871232 4279871232 4279871232 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4279871232 4279871232 4279871232 4294934758 4294934758 0 0 4294934758 4294934758 4279871232 4279871232 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 4279871232 4279871232 4279871232 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 4294934758 4294934758 4294934758 4279871232 4279871232 4279871232 0 0 4279871232 4279871232 4279871232 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4279871232 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4279871232 4279871232 0 0 4294934758 4294934758 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 4279871232 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 4279871232 4279871232 4279871232 0 0 4279871232 4279871232 4279871232 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4279871232 4279871232 4294934758 4294934758 4294934758 0 0 0 4279871232 4279871232 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 4279871232 4279871232 4279871232 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 4278243847 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 4294934758 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4279871232 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4279871232 4279871232 0 0 4294934758 4294934758 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 4279871232 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 4279871232 4279871232 4279871232 0 0 0 4279871232 4279871232 4279871232 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4279871232 4279871232 0 4294934758 4294934758 4294934758 4294934758 0 4279871232 4279871232 4279871232 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 4294934758 4294934758 4294934758 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 4279871232 4279871232 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4279871232 4279871232 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 4279871232 4279871232 4279871232 0 0 4279871232 4279871232 4279871232 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4279871232 4294934758 0 4294934758 4294934758 4294934758 4294934758 4279871232 4279871232 4279871232 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 4294934758 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294934758 4279871232 4279871232 4279871232 0 4279871232 4279871232 4279871232 4294934758 4294934758 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 4279871232 4279871232 4279871232 0 0 4279871232 4279871232 4279871232 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4279871232 4294934758 4294934758 0 4294934758 4294934758 4294934758 4279871232 4279871232 4279871232 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294934758 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 0 4294934758 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 4279871232 4279871232 4279871232 0 0 4279871232 4279871232 4279871232 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4294934758 4294934758 4294934758 0 4294934758 4279871232 4279871232 4279871232 4279871232 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294934758 4294934758 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 4279871232 4279871232 4279871232 0 4279871232 4279871232 4279871232 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 4294934758 4294934758 4294934758 0 4279871232 4279871232 4279871232 4279871232 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278243847 4278243847 4278243847 4278243847 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294934758 4294934758 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 4279871232 4279871232 4279871232 0 4279871232 4279871232 4279871232 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 4294934758 4294934758 4294934758 4279871232 4279871232 4279871232 4279871232 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278243847 4278243847 4278243847 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 4294934758 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 4294934758 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 4279871232 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294934758 4294934758 4294934758 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 4279871232 4279871232 4279871232 0 4279871232 4279871232 4279871232 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 4294934758 4294934758 4279871232 4279871232 4279871232 4294934758 4294934758 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278243847 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 4294934758 4294934758 4294934758 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294934758 4294934758 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 4279871232 4279871232 4279871232 0 4279871232 4279871232 4279871232 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 4294934758 4279871232 4279871232 4279871232 4294934758 4294934758 4294934758 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278243847 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 4294934758 4294934758 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294934758 4294934758 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294934758 4294934758 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 4279871232 4279871232 4279871232 0 4279871232 4279871232 4279871232 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 4279871232 4279871232 4279871232 0 0 4294934758 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 0 0 0 4278226443 0 0 0 0 0 0 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 0 0 4294934758 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278221377 4278221377 0 4294934758 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 4294934758 4294934758 4294934758 0 0 0 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294934758 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294934758 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 4279871232 4279871232 4279871232 4294934758 0 0 0 4294934758 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 4278226443 4294934758 0 0 0 0 0 0 0 0 4294934758 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 4294934758 4294934758 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294934758 4294934758 4294934758 4294934758 4294934758 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4279871232 4279871232 4279871232 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 4279871232 4279871232 4279871232 4294934758 4294934758 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294934758 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4279871232 4279871232 4279871232 0 0 4279871232 4279871232 4279871232 0 0 0 4294934758 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 4279871232 4279871232 4279871232 4294934758 4294934758 4294934758 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4279871232 0 0 0 0 0 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 4279871232 4279871232 4279871232 4294934758 4294934758 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4279871232 4279871232 0 0 0 4279871232 4279871232 4279871232 0 0 4294934758 4294934758 4294934758 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 4279871232 0 4294934758 4294934758 4294934758 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4279871232 4279871232 0 0 0 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 4279871232 4279871232 4279871232 4294934758 4294934758 4294934758 0 0 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4279871232 4279871232 0 0 0 4279871232 4279871232 4279871232 0 0 4294934758 4294934758 4294934758 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4279871232 4279871232 0 0 0 0 0 4279871232 0 0 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 4294934758 4294934758 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4279871232 4279871232 0 0 0 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 0 0 0 4279871232 4279871232 4279871232 0 4294934758 4294934758 4294934758 0 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294934758 4294934758 0 0 0 0 0 0 4278226443 4278226443 0 0 0 4294934758 4294934758 4294934758 0 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4279871232 4279871232 0 0 0 4279871232 4279871232 4279871232 0 0 4294934758 4294934758 4294934758 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4279871232 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 4294934758 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4279871232 4279871232 4279871232 0 0 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 0 0 4279871232 4279871232 4279871232 0 4294934758 4294934758 4294934758 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4278221377 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 0 0 0 4278243847 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294934758 4294934758 0 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4279871232 4279871232 0 0 0 0 0 4279871232 0 0 4294934758 4294934758 4294934758 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4279871232 4279871232 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 0 4279871232 4279871232 4279871232 0 0 4294934758 4294934758 4294934758 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4278221377 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294934758 4294934758 4294934758 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4279871232 4279871232 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4279871232 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4294934758 4294934758 0 4279871232 4279871232 4279871232 0 0 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 4279871232 4279871232 4279871232 0 0 4294934758 4294934758 4294934758 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4278221377 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294934758 0 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294934758 4294934758 4294934758 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 4294934758 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4279871232 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4279871232 4279871232 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4279871232 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 4294934758 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4279871232 4279871232 4279871232 0 0 0 4294934758 4294934758 4294934758 0 0 4294934758 4294934758 4294934758 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4278221377 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294934758 4294934758 4294934758 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 4294934758 4294934758 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4279871232 4279871232 4279871232 0 0 0 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4279871232 4279871232 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4279871232 4279871232 4279871232 0 0 0 4294934758 4294934758 4294934758 0 4294934758 4294934758 4294934758 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 4294934758 4294934758 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 0 4278243847 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4279871232 4279871232 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4279871232 4279871232 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4294934758 0 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 4294934758 4294934758 4294934758 0 4294934758 4294934758 4294934758 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 4294934758 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 4294934758 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4279871232 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 4279871232 4279871232 4279871232 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4279871232 4279871232 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4279871232 4279871232 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4278243847 0 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4294934758 4294934758 0 0 4279871232 4279871232 4279871232 4294934758 4294934758 4294934758 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4294934758 0 0 0 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4279871232 4279871232 4279871232 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 4279871232 4279871232 4279871232 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4279871232 4279871232 4279871232 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4294934758 4294934758 4294934758 4294934758 0 4279871232 4279871232 4279871232 0 0 4294934758 4294934758 4294934758 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4294934758 4294934758 0 0 0 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294924527 4294924527 4294924527 0 0 0 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 4279871232 4279871232 4279871232 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4279871232 4279871232 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294934758 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4279871232 4279871232 4279871232 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 4294934758 4294934758 4294934758 4294934758 4279871232 4279871232 4279871232 0 0 0 4294934758 4294934758 4294934758 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 0 4294934758 4294934758 4294934758 0 0 4294934758 4294934758 4294934758 4294934758 4294934758 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4279871232 0 0 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 4279871232 4279871232 4279871232 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4279871232 4279871232 4279871232 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4279871232 4279871232 4279871232 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 4294934758 4294934758 4279871232 4279871232 4279871232 0 0 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 0 0 4294934758 4294934758 4294934758 4294934758 4294934758 4279871232 4279871232 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 4294924527 4294924527 4294924527 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4279871232 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 4279871232 4279871232 4279871232 0 0 0 4279871232 4279871232 4279871232 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4279871232 4279871232 4279871232 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 4279871232 4279871232 4279871232 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 0 4294934758 4294934758 4294934758 4279871232 4279871232 4279871232 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 0 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 4279871232 4279871232 4279871232 0 0 0 4279871232 4279871232 4279871232 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 4278243847 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4279871232 4279871232 4279871232 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 4279871232 4279871232 4279871232 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 0 4294934758 4279871232 4279871232 4279871232 4279871232 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 4294934758 0 0 0 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 4279871232 4279871232 4279871232 0 0 0 4279871232 4279871232 4279871232 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4279871232 4279871232 4279871232 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 4278226443 4278226443 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 4279871232 4279871232 4279871232 4279871232 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 4279871232 4279871232 4279871232 0 0 4279871232 4279871232 4279871232 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 4279871232 4279871232 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4279871232 4279871232 4279871232 4279871232 4279871232 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294934758 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278243847 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 4279871232 4279871232 4279871232 0 4279871232 4279871232 4279871232 0 0 4279871232 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 4279871232 4279871232 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4294934758 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294934758 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294934758 4294934758 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 4279871232 4279871232 4279871232 0 4279871232 4279871232 4279871232 0 4279871232 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 4279871232 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 4294934758 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294934758 4294934758 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4279871232 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 4279871232 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 4279871232 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4294934758 4294934758 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294934758 4294934758 4294934758 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 4279871232 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 4279871232 4279871232 4279871232 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 4279871232 4279871232 4279871232 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 0 4294934758 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 4294934758 4294934758 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 4279871232 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 4279871232 4279871232 4279871232 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 0 0 0 4294934758 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 4294934758 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 4294934758 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 4279871232 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 4279871232 4279871232 4279871232 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 4279871232 4279871232 4279871232 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 4278243847 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 4294934758 4294934758 4294934758 4294934758 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 4279871232 4279871232 4279871232 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 4294934758 4294934758 4294934758 4294934758 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 4279871232 4279871232 4279871232 0 0 4279871232 4279871232 4279871232 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 4279871232 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 4294934758 4294934758 4294934758 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 4279871232 4279871232 4279871232 4279871232 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 4279871232 4279871232 4279871232 0 4279871232 4279871232 4279871232 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278226443 0 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 0 0 0 0 4279871232 4279871232 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 4294934758 4294934758 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 4279871232 4279871232 4279871232 0 4279871232 4279871232 4279871232 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294934758 0 0 0 4294934758 4294934758 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 4294934758 4294934758 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 0 4279871232 4279871232 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 4294934758 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 4279871232 4279871232 4279871232 0 4279871232 4279871232 4279871232 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294934758 0 0 4294934758 4294934758 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 0 4279871232 4279871232 4279871232 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 4294934758 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 4279871232 4279871232 4279871232 0 4279871232 4279871232 4279871232 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4279871232 4279871232 4279871232 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294934758 0 4294934758 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 4294934758 4294934758 4294934758 0 0 4294934758 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 4279871232 4279871232 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 4294934758 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 4279871232 4279871232 4279871232 0 4279871232 4279871232 4279871232 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 4279871232 4279871232 4279871232 0 4279871232 4279871232 4279871232 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4279871232 4279871232 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294934758 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4279871232 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 4279871232 4279871232 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 4294934758 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 4279871232 4279871232 4279871232 0 0 4279871232 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4279871232 4279871232 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 4294934758 4294934758 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4279871232 4279871232 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 4279871232 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 4279871232 4279871232 4279871232 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4279871232 4279871232 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294934758 0 4294934758 4294934758 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4279871232 4279871232 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4279871232 4279871232 4279871232 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 4279871232 4279871232 4279871232 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 0 0 0 0 0 0 4278243847 4278243847 4278243847 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4279871232 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4279871232 4279871232 4279871232 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 4278243847 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 4279871232 4279871232 4279871232 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4279871232 4279871232 4279871232 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294934758 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4294924527 4294924527 4294924527 4294924527 4294924527 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4278221377 4278221377 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278226443 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4279871232 4279871232 4279871232 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 4279871232 4279871232 4279871232 0 4279871232 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 4278243847 4278243847 4278243847 4278243847 4278243847 4279871232 4279871232 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 4279871232 4279871232 4279871232 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 4279871232 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294934758 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294934758 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4294924527 4294924527 4294924527 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278226443 4278226443 4278226443 4278226443 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4279871232 4279871232 4279871232 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 4279871232 4279871232 4279871232 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4279871232 4279871232 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4279871232 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294934758 4294934758 4294934758 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294934758 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4294924527 4294924527 4294924527 4294924527 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4279871232 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4279871232 4279871232 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278221377 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294934758 4294934758 0 0 0 4294924527 4294924527 4294924527 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4279871232 4279871232 4279871232 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 4279871232 4279871232 4279871232 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 4279871232 4279871232 4279871232 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 4279871232 4279871232 4279871232 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278243847 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278226443 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 4279871232 4279871232 4279871232 4279871232 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4279871232 0 0 0 4279871232 4279871232 4279871232 0 4279871232 4279871232 4279871232 0 0 0 0 0 4279871232 4279871232 4279871232 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 4279871232 4279871232 4279871232 4279871232 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4279871232 0 0 0 4279871232 4279871232 4279871232 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 4279871232 4279871232 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 4278243847 4278243847 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4294934758 0 0 0 4294934758 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 4279871232 4279871232 4279871232 4279871232 0 0 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 4279871232 4279871232 4279871232 4279871232 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4279871232 4279871232 0 0 0 4279871232 4279871232 4279871232 0 4279871232 4279871232 4279871232 0 0 0 0 0 4279871232 4279871232 4279871232 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4294934758 4294934758 0 0 0 4294934758 4294934758 4294934758 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 4278243847 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 4279871232 4279871232 4279871232 4279871232 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4279871232 4279871232 0 0 0 0 4279871232 4279871232 4279871232 0 4279871232 4279871232 4279871232 0 0 0 0 0 4279871232 4279871232 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 4278221377 4278221377 4278221377 4278221377 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 0 4294934758 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 4294934758 4294934758 4294934758 0 0 0 4294934758 4294934758 4294934758 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 4279871232 4279871232 4279871232 0 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 4279871232 4279871232 4279871232 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 4279871232 4279871232 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 0 0 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 4279871232 4279871232 4279871232 0 0 0 0 4279871232 4279871232 4279871232 0 4279871232 4279871232 4279871232 0 0 0 0 4279871232 4279871232 4279871232 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278226443 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 4279871232 4279871232 4279871232 0 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278243847 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 4279871232 4279871232 4279871232 0 0 0 0 4279871232 4279871232 4279871232 0 4279871232 4279871232 4279871232 0 0 0 4279871232 4279871232 4279871232 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278226443 4278226443 4278226443 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 4278221377 4278221377 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278243847 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 4279871232 4279871232 4279871232 0 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 0 4279871232 4279871232 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 4278226443 4278226443 4278226443 4278226443 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 4279871232 4279871232 4279871232 0 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 4279871232 4279871232 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 4279871232 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278221377 4278221377 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4294934758 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 4279871232 4279871232 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 4279871232 4279871232 4279871232 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 0 0 4279871232 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 4279871232 4279871232 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 4279871232 4279871232 4279871232 4279871232 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 4279871232 4279871232 4279871232 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 4294934758 4294934758 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 4279871232 4279871232 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 4294934758 4294934758 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 0 0 4279871232 4279871232 4279871232 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 4278243847 4278243847 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 4279871232 4279871232 4279871232 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 4278243847 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 4279871232 4279871232 4279871232 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 0 0 0 0 0 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 4294924527 4294924527 4294924527 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4279871232 4279871232 4279871232 0 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 4279871232 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 4279871232 4279871232 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4279871232 4279871232 0 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 4279871232 4279871232 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278221377 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4279871232 4279871232 4279871232 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 0 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 4279871232 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278221377 4278221377 4278221377 4278221377 4278221377 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4279871232 4279871232 0 0 0 0 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4278221377 4278221377 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 4278243847 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 4279871232 4279871232 4279871232 0 4279871232 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 4278221377 4278221377 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 0 4278226443 0 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 4278243847 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4279871232 4279871232 0 0 0 4278221377 4278221377 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4294924527 4278221377 4278221377 4278221377 4294934758 4294934758 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278221377 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 4279871232 4279871232 4279871232 0 0 0 0 0 4279871232 4279871232 4279871232 0 4279871232 4279871232 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4279871232 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4279871232 4279871232 0 0 4278221377 4278221377 4278221377 4294924527 4294924527 4294924527 4294924527 4294924527 4278221377 4278221377 4278221377 4278221377 4278221377 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 4279871232 4279871232 4279871232 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 4279871232 4279871232 4279871232 0 4279871232 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4279871232 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 4279871232 4279871232 4279871232 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4279871232 4279871232 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4294934758 4294934758 4294934758 0 0 0 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 4279871232 4279871232 4279871232 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 4279871232 4279871232 4279871232 0 0 0 0 0 4279871232 4279871232 4279871232 0 4279871232 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4279871232 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 4279871232 4279871232 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 4279871232 4279871232 4279871232 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4294934758 0 0 0 0 0 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4279871232 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4294934758 0 0 0 0 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 4279871232 4279871232 4279871232 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 4279871232 4279871232 4279871232 0 0 0 0 4279871232 4279871232 4279871232 0 0 4279871232 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 4279871232 4279871232 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 4278243847 4278243847 0 0 0 0 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 4279871232 4279871232 4279871232 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4279871232 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4294934758 4294934758 0 0 0 0 0 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4279871232 4279871232 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 4279871232 4279871232 4279871232 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 4279871232 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4279871232 4279871232 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4279871232 4279871232 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 4279871232 4279871232 4279871232 0 0 0 0 4279871232 4279871232 4279871232 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4279871232 4279871232 4279871232 4294934758 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 4279871232 4279871232 4279871232 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 4279871232 0 0 4278243847 4278243847 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 4279871232 4279871232 4279871232 0 0 0 4279871232 4279871232 4279871232 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4279871232 4279871232 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4279871232 4279871232 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 4279871232 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 0 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4294934758 0 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 4279871232 4279871232 4279871232 0 0 4279871232 4279871232 4279871232 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 0 0 0 0 4278226443 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 4279871232 4279871232 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278221377 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4294934758 0 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 4279871232 4279871232 4279871232 0 4279871232 4279871232 4279871232 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4294934758 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 4294934758 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 4279871232 4279871232 4279871232 0 4279871232 4279871232 4279871232 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 4279871232 4279871232 4279871232 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 4278226443 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4294934758 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 4294934758 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 4279871232 4279871232 4279871232 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4279871232 4279871232 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 4294934758 4294934758 4294934758 4294934758 4294934758 0 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 4294934758 4294934758 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 4279871232 4279871232 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 4279871232 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278226443 4278226443 4278226443 4278226443 4278221377 4278221377 4278221377 4278221377 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4279871232 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278243847 0 0 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 4294934758 4294934758 4294934758 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278226443 4278226443 4278226443 4278226443 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278243847 4278243847 0 0 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 4294934758 4294934758 4294934758 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278221377 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 0 0 0 4278243847 4279871232 4279871232 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 4294934758 4294934758 4294934758 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 4294934758 4294934758 4294934758 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 4294934758 4294934758 4294934758 4294934758 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4279871232 4279871232 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 4294934758 4294934758 4294934758 4294934758 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4294934758 4294934758 4279871232 4279871232 4279871232 4294934758 4294934758 4294934758 4294934758 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 4278221377 4278221377 4278221377 0 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 4294934758 4294934758 4294934758 4294934758 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278226443 4278226443 4278226443 4278226443 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4279871232 4279871232 4279871232 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4279871232 4279871232 4279871232 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 4294934758 4294934758 4294934758 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278226443 4278226443 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 4294934758 4294934758 4294934758 4294934758 4279871232 4279871232 4279871232 4294934758 4294934758 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 4294934758 4294934758 4294934758 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 4278243847 4278243847 4278243847 4278243847 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 0 0 0 0 0 0 0 4278221377 0 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 4294934758 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 4278243847 4278243847 4278243847 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 4279871232 4279871232 4279871232 4279871232 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4279871232 4279871232 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 0 0 0 4279871232 4279871232 4279871232 0 4294934758 4294934758 4279871232 4279871232 4279871232 4279871232 4294934758 0 0 0 0 4294934758 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 0 4279871232 4279871232 4278221377 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4279871232 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 4279871232 4279871232 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4279871232 4279871232 4279871232 4294934758 4294934758 4279871232 4279871232 4279871232 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 4278226443 4278226443 4278226443 4278221377 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 4279871232 4279871232 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 0 0 0 0 0 4279871232 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 4279871232 4279871232 4279871232 4294934758 4294934758 4279871232 4279871232 4279871232 4294934758 4294934758 4294934758 4294934758 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 4278226443 4278221377 4278221377 4278221377 4278221377 4278221377 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 4294934758 4279871232 4279871232 4279871232 4294934758 4279871232 4279871232 4279871232 4294934758 4294934758 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 0 0 0 4278226443 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 4279871232 4279871232 4279871232 0 4278221377 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278243847 4278243847 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 4294934758 4294934758 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278243847 4278243847 4278243847 0 0 0 4278226443 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4279871232 4279871232 4279871232 4294934758 4279871232 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 4279871232 4279871232 4279871232 0 4278226443 4278226443 4278226443 4278226443 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278226443 4278226443 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278243847 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4279871232 4279871232 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 4278221377 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 4279871232 4279871232 4279871232 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278226443 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278221377 4278221377 4278243847 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 4279871232 4279871232 4279871232 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 4279871232 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 4279871232 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 4279871232 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 0 0 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278226443 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 0 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278226443 4278226443 4278226443 4278226443 4278226443 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 4279871232 4279871232 4279871232 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278243847 4278243847 4278243847 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 4279871232 4279871232 4279871232 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 4294934758 4294934758 4294934758 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 4294934758 4294934758 4294934758 4294934758 4294934758 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4279871232 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278243847 4278243847 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 4279871232 4279871232 4279871232 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 4294934758 4294934758 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278226443 4278226443 0 0 0 0 0 0 0 0 0 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4279871232 4279871232 4279871232 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 4294934758 4294934758 4294934758 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 0 4278221377 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 0 0 0 0 4278226443 4278226443 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 4279871232 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 0 0 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 4279871232 4278221377 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4279871232 4279871232 4279871232 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4294934758 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 0 4278226443 4278226443 4278226443 4278226443 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 0 0 0 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4279871232 4279871232 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278221377 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 0 4278226443 4278226443 4278226443 4278226443 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4279871232 4279871232 0 0 0 4279871232 4279871232 4279871232 0 0 0 4278243847 4278243847 4278226443 4278226443 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 4279871232 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4279871232 4279871232 0 0 0 4279871232 4279871232 4279871232 0 0 4278243847 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 4279871232 4279871232 4279871232 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278226443 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278221377 4278226443 4278226443 0 0 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4279871232 0 0 0 0 4279871232 4279871232 4279871232 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 4279871232 4279871232 4279871232 0 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278226443 4278226443 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278221377 4278221377 4278221377 4278221377 4278221377 4278226443 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4279871232 0 0 0 0 4279871232 4279871232 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278243847 0 0 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278226443 4278226443 4278226443 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278243847 4278243847 4278243847 4278243847 0 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4279871232 0 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278226443 4278226443 4278226443 0 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278221377 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278226443 4278226443 4278226443 4278226443 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278243847 4278243847 4278243847 4278243847 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 0 0 0 0 0 0 0 0 4278221377 4278221377 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278221377 4278221377 4278221377 4278221377 4278221377 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278226443 4278226443 4278226443 4278226443 4278226443 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278243847 4278243847 4278243847 4278243847 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4279871232 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278243847 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278243847 4278243847 4278243847 4278243847 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 4279871232 4278226443 4278226443 4278226443 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278243847 4278243847 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278226443 4278226443 4278226443 4278226443 4278226443 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278221377 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 0 0 0 4279871232 4279871232 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 0 0 4278243847 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278226443 4278226443 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278243847 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278226443 4278226443 4278226443 4278226443 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278221377 4278221377 4278221377 4278221377 4278221377 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 0 0 4279871232 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278221377 4278221377 4278221377 4278221377 4278221377 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 4278243847 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278226443 4278226443 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 0 4279871232 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 0 0 0 0 0 0 4278243847 4278243847 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 4278221377 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278226443 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 0 0 0 0 0 4278243847 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278221377 4278221377 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278221377 4278221377 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 0 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 4278226443 4278226443 4278226443 4278226443 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 0 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278221377 4278221377 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 0 0 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278243847 4278243847 4278243847 4278243847 4278243847 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 4278226443 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 0 0 0 0 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278243847 4278243847 4278243847 4278243847 4278243847 4278243847 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278243847 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278221377 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278221377 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278226443 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278226443 4278226443 4278226443 4278226443 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278221377 4278221377 4278221377 4278221377 4278221377 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278221377 4278221377 4278221377 4278221377 4278221377 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278226443 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278226443 4278226443 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 4279871232 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 0 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278226443 4278226443 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278226443 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278243847 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 4279871232 4279871232 4279871232 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 0 0 0 0 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 0 0 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278221377 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278226443 4278226443 4278226443 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278226443 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278243847 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278221377 4278226443 4278226443 4278226443 4278226443 4278226443 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 4279871232 4279871232 4279871232 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278226443 4278226443 4278226443 4278226443 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278226443 4278226443 4278226443 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 4278226443 4278226443 4278226443 4278226443 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 0 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 0 0 0 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 0 0 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278226443 4278226443 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278221377 4278221377 4278221377 4278221377 4278221377 4278226443 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278226443 4278226443 4278226443 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278226443 4278226443 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278226443 4278226443 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 4278226443 4278226443 4278226443 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 0 0 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 0 0 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 0 0 0 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 0 0 0 0 0 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278226443 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278226443 4278226443 4278226443 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278226443 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 4278226443 4278226443 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 0 0 0 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 0 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 0 0 0 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 0 0 0 0 0 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278226443 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278226443 4278226443 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278226443 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 0 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 4278226443 0 0 0 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 4278226443 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4279871232 4279871232 0 0 0 0 0 0 4278226443 4278226443 4278226443 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278221377 4278226443 4278226443 4278226443 4278226443 4278226443 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278221377 4278221377 4278221377 4278221377 4278221377 4278226443 4278226443 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278221377 4278221377 4278226443 4278226443 4278226443 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278226443 4278226443 4278226443 4278226443 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278226443 4278226443 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 0 0 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278221377 4278221377 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278221377 4278221377 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278221377 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278226443 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278221377 4278221377 4278221377 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278221377 4278221377 4278221377 4278221377 4278221377 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278226443 4278226443 4278226443 4278226443 4278226443 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278221377 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 4278221377 4278221377 4278221377 0 0 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 0 0 0 0 0 0 0 4278221377 4278221377 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278226443 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278221377 4278221377 4278221377 4278221377 4278221377 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278221377 4278221377 0 0 0 0 0 0 0 0 0 0 0 0 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 0 0 0 0 0 0 0 4278221377 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278226443 4278226443 4278226443 4278226443 4278226443 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4279871232 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278226443 4278226443 4278226443 4278226443 4278226443 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4279871232 4279871232 4279871232 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278226443 4278226443 4278226443 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278226443 4278226443 4278226443 4278226443 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4279871232 4279871232 4279871232 4279871232 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278226443 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278226443 4278226443 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 4279871232 4279871232 4279871232 4279871232 0 0 0 0 0 0 4278221377 4278221377 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278226443 4278226443 4278226443 4278226443 4278226443 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 4279871232 4279871232 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278226443 4278226443 4278226443 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 0 0 0 0 4279871232 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278221377 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278221377 4278221377 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278221377 4278221377 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278221377 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 4278221377 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0)
	offset: 0@0)! !

!TamIcons class methodsFor: 'icon accessing' stamp: 'apl 4/22/2005 02:18'!
icon: aName 
	^self magnifiedForm: (self originalIcon: aName) extent: self defaultExtent! !

!TamIcons class methodsFor: 'icon accessing' stamp: 'apl 1/26/2007 15:36'!
iconDefault
	^ self magnifiedForm: (self formTamaris) extent: self defaultExtent! !

!TamIcons class methodsFor: 'utilities' stamp: 'AlainPlantec 4/26/2012 09:43'!
importFormFromStream: aStream category: aCat selector: aSel 
	| sketch s |
	sketch := ImageMorph fromStream: aStream.
	s := WriteStream on: String new.
	s
		nextPutAll: aSel;
		nextPutAll: String cr;
		nextPutAll: '	^ '.
	sketch form storeOn: s.
	self class 
		compile: s contents
		classified: 'accessing forms from ' , aCat
		notifying: nil.
! !

!TamIcons class methodsFor: 'public utilities' stamp: 'alain.plantec 1/7/2009 17:36'!
importForms
	"self importForms"

	| folder |
	(folder := FileList modalFolderSelector) 
		ifNotNil: [self importFormsFromDirectory: folder pathName]! !

!TamIcons class methodsFor: 'utilities' stamp: 'apl 1/26/2007 15:19'!
importFormsFromDirectory: path 
	| selectorPathPart selector |
	(self formFileNamesFromDirectory: path) do: 
			[:fn | 
			selectorPathPart := fn copyFrom: path size + 1 to: fn size.
			FileDirectory splitName: selectorPathPart
				to: 
					[:cat :n | 
					selector := self selectorFromPath: selectorPathPart.
					self 
						importFormFromStream: (FileStream readOnlyFileNamed: fn)
						category: cat
						selector: selector]]! !

!TamIcons class methodsFor: 'utilities' stamp: 'AlainPlantec 10/14/2010 21:16'!
magnifiedForm: form extent: aPoint 
	| scaleY scaleX scale |
	(form height - aPoint y) abs < 4 ifTrue: [^ form].
	scaleY := aPoint y / form height.
	scaleX := aPoint x / form width.
	scale := scaleX min: scaleY.
	(scale - 1.0) abs <= 0.2 ifTrue: [^ form].
	^ form 
		magnify: form boundingBox
		by: scale @ scale
		smoothing: 1
! !

!TamIcons class methodsFor: 'icon accessing' stamp: 'apl 1/26/2007 15:37'!
mimeDefault
	^ self magnifiedForm: (self formTamaris)
		extent: self defaultListExtent! !

!TamIcons class methodsFor: 'icon accessing' stamp: 'apl 1/26/2007 15:23'!
mimeIcon: aName 
	^ self magnifiedForm: (self originalIcon: aName)
		extent: self defaultListExtent! !

!TamIcons class methodsFor: 'icon accessing' stamp: 'apl 4/22/2005 01:39'!
originalIcon: aName 
	^(self formFromRelativePath: aName) 
				ifNil: [self iconDefault]! !

!TamIcons class methodsFor: 'utilities' stamp: 'apl 1/26/2007 15:33'!
selectorFromPath: path 
	^ ((self capitalize: 'form_' 
				, ((FileDirectory baseNameFor: path) copyReplaceAll: '/' with: '_')
		first: false) asIdentifier: false) asSymbol! !

!TamIcons class methodsFor: 'public utilities' stamp: 'alain.plantec 1/7/2009 17:36'!
showForms	"self showForms"	| folder |	folder := FileList modalFolderSelector.	folder		ifNotNil: [self showFormsFromDirectory: folder pathName]! !

!TamIcons class methodsFor: 'utilities' stamp: 'AlainPlantec 4/26/2012 09:44'!
showFormsFromDirectory: path 
	| fd window row sketchRow scrollBar |
	window := SystemWindow labelled: 'Icons from: ''' , path , ''''.
	scrollBar := TamBrowserScrollPane new.
	row := scrollBar pastUp.
	(fd := FileDirectory on: path) fileNames
		do: [:n | (#('png' 'gif' 'bmp' )
					anySatisfy: [:ext | (FileDirectory extensionFor: n) asLowercase = ext])
				ifTrue: [sketchRow := AlignmentMorph newColumn hResizing: #shrinkWrap;
								 vResizing: #shrinkWrap;
								 layoutInset: 6;
								 borderWidth: 1;
								 color: Color transparent;
								 yourself.
					sketchRow addMorph: n asMorph.
					sketchRow
						addMorph: (ImageMorph fromFile: fd pathName , fd slash , n).
					row addMorph: sketchRow]].
	window
		addMorph: scrollBar
		fullFrame: (LayoutFrame
				fractions: (0 @ 0 corner: 1 @ 1)).
	window openInWorld.
	scrollBar layoutChanged.
	scrollBar setScrollDeltas.
	^ window! !

Object subclass: #TamListEventRule
	instanceVariableNames: 'handler'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Tamaris-Event-Rules'!

TamListEventRule subclass: #TamHierarchicalListItemMenuRule
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Tamaris-Event-Rules'!

!TamHierarchicalListItemMenuRule methodsFor: 'events' stamp: 'apl 3/29/2005 10:07'!
doActionOn: anItem 
	| cplxcts menu |
	anItem ~= self list selectedMorph 
		ifTrue: [self list setSelectedMorph: anItem].
	(cplxcts := anItem complexContents) ifNotNil: 
			[menu := MenuMorph new defaultTarget: self list model editorModel.
			(cplxcts  modelSpecificMenu: menu shifted: true) ifNotNil: 
					[menu setInvokingView: self list.
					menu popUpEvent: self list activeHand lastEvent in: self list world]]! !

!TamHierarchicalListItemMenuRule methodsFor: 'events' stamp: 'apl 3/17/2005 22:23'!
eventMatch: anEvent 
	^ anEvent isMouse
		and: [anEvent yellowButtonPressed
				and: [anEvent shiftPressed]]! !

!TamListEventRule methodsFor: 'events' stamp: 'apl 3/25/2005 10:59'!
doActionOn: aListItem 
	self subclassResponsibility! !

!TamListEventRule methodsFor: 'events' stamp: 'apl 3/17/2005 21:58'!
eventMatch: anEvent
^ false! !

!TamListEventRule methodsFor: 'events' stamp: 'apl 3/25/2005 11:10'!
handleEvent: anEvent item: aListItem 
	^ (self eventMatch: anEvent)
		and: [self
				doActionOn: (self unwrappedListItemFrom: aListItem).
			anEvent wasHandled: true.
			true]! !

!TamListEventRule methodsFor: 'accessing' stamp: 'apl 3/24/2005 17:37'!
handler: aListEventRulesHandler
	handler := aListEventRulesHandler! !

!TamListEventRule methodsFor: 'accessing' stamp: 'apl 3/25/2005 10:56'!
list
	^ handler list! !

!TamListEventRule methodsFor: 'accessing' stamp: 'apl 3/25/2005 11:18'!
unwrappedListItemFrom: aSourceItem 
	^ handler unwrappedFromItem: aSourceItem! !

TamListEventRule subclass: #TamListItemEmphasisRule
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Tamaris-Event-Rules'!

TamListItemEmphasisRule subclass: #TamListItemBoldBlueEmphasisRule
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Tamaris-Event-Rules'!

!TamListItemBoldBlueEmphasisRule methodsFor: 'emphasing' stamp: 'apl 3/25/2005 12:57'!
emphasisModel
	^ self list boldBlueEmphasisModel! !

!TamListItemBoldBlueEmphasisRule methodsFor: 'emphasing' stamp: 'apl 3/18/2005 14:13'!
eventMatch: anEvent 
	^ anEvent isMouse and: [anEvent isMouseUp
		and: [anEvent shiftPressed]]! !

TamListItemEmphasisRule subclass: #TamListItemBoldRedEmphasisRule
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Tamaris-Event-Rules'!

!TamListItemBoldRedEmphasisRule methodsFor: 'emphasing' stamp: 'apl 3/25/2005 12:52'!
emphasisModel
	^ self list boldRedEmphasisModel! !

!TamListItemBoldRedEmphasisRule methodsFor: 'emphasing' stamp: 'apl 3/29/2005 23:07'!
eventMatch: anEvent 
	^ anEvent isKeyboard
		and: [anEvent commandKeyPressed
				and: [anEvent keyCharacter = $X]]! !

!TamListItemEmphasisRule methodsFor: 'emphasing' stamp: 'apl 3/25/2005 13:59'!
doActionOn: anUnwrappedItem 
	self list show: anUnwrappedItem asEmphasedWith: self emphasisModel ! !

!TamListItemEmphasisRule methodsFor: 'emphasing' stamp: 'apl 3/25/2005 11:11'!
emphasisModel
	^ self subclassResponsibility! !

Object subclass: #TamListEventRulesHandler
	instanceVariableNames: 'list rules'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Tamaris-Event-Rules'!

!TamListEventRulesHandler commentStamp: '<historical>' prior: 0!
Handles event rules for list such as PluggableListMorph or SimpleHierarchicalListMorph. 
The first purpose was to handle item emphasis rules.

Event handling is performed from handleEvent: anEvent.
 
2 importants methods :
	itemAtPoint: aPoint 
		is subclassResponsibility, it asks list to return item  at a given position (aPoint). 
	unwrappedFromItem: aListItem 
		have here  a default implementation. 
		It returns the data stored and accessible from aListItem.

<Express>
ENTITY ListEventRulesHandler ABSTRACT SUPERTYPE;
	list : ScrollPane;	(* the target list for event rules *)
	rules : LIST OF ListEventRule; (* the list of rules to trigger *)
END_ENTITY;
</Express>

!

!TamListEventRulesHandler class methodsFor: 'instance creation' stamp: 'apl 3/25/2005 10:52'!
list: aList
	^ self new
		list: aList! !

!TamListEventRulesHandler methodsFor: 'accessing' stamp: 'apl 3/27/2005 16:12'!
add: aListItemRule 
"add a new rule (a ListItemRule)"
	rules add: aListItemRule.
	aListItemRule handler: self! !

!TamListEventRulesHandler methodsFor: 'public events handling' stamp: 'apl 3/25/2005 11:21'!
handleEvent: anEvent 
	^ self rules
		anySatisfy: [:rule | rule
				handleEvent: anEvent
				item: (self itemAtPoint: anEvent position)]! !

!TamListEventRulesHandler methodsFor: 'initialize-release' stamp: 'apl 3/21/2005 17:39'!
initialize
	super initialize.
	rules := OrderedCollection new.! !

!TamListEventRulesHandler methodsFor: 'list item accessing' stamp: 'apl 3/27/2005 16:11'!
itemAtPoint: aPoint 
"asks list to return item  at a given position (aPoint)"
	^self subclassResponsibility! !

!TamListEventRulesHandler methodsFor: 'accessing' stamp: 'apl 3/25/2005 10:51'!
list
	^list! !

!TamListEventRulesHandler methodsFor: 'accessing' stamp: 'apl 3/25/2005 10:51'!
list: anObject
	list := anObject! !

!TamListEventRulesHandler methodsFor: 'accessing' stamp: 'apl 3/21/2005 17:43'!
rules
	^ rules! !

!TamListEventRulesHandler methodsFor: 'list item accessing' stamp: 'apl 3/27/2005 16:12'!
unwrappedFromItem: aListItem 
"returns the data stored and accessible from aListItem"
	^aListItem! !

TamListEventRulesHandler subclass: #TamPluggableListMorphEventRulesHandler
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Tamaris-Event-Rules'!

!TamPluggableListMorphEventRulesHandler methodsFor: 'list item accessing' stamp: 'apl 3/27/2005 16:11'!
itemAtPoint: aPoint 
	"asks list to return item  at a given position (aPoint)"
	^self list itemAtLocation: aPoint! !

TamListEventRulesHandler subclass: #TamSimpleHierarchicalListMorphEventRulesHandler
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Tamaris-Event-Rules'!

!TamSimpleHierarchicalListMorphEventRulesHandler methodsFor: 'list item accessing' stamp: 'apl 3/27/2005 16:11'!
itemAtPoint: aPoint 
	"asks list to return item  at a given position (aPoint)"
	^self list itemFromPoint: aPoint! !

!TamSimpleHierarchicalListMorphEventRulesHandler methodsFor: 'list item accessing' stamp: 'apl 3/27/2005 16:12'!
unwrappedFromItem: aListItem 
	"returns the data stored and accessible from aListItem"
	^aListItem complexContents withoutListWrapper! !

Object subclass: #TamListItemMorphEmphasisIndex
	instanceVariableNames: 'itemsByEmphasis emphasisByItem emphasisIndex'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Tamaris-Event-Rules'!

!TamListItemMorphEmphasisIndex methodsFor: 'object indexing' stamp: 'apl 3/21/2005 11:28'!
add: anObject emphasis: aListItemMorphEmphasis 
	| itemsSet |
	self remove: anObject.
	itemsSet := itemsByEmphasis
				at: aListItemMorphEmphasis
				ifAbsentPut: [Set new].
	itemsSet add: anObject.
	emphasisByItem at: anObject put: aListItemMorphEmphasis! !

!TamListItemMorphEmphasisIndex methodsFor: 'object indexing' stamp: 'apl 3/29/2005 22:53'!
clear
	emphasisByItem
		ifNotEmpty: [:dict | 
			emphasisByItem keys
				do: [:k | emphasisByItem removeKey: k].
			itemsByEmphasis keys
				do: [:k | itemsByEmphasis removeKey: k]]! !

!TamListItemMorphEmphasisIndex methodsFor: 'emphasis handling' stamp: 'apl 3/17/2005 11:36'!
emphasisNamed: aSymbol 
	^ emphasisIndex
		at: aSymbol
		ifAbsent: [].
! !

!TamListItemMorphEmphasisIndex methodsFor: 'object indexing' stamp: 'apl 3/16/2005 22:14'!
emphasisOf: anObject
	^ emphasisByItem at: anObject ifAbsent: []! !

!TamListItemMorphEmphasisIndex methodsFor: 'object indexing' stamp: 'apl 3/21/2005 11:45'!
emphasisSet: aListItemMorphEmphasis 
	^ (itemsByEmphasis
		at: aListItemMorphEmphasis
		ifAbsent: [Set new]) copy! !

!TamListItemMorphEmphasisIndex methodsFor: 'enumerating' stamp: 'apl 3/18/2005 11:40'!
emphasisSet: aListItemMorphEmphasis collect: aBlock 
	^ self emphasisSet: aListItemMorphEmphasis collect: aBlock! !

!TamListItemMorphEmphasisIndex methodsFor: 'enumerating' stamp: 'apl 3/18/2005 11:41'!
emphasisSet: aListItemMorphEmphasis detect: aBlock 
	^ self emphasisSet: aListItemMorphEmphasis detect: aBlock! !

!TamListItemMorphEmphasisIndex methodsFor: 'enumerating' stamp: 'apl 3/18/2005 11:40'!
emphasisSet: aListItemMorphEmphasis do: aBlock
	self emphasisSet: aListItemMorphEmphasis do: aBlock! !

!TamListItemMorphEmphasisIndex methodsFor: 'enumerating' stamp: 'apl 3/18/2005 11:41'!
emphasisSet: aListItemMorphEmphasis select: aBlock 
	^ self emphasisSet: aListItemMorphEmphasis select: aBlock! !

!TamListItemMorphEmphasisIndex methodsFor: 'object indexing' stamp: 'apl 3/21/2005 11:47'!
emptyEmphasisSet: aListItemMorphEmphasis 
	| |
	(self emphasisSet: aListItemMorphEmphasis)
		do: [:item | self remove: item]! !

!TamListItemMorphEmphasisIndex methodsFor: 'object indexing' stamp: 'apl 3/16/2005 22:46'!
includes: anObject 
	^ emphasisByItem
		includesKey: anObject
! !

!TamListItemMorphEmphasisIndex methodsFor: 'initialize-release' stamp: 'apl 1/30/2007 11:00'!
initialize
	super initialize.
	itemsByEmphasis := Dictionary new.
	emphasisByItem := Dictionary new.
	emphasisIndex := Dictionary new.
	TamListItemMorphEmphasisModel standardEmphasisSet 
		do: [:std | self registerEmphasis: (TamListItemMorphEmphasisModel perform: std)]! !

!TamListItemMorphEmphasisIndex methodsFor: 'emphasis handling' stamp: 'apl 3/17/2005 12:19'!
registerEmphasis: aListItemMorphEmphasis
	emphasisIndex
		at: aListItemMorphEmphasis key
		ifPresent: [:e | ^ false].
	emphasisIndex at: aListItemMorphEmphasis key put: aListItemMorphEmphasis.
	^ true! !

!TamListItemMorphEmphasisIndex methodsFor: 'object indexing' stamp: 'apl 3/21/2005 11:46'!
remove: anObject 
	itemsByEmphasis
		keysAndValuesDo: [:k :v | v
				remove: anObject
				ifAbsent: []].
	emphasisByItem
		removeKey: anObject
		ifAbsent: [].
! !

!TamListItemMorphEmphasisIndex methodsFor: 'object indexing' stamp: 'apl 3/16/2005 22:48'!
switch: anObject emphasis: aListItemMorphEmphasis 
	(self includes: anObject)
		ifTrue: [self remove: anObject]
		ifFalse: [self add: anObject emphasis: aListItemMorphEmphasis]! !

Object subclass: #TamListItemMorphEmphasisModel
	instanceVariableNames: 'key font emphasis backgroundColor textColor'
	classVariableNames: 'Standard'
	poolDictionaries: ''
	category: 'Tamaris-Event-Rules'!

!TamListItemMorphEmphasisModel class methodsFor: 'accessing' stamp: 'AlainPlantec 10/7/2010 13:54'!
blueStandard
	^ self
		key: #blueStandardEmphasis
		textColor: Color blue darker
		font: StandardFonts listFont
		emphasis: TextEmphasis normal! !

!TamListItemMorphEmphasisModel class methodsFor: 'accessing' stamp: 'AlainPlantec 10/7/2010 13:54'!
boldBlueOnLightBlueStandard
	^ self
		key: #boldBlueOnLightBlueStandardEmphasis
		textColor: Color blue
		backgroundColor: Color blue veryMuchLighter
		font: StandardFonts listFont
		emphasis: TextEmphasis bold! !

!TamListItemMorphEmphasisModel class methodsFor: 'accessing' stamp: 'AlainPlantec 10/7/2010 13:54'!
boldBlueStandard
	^ self
		key: #boldBlueStantardEmphasis
		textColor: Color blue
		font: StandardFonts listFont
		emphasis: TextEmphasis bold! !

!TamListItemMorphEmphasisModel class methodsFor: 'accessing' stamp: 'AlainPlantec 10/7/2010 13:55'!
boldGreenOnLightGreenStandard
	^ self
		key: #boldGreenOnLightGreenStandardEmphasis
		textColor: Color green
		backgroundColor: Color green veryMuchLighter
		font: StandardFonts listFont
		emphasis: TextEmphasis bold! !

!TamListItemMorphEmphasisModel class methodsFor: 'accessing' stamp: 'AlainPlantec 10/7/2010 13:55'!
boldGreenStandard
	^ self
		key: #boldGreenStandardEmphasis
		textColor: Color green darker
		font: StandardFonts listFont
		emphasis: TextEmphasis bold! !

!TamListItemMorphEmphasisModel class methodsFor: 'accessing' stamp: 'AlainPlantec 10/7/2010 13:55'!
boldRedStandard
	^ self
		key: #boldRedStantardEmphasis
		textColor: Color red
		font: StandardFonts listFont
		emphasis: TextEmphasis bold! !

!TamListItemMorphEmphasisModel class methodsFor: 'accessing' stamp: 'AlainPlantec 10/7/2010 13:55'!
boldStandard
	^ self
		key: #boldStantardEmphasis
		textColor: Color black
		font: StandardFonts listFont
		emphasis: TextEmphasis bold! !

!TamListItemMorphEmphasisModel class methodsFor: 'accessing' stamp: 'AlainPlantec 10/7/2010 13:55'!
greenStandard
	^ self
		key: #greenStandardEmphasis
		textColor: Color green muchDarker
		font: StandardFonts listFont
		emphasis: TextEmphasis normal! !

!TamListItemMorphEmphasisModel class methodsFor: 'accessing' stamp: 'AlainPlantec 10/7/2010 13:55'!
italicBlueStandard
	^ self
		key: #italicBlueStandardEmphasis
		textColor: Color blue darker
		font: StandardFonts listFont
		emphasis: TextEmphasis italic! !

!TamListItemMorphEmphasisModel class methodsFor: 'accessing' stamp: 'AlainPlantec 10/7/2010 13:55'!
italicGreenStandard
	^ self
		key: #italicGreenStandardEmphasis
		textColor: Color green darker
		font: StandardFonts listFont
		emphasis: TextEmphasis italic! !

!TamListItemMorphEmphasisModel class methodsFor: 'accessing' stamp: 'AlainPlantec 10/7/2010 13:55'!
italicRedStandard
	^ self
		key: #italicRedStandardEmphasis
		textColor: Color red darker
		font: StandardFonts listFont
		emphasis: TextEmphasis italic! !

!TamListItemMorphEmphasisModel class methodsFor: 'accessing' stamp: 'AlainPlantec 10/7/2010 13:55'!
italicStandard
	^ self
		key: #italicStantardEmphasis
		textColor: Color black
		font: StandardFonts listFont
		emphasis: TextEmphasis italic! !

!TamListItemMorphEmphasisModel class methodsFor: 'instance creation' stamp: 'apl 3/18/2005 15:25'!
key: aSymbol textColor: aColor backgroundColor: anotherColor font: aFont emphasis: anTextEmphasis 
	^ self new
		key: aSymbol
		textColor:  aColor
		backgroundColor: anotherColor
		font: aFont
		emphasis: anTextEmphasis! !

!TamListItemMorphEmphasisModel class methodsFor: 'instance creation' stamp: 'apl 3/18/2005 15:24'!
key: aSymbol textColor: aColor font: aFont emphasis: anTextEmphasis 
	^ self new
		key: aSymbol
		textColor: aColor
		font: aFont
		emphasis: anTextEmphasis! !

!TamListItemMorphEmphasisModel class methodsFor: 'accessing' stamp: 'AlainPlantec 10/7/2010 13:55'!
redStandard
	^ self
		key: #redStandardEmphasis
		textColor: Color red darker
		font: StandardFonts listFont
		emphasis: TextEmphasis normal! !

!TamListItemMorphEmphasisModel class methodsFor: 'accessing' stamp: 'AlainPlantec 10/7/2010 13:55'!
standard
	^ Standard
		ifNil: [Standard := self
						key: #stantardEmphasis
						textColor: Color black
						font: StandardFonts listFont
						emphasis: TextEmphasis normal]! !

!TamListItemMorphEmphasisModel class methodsFor: 'accessing' stamp: 'apl 3/22/2005 09:43'!
standardEmphasisSet
	^ {#standard. #boldStandard. #boldBlueStandard. #boldBlueOnLightBlueStandard. #boldRedStandard. #italicStandard. #underlinedStandard} asSet
! !

!TamListItemMorphEmphasisModel class methodsFor: 'accessing' stamp: 'AlainPlantec 10/7/2010 13:55'!
underlinedStandard
	^ self
		key: #underlinedStantardEmphasis
		textColor: Color black
		font: StandardFonts listFont
		emphasis: TextEmphasis underlined! !

!TamListItemMorphEmphasisModel methodsFor: 'equality' stamp: 'apl 3/29/2005 23:18'!
= anObject 
	(anObject isKindOf: self class)
		ifFalse: [^ false].
	^ anObject key = key
		! !

!TamListItemMorphEmphasisModel methodsFor: 'accessing' stamp: 'apl 3/18/2005 10:52'!
backgroundColor
	^backgroundColor! !

!TamListItemMorphEmphasisModel methodsFor: 'accessing' stamp: 'apl 3/18/2005 10:52'!
backgroundColor: anObject
	backgroundColor := anObject! !

!TamListItemMorphEmphasisModel methodsFor: 'accessing' stamp: 'apl 3/18/2005 15:21'!
emphasis
	^emphasis! !

!TamListItemMorphEmphasisModel methodsFor: 'accessing' stamp: 'apl 3/18/2005 15:21'!
emphasis: anObject
	emphasis := anObject! !

!TamListItemMorphEmphasisModel methodsFor: 'accessing' stamp: 'apl 3/17/2005 14:28'!
emphasisCode
	 ^ self emphasis emphasisCode! !

!TamListItemMorphEmphasisModel methodsFor: 'accessing' stamp: 'apl 3/16/2005 11:36'!
font
	^font! !

!TamListItemMorphEmphasisModel methodsFor: 'accessing' stamp: 'apl 3/16/2005 11:36'!
font: anObject
	font := anObject! !

!TamListItemMorphEmphasisModel methodsFor: 'equality' stamp: 'apl 3/29/2005 23:19'!
hash
	"Hash is re-implemented because #= is re-implemented"
	^ key hash
		! !

!TamListItemMorphEmphasisModel methodsFor: 'accessing' stamp: 'apl 3/18/2005 15:21'!
key
	^key! !

!TamListItemMorphEmphasisModel methodsFor: 'accessing' stamp: 'apl 3/18/2005 15:21'!
key: anObject
	key := anObject! !

!TamListItemMorphEmphasisModel methodsFor: 'accessing' stamp: 'apl 3/18/2005 10:54'!
key: aSymbol color: aColor backgroundColor: anotherColorOrNil font: aFont emphasis: anTextEmphasis 
	self key: aSymbol.
	self color: aColor.
	self font: aFont.
	self backgroundColor: anotherColorOrNil.
	self emphasis: anTextEmphasis! !

!TamListItemMorphEmphasisModel methodsFor: 'accessing' stamp: 'apl 3/18/2005 15:22'!
key: aSymbol textColor: aColor backgroundColor: anotherColorOrNil font: aFont emphasis: anTextEmphasis 
	self key: aSymbol.
	self textColor: aColor.
	self font: aFont.
	self backgroundColor: anotherColorOrNil.
	self emphasis: anTextEmphasis! !

!TamListItemMorphEmphasisModel methodsFor: 'accessing' stamp: 'apl 3/18/2005 15:23'!
key: aSymbol textColor: aColor font: aFont emphasis: anTextEmphasis 
	self
		key: aSymbol
		textColor: aColor
		backgroundColor: nil
		font: aFont
		emphasis: anTextEmphasis! !

!TamListItemMorphEmphasisModel methodsFor: 'accessing' stamp: 'apl 3/18/2005 15:21'!
textColor
	^textColor! !

!TamListItemMorphEmphasisModel methodsFor: 'accessing' stamp: 'apl 3/18/2005 15:21'!
textColor: anObject
	textColor := anObject! !

!TamListItemMorphEmphasisModel methodsFor: 'accessing' stamp: 'apl 1/30/2007 11:19'!
xor: anotherListItemEmphasis 
	^ self class
		key: (self key , 'And' , anotherListItemEmphasis key capitalized) asSymbol
		textColor: self textColor
		font: self font
		emphasis: (TextEmphasis new
				emphasisCode: (self emphasisCode bitXor: anotherListItemEmphasis emphasisCode))! !

Object subclass: #TamListItemReference
	instanceVariableNames: 'owner listLabel localWorkspacePaneContents subLists showSubLists emphasisModel'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Tamaris-Taxonomies'!

!TamListItemReference commentStamp: 'apl 12/8/2006 21:18' prior: 0!
A TamListItemReference is xxxxxxxxx.

Instance Variables
	emphasisModel:		<Object>
	listLabel:		<Object>
	localWorkspacePaneContents:		<Object>
	owner:		<Object>
	showSubLists:		<Object>
	subLists:		<Object>
	updateFlag:		<Object>

emphasisModel
	- xxxxx

listLabel
	- xxxxx

localWorkspacePaneContents
	- xxxxx

owner
	- xxxxx

showSubLists
	- xxxxx

subLists
	- xxxxx

updateFlag
	- xxxxx
!

TamListItemReference subclass: #TamListItemAbstractLinkReference
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Tamaris-Taxonomies'!

!TamListItemAbstractLinkReference class methodsFor: 'instance creation' stamp: 'tam 3/26/2004 15:47'!
from: aListItemReference	^ self new linked: aListItemReference! !

!TamListItemAbstractLinkReference methodsFor: 'drag and drop' stamp: 'tam 3/26/2004 15:47'!
acceptDroppingMorph: transferMorph copy: shouldCopy 	^ self linked acceptDroppingMorph: transferMorph copy: shouldCopy ! !

!TamListItemAbstractLinkReference methodsFor: 'accessing' stamp: 'tam 3/26/2004 16:52'!
asStringOrText
 ^ self subclassResponsibility ! !

!TamListItemAbstractLinkReference methodsFor: 'accessing' stamp: 'tam 3/26/2004 15:47'!
basicSmalltalkBrowser: aTaxonomyBrowser 
	^ self linked basicSmalltalkBrowser: aTaxonomyBrowser ! !

!TamListItemAbstractLinkReference methodsFor: 'accessing' stamp: 'tam 3/26/2004 15:47'!
browserClass	^ self linked browserClass! !

!TamListItemAbstractLinkReference methodsFor: 'accessing' stamp: 'tam 3/26/2004 15:47'!
children
	| lnk |
	^ (lnk := self linked) ifNil: [#()]
		ifNotNil: [lnk isReleased ifTrue: [#()] ifFalse: [lnk children]]! !

!TamListItemAbstractLinkReference methodsFor: 'accessing' stamp: 'tam 3/26/2004 15:47'!
editorClass	^ self linked editorClass! !

!TamListItemAbstractLinkReference methodsFor: 'accessing' stamp: 'apl 4/22/2005 02:23'!
icon
	| lnk |
	^(lnk := self linked) 
		ifNil: [TamIcons mimeIcon: '10x10/mimetypes/question']
		ifNotNil: [lnk icon]! !

!TamListItemAbstractLinkReference methodsFor: 'testing' stamp: 'apl 5/26/2005 20:44'!
includes: anotherReference 
	^self linked notNil and:[ self linked includes: anotherReference]! !

!TamListItemAbstractLinkReference methodsFor: 'updating' stamp: 'tam 3/26/2004 15:47'!
insertReference: anotherReference 	^ self linked insertReference: anotherReference ! !

!TamListItemAbstractLinkReference methodsFor: 'testing' stamp: 'tam 3/26/2004 15:47'!
isLink	^ true! !

!TamListItemAbstractLinkReference methodsFor: 'accessing' stamp: 'apl 4/7/2006 16:14'!
isLinkTo: anItem 
	^ self linked = anItem  linked! !

!TamListItemAbstractLinkReference methodsFor: 'testing' stamp: 'apl 4/30/2004 17:23'!
isRemoveable 
	^ true! !

!TamListItemAbstractLinkReference methodsFor: 'accessing' stamp: 'tam 3/26/2004 16:47'!
linkPrefix
	self subclassResponsibility ! !

!TamListItemAbstractLinkReference methodsFor: 'accessing' stamp: 'tam 3/26/2004 15:47'!
linked
	^ self subclassResponsibility ! !

!TamListItemAbstractLinkReference methodsFor: 'accessing' stamp: 'tam 3/26/2004 15:47'!
linked: anItem 
	^ self subclassResponsibility! !

!TamListItemAbstractLinkReference methodsFor: 'accessing' stamp: 'tam 3/26/2004 15:47'!
listLabel
	^ self linked listLabel! !

!TamListItemAbstractLinkReference methodsFor: 'accessing' stamp: 'apl 4/7/2006 14:07'!
longNameOn: aStream
	^ self linked longNameOn: aStream! !

!TamListItemAbstractLinkReference methodsFor: 'menus' stamp: 'apl 4/18/2005 23:30'!
menu: aMenu shifted: b 
	| menuDeleteSubmorph |
self isRootTaxonLink ifFalse: [
	aMenu 
		add: 'remove (x)'
		target: self
		selector: #menuDelete.
	aMenu addLine].
	self linked menu: aMenu shifted: b.
	self isRemoveable 
		ifFalse: 
			[menuDeleteSubmorph := aMenu submorphs 
						select: [:sm | (sm isKindOf: MenuItemMorph) and: [sm selector = #menuDelete]].
			aMenu removeAllMorphsIn: menuDeleteSubmorph].
	aMenu submorphsDo: 
			[:aMenuItem | 
			((aMenuItem isKindOf: MenuItemMorph) and: 
					[#(
						#menuDelete
						#menuInspect
						#menuBrowse
						#menuExplore
					) anySatisfy: [:e | e == aMenuItem selector]]) 
				ifTrue: [aMenuItem target: self]].
	^aMenu! !

!TamListItemAbstractLinkReference methodsFor: 'menus' stamp: 'apl 3/21/2005 09:51'!
menuDelete
	| message |
	message := ' really remove this link ? '.
	(self confirm: message)
		ifTrue: [self remove. ^ true].
	^ false! !

!TamListItemAbstractLinkReference methodsFor: 'updating' stamp: 'tam 3/26/2004 15:47'!
moveDownReference: aFirstLevelReference 	^ self linked moveDownReference: aFirstLevelReference ! !

!TamListItemAbstractLinkReference methodsFor: 'updating' stamp: 'tam 3/26/2004 15:47'!
moveUpReference: aFirstLevelReference 	^ self linked moveUpReference: aFirstLevelReference ! !

!TamListItemAbstractLinkReference methodsFor: 'morphic wrapper' stamp: 'tam 3/26/2004 15:47'!
newEditor	^ self linked newEditor! !

!TamListItemAbstractLinkReference methodsFor: 'printing' stamp: 'tam 3/26/2004 15:47'!
printOn: aStream 	aStream nextPutAll: self asStringOrText! !

!TamListItemAbstractLinkReference methodsFor: 'updating' stamp: 'tam 3/26/2004 15:47'!
relabelWith: newName 	^ self linked relabelWith: newName ! !

!TamListItemAbstractLinkReference methodsFor: 'updating' stamp: 'tam 3/26/2004 15:47'!
removeChild: aReference 	self linked removeChild: aReference.! !

!TamListItemAbstractLinkReference methodsFor: 'updating' stamp: 'tam 3/26/2004 15:47'!
removeChildSilently: aReference 
	self linked removeChildSilently: aReference! !

!TamListItemAbstractLinkReference methodsFor: 'tam taxonomy browser' stamp: 'alain.plantec 2/3/2009 12:25'!
selectingFrom: aTaxonomyBrowser 
	| lnk |
	((lnk := self linked) isNil
			or: [lnk isReleased])
		ifTrue: [self inform: 'linked object not found!!' translated.
			^ nil].
	^ lnk selectingFrom: aTaxonomyBrowser! !

!TamListItemAbstractLinkReference methodsFor: 'accessing' stamp: 'apl 4/25/2007 16:43'!
shortName
	^ self linked name! !

!TamListItemAbstractLinkReference methodsFor: 'tam taxonomy browser' stamp: 'AlainPlantec 10/13/2010 16:53'!
unSelectingFrom: aTaxonomyBrowser 
	self linked ifNotNil: [:lnk | lnk unSelectingFrom: aTaxonomyBrowser]! !

TamListItemAbstractLinkReference subclass: #TamListItemHardLinkReference
	instanceVariableNames: 'linked'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Tamaris-Taxonomies'!

!TamListItemHardLinkReference methodsFor: 'accessing' stamp: 'apl 4/5/2004 14:48'!
asStringOrText
	^ self linkPrefix , self linked  asStringOrText! !

!TamListItemHardLinkReference methodsFor: 'accessing' stamp: 'apl 4/22/2005 02:24'!
icon
	| lnk |
	^(lnk := self linked) isReleased 
		ifTrue: [TamIcons mimeIcon: '10x10/mimetypes/question']
		ifFalse: [lnk icon]! !

!TamListItemHardLinkReference methodsFor: 'accessing' stamp: 'tam 3/26/2004 16:52'!
linkPrefix
	^ '=> '! !

!TamListItemHardLinkReference methodsFor: 'accessing' stamp: 'tam 3/26/2004 15:38'!
linked
	^ linked! !

!TamListItemHardLinkReference methodsFor: 'accessing' stamp: 'apl 2/10/2006 08:31'!
linked: anItem 
	linked := anItem.
	[self localWorkspacePaneContents: anItem localWorkspacePaneContents copy]
		on: Error
		do: [:ex | self class name , '>>linked: (' , ex asString, ')']! !

TamListItemHardLinkReference subclass: #TamRootTaxonLinkReference
	instanceVariableNames: 'managerItem'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Tamaris-Taxonomies'!

!TamRootTaxonLinkReference methodsFor: 'testing' stamp: 'apl 4/18/2005 23:29'!
isRootTaxonLink
	^true! !

!TamRootTaxonLinkReference methodsFor: 'accessing' stamp: 'tam 1/10/2004 15:18'!
managerItem
	^managerItem! !

!TamRootTaxonLinkReference methodsFor: 'accessing' stamp: 'tam 1/10/2004 15:18'!
managerItem: anObject
	managerItem := anObject! !

TamListItemAbstractLinkReference subclass: #TamListItemSoftLinkReference
	instanceVariableNames: 'linkedPath'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Tamaris-Taxonomies'!

!TamListItemSoftLinkReference class methodsFor: 'accessing' stamp: 'tam 3/27/2004 09:32'!
linkedFrom: aLinkReference 
	| rootTaxonShortName managerItem |
	rootTaxonShortName := aLinkReference linkedPath first.
	managerItem := TamManager taxonomies
				detect: [:cls | cls taxonomy shortName = rootTaxonShortName]
				ifNone: [^ nil].
	^ managerItem taxonomy findChildReferenceFromPath: aLinkReference linkedPath allButFirst forLink: aLinkReference! !

!TamListItemSoftLinkReference methodsFor: 'accessing' stamp: 'tam 3/26/2004 16:49'!
asStringOrText
	^ self linkPrefix , self linkedPath last! !

!TamListItemSoftLinkReference methodsFor: 'accessing' stamp: 'tam 3/27/2004 13:33'!
balloonText
	^self longName! !

!TamListItemSoftLinkReference methodsFor: 'accessing' stamp: 'apl 4/5/2004 14:46'!
linkPrefix
	^ '-> '! !

!TamListItemSoftLinkReference methodsFor: 'accessing' stamp: 'tam 3/27/2004 09:34'!
linked
	| |
	^ self class linkedFrom: self! !

!TamListItemSoftLinkReference methodsFor: 'accessing' stamp: 'apl 2/10/2006 08:32'!
linked: anItem 
	linkedPath := anItem fullPathStrings.
	[self localWorkspacePaneContents: anItem localWorkspacePaneContents copy]
		on: Error
		do: [:ex | self class name , '>>linked: (' , ex asString , ')']! !

!TamListItemSoftLinkReference methodsFor: 'accessing' stamp: 'tam 3/26/2004 15:33'!
linkedPath
	^ linkedPath! !

!TamListItemSoftLinkReference methodsFor: 'accessing' stamp: 'apl 4/7/2006 14:03'!
longNameOn: aStream
	| |
	aStream nextPutAll: self linkedPath first.
	aStream nextPutAll: self longNameFirstSep.
	self linkedPath allButFirst
		do: [:p | aStream nextPutAll: p]
		separatedBy: [aStream nextPutAll: self longNameSep].
! !

!TamListItemSoftLinkReference methodsFor: 'tam taxonomy browser' stamp: 'apl 6/17/2005 18:03'!
selectingFrom: aTaxonomyBrowser 
	| lnk |
	^ (lnk := self linked)
		ifNotNil: [lnk selectingFrom: aTaxonomyBrowser]
! !

!TamListItemSoftLinkReference methodsFor: 'accessing' stamp: 'tam 3/26/2004 16:58'!
shortName
	^ self linkedPath last! !

!TamListItemReference class methodsFor: 'menu' stamp: 'tam 3/17/2004 17:47'!
addReferenceMenuItemToMenu: aMenu owner: anotherReference 
	| |
	(self subMenuLabelSubMenu: aMenu)
		add: self externalLabel
		target: self
		selector: #menuAddReferenceIntoOwner:
		argumentList: {anotherReference}! !

!TamListItemReference class methodsFor: 'menu' stamp: 'tam 7/1/2003 16:37'!
canNotBeCreatedInteractively	^ true! !

!TamListItemReference class methodsFor: 'accessing' stamp: 'apl 4/29/2004 00:50'!
externalLabel
	^ self printString! !

!TamListItemReference class methodsFor: 'instance creation' stamp: 'apl 4/8/2006 07:50'!
from: anObject 
	| ref |
	ref := anObject withoutListWrapper.
	ref isMorph
		ifTrue: [^ TamMorphReference new morph: ref]
		ifFalse: [(ref isKindOf: Class)
				ifTrue: [^ TamClassReference classReferenceOf: ref owner: nil]
				ifFalse: [(anObject isTamListItemReference)
						ifTrue: [^ anObject copy]]].
	^ TamExploredObjectReference new
		itemObject: (ObjectExplorerWrapper with: ref)! !

!TamListItemReference class methodsFor: 'instance creation' stamp: 'AlainPlantec 11/18/2010 09:18'!
fromTransfertMorph: aTransfertMorph	| passenger |	passenger := (aTransfertMorph class canUnderstand: #passenger)		ifTrue: [aTransfertMorph passenger]		ifFalse: [aTransfertMorph].	^ self from: passenger.	! !

!TamListItemReference class methodsFor: 'accessing' stamp: 'apl 3/1/2006 11:11'!
longNameFirstSep
	^ ': '! !

!TamListItemReference class methodsFor: 'accessing' stamp: 'apl 7/9/2005 02:03'!
longNameSep
	^ '/'! !

!TamListItemReference class methodsFor: 'menu' stamp: 'apl 4/22/2005 14:28'!
menuAddReferenceInto: aMenu owner: aListItemReference fromClasses: aCollectionOfListItemReferenceClasses 
	| addable |
	addable := aCollectionOfListItemReferenceClasses select: 
					[:sc | 
					(sc class includesSelector: #canBeCreatedInteractively) 
						and: [sc canBeCreatedInteractively]].
	(addable asArray sort: [:a :b | a name < b name]) 
		do: [:sc | sc addReferenceMenuItemToMenu: aMenu owner: aListItemReference].
	aMenu submorphs size = 1 ifTrue: [^aMenu submorphs first subMenu].
	^aMenu! !

!TamListItemReference class methodsFor: 'menu' stamp: 'tam 7/1/2003 16:44'!
menuAddReferenceIntoOwner: aReference 	aReference insertReference: self new! !

!TamListItemReference class methodsFor: 'menu' stamp: 'tam 7/1/2003 16:09'!
subMenuLabel	^ nil! !

!TamListItemReference class methodsFor: 'menu' stamp: 'tam 3/17/2004 17:47'!
subMenuLabelSubMenu: aMenu 
	| updatedMenu updatedMenuItem |
	self subMenuLabel
		ifNil: [updatedMenu := aMenu]
		ifNotNil: [updatedMenuItem := aMenu submorphs
						detect: [:sm | sm hasSubMenu
								and: [sm contents = self subMenuLabel]]
						ifNone: [].
			updatedMenuItem
				ifNil: [aMenu add: self subMenuLabel subMenu: MenuMorph new].
			updatedMenuItem := aMenu submorphs
						detect: [:sm | sm hasSubMenu
								and: [sm contents = self subMenuLabel]].
			updatedMenu := updatedMenuItem subMenu].
	^ updatedMenu
! !

!TamListItemReference methodsFor: 'testing' stamp: 'tam 10/21/2003 12:02'!
<= another
	^ self asString < another asString! !

!TamListItemReference methodsFor: 'drag and drop' stamp: 'apl 4/8/2006 07:49'!
acceptDroppingMorph: transferMorph copy: shouldCopy 
	| passenger |
	(transferMorph respondsTo: #passenger)
		ifFalse: [^ false].
	passenger := transferMorph passenger.
	owner
		ifNotNil: [(owner acceptDroppingMorph: transferMorph copy: shouldCopy)
				ifFalse: [((passenger isTamListItemReference)
							and: [passenger owner = owner
									and: [self isMoveable]])
						ifTrue: [owner move: passenger before: self.
							^ true]]].
	^ false! !

!TamListItemReference methodsFor: 'system changes handling' stamp: 'apl 2/9/2006 14:13'!
addClass: class 
	"Include indication that a new class was created."
	| result |
	result := false.
	self isSystemChangesSensible
		ifTrue: [(self localAddClass: class)
				ifTrue: [result := true].
			self children
				reverseDo: [:chld | (chld addClass: class)
						ifTrue: [result := true]]].
	^ result! !

!TamListItemReference methodsFor: 'private' stamp: 'tam 10/1/2003 16:49'!
addToParentsChain: aCollection from: aChild
	aCollection addFirst: self.
	self owner
		ifNotNil: [self owner addToParentsChain: aCollection from: self]! !

!TamListItemReference methodsFor: 'accessing' stamp: 'tam 4/10/2003 09:59'!
asString	^ self asStringOrText! !

!TamListItemReference methodsFor: 'accessing' stamp: 'tam 4/8/2003 12:13'!
asStringOrText	^ self listLabel! !

!TamListItemReference methodsFor: 'accessing' stamp: 'apl 6/15/2004 08:41'!
balloonText
	| |
	"^ (bt := self asStringOrText)
		ifNotNil: [bt contractTo: 100]"
	^ nil! !

!TamListItemReference methodsFor: 'accessing' stamp: 'AlainPlantec 10/7/2010 21:42'!
basicSmalltalkBrowser: aTaxonomyBrowser 
	| editor browser |
	editor := aTaxonomyBrowser editor
		ifNotNil: [(editor model isKindOf: Browser)
				ifTrue: [browser := editor model]].
	^ browser! !

!TamListItemReference methodsFor: 'accessing' stamp: 'tam 5/27/2003 22:46'!
browserClass	^ TamBrowser! !

!TamListItemReference methodsFor: 'updating' stamp: 'tam 2/24/2004 18:53'!
browserCurrentSelectionUpdateBlock: updateBlock 
	| curr |
	self
		browserUpdateBlock: [:acb | (curr := acb unwrappedSelection)
				ifNotNil: [curr == self
						ifTrue: [updateBlock value: acb]]].
	^ nil
! !

!TamListItemReference methodsFor: 'updating' stamp: 'apl 6/23/2005 12:28'!
browserUpdateBlock: updateBlock 
	TamBrowser allInstances copy
		do: [:acb | acb isReleased
				ifFalse: [updateBlock value: acb]]! !

!TamListItemReference methodsFor: 'testing' stamp: 'apl 4/6/2004 03:19'!
canBeMovedDown
	"true if self can be moved down (in my owner children collection)"
	| moveableBrothers |
	self isMoveable
		ifTrue: [self hierarchyLevel > 0
				ifTrue: [moveableBrothers := self owner children
								select: [:i | i isMoveable].
					moveableBrothers size > 1
						ifTrue: [^ (moveableBrothers indexOf: self)
								< moveableBrothers size]]].
	^ false! !

!TamListItemReference methodsFor: 'testing' stamp: 'apl 4/6/2004 03:19'!
canBeMovedUp
	"true if self can be moved up (in my owner children collection)"
	| moveableBrothers |
	self isMoveable
		ifTrue: [self hierarchyLevel > 0
				ifTrue: [moveableBrothers := self owner children
								select: [:i | i isMoveable].
					moveableBrothers size > 1
						ifTrue: [^ (moveableBrothers indexOf: self)
								> 1]]].
	^ false! !

!TamListItemReference methodsFor: 'testing' stamp: 'apl 4/6/2004 03:20'!
canChangeLabel
	"my label can be changed (not computed)"
	^ true! !

!TamListItemReference methodsFor: 'testing' stamp: 'apl 6/17/2005 18:00'!
canHaveCachedEditor
	"if true, my editor will be cached by the browser so that next
	editing will reuse cached editor"
	^ true! !

!TamListItemReference methodsFor: 'system changes handling' stamp: 'apl 2/9/2006 14:13'!
changeClass: class from: oldClass 
	| result |
	result := false.
	self isSystemChangesSensible
		ifTrue: [(self localChangeClass: class from: oldClass)
				ifTrue: [result := true].
			self children
				reverseDo: [:chld | (chld changeClass: class from: oldClass)
						ifTrue: [result := true]]].
	^ result! !

!TamListItemReference methodsFor: 'accessing' stamp: 'apl 4/26/2007 09:32'!
children
	| subRefs |
	self showSubLists = #never
		ifTrue: [^ self contents]
		ifFalse: [subRefs := self subLists.
			self showSubLists = #always
				ifTrue: [^ subRefs].
			subRefs size <= 1
				ifTrue: [^ self contents]].
	^ subRefs! !

!TamListItemReference methodsFor: 'system changes handling' stamp: 'apl 12/8/2006 21:21'!
commentClass: class 
	(class respondsTo: #platypusMetaData) ifTrue: []! !

!TamListItemReference methodsFor: 'accessing' stamp: 'tam 5/26/2003 12:50'!
containedLinksTo: aListItem 	^#()! !

!TamListItemReference methodsFor: 'accessing' stamp: 'tam 5/26/2003 14:46'!
contents	^#()! !

!TamListItemReference methodsFor: 'accessing' stamp: 'apl 4/7/2006 15:59'!
contentsDo: aBlock
	self contents do: aBlock! !

!TamListItemReference methodsFor: 'copying' stamp: 'apl 5/26/2005 16:21'!
copy
	^super copy! !

!TamListItemReference methodsFor: 'tam taxonomy browser' stamp: 'apl 9/14/2007 07:57'!
createModelHolderContaining: aMorphicModel inside: aMorph 
	| holder |
	aMorphicModel model
		ifNil: [holder := TamListItemReferenceUtil windowWrapperClass new.
			holder wrapped: aMorphicModel]
		ifNotNil: [holder := TamListItemReferenceUtil subWindowClass new model: aMorphicModel model].
	holder eat: aMorphicModel.
	^ holder! !

!TamListItemReference methodsFor: 'tam taxonomy browser' stamp: 'apl 4/18/2005 18:24'!
createMorphHolderContaining: aMorph 
	| holder |
	holder := (PasteUpMorph new)
				borderWidth: 0;
				layoutPolicy: TableLayout new;
				listDirection: #leftToRight;
				wrapCentering: #center;
				listCentering: #center;
				cellPositioning: #center;
				hResizing: #spaceFill;
				vResizing: #spaceFill;
				layoutInset: 6 @ 6;
	color: Color transparent;
				yourself.
	holder addMorph: aMorph.
	^holder! !

!TamListItemReference methodsFor: 'accessing' stamp: 'tam 5/26/2003 12:50'!
deepContainedLinksTo: aListItem 	^ #()! !

!TamListItemReference methodsFor: 'accessing' stamp: 'AlainPlantec 10/7/2010 21:42'!
deepContents
	| subs |
	subs := OrderedCollection new.
	subs addAll: self children.
	self children
		do: [:i | subs := subs , i deepContents].
	^ subs! !

!TamListItemReference methodsFor: 'testing' stamp: 'apl 4/7/2006 16:35'!
deepIncludesLinkTo: aListItem 
	self isReleased
		ifFalse: [(self isLinkTo: aListItem)
				ifTrue: [^ true]
				ifFalse: [self
						contentsDo: [:item | (item deepIncludesLinkTo: aListItem)
								ifTrue: [^ true]]]].
	^ false! !

!TamListItemReference methodsFor: 'initialize/release' stamp: 'apl 7/26/2005 14:03'!
destroy
	"TamBrowser destroyEditorFor: self."
	localWorkspacePaneContents := nil.
	listLabel := nil.
	super destroy! !

!TamListItemReference methodsFor: 'updating' stamp: 'apl 3/29/2006 12:56'!
doInternalChecking! !

!TamListItemReference methodsFor: 'accessing' stamp: 'tam 4/3/2003 17:15'!
editorClass	^ nil! !

!TamListItemReference methodsFor: 'updating' stamp: 'apl 6/23/2005 12:28'!
editorUpdateBlock: updateBlock if: conditionBlock editorClass: editorClass 
	| foundEditors |
	(foundEditors := editorClass allInstances copy select: conditionBlock)
		do: [:editor | updateBlock value: editor].
	^ foundEditors notEmpty! !

!TamListItemReference methodsFor: 'accessing' stamp: 'apl 4/1/2006 14:58'!
emphasisModel
	^ emphasisModel! !

!TamListItemReference methodsFor: 'accessing' stamp: 'apl 4/1/2006 14:58'!
emphasisModel: anEmphasisModel
	emphasisModel := anEmphasisModel! !

!TamListItemReference methodsFor: 'updating' stamp: 'apl 3/20/2007 10:18'!
empty! !

!TamListItemReference methodsFor: 'accessing' stamp: 'apl 6/24/2004 02:01'!
findChildReferenceFromPath: aPathArray forLink: aLinkReference 
	| childShortName child |
	aPathArray
		ifEmpty: [^ self].
	childShortName := aPathArray first.
	child := self children
				detect: [:chl | chl shortName = childShortName
						and: [aLinkReference ~~ chl
								and: [chl isLink not]]]
				ifNone: [^ nil].
	^ child findChildReferenceFromPath: aPathArray allButFirst forLink: aLinkReference! !

!TamListItemReference methodsFor: 'accessing' stamp: 'apl 5/25/2007 11:00'!
findDeeplySuchThat: aBlock 
	^ self findDeeplySuchThat: aBlock visited: Set new! !

!TamListItemReference methodsFor: 'accessing' stamp: 'apl 5/25/2007 10:59'!
findDeeplySuchThat: aBlock visited: aSetOfRefs
	| res |
	(aSetOfRefs includes: self) ifFalse:  [aSetOfRefs add: self. (aBlock value: self)
				ifTrue: [^ self].
				
			self children
				do: [:sr | (res := sr findDeeplySuchThat: aBlock visited: aSetOfRefs)
						ifNotNil: [^ res]]].
	^ nil! !

!TamListItemReference methodsFor: 'testing' stamp: 'apl 4/6/2004 03:30'!
forceOkToChange
	"for some editor, in order to force reference deselection even if okToChange 
	is false"
	^ false! !

!TamListItemReference methodsFor: 'accessing' stamp: 'AlainPlantec 10/7/2010 21:43'!
fullPathAsString
	| str |
	str := ''.
	self fullPathStrings
		do: [:s | str := str , s]
		separatedBy: [str := str , self interPathString].
	^ str! !

!TamListItemReference methodsFor: 'accessing' stamp: 'tam 3/25/2004 18:42'!
fullPathStrings
	^ (self parentsChain
		collect: [:p | p shortName])
		, (Array with: self shortName)! !

!TamListItemReference methodsFor: 'testing' stamp: 'apl 3/29/2005 07:59'!
hasContents
	^self isReleased not and: [self children isEmpty not]! !

!TamListItemReference methodsFor: 'accessing' stamp: 'apl 4/4/2005 12:10'!
haveIcon
	^ true
! !

!TamListItemReference methodsFor: 'accessing' stamp: 'AlainPlantec 10/7/2010 21:43'!
hierarchyLevel
	| own lvl |
	own := self owner.
	lvl := 0.
	[own notNil]
		whileTrue: [lvl := lvl + 1.
			own := own owner].
	^ lvl! !

!TamListItemReference methodsFor: 'accessing' stamp: 'apl 4/22/2005 02:24'!
icon
	^TamIcons mimeIcon: '10x10/mimetypes/file'! !

!TamListItemReference methodsFor: 'testing' stamp: 'tam 10/2/2003 23:41'!
includes: anotherReference 
	^ anotherReference notNil and: [anotherReference isIncludeIn: self]! !

!TamListItemReference methodsFor: 'initialize/release' stamp: 'apl 3/12/2007 13:20'!
initialize
	super initialize.
	showSubLists := #ifNotEmpty.
	localWorkspacePaneContents := ''.
! !

!TamListItemReference methodsFor: 'updating' stamp: 'tam 4/2/2003 17:47'!
insertReference: anotherReference ^false! !

!TamListItemReference methodsFor: 'accessing' stamp: 'tam 6/25/2003 14:23'!
interPathString	^ self wrapperClass interPathString! !

!TamListItemReference methodsFor: 'updating' stamp: 'apl 4/3/2006 09:21'!
internalChecking
	self isReleased
		ifFalse: [
			[self doInternalChecking]
				on: AssertionFailure
				do: [:err | 
					Transcript show: String cr , 'Warning: ' , self longName , ': "' , err printString , '"'.
					Beeper beep]]! !

!TamListItemReference methodsFor: 'testing' stamp: 'apl 4/6/2004 03:30'!
isCopyable
	^ true! !

!TamListItemReference methodsFor: 'testing' stamp: 'apl 4/7/2006 15:43'!
isIncludeIn: maybeOwner 
	^ maybeOwner = self
		or: [self owner notNil
				and: [self owner isIncludeIn: maybeOwner]]! !

!TamListItemReference methodsFor: 'testing' stamp: 'tam 5/26/2003 21:47'!
isLink	^ false! !

!TamListItemReference methodsFor: 'testing' stamp: 'tam 5/26/2003 12:35'!
isLinkTo: aListItem	^ false! !

!TamListItemReference methodsFor: 'testing' stamp: 'tam 5/26/2003 14:38'!
isLinkToOneOf: aListItem 	^ aListItem		anySatisfy: [:i | self isLinkTo: i]! !

!TamListItemReference methodsFor: 'testing' stamp: 'tam 11/14/2003 11:36'!
isLinkable
	^ true! !

!TamListItemReference methodsFor: 'testing' stamp: 'apl 4/6/2004 03:31'!
isMoveable
	"true if self can be moved as a child of another owner"
	^ self owner isKindOf: TamTaxonReference! !

!TamListItemReference methodsFor: 'testing' stamp: 'apl 4/8/2005 12:18'!
isReleased
	"evalPaneContents serve as a flag for that purpose"

	^localWorkspacePaneContents isNil! !

!TamListItemReference methodsFor: 'testing' stamp: 'tam 10/2/2003 17:54'!
isReleasedOrHaveReleasedOwner
	self isReleased
		ifTrue: [^ true].
	self owner
		ifNotNil: [^ self owner isReleasedOrHaveReleasedOwner].
	^ false! !

!TamListItemReference methodsFor: 'testing' stamp: 'tam 7/16/2003 00:46'!
isRemoveable
	^ (self owner isKindOf: TamTaxonReference)! !

!TamListItemReference methodsFor: 'testing' stamp: 'tam 2/12/2004 16:38'!
isRootTaxon
	^ false
! !

!TamListItemReference methodsFor: 'testing' stamp: 'apl 4/18/2005 23:29'!
isRootTaxonLink
	^false! !

!TamListItemReference methodsFor: 'system changes handling' stamp: 'apl 5/24/2005 16:24'!
isSystemChangesSensible
	^ false! !

!TamListItemReference methodsFor: 'classification' stamp: 'apl 4/8/2006 07:47'!
isTamListItemReference
	^ true! !

!TamListItemReference methodsFor: 'testing' stamp: 'tam 7/8/2003 12:01'!
isTaxon	^ false! !

!TamListItemReference methodsFor: 'testing' stamp: 'tam 10/11/2003 18:28'!
isTaxonomyRoot
	^ self taxonomyRoot  = self! !

!TamListItemReference methodsFor: 'menus' stamp: 'apl 3/3/2006 08:36'!
keyStroke: aCharacter from: tamuggableListMorph 
	self isRemoveable
		ifTrue: [aCharacter = $x
				ifTrue: [^ self menuDelete]].
	aCharacter = $u
		ifTrue: [^ self moveUp].
	aCharacter = $d
		ifTrue: [^ self moveDown].
	aCharacter = $n
		ifTrue: [^ self menuLink].
	aCharacter = $b
		ifTrue: [^ self menuBrowse].
	aCharacter = $i
		ifTrue: [^ self menuInspect].
	aCharacter = $I
		ifTrue: [^ self menuExplore].
	aCharacter = $g
		ifTrue: [^ self subListsSwitchMenu]! !

!TamListItemReference methodsFor: 'morphic wrapper' stamp: 'tam 3/26/2003 09:55'!
labelString	^ self longName! !

!TamListItemReference methodsFor: 'updating' stamp: 'apl 4/30/2004 17:58'!
link
	^ self taxonomyRoot linkListItemHere: self! !

!TamListItemReference methodsFor: 'updating' stamp: 'apl 4/30/2004 16:55'!
linkListItemHere: aListItem 
	^ owner linkListItemHere: aListItem ! !

!TamListItemReference methodsFor: 'accessing' stamp: 'tam 1/16/2004 13:13'!
linked
	^ self! !

!TamListItemReference methodsFor: 'accessing' stamp: 'tam 6/24/2003 22:49'!
listLabel	^listLabel ifNil: [self shortName]! !

!TamListItemReference methodsFor: 'accessing' stamp: 'tam 6/24/2003 22:49'!
listLabel: aStringOrNil 	listLabel := aStringOrNil! !

!TamListItemReference methodsFor: 'system changes handling' stamp: 'apl 5/24/2005 10:09'!
localAddClass: class 
	"Include indication that a new class was created."

^ false! !

!TamListItemReference methodsFor: 'system changes handling' stamp: 'apl 6/26/2005 11:10'!
localChangeClass: class from: oldClass
	"Include indication that a new class was created."
	^ false! !

!TamListItemReference methodsFor: 'accessing' stamp: 'tam 10/9/2003 17:31'!
localClassForSendersImplementorsQuery: aTaxonomyBrowser 

	| browser |
	(browser := self basicSmalltalkBrowser: aTaxonomyBrowser)
	ifNotNil: [ ^ browser selectedClass] .
	^ nil! !

!TamListItemReference methodsFor: 'system changes handling' stamp: 'apl 5/24/2005 09:34'!
localNoteRemovalOf: class 
	"The class is about to be removed from the system.
	Adjust the receiver to reflect that fact."

	^false! !

!TamListItemReference methodsFor: 'system changes handling' stamp: 'apl 5/24/2005 18:06'!
localRenameClass: class as: newName 
	"Include indication that a new class was created."

	^false! !

!TamListItemReference methodsFor: 'accessing' stamp: 'apl 4/8/2005 12:22'!
localWorkspacePaneContents
	^ localWorkspacePaneContents
		! !

!TamListItemReference methodsFor: 'accessing' stamp: 'apl 4/8/2005 12:20'!
localWorkspacePaneContents: aStringOrText 
	localWorkspacePaneContents
		ifNotNil: [localWorkspacePaneContents := aStringOrText]! !

!TamListItemReference methodsFor: 'accessing' stamp: 'apl 4/7/2006 14:06'!
longName
	| strm |
	self longNameOn: (strm := WriteStream on: String new).
	^ strm contents
! !

!TamListItemReference methodsFor: 'accessing' stamp: 'apl 3/1/2006 10:58'!
longNameFirstSep
	^ self class longNameFirstSep! !

!TamListItemReference methodsFor: 'accessing' stamp: 'apl 4/7/2006 14:02'!
longNameOn: aStream
	self isReleased
		ifTrue: [aStream nextPutAll: 'A released Tamaris reference']
		ifFalse: [self owner notNil
				ifTrue: [self owner longNameOn: aStream. aStream nextPutAll: self longNameSep. aStream nextPutAll:  self shortName]
				ifFalse: [aStream nextPutAll:  self shortName]]! !

!TamListItemReference methodsFor: 'accessing' stamp: 'apl 7/9/2005 01:57'!
longNameSep
	^ self class longNameSep! !

!TamListItemReference methodsFor: 'accessing' stamp: 'AlainPlantec 10/15/2010 09:01'!
maxSubLevelDescent
	^ 6! !

!TamListItemReference methodsFor: 'menus' stamp: 'AlainPlantec 10/7/2010 21:47'!
menu: aMenu shifted: b 
	"Set up the menu to apply to the receiver's, honoring the
	#shifted 
	boolean"
	| |
	self isLinkable
		ifTrue: [aMenu
				add: 'link (n)'
				target: self
				selector: #menuLink.
			aMenu addLine].
	self isRemoveable
		ifTrue: [aMenu
				add: 'remove (x)'
				target: self
				selector: #menuDelete.
			aMenu addLine].
	self isMoveable
		ifTrue: [self canBeMovedUp
				ifTrue: [aMenu
						add: 'move up (u)'
						target: self
						selector: #moveUp].
			self canBeMovedDown
				ifTrue: [aMenu
						add: 'move down (d)'
						target: self
						selector: #moveDown].
			aMenu addLine].
	self isRootTaxon
		ifFalse: [aMenu
				add: 'update editor'
				target: self
				selector: #reinitializeEditor].
	(self owner notNil
			and: [self canChangeLabel])
		ifTrue: [aMenu
				add: 'change label'
				target: self
				selector: #menuRelabel].
	aMenu
		add: 'browse (b)'
		target: self
		selector: #menuBrowse.
	self subListsDefsArray isEmpty
		ifFalse: [aMenu addLine.
			aMenu
				add: 'sublists...'
				subMenu: self subListsSwitchMenu
				target: self
				selector: nil
				argumentList: #()].
	aMenu addLine.
	self specificMenu: aMenu shifted: b.
	aMenu addLine.
	aMenu
		add: 'add to bookmarks'
		target: self
		selector: #menuAddToBookmarks.
	^ aMenu! !

!TamListItemReference methodsFor: 'menus' stamp: 'tam 3/23/2004 23:35'!
menuAddToBookmarks
	TamManager addToBookmarks: self! !

!TamListItemReference methodsFor: 'menus' stamp: 'tam 11/11/2003 12:14'!
menuBrowse
	^ self browserClass openOnReference: self! !

!TamListItemReference methodsFor: 'menus' stamp: 'apl 3/21/2005 09:52'!
menuDelete
	| message |
	message := ' really remove ? '.
	(self confirm: message)
		ifTrue: [self remove. ^ true].
	^ false! !

!TamListItemReference methodsFor: 'menus' stamp: 'tam 5/31/2003 00:26'!
menuExplore	^ self explore! !

!TamListItemReference methodsFor: 'menus' stamp: 'tam 5/31/2003 00:26'!
menuInspect	^ self inspect! !

!TamListItemReference methodsFor: 'menus' stamp: 'apl 4/30/2004 17:20'!
menuLink
	^ self link! !

!TamListItemReference methodsFor: 'menus' stamp: 'AlainPlantec 4/26/2012 10:51'!
menuRelabel
	| oldname newname |
	oldname := self listLabel.
	(newname := UIManager default
				request: 'new name ?' translated
				initialAnswer: (oldname
						ifNil: [''])) trimBoth
		ifEmpty: [^ false]
		ifNotEmpty: [:v | newname ~= oldname
				ifTrue: [^ self relabelWith: newname]]! !

!TamListItemReference methodsFor: 'menus' stamp: 'tam 2/18/2004 00:50'!
modelSpecificMenu: aMenu shifted: b 
	^ nil! !

!TamListItemReference methodsFor: 'updating' stamp: 'apl 3/3/2006 08:34'!
moveDown
	^ self owner moveDownReference: self! !

!TamListItemReference methodsFor: 'updating' stamp: 'tam 5/23/2003 23:46'!
moveDownReference: aFirstLevelReference 	^ false! !

!TamListItemReference methodsFor: 'updating' stamp: 'apl 3/3/2006 08:34'!
moveUp
	^ self owner moveUpReference: self! !

!TamListItemReference methodsFor: 'updating' stamp: 'tam 5/23/2003 23:54'!
moveUpReference: aFirstLevelReference 	^ false! !

!TamListItemReference methodsFor: 'morphic wrapper' stamp: 'tam 10/6/2003 14:25'!
newEditor
	^ nil! !

!TamListItemReference methodsFor: 'system changes handling' stamp: 'apl 2/9/2006 14:12'!
noteRemovalOf: class 
	"The class is about to be removed from the system.
	Adjust the receiver to reflect that fact."
	| result |
	result := false.
	self isSystemChangesSensible
		ifTrue: [(self localNoteRemovalOf: class)
				ifTrue: [result := true].
			self children reverseDo:
				 [:chld | (chld noteRemovalOf: class)
						ifTrue: [result := true]]].
	^ result! !

!TamListItemReference methodsFor: 'accessing' stamp: 'tam 3/27/2004 23:03'!
numberOfChildren
	^ self children size! !

!TamListItemReference methodsFor: 'accessing' stamp: 'tam 4/3/2003 18:41'!
owner	^ owner! !

!TamListItemReference methodsFor: 'accessing' stamp: 'apl 7/5/2004 19:05'!
owner: anotherReference 
	owner
		ifNotNil: [owner privateSilentlyRemove: self].
	owner := anotherReference.
! !

!TamListItemReference methodsFor: 'accessing' stamp: 'apl 4/22/2005 14:08'!
parentTaxon
	"Return nearest parent taxon"
	self isTaxon ifTrue: [^ self] ifFalse: [
	self parentsChain reverseDo: [:p | p isTaxon ifTrue: [^p]]].
	^nil! !

!TamListItemReference methodsFor: 'accessing' stamp: 'AlainPlantec 10/7/2010 21:44'!
parentsChain
	"Return a collection of all my parents, up until root.
	The first element is 
	my parent, while the root is the last."
	| parents |
	parents := OrderedCollection new.
	self owner
		ifNotNil: [self owner addToParentsChain: parents from: self].
	^ parents! !

!TamListItemReference methodsFor: 'accessing' stamp: 'tam 5/21/2003 11:59'!
perform: selector orSendTo: otherTarget 	"Selector was just chosen from a menu by a user. If can respond, then  	perform it on myself. If not, send it to otherTarget, presumably the  	editPane from which the menu was invoked."	(self respondsTo: selector)		ifTrue: [^ self perform: selector]		ifFalse: [^ otherTarget perform: selector]! !

!TamListItemReference methodsFor: 'printing' stamp: 'tam 9/17/2003 11:53'!
printOn: aStream 
	aStream nextPutAll: '['.
	self longName ifNotNil: [aStream nextPutAll: self longName].
	aStream nextPutAll: ']'! !

!TamListItemReference methodsFor: 'private' stamp: 'apl 7/5/2004 18:57'!
privateSilentlyRemove: aReference! !

!TamListItemReference methodsFor: 'accessing' stamp: 'tam 5/31/2003 00:26'!
receiver	^ self ! !

!TamListItemReference methodsFor: 'updating' stamp: 'AlainPlantec 5/8/2012 18:33'!
refresh
	self refreshedData
		ifTrue: [
			TamManager changed: self. 
			^ true].
	^ false! !

!TamListItemReference methodsFor: 'updating' stamp: 'apl 5/24/2005 08:24'!
refreshedData
	self children.
	^ true! !

!TamListItemReference methodsFor: 'updating' stamp: 'apl 2/23/2007 13:10'!
reinitializeEditor
	self
		browserUpdateBlock: [:brw | (brw editorModel isNil
					or: [brw editorModel okToChange])
				ifTrue: [brw destroyEditorFor: self.
					self == brw unwrappedSelection
						ifTrue: [brw noteNewSelection: self.
							"self securedUpdateFromEditor: brw."
							TamManager changed: self]]]! !

!TamListItemReference methodsFor: 'updating' stamp: 'tam 6/11/2003 10:03'!
relabelWith: newName 	self listLabel: newName.	TamManager changed: self! !

!TamListItemReference methodsFor: 'updating' stamp: 'apl 3/21/2006 18:54'!
remove
	self removeSilently.
	TamManager changed: self! !

!TamListItemReference methodsFor: 'updating' stamp: 'apl 4/13/2005 16:21'!
removeChild: aReference 
	self removeChildSilently: aReference.
	TamManager changed: self! !

!TamListItemReference methodsFor: 'updating' stamp: 'tam 7/22/2003 14:07'!
removeChildSilently: aReference 
! !

!TamListItemReference methodsFor: 'updating' stamp: 'apl 3/30/2006 10:32'!
removeSilently
	Cursor wait
		showWhile: [owner
				ifNotNil: [owner removeChildSilently: self].
			self destroy]! !

!TamListItemReference methodsFor: 'system changes handling' stamp: 'apl 2/9/2006 14:13'!
renameClass: class as: newName 
	"Include indication that a new class was created."
	| result |
	result := false.
	self isSystemChangesSensible
		ifTrue: [(self localRenameClass: class as: newName)
				ifTrue: [result := true].
			self children
				reverseDo: [:chld | (chld renameClass: class as: newName)
						ifTrue: [result := true]]].
	^ result! !

!TamListItemReference methodsFor: 'searching' stamp: 'apl 5/25/2007 11:06'!
selectDeeplySuchThat: aBlock 
	^ self selectDeeplySuchThat: aBlock visited: Set new 
! !

!TamListItemReference methodsFor: 'searching' stamp: 'apl 5/25/2007 11:11'!
selectDeeplySuchThat: aBlock visited: aSetOfRefs 
	| res chil |
	res := OrderedCollection new.
	(aSetOfRefs includes: self)
		ifFalse: [aSetOfRefs add: self.
			(aBlock value: self)
				ifTrue: [res add: self].
			(chil := self children)
				ifNotNil: [chil
						do: [:sr | res := res
										, (sr selectDeeplySuchThat: aBlock visited: aSetOfRefs )]]].
	^ res! !

!TamListItemReference methodsFor: 'searching' stamp: 'apl 10/6/2004 09:53'!
selectSuchThat: aBlock 
	| res |
	res := OrderedCollection new.
	self children ifNotNil: [ 
		self children do: [:chld | 
			(aBlock value: chld) ifTrue: [res add: chld]]].
	^ res! !

!TamListItemReference methodsFor: 'accessing' stamp: 'apl 3/18/2005 13:14'!
selected
	^false! !

!TamListItemReference methodsFor: 'tam taxonomy browser' stamp: 'apl 9/27/2007 05:37'!
selectingFrom: aTaxonomyBrowser 
	| tempEditor editor |
	(editor := aTaxonomyBrowser editorFor: self)
		ifNil: [(tempEditor := self newEditor)
				ifNotNil: [(tempEditor isMorph
							and: [tempEditor isMorphicModel])
						ifTrue: [editor := self createModelHolderContaining: tempEditor inside: aTaxonomyBrowser editorRow.
							self canHaveCachedEditor
								ifTrue: [aTaxonomyBrowser editor: editor for: self].
							aTaxonomyBrowser editorRow
								addMorph: editor
								fullFrame: (LayoutFrame
										fractions: (0 @ 0 corner: 1 @ 1)).
							self updateEditor: aTaxonomyBrowser]
						ifFalse: [editor := self createMorphHolderContaining: tempEditor.
							editor bounds: aTaxonomyBrowser editorRow bounds.
							self canHaveCachedEditor
								ifTrue: [aTaxonomyBrowser editor: editor for: self].
							aTaxonomyBrowser editorRow addMorphCentered: editor.
							self updateEditor: aTaxonomyBrowser]]]
		ifNotNil: [aTaxonomyBrowser editorRow
				addMorph: editor
				fullFrame: (LayoutFrame
						fractions: (0 @ 0 corner: 1 @ 1))].
	(editor notNil
			and: [editor model notNil])
		ifTrue: [
			editor model modelWakeUpIn: editor.
			editor startStepping.
			editor model addDependent: self].
	aTaxonomyBrowser removeSpecificButtons.
	aTaxonomyBrowser addSpecificButtonsFor: self.
	aTaxonomyBrowser historyAddItem: self.
	TamManager addToRecents: self.
	self internalChecking.
	^ editor! !

!TamListItemReference methodsFor: 'accessing' stamp: 'apl 4/29/2004 00:49'!
shortName
	^ listLabel
		ifNil: [self class externalLabel]! !

!TamListItemReference methodsFor: 'sublists handling' stamp: 'apl 5/26/2005 14:55'!
showSubLists
	^ showSubLists! !

!TamListItemReference methodsFor: 'sublists handling' stamp: 'apl 5/26/2005 19:21'!
showSubLists: aSymbol 
	"aSymbol is (#always | #never | #ifNotEmpty) "
	showSubLists := aSymbol! !

!TamListItemReference methodsFor: 'menus' stamp: 'apl 4/18/2005 19:59'!
specificButtonsColumn: aTaxonomyBrowser inAlignment: aButtonsAlignment
	^nil! !

!TamListItemReference methodsFor: 'menus' stamp: 'tam 3/29/2004 13:28'!
specificMenu: aMenu shifted: aBoolean 
	| editorModel modelMenu |
	(editorModel := aMenu defaultTarget editorModel)
		ifNotNil: [modelMenu := MenuMorph new.
			modelMenu defaultTarget: editorModel.
			(self modelSpecificMenu: modelMenu shifted: aBoolean) ifNotNil: [
			aMenu addLine.
			aMenu
				add: 'item menu ...'
				subMenu: modelMenu
				target: editorModel
				selector: nil
				argumentList: #()]]! !

!TamListItemReference methodsFor: 'sublists handling' stamp: 'apl 5/26/2005 19:28'!
subLists
	| subs |
	subs := OrderedCollection new.
	self subListsDefsArray do: 
			[:s | 
			((self showSubLists = #always) or: [self showSubLists = #ifNotEmpty and: [(self perform: s first) notEmpty]]) ifTrue: [
			subs add: (self subListsReferenceClass 
				owner: self
				listSelector: s first
				label: s second)]].
	^ subs! !

!TamListItemReference methodsFor: 'sublists handling' stamp: 'apl 5/26/2005 15:08'!
subListsDefsArray
	"return an array of array. Each element array is for one sublist and 
	contains first a selector for sublist accessing and second a label for the sublist. 
	Example in platypus in PlatypusSchemaReference :
	#(#(#typesReferences #types )
		#(#entitiesReferences #entities )
		#(#functionsReferences #functions )
		#(#proceduresReferences #procedures )
		#(#rulesReferences #rules ))"
	^ #()

	! !

!TamListItemReference methodsFor: 'sublists handling' stamp: 'apl 5/26/2005 15:09'!
subListsReferenceClass
	^Smalltalk at: self subListsReferenceClassName asSymbol! !

!TamListItemReference methodsFor: 'sublists handling' stamp: 'apl 5/26/2005 16:56'!
subListsReferenceClassName
	^#TamSubListReference! !

!TamListItemReference methodsFor: 'sublists handling' stamp: 'apl 5/26/2005 19:15'!
subListsSwitchMenu
	| menu |
	menu := MenuMorph new.
	menu 
		add: 'always shown'
		target: self
		selector: #showSubLists:
		argument: #always.
	menu 
		add: 'shown if not empty'
		target: self
		selector: #showSubLists:
		argument: #ifNotEmpty.
	menu 
		add: 'never shown'
		target: self
		selector: #showSubLists:
		argument: #never.
	^menu
! !

!TamListItemReference methodsFor: 'sublists handling' stamp: 'apl 5/26/2005 14:20'!
subReferencesOfClass: subReferenceClass 
	^(self contents asArray 
		select: [:sr | sr isReleased not and: [sr class = subReferenceClass]]) 
			sort: [:a :b | a shortName < b shortName]! !

!TamListItemReference methodsFor: 'sublists handling' stamp: 'apl 5/26/2005 14:20'!
subReferencesOfKind: subReferenceClass 
	^(self contents asArray 
		select: [:sr | sr isReleased not and: [sr isKindOf: subReferenceClass]]) 
			sort: [:a :b | a shortName < b shortName]! !

!TamListItemReference methodsFor: 'accessing' stamp: 'tam 6/17/2003 14:16'!
taxonomyRoot	self owner isNil ifTrue: [^self].	^ self owner taxonomyRoot	! !

!TamListItemReference methodsFor: 'accessing' stamp: 'tam 4/2/2003 01:24'!
tempNames	^ #()! !

!TamListItemReference methodsFor: 'tam taxonomy browser' stamp: 'apl 9/27/2007 07:17'!
unSelectingFrom: aTaxonomyBrowser 
	| editor |
	editor := aTaxonomyBrowser editor.
	aTaxonomyBrowser hasUnacceptedEdits
		ifTrue: [aTaxonomyBrowser editor: editor for: self].
	(aTaxonomyBrowser haveEditorFor: self)
		ifFalse: [
			editor
				ifNotNil: [editor stopStepping.
					editor model
						ifNotNil: [editor model windowIsClosing; destroy].
					editor isMorph
						ifTrue: [editor removeAllMorphs.
							editor delete]]].
	editor
		ifNotNil: [editor model
				ifNotNil: [editor model removeDependent: self]].
	aTaxonomyBrowser editorRow removeAllMorphs; updatePanesFromSubmorphs.
	aTaxonomyBrowser removeSpecificButtons! !

!TamListItemReference methodsFor: 'updating' stamp: 'apl 3/29/2006 13:01'!
update: aSymbol 
	super update: aSymbol.
	 self internalChecking! !

!TamListItemReference methodsFor: 'updating' stamp: 'apl 4/20/2004 10:27'!
updateEditor: aTaxonomyBrowser 
	^ true! !

!TamListItemReference methodsFor: 'accessing' stamp: 'tam 4/10/2003 11:16'!
wrapperClass	^TamListItemWrapper! !

TamListItemReference subclass: #TamSqueakObjectReference
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Tamaris-Taxonomies'!

TamSqueakObjectReference subclass: #TamBrowserReference
	instanceVariableNames: 'sysCatSymbol itemClass messageCategoryName selectedMessageName metaClassIndicated classCommentIndicated'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Tamaris-Taxonomies'!

!TamBrowserReference class methodsFor: 'menu' stamp: 'alain.plantec 2/3/2009 12:19'!
classNotFound
	self inform: 'no class found' translated.
	^ nil! !

!TamBrowserReference class methodsFor: 'accessing' stamp: 'alain.plantec 2/3/2009 12:19'!
findClass
	"Search for a class by name."
	| pattern foundClass classNames index toMatch exactMatch potentialClassNames |
	pattern := UIManager default request: 'Class name or fragment?' translated.
	pattern isEmpty
		ifTrue: [^ nil].
	toMatch := (pattern copyWithout: $.) asLowercase.
	potentialClassNames := Smalltalk classNames asOrderedCollection.
	classNames := pattern last = $.
				ifTrue: [potentialClassNames
						select: [:nm | nm asLowercase = toMatch]]
				ifFalse: [potentialClassNames
						select: [:n | n includesSubstring: toMatch caseSensitive: false]].
	classNames isEmpty
		ifTrue: [^ self classNotFound].
	exactMatch := classNames
				detect: [:each | each asLowercase = toMatch]
				ifNone: [].
	index := classNames size = 1
				ifTrue: [1]
				ifFalse: [exactMatch
						ifNil: [(UIManager default chooseFrom: classNames)]
						ifNotNil: [classNames addFirst: exactMatch.
							(UIManager default chooseFrom: classNames ) ]].
	index = 0
		ifFalse: [foundClass := Smalltalk at: (classNames at: index) asSymbol.
			^ foundClass].
	^ nil! !

!TamBrowserReference class methodsFor: 'accessing' stamp: 'tam 2/12/2004 12:07'!
selectClass: aClass selector: selector fromClassReference: selectedRef fromBrowser: aTaxonomyBrowser 
	selectedRef
		class: aClass
		selector: selector
		fromBrowser: aTaxonomyBrowser
! !

!TamBrowserReference class methodsFor: 'menu' stamp: 'tam 3/17/2004 17:21'!
subMenuLabel
	^ 'a browser   '! !

!TamBrowserReference methodsFor: 'searching' stamp: 'AlainPlantec 10/7/2010 21:35'!
allSelectors: metaSelector 
	| founds tmpClass |
	metaSelector
		ifTrue: [founds := Set new.
			tmpClass := self itemClass.
			[tmpClass notNil]
				whileTrue: [founds addAll: tmpClass class selectors.
					tmpClass := tmpClass superclass]]
		ifFalse: [founds := self itemClass allSelectors].
	^ founds! !

!TamBrowserReference methodsFor: 'searching' stamp: 'AlainPlantec 10/7/2010 21:35'!
allSelectorsByClass: metaSelectorOrNil 
	| founds |
	founds := OrderedCollection new.
	self itemClass
		ifNotNil: [self itemClass
				withAllSubAndSuperclassesDo: [:tmpClass | (self canShowSelectorsFromClass: tmpClass)
						ifTrue: [(metaSelectorOrNil isNil
									or: [metaSelectorOrNil not])
								ifTrue: [founds
										addAll: (tmpClass selectors
												collect: [:s | Array with: tmpClass with: s])].
							(metaSelectorOrNil isNil
									or: [metaSelectorOrNil])
								ifTrue: [founds
										addAll: (tmpClass class selectors
												collect: [:s | Array with: tmpClass class with: s])]]]].
	^ founds! !

!TamBrowserReference methodsFor: 'testing' stamp: 'tam 10/10/2003 15:10'!
canChangeLabel
	^ false! !

!TamBrowserReference methodsFor: 'testing' stamp: 'tam 10/17/2003 17:03'!
canShowSelectorsFromClass: aClass
	^ true! !

!TamBrowserReference methodsFor: 'searching' stamp: 'AlainPlantec 10/7/2010 21:35'!
class: aClass haveSelector: aSelector meta: meta 
	| askedClass |
	askedClass := meta
		ifTrue: [aClass class]
		ifFalse: [aClass].
	askedClass selectors
		do: [:s | s asString = aSelector
				ifTrue: [^ true]].
	^ false! !

!TamBrowserReference methodsFor: 'updating' stamp: 'AlainPlantec 10/7/2010 21:35'!
class: aClass selector: selector fromBrowser: aTaxonomyBrowser 
	| syscat msgcat |
	syscat := SystemOrganization categoryOfElement: aClass theNonMetaClass name asSymbol.
	msgcat := aClass organization categoryOfElement: selector.
	^ self
		sysCat: syscat
		class: aClass
		msgCat: msgcat
		selector: selector
		fromBrowser: aTaxonomyBrowser! !

!TamBrowserReference methodsFor: 'accessing' stamp: 'AlainPlantec 10/7/2010 21:35'!
classCommentIndicated: aBoolean 
	classCommentIndicated := aBoolean! !

!TamBrowserReference methodsFor: 'copying' stamp: 'apl 3/3/2006 17:09'!
copy
	| theCopy |
	theCopy := super copy.
	theCopy owner: self owner.
	theCopy reInitialize.
	theCopy refreshedData.
	^ theCopy! !

!TamBrowserReference methodsFor: 'updating' stamp: 'tam 10/10/2003 15:10'!
createAndInsertImplementorsOf: aSelector 
	self parentTaxon
		insertReference: (TamMethodCrossedRefReference implementorsOf: aSelector localTo: self itemClass)! !

!TamBrowserReference methodsFor: 'updating' stamp: 'tam 10/10/2003 15:10'!
createAndInsertSendersOf: aSelector 
	self parentTaxon
		insertReference: (TamMethodCrossedRefReference sendersOf: aSelector localTo: self itemClass)! !

!TamBrowserReference methodsFor: 'accessing' stamp: 'apl 9/26/2007 13:49'!
editorClass
	^ SystemBrowser default! !

!TamBrowserReference methodsFor: 'accessing' stamp: 'apl 5/24/2005 15:29'!
emptyClassesCollection
	^SortedCollection sortBlock: [:a :b | a itemClass name < b itemClass name]! !

!TamBrowserReference methodsFor: 'updating' stamp: 'apl 6/17/2005 18:30'!
forceOkToChange
	^ true! !

!TamBrowserReference methodsFor: 'system changes handling' stamp: 'apl 5/24/2005 16:25'!
isSystemChangesSensible
	^true! !

!TamBrowserReference methodsFor: 'accessing' stamp: 'tam 10/10/2003 15:10'!
itemClass	^ itemClass! !

!TamBrowserReference methodsFor: 'accessing' stamp: 'apl 5/23/2005 16:09'!
itemClass: aClass 
	itemClass := aClass.
! !

!TamBrowserReference methodsFor: 'system changes handling' stamp: 'AlainPlantec 12/6/2010 23:12'!
localAddClass: class 
	"Include indication that a new class was created."

	(self isReleased not and: [class isTrait not and: [itemClass = class superclass]]) 
		ifTrue: 
			[
			^self refreshedData].
	^false! !

!TamBrowserReference methodsFor: 'accessing' stamp: 'tam 10/16/2003 16:41'!
localClassForSendersImplementorsQuery: aTaxonomyBrowser 
	^ self itemClass! !

!TamBrowserReference methodsFor: 'system changes handling' stamp: 'apl 6/27/2005 21:07'!
localNoteRemovalOf: class 
	itemClass = class
		ifTrue: [itemClass := nil.
			^ true].
	^ false! !

!TamBrowserReference methodsFor: 'system changes handling' stamp: 'apl 5/24/2005 18:05'!
localRenameClass: class as: newName
	"Include indication that a new class was created."

	^ (self isReleased not and: [itemClass = class]) 
! !

!TamBrowserReference methodsFor: 'searching' stamp: 'AlainPlantec 10/7/2010 21:35'!
lookUpClassHavingSelector: aSelector fromClass: aClass meta: meta 
	| askedClass |
	askedClass := meta
				ifTrue: [aClass class]
				ifFalse: [aClass].
	askedClass selectors
		do: [:s | s asString = aSelector
				ifTrue: [^ aClass]].
	^ aClass superclass
		ifNotNil: [self
				lookUpClassHavingSelector: aSelector
				fromClass: aClass superclass
				meta: meta]! !

!TamBrowserReference methodsFor: 'searching' stamp: 'tam 10/10/2003 15:10'!
lookUpClassHavingSelector: aSelector meta: meta 
self halt.
	^ self
		lookUpClassHavingSelector: aSelector
		fromClass: self itemClass
		meta: meta! !

!TamBrowserReference methodsFor: 'searching' stamp: 'tam 10/10/2003 15:10'!
lookUpClassHavingSelectorContaining: aSubstring 
	^ self lookUpClassHavingSelectorContaining: aSubstring fromClass: self itemClass! !

!TamBrowserReference methodsFor: 'searching' stamp: 'tam 10/10/2003 15:10'!
lookUpClassHavingSelectorContaining: aSubstring fromClass: aClass 
	aClass selectors
		do: [:s | (s asString includesSubstring: aSubstring caseSensitive: false)
				ifTrue: [^ aClass]].
	^ aClass superclass
		ifNotNil: [self lookUpClassHavingSelectorContaining: aSubstring fromClass: aClass superclass]! !

!TamBrowserReference methodsFor: 'menus' stamp: 'apl 9/27/2007 11:26'!
menuBrowse
	| |
	self newEditor openInWorld.! !

!TamBrowserReference methodsFor: 'menus' stamp: 'AlainPlantec 10/7/2010 21:39'!
menuLocalSenders: aTaxonomyBrowser 
	| editor browser |
	(editor := aTaxonomyBrowser editor)
		ifNotNil: [browser := editor model.
			browser
				getSelectorAndSendQuery: #createAndInsertSendersOf:
				to: self
				with: #()]! !

!TamBrowserReference methodsFor: 'menus' stamp: 'alain.plantec 2/3/2009 12:03'!
menuSearchSelector: aTaxonomyBrowser 
	| pattern toMatch |
	(pattern := UIManager default request: 'selector name or fragment or ''*''' translated)
		ifEmpty: [^ nil].
	toMatch := pattern asLowercase.
	self
		searchSelector: aTaxonomyBrowser
		pattern: toMatch
		intoFoundSelectors: (self allSelectorsByClass: nil)! !

!TamBrowserReference methodsFor: 'menus' stamp: 'alain.plantec 2/3/2009 12:04'!
menuSearchSelector: aTaxonomyBrowser meta: metaSelector 
	| pattern toMatch founds |
	(pattern := UIManager default request: 'selector name or fragment or ''*''' translated)
		ifEmpty: [^ nil].
	toMatch := pattern asLowercase.
	founds := self allSelectorsByClass: metaSelector.
	self searchSelector: aTaxonomyBrowser pattern: toMatch intoFoundSelectors: founds 
! !

!TamBrowserReference methodsFor: 'menus' stamp: 'AlainPlantec 10/7/2010 21:36'!
menuSenders: aTaxonomyBrowser 
	| editor browser |
	(editor := aTaxonomyBrowser editor)
		ifNotNil: [browser := editor model.
			browser
				getSelectorAndSendQuery: #createAndInsertSendersOf:
				to: aTaxonomyBrowser 
				with: #()]! !

!TamBrowserReference methodsFor: 'accessing' stamp: 'tam 10/21/2003 22:17'!
messageCategoryName
	^ messageCategoryName! !

!TamBrowserReference methodsFor: 'accessing' stamp: 'tam 3/6/2004 11:46'!
messageCategoryName: aSymbol 
	messageCategoryName := aSymbol.
! !

!TamBrowserReference methodsFor: 'accessing' stamp: 'tam 10/10/2003 15:10'!
metaClassIndicated
	^ metaClassIndicated ! !

!TamBrowserReference methodsFor: 'accessing' stamp: 'tam 10/10/2003 15:10'!
metaClassIndicated: aBoolean	metaClassIndicated := aBoolean! !

!TamBrowserReference methodsFor: 'updating' stamp: 'apl 3/3/2006 17:10'!
reInitialize
	! !

!TamBrowserReference methodsFor: 'updating' stamp: 'apl 6/17/2005 18:36'!
reinitializeEditor
	self refreshedData.
	super reinitializeEditor! !

!TamBrowserReference methodsFor: 'searching' stamp: 'alain.plantec 2/3/2009 12:18'!
searchSelector: aTaxonomyBrowser pattern: pattern intoFoundSelectors: foundSelectors 
	| founds aghl |
	founds := foundSelectors asOrderedCollection.
	pattern ~= '*'
		ifTrue: [founds := founds
						select: [:a | a second includesSubstring: pattern caseSensitive: false]].
	founds isEmpty
		ifTrue: [^ self inform: 'no item found'].
	founds := founds asOrderedCollection.
	aghl := TamBrowser
				genericTree: 'Tamaris: selectors from' translated, ' ''' , self itemClass name , ''''
				flatCollection: (founds
						collect: [:a | OrderedCollection with: a first with: a second])
				selectingBlock: [:e | e owner
						ifNotNil: [self class
								selectClass: e owner linked
								selector: e linked asSymbol
								fromClassReference: self
								fromBrowser: aTaxonomyBrowser]]
				client: aTaxonomyBrowser.
	aghl
		setFirstLevelSortBlock: [:a :b | 
			| ca cb | 
			ca := a linked theNonMetaClass.
			cb := b linked theNonMetaClass.
			(ca inheritsFrom: cb)
				or: [a asString < b asString]].
	aghl
		doDeeply: [:e | e owner isNil
				ifTrue: [e
						icon: (TamIcons mimeIcon: '10x10/mimetypes/class')]].
	aghl
		doDeeply: [:e | (e owner notNil
					and: [e owner linked isMeta])
				ifTrue: [e
						icon: (TamIcons mimeIcon: '10x10/mimetypes/class_method')]].
	aghl
		doDeeply: [:e | (e owner notNil
					and: [e owner linked isMeta not])
				ifTrue: [e
						icon: (TamIcons mimeIcon: '10x10/mimetypes/instance_method')]]! !

!TamBrowserReference methodsFor: 'updating' stamp: 'tam 10/21/2003 10:18'!
selectClass: aClass selector: selector fromBrowser: aTaxonomyBrowser 
	^ self class: aClass selector: selector fromBrowser: aTaxonomyBrowser ! !

!TamBrowserReference methodsFor: 'accessing' stamp: 'tam 10/21/2003 22:23'!
selectedMessageName
	^ selectedMessageName ! !

!TamBrowserReference methodsFor: 'accessing' stamp: 'apl 5/23/2005 16:09'!
selectedMessageName: aSymbol 
	selectedMessageName := aSymbol.
! !

!TamBrowserReference methodsFor: 'updating' stamp: 'apl 2/23/2007 13:09'!
sysCat: aSysCatSymbol class: aClass metaClassIndicated: isMetaClass msgCat: aMsgCatSymbol selector: selector fromBrowser: aTaxonomyBrowser 
	self sysCatSymbol: aSysCatSymbol.
	self
		itemClass: (aClass
				ifNotNil: [aClass theNonMetaClass]).
	self metaClassIndicated: isMetaClass.
	self classCommentIndicated: false.
	self messageCategoryName: aMsgCatSymbol.
	self selectedMessageName: selector.
	"self securedUpdateEditor: aTaxonomyBrowser"! !

!TamBrowserReference methodsFor: 'updating' stamp: 'tam 10/24/2003 19:02'!
sysCat: aSysCatSymbol class: aClass msgCat: aMsgCatSymbol selector: selector fromBrowser: aTaxonomyBrowser 
	^ self sysCat: aSysCatSymbol class: aClass metaClassIndicated: (aClass notNil
				and: [aClass isMeta]) msgCat: aMsgCatSymbol selector: selector fromBrowser: aTaxonomyBrowser 
! !

!TamBrowserReference methodsFor: 'accessing' stamp: 'tam 10/17/2003 09:22'!
sysCatSymbol
	^ sysCatSymbol! !

!TamBrowserReference methodsFor: 'accessing' stamp: 'apl 5/23/2005 16:09'!
sysCatSymbol: aSymbol 
	sysCatSymbol := aSymbol.
! !

!TamBrowserReference methodsFor: 'updating' stamp: 'apl 2/23/2007 13:09'!
update: aSymbol 
	"Transcript show: 'Browser: ' , aSymbol , ' '."
	"#systemCategorySelectionChanged #classSelectionChanged 
	#messageCategoryList #messageList"
	"(#(#contents ) includes: aSymbol)
		ifTrue: [self
				browserCurrentSelectionUpdateBlock: [:brw | self securedUpdateFromEditor: brw]]."
	super update: aSymbol! !

!TamBrowserReference methodsFor: 'updating' stamp: 'apl 9/26/2007 15:08'!
updateEditor: aTaxonomyBrowser 
	| editor bufMsgCat bufSelMsgName bufItemClass |
	super updateEditor: aTaxonomyBrowser.
	false ifTrue: [(editor := aTaxonomyBrowser editor)
		ifNotNil: [bufMsgCat := messageCategoryName.
			bufSelMsgName := selectedMessageName.
			(bufItemClass := itemClass)
				ifNotNil: ["editor model selectCategoryForClass:
					bufItemClass. "
					(editor model notNil
							and: [editor model selectedClass ~= bufItemClass])
						ifTrue: [editor model selectClass: bufItemClass]].
			metaClassIndicated
				ifNotNil: [classCommentIndicated
						ifTrue: [editor model editComment]
						ifFalse: [editor model metaClassIndicated: metaClassIndicated]].
			bufMsgCat
				ifNotNil: [editor model selectMessageCategoryNamed: bufMsgCat asSymbol].
			bufSelMsgName
				ifNotNil: [bufMsgCat
						ifNil: [editor model messageCategoryListIndex: 1].
					editor model selectedMessageName: bufSelMsgName]]].
	^ true! !

TamBrowserReference subclass: #TamClassReference
	instanceVariableNames: 'showSubClasses showSuperClass showSelectors subClasses superClassReference isSuperClassReference categoriesList'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Tamaris-Taxonomies'!

!TamClassReference class methodsFor: 'instance creation' stamp: 'apl 1/31/2007 15:05'!
addAllClasses: classes owner: aReference 
	classes
		do: [:c | aReference 
								insertReference: (self classReferenceOf: c owner: nil)]! !

!TamClassReference class methodsFor: 'menu' stamp: 'tam 7/1/2003 16:23'!
canBeCreatedInteractively	^ true! !

!TamClassReference class methodsFor: 'instance creation' stamp: 'apl 5/23/2005 17:20'!
classReferenceOf: itemClass owner: owner 
	| ref |
	ref := self new.
	ref itemClass: itemClass.
	ref owner: owner.
	ref showSuperClass: false.
	ref showSelectors: false.
	ref isSuperClassReference: false.
	ref showSubClasses: true.
	^ref! !

!TamClassReference class methodsFor: 'accessing' stamp: 'tam 4/4/2003 16:04'!
externalLabel	^ 'a class'! !

!TamClassReference class methodsFor: 'menu' stamp: 'alain.plantec 2/3/2009 12:05'!
menuAddReferenceIntoOwner: aReference 
	"Search for a class by name."
	| pattern classNames toMatch potentialClassNames aghl |
	pattern := UIManager default request: 'Class name or fragment?' translated.
	pattern isEmpty
		ifTrue: [^ nil].
	toMatch := (pattern copyWithout: $.) asLowercase.
	potentialClassNames := Smalltalk classNames asOrderedCollection.
	classNames := pattern last = $.
				ifTrue: [potentialClassNames
						select: [:nm | nm asLowercase = toMatch]]
				ifFalse: [potentialClassNames
						select: [:n | n includesSubstring: toMatch caseSensitive: false]].
	classNames isEmpty
		ifTrue: [^ self classNotFound].
	aghl := TamGenericHierarchicalList
				fromRootListItems: (classNames
						collect: [:n | TamGenericHierarchicalListItem
								linked: (Smalltalk at: n)
								icon: (TamIcons mimeIcon: '10x10/mimetypes/class')])
				title: 'Tamaris: found classes'
				client: self.
	aghl
		doDeeply: [:el | 
			el
				unSelectingBlock: [:e | e].
			el
				selectingBlock: [:e | aReference isReleased
						ifTrue: [aghl close]
						ifFalse: [aReference
								insertReference: (self classReferenceOf: e linked owner: nil)]]].
	aghl open.
	classNames size > 1
		ifTrue: [aghl addExtensibleButtonSpacer.
			aghl
				addButtonLabelled: 'Insert all'
				block: [:aghl2 | Cursor wait
						showWhile: [self
								addAllClasses: (classNames
										collect: [:n | Smalltalk at: n asSymbol])
								owner: aReference.
							aghl2 close]]
				balloonText: 'Insert all these classes']! !

!TamClassReference class methodsFor: 'searching' stamp: 'AlainPlantec 10/7/2010 21:38'!
selectClass: aClass selector: selector fromClassReference: selectedRef fromBrowser: aTaxonomyBrowser 
	| searchedClass foundRef |
	(selectedRef isKindOf: TamClassReference)
		ifTrue: [aTaxonomyBrowser noteNewSelectionDeeply: selectedRef.
			selectedRef forceShowSubAndSuperclasses.
			searchedClass := aClass theNonMetaClass.
			foundRef := selectedRef
				findDeeplySuchThat: [:r | (r isKindOf: TamClassReference)
						and: [r itemClass = searchedClass]].
			foundRef isNil
				ifTrue: [^ aTaxonomyBrowser inform: 'class not found'].
			aTaxonomyBrowser noteNewSelectionDeeply: foundRef.
			^ foundRef
				class: aClass
				selector: selector
				fromBrowser: aTaxonomyBrowser]! !

!TamClassReference class methodsFor: 'instance creation' stamp: 'apl 5/24/2005 08:29'!
superClassReferenceOfReference: owner 
	| sup |
	sup := self new.
	sup itemClass: owner itemClass superclass.
	sup owner: owner.
	sup showSuperClass: true.
	sup showSelectors: false.
	sup isSuperClassReference: true.
	sup showSubClasses: false.
	sup refreshedData.
	^sup! !

!TamClassReference methodsFor: 'accessing' stamp: 'tam 7/15/2003 11:43'!
categoriesList
	^ categoriesList
! !

!TamClassReference methodsFor: 'accessing' stamp: 'apl 5/24/2005 09:49'!
children
	| result scr |
	result := OrderedCollection new.
	self showSuperClass 
		ifTrue: [(scr := self superClassReference) ifNotNil: [result add: scr]].
	self showSelectors 
		ifTrue: [self categoriesList ifNotNil: [result add: self categoriesList]].
	self showSubClasses 
		ifTrue: 
			[self subClasses ifNil: [self getSubClasses].
			self subClasses ifNotNil: [result addAll: self subClasses]].
	^result! !

!TamClassReference methodsFor: 'updating' stamp: 'apl 6/3/2005 17:02'!
computeCategoriesList
	self showSelectors 
		ifTrue: 
			[self categoriesList ifNil: 
					[categoriesList := TamMethodCategoriesListReference new.
					categoriesList owner: self.
					categoriesList itemClass: self itemClass.
					categoriesList refreshedData.
					^true].
			^categoriesList computeCategoryReferences]
		ifFalse: 
			[self categoriesList ifNotNil: 
					[self categoriesList destroy.
					categoriesList := nil.
					^true]].
	^false! !

!TamClassReference methodsFor: 'updating' stamp: 'apl 6/3/2005 17:02'!
computeSubclasses
	| tmpSubClasses result |
	self showSubClasses 
		ifTrue: 
			[result := false.
			tmpSubClasses := itemClass subclasses.
			subClasses ifNil: [subClasses := self emptyClassesCollection]
				ifNotNil: 
					[subClasses := subClasses select: 
									[:r | 
									(tmpSubClasses anySatisfy: [:ri | ri == r itemClass]) or: 
											[r destroy.
											result := true.
											false]]].
			tmpSubClasses do: 
					[:r | 
					(subClasses detect: [:ri | ri itemClass == r] ifNone: []) ifNil: 
							[subClasses add: (self class classReferenceOf: r owner: self).
							result := true]].
			subClasses reSort.
			^result]
		ifFalse: 
			[subClasses ifNotNil: 
					[subClasses do: [:r | r destroy].
					subClasses := nil.
					^true]].
	^false! !

!TamClassReference methodsFor: 'updating' stamp: 'apl 6/3/2005 17:02'!
computeSuperClassReference
	self showSuperClass 
		ifTrue: 
			[(itemClass notNil and: [itemClass superclass notNil]) 
				ifTrue: 
					[superClassReference ifNotNil: 
							[superClassReference itemClass = itemClass superclass ifTrue: [^false].
							superClassReference destroy].
					superClassReference := self class superClassReferenceOfReference: self.
					^true]]
		ifFalse: 
			[superClassReference ifNotNil: 
					[superClassReference destroy.
					superClassReference := nil.
					^true]].
	^false! !

!TamClassReference methodsFor: 'initialize/release' stamp: 'apl 6/3/2005 16:42'!
destroy
	categoriesList ifNotNil: 
			[categoriesList destroy.
			categoriesList := nil].
	superClassReference ifNotNil: 
			[superClassReference destroy.
			superClassReference := nil].
	subClasses ifNotNil: 
			[subClasses do: [:sc | sc destroy].
			subClasses := nil].
	super destroy! !

!TamClassReference methodsFor: 'menus' stamp: 'apl 5/24/2005 08:29'!
forceShowSubAndSuperclasses
	self itemClass superclass isNil 
		ifTrue: [self showSuperClass: false]
		ifFalse: [self showSuperClass: true].
	self showSubClasses: true.
	self refresh! !

!TamClassReference methodsFor: 'accessing' stamp: 'apl 5/24/2005 09:49'!
getSubClasses
	(self isReleased not and: [self showSubClasses]) ifTrue: [self computeSubclasses].
	^subClasses! !

!TamClassReference methodsFor: 'accessing' stamp: 'apl 6/3/2004 14:40'!
hasContents
	itemClass ifNotNil: [
	self showSuperClass
		ifTrue: [itemClass superclass ifNotNil: [^ true]].
	self showSelectors
		ifTrue: [^ true].
	self showSubClasses
		ifTrue: [self itemClass subclasses ifNotEmpty: [:erg | ^ true]]].
	^ false! !

!TamClassReference methodsFor: 'accessing' stamp: 'apl 4/22/2005 02:23'!
icon
	^self isSuperClassReference 
		ifTrue: 
			[self showSelectors 
				ifTrue: [TamIcons mimeIcon: '10x10/mimetypes/super_class_with_selectors']
				ifFalse: [TamIcons mimeIcon: '10x10/mimetypes/super_class']]
		ifFalse: 
			[self showSelectors 
				ifTrue: 
					[self superClassReference 
						ifNil: [TamIcons mimeIcon: '10x10/mimetypes/class_with_selectors']
						ifNotNil: 
							[TamIcons mimeIcon: '10x10/mimetypes/class_with_supertype_and_selectors']]
				ifFalse: 
					[self superClassReference 
						ifNil: [TamIcons mimeIcon: '10x10/mimetypes/class']
						ifNotNil: [TamIcons mimeIcon: '10x10/mimetypes/class_with_supertype']]]! !

!TamClassReference methodsFor: 'accessing' stamp: 'tam 10/7/2003 12:20'!
isSuperClassReference
	^ isSuperClassReference ifNil: [isSuperClassReference := false]! !

!TamClassReference methodsFor: 'accessing' stamp: 'tam 10/7/2003 12:25'!
isSuperClassReference: aBoolean
	isSuperClassReference := aBoolean
! !

!TamClassReference methodsFor: 'menus' stamp: 'tam 10/16/2003 12:10'!
keyStroke: aCharacter from: tamuggableListMorph 
	aCharacter = $a
		ifTrue: [^ self menuShowHideSuperclass].
	aCharacter = $m
		ifTrue: [^ self menuShowHideSelectors].
	^ super keyStroke: aCharacter from: tamuggableListMorph! !

!TamClassReference methodsFor: 'accessing' stamp: 'AlainPlantec 5/2/2012 17:48'!
listLabel
	^ self itemClass asString! !

!TamClassReference methodsFor: 'system changes handling' stamp: 'AlainPlantec 12/6/2010 23:01'!
localAddClass: class 
	"Include indication that a new class was created."
	self isReleased
		ifFalse: [(class isTrait not and: [itemClass = class superclass])
				ifTrue: [self showSubClasses
						ifTrue: [
							^ self refresh]]].
	^ false! !

!TamClassReference methodsFor: 'system changes handling' stamp: 'alain.plantec 12/21/2008 09:00'!
localChangeClass: class from: oldClass 
	| found |
	(self isReleased or: [(oldClass isKindOf: Class) not])
		ifFalse: [itemClass =  oldClass ifTrue: [^true].
			(class superclass ~= oldClass superclass
					and: [self showSubClasses])
				ifTrue: [(oldClass superclass = itemClass and: [subClasses notNil])
						ifTrue: [(found := subClasses
										detect: [:sc | sc itemClass name = oldClass name]
										ifNone: [])
								ifNotNil: [self removeChild: found.
									^ true]]].
					
					class superclass = itemClass
						ifTrue: [subClasses
								ifNotNil: [found := (subClasses
												detect: [:sc | sc itemClass = class]
												ifNone: [])
												ifNil: [subClasses
														add: (self class classReferenceOf: class owner: self)].
									subClasses reSort.
									^ true]]].
	^ false
! !

!TamClassReference methodsFor: 'system changes handling' stamp: 'apl 6/17/2005 20:13'!
localNoteRemovalOf: class 
	itemClass = class
		ifTrue: [self owner removeChild: self.
			^ true].
	^ false! !

!TamClassReference methodsFor: 'system changes handling' stamp: 'apl 4/24/2006 17:39'!
localRenameClass: class as: newName 
	"Include indication that a new class was created."
	itemClass = class
		ifTrue: [
			^ true].
	^ false! !

!TamClassReference methodsFor: 'menus' stamp: 'alain.plantec 2/3/2009 12:20'!
menuDelete
	(self owner isKindOf: TamTaxonReference)
		ifTrue: [^ super menuDelete].
	self inform: 'Can''t remove a computed reference' translated.
	^ false! !

!TamClassReference methodsFor: 'menus' stamp: 'apl 7/26/2005 14:04'!
menuShowHideSelectors
	self switchShowHideSelectors.
	self refresh! !

!TamClassReference methodsFor: 'menus' stamp: 'apl 6/16/2005 10:06'!
menuShowHideSubclasses
	self switchShowHideSubclasses.
	self refresh.	TamManager changed: self! !

!TamClassReference methodsFor: 'menus' stamp: 'apl 6/16/2005 10:05'!
menuShowHideSuperclass
	self switchShowHideSuperclass.
	self refresh.
	TamManager changed: self.! !

!TamClassReference methodsFor: 'accessing' stamp: 'apl 9/26/2007 14:58'!
newEditor
	| window |
	window := self editorClass buildTamarisWindow.
	window model jumpToClass: self itemClass.
	^ window! !

!TamClassReference methodsFor: 'initialize/release' stamp: 'apl 3/3/2006 17:24'!
reInitialize	
	super reInitialize.
	subClasses := superClassReference := categoriesList := nil! !

!TamClassReference methodsFor: 'updating' stamp: 'apl 5/24/2005 08:22'!
refreshedData
	^ self computeSubclasses | self computeCategoriesList 
		| self computeSuperClassReference ! !

!TamClassReference methodsFor: 'updating' stamp: 'apl 5/24/2005 15:28'!
reinit
	| oldclasses |
	oldclasses := subClasses.
	subClasses := self emptyClassesCollection.
	oldclasses ifNotNil: [subClasses addAll: oldclasses]! !

!TamClassReference methodsFor: 'initialize/release' stamp: 'apl 3/3/2006 17:14'!
reinitialize ! !

!TamClassReference methodsFor: 'updating' stamp: 'apl 6/10/2005 11:25'!
removeChildSilently: aReference 
	subClasses ifNotNil: [subClasses removeAllSuchThat: [:sc | sc itemClass = aReference itemClass]].
	superClassReference ifNotNil: 
			[superClassReference itemClass = aReference itemClass 
				ifTrue: 
					[self showSuperClass: false.
					self computeSuperClassReference]]! !

!TamClassReference methodsFor: 'accessing' stamp: 'tam 10/9/2003 18:49'!
rootClassReference
	(self owner isKindOf: TamClassReference) ifTrue: [
		^ self owner rootClassReference].
	^ self! !

!TamClassReference methodsFor: 'accessing' stamp: 'tam 6/11/2003 11:03'!
shortName	^ self itemClass printString! !

!TamClassReference methodsFor: 'menus' stamp: 'AlainPlantec 10/7/2010 21:37'!
showHide
	| menu |
	menu := MenuMorph new.
	self showHideMenu: menu.
	^ menu popUpInWorld! !

!TamClassReference methodsFor: 'menus' stamp: 'ap 10/17/2003 22:41'!
showHideMenu: menu 
	self itemClass subclasses notEmpty ifTrue: [
	menu
		add: (self showSubClasses
				ifTrue: ['hide subclasses']
				ifFalse: ['show subclasses'])
		target: self
		selector: #menuShowHideSubclasses].
	menu
		add: (self showSuperClass
				ifTrue: ['hide super class (a)']
				ifFalse: ['show super class (a)'])
		target: self
		selector: #menuShowHideSuperclass.
	menu addLine.
	menu
		add: (self showSelectors
				ifTrue: ['hide selectors (m)']
				ifFalse: ['show selectors (m)'])
		target: self
		selector: #menuShowHideSelectors.
	^ menu! !

!TamClassReference methodsFor: 'accessing' stamp: 'AlainPlantec 10/7/2010 21:37'!
showSelectors
	^ showSelectors
		ifNil: [showSelectors := false]! !

!TamClassReference methodsFor: 'accessing' stamp: 'AlainPlantec 10/7/2010 21:37'!
showSelectors: aBoolean 
	showSelectors := aBoolean! !

!TamClassReference methodsFor: 'accessing' stamp: 'AlainPlantec 10/7/2010 21:37'!
showSubClasses
	^ showSubClasses
		ifNil: [self isSuperClassReference
				ifTrue: [showSubClasses := false]
				ifFalse: [showSubClasses := true]]! !

!TamClassReference methodsFor: 'accessing' stamp: 'tam 10/7/2003 11:24'!
showSubClasses: aBoolean
	showSubClasses := aBoolean
! !

!TamClassReference methodsFor: 'accessing' stamp: 'AlainPlantec 10/7/2010 21:37'!
showSuperClass
	^ showSuperClass
		ifNil: [showSuperClass := false]! !

!TamClassReference methodsFor: 'accessing' stamp: 'tam 7/16/2003 01:13'!
showSuperClass: aBoolean
	showSuperClass := aBoolean
! !

!TamClassReference methodsFor: 'accessing' stamp: 'apl 9/28/2007 06:41'!
specificButtonsColumn: aTaxonomyBrowser inAlignment: aButtonsAlignment 
	| btn |
	{{'16x16/mimetypes/class'. self. #showHide. nil. 'switch show/hide subclasses or selectors'}. {'16x16/mimetypes/super_class'. self. #menuShowHideSuperclass. nil. 'switch show/hide superclass'}. }
		do: [:arr | arr == #spacer
				ifTrue: [aButtonsAlignment addSpacer]
				ifFalse: [btn := TamMaskableButtonMorph
								formName: arr first
								target: arr second
								selector: arr third
								arguments: arr fourth
								extent: aTaxonomyBrowser buttonExtent
								balloonText: arr fifth.
					btn name: arr third.
					aButtonsAlignment addMorph: btn]].
	^ aButtonsAlignment! !

!TamClassReference methodsFor: 'accessing' stamp: 'apl 5/23/2005 12:38'!
subClasses
	^subClasses ! !

!TamClassReference methodsFor: 'accessing' stamp: 'tam 7/12/2003 03:02'!
superClassReference
	^ superClassReference
! !

!TamClassReference methodsFor: 'updating' stamp: 'tam 2/21/2004 00:09'!
switchShowHideSelectors
	self showSelectors: self showSelectors not! !

!TamClassReference methodsFor: 'updating' stamp: 'AlainPlantec 10/7/2010 21:37'!
switchShowHideSubclasses
	self itemClass isNil
		ifTrue: [showSubClasses := false]
		ifFalse: [showSubClasses := self showSubClasses not]! !

!TamClassReference methodsFor: 'updating' stamp: 'AlainPlantec 10/7/2010 21:38'!
switchShowHideSuperclass
	(self itemClass isNil
			or: [self itemClass superclass isNil])
		ifTrue: [showSuperClass := false]
		ifFalse: [showSuperClass := self showSuperClass not]! !

!TamClassReference methodsFor: 'updating' stamp: 'tam 3/18/2004 08:39'!
sysCat: aSysCatSymbol class: aClass metaClassIndicated: isMetaClass msgCat: aMsgCatSymbol selector: selector fromBrowser: aTaxonomyBrowser 
	aClass
		ifNotNil: [aClass theNonMetaClass ~= self itemClass theNonMetaClass
				ifTrue: [
					^ false].
			^ super
				sysCat: aSysCatSymbol
				class: aClass
				metaClassIndicated: isMetaClass
				msgCat: aMsgCatSymbol
				selector: selector
				fromBrowser: aTaxonomyBrowser]! !

!TamClassReference methodsFor: 'system changes handling' stamp: 'apl 2/9/2006 11:42'!
update: aSymbol 
	^ super update: aSymbol! !

TamBrowserReference subclass: #TamMethodCategoriesListReference
	instanceVariableNames: 'allCategoryCategoryReference allCategoryClassCategoryReference oldClassCategoryReferences oldInstanceCategoryReferences oldClassCategories oldInstanceCategories oldClassAndInstanceSelectors'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Tamaris-Taxonomies'!

!TamMethodCategoriesListReference methodsFor: 'accessing' stamp: 'tam 7/15/2003 20:39'!
children
	(oldInstanceCategoryReferences isNil
			or: [oldClassCategoryReferences isNil])
		ifTrue: [^ #()].
	^ oldInstanceCategoryReferences , oldClassCategoryReferences! !

!TamMethodCategoriesListReference methodsFor: 'updating' stamp: 'apl 5/23/2005 15:18'!
computeCategories
	allCategoryCategoryReference := TamMethodCategoryReference new owner: self.
	allCategoryCategoryReference itemClass: itemClass
		messageCategoryName: ClassOrganizer allCategory.
	allCategoryClassCategoryReference := TamMethodCategoryReference new 
				owner: self.
	allCategoryClassCategoryReference itemClass: itemClass class
		messageCategoryName: ClassOrganizer allCategory.
	self computeCategoryReferences.
	^ true! !

!TamMethodCategoriesListReference methodsFor: 'updating' stamp: 'apl 6/3/2005 17:05'!
computeCategoryReferences
	| somethingChanged tmpClassAndInstanceSelectors tmpClassCategories tmpInstanceCategories tmpInstanceCategoryReferences tmpClassCategoryReferences |
	somethingChanged := false.
	self itemClass notNil 
		ifTrue: 
			[tmpClassAndInstanceSelectors := self itemClass selectors 
						, self itemClass class selectors.
			tmpClassCategories := self itemClass class organization categories 
						copyWithout: ClassOrganizer nullCategory.
			tmpInstanceCategories := self itemClass organization categories 
						copyWithout: ClassOrganizer nullCategory.
			(tmpClassAndInstanceSelectors = oldClassAndInstanceSelectors and: 
					[tmpClassCategories = oldClassCategories 
						and: [tmpInstanceCategories = oldInstanceCategories]]) 
				ifFalse: 
					[somethingChanged := true.
					tmpInstanceCategoryReferences := OrderedCollection new.
					tmpClassCategoryReferences := OrderedCollection new.
					oldInstanceCategoryReferences 
						ifNil: [tmpInstanceCategoryReferences add: allCategoryCategoryReference]
						ifNotNil: 
							[tmpInstanceCategoryReferences 
								addAll: (oldInstanceCategoryReferences select: 
											[:r | 
											((tmpInstanceCategories anySatisfy: [:s | s = r messageCategoryName]) 
												or: [r = allCategoryCategoryReference]) 
													ifTrue: 
														[r computeSelectorsReferences.
														true]
													ifFalse: 
														[r destroy.
														false]])].
					oldClassCategoryReferences 
						ifNil: [tmpClassCategoryReferences add: allCategoryClassCategoryReference]
						ifNotNil: 
							[tmpClassCategoryReferences 
								addAll: (oldClassCategoryReferences select: 
											[:r | 
											((tmpClassCategories anySatisfy: [:s | s = r messageCategoryName]) 
												or: [r = allCategoryClassCategoryReference]) 
													ifTrue: 
														[r computeSelectorsReferences.
														true]
													ifFalse: 
														[r destroy.
														false]])].
					tmpInstanceCategories do: 
							[:ic | 
							(tmpInstanceCategoryReferences 
								anySatisfy: [:r | r messageCategoryName = ic]) 
									ifFalse: 
										[tmpInstanceCategoryReferences add: ((TamMethodCategoryReference new)
													owner: self;
													itemClass: self itemClass messageCategoryName: ic;
													yourself)]].
					tmpClassCategories do: 
							[:ic | 
							(tmpClassCategoryReferences anySatisfy: [:r | r messageCategoryName = ic]) 
								ifFalse: 
									[tmpClassCategoryReferences add: ((TamMethodCategoryReference new)
												owner: self;
												itemClass: self itemClass class messageCategoryName: ic;
												yourself)]].
					oldClassAndInstanceSelectors := tmpClassAndInstanceSelectors.
					oldInstanceCategoryReferences := tmpInstanceCategoryReferences.
					oldClassCategoryReferences := tmpClassCategoryReferences.
					allCategoryCategoryReference computeSelectorsReferences.
					allCategoryClassCategoryReference computeSelectorsReferences.
					oldClassCategories := tmpClassCategories.
					oldInstanceCategories := tmpInstanceCategories]].
	^somethingChanged! !

!TamMethodCategoriesListReference methodsFor: 'copying' stamp: 'apl 5/24/2005 08:29'!
copy
	| theCopy |
	theCopy := self class new.
	theCopy owner: self owner.
	theCopy itemClass: self itemClass.
	theCopy refreshedData.
	^theCopy! !

!TamMethodCategoriesListReference methodsFor: 'initialize/release' stamp: 'apl 6/3/2005 16:40'!
destroy
	oldClassCategoryReferences ifNotNil: 
			[oldClassCategoryReferences do: [:r | r destroy].
			oldClassCategoryReferences := nil].
	oldInstanceCategoryReferences ifNotNil: 
			[oldInstanceCategoryReferences do: [:r | r destroy].
			oldInstanceCategoryReferences := nil].
	super destroy! !

!TamMethodCategoriesListReference methodsFor: 'accessing' stamp: 'apl 4/22/2005 02:24'!
icon
	^TamIcons mimeIcon: '10x10/mimetypes/instance_method'! !

!TamMethodCategoriesListReference methodsFor: 'menus' stamp: 'tam 7/15/2003 11:12'!
menuBrowse
	^ (self newEditor) openInWorld! !

!TamMethodCategoriesListReference methodsFor: 'menus' stamp: 'apl 3/21/2005 09:52'!
menuDelete
	(self owner isKindOf: TamClassReference)
		ifTrue: [self owner menuShowHideSelectors. ^ true].
	^ super menuDelete! !

!TamMethodCategoriesListReference methodsFor: 'accessing' stamp: 'apl 9/26/2007 15:13'!
newEditor
	| window |
	(self itemClass isNil
			or: [self itemClass isObsolete])
		ifTrue: [self inform: 'Obsolete class'.
			^ nil].
	window := self editorClass buildTamarisWindow.
	window model jumpToClass: self itemClass.
	^ window
! !

!TamMethodCategoriesListReference methodsFor: 'updating' stamp: 'apl 5/24/2005 08:25'!
refreshedData
	^ self computeCategories! !

!TamMethodCategoriesListReference methodsFor: 'accessing' stamp: 'tam 7/16/2003 00:52'!
shortName
	^ (self owner isKindOf: TamClassReference)
		ifTrue: ['[selectors]']
		ifFalse: [self itemClass name, ' ', '[selectors]']! !

TamBrowserReference subclass: #TamMethodReference
	instanceVariableNames: 'methodReference showsSenders showsImplementors sendersReferences implementorsReferences showing'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Tamaris-Taxonomies'!

!TamMethodReference methodsFor: 'accessing' stamp: 'apl 5/18/2006 10:32'!
buildImplementorsReferences
	| methRef |
	^(SystemNavigation default 
		allImplementorsOf: self methodReference methodSymbol) collect: 
				[:mr | 
				methRef := self class new.
				methRef owner: self.
				methRef showing: #implementor.
				methRef methodReference: mr]! !

!TamMethodReference methodsFor: 'accessing' stamp: 'apl 5/18/2006 10:32'!
buildSendersReferences
	| methRef |
	^(SystemNavigation default allCallsOn: self methodReference methodSymbol) 
		collect: 
			[:mr | 
			methRef := self class new.
			methRef owner: self.
			methRef showing: #sender.
			methRef methodReference: mr]! !

!TamMethodReference methodsFor: 'accessing' stamp: 'apl 5/18/2006 09:59'!
children
	| result |
	result := OrderedCollection new.
	self showsImplementors
		ifTrue: [result addAll: self implementorsReferences].
	self showsSenders
		ifTrue: [result addAll: self sendersReferences].
	^ result! !

!TamMethodReference methodsFor: 'menus' stamp: 'apl 5/18/2006 09:50'!
hideOrShowImplementors
	self showsImplementors
		ifFalse: [implementorsReferences
				ifNotNil: [implementorsReferences
						do: [:ir | ir destroy].implementorsReferences := nil
]]! !

!TamMethodReference methodsFor: 'menus' stamp: 'apl 5/18/2006 09:50'!
hideOrShowSenders
	self showsSenders
		ifFalse: [sendersReferences
				ifNotNil: [sendersReferences
						do: [:ir | ir destroy]. sendersReferences := nil]]! !

!TamMethodReference methodsFor: 'accessing' stamp: 'apl 5/18/2006 10:36'!
icon
	^ self showingSender
		ifTrue: [TamIcons mimeIcon: '10x10/mimetypes/sender']
		ifFalse: [self showingImplementor
				ifTrue: [TamIcons mimeIcon: '10x10/mimetypes/implementor']
				ifFalse: [self methodReference classIsMeta
						ifTrue: [TamIcons mimeIcon: '10x10/mimetypes/class_method']
						ifFalse: [TamIcons mimeIcon: '10x10/mimetypes/instance_method']]]! !

!TamMethodReference methodsFor: 'accessing' stamp: 'apl 5/18/2006 09:36'!
implementorsReferences
	^implementorsReferences 
		ifNil: [implementorsReferences := self buildImplementorsReferences]! !

!TamMethodReference methodsFor: 'menus' stamp: 'apl 5/18/2006 09:57'!
inverseHideOrShowImplementors
	showsImplementors := self showsImplementors not.
	self hideOrShowImplementors.
	TamManager changed: self.! !

!TamMethodReference methodsFor: 'menus' stamp: 'apl 5/18/2006 09:57'!
inverseHideOrShowSenders
	showsSenders := self showsSenders not.
	self hideOrShowSenders.
	TamManager changed: self! !

!TamMethodReference methodsFor: 'menus' stamp: 'AlainPlantec 10/7/2010 21:52'!
menuBrowse
	| browser |
	browser := self editorClass new setClass: self methodReference actualClass selector: self methodReference methodSymbol.
	^ (browser openAsMorphEditing: nil) setLabel: self editorClass name , ': ' , self asString;
		 openInWorld! !

!TamMethodReference methodsFor: 'accessing' stamp: 'tam 6/20/2003 01:34'!
methodReference	^ methodReference! !

!TamMethodReference methodsFor: 'accessing' stamp: 'apl 5/23/2005 16:10'!
methodReference: aMethodReference 
	methodReference := aMethodReference.
! !

!TamMethodReference methodsFor: 'accessing' stamp: 'apl 9/26/2007 15:00'!
newEditor
	| window |
	self methodReference actualClass isObsolete
	ifTrue: [self inform: 'Obsolete class'.
	^ nil].
	"browser := self editorClass new setClass: self methodReference
	actualClass selector: nil.
	^ browser openAsMorphClassEditing: nil"
	window := self editorClass buildTamarisWindow.
	window model jumpToClass: self methodReference actualClass.
	^ window! !

!TamMethodReference methodsFor: 'accessing' stamp: 'apl 5/18/2006 09:39'!
refreshedData
	sendersReferences := implementorsReferences := nil.
	self children.
	^ true! !

!TamMethodReference methodsFor: 'accessing' stamp: 'apl 5/18/2006 09:35'!
sendersReferences
	^sendersReferences 
		ifNil: [sendersReferences := self buildSendersReferences]! !

!TamMethodReference methodsFor: 'accessing' stamp: 'tam 7/15/2003 13:52'!
shortName
	((self owner isKindOf: TamMethodCategoryReference) and: 
			[self owner itemClass == self methodReference actualClass 
				or: [self owner itemClass class == self methodReference actualClass]]) 
		ifTrue: [^self methodReference methodSymbol].
	^self methodReference asStringOrText! !

!TamMethodReference methodsFor: 'accessing' stamp: 'apl 5/18/2006 10:31'!
showing
	^showing ifNil: [showing := #method]! !

!TamMethodReference methodsFor: 'accessing' stamp: 'apl 5/18/2006 10:32'!
showing: aSymbol 
	"aSymbol is oneof #(#method #sender #implementor)"

	showing := aSymbol! !

!TamMethodReference methodsFor: 'accessing' stamp: 'apl 5/18/2006 10:33'!
showingImplementor
	^ self showing = #implementor! !

!TamMethodReference methodsFor: 'accessing' stamp: 'apl 5/18/2006 10:32'!
showingSender
	^ self showing = #sender
! !

!TamMethodReference methodsFor: 'accessing' stamp: 'apl 5/18/2006 09:35'!
showsImplementors
	^showsImplementors ifNil: [showsImplementors := false]! !

!TamMethodReference methodsFor: 'accessing' stamp: 'apl 5/18/2006 09:35'!
showsSenders
	^showsSenders ifNil: [showsSenders := false]! !

!TamMethodReference methodsFor: 'menus' stamp: 'apl 5/18/2006 09:52'!
specificMenu: aMenu shifted: aBoolean 
	super specificMenu: aMenu shifted: aBoolean.
	aMenu addLine.
	aMenu
		add: (self showsSenders
				ifFalse: ['show']
				ifTrue: ['hide'])
				, ' senders'
		target: self
		selector: #inverseHideOrShowSenders.
	aMenu
		add: (self showsImplementors
				ifFalse: ['show']
				ifTrue: ['hide'])
				, ' implementors'
		target: self
		selector: #inverseHideOrShowImplementors.
	^ aMenu! !

!TamMethodReference methodsFor: 'updating' stamp: 'apl 9/26/2007 15:50'!
updateEditor: aTaxonomyBrowser 
	| editor |
	super updateEditor: aTaxonomyBrowser.
	(editor := aTaxonomyBrowser editor)
		ifNotNil: [editor model jumpToClass: self  methodReference actualClass selector: self methodReference methodSymbol].
	^ true! !

TamBrowserReference subclass: #TamMethodsListReference
	instanceVariableNames: 'selectorsReferences'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Tamaris-Taxonomies'!

TamMethodsListReference subclass: #TamMethodCategoryReference
	instanceVariableNames: 'oldSelectors'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Tamaris-Taxonomies'!

!TamMethodCategoryReference methodsFor: 'updating' stamp: 'apl 6/3/2005 17:05'!
computeSelectorsReferences
	| methods methRef somethingChanged tmpSelectorsReferences tmpSelectors |
	somethingChanged := false.
	self itemClass notNil 
		ifTrue: 
			[tmpSelectors := self messageCategoryName = ClassOrganizer allCategory 
						ifTrue: [self itemClass organization allMethodSelectors]
						ifFalse: 
							[self itemClass organization listAtCategoryNamed: self messageCategoryName].
			tmpSelectors = oldSelectors 
				ifFalse: 
					[somethingChanged := true.
					tmpSelectorsReferences := OrderedCollection new.
					oldSelectors := tmpSelectors.
					methods := oldSelectors collect: 
									[:s | 
									MethodReference new setStandardClass: self itemClass methodSymbol: s].
					selectorsReferences ifNotNil: 
							[tmpSelectorsReferences := (selectorsReferences select: 
											[:r | 
											(methods anySatisfy: [:ri | ri = r methodReference]) or: 
													[r destroy.
													false]]) 
										asOrderedCollection].
					methods do: 
							[:r | 
							(tmpSelectorsReferences anySatisfy: [:ri | ri methodReference = r]) 
								ifFalse: 
									[methRef := TamMethodReference new.
									methRef owner: self.
									methRef methodReference: r.
									tmpSelectorsReferences add: methRef]].
					selectorsReferences := tmpSelectorsReferences asArray 
								sort: [:a :b | a methodReference <= b methodReference]]].
	^somethingChanged! !

!TamMethodCategoryReference methodsFor: 'accessing' stamp: 'apl 4/22/2005 02:24'!
icon
	^self itemClass isMeta 
		ifTrue: [TamIcons mimeIcon: '10x10/mimetypes/class_method_category']
		ifFalse: [TamIcons mimeIcon: '10x10/mimetypes/method_category']! !

!TamMethodCategoryReference methodsFor: 'accessing' stamp: 'tam 3/6/2004 11:46'!
itemClass: aClass messageCategoryName: aSymbol 
	self messageCategoryName: aSymbol.
	self itemClass: aClass.
	self computeSelectorsReferences! !

!TamMethodCategoryReference methodsFor: 'updating' stamp: 'apl 5/24/2005 08:25'!
refreshedData
	^ self computeSelectorsReferences ! !

!TamMethodCategoryReference methodsFor: 'accessing' stamp: 'apl 4/19/2004 11:52'!
shortName
	| n |
	n := self itemClass isMeta
				ifTrue: ['(meta) ' , self messageCategoryName]
				ifFalse: [self messageCategoryName].
	^ (self owner isKindOf: TamMethodCategoriesListReference)
		ifTrue: [n]
		ifFalse: [self itemClass name , ' ' , (n
				ifNil: ['']
				ifNotNil: [n])]! !

!TamMethodCategoryReference methodsFor: 'updating' stamp: 'apl 5/11/2004 10:45'!
updateEditor: aTaxonomyBrowser 
	| editor |
	super updateEditor: aTaxonomyBrowser.
	(editor := aTaxonomyBrowser editor)
		ifNotNil: [editor model metaClassIndicated: self itemClass isMeta.
			editor model selectMessageCategoryNamed: self messageCategoryName].
	^ true! !

TamMethodsListReference subclass: #TamMethodCrossedRefReference
	instanceVariableNames: 'performer selector querySelector'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Tamaris-Taxonomies'!

!TamMethodCrossedRefReference class methodsFor: 'instance creation' stamp: 'AlainPlantec 10/7/2010 21:52'!
allMethodsWhichSelectorContains: aSubstring 
	| ref |
	ref := self new selector: aSubstring.
	ref querySelector: #allMethodsWhichSelectorContains:.
	ref performer: ref.
	ref computeSelectorsReferences.
	^ ref! !

!TamMethodCrossedRefReference class methodsFor: 'instance creation' stamp: 'alain.plantec 2/3/2009 12:27'!
checksSelector: aSymbol 
	aSymbol = #Definition
		ifTrue: [^ self confirm: 'senders/implementors for selector' translated, ' #' , aSymbol].
	^ true! !

!TamMethodCrossedRefReference class methodsFor: 'instance creation' stamp: 'AlainPlantec 10/7/2010 21:52'!
implementorsOf: aSymbol 
	| ref |
	(self checksSelector: aSymbol)
		ifTrue: [ref := self new selector: aSymbol.
			ref querySelector: #allImplementorsOf:.
			ref performer: SystemNavigation default.
			ref computeSelectorsReferences].
	^ ref! !

!TamMethodCrossedRefReference class methodsFor: 'instance creation' stamp: 'apl 4/4/2005 18:14'!
implementorsOf: aSymbol localTo: aClass 
	| ref |
	(self checksSelector: aSymbol)
		ifTrue: [ref := self new selector: aSymbol.
			ref querySelector: #allLocalImplementorsOf:.
			ref itemClass: aClass.
			ref performer: ref.
			ref computeSelectorsReferences].
	^ ref! !

!TamMethodCrossedRefReference class methodsFor: 'instance creation' stamp: 'apl 4/5/2005 09:37'!
sendersOf: aSymbol 
	| ref |
	(self checksSelector: aSymbol)
		ifTrue: [ref := self new selector: aSymbol.
			ref querySelector: #allCallsOn:.
			ref performer: SystemNavigation default.
			ref computeSelectorsReferences].
	^ ref! !

!TamMethodCrossedRefReference class methodsFor: 'instance creation' stamp: 'apl 4/4/2005 18:20'!
sendersOf: aSymbol localTo: aClass 
	| ref |
	(self checksSelector: aSymbol)
		ifTrue: [ref := self new selector: aSymbol.
			ref querySelector: #allLocalSendersOf:.
			ref itemClass: aClass.
			ref performer: ref.
			ref computeSelectorsReferences].
	^ ref! !

!TamMethodCrossedRefReference methodsFor: 'updating' stamp: 'AlainPlantec 10/7/2010 21:53'!
allLocalImplementorsOf: aSelector 
	"Answer a SortedCollection of all the methods that
	implement the message 
	aSelector in, above, or below the given class."
	| messagesList messageSet |
	messagesList := SystemNavigation new allImplementorsOf: aSelector localTo: self itemClass.
	messageSet := MessageSet messageList: messagesList.
	^ messageSet messageList! !

!TamMethodCrossedRefReference methodsFor: 'updating' stamp: 'apl 4/4/2005 18:21'!
allLocalSendersOf: aSelector 
	"Answer a SortedCollection of all the methods that send the message  
	aSelector in, above, or below the given class."
	| messagesList messageSet |
	messagesList := SystemNavigation new allCallsOn:aSelector from: self itemClass.
	messageSet := MessageSet messageList: messagesList.
	^ messageSet messageList! !

!TamMethodCrossedRefReference methodsFor: 'updating' stamp: 'AlainPlantec 10/7/2010 21:52'!
allMethodsWhichSelectorContains: aSubstring 
	| possibleSelectors allImplementors |
	possibleSelectors := SystemNavigation default allImplementedMessages
		select: [:sel | sel includesSubstring: aSubstring caseSensitive: false].
	allImplementors := ReadWriteStream on: Array new.
	SystemNavigation default
		allClassesDo: [:class | possibleSelectors
				do: [:sel | (class includesSelector: sel)
						ifTrue: [allImplementors nextPut: class -> sel]]].
	^ (allImplementors contents
		collect: [:assoc | MethodReference new setStandardClass: assoc key methodSymbol: assoc value]) asSortedCollection! !

!TamMethodCrossedRefReference methodsFor: 'updating' stamp: 'apl 4/4/2005 19:02'!
computeSelectorsReferences
	| stMethodReferences methRef |
	selectorsReferences
		ifNil: [stMethodReferences := (self performer perform: self querySelector with: self selector) asSortedCollection.
			selectorsReferences := stMethodReferences
						collect: [:m | 
							methRef := TamMethodReference new.
							methRef owner: self.
							methRef methodReference: m.
							methRef].
			^ true].
	^ false! !

!TamMethodCrossedRefReference methodsFor: 'accessing' stamp: 'apl 3/10/2007 09:45'!
icon
	^ TamIcons icon: '16x16/Actions/SearchSender'! !

!TamMethodCrossedRefReference methodsFor: 'menus' stamp: 'apl 6/3/2005 17:05'!
menuUpdate
	selectorsReferences do: [:r | r destroy].
	selectorsReferences := nil.
	self refresh! !

!TamMethodCrossedRefReference methodsFor: 'accessing' stamp: 'tam 10/9/2003 11:21'!
performer
	^ performer! !

!TamMethodCrossedRefReference methodsFor: 'accessing' stamp: 'tam 10/9/2003 11:21'!
performer: anObject
	^ performer := anObject! !

!TamMethodCrossedRefReference methodsFor: 'accessing' stamp: 'tam 10/7/2003 14:37'!
querySelector
	^ querySelector! !

!TamMethodCrossedRefReference methodsFor: 'accessing' stamp: 'tam 10/7/2003 14:37'!
querySelector: aSelector
	querySelector := aSelector! !

!TamMethodCrossedRefReference methodsFor: 'initialize/release' stamp: 'apl 3/3/2006 17:24'!
reInitialize
	super reInitialize.
	selectorsReferences := nil.! !

!TamMethodCrossedRefReference methodsFor: 'updating' stamp: 'apl 5/24/2005 08:26'!
refreshedData
	^ self computeSelectorsReferences ! !

!TamMethodCrossedRefReference methodsFor: 'accessing' stamp: 'tam 10/7/2003 13:42'!
selector
	^ selector! !

!TamMethodCrossedRefReference methodsFor: 'accessing' stamp: 'tam 10/7/2003 13:42'!
selector: aSymbol
	selector := aSymbol! !

!TamMethodCrossedRefReference methodsFor: 'accessing' stamp: 'tam 10/8/2003 18:58'!
shortName
	^ self querySelector , ' #' , self selector, (self itemClass ifNotNil: [' locals to: ', self itemClass name] ifNil: [''])! !

!TamMethodCrossedRefReference methodsFor: 'menus' stamp: 'tam 3/29/2004 13:37'!
specificMenu: aMenu shifted: b 
	super specificMenu: aMenu shifted: b .
	aMenu addLine.
	aMenu
		add: 'update'
		target: self
		selector: #menuUpdate.
	^ aMenu! !

!TamMethodsListReference methodsFor: 'accessing' stamp: 'tam 10/21/2003 22:30'!
asMessageSet
	^ MessageSet
		messageList: (self selectorsReferences
				collect: [:r | r methodReference])! !

!TamMethodsListReference methodsFor: 'accessing' stamp: 'tam 9/9/2003 16:47'!
children
	^ selectorsReferences
		ifNil: [#()]! !

!TamMethodsListReference methodsFor: 'updating' stamp: 'tam 2/12/2004 12:10'!
computeSelectorsReferences
	^ false
! !

!TamMethodsListReference methodsFor: 'initialize/release' stamp: 'apl 6/3/2005 16:40'!
destroy
	selectorsReferences ifNotNil: 
			[selectorsReferences do: [:r | r destroy].
			selectorsReferences := nil].
	super destroy! !

!TamMethodsListReference methodsFor: 'menus' stamp: 'tam 9/9/2003 16:47'!
menuBrowse
	^ self newEditor openInWorld! !

!TamMethodsListReference methodsFor: 'accessing' stamp: 'tam 10/2/2003 23:56'!
newEditor
	^ self asMessageSet inMorphicWindowLabeled: self listLabel! !

!TamMethodsListReference methodsFor: 'accessing' stamp: 'tam 2/12/2004 12:12'!
selectorsReferences
	selectorsReferences ifNil: [ self computeSelectorsReferences].
	^ selectorsReferences
! !

!TamMethodsListReference methodsFor: 'updating' stamp: 'apl 3/12/2007 13:19'!
updateEditor: aTaxonomyBrowser 
	| editor |
	(editor := aTaxonomyBrowser editor)
		ifNotNil: [editor model selectedMessageName: self selectedMessageName].
! !

TamBrowserReference subclass: #TamSystemBrowserReference
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Tamaris-Taxonomies'!

!TamSystemBrowserReference class methodsFor: 'menu' stamp: 'tam 10/16/2003 11:53'!
canBeCreatedInteractively	^ true! !

!TamSystemBrowserReference class methodsFor: 'accessing' stamp: 'apl 4/22/2005 14:59'!
externalLabel
	^'a full browser'! !

!TamSystemBrowserReference methodsFor: 'accessing' stamp: 'apl 4/22/2005 02:25'!
icon
	^TamIcons mimeIcon: '10x10/apps/browser'! !

!TamSystemBrowserReference methodsFor: 'accessing' stamp: 'apl 9/26/2007 15:03'!
newEditor
	| window |
	window := self editorClass buildTamarisWindow.
	^ window! !

!TamSystemBrowserReference methodsFor: 'updating' stamp: 'apl 5/24/2005 12:16'!
update: symbol 
! !

!TamSystemBrowserReference methodsFor: 'updating' stamp: 'apl 5/24/2005 12:16'!
updateEditor: aTaxonomyBrowser 
		| editor |
	(editor := aTaxonomyBrowser editor) ifNotNil: 
			[self itemClass 
				ifNotNil: [editor model selectCategoryForClass: self itemClass]].

	^super updateEditor: aTaxonomyBrowser! !

TamBrowserReference subclass: #TamSystemCategoryReference
	instanceVariableNames: 'classes onlyRoots'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Tamaris-Taxonomies'!

!TamSystemCategoryReference class methodsFor: 'menu' stamp: 'apl 1/31/2007 13:59'!
addAllSysCatSymbols:symbs owner: aReference	
	symbs do: [:s | aReference acceptSystemCategoryFromSymbol: s].
! !

!TamSystemCategoryReference class methodsFor: 'menu' stamp: 'tam 7/1/2003 16:24'!
canBeCreatedInteractively	^ true! !

!TamSystemCategoryReference class methodsFor: 'accessing' stamp: 'apl 4/22/2005 14:58'!
externalLabel
	^'a system category'! !

!TamSystemCategoryReference class methodsFor: 'menu' stamp: 'alain.plantec 2/3/2009 12:07'!
menuAddReferenceIntoOwner: aReference 
	"Search for a system category by name."
	| pattern toMatch potentialNames sysCatNames aghl selectingBlock |
	pattern := UIManager default request: 'System category name or fragment?' translated.
	pattern isEmpty
		ifTrue: [^ nil].
	toMatch := (pattern copyWithout: $.) asLowercase.
	potentialNames := SystemOrganization categories asOrderedCollection.
	sysCatNames := pattern last = $.
				ifTrue: [potentialNames
						select: [:nm | nm asLowercase = toMatch]]
				ifFalse: [potentialNames
						select: [:n | n includesSubstring: toMatch caseSensitive: false]].
	sysCatNames isEmpty
		ifTrue: [^ self systemCategoryNotFound].
	aghl := TamGenericHierarchicalList
				fromRootListItems: (sysCatNames
						collect: [:n | TamGenericHierarchicalListItem
								linked: n
								icon: (TamIcons mimeIcon: '10x10/mimetypes/system_category')])
				title: 'Tamaris: found system categories'
				client: self.
	selectingBlock := [:item | aReference isReleased
				ifTrue: [aghl close]
				ifFalse: [aReference acceptSystemCategoryFromSymbol: item linked]].
	aghl
		doDeeply: [:e | 
			e
				unSelectingBlock: [:item | item].
			e selectingBlock: selectingBlock].
	aghl open.
	sysCatNames size > 1
		ifTrue: [aghl addExtensibleButtonSpacer.
			aghl
				addButtonLabelled: 'Insert all'
				block: [:aghl2 | Cursor wait
						showWhile: [self addAllSysCatSymbols: sysCatNames owner: aReference.
							aghl2 close]]
				balloonText: 'Insert all these system categories']! !

!TamSystemCategoryReference class methodsFor: 'instance creation' stamp: 'apl 5/23/2005 15:07'!
sysCatSymbol: sysCatSymbol 
	| sysCatRef |
	sysCatRef := self new sysCatSymbol: sysCatSymbol asSymbol.
	sysCatRef refresh.
	^sysCatRef! !

!TamSystemCategoryReference class methodsFor: 'menu' stamp: 'alain.plantec 2/3/2009 12:27'!
systemCategoryNotFound
	self inform: 'no category found' translated.
	^ nil! !

!TamSystemCategoryReference methodsFor: 'testing' stamp: 'tam 10/17/2003 17:08'!
canShowSelectorsFromClass: aClass 
	^ self children anySatisfy: [ :r | (r isKindOf: TamClassReference) and: [r itemClass = aClass]]! !

!TamSystemCategoryReference methodsFor: 'accessing' stamp: 'apl 5/23/2005 14:52'!
children

	^self classes! !

!TamSystemCategoryReference methodsFor: 'accessing' stamp: 'apl 2/9/2006 13:47'!
classes
	classes ifNotNil: [
	classes
		ifEmpty: [self computeClasses].
	^ classes].
	^ #()! !

!TamSystemCategoryReference methodsFor: 'accessing' stamp: 'AlainPlantec 12/6/2010 22:50'!
computeClasses
	| tmpClassesList result traitsList |
	result := false.
	tmpClassesList := Smalltalk organization listAtCategoryNamed: self sysCatSymbol.
	traitsList := tmpClassesList select: [:c | (Smalltalk at: c) isTrait].
	tmpClassesList := tmpClassesList reject: [:c | (Smalltalk at: c) isTrait].
	self onlyRoots
		ifTrue: [tmpClassesList := tmpClassesList
						select: [:c | (tmpClassesList includes: (Smalltalk at: c) superclass name) not]].
	classes := classes
				select: [:r | (tmpClassesList
							anySatisfy: [:ri | (Smalltalk at: ri)
									== r itemClass])
						or: [r destroy.
							result := true.
							false]].
	(tmpClassesList, traitsList)
		do: [:r | (classes
					anySatisfy: [:ri | ri itemClass
							== (Smalltalk at: r)])
				ifFalse: [classes
						add: (TamClassReference
								classReferenceOf: (Smalltalk at: r)
								owner: self).
					result := true]].
	result ifTrue: [TamManager changed: self].
	^ result! !

!TamSystemCategoryReference methodsFor: 'initialize/release' stamp: 'apl 6/3/2005 16:38'!
destroy
	classes ifNotNil: 
			[classes do: [:cl | cl destroy].
			classes := nil].
	super destroy! !

!TamSystemCategoryReference methodsFor: 'testing' stamp: 'apl 6/29/2004 09:46'!
hasContents
	^ (Smalltalk organization listAtCategoryNamed: self sysCatSymbol) notEmpty
! !

!TamSystemCategoryReference methodsFor: 'accessing' stamp: 'apl 4/22/2005 02:25'!
icon
	^TamIcons mimeIcon: '10x10/mimetypes/system_category'! !

!TamSystemCategoryReference methodsFor: 'initialize/release' stamp: 'AlainPlantec 11/18/2010 10:33'!
initialize	classes  :=  SortedCollection				sortBlock: [:a :b | a itemClass name < b itemClass name].	super initialize! !

!TamSystemCategoryReference methodsFor: 'menus' stamp: 'tam 11/10/2003 16:11'!
keyStroke: aCharacter from: tamuggableListMorph 
	aCharacter = $a
		ifTrue: [^ self onlyRoots
				ifTrue: [self menuShowAllClasses]
				ifFalse: [self menuShowOnlyRootClasses]].
	^ super keyStroke: aCharacter from: tamuggableListMorph! !

!TamSystemCategoryReference methodsFor: 'system changes handling' stamp: 'apl 6/26/2005 11:44'!
localAddClass: class 
	"Include indication that a new class was created."
	(self isReleased not
			and: [sysCatSymbol = class category])
		ifTrue: [^ self refreshedData].
	^ false! !

!TamSystemCategoryReference methodsFor: 'system changes handling' stamp: 'apl 2/9/2006 13:03'!
localChangeClass: class from: oldClass 
	self isReleased
		ifFalse: [self classes
				detect: [:clsr | clsr itemClass = oldClass]
				ifNone: [^ false].
			^ self refreshedData].
	^ false! !

!TamSystemCategoryReference methodsFor: 'system changes handling' stamp: 'apl 2/9/2006 14:23'!
localNoteRemovalOf: classOrSysCatSymbol 
	self sysCatSymbol = classOrSysCatSymbol
		ifTrue: [self owner removeChild: self.
			^ true].
	^ false! !

!TamSystemCategoryReference methodsFor: 'menus' stamp: 'apl 5/23/2005 15:12'!
menuShowAllClasses
	self onlyRoots: false.
	self refresh! !

!TamSystemCategoryReference methodsFor: 'menus' stamp: 'apl 5/23/2005 15:13'!
menuShowOnlyRootClasses
	self onlyRoots: true.
	self refresh! !

!TamSystemCategoryReference methodsFor: 'accessing' stamp: 'apl 9/26/2007 15:05'!
newEditor
		| window |
	window := self editorClass buildTamarisWindow.
	window model jumpToClassCategory: self sysCatSymbol.
	^ window
	
! !

!TamSystemCategoryReference methodsFor: 'accessing' stamp: 'AlainPlantec 11/18/2010 10:33'!
onlyRoots
	^ onlyRoots ifNil: [onlyRoots  :=  false]! !

!TamSystemCategoryReference methodsFor: 'accessing' stamp: 'AlainPlantec 11/18/2010 10:33'!
onlyRoots: aBoolean 
	onlyRoots  :=  aBoolean! !

!TamSystemCategoryReference methodsFor: 'initialize/release' stamp: 'apl 3/3/2006 17:24'!
reInitialize
	super reInitialize.
	classes := SortedCollection
				sortBlock: [:a :b | a itemClass name < b itemClass name]! !

!TamSystemCategoryReference methodsFor: 'updating' stamp: 'apl 2/2/2006 15:14'!
refreshedData
	^ self isReleased
		ifTrue: [true]
		ifFalse: [self computeClasses]! !

!TamSystemCategoryReference methodsFor: 'updating' stamp: 'apl 5/24/2005 15:29'!
reinit
	| oldclasses |
	oldclasses := classes.
	classes := self emptyClassesCollection.
	oldclasses ifNotNil: [classes addAll: oldclasses]! !

!TamSystemCategoryReference methodsFor: 'updating' stamp: 'apl 7/12/2007 15:09'!
reinitializeEditor
	super reinitializeEditor.
	classes ifNotNil: [classes reSort]! !

!TamSystemCategoryReference methodsFor: 'updating' stamp: 'apl 5/24/2005 09:42'!
removeChildSilently: aReference 
			classes removeAllSuchThat: [:r | r itemClass = aReference itemClass]! !

!TamSystemCategoryReference methodsFor: 'accessing' stamp: 'tam 6/11/2003 11:07'!
shortName	^ self sysCatSymbol! !

!TamSystemCategoryReference methodsFor: 'menus' stamp: 'tam 3/29/2004 13:39'!
specificMenu: menu shifted: aBoolean 
	| |
	super specificMenu: menu shifted: aBoolean.
	(menu defaultTarget editorModel)
		ifNotNil: [self onlyRoots
				ifTrue: [menu
						add: 'show all classes (a)'
						target: self
						selector: #menuShowAllClasses]
				ifFalse: [menu
						add: 'show only superclasses (a)'
						target: self
						selector: #menuShowOnlyRootClasses]]! !

!TamSystemCategoryReference methodsFor: 'updating' stamp: 'apl 2/9/2006 13:11'!
update: aSymbol 
	self sysCatSymbol
		ifNil: [^ self remove].
	(#(#classList #systemCategoryList ) includes: aSymbol)
		ifTrue: [self
				browserCurrentSelectionUpdateBlock: [:brw | brw editorModel clearUserEditFlag].
			TamManager changed: self].
	super update: aSymbol! !

!TamSystemCategoryReference methodsFor: 'updating' stamp: 'apl 4/20/2004 21:04'!
updateEditor: aTaxonomyBrowser 
	| editor |
	(editor := aTaxonomyBrowser editor)
		ifNotNil: [self itemClass ifNotNil: [editor model selectCategoryForClass: self itemClass]].
	^ super updateEditor: aTaxonomyBrowser! !

TamSqueakObjectReference subclass: #TamMorphReference
	instanceVariableNames: 'morph'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Tamaris-Taxonomies'!

!TamMorphReference class methodsFor: 'accessing' stamp: 'tam 4/4/2003 16:04'!
externalLabel	^ 'a morph'! !

!TamMorphReference methodsFor: 'accessing' stamp: 'apl 7/27/2005 09:19'!
icon
	| form |
	(form := self morph imageForm) bits notEmpty
		ifTrue: [^ TamIcons magnifiedForm: form extent: TamIcons defaultListExtent].
	^ TamIcons iconDefault! !

!TamMorphReference methodsFor: 'accessing' stamp: 'tam 6/11/2003 09:32'!
morph	^ morph! !

!TamMorphReference methodsFor: 'accessing' stamp: 'tam 6/11/2003 09:32'!
morph: aMorph	morph := aMorph! !

!TamMorphReference methodsFor: 'sixx writting/reading' stamp: 'AlainPlantec 10/7/2010 21:52'!
morphForStore
	| file con |
	self morph
		allMorphsDo: [:m | m prepareToBeSaved].
	file := RWBinaryOrTextStream
				on: (ByteArray new: 5000).
	file binary.
	(self streamClass on: file)
		nextPut: self morph.
	con := Base64MimeConverter mimeEncode: file reset.
	file close.
	^ con contents! !

!TamMorphReference methodsFor: 'sixx writting/reading' stamp: 'AlainPlantec 10/7/2010 21:52'!
morphFrom: aString 
	| byteStr oStr |
	byteStr := Base64MimeConverter
				mimeDecodeToBytes: (ReadStream on: aString).
	oStr := self streamClass on: byteStr.
	^ oStr next! !

!TamMorphReference methodsFor: 'accessing' stamp: 'tam 6/26/2003 20:29'!
newEditor	^ self morph ! !

!TamMorphReference methodsFor: 'accessing' stamp: 'apl 4/29/2004 00:45'!
shortName
	^ listLabel ifNil: [self morph printString]! !

!TamMorphReference methodsFor: 'sixx writting/reading' stamp: 'tam 2/12/2004 12:20'!
streamClass
	^ ReferenceStream
! !

TamSqueakObjectReference subclass: #TamObjectReference
	instanceVariableNames: 'itemObject'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Tamaris-Taxonomies'!

TamObjectReference subclass: #TamExploredObjectReference
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Tamaris-Taxonomies'!

!TamExploredObjectReference class methodsFor: 'menus' stamp: 'tam 10/6/2003 12:00'!
canBeCreatedInteractively
	^ true! !

!TamExploredObjectReference class methodsFor: 'accessing' stamp: 'tam 10/6/2003 12:00'!
externalLabel
	^ 'an explored object'! !

!TamExploredObjectReference class methodsFor: 'as yet unclassified' stamp: 'AlainPlantec 4/26/2012 10:34'!
subMenuLabel
	^ 'an object'! !

!TamExploredObjectReference methodsFor: 'morphic wrapper' stamp: 'tam 10/6/2003 12:03'!
newEditor
	^ ObjectExplorer new explorerFor: self itemObject withoutListWrapper! !

!TamObjectReference class methodsFor: 'menus' stamp: 'alain.plantec 2/3/2009 12:06'!
menuAddReferenceIntoOwner: aReference 
	| expr result receiver newRef |
	expr := UIManager default request: 'Expression ' translated initialAnswer: 'self '.
	expr isEmpty
		ifFalse: [receiver := aReference.
			result := receiver withoutListWrapper class evaluatorClass new
						evaluate: (ReadStream on: expr)
						in: nil
						to: receiver withoutListWrapper
						notifying: nil
						ifFail: ["fix this"
							^ false].
			newRef := self new itemObject: result.
			aReference insertReference: newRef]! !

!TamObjectReference methodsFor: 'accessing' stamp: 'tam 7/1/2003 16:49'!
deepContents 	^#()! !

!TamObjectReference methodsFor: 'initialize/release' stamp: 'apl 6/3/2005 16:39'!
destroy
	itemObject := nil.
	super destroy! !

!TamObjectReference methodsFor: 'accessing' stamp: 'apl 4/22/2005 02:24'!
icon
	^TamIcons mimeIcon: '10x10/mimetypes/object'! !

!TamObjectReference methodsFor: 'accessing' stamp: 'tam 6/11/2003 12:00'!
itemObject	^ itemObject ! !

!TamObjectReference methodsFor: 'accessing' stamp: 'AlainPlantec 10/7/2010 21:52'!
itemObject: anObject 
	itemObject := anObject! !

!TamObjectReference methodsFor: 'accessing' stamp: 'tam 6/11/2003 11:56'!
listLabel	^ self itemObject asString! !

TamSqueakObjectReference subclass: #TamSmaCCReference
	instanceVariableNames: 'parserClassName scannerClassName testContents scannerClassReference parserClassReference'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Tamaris-Taxonomies'!

!TamSmaCCReference class methodsFor: 'menu' stamp: 'tam 2/16/2004 15:43'!
canBeCreatedInteractively
	^TamListItemReferenceUtil haveWorkingSmacc! !

!TamSmaCCReference class methodsFor: 'accessing' stamp: 'tam 5/28/2003 19:35'!
externalLabel	^ 'a smacc editor'! !

!TamSmaCCReference class methodsFor: 'accessing' stamp: 'apl 1/30/2007 15:22'!
subMenuLabel
	^ nil! !

!TamSmaCCReference methodsFor: 'accessing' stamp: 'apl 5/15/2004 08:47'!
children
	| chlds |
	chlds := OrderedCollection new.
	scannerClassReference
		ifNotNil: [chlds add: scannerClassReference].
	parserClassReference
		ifNotNil: [chlds add: parserClassReference].
	^ chlds! !

!TamSmaCCReference methodsFor: 'copying' stamp: 'apl 7/5/2004 17:46'!
copy
	| cpy |
	cpy := super copy.
	cpy scannerClassReference: self scannerClassReference copy.
	cpy parserClassReference: self parserClassReference copy.
	^ cpy! !

!TamSmaCCReference methodsFor: 'initialize/release' stamp: 'apl 6/3/2005 16:39'!
destroy
	scannerClassReference ifNotNil: 
			[scannerClassReference destroy.
			scannerClassReference := nil].
	parserClassReference ifNotNil: 
			[parserClassReference destroy.
			scannerClassReference := nil].
	super destroy! !

!TamSmaCCReference methodsFor: 'accessing' stamp: 'apl 4/22/2005 02:25'!
icon
	^TamIcons mimeIcon: '10x10/apps/smacc'! !

!TamSmaCCReference methodsFor: 'initialize/release' stamp: 'AlainPlantec 11/18/2010 10:32'!
initialize	parserClassName  :=  ''.	scannerClassName  :=  ''.	testContents  :=  ''.	super initialize! !

!TamSmaCCReference methodsFor: 'system changes handling' stamp: 'apl 5/24/2005 16:26'!
isSystemChangesSensible
	^true! !

!TamSmaCCReference methodsFor: 'initialize/release' stamp: 'AlainPlantec 11/18/2010 10:32'!
listLabel	| scannerLabel parserLabel |	listLabel		ifNotNil: [^ super listLabel].	scannerLabel  :=  self scannerClassName isEmpty				ifTrue: [' ? ']				ifFalse: [self scannerClassName].	parserLabel  :=  self parserClassName isEmpty				ifTrue: [' ? ']				ifFalse: [self parserClassName].	^ 'SmaCC: ' , scannerLabel , '/' , parserLabel! !

!TamSmaCCReference methodsFor: 'system changes handling' stamp: 'apl 6/3/2005 17:07'!
localNoteRemovalOf: class 
	(scannerClassReference notNil 
		and: [scannerClassReference itemClass = class]) 
			ifTrue: 
				[scannerClassReference destroy.
				scannerClassReference := nil.
				^true].
	(parserClassReference notNil and: [parserClassReference itemClass = class]) 
		ifTrue: 
			[parserClassReference destroy.
			parserClassReference := nil.
			^true].
	^false! !

!TamSmaCCReference methodsFor: 'menus' stamp: 'tam 5/28/2003 20:19'!
menuBrowse	^ self newEditor openInWorld! !

!TamSmaCCReference methodsFor: 'accessing' stamp: 'tam 2/16/2004 15:43'!
newEditor
	| smaccClass |
	^(smaccClass := TamListItemReferenceUtil smaCCParserGeneratorClass) 
		ifNotNil: [smaccClass new mainWindow]! !

!TamSmaCCReference methodsFor: 'accessing' stamp: 'tam 5/28/2003 23:08'!
parserClassName	^parserClassName! !

!TamSmaCCReference methodsFor: 'accessing' stamp: 'tam 5/28/2003 23:08'!
parserClassName: anObject	parserClassName := anObject! !

!TamSmaCCReference methodsFor: 'accessing' stamp: 'apl 5/15/2004 09:19'!
parserClassReference
	^parserClassReference! !

!TamSmaCCReference methodsFor: 'accessing' stamp: 'apl 7/5/2004 17:48'!
parserClassReference: anObject 
	parserClassReference := anObject.
	parserClassReference ifNotNil: [parserClassReference owner: self]! !

!TamSmaCCReference methodsFor: 'accessing' stamp: 'apl 4/23/2004 16:32'!
scannerClassName 
	^ scannerClassName! !

!TamSmaCCReference methodsFor: 'accessing' stamp: 'tam 5/28/2003 23:08'!
scannerClassName: anObject	scannerClassName := anObject! !

!TamSmaCCReference methodsFor: 'accessing' stamp: 'apl 5/15/2004 09:18'!
scannerClassReference
	^scannerClassReference! !

!TamSmaCCReference methodsFor: 'accessing' stamp: 'apl 7/5/2004 17:48'!
scannerClassReference: anObject 
	scannerClassReference := anObject.
	scannerClassReference ifNotNil: [scannerClassReference owner: self]! !

!TamSmaCCReference methodsFor: 'tam taxonomy browser' stamp: 'tam 2/18/2004 15:49'!
selectingFrom:  aTaxonomyBrowser 
	| editor |
	(editor := super selectingFrom:  aTaxonomyBrowser)
		ifNotNil: [(editor model instVarNamed: 'parserClassMorph')
				addDependent: self.
			(editor model instVarNamed: 'scannerClassMorph')
				addDependent: self].
	^ editor! !

!TamSmaCCReference methodsFor: 'accessing' stamp: 'tam 5/28/2003 23:08'!
testContents	^testContents! !

!TamSmaCCReference methodsFor: 'accessing' stamp: 'tam 5/28/2003 23:08'!
testContents: anObject	testContents := anObject! !

!TamSmaCCReference methodsFor: 'tam taxonomy browser' stamp: 'tam 2/18/2004 15:54'!
unSelectingFrom: aTaxonomyBrowser 
	| editor |
	(editor := aTaxonomyBrowser editor)
		ifNotNil: [(editor model instVarNamed: 'parserClassMorph')
				removeDependent: self.
			(editor model instVarNamed: 'scannerClassMorph')
				removeDependent: self].
	super unSelectingFrom: aTaxonomyBrowser! !

!TamSmaCCReference methodsFor: 'updating' stamp: 'tam 2/19/2004 10:14'!
update: aSymbol 
	self
		editorUpdateBlock: [:editor | 
			self updateFromModel: editor.
			TamManager changed: self]
		if: [:editor | editor dependents includes: self]
		editorClass: TamListItemReferenceUtil smaCCParserGeneratorClass.
	super update: aSymbol
! !

!TamSmaCCReference methodsFor: 'updating' stamp: 'AlainPlantec 4/26/2012 10:18'!
updateEditor: aTaxonomyBrowser 
	| editor scannerClass text parserClass |
	super updateEditor: aTaxonomyBrowser.
	(editor := aTaxonomyBrowser editor)
		ifNotNil: [(editor model instVarNamed: 'scannerClassMorph')
				newContents: self scannerClassName.
			(editor model instVarNamed: 'parserClassMorph')
				newContents: self parserClassName.
			editor model testCodeHolder acceptContents: self testContents.
			editor model testCodeHolder changed: #contents.
			(self scannerClassName notEmpty
					and: [self parserClassName notEmpty])
				ifTrue: [(scannerClass := Smalltalk
								at: self scannerClassName asSymbol
								ifAbsent: [])
						ifNotNil: [text := editor model
										removeCommentedPartOf: (scannerClass class
												sourceCodeAt: #scannerDefinitionComment
												ifAbsent: ['']).
							editor model scannerText: text].
					(parserClass := Smalltalk
								at: self parserClassName asSymbol
								ifAbsent: [])
						ifNotNil: [text := editor model
										removeCommentedPartOf: (parserClass class
												sourceCodeAt: #parserDefinitionComment
												ifAbsent: ['']).
							editor model parserText: text]]].
	^ true! !

!TamSmaCCReference methodsFor: 'updating' stamp: 'apl 6/3/2005 17:07'!
updateFromModel: aSmaCC 
	(self scannerClassName ~= aSmaCC scannerClassString 
		or: [self parserClassName ~= aSmaCC parserClassString]) 
			ifTrue: [self listLabel: nil].
	self scannerClassName: aSmaCC scannerClassString.
	self parserClassName: aSmaCC parserClassString.
	(scannerClassReference isNil 
		or: [scannerClassReference shortName ~= self scannerClassName]) 
			ifTrue: 
				[scannerClassReference ifNotNil: 
						[scannerClassReference destroy.
						scannerClassReference := nil].
				Smalltalk at: self scannerClassName asSymbol
					ifPresent: 
						[:cls | 
						scannerClassReference := TamClassReference classReferenceOf: cls
									owner: self]].
	(parserClassReference isNil 
		or: [parserClassReference shortName ~= self parserClassName]) 
			ifTrue: 
				[parserClassReference ifNotNil: 
						[parserClassReference destroy.
						parserClassReference := nil].
				Smalltalk at: self parserClassName asSymbol
					ifPresent: 
						[:cls | 
						parserClassReference := TamClassReference classReferenceOf: cls owner: self]].
	self testContents: aSmaCC testText! !

TamListItemReference subclass: #TamSubListReference
	instanceVariableNames: 'listSelector'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Tamaris-Taxonomies'!

!TamSubListReference class methodsFor: 'instance creation' stamp: 'apl 5/26/2005 13:44'!
owner: anExpressReference listSelector: aSymbol label: aString 
	^self new 
		owner: anExpressReference
		listSelector: aSymbol
		label: aString! !

!TamSubListReference methodsFor: 'comparing' stamp: 'apl 5/26/2005 14:26'!
= other 
	^(other isKindOf: self class) 
		and: [self owner = other owner and: [self listLabel = other  listLabel]]! !

!TamSubListReference methodsFor: 'morphic wrapper' stamp: 'apl 5/26/2005 13:59'!
asMorph
	^(self codeHolderClass sourceHandler: self) openAsMorph! !

!TamSubListReference methodsFor: 'accessing' stamp: 'apl 4/7/2006 13:56'!
children
	^ (self owner notNil
			and: [listSelector notNil])
		ifTrue: [(self owner perform: listSelector)]
		ifFalse: [#()]! !

!TamSubListReference methodsFor: 'accessing' stamp: 'apl 5/26/2005 14:30'!
codeHolderClass
	^Smalltalk at: self codeHolderClassName asSymbol! !

!TamSubListReference methodsFor: 'accessing' stamp: 'apl 5/26/2005 13:59'!
codeHolderClassName
	^self subclassResponsibility! !

!TamSubListReference methodsFor: 'comparing' stamp: 'apl 5/26/2005 13:51'!
hash
	^self owner hash + self listLabel hash! !

!TamSubListReference methodsFor: 'accessing' stamp: 'apl 5/26/2005 13:42'!
icon
	^TamIcons mimeIcon: '10x10/mimetypes/group'! !

!TamSubListReference methodsFor: 'testing' stamp: 'apl 5/26/2005 13:42'!
includes: anotherReference 
	^ self owner includes: anotherReference 
	! !

!TamSubListReference methodsFor: 'code updating' stamp: 'apl 5/26/2005 13:42'!
insertReference: anotherReference 
	^ self owner insertReference: anotherReference ! !

!TamSubListReference methodsFor: 'testing' stamp: 'apl 5/26/2005 13:42'!
isEditable
	^ false! !

!TamSubListReference methodsFor: 'testing' stamp: 'apl 5/26/2005 13:42'!
isRemoveable
	^ false! !

!TamSubListReference methodsFor: 'menus' stamp: 'apl 5/26/2005 13:52'!
keyStroke: aCharacter from: aListMorph 
	super keyStroke: aCharacter from: aListMorph.
! !

!TamSubListReference methodsFor: 'accessing' stamp: 'apl 5/26/2005 13:45'!
listSelector
	^ listSelector! !

!TamSubListReference methodsFor: 'accessing' stamp: 'apl 5/26/2005 13:44'!
listSelector: aSymbol 
	listSelector := aSymbol	! !

!TamSubListReference methodsFor: 'accessing' stamp: 'apl 1/30/2007 11:39'!
owner: aReference listSelector: aSymbol label: aString 
	self owner: aReference.
	self listSelector: aSymbol.
	self listLabel: aString! !

!TamSubListReference methodsFor: 'menus' stamp: 'alain.plantec 2/3/2009 12:27'!
remove
	^ self inform: 'unremoveable item!!' translated! !

!TamSubListReference methodsFor: 'accessing' stamp: 'apl 5/26/2005 13:50'!
shortName
	^'[' , self listLabel , ']'! !

TamListItemReference subclass: #TamTaxonReference
	instanceVariableNames: 'contents'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Tamaris-Taxonomies'!

TamTaxonReference subclass: #TamLinksTaxonReference
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Tamaris-Taxonomies'!

!TamLinksTaxonReference class methodsFor: 'menus' stamp: 'apl 7/27/2005 00:40'!
canBeCreatedInteractively
	^ false! !

!TamLinksTaxonReference class methodsFor: 'accessing' stamp: 'tam 10/24/2003 17:12'!
externalLabel
	^ 'a links taxon'! !

!TamLinksTaxonReference methodsFor: 'drag and drop' stamp: 'apl 4/8/2006 07:49'!
acceptDroppingMorph: aTransfertMorph copy: shouldCopy 
	| passenger |
	passenger := (aTransfertMorph respondsTo: #passenger)
				ifTrue: [aTransfertMorph passenger]
				ifFalse: [aTransfertMorph].
	(passenger isTamListItemReference)
		ifFalse: [^ false].
	^ self insertReference: passenger! !

!TamLinksTaxonReference methodsFor: 'updating' stamp: 'tam 3/30/2004 11:25'!
cleanDuplicates
	| child toBeKept |
	child := self children.
	toBeKept := OrderedCollection new.
	child
		do: [:chl | (toBeKept
					anySatisfy: [:k | k linkedPath = chl linkedPath])
				ifFalse: [toBeKept add: chl]].
	(child difference: toBeKept)
		reverseDo: [:e | e removeSilently].
	TamManager changed: self! !

!TamLinksTaxonReference methodsFor: 'accessing' stamp: 'apl 4/22/2005 02:23'!
icon
	^TamIcons mimeIcon: '10x10/mimetypes/links_taxon'! !

!TamLinksTaxonReference methodsFor: 'updating' stamp: 'apl 7/26/2005 15:47'!
insertReference: aReference 
	| newLnk |
	(aReference owner ~= self
			and: [aReference ~= self])
		ifTrue: [self contents
				detect: [:lnk | lnk isLinkTo: aReference]
				ifNone: [newLnk := TamListItemSoftLinkReference from: aReference.
					newLnk owner: self.
					self contents add: newLnk.
					^ true]].
	^ false! !

!TamLinksTaxonReference methodsFor: 'updating' stamp: 'apl 7/26/2005 13:34'!
removeUnlinked
	| toBeRemoved lnk |
	toBeRemoved := self children
				select: [:ch | (lnk := ch linked) isNil
						or: [lnk isReleased]].
	toBeRemoved isEmpty ifFalse: [
		toBeRemoved reverseDo: [:e | e removeSilently].
	TamManager changed: self]! !

!TamLinksTaxonReference methodsFor: 'menus' stamp: 'tam 3/29/2004 14:00'!
specificMenu: menu shifted: b 
	"Set up the menu to apply to the receiver's, honoring the  
	#shifted boolean"
	| |
	menu addLine.
		menu
			add: 'remove unlinked'
			target: self
			selector: #removeUnlinked.
	super specificMenu: menu shifted: b.
! !

TamLinksTaxonReference subclass: #TamPublicLinksTaxonReference
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Tamaris-Taxonomies'!

!TamPublicLinksTaxonReference class methodsFor: 'menus' stamp: 'apl 7/27/2005 00:40'!
canBeCreatedInteractively
	^ true! !

!TamPublicLinksTaxonReference methodsFor: 'updating' stamp: 'apl 7/27/2005 00:42'!
insertReference: aReference 
| result |
(result := super insertReference: aReference ) ifTrue: [TamManager changed: self].
	^ result! !

TamTaxonReference subclass: #TamPasteUpTaxonReference
	instanceVariableNames: 'pasteUp'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Tamaris-Taxonomies'!

!TamPasteUpTaxonReference class methodsFor: 'accessing' stamp: 'apl 3/9/2006 16:31'!
canBeCreatedInteractively
	^ true! !

!TamPasteUpTaxonReference class methodsFor: 'accessing' stamp: 'apl 3/9/2006 16:31'!
externalLabel
	^ 'a paste up taxon'! !

!TamPasteUpTaxonReference methodsFor: 'accessing' stamp: 'apl 3/10/2006 08:44'!
newEditor
	^ self pasteUp embeddedInMorphicWindowLabeled: ''! !

!TamPasteUpTaxonReference methodsFor: 'accessing' stamp: 'apl 3/10/2006 08:44'!
pasteUp
	^ pasteUp ifNil: [pasteUp := PasteUpMorph new]! !

!TamPasteUpTaxonReference methodsFor: 'updating' stamp: 'apl 3/10/2006 08:38'!
reinitializeEditor! !

TamTaxonReference subclass: #TamRootTaxonReference
	instanceVariableNames: 'managerItem'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Tamaris-Taxonomies'!

TamRootTaxonReference class
	instanceVariableNames: 'repositoryName'!

TamRootTaxonReference class
	instanceVariableNames: 'repositoryName'!

!TamRootTaxonReference class methodsFor: 'filein/fileout' stamp: 'tam 2/13/2004 12:23'!
tamarisFileNameSuffix
	^ 'tam'
! !

!TamRootTaxonReference class methodsFor: 'filein/fileout' stamp: 'AlainPlantec 11/18/2010 10:32'!
tamarisRepositoryName
	^ repositoryName
		ifNil: [repositoryName  :=  'Tamaris-DB']
! !

!TamRootTaxonReference class methodsFor: 'filein/fileout' stamp: 'alain.plantec 1/20/2009 10:42'!
tamarisRepositoryName: aDirName
	repositoryName := aDirName
! !

!TamRootTaxonReference methodsFor: 'copying' stamp: 'tam 2/24/2004 11:33'!
copy
	| copy |
	copy := super copy.
	copy managerItem: nil.
	^ copy
! !

!TamRootTaxonReference methodsFor: 'accessing' stamp: 'apl 4/22/2005 02:25'!
icon
	^TamIcons mimeIcon: '10x10/mimetypes/root_taxon'! !

!TamRootTaxonReference methodsFor: 'testing' stamp: 'tam 2/12/2004 16:39'!
isRootTaxon
	^ true
! !

!TamRootTaxonReference methodsFor: 'accessing' stamp: 'apl 4/7/2006 14:04'!
longNameOn: aStream 
	aStream nextPutAll: self shortName.
	aStream nextPutAll: self longNameFirstSep! !

!TamRootTaxonReference methodsFor: 'accessing' stamp: 'tam 1/10/2004 14:45'!
managerItem
	^managerItem! !

!TamRootTaxonReference methodsFor: 'accessing' stamp: 'tam 1/10/2004 14:45'!
managerItem: anObject
	managerItem := anObject! !

TamTaxonReference subclass: #TamSmartTaxonReference
	instanceVariableNames: 'showEditor iconBlock contentsComputingBlockKey contentsComputingBlock contentsComputingBlockSource'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Tamaris-Taxonomies'!

!TamSmartTaxonReference class methodsFor: 'menus' stamp: 'apl 5/1/2005 22:58'!
canBeCreatedInteractively
	^true! !

!TamSmartTaxonReference class methodsFor: 'examples' stamp: 'tam 1/28/2004 15:01'!
example1
^ 'all methods of categories prefixed by ''*xtra-egn''' ->
	'[:taxon | 
| methods methSymbols |
methods := OrderedCollection new.
SystemNavigation default
	allClassesDo: [:class | class organization categories
			do: [:cat | (cat includesSubstring: ''*xtra-egn'' caseSensitive: false)
					ifTrue: [methSymbols := class organization listAtCategoryNamed: cat.
						methods
							addAll: (methSymbols collect: [:ms | MethodReference new setStandardClass: class methodSymbol: ms])]]].
methods	collect: [:meth | TamMethodReference new methodReference: meth]]
'! !

!TamSmartTaxonReference class methodsFor: 'examples' stamp: 'AlainPlantec 11/18/2010 10:33'!
example2
 ^ 'all classes owning a category prefixed by ''*xtra-egn''' -> 	'[:taxon |
| classes |
classes  :=  OrderedCollection new.
SystemNavigation default
	allClassesDo: [:class | (class organization categories
			detect: [:cat | cat includesSubstring: ''*xtra-egn'' caseSensitive: false]
			ifNone: [])
			ifNotNil: [classes add: class]].
classes
	collect: [:class | TamClassReference new itemClass: class]]'! !

!TamSmartTaxonReference class methodsFor: 'examples' stamp: 'tam 1/28/2004 15:03'!
example3
	^ 'all scampers' -> '"Collecte all Scampers"
[ :taxon |
	Smalltalk garbageCollect.
	Scamper allInstances collect: [ :sc | 
		TamExploredObjectReference new itemObject: sc 
	]
]'! !

!TamSmartTaxonReference class methodsFor: 'examples' stamp: 'tam 2/10/2004 17:53'!
example4
	^ 'Collections-*' -> '"Collect Collections-* system categories"
[:taxon | 
|  collSysCats |
	collSysCats := SystemOrganization categories 
		select: [:syscat | syscat size >= 11 and: [(syscat copyFrom: 1 to: 11) = ''Collections'']].
	collSysCats collect: [:syscat | TamSystemCategoryReference new sysCatSymbol: syscat]]
'
! !

!TamSmartTaxonReference class methodsFor: 'accessing' stamp: 'apl 4/14/2005 15:57'!
externalLabel
	^'a smart taxon'! !

!TamSmartTaxonReference class methodsFor: 'class initialization' stamp: 'apl 10/20/2004 10:37'!
initialize
	"self initialize"
	super initialize.
	self initializeExamples! !

!TamSmartTaxonReference class methodsFor: 'examples' stamp: 'apl 9/26/2007 19:16'!
initializeExamples
	| wrkspce |
	{self example1. self example2. self example3. self example4}
		do: [:ex | (wrkspce := self sourceWorkspaceLabelled: ex key)
				ifNil: [wrkspce := TamWorkspaceTaxonReference new.
					wrkspce listLabel: ex key.
					wrkspce contents: ex value.
					TamManagerItem smartTaxonSourcesTaxon insertReference: wrkspce]]! !

!TamSmartTaxonReference class methodsFor: 'menus' stamp: 'apl 4/14/2005 15:58'!
menuAddReferenceIntoOwner: aReference 
	| newRef taxonName source |
	source := '"Compute the collection of Tam*Reference that is the taxon content"\[ :taxon |\	{\	TamClassReference new itemClass: self class. \	TamExploredObjectReference new itemObject: self \	} \]' 
				withCRs.
	taxonName := 'Smart Taxon'.
	newRef := self new.
	newRef accept: source notifying: nil.
	newRef listLabel: taxonName.
	aReference insertReference: newRef.
	newRef updateContents! !

!TamSmartTaxonReference class methodsFor: 'accessing' stamp: 'apl 4/14/2005 15:55'!
sourceWorkspaceLabelled: aLabel 
	(TamManagerItem smartTaxonSourcesTaxon 
		selectSuchThat: [:chld | chld listLabel = aLabel]) 
			ifNotEmpty: [:founds | ^founds first].
	^nil! !

!TamSmartTaxonReference class methodsFor: 'examples' stamp: 'AlainPlantec 11/18/2010 10:33'!
startComputingBlockSourceIndex
	| index |
	index  :=  Dictionary new.
	{self example1. self example2. self example3. self example4}
		do: [:ex | index at: ex key put: ex value].
	^ index
! !

!TamSmartTaxonReference methodsFor: 'updating' stamp: 'AlainPlantec 11/18/2010 10:32'!
accept: input notifying: aRequestor 
	| computingBlock |
	Cursor wait
		showWhile: [computingBlock  :=  self withoutListWrapper class evaluatorClass new
						evaluate: (ReadStream on: input)
						in: nil
						to: self withoutListWrapper
						notifying: aRequestor
						ifFail: ["fix this"
							^ false].
			self contentsComputingBlock: computingBlock.
			self contentsComputingBlockSource: input.
			self menuUpdateContents].
	^ true! !

!TamSmartTaxonReference methodsFor: 'drag and drop' stamp: 'tam 11/17/2003 09:53'!
acceptDroppingMorph: transferMorph copy: shouldCopy 
	^ false! !

!TamSmartTaxonReference methodsFor: 'accessing' stamp: 'tam 11/17/2003 10:02'!
contentsComputingBlock
	^contentsComputingBlock! !

!TamSmartTaxonReference methodsFor: 'accessing' stamp: 'AlainPlantec 11/18/2010 10:32'!
contentsComputingBlock: aBlock
	contentsComputingBlock  :=  aBlock! !

!TamSmartTaxonReference methodsFor: 'accessing' stamp: 'tam 11/17/2003 12:03'!
contentsComputingBlockSource
	^contentsComputingBlockSource! !

!TamSmartTaxonReference methodsFor: 'accessing' stamp: 'AlainPlantec 11/18/2010 10:32'!
contentsComputingBlockSource: aString 
	| |
	contentsComputingBlockSource  :=  aString! !

!TamSmartTaxonReference methodsFor: 'menus' stamp: 'AlainPlantec 4/26/2012 09:36'!
contentsMenu: aMenu shifted: shifted 
	"Note that unless we override perform:orSendTo:,  
		PluggableTextController  
		will respond to all menu items in a text pane"
	| donorMenu |
	donorMenu  :=  shifted
				ifTrue: [TextEditor shiftedYellowButtonMenu]
				ifFalse: [TextEditor yellowButtonMenu].
	^ aMenu
		labels: donorMenu labelString
		lines: donorMenu lineArray
		selections: donorMenu selections! !

!TamSmartTaxonReference methodsFor: 'initialize/release' stamp: 'apl 6/3/2005 16:39'!
destroy
	self contentsComputingBlock: nil.
	self iconBlock: nil.
	super destroy! !

!TamSmartTaxonReference methodsFor: 'accessing' stamp: 'apl 4/22/2005 02:25'!
icon
	self iconBlock ifNotNil: [^self iconBlock value: self].
	^TamIcons mimeIcon: '10x10/mimetypes/auto_taxon'! !

!TamSmartTaxonReference methodsFor: 'accessing' stamp: 'tam 11/17/2003 10:02'!
iconBlock
	^iconBlock! !

!TamSmartTaxonReference methodsFor: 'accessing' stamp: 'AlainPlantec 11/18/2010 10:33'!
iconBlock: aBlock 
	iconBlock  :=  aBlock! !

!TamSmartTaxonReference methodsFor: 'initialize/release' stamp: 'AlainPlantec 11/18/2010 10:33'!
initialize
	super initialize.
	showEditor  :=  true.
	self updateContents! !

!TamSmartTaxonReference methodsFor: 'menus' stamp: 'alain.plantec 2/3/2009 12:08'!
menuAddCurrentToBlockSourceDB
	| key initialAnswer wrkspce |
	initialAnswer := contentsComputingBlockKey
				ifNil: [''].
	(key := UIManager default request: 'Give it a name' translated initialAnswer: initialAnswer) isEmpty
		ifFalse: [(wrkspce := self sourceWorkspaceLabelled: key)
				ifNil: [wrkspce := TamWorkspaceTaxonReference new.
					wrkspce listLabel: key.
					wrkspce text: contentsComputingBlockSource.
					TamManagerItem smartTaxonSourcesTaxon insertReference: wrkspce]
				ifNotNil: [(self confirm: 'this key is already used, replace existing source ?')
						ifFalse: [^ false]].
			wrkspce text: contentsComputingBlockSource]! !

!TamSmartTaxonReference methodsFor: 'menus' stamp: 'tam 11/17/2003 11:58'!
menuRender
	| rendered |
	self updateContents.
	rendered := TamTaxonReference taxonLabel: (self listLabel, ' rendered').
	self contents do: [ :c | rendered insertReference: c copy].
	self owner insertReference: rendered.
	TamManager changed: self owner
! !

!TamSmartTaxonReference methodsFor: 'menus' stamp: 'apl 9/29/2004 12:05'!
menuSwitchShowEditor
	self showEditor: self showEditor not.
	self reinitializeEditor ! !

!TamSmartTaxonReference methodsFor: 'menus' stamp: 'AlainPlantec 4/27/2012 10:06'!
menuTakeBlockSourceFromDB
	| selections choice |
	selections := TamManagerItem smartTaxonSourcesTaxon children.
	(choice := (UIManager default chooseFrom: (selections collect: [:e | e listLabel]) values: selections) ) ifNotNil: 
			[contentsComputingBlockKey := listLabel := choice listLabel.
			self accept: choice workspace contents notifying: nil.
			TamManager changed: self.
			self updateCurrentEditor]! !

!TamSmartTaxonReference methodsFor: 'menus' stamp: 'tam 11/17/2003 10:24'!
menuUpdateContents
	self updateContents.
	TamManagerItem changed: self
! !

!TamSmartTaxonReference methodsFor: 'accessing' stamp: 'AlainPlantec 11/18/2010 10:33'!
newEditor
	| contentsMorph mainWindow |
	self showEditor
		ifFalse: [^ nil].
	contentsMorph  :=  TamTextMorph
				on: self
				text: #contentsComputingBlockSource
				accept: #accept:notifying:
				readSelection: nil
				menu: #contentsMenu:shifted:.
	mainWindow  :=  SystemWindow labelled: self labelString.
	mainWindow
		addMorph: contentsMorph
		fullFrame: (LayoutFrame
				fractions: (0 @ 0 corner: 1 @ 1)).
	^ mainWindow! !

!TamSmartTaxonReference methodsFor: 'updating' stamp: 'apl 3/7/2005 18:34'!
reinitializeEditor
	self updateContents.
	super reinitializeEditor.
	TamManager changed: self! !

!TamSmartTaxonReference methodsFor: 'tam taxonomy browser' stamp: 'tam 2/18/2004 15:48'!
selectingFrom:  aTaxonomyBrowser 
	super selectingFrom:  aTaxonomyBrowser.
	self updateContents! !

!TamSmartTaxonReference methodsFor: 'accessing' stamp: 'tam 11/17/2003 14:13'!
showEditor
	^ showEditor! !

!TamSmartTaxonReference methodsFor: 'accessing' stamp: 'tam 11/17/2003 14:13'!
showEditor: aBoolean
	showEditor := aBoolean! !

!TamSmartTaxonReference methodsFor: 'accessing' stamp: 'apl 10/20/2004 10:35'!
sourceWorkspaceLabelled: aLabel 
	^ self class sourceWorkspaceLabelled: aLabel 
! !

!TamSmartTaxonReference methodsFor: 'menus' stamp: 'apl 10/6/2004 11:09'!
specificMenu: menu shifted: b 
	"Set up the menu to apply to the receiver's, honoring the  
	#shifted boolean"
	menu addLine.
	menu
		add: (self showEditor
				ifTrue: ['stop']
				ifFalse: ['start'])
				, ' showing block source'
		target: self
		selector: #menuSwitchShowEditor.
	menu addLine.
	menu
		add: 'select from DB'
		target: self
		selector: #menuTakeBlockSourceFromDB.
	menu
		add: 'update DB'
		target: self
		selector: #menuAddCurrentToBlockSourceDB.
	menu addLine.
	menu
		add: 'update (u)'
		target: self
		selector: #menuUpdateContents.
	menu addLine.
	menu
		add: 'render (r)'
		target: self
		selector: #menuRender.
	menu addLine! !

!TamSmartTaxonReference methodsFor: 'updating' stamp: 'apl 6/3/2005 17:07'!
updateContents
	| newContents |
	self contents ifNotNil: [self contents do: [:c | c destroy]].
	self contentsComputingBlock ifNotNil: 
			[newContents := (self contentsComputingBlock value: self) 
						asOrderedCollection.
			newContents do: [:c | c owner: self].
			self contents: newContents]! !

!TamSmartTaxonReference methodsFor: 'updating' stamp: 'tam 2/19/2004 10:01'!
updateCurrentEditor
	^ (self
		editorUpdateBlock: [:model | 
			model setText: self contentsComputingBlockSource.
			] if: [ :editor | editor model == self]
		editorClass: TamTextMorph)
		
! !

!TamTaxonReference class methodsFor: 'menus' stamp: 'tam 7/1/2003 16:24'!
canBeCreatedInteractively	^ true! !

!TamTaxonReference class methodsFor: 'accessing' stamp: 'tam 4/5/2003 15:34'!
externalLabel 	^ 'a taxon'! !

!TamTaxonReference class methodsFor: 'menus' stamp: 'apl 4/28/2004 12:32'!
menuAddReferenceIntoOwner: aReference 
	| newRef |
	newRef := self taxonLabel: self externalLabel.
	aReference insertReference: newRef! !

!TamTaxonReference class methodsFor: 'accessing' stamp: 'tam 11/16/2003 14:53'!
subMenuLabel
	^ 'a taxon'! !

!TamTaxonReference class methodsFor: 'instance creation' stamp: 'tam 7/16/2003 11:46'!
taxonLabel: aString 
	^ self new listLabel: aString! !

!TamTaxonReference methodsFor: 'drag and drop' stamp: 'alain.plantec 2/3/2009 12:29'!
acceptDroppingMorph: aTransfertMorph copy: shouldCopy 
	| passenger copyIt symb methCat |
	copyIt := shouldCopy.
	passenger := (aTransfertMorph respondsTo: #passenger)
				ifTrue: [aTransfertMorph passenger]
				ifFalse: [aTransfertMorph].
	(aTransfertMorph respondsTo: #dragTransferType)
		ifTrue: [(#(#systemCategorySingleton #systemCategoryList ) includes: aTransfertMorph dragTransferType)
				ifTrue: [^ self acceptSystemCategoryFromSymbol: passenger].
			(#(#messageList ) includes: aTransfertMorph dragTransferType)
				ifTrue: [^ self acceptMessageFrom: passenger].
			(#(#messageCategoryList ) includes: aTransfertMorph dragTransferType)
				ifTrue: [(aTransfertMorph source isKindOf: PluggableMessageCategoryListMorph)
						ifTrue: [(self confirm: 'take' translated , ' ''' , passenger , ''' ' , 'as the message category ?' translated)
								ifTrue: [methCat := TamMethodCategoryReference new owner: self.
									methCat itemClass: aTransfertMorph source model selectedClass.
									methCat messageCategoryName: passenger.
									aTransfertMorph passenger: methCat]]]].
	(passenger isKindOf: String)
		ifTrue: [symb := passenger asSymbol.
			(SystemOrganization categories includes: symb)
				ifTrue: [(self confirm: 'take' translated, ' ''' , passenger , ''' ', 'as the system category ?' translated)
						ifTrue: [^ self acceptSystemCategoryFromSymbol: symb]].
			Smalltalk
				at: symb
				ifPresent: [:c | (self confirm: 'take' translated, ' ''' , passenger , ''' ', 'as the class ?' translated)
						ifTrue: [aTransfertMorph passenger: c]]]
		ifFalse: [passenger isTamListItemReference
				ifTrue: [copyIt := copyIt
								or: [passenger isRemoveable not]]].
	^ self insertLinkableListItemFromTransfertMorph: aTransfertMorph copy: copyIt! !

!TamTaxonReference methodsFor: 'drag and drop' stamp: 'AlainPlantec 11/18/2010 10:33'!
acceptMessageFrom: anAssociation 
	| classRef ref methodSymbol tokens |
	ref  :=  MethodReference new.
	anAssociation value isSymbol
		ifTrue: [methodSymbol  :=  anAssociation value]
		ifFalse: [tokens  :=  anAssociation value findTokens: #($  ).
			methodSymbol  :=  (tokens at: 2) asSymbol].
	ref setStandardClass: anAssociation key methodSymbol: methodSymbol.
	classRef  :=  TamMethodReference new methodReference: ref.
	self insertReference: classRef.
	^ true! !

!TamTaxonReference methodsFor: 'drag and drop' stamp: 'apl 5/9/2006 19:02'!
acceptSystemCategoryFromSymbol: sysCatSymbol 
	"| menu subMenu |
	menu := MenuMorph entitled: 'Drop it as'.
	subMenu := MenuMorph new.
	subMenu
	add: 'with only root classes'
	target: self
	selector: #insertTaxonWithOnlyRootClassesOfCategory:
	argument: sysCatSymbol.
	subMenu
	add: 'with all classes'
	target: self
	selector: #insertTaxonWithAllClassesOfCategory:
	argument: sysCatSymbol.
	menu add: 'a set of classes' subMenu: subMenu.
	menu
	add: 'a system category'
	target: self
	selector: #insertSystemCategory:
	argument: sysCatSymbol.
	^ menu invokeModal"
	^ self insertSystemCategory: sysCatSymbol! !

!TamTaxonReference methodsFor: 'accessing' stamp: 'tam 4/10/2003 10:19'!
children	^ self contents! !

!TamTaxonReference methodsFor: 'accessing' stamp: 'AlainPlantec 11/18/2010 10:33'!
containedLinksTo: aListItemOrACollectionOfListItems 
	| listItems |
	self isReleased ifFalse: [
	(aListItemOrACollectionOfListItems isKindOf: Collection)
		ifTrue: [listItems  :=  aListItemOrACollectionOfListItems]
		ifFalse: [listItems  :=  Array with: aListItemOrACollectionOfListItems].
	^ self contents
		select: [:i | i isLinkToOneOf: listItems]].
	^#()! !

!TamTaxonReference methodsFor: 'accessing' stamp: 'tam 4/10/2003 10:18'!
contents	^contents! !

!TamTaxonReference methodsFor: 'accessing' stamp: 'tam 4/10/2003 10:18'!
contents: aCollection 	contents := aCollection! !

!TamTaxonReference methodsFor: 'copying' stamp: 'AlainPlantec 11/18/2010 10:34'!
copy	| copy sr |	copy  :=  super copy.	copy		contents: (self contents				collect: [:r | 					sr  :=  r copy.					sr owner: copy.					sr]).	^ copy! !

!TamTaxonReference methodsFor: 'drag and drop' stamp: 'apl 7/6/2004 10:35'!
copyListItemHereFromTransfertMorph: aTransfertMorph 
	| aReference theCopy |
	aReference := TamListItemReference fromTransfertMorph: aTransfertMorph.
	aReference isCopyable
		ifTrue: [theCopy := aReference copy owner: nil.
			^ self insertReference: theCopy]
		ifFalse: [
			self inform: 'can''t make a copy of it here'.
			^ false]! !

!TamTaxonReference methodsFor: 'accessing' stamp: 'AlainPlantec 11/18/2010 10:34'!
deepContainedLinksTo: aListItemOrACollectionOfListItems 
	| links |
	links  :=  self containedLinksTo: aListItemOrACollectionOfListItems.
	self children
		do: [:i | links  :=  links
						, (i deepContainedLinksTo: aListItemOrACollectionOfListItems)].
	^ links! !

!TamTaxonReference methodsFor: 'initialize/release' stamp: 'apl 6/3/2005 16:38'!
destroy
	self children ifNotNil: [self children do: [:child | child destroy]].
	contents := nil.
	super destroy! !

!TamTaxonReference methodsFor: 'updating' stamp: 'apl 6/3/2005 17:08'!
empty
	self children do: [:ch | ch destroy].
	[self contents isEmpty] whileFalse: [self contents removeLast].
	TamManager changed: self! !

!TamTaxonReference methodsFor: 'accessing' stamp: 'apl 4/22/2005 02:25'!
icon
	^TamIcons mimeIcon: '10x10/mimetypes/taxon'! !

!TamTaxonReference methodsFor: 'accessing' stamp: 'AlainPlantec 11/18/2010 10:34'!
includesLinksTo: aListItemOrACollectionOfListItems 
	| listItems |
	self isReleased
		ifFalse: [(aListItemOrACollectionOfListItems isKindOf: Collection)
				ifTrue: [listItems  :=  aListItemOrACollectionOfListItems]
				ifFalse: [listItems  :=  Array with: aListItemOrACollectionOfListItems].
			^ self contents
				anySatisfy: [:i | i isLinkToOneOf: listItems]].
	^ false! !

!TamTaxonReference methodsFor: 'initialize/release' stamp: 'tam 4/10/2003 10:17'!
initialize	super initialize.	contents := OrderedCollection new! !

!TamTaxonReference methodsFor: 'drag and drop' stamp: 'apl 9/27/2007 05:03'!
insertLinkableListItemFromTransfertMorph: aTransfertMorph copy: shouldCopy 
	shouldCopy
		ifTrue: [^ self copyListItemHereFromTransfertMorph: aTransfertMorph]
		ifFalse: [^ self moveListItemHereFromTransfertMorph: aTransfertMorph]! !

!TamTaxonReference methodsFor: 'updating' stamp: 'apl 7/26/2005 15:11'!
insertReference: anotherReference 
	anotherReference owner == self
		ifFalse: [anotherReference owner: self.
			self contents add: anotherReference.
			TamManager changed: self.
			^ true].
	^ false! !

!TamTaxonReference methodsFor: 'updating' stamp: 'tam 10/17/2003 15:01'!
insertReferenceSilently: anotherReference 
	anotherReference owner: self.
	self contents add: anotherReference.
	^ true! !

!TamTaxonReference methodsFor: 'drag and drop' stamp: 'apl 5/23/2005 14:51'!
insertSystemCategory: sysCatSymbol 
	| sysCatReference |
	sysCatReference := TamSystemCategoryReference 
				sysCatSymbol: sysCatSymbol.
	self insertReference: sysCatReference.
	^true! !

!TamTaxonReference methodsFor: 'drag and drop' stamp: 'AlainPlantec 11/18/2010 10:34'!
insertTaxonWithAllClassesOfCategory: sysCatSymbol 	| classesList categoryTaxon |	classesList  :=  (Smalltalk organization listAtCategoryNamed: sysCatSymbol asSymbol)				collect: [:s | Smalltalk at: s].	categoryTaxon  :=  TamTaxonReference taxonLabel: sysCatSymbol asString.	classesList		do: [:c | categoryTaxon				insertReference: (TamListItemReference from: c)].	self insertReference: categoryTaxon.	^ true! !

!TamTaxonReference methodsFor: 'drag and drop' stamp: 'AlainPlantec 11/18/2010 10:34'!
insertTaxonWithOnlyRootClassesOfCategory: sysCatSymbol 	| classesList categoryTaxon fullClassesList |	fullClassesList  :=  (Smalltalk organization listAtCategoryNamed: sysCatSymbol asSymbol)				collect: [:s | Smalltalk at: s].	classesList  :=  fullClassesList				select: [:c | (fullClassesList includes: c superclass) not].	categoryTaxon  :=  TamTaxonReference taxonLabel: sysCatSymbol asString.	classesList		do: [:c | categoryTaxon				insertReference: (TamListItemReference from: c)].	self insertReference: categoryTaxon.	^ true! !

!TamTaxonReference methodsFor: 'system changes handling' stamp: 'apl 5/24/2005 16:25'!
isSystemChangesSensible
	^true! !

!TamTaxonReference methodsFor: 'testing' stamp: 'tam 7/8/2003 12:01'!
isTaxon	^ true! !

!TamTaxonReference methodsFor: 'menus' stamp: 'tam 10/11/2003 18:40'!
keyStroke: aCharacter from: tamuggableListMorph 
	aCharacter = $e
		ifTrue: [^ self menuEmpty].
	^ super keyStroke: aCharacter from: tamuggableListMorph! !

!TamTaxonReference methodsFor: 'drag and drop' stamp: 'apl 4/30/2004 16:51'!
linkListItemHere: aListItem
	| link |
	link := TamListItemSoftLinkReference from: aListItem.
	^ self insertReference: link! !

!TamTaxonReference methodsFor: 'drag and drop' stamp: 'apl 4/30/2004 16:52'!
linkListItemHereFromTransfertMorph: aTransfertMorph 
	| aPassenger |
	(aTransfertMorph class canUnderstand: #passenger)
		ifTrue: [aPassenger := aTransfertMorph passenger]
		ifFalse: [^ false].
	^ self linkListItemHere: aPassenger 
! !

!TamTaxonReference methodsFor: 'menus' stamp: 'AlainPlantec 11/18/2010 10:34'!
menuAddReference	| menuAddReference |	menuAddReference  :=  MenuMorph new.	^ self menuAddReferenceInto: menuAddReference! !

!TamTaxonReference methodsFor: 'menus' stamp: 'apl 4/22/2005 14:29'!
menuAddReferenceInto: aMenu 
	| classes |
	classes := OrderedCollection with: TamListItemReference.
	classes addAll: TamListItemReference allSubclasses.
	^TamListItemReference 
		menuAddReferenceInto: aMenu
		owner: self
		fromClasses: classes.! !

!TamTaxonReference methodsFor: 'menus' stamp: 'AlainPlantec 11/18/2010 10:34'!
menuEmpty	| message |	message  :=  ' really empty ? '.	(self confirm: message)		ifTrue: [^ self empty]! !

!TamTaxonReference methodsFor: 'updating' stamp: 'apl 5/31/2005 23:22'!
move: aReference before: anotherReference 
	aReference ~= anotherReference ifTrue: [
	self contents remove: aReference.
	self contents add: aReference before: anotherReference.
	TamManager changed: self]! !

!TamTaxonReference methodsFor: 'updating' stamp: 'apl 4/8/2004 15:52'!
moveDownReference: aReference 
	| index moveableContents |
	moveableContents := self contents
				select: [:i | i isMoveable].
	index := moveableContents indexOf: aReference.
	index < moveableContents size
		ifTrue: [index := contents indexOf: aReference.
			contents swap: index with: index + 1.
			TamManager changed: aReference.
			^ true].
	^ false! !

!TamTaxonReference methodsFor: 'drag and drop' stamp: 'alain.plantec 2/3/2009 12:29'!
moveListItemHereFromTransfertMorph: aTransfertMorph 
	| aPassenger |
	aPassenger := (aTransfertMorph class canUnderstand: #passenger)
				ifTrue: [aTransfertMorph passenger]
				ifFalse: [aTransfertMorph].
	(aPassenger isTamListItemReference
			and: [aPassenger isLink not])
		ifTrue: [(aPassenger includes: self)
				ifTrue: [self inform: 'Can''t move myself inside myself' translated.
					^ false]].
	(aPassenger respondsTo: #isMoveable)
		ifTrue: [aPassenger isMoveable
				ifTrue: [^ self insertReference: aPassenger]
				ifFalse: [self inform: 'can''t move it here' translated.
					^ false]].
	^ false! !

!TamTaxonReference methodsFor: 'updating' stamp: 'apl 4/8/2004 15:51'!
moveUpReference: aReference 
	| index moveableContents |
	moveableContents := self contents
				select: [:i | i isMoveable].
	index := moveableContents indexOf: aReference.
	index > 1
		ifTrue: [index := contents indexOf: aReference.
			contents swap: index with: index - 1.
			TamManager changed: aReference.
			^ true].
	^ false! !

!TamTaxonReference methodsFor: 'private' stamp: 'apl 7/5/2004 18:57'!
privateSilentlyRemove: aReference
	contents
			remove: aReference
				ifAbsent: [].
! !

!TamTaxonReference methodsFor: 'updating' stamp: 'tam 5/26/2003 12:47'!
removeChild: aReference 	self contents		remove: aReference		ifAbsent: [].	super removeChild: aReference! !

!TamTaxonReference methodsFor: 'updating' stamp: 'apl 7/7/2004 18:54'!
removeChildSilently: aReference 
	self contents ifNotNil: [self contents
		remove: aReference
		ifAbsent: []].
	super removeChildSilently: aReference! !

!TamTaxonReference methodsFor: 'updating' stamp: 'apl 6/3/2005 17:09'!
removeSilently
	contents ifNotNil: 
			[contents do: 
					[:c | 
					c
						removeSilently;
						destroy]].
	super removeSilently! !

!TamTaxonReference methodsFor: 'menus' stamp: 'AlainPlantec 10/7/2010 21:46'!
specificMenu: menu shifted: b 
	"Set up the menu to apply to the receiver's, honoring the  
	#shifted boolean"

	| menuAddReference |
	self isRootTaxon 
		ifTrue: 
			[menu 
				add: 'freeze'
				target: menu defaultTarget taxonomyBrowser
				selector: #freeze].
	menu 
		add: 'empty (e)'
		target: self
		selector: #menuEmpty.
	menu addLine.
	menuAddReference := self menuAddReference.
	menu 
		add: 'add reference on ...'
		subMenu: menuAddReference
		target: self
		selector: nil
		argumentList: #()! !

TamTaxonReference subclass: #TamWorkspaceTaxonReference
	instanceVariableNames: 'workspace'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Tamaris-Taxonomies'!

!TamWorkspaceTaxonReference class methodsFor: 'accessing' stamp: 'apl 3/10/2006 08:45'!
canBeCreatedInteractively
	^ true! !

!TamWorkspaceTaxonReference class methodsFor: 'accessing' stamp: 'apl 3/10/2006 08:47'!
externalLabel
	^ 'a workspace taxon'! !

!TamWorkspaceTaxonReference methodsFor: 'accessing' stamp: 'apl 9/26/2007 19:15'!
contents: textOrString 
self workspace contents: textOrString ! !

!TamWorkspaceTaxonReference methodsFor: 'accessing' stamp: 'apl 3/10/2006 08:46'!
newEditor
	^ self workspace embeddedInMorphicWindowLabeled: ''! !

!TamWorkspaceTaxonReference methodsFor: 'updating' stamp: 'apl 3/10/2006 08:45'!
reinitializeEditor! !

!TamWorkspaceTaxonReference methodsFor: 'accessing' stamp: 'apl 3/10/2006 08:48'!
workspace
	^ workspace
		ifNil: [workspace := TamStringHolder new]! !

Object subclass: #TamListItemReferenceUtil
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Tamaris-Taxonomies'!

!TamListItemReferenceUtil class methodsFor: 'smacc' stamp: 'tam 2/16/2004 15:29'!
haveWorkingSmacc
	^ (self smaCCParserGeneratorClass) notNil
! !

!TamListItemReferenceUtil class methodsFor: 'smacc' stamp: 'tam 3/16/2004 20:52'!
smaCCParserGeneratorClass
	^ Smalltalk
		at: #SmaCCParserGenerator
		ifAbsent: []! !

!TamListItemReferenceUtil class methodsFor: 'subwindow' stamp: 'AlainPlantec 5/2/2012 16:32'!
subFrameBorderDelta
	^ 4! !

!TamListItemReferenceUtil class methodsFor: 'subwindow' stamp: 'apl 6/29/2007 11:13'!
subWindowClass
	^ TamPaneMorph! !

!TamListItemReferenceUtil class methodsFor: 'subwindow' stamp: 'apl 6/29/2007 11:14'!
windowWrapperClass
	^ TamPaneMorphWrapper! !

Object subclass: #TamManager
	instanceVariableNames: 'mainWindow selectedTaxonomy listBtnRow listBtnRowHeight listButtons listRow listMorph editorSubWindow taxonomyPane'
	classVariableNames: 'CopyPasteBuffer DroppingArea InitialExtent ListWidth LogSystemChanges Taxonomies'
	poolDictionaries: ''
	category: 'Tamaris-UI'!

!TamManager class methodsFor: 'system changes handling' stamp: 'apl 6/10/2005 14:30'!
addClass: class 
	"Include indication that a new class was created."

	self logChange:'addClass: ' , class name.
	self taxonomies do: [:t | t addClass: class]! !

!TamManager class methodsFor: 'copy/paste' stamp: 'apl 3/3/2006 15:38'!
addSelection: aCollection 
	self copyPasteBuffer
		addAll: (aCollection
				select: [:item | item isReleased not])! !

!TamManager class methodsFor: 'accessing' stamp: 'apl 6/16/2005 09:40'!
addToBookmarks: aReference 
	TamManagerItem bookmarksTaxon insertReference: aReference.
! !

!TamManager class methodsFor: 'accessing' stamp: 'apl 6/3/2005 17:23'!
addToRecents: aReference 
	| rm |
	self recentsTaxon insertReference: aReference.
	[self recentsTaxon numberOfChildren > self maxRecentsSize] whileTrue: 
			[rm := self recentsTaxon contents first.
			self recentsTaxon contents removeFirst.
			rm destroy]! !

!TamManager class methodsFor: 'accessing' stamp: 'tam 2/16/2004 19:14'!
allTaxonomiesNamed: anIdent 
	^ self
		allTaxonomiesSuchThat: [:c | c taxonomy listLabel = anIdent]
! !

!TamManager class methodsFor: 'accessing' stamp: 'tam 7/28/2003 09:51'!
allTaxonomiesSuchThat: aBlock 
	^ self taxonomies select: [ :c | (aBlock value: c)]
! !

!TamManager class methodsFor: 'accessing' stamp: 'apl 4/8/2004 12:58'!
bookmarks
	^ self bookmarksTaxon children! !

!TamManager class methodsFor: 'accessing' stamp: 'apl 4/8/2004 12:57'!
bookmarksTaxon
	^ TamManagerItem bookmarksTaxon ! !

!TamManager class methodsFor: 'accessing' stamp: 'apl 6/29/2007 11:08'!
buttonExtent 
	^ Tamaris buttonExtent! !

!TamManager class methodsFor: 'system changes handling' stamp: 'apl 6/20/2005 11:37'!
changeClass: class from: oldClass 
	"Remember that a class definition has been changed. Record
	the original structure, so that a conversion method can be
	built. "
	self logChange: 'changeClass:  ' , class name , ' from: ' , oldClass name.
	self taxonomies
		do: [:t | t changeClass: class from: oldClass]! !

!TamManager class methodsFor: 'system changes handling' stamp: 'apl 12/8/2006 21:15'!
commentClass: class 
	self logChange: 'commentClass:  ' , class name.
	self taxonomies do: [:t | t commentClass: class]! !

!TamManager class methodsFor: 'copy/paste' stamp: 'apl 3/3/2006 15:37'!
copyPasteBuffer
	^ CopyPasteBuffer
		! !

!TamManager class methodsFor: 'copy/paste' stamp: 'apl 3/3/2006 15:22'!
copyPasteBuffer: aSet 
	CopyPasteBuffer := aSet! !

!TamManager class methodsFor: 'copy/paste' stamp: 'apl 3/3/2006 15:37'!
copyPasteBufferList
	^ self copyPasteBuffer
		select: [:item | item isReleased not]! !

!TamManager class methodsFor: 'copy/paste' stamp: 'apl 3/3/2006 15:20'!
copySelection: aCollection 
	self copyPasteBuffer: WeakSet  new.
	self addSelection: aCollection! !

!TamManager class methodsFor: 'accessing' stamp: 'tam 2/19/2004 16:37'!
droppringArea
	^ DroppingArea ifNil: [
	DroppingArea := AlignmentMorph newVariableTransparentSpacer.
	DroppingArea setBalloonText: 'here is a dropping area in which you can drop some morphs (typically some buttons)'.
	DroppingArea dropEnabled: true.
	DroppingArea borderWidth: 0.
	DroppingArea useSquareCorners.
	DroppingArea color: Color white]

! !

!TamManager class methodsFor: 'system changes handling' stamp: 'apl 2/9/2006 13:26'!
event: anEvent 
	"Hook for SystemChangeNotifier"
	anEvent itemKind = SystemChangeNotifier categoryKind
		ifTrue: [anEvent isRemoved
				ifTrue: [self noteRemovalOf: anEvent item]].
	anEvent itemKind = SystemChangeNotifier classKind
		ifTrue: [anEvent isRemoved
				ifTrue: [self noteRemovalOf: anEvent item].
			anEvent isAdded
				ifTrue: [self addClass: anEvent item].
			anEvent isModified
				ifTrue: [anEvent anyChanges
						ifTrue: [self changeClass: anEvent item from: anEvent oldItem]].
			anEvent isCommented
				ifTrue: [self commentClass: anEvent item].
			anEvent isRenamed
				ifTrue: [self renameClass: anEvent item as: anEvent newName].
			anEvent isReorganized
				ifTrue: [self reorganizeClass: anEvent item].
			anEvent isRecategorized
				ifTrue: [self changeClass: anEvent item from: anEvent item]].
	anEvent itemKind = SystemChangeNotifier methodKind
		ifTrue: [anEvent isAdded
				ifTrue: [self
						noteNewMethod: anEvent item
						forClass: anEvent itemClass
						selector: anEvent itemSelector
						priorMethod: nil].
			anEvent isModified
				ifTrue: [self
						noteNewMethod: anEvent item
						forClass: anEvent itemClass
						selector: anEvent itemSelector
						priorMethod: anEvent oldItem].
			anEvent isRemoved
				ifTrue: [self
						removeSelector: anEvent itemSelector
						class: anEvent itemClass
						priorMethod: anEvent item
						lastMethodInfo: {anEvent item sourcePointer. anEvent itemProtocol}].
			anEvent isRecategorized
				ifTrue: [self reorganizeClass: anEvent itemClass]]! !

!TamManager class methodsFor: 'accessing' stamp: 'apl 3/2/2007 11:33'!
fromFileListTaxonomy
	^ ((self taxonomyNamed: TamManagerItem fromFileListTaxonName)
		ifNil: [self newTaxonomyNamed: TamManagerItem fromFileListTaxonName]) taxonomy! !

!TamManager class methodsFor: 'accessing' stamp: 'tam 3/23/2004 10:29'!
haveBookmarks
	^ self bookmarks notEmpty! !

!TamManager class methodsFor: 'preferences' stamp: 'tam 4/15/2003 14:17'!
initialExtent	^ InitialExtent	! !

!TamManager class methodsFor: 'preferences' stamp: 'AlainPlantec 10/7/2010 21:53'!
initialExtent: aPoint 
	InitialExtent := aPoint! !

!TamManager class methodsFor: 'class initialization' stamp: 'AlainPlantec 10/7/2010 13:56'!
initialize
	"self initialize"

	self breakDependents.
	Taxonomies := SortedCollection sortBlock: 
					[:a :b | 
					a asStringOrText first = $< or: [a asStringOrText < b asStringOrText]].
	Taxonomies add: TamManagerItem default.
	CopyPasteBuffer := Set new.
	InitialExtent := 600 @ 500.
	self startNotifications! !

!TamManager class methodsFor: 'accessing' stamp: 'apl 4/18/2005 23:06'!
listWidth
	^ ListWidth ifNil: [ListWidth := 120]! !

!TamManager class methodsFor: 'accessing' stamp: 'apl 4/18/2005 23:09'!
listWidth: anInteger
	ListWidth := anInteger! !

!TamManager class methodsFor: 'system changes handling' stamp: 'apl 6/10/2005 14:33'!
logChange: message 
	LogSystemChanges  ifTrue: [Transcript show: '[TamManager: ' , message , ']' , String cr]! !

!TamManager class methodsFor: 'accessing' stamp: 'apl 6/9/2005 14:23'!
mainButtonLabel
	^'Tamaris'! !

!TamManager class methodsFor: 'accessing' stamp: 'tam 4/15/2003 13:55'!
managerOpenCommandName	^ 'Tam taxonomies manager'! !

!TamManager class methodsFor: 'accessing' stamp: 'apl 7/26/2005 12:40'!
maxRecentsSize
	^ 40! !

!TamManager class methodsFor: 'taxonomies managing' stamp: 'apl 3/1/2007 19:06'!
newTaxonomy: aNewTaxonomy 
	self taxonomies add: aNewTaxonomy.
	self sort.
	self  changed: #taxonomies.
	^ aNewTaxonomy! !

!TamManager class methodsFor: 'taxonomies managing' stamp: 'apl 3/1/2007 19:13'!
newTaxonomyNamed: anIdent 
	^ self
		newTaxonomy: (TamManagerItem rootNamed: anIdent)! !

!TamManager class methodsFor: 'system changes handling' stamp: 'apl 5/24/2005 16:00'!
noMoreNotifications
	SystemChangeNotifier uniqueInstance noMoreNotificationsFor: self.
! !

!TamManager class methodsFor: 'system changes handling' stamp: 'apl 6/10/2005 14:29'!
noteNewMethod: newMethod forClass: class selector: selector priorMethod: methodOrNil 
	self logChange:'noteNewMethod: #' , selector , ' forClass: ' 
				, class name.
	self taxonomies do: 
			[:t | 
			t 
				noteNewMethod: newMethod
				forClass: class
				selector: selector
				priorMethod: methodOrNil]! !

!TamManager class methodsFor: 'system changes handling' stamp: 'apl 2/9/2006 13:44'!
noteRemovalOf: classOrSysCatSymbol 
	"The class is about to be removed from the system.
	Adjust the receiver to reflect that fact."
	classOrSysCatSymbol isSymbol
		ifTrue: [self logChange: 'noteRemovalOf: ' , classOrSysCatSymbol]
		ifFalse: [self logChange: 'noteRemovalOf: ' , classOrSysCatSymbol name].
	self taxonomies
		do: [:t | t noteRemovalOf: classOrSysCatSymbol]! !

!TamManager class methodsFor: 'system changes handling' stamp: 'apl 6/10/2005 14:31'!
noteRemovalOf: class logChange: message 
	"The class is about to be removed from the system.
	Adjust the receiver to reflect that fact."

	self logChange: 'noteRemovalOf: ' , class name.
	self taxonomies do: [:t | t noteRemovalOf: class]! !

!TamManager class methodsFor: 'instance creation' stamp: 'apl 4/19/2005 17:10'!
open
	"self open"

	| newTaxonomiesManager |
	newTaxonomiesManager := self new.
	TamManager addDependent: newTaxonomiesManager.
	^newTaxonomiesManager buildMainWindow openInWorld! !

!TamManager class methodsFor: 'instance creation' stamp: 'tam 6/5/2003 12:33'!
openInWindow: aWindow 	^ self openInWindow: aWindow direction: #toRight! !

!TamManager class methodsFor: 'instance creation' stamp: 'AlainPlantec 5/2/2012 17:24'!
openInWindow: aWindow direction: ToRightOrToLeft 
	| newTaxonomiesManager |
	newTaxonomiesManager := self new.
	TamManager addDependent: newTaxonomiesManager.
	aWindow model: newTaxonomiesManager.
	^newTaxonomiesManager buildWindow: aWindow direction: ToRightOrToLeft! !

!TamManager class methodsFor: 'accessing' stamp: 'tam 3/29/2004 14:07'!
recents
	^ self recentsTaxon children! !

!TamManager class methodsFor: 'accessing' stamp: 'tam 3/29/2004 14:07'!
recentsTaxon
	^ TamManagerItem recentsTaxon! !

!TamManager class methodsFor: 'accessing' stamp: 'tam 3/22/2004 17:43'!
removeFromBookmarks: aReference 
	self bookmarks remove: aReference! !

!TamManager class methodsFor: 'accessing' stamp: 'tam 3/23/2004 08:33'!
removeFromRecents: aReference 
	self recents remove: aReference! !

!TamManager class methodsFor: 'system changes handling' stamp: 'apl 6/10/2005 14:32'!
removeSelector: selector class: class priorMethod: priorMethod lastMethodInfo: info 
	"Include indication that a method has been forgotten.
	info is a pair of the source code pointer and message category
	for the method that was removed."

	self 
		logChange: 'removeSelector:  #' , selector , 'forClass: ' , class name.
	self taxonomies do: 
			[:t | 
			t 
				removeSelector: selector
				class: class
				priorMethod: priorMethod
				lastMethodInfo: info]! !

!TamManager class methodsFor: 'system changes handling' stamp: 'apl 3/9/2006 18:06'!
renameClass: class as: newName 
	"Include indication that a class has been renamed."
	self logChange: 'renameClass: ' , class name , ' as: ' , newName.
	self taxonomies
		do: [:t | t renameClass: class as: newName]! !

!TamManager class methodsFor: 'system changes handling' stamp: 'apl 6/10/2005 14:32'!
reorganizeClass: class 
	"Include indication that a class was reorganized."

	self logChange: 'reorganizeClass: ' , class name .
	self taxonomies do: [:t | t reorganizeClass: class]! !

!TamManager class methodsFor: 'fileIn/Out' stamp: 'apl 7/6/2004 00:36'!
saveAllSet
	^ ((self taxonomies
		select: [:cls | cls isDefault not])
		collect: [:cls | cls taxonomy linked]) asSet! !

!TamManager class methodsFor: 'taxonomies managing' stamp: 'apl 3/1/2007 19:07'!
sort
	self taxonomies reSort! !

!TamManager class methodsFor: 'system changes handling' stamp: 'apl 6/10/2005 14:33'!
startNotifications
LogSystemChanges := false.
	SystemChangeNotifier uniqueInstance notify: self
		ofAllSystemChangesUsing: #event:! !

!TamManager class methodsFor: 'accessing' stamp: 'tam 6/2/2003 10:20'!
taxonomies	^ Taxonomies! !

!TamManager class methodsFor: 'accessing' stamp: 'tam 6/28/2003 00:49'!
taxonomyIndexSuchThat: aBlock 	1 to: self taxonomies size		do: [:idx | (aBlock					value: (self taxonomies at: idx))				ifTrue: [^ idx]].	^ 0! !

!TamManager class methodsFor: 'accessing' stamp: 'tam 6/27/2003 23:09'!
taxonomyNamed: anIdent 	^ self taxonomies		detect: [:c | c asStringOrText = anIdent]		ifNone: []! !

!TamManager class methodsFor: 'accessing' stamp: 'tam 6/27/2003 23:35'!
taxonomyOf: aListItemReference 	^ self taxonomies		detect: [:c | c taxonomy = aListItemReference]		ifNone: []! !

!TamManager class methodsFor: 'drag and drop' stamp: 'AlainPlantec 1/28/2011 07:07'!
wantsDroppedMorph: transferMorph event: anEvent inMorph: destinationLM 
	(transferMorph respondsTo:#passenger) ifFalse: [^ false].
	(transferMorph passenger isKindOf: TamListItemReference) 
		ifTrue: [^ true].
	^ false! !

!TamManager methodsFor: 'drag and drop' stamp: 'apl 11/2/2006 11:28'!
acceptDroppingMorph: transferMorph event: evt inMorph: dstListMorph 
	| destItem item itemName passenger |
	(transferMorph respondsTo: #passenger) 
		ifTrue: 
			[passenger := transferMorph passenger.
			(transferMorph passenger isKindOf: SelectionMorph) 
				ifTrue: [^ transferMorph passenger justDroppedInto: dstListMorph event: evt].
			(passenger isKindOf: TamManagerItem) 
				ifTrue: 
					[self linkTaxonomy: passenger.
					^ true]].
	destItem := dstListMorph rowAtLocation: evt position.
	destItem > 0 
		ifTrue: 
			[itemName := dstListMorph getListItem: destItem.
			item := self taxonomyNamed: itemName.
			item notNil 
				ifTrue: 
					[^ item 
						acceptDroppingMorph: transferMorph
						event: evt
						inMorph: dstListMorph]].
	^ false! !

!TamManager methodsFor: 'ui building' stamp: 'AlainPlantec 10/15/2010 10:41'!
addButtons: toRightOrToLeft 
	| mainButton |
	mainButton := PluggableButtonMorph 
				on: self
				getState: nil
				action: #taxonomyMenuPopup
				label: #mainButtonLabel.
	mainButton
		onColor: Color transparent offColor: Color transparent;
		borderWidth: 1;
		borderColor: #raised.
	mainButton layoutInset: 2.
	self listButtons addMorph: mainButton.
	toRightOrToLeft = #toRight 
		ifTrue: [listBtnRow addMorph: listButtons]
		ifFalse: [listBtnRow addMorphBack: listButtons].
! !

!TamManager methodsFor: 'accessing' stamp: 'tam 6/27/2003 23:08'!
allTaxonomiesNamed: anIdent 	^ self class allTaxonomiesNamed: anIdent ! !

!TamManager methodsFor: 'accessing' stamp: 'tam 7/28/2003 09:55'!
allTaxonomiesSuchThat: aBlock 
	^ self class allTaxonomiesSuchThat: aBlock ! !

!TamManager methodsFor: 'accessing' stamp: 'apl 6/25/2005 10:13'!
boldBlueSelection
	^ (listMorph respondsTo: #boldBlueEmphasisSet)
		ifTrue: [listMorph boldBlueEmphasisSet asOrderedCollection]
		ifFalse: [#() asOrderedCollection]! !

!TamManager methodsFor: 'accessing' stamp: 'apl 6/25/2005 10:14'!
boldRedSelection
	^ (listMorph respondsTo: #boldRedEmphasisSet)
		ifTrue: [listMorph boldRedEmphasisSet asOrderedCollection]
		ifFalse: [#() asOrderedCollection]! !

!TamManager methodsFor: 'accessing' stamp: 'tam 3/23/2004 10:31'!
bookmarks
	^ self class bookmarks! !

!TamManager methodsFor: 'button actions' stamp: 'alain.plantec 2/3/2009 12:25'!
bookmarksList
	| index choice bookmarksItems candidateBookmarks addIntoBookmarksChoiceOK currSel lines choiceOffset |
	(addIntoBookmarksChoiceOK := self selectedTaxonomy notNil
					and: [(currSel := self taxonomyBrowser getCurrentSelection) notNil])
		ifTrue: [bookmarksItems := OrderedCollection with: 'add to bookmarks'.
			lines := #(1 ).
			choiceOffset := 1]
		ifFalse: [bookmarksItems := OrderedCollection new.
			lines := #().
			choiceOffset := 0].
	candidateBookmarks := self bookmarks
				select: [:bmk | bmk linked notNil].
	bookmarksItems
		addAll: (candidateBookmarks
				collect: [:bmk | bmk longName]).
	bookmarksItems
		ifNotEmpty: [:bmkitems | (index := (UIManager default chooseFrom: bookmarksItems lines: lines)) = 0
				ifFalse: [(addIntoBookmarksChoiceOK
							and: [index = 1])
						ifTrue: [currSel item menuAddToBookmarks]
						ifFalse: [choice := candidateBookmarks at: index - choiceOffset.
							self
								noteNewSelectionDeeply: (choice linked wrapperClass with: choice linked model: nil)]]]! !

!TamManager methodsFor: 'accessing' stamp: 'apl 4/8/2004 13:00'!
bookmarksTaxon
	^ self class bookmarksTaxon! !

!TamManager methodsFor: 'updating' stamp: 'apl 4/19/2005 16:08'!
boundsOf: oneOfMyMorphs updatedWith: newBounds 
	mainWindow
		ifNotNil: [oneOfMyMorphs == listMorph
				ifTrue: [newBounds origin x >= mainWindow bounds origin x
						ifTrue: [self class listWidth: newBounds width.
							]]]! !

!TamManager methodsFor: 'button actions' stamp: 'tam 10/23/2003 14:35'!
browseTaxonomy
	self selectedTaxonomy notNil
		ifTrue: [^ self browseTaxonomy: self selectedTaxonomy]
		ifFalse: [^ (self buildMenuBrowseTaxonomy: MenuMorph new) popUpInWorld]! !

!TamManager methodsFor: 'button actions' stamp: 'tam 7/8/2003 10:52'!
browseTaxonomy: aTaxonomy	^ aTaxonomy taxonomy menuBrowse! !

!TamManager methodsFor: 'ui building' stamp: 'AlainPlantec 10/14/2010 22:00'!
buildMainWindow
	mainWindow := (SystemWindow labelled: self class managerOpenCommandName) model: self;
				 yourself. 
	self buildWindow: mainWindow.
	mainWindow extent: self initialExtent.
	^ mainWindow! !

!TamManager methodsFor: 'menu' stamp: 'tam 7/8/2003 10:58'!
buildMenuBrowseTaxonomy: aMenu 	^ self genericMenu: aMenu selector: #browseTaxonomy:! !

!TamManager methodsFor: 'menu' stamp: 'tam 7/8/2003 10:59'!
buildMenuDeleteTaxonomy: aMenu 	^ self genericMenu: aMenu selector: #deleteTaxonomy:! !

!TamManager methodsFor: 'menu' stamp: 'tam 7/8/2003 11:07'!
buildMenuEmptyTaxonomy: aMenu 	^ self genericMenu: aMenu selector: #emptyTaxonomy:! !

!TamManager methodsFor: 'menu' stamp: 'tam 7/8/2003 11:04'!
buildMenuLinkTaxonomy: aMenu 	^ self genericMenu: aMenu selector: #linkTaxonomy:! !

!TamManager methodsFor: 'ui building' stamp: 'AlainPlantec 5/2/2012 17:18'!
buildWindow: aWindow 	
	^ self buildWindow: aWindow direction: #toRight! !

!TamManager methodsFor: 'ui building' stamp: 'AlainPlantec 5/2/2012 17:59'!
buildWindow: aWindow direction: toRightOrToLeft 
	| listBtnRowFrame listMorphFrame editorSubWindowFrame topRowHeight |
	topRowHeight := listBtnRowHeight + 2.
	toRightOrToLeft == #toRight
		ifTrue: [listBtnRowFrame := LayoutFrame
						fractions: (0 @ 0 corner: 1 @ 0)
						offsets: (0 @ 0 corner: 0 @ topRowHeight).
			listMorphFrame := LayoutFrame
						fractions: (0 @ 0 corner: 0 @ 1)
						offsets: (0 @ topRowHeight corner: self listWidth @ 0).
			editorSubWindowFrame := LayoutFrame
						fractions: (0 @ 0 corner: 1 @ 1)
						offsets: (self listWidth + TamListItemReferenceUtil subFrameBorderDelta @ topRowHeight corner: 0 @ 0)]
		ifFalse: [listBtnRowFrame := LayoutFrame
						fractions: (0 @ 0 corner: 1 @ 0)
						offsets: (0 @ 0 corner: 0 @ topRowHeight).
			listMorphFrame := LayoutFrame
						fractions: (1 @ 0 corner: 1 @ 1)
						offsets: (self listWidth negated @ topRowHeight corner: 0 negated @ 0).
			editorSubWindowFrame := LayoutFrame
						fractions: (0 @ 0 corner: 1 @ 1)
						offsets: (0 @ topRowHeight corner: (self listWidth negated - TamListItemReferenceUtil subFrameBorderDelta) @ 0)].
	listRow := TamListItemReferenceUtil subWindowClass model: self.
	listBtnRow := TamButtonsAlignmentMorph typicalRowOwner.
	listButtons := TamButtonsAlignmentMorph newRow.
	listButtons vResizing: #shrinkWrap.
	listMorph := self hierarchicalListMorphClass
				on: self
				list: #taxonomies
				selected: #selectedTaxonomyIndex
				changeSelected: #changeSelectedTaxonomy:
				menu: #menu:shifted:
				keystroke: #keyStroke:from:.
	listMorph hResizing: #spaceFill;
		 vResizing: #spaceFill.
	listMorph fillStyle: listMorph fillStyleToUse.
	editorSubWindow := TamBrowser
				onReference: nil
				window: TamListItemReferenceUtil subWindowClass new
				insideManager: self
				direction: toRightOrToLeft.
	TamManager addDependent: self.
	self addDependent: editorSubWindow model.
	listRow
		addMorph: listMorph
		fullFrame: (LayoutFrame
				fractions: (0 @ 0 corner: 1 @ 1)
				offsets: (0 @ 0 corner: 0 @ 0)).
	aWindow addMorph: listBtnRow fullFrame: listBtnRowFrame.
	aWindow addMorph: listRow fullFrame: listMorphFrame.
	aWindow addMorph: editorSubWindow fullFrame: editorSubWindowFrame.
	toRightOrToLeft == #toRight
		ifTrue: [aWindow addPaneVSplitterBetween: listRow and: {editorSubWindow}]
		ifFalse: [aWindow addPaneVSplitterBetween: editorSubWindow and: {listRow}].
	self addButtons: toRightOrToLeft.
	listMorph enableDragNDrop: true.
	listMorph useSquareCorners.
	listRow useSquareCorners.
	listMorph selection: nil.
	^ aWindow! !

!TamManager methodsFor: 'accessing' stamp: 'apl 4/16/2005 08:30'!
buttonExtent
	^self class buttonExtent! !

!TamManager methodsFor: 'testing' stamp: 'apl 6/8/2004 23:45'!
canRemovePane
	^ self taxonomyPane notNil
				and: [self taxonomyPane editorSubWindows size > 1]! !

!TamManager methodsFor: 'taxonomies managing' stamp: 'apl 6/14/2004 13:23'!
changeSelectedTaxonomy: aTaxonomy 
	| selected oldSelected |
	self taxonomyBrowser okToChange
		ifTrue: [self selectedTaxonomyIndex ~= aTaxonomy
				ifTrue: [selected := aTaxonomy > 0
								ifTrue: [self taxonomies at: aTaxonomy].
					oldSelected := selectedTaxonomy.
					selectedTaxonomy := selected.
					self changed: #selectedTaxonomyIndex.
					oldSelected
						ifNotNil: [oldSelected unSelectingFrom: self].
					selected
						ifNil: [self taxonomyBrowser noteNewSelection: nil]
						ifNotNil: [selected selectingFrom: self]].
			^ true].
	^ false! !

!TamManager methodsFor: 'taxonomies managing' stamp: 'tam 3/26/2004 10:19'!
changeSelectedTaxonomyFromWrapper: aWrapper 
	| rootRefIdx |
	rootRefIdx := self taxonomyItemIndexFromWrapper: aWrapper.
	(self changeSelectedTaxonomy: rootRefIdx)
		ifTrue: [^ self taxonomyBrowser noteNewSelectionDeeply: aWrapper]! !

!TamManager methodsFor: 'accessing' stamp: 'apl 6/25/2005 10:20'!
currentSelection
	| sel |
	sel := (self boldRedSelection , self boldBlueSelection) copy.
	sel remove: TamManagerItem default.
	^ sel! !

!TamManager methodsFor: 'menu' stamp: 'AlainPlantec 11/18/2010 10:31'!
deleteTaxonomy: aTaxonomy 
	| oldSelectedIndex |
	aTaxonomy
		ifNotNil: [oldSelectedIndex  :=  self
						taxonomyIndexSuchThat: [:c | c = aTaxonomy].
			self removeTaxonomyAt: oldSelectedIndex confirm: true.
			oldSelectedIndex  :=  oldSelectedIndex <= self taxonomies size
						ifTrue: [oldSelectedIndex]
						ifFalse: [self taxonomies size].
			self changeSelectedTaxonomy: oldSelectedIndex]
! !

!TamManager methodsFor: 'initialize/release' stamp: 'apl 7/25/2005 11:53'!
destroy
	self breakDependents.
	TamManager removeDependent: self.
	self taxonomyBrowser
		ifNotNil: [self taxonomyBrowser destroy].
	mainWindow
		ifNotNil: [mainWindow submorphs
				do: [:sm | sm destroy].
			mainWindow := nil].
	selectedTaxonomy := nil.
	listBtnRow := nil.
	listButtons destroy.
	listButtons := nil.
	listMorph
		ifNotNil: [listMorph model: nil.
			listMorph := nil].
	listRow
		ifNotNil: [listRow delete; destroy.
			listRow := nil].
	editorSubWindow
		ifNotNil: [editorSubWindow destroy.
			editorSubWindow := nil].
	taxonomyPane := nil.
	TamButtonMorph allSubInstances
		do: [:m | m destroyedModel: self].
	super destroy! !

!TamManager methodsFor: 'drag and drop' stamp: 'tam 5/29/2003 10:31'!
dragPassengerFor: item inMorph: dragSource 	^ (self taxonomyNamed: item contents) ! !

!TamManager methodsFor: 'accessing' stamp: 'tam 5/28/2003 15:27'!
editorSubWindow	^ editorSubWindow! !

!TamManager methodsFor: 'button actions' stamp: 'tam 10/23/2003 14:33'!
emptyTaxonomy
	self selectedTaxonomy notNil
		ifTrue: [^ self emptyTaxonomy: self selectedTaxonomy]
		ifFalse: [
			^ (self buildMenuEmptyTaxonomy: MenuMorph new) popUpInWorld
]! !

!TamManager methodsFor: 'button actions' stamp: 'tam 7/8/2003 11:07'!
emptyTaxonomy: aTaxonomy	^ aTaxonomy taxonomy menuEmpty! !

!TamManager methodsFor: 'menu' stamp: 'tam 7/8/2003 10:48'!
genericMenu: aMenu selector: aSelector	|  |	self taxonomies		do: [:item | item genericMenu: aMenu selector: aSelector fromTaxonomyManager: self.].	^ aMenu! !

!TamManager methodsFor: 'button actions' stamp: 'alain.plantec 2/3/2009 12:05'!
globalSearchListItemByName
	| pattern |
	pattern := UIManager default request: 'item name or fragment?' translated.
	pattern isEmpty
		ifTrue: [^ nil].
	^ self globalSearchListItemFromFragment: pattern! !

!TamManager methodsFor: 'button actions' stamp: 'apl 6/3/2005 18:36'!
globalSearchListItemFromFragment: aFragment 
	| toMatch founds parents |
	toMatch := aFragment asLowercase.
	founds := OrderedCollection new.
	self taxonomies do: 
			[:cls | 
			founds := founds 
						, (cls taxonomyWrapper selectDeeplySuchThat: 
									[:e | 
									e item shortName includesSubstring: toMatch caseSensitive: false])].
	founds isEmpty ifTrue: [^self taxonomyBrowser noSearchMatchFound].
	TamBrowser 
		genericTree: 'Tamaris: selectors from ''' , aFragment , ''''
		flatCollection: (founds collect: 
					[:e | 
					parents := e item parentsChain.
					parents add: e item.
					parents])
		selectingBlock: 
			[:e | 
			self 
				changeSelectedTaxonomyFromWrapper: (e linked wrapperClass with: e linked
						model: nil)]
		client: self! !

!TamManager methodsFor: 'accessing' stamp: 'tam 3/23/2004 10:32'!
haveBookmarks 
	^ self class haveBookmarks ! !

!TamManager methodsFor: 'accessing' stamp: 'apl 4/18/2005 23:04'!
hierarchicalListMorphClass
	^TamPluggableListMorph! !

!TamManager methodsFor: 'accessing' stamp: 'tam 4/15/2003 14:21'!
initialExtent	^ self class initialExtent! !

!TamManager methodsFor: 'initialize/release' stamp: 'AlainPlantec 10/15/2010 11:05'!
initialize
	super initialize.
	listBtnRowHeight := self buttonExtent y + 4 + TamButtonMorph defaultBorderWidth! !

!TamManager methodsFor: 'menu' stamp: 'AlainPlantec 4/27/2012 09:36'!
keyStroke: aCharacter from: tamuggableListMorph 
	aCharacter = $f
		ifTrue: [^ self menuSearch].
	aCharacter = $x
		ifTrue: [^ self menuDeleteTaxonomy].
	aCharacter = $l
		ifTrue: [^ self menuLinkTaxonomy].
	aCharacter = $n
		ifTrue: [^ self menuNewTaxonomy].
	aCharacter = $r
		ifTrue: [^ self menuRenameTaxonomy].
	self selectedTaxonomy
		ifNotNil: [self selectedTaxonomy keyStroke: aCharacter from: tamuggableListMorph]
! !

!TamManager methodsFor: 'button actions' stamp: 'tam 10/23/2003 14:36'!
linkTaxonomy
	self selectedTaxonomy notNil
		ifTrue: [^ self menuLinkTaxonomy]
		ifFalse: [^ (self buildMenuLinkTaxonomy: MenuMorph new) popUpInWorld]! !

!TamManager methodsFor: 'taxonomies managing' stamp: 'AlainPlantec 10/7/2010 21:54'!
linkTaxonomy: anotherItem 
	| newItem id |
	newItem := TamManagerItem linkTo: anotherItem.
	id := (self
				allTaxonomiesSuchThat: [:c | c taxonomy linked = anotherItem taxonomy linked ]) size.
	newItem listId: (id + 1) printString.
	self taxonomies add: newItem.
	self sort.
	self class changed: #taxonomies! !

!TamManager methodsFor: 'accessing' stamp: 'tam 6/30/2003 18:53'!
listBtnRow	^ listBtnRow! !

!TamManager methodsFor: 'accessing' stamp: 'tam 6/29/2003 23:30'!
listButtons	^ listButtons! !

!TamManager methodsFor: 'accessing' stamp: 'apl 4/18/2005 23:57'!
listWidth
	^self class listWidth

	! !

!TamManager methodsFor: 'accessing' stamp: 'apl 6/9/2005 14:23'!
mainButtonLabel
	^self class mainButtonLabel! !

!TamManager methodsFor: 'accessing' stamp: 'tam 4/15/2003 13:55'!
mainWindow	^ mainWindow! !

!TamManager methodsFor: 'accessing' stamp: 'tam 6/5/2003 00:44'!
mainWindow: aWindow	mainWindow := aWindow! !

!TamManager methodsFor: 'menu' stamp: 'AlainPlantec 4/27/2012 09:56'!
menu: menu shifted: aBoolean 
	#(#- #('new (n)' #menuNewTaxonomy ) )
		do: [:item | item == #-
				ifTrue: [menu addLine]
				ifFalse: [menu 
						add: item first
						target: self
						selector: item second]].
	self selectedTaxonomy
		ifNotNil: [#(#- #('remove' #menuRemoveTaxonomy ) #- #('link (l)' #menuLinkTaxonomy ) #- #('rename (r)' #menuRenameTaxonomy ) #- )
				do: [:item | item == #-
						ifTrue: [menu addLine]
						ifFalse: [menu
								add: item first
								target: self
								selector: item second]].
			self selectedTaxonomy menu: menu shifted: aBoolean].
	self splitMenu: menu.
	^ menu! !

!TamManager methodsFor: 'menu' stamp: 'tam 7/8/2003 11:02'!
menuDeleteTaxonomy	self deleteTaxonomy: self selectedTaxonomy! !

!TamManager methodsFor: 'menu' stamp: 'tam 5/28/2003 17:47'!
menuLinkTaxonomy	self selectedTaxonomy		ifNotNil: [self linkTaxonomy: self selectedTaxonomy]! !

!TamManager methodsFor: 'menu' stamp: 'tam 6/17/2003 15:08'!
menuNewManager	self taxonomyPane ifNotNil: [^self taxonomyPane class open].	^ self class open! !

!TamManager methodsFor: 'menu' stamp: 'AlainPlantec 4/30/2012 15:44'!
menuNewTaxonomy
	| newname old |
	newname := UIManager default request: 'new taxonomy name ?' translated initialAnswer: ''.
	newname notNil
		ifTrue: [old := self taxonomyNamed: newname.
			old
				ifNotNil: [^ self inform: 'name already in use' translated].
			self newTaxonomyNamed: newname]! !

!TamManager methodsFor: 'menu' stamp: 'alain.plantec 2/3/2009 12:05'!
menuRelabelTaxonomy
	| label |
	self selectedTaxonomy
		ifNotNil: [label := UIManager default request: 'taxonomy label complement ?' translated initialAnswer: ''.
			self selectedTaxonomy listLabel: label.
			self sort.
			self class changed: #taxonomies]! !

!TamManager methodsFor: 'menu' stamp: 'AlainPlantec 4/27/2012 09:56'!
menuRemoveTaxonomy
	| rep |
	rep := false.
	self selectedTaxonomy ifNotNil: 
			[self removeTaxonomyAt: self selectedTaxonomyIndex
				confirm: rep not]! !

!TamManager methodsFor: 'menu' stamp: 'tam 6/3/2003 23:02'!
menuRenameTaxonomy	self selectedTaxonomy		ifNotNil: [self selectedTaxonomy taxonomy menuRelabel].	self changed: self selectedTaxonomy taxonomy.	self sort.	self class changed: #taxonomies! !

!TamManager methodsFor: 'menu' stamp: 'tam 6/28/2003 00:47'!
menuSearch	^ self globalSearchListItemByName! !

!TamManager methodsFor: 'ui opening/closing' stamp: 'tam 7/3/2003 16:10'!
modelWakeUpIn: aMorph 	self taxonomyBrowser		ifNotNil: [self taxonomyBrowser modelWakeUpIn: aMorph].	self mainWindow		ifNotNil: [self mainWindow				submorphsDo: [:sm | sm show]].	super modelWakeUpIn: aMorph! !

!TamManager methodsFor: 'button actions' stamp: 'apl 4/18/2005 11:23'!
newReference
	| menu tamBrowser |
	(tamBrowser := self taxonomyBrowser) ifNotNil: 
			[(tamBrowser unwrappedSelection respondsTo: #menuAddReference) 
				ifTrue: [menu := tamBrowser unwrappedSelection menuAddReference]
				ifFalse: 
					[tamBrowser rootWrapper withoutListWrapper ifNotNil: 
							[menu := tamBrowser rootWrapper withoutListWrapper linked menuAddReference]].
			menu ifNotNil: 
					[menu addTitle: 'add ...'.
	menu addStayUpItem.

					menu invokeModal]]! !

!TamManager methodsFor: 'button actions' stamp: 'tam 6/30/2003 17:05'!
newTaxonomy	^ self menuNewTaxonomy! !

!TamManager methodsFor: 'taxonomies managing' stamp: 'apl 3/1/2007 19:07'!
newTaxonomy: aNewTaxonomy 
	^ self class newTaxonomy: aNewTaxonomy 
! !

!TamManager methodsFor: 'taxonomies managing' stamp: 'apl 3/1/2007 19:14'!
newTaxonomyNamed: anIdent 
	^ self class newTaxonomyNamed: anIdent 
	! !

!TamManager methodsFor: 'taxonomies managing' stamp: 'tam 7/7/2003 22:35'!
noteNewSelectionDeeply: aWrapper	^ self changeSelectedTaxonomyFromWrapper: aWrapper ! !

!TamManager methodsFor: 'accessing' stamp: 'tam 5/21/2003 11:58'!
perform: selector orSendTo: otherTarget 	"Selector was just chosen from a menu by a user. If can respond, then  	perform it on myself. If not, send it to otherTarget, presumably the  	editPane from which the menu was invoked."	(self respondsTo: selector)		ifTrue: [^ self perform: selector]		ifFalse: [^ otherTarget perform: selector]! !

!TamManager methodsFor: 'accessing' stamp: 'tam 3/23/2004 09:34'!
recents
	^ self class recents! !

!TamManager methodsFor: 'button actions' stamp: 'alain.plantec 2/3/2009 12:25'!
recentsListPopup
	"self recentsTaxon cleanDuplicates"
	| index choice recentsItems usedRecents |
	self recentsTaxon removeUnlinked.
	self recents isEmpty
		ifFalse: [usedRecents := self recents reversed.
			recentsItems := usedRecents
						collect: [:rec | rec longName contractTo: 100].
			recentsItems
				do: [:ri | ri replaceAll: Character cr with: Character space].
			(index := (UIManager default chooseFrom: recentsItems )) = 0
				ifFalse: [choice := usedRecents at: index.
					self
						noteNewSelectionDeeply: (choice linked wrapperClass with: choice linked model: nil)]]! !

!TamManager methodsFor: 'accessing' stamp: 'tam 3/29/2004 14:10'!
recentsTaxon
	^ self class recentsTaxon! !

!TamManager methodsFor: 'ui opening/closing' stamp: 'tam 5/28/2003 09:46'!
rememberWindowSize	self class initialExtent: mainWindow bounds extent! !

!TamManager methodsFor: 'button actions' stamp: 'apl 4/15/2005 11:59'!
removePane
	self canRemovePane ifTrue: [self taxonomyPane menuRemovePane: self mainWindow]! !

!TamManager methodsFor: 'button actions' stamp: 'tam 10/23/2003 14:36'!
removeTaxonomy
	self selectedTaxonomy notNil
		ifTrue: [^ self menuDeleteTaxonomy]
		ifFalse: [^ (self buildMenuDeleteTaxonomy: MenuMorph new) popUpInWorld]! !

!TamManager methodsFor: 'taxonomies managing' stamp: 'AlainPlantec 4/27/2012 09:55'!
removeTaxonomyAt: anIndex confirm: aBoolean 
	| found doit ident oldName newList |
	found := self taxonomies at: anIndex.
	oldName := found taxonomy asString.
	aBoolean
		ifTrue: [
			(self allTaxonomiesNamed: oldName) size = 1
				ifFalse: [found isRootTaxonLink
						ifFalse: [^ self inform: 'This taxon is linked, you have to remove those links before' translated]]].
	self changeSelectedTaxonomy: 0.
	self taxonomies remove: found.
	found destroy.
	newList := self allTaxonomiesNamed: oldName.
	2
		to: newList size
		do: [:pos | (newList at: pos)
				listId: pos printString].
	self class changed: found! !

!TamManager methodsFor: 'accessing' stamp: 'tam 4/15/2003 13:55'!
selectedTaxonomy	^ selectedTaxonomy! !

!TamManager methodsFor: 'accessing' stamp: 'tam 5/28/2003 16:47'!
selectedTaxonomyIndex	^ self taxonomies indexOf: self selectedTaxonomy ifAbsent: [0]! !

!TamManager methodsFor: 'accessing' stamp: 'apl 7/9/2005 01:01'!
showBookmarks
	^true! !

!TamManager methodsFor: 'taxonomies managing' stamp: 'apl 3/1/2007 19:15'!
sort
	self class sort! !

!TamManager methodsFor: 'button actions' stamp: 'tam 7/2/2003 00:39'!
splitHorizontally	self taxonomyPane menuSplitHorizontally: self mainWindow.! !

!TamManager methodsFor: 'menu' stamp: 'apl 6/9/2005 14:46'!
splitMenu
| menu |
menu := MenuMorph new.
						menu defaultTarget: self.
	self splitMenu: menu .
	menu popUpInWorld

! !

!TamManager methodsFor: 'menu' stamp: 'apl 7/26/2005 12:52'!
splitMenu: menu 
	#(#- #('split horizontally' #splitHorizontally) #('split vertically' #splitVertically) #- #('browse separately' #browseTaxonomy) )
		do: [:item | item == #-
				ifTrue: [menu addLine]
				ifFalse: [menu
						add: item first
						target: self
						selector: item second]].
	self canRemovePane
		ifTrue: [menu
				add: 'remove pane'
				target: self
				selector: #removePane].
	^ menu! !

!TamManager methodsFor: 'button actions' stamp: 'tam 7/2/2003 00:39'!
splitVertically	self taxonomyPane menuSplitVertically: self mainWindow.! !

!TamManager methodsFor: 'accessing' stamp: 'tam 6/2/2003 10:19'!
taxonomies	^ self class taxonomies! !

!TamManager methodsFor: 'accessing' stamp: 'tam 7/3/2003 11:56'!
taxonomyBrowser	^ self editorSubWindow ifNotNil: [self editorSubWindow model]! !

!TamManager methodsFor: 'accessing' stamp: 'tam 6/28/2003 00:36'!
taxonomyIndexSuchThat: aBlock	^ self class taxonomyIndexSuchThat: aBlock! !

!TamManager methodsFor: 'accessing' stamp: 'tam 2/24/2004 00:28'!
taxonomyItemIndexFromWrapper: aWrapper 
	| parentsChain rootRefIdx rootRef |
	parentsChain := aWrapper parentsChain.
	parentsChain isEmpty
		ifTrue: [rootRefIdx := self
						taxonomyIndexSuchThat: [:ref | ref taxonomy == aWrapper withoutListWrapper]]
		ifFalse: [rootRef := parentsChain first.
			rootRefIdx := self
						taxonomyIndexSuchThat: [:ref | ref taxonomy == rootRef withoutListWrapper]].
	^ rootRefIdx
! !

!TamManager methodsFor: 'button actions' stamp: 'apl 4/18/2005 11:23'!
taxonomyMenuPopup
	| taxonomyMenu |
	taxonomyMenu := MenuMorph new.
	taxonomyMenu defaultTarget: self.
	taxonomyMenu addTitle: 'Tamaris'.
	taxonomyMenu addStayUpItem.
	self menu: taxonomyMenu shifted: false.
	taxonomyMenu popUpInWorld! !

!TamManager methodsFor: 'accessing' stamp: 'tam 6/27/2003 23:09'!
taxonomyNamed: anIdent 	^ self class taxonomyNamed: anIdent ! !

!TamManager methodsFor: 'accessing' stamp: 'tam 6/27/2003 23:35'!
taxonomyOf: aListItemReference 	^ self class taxonomyOf: aListItemReference! !

!TamManager methodsFor: 'accessing' stamp: 'tam 6/4/2003 23:57'!
taxonomyPane	^ taxonomyPane! !

!TamManager methodsFor: 'accessing' stamp: 'tam 6/4/2003 23:59'!
taxonomyPane: aTaxonomyPane	 taxonomyPane := aTaxonomyPane! !

!TamManager methodsFor: 'updating' stamp: 'apl 4/7/2006 15:38'!
update: anObject 
	((anObject isKindOf: TamManagerItem)
			or: [anObject == #taxonomies])
		ifTrue: [(selectedTaxonomy = anObject
					and: [anObject isReleased])
				ifTrue: [self taxonomyBrowser noteNewSelection: nil].
			self changed: #taxonomies].
	(self taxonomies includes: TamManagerItem default)
		ifFalse: [TamManagerItem resetDefault.
			self taxonomies add: TamManagerItem default.
			self changed: #taxonomies].
	super update: anObject! !

!TamManager methodsFor: 'drag and drop' stamp: 'apl 11/2/2006 11:34'!
wantsDroppedMorph: transferMorph event: anEvent inMorph: destinationLM 
	^ self class wantsDroppedMorph: transferMorph event: anEvent inMorph: destinationLM ! !

!TamManager methodsFor: 'updating' stamp: 'AlainPlantec 11/18/2010 09:54'!
wantsStepsIn: aWindow 
	^ false! !

!TamManager methodsFor: 'ui opening/closing' stamp: 'apl 2/20/2007 15:38'!
windowIsClosing
	self destroy.
	super windowIsClosing! !

Object subclass: #Tamaris
	instanceVariableNames: 'mainWindow bottomMorphsPane bottomMorphsHeight transcriptMorph workspaceMorph editorSubWindows mainPane firstPane topPane'
	classVariableNames: 'InitialExtent PaneWorkspaceStringHolder ShowLocalWorkspace ShowPaneWorkspace ShowTranscript'
	poolDictionaries: ''
	category: 'Tamaris-UI'!

!Tamaris class methodsFor: 'preferences' stamp: 'AlainPlantec 10/15/2010 11:02'!
buttonExtent
	"default button extent"
	| prefSet |
	prefSet := StandardFonts buttonFont height + 6.
	^ (22 max: prefSet)
		@ (22 max: prefSet)! !

!Tamaris class methodsFor: 'utilities' stamp: 'AlainPlantec 1/28/2011 13:50'!
chooseFilePathMatching: patterns label: title
	| fd |
	fd := FileDialogWindow basicNew
		previewType: false;
		initialize;
		title: title;
		answerPathName.
	patterns ifNotNil: [
		fd fileSelectionBlock: [:de |
			(fd defaultFileSelectionBlock value: de) and: [
				de isDirectory or: [patterns anySatisfy: [:pat | pat match: de name]]]]].
	^(UIManager default modalMorph openModal: fd) answer! !

!Tamaris class methodsFor: 'preferences' stamp: 'tam 6/4/2003 17:40'!
initialExtent	^ InitialExtent! !

!Tamaris class methodsFor: 'preferences' stamp: 'AlainPlantec 10/7/2010 22:00'!
initialExtent: aPoint 
	InitialExtent := aPoint! !

!Tamaris class methodsFor: 'class initialization' stamp: 'AlainPlantec 10/7/2010 14:00'!
initialize
	"self initialize"
	self breakDependents.
	InitialExtent := 600 @ 500.
! !

!Tamaris class methodsFor: 'queries' stamp: 'MrCleaner 1/17/2011 21:03'!
itemNamed: aName
	| map |
	TamManager taxonomies detect: [:t | (map := t item findDeeplySuchThat: [:e | e name = aName]) notNil].
	^ map
! !

!Tamaris class methodsFor: 'accessing' stamp: 'tam 11/21/2003 10:26'!
managerOpenCommandName
	^ self name ! !

!Tamaris class methodsFor: 'instance creation' stamp: 'apl 4/19/2005 17:11'!
open
	"self open"

	| newTaxonomiesPane |
	newTaxonomiesPane := self new .
	^newTaxonomiesPane buildMainWindow openInWorld! !

!Tamaris class methodsFor: 'instance creation' stamp: 'apl 4/19/2005 17:11'!
openInWindow: aWindow 
	"self open"

	| newTaxonomiesPane |
	newTaxonomiesPane := self new.
	newTaxonomiesPane buildWindow: aWindow.
	aWindow model: newTaxonomiesPane.
	^aWindow! !

!Tamaris class methodsFor: 'accessing' stamp: 'apl 4/22/2005 01:51'!
paneWorkspaceAndTranscriptNumberOfLines
	^4! !

!Tamaris class methodsFor: 'accessing' stamp: 'apl 4/8/2005 11:24'!
paneWorkspaceStringHolder
	^PaneWorkspaceStringHolder 
		ifNil: [PaneWorkspaceStringHolder := TamStringHolder new]! !

!Tamaris class methodsFor: 'preferences' stamp: 'apl 9/26/2007 14:00'!
preferedWindowColor
	^ Color veryLightGray veryMuchLighter muchLighter! !

!Tamaris class methodsFor: 'accessing' stamp: 'apl 4/8/2005 11:54'!
showLocalWorkspace
	^ ShowLocalWorkspace
		ifNil: [ShowLocalWorkspace := true]! !

!Tamaris class methodsFor: 'accessing' stamp: 'apl 4/8/2005 11:54'!
showLocalWorkspace: aBoolean 
	ShowLocalWorkspace := aBoolean! !

!Tamaris class methodsFor: 'accessing' stamp: 'apl 4/8/2005 11:21'!
showPaneWorkspace
	^ShowPaneWorkspace ifNil: [ShowPaneWorkspace := true]! !

!Tamaris class methodsFor: 'accessing' stamp: 'apl 4/8/2005 11:21'!
showPaneWorkspace: aBoolean 
	ShowPaneWorkspace := aBoolean! !

!Tamaris class methodsFor: 'accessing' stamp: 'AlainPlantec 10/7/2010 22:00'!
showTranscript
	^ ShowTranscript
		ifNil: [ShowTranscript := true]! !

!Tamaris class methodsFor: 'accessing' stamp: 'AlainPlantec 10/7/2010 22:00'!
showTranscript: aBoolean 	ShowTranscript := aBoolean! !

!Tamaris methodsFor: 'ui building' stamp: 'AlainPlantec 4/27/2012 09:41'!
addModelItemsToWindowMenu: aMenu 
	aMenu addLine.
	aMenu
		add: 'remember window size'
		target: self
		action: #rememberWindowSize.
	aMenu addLine.
	aMenu
		add: (self transcriptMorph
				ifNil: ['show transcript']
				ifNotNil: ['hide transcript'])
		target: self
		action: #showHideTranscript.
	aMenu
		add: (self workspaceMorph
				ifNil: ['show pane workspace']
				ifNotNil: ['hide pane workspace'])
		target: self
		action: #showHidePaneWorkspace.
	aMenu addLine.
	aMenu
		add: (self showLocalWorkspace
				ifTrue: ['hide local workspace']
				ifFalse: ['show local workspace'])
		target: self
		action: #showHideLocalWorkspace.
	aMenu addLine.
	aMenu
		add: 'default lists width'
		target: self
		action: #setListsWidthToDefault.
	aMenu addLine.
	aMenu
		add: 'load button forms from disk'
		target: TamIcons
		action: #importForms.
	aMenu addLine.
	aMenu
		add: 'Quit'
		target: self
		action: #destroyAndQuit.
	aMenu addLine! !

!Tamaris methodsFor: 'ui building' stamp: 'AlainPlantec 5/2/2012 17:14'!
buildMainWindow
	mainWindow := (SystemWindow labelled: self class managerOpenCommandName) model: self;
				 yourself.
	topPane := TamListItemReferenceUtil subWindowClass  model: self.
	mainPane := TamListItemReferenceUtil subWindowClass  model: self.
	firstPane := TamListItemReferenceUtil subWindowClass  model: self.
	self buildWindow: firstPane.
	mainPane
		addMorph: firstPane
		fullFrame: (LayoutFrame
				fractions: (0 @ 0 corner: 1 @ 1)
				offsets: (0 @ 0 corner: 0 @ 0)).
	topPane
		addMorph: mainPane
		fullFrame: (LayoutFrame
				fractions: (0 @ 0 corner: 1 @ 1)
				offsets: (0 @ 0 corner: 0 @ 0)).
	mainWindow
		addMorph: topPane
		fullFrame: (LayoutFrame
				fractions: (0 @ 0 corner: 1 @ 1)
				offsets: (0 @ 0 corner: 0 @ 0)).
	mainWindow extent: self initialExtent.
	self showPaneWorkspace
		ifTrue: [self showHidePaneWorkspace].
	self showTranscript
		ifTrue: [self showHideTranscript].
	self changed: #taxonomies.
	^ mainWindow! !

!Tamaris methodsFor: 'ui building' stamp: 'AlainPlantec 5/2/2012 17:22'!
buildWindow: aWindow 	
	^ self buildWindow: aWindow direction: #toRight! !

!Tamaris methodsFor: 'ui building' stamp: 'apl 7/23/2005 10:31'!
buildWindow: aWindow direction: ToRightOrToLeft 
	self editorSubWindows add: aWindow.
	TamManager openInWindow: aWindow direction: ToRightOrToLeft.
	aWindow model taxonomyPane: self.
	aWindow model mainWindow: aWindow.
	self addDependent: aWindow model.
	aWindow startStepping.
	^ aWindow! !

!Tamaris methodsFor: 'accessing' stamp: 'apl 9/26/2007 14:00'!
defaultBackgroundColor
	^ self class preferedWindowColor! !

!Tamaris methodsFor: 'initialize/release' stamp: 'apl 2/28/2007 15:56'!
destroy
	mainWindow
		ifNotNil: [
			mainWindow := nil].
	editorSubWindows
		ifNotNil: [editorSubWindows
				do: [:w | 
					self removeWindow: w.
					w destroy].
			editorSubWindows := nil].
	mainPane := nil.
	bottomMorphsPane := nil.
	super destroy! !

!Tamaris methodsFor: 'ui opening/closing' stamp: 'apl 4/8/2006 10:12'!
destroyAndQuit
mainWindow ifNotNil: [mainWindow delete].
	self destroy! !

!Tamaris methodsFor: 'accessing' stamp: 'AlainPlantec 5/2/2012 17:40'!
editorSubWindows	
	^editorSubWindows! !

!Tamaris methodsFor: 'menu' stamp: 'apl 2/28/2006 11:37'!
hide: pane withOtherPane: otherPane 
	topPane removePaneSplitters.
	bottomMorphsPane removePaneSplitters;
		removeAllMorphsIn: (Array with: pane).
	bottomMorphsPane submorphs
		ifEmpty: [topPane
				removeAllMorphsIn: (Array with: bottomMorphsPane).
			bottomMorphsPane := nil.
			mainPane
				layoutFrame: (LayoutFrame
						fractions: (0 @ 0 corner: 1 @ 1)
						offsets: (0 @ 0 corner: 0 @ 0))].
	otherPane
		ifNotNil: [otherPane
				layoutFrame: (LayoutFrame
						fractions: (0 @ 0 corner: 1 @ 1)
						offsets: (0 @ 0 corner: 0 @ 0)).
			topPane addPaneHSplitterBetween: mainPane and: {bottomMorphsPane}]! !

!Tamaris methodsFor: 'accessing' stamp: 'tam 6/4/2003 18:03'!
initialExtent	^ self class initialExtent! !

!Tamaris methodsFor: 'initialize/release' stamp: 'AlainPlantec 10/7/2010 13:59'!
initialize
	super initialize.
	editorSubWindows := WeakSet new.
	bottomMorphsHeight := self class paneWorkspaceAndTranscriptNumberOfLines * StandardFonts defaultFont  height! !

!Tamaris methodsFor: 'accessing' stamp: 'tam 6/4/2003 18:03'!
mainWindow	^ mainWindow! !

!Tamaris methodsFor: 'menu' stamp: 'apl 7/8/2005 09:20'!
menuRemovePane: aWindow 
	| ownerWindow ownerOwnerWindow other |
	ownerWindow := aWindow owner.
	ownerOwnerWindow := ownerWindow owner.
	other := ownerOwnerWindow submorphs
				detect: [:sm | (sm isKindOf: BorderedMorph)
						and: [sm ~= ownerWindow]].
	[other submorphs
		allSatisfy: [:sw | sw class == TamListItemReferenceUtil subWindowClass]]
		whileTrue: [other := other submorphs first].
	self removeOtherPane: other! !

!Tamaris methodsFor: 'menu' stamp: 'tam 6/30/2003 12:34'!
menuSplitHorizontally: aWindow 	self split: aWindow axe: #horizontally! !

!Tamaris methodsFor: 'menu' stamp: 'apl 6/29/2007 22:51'!
menuSplitVertically: aWindow 
	"| newPane |
	newPane := aWindow splitVertically.
	self buildWindow: newPane.
	self changed: #taxonomies"
		self split: aWindow axe: #vertically
! !

!Tamaris methodsFor: 'ui opening/closing' stamp: 'apl 5/31/2005 10:00'!
modelWakeUpIn: aMorph 
	self mainWindow ifNotNil: [self mainWindow submorphsDo: [:sm | sm show]].
	self editorSubWindows ifNotNil: [self editorSubWindows do: [:e | e model modelWakeUpIn: aMorph]].
	super modelWakeUpIn: aMorph! !

!Tamaris methodsFor: 'accessing' stamp: 'apl 4/8/2005 11:30'!
paneWorkspaceStringHolder
 	^ self class paneWorkspaceStringHolder
! !

!Tamaris methodsFor: 'menu' stamp: 'tam 6/5/2003 00:05'!
perform: selector orSendTo: otherTarget 	"Selector was just chosen from a menu by a user. If can respond, then  	perform it on myself. If not, send it to otherTarget, presumably the  	editPane from which the menu was invoked."	(self respondsTo: selector)		ifTrue: [^ self perform: selector]		ifFalse: [^ otherTarget perform: selector]! !

!Tamaris methodsFor: 'menu' stamp: 'tam 6/4/2003 18:10'!
rememberWindowSize	self class initialExtent: mainWindow bounds extent! !

!Tamaris methodsFor: 'menu' stamp: 'apl 2/15/2006 21:41'!
removeOtherPane: aWindow 
	| ownerWindow ownerOwnerWindow selectionIndex pane |
	selectionIndex := 0.
	selectionIndex := aWindow model
				ifNotNil: [aWindow model selectedTaxonomyIndex].
	ownerWindow := aWindow owner.
	ownerOwnerWindow := ownerWindow owner.
	ownerOwnerWindow removePaneSplitters.
	ownerOwnerWindow
		submorphsDo: [:sm | self removeWindow: sm firstSubmorph].
	ownerOwnerWindow removeAllMorphs.
	ownerOwnerWindow layoutChanged.
	pane := TamListItemReferenceUtil subWindowClass model: ownerOwnerWindow model.
	self buildWindow: pane.
	ownerOwnerWindow
		addMorph: pane
		fullFrame: (LayoutFrame
				fractions: (0 @ 0 corner: 1 @ 1)
				offsets: (0 @ 0 corner: 0 @ 0)).
	pane borderWidth: 0.
	pane model changeSelectedTaxonomy: selectionIndex.
	self changed: #taxonomies! !

!Tamaris methodsFor: 'ui opening/closing' stamp: 'apl 6/3/2005 17:06'!
removeWindow: aWindow 
	self removeDependent: aWindow model.
	self editorSubWindows remove: aWindow ifAbsent: [].
	(aWindow model)
		windowIsClosing;
		destroy.
	aWindow delete! !

!Tamaris methodsFor: 'initialize/release' stamp: 'apl 4/19/2005 00:11'!
setListsWidthToDefault
	TamManager listWidth: 120.
	TamBrowser taxonomyListWidth: 220! !

!Tamaris methodsFor: 'menu' stamp: 'apl 2/15/2006 21:41'!
show: pane withOtherPane: otherPane 
	| rowFraction deltaX |
	bottomMorphsPane
		ifNil: [mainPane
				layoutFrame: (LayoutFrame
						fractions: (0 @ 0 corner: 1 @ 1)
						offsets: (0 @ 0 corner: 0 @ bottomMorphsHeight negated)).
			bottomMorphsPane := TamListItemReferenceUtil subWindowClass  model: mainWindow model.
			topPane
				addMorph: bottomMorphsPane
				fullFrame: (LayoutFrame
						fractions: (0 @ 1 corner: 1 @ 1)
						offsets: (0 @ (bottomMorphsHeight negated + TamListItemReferenceUtil subFrameBorderDelta) corner: 0 @ 0))].
	rowFraction := otherPane
				ifNil: [0 @ 0 corner: 1 @ 1]
				ifNotNil: [0.5 @ 0 corner: 1 @ 1].
	deltaX := otherPane
				ifNil: [0]
				ifNotNil: [TamListItemReferenceUtil subFrameBorderDelta / 2].
	bottomMorphsPane
		addMorph: pane
		fullFrame: (LayoutFrame
				fractions: rowFraction
				offsets: (deltaX @ 0 corner: 0 @ 0)).
	otherPane
		ifNotNil: [otherPane
				layoutFrame: (LayoutFrame
						fractions: (0 @ 0 corner: 0.5 @ 1)
						offsets: (0 @ 0 corner: deltaX negated @ 0))].
	topPane removePaneSplitters.
	topPane addPaneHSplitterBetween: mainPane and: {bottomMorphsPane}.
	bottomMorphsPane borderWidth: 0.
	bottomMorphsPane layoutInset: 0.
	bottomMorphsPane addPaneSplitters! !

!Tamaris methodsFor: 'menu' stamp: 'apl 4/8/2005 12:01'!
showHideLocalWorkspace
	self showLocalWorkspace: self showLocalWorkspace not.
! !

!Tamaris methodsFor: 'menu' stamp: 'AlainPlantec 1/11/2010 17:02'!
showHidePaneWorkspace
	workspaceMorph ifNil: 
			[workspaceMorph := PluggableTextMorph 
						on: self paneWorkspaceStringHolder
						text: #contents
						accept: #acceptContents:
						readSelection: nil
						menu: #codePaneMenu:shifted:.
			self show: workspaceMorph withOtherPane: transcriptMorph.
			[workspaceMorph color: (Workspace patchworkUIThemeColor)] on: Error
				do: [workspaceMorph color: Color lightYellow].
			self showPaneWorkspace: true]
		ifNotNil: 
			[workspaceMorph model hasUnacceptedEdits ifTrue: [workspaceMorph accept].
			self hide: workspaceMorph withOtherPane: transcriptMorph.
			workspaceMorph := nil.
			self showPaneWorkspace: false]! !

!Tamaris methodsFor: 'menu' stamp: 'AlainPlantec 4/26/2012 09:47'!
showHideTranscript
	transcriptMorph
		ifNil: [transcriptMorph := PluggableTextMorph
						on: Transcript
						text: nil
						accept: nil
						readSelection: nil
						menu: #codePaneMenu:shifted:.
			transcriptMorph borderWidth: 1.
			self show: transcriptMorph withOtherPane: workspaceMorph.
			[transcriptMorph
				color: (ThreadSafeTranscript patchworkUIThemeColor)]
				on: Error
				do: [transcriptMorph color: Color lightOrange].
			self showTranscript: true]
		ifNotNil: [self hide: transcriptMorph withOtherPane: workspaceMorph.
			transcriptMorph := nil.
			self showTranscript: false]! !

!Tamaris methodsFor: 'accessing' stamp: 'apl 4/8/2005 11:57'!
showLocalWorkspace
	^ self class showLocalWorkspace! !

!Tamaris methodsFor: 'accessing' stamp: 'apl 4/8/2005 12:01'!
showLocalWorkspace: aBoolean 
	self class showLocalWorkspace: aBoolean! !

!Tamaris methodsFor: 'accessing' stamp: 'apl 4/8/2005 11:29'!
showPaneWorkspace
	^ self class showPaneWorkspace! !

!Tamaris methodsFor: 'accessing' stamp: 'apl 4/8/2005 11:29'!
showPaneWorkspace: aBoolean 
	self class showPaneWorkspace: aBoolean ! !

!Tamaris methodsFor: 'accessing' stamp: 'tam 6/24/2003 17:58'!
showTranscript	^ self class showTranscript! !

!Tamaris methodsFor: 'accessing' stamp: 'tam 6/24/2003 17:58'!
showTranscript: aBoolean 	self class showTranscript: aBoolean! !

!Tamaris methodsFor: 'menu' stamp: 'AlainPlantec 5/2/2012 17:14'!
split: aWindow axe: verticallyOrHorizontally 
	| leftPane rightPane selectionIndex ownerWindow tmpPane fractions secondSubPanesDirection deltaY deltaX |
	verticallyOrHorizontally == #vertically
		ifTrue: [secondSubPanesDirection := #toLeft.
			deltaY := 0.
			deltaX := TamListItemReferenceUtil subFrameBorderDelta / 2.
			fractions := Array
						with: (0 @ 0 corner: 0.5 @ 1)
						with: (0.5 @ 0 corner: 1 @ 1)]
		ifFalse: [secondSubPanesDirection := #toRight.
			deltaY := TamListItemReferenceUtil subFrameBorderDelta / 2.
			deltaX := 0.
			fractions := Array
						with: (0 @ 0 corner: 1 @ 0.5)
						with: (0 @ 0.5 corner: 1 @ 1)].
	selectionIndex := aWindow model isNil
				ifTrue: [0]
				ifFalse: [aWindow model selectedTaxonomyIndex].
	aWindow model changeSelectedTaxonomy: 0.
	ownerWindow := aWindow owner.
	ownerWindow removeAllMorphs.
	leftPane := TamListItemReferenceUtil subWindowClass model: ownerWindow model.
	ownerWindow
		addMorph: leftPane
		fullFrame: (LayoutFrame
				fractions: fractions first
				offsets: (0 @ 0 corner: deltaX negated @ deltaY negated)).
	tmpPane := TamListItemReferenceUtil subWindowClass  model: leftPane model.
	leftPane
		addMorph: tmpPane
		fullFrame: (LayoutFrame
				fractions: (0 @ 0 corner: 1 @ 1)
				offsets: (0 @ 0 corner: 0 @ 0)).
	self buildWindow: tmpPane.
	tmpPane borderWidth: 0.
	tmpPane model changeSelectedTaxonomy: selectionIndex.
	rightPane := TamListItemReferenceUtil subWindowClass model: ownerWindow model.
	ownerWindow
		addMorph: rightPane
		fullFrame: (LayoutFrame
				fractions: fractions second
				offsets: (deltaX @ deltaY corner: 0 @ 0)).
	rightPane borderWidth: 0.
	tmpPane := TamListItemReferenceUtil subWindowClass model: rightPane model.
	rightPane
		addMorph: tmpPane
		fullFrame: (LayoutFrame
				fractions: (0 @ 0 corner: 1 @ 1)
				offsets: (0 @ 0 corner: 0 @ 0)).
	self buildWindow: tmpPane direction: secondSubPanesDirection.
	tmpPane borderWidth: 0.
	tmpPane model changeSelectedTaxonomy: selectionIndex.
	ownerWindow layoutChanged.
	self removeWindow: aWindow.
	""
	verticallyOrHorizontally = #vertically
		ifTrue: [ownerWindow addPaneVSplitterBetween: leftPane and: {rightPane}]
		ifFalse: [ownerWindow addPaneHSplitterBetween: leftPane and: {rightPane}].
	self changed: #taxonomies! !

!Tamaris methodsFor: 'updating' stamp: 'apl 6/25/2005 18:50'!
stepIn: aSystemWindow 
! !

!Tamaris methodsFor: 'accessing' stamp: 'tam 6/24/2003 17:21'!
transcriptMorph	^ transcriptMorph! !

!Tamaris methodsFor: 'ui opening/closing' stamp: 'apl 2/28/2007 15:56'!
windowIsClosing
	self destroy.
	super windowIsClosing! !

!Tamaris methodsFor: 'accessing' stamp: 'tam 6/24/2003 17:21'!
workspaceMorph	^ workspaceMorph! !
AbstractHistoryList initialize!
TamManager initialize!
TamSmartTaxonReference initialize!
TamBrowser initialize!
Tamaris initialize!
